#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 2810
#define LARGE_STATE_COUNT 807
#define SYMBOL_COUNT 204
#define ALIAS_COUNT 0
#define TOKEN_COUNT 145
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 1

enum {
  anon_sym_module = 1,
  anon_sym_SEMI = 2,
  anon_sym_export = 3,
  anon_sym_LBRACE = 4,
  anon_sym_RBRACE = 5,
  anon_sym_global = 6,
  anon_sym_COLON = 7,
  anon_sym_option = 8,
  anon_sym_const = 9,
  anon_sym_redef = 10,
  anon_sym_enum = 11,
  anon_sym_PLUS_EQ = 12,
  anon_sym_record = 13,
  anon_sym_type = 14,
  anon_sym_print = 15,
  anon_sym_event = 16,
  anon_sym_if = 17,
  anon_sym_LPAREN = 18,
  anon_sym_RPAREN = 19,
  anon_sym_else = 20,
  anon_sym_switch = 21,
  anon_sym_for = 22,
  anon_sym_COMMA = 23,
  anon_sym_in = 24,
  anon_sym_LBRACK = 25,
  anon_sym_RBRACK = 26,
  anon_sym_while = 27,
  anon_sym_next = 28,
  anon_sym_break = 29,
  anon_sym_fallthrough = 30,
  anon_sym_return = 31,
  anon_sym_add = 32,
  anon_sym_delete = 33,
  anon_sym_local = 34,
  anon_sym_when = 35,
  anon_sym_timeout = 36,
  anon_sym_EQ = 37,
  anon_sym_case = 38,
  anon_sym_default = 39,
  anon_sym_as = 40,
  anon_sym_addr = 41,
  anon_sym_any = 42,
  anon_sym_bool = 43,
  anon_sym_count = 44,
  anon_sym_double = 45,
  anon_sym_int = 46,
  anon_sym_interval = 47,
  anon_sym_string = 48,
  anon_sym_subnet = 49,
  anon_sym_pattern = 50,
  anon_sym_port = 51,
  anon_sym_table = 52,
  anon_sym_of = 53,
  anon_sym_set = 54,
  anon_sym_time = 55,
  anon_sym_timer = 56,
  anon_sym_union = 57,
  anon_sym_list = 58,
  anon_sym_vector = 59,
  anon_sym_function = 60,
  anon_sym_hook = 61,
  anon_sym_file = 62,
  anon_sym_opaque = 63,
  anon_sym_AMPdeprecated = 64,
  anon_sym_DASH_EQ = 65,
  anon_sym_AMPbroker_allow_complex_type = 66,
  anon_sym_AMPerror_handler = 67,
  anon_sym_AMPis_assigned = 68,
  anon_sym_AMPis_used = 69,
  anon_sym_AMPlog = 70,
  anon_sym_AMPoptional = 71,
  anon_sym_AMPraw_output = 72,
  anon_sym_AMPredef = 73,
  anon_sym_AMPadd_func = 74,
  anon_sym_AMPbackend = 75,
  anon_sym_AMPbroker_store = 76,
  anon_sym_AMPcreate_expire = 77,
  anon_sym_AMPdefault = 78,
  anon_sym_AMPdelete_func = 79,
  anon_sym_AMPexpire_func = 80,
  anon_sym_AMPgroup = 81,
  anon_sym_AMPon_change = 82,
  anon_sym_AMPpriority = 83,
  anon_sym_AMPread_expire = 84,
  anon_sym_AMPtype_column = 85,
  anon_sym_AMPwrite_expire = 86,
  anon_sym_DOLLAR = 87,
  anon_sym_PIPE = 88,
  anon_sym_PLUS_PLUS = 89,
  anon_sym_DASH_DASH = 90,
  anon_sym_BANG = 91,
  anon_sym_TILDE = 92,
  anon_sym_DASH = 93,
  anon_sym_PLUS = 94,
  anon_sym_is = 95,
  anon_sym_STAR = 96,
  anon_sym_SLASH = 97,
  anon_sym_PERCENT = 98,
  anon_sym_LT = 99,
  anon_sym_LT_EQ = 100,
  anon_sym_GT = 101,
  anon_sym_GT_EQ = 102,
  anon_sym_AMP = 103,
  anon_sym_CARET = 104,
  anon_sym_QMARK = 105,
  anon_sym_EQ_EQ = 106,
  anon_sym_BANG_EQ = 107,
  anon_sym_AMP_AMP = 108,
  anon_sym_PIPE_PIPE = 109,
  anon_sym_copy = 110,
  anon_sym_QMARK_DOLLAR = 111,
  anon_sym_schedule = 112,
  aux_sym_constant_token1 = 113,
  anon_sym_T = 114,
  anon_sym_F = 115,
  anon_sym_ATdeprecated = 116,
  anon_sym_ATload = 117,
  anon_sym_ATload_DASHsigs = 118,
  anon_sym_ATload_DASHplugin = 119,
  anon_sym_ATunload = 120,
  anon_sym_ATprefixes = 121,
  anon_sym_ATif = 122,
  anon_sym_ATifdef = 123,
  anon_sym_ATifndef = 124,
  anon_sym_ATendif = 125,
  anon_sym_ATelse = 126,
  anon_sym_ATDIR = 127,
  anon_sym_ATFILENAME = 128,
  sym_id = 129,
  sym_file = 130,
  sym_pattern = 131,
  sym_ipv6 = 132,
  sym_ipv4 = 133,
  sym_port = 134,
  sym_floatp = 135,
  sym_hex = 136,
  sym_time_unit = 137,
  sym_hostname = 138,
  aux_sym_string_token1 = 139,
  sym_zeekygen_head_comment = 140,
  sym_zeekygen_prev_comment = 141,
  sym_zeekygen_next_comment = 142,
  sym_minor_comment = 143,
  sym_nl = 144,
  sym_source_file = 145,
  sym_decl = 146,
  sym_module_decl = 147,
  sym_export_decl = 148,
  sym_global_decl = 149,
  sym_option_decl = 150,
  sym_const_decl = 151,
  sym_redef_decl = 152,
  sym_redef_enum_decl = 153,
  sym_redef_record_decl = 154,
  sym_type_decl = 155,
  sym_func_decl = 156,
  sym_stmt = 157,
  sym_stmt_list = 158,
  sym_case_list = 159,
  sym_case_type_list = 160,
  sym_type = 161,
  sym_enum_body = 162,
  sym_enum_body_elem = 163,
  sym_deprecated = 164,
  sym_func_params = 165,
  sym_formal_args = 166,
  sym_formal_arg = 167,
  sym_type_spec = 168,
  sym_initializer = 169,
  sym_init_class = 170,
  sym_attr_list = 171,
  sym_attr = 172,
  sym_expr = 173,
  sym_expr_list = 174,
  sym_constant = 175,
  sym_func_hdr = 176,
  sym_func = 177,
  sym_hook = 178,
  sym_event = 179,
  sym_func_body = 180,
  sym_index_slice = 181,
  sym_begin_lambda = 182,
  sym_capture_list = 183,
  sym_capture = 184,
  sym_preproc_directive = 185,
  sym_string_directive = 186,
  sym_event_hdr = 187,
  sym_integer = 188,
  sym_interval = 189,
  sym_string = 190,
  aux_sym_source_file_repeat1 = 191,
  aux_sym_source_file_repeat2 = 192,
  aux_sym_redef_record_decl_repeat1 = 193,
  aux_sym_func_decl_repeat1 = 194,
  aux_sym_stmt_repeat1 = 195,
  aux_sym_case_list_repeat1 = 196,
  aux_sym_case_type_list_repeat1 = 197,
  aux_sym_type_repeat1 = 198,
  aux_sym_enum_body_repeat1 = 199,
  aux_sym_formal_args_repeat1 = 200,
  aux_sym_attr_list_repeat1 = 201,
  aux_sym_expr_list_repeat1 = 202,
  aux_sym_capture_list_repeat1 = 203,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_module] = "module",
  [anon_sym_SEMI] = ";",
  [anon_sym_export] = "export",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_global] = "global",
  [anon_sym_COLON] = ":",
  [anon_sym_option] = "option",
  [anon_sym_const] = "const",
  [anon_sym_redef] = "redef",
  [anon_sym_enum] = "enum",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_record] = "record",
  [anon_sym_type] = "type",
  [anon_sym_print] = "print",
  [anon_sym_event] = "event",
  [anon_sym_if] = "if",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_COMMA] = ",",
  [anon_sym_in] = "in",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_while] = "while",
  [anon_sym_next] = "next",
  [anon_sym_break] = "break",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_return] = "return",
  [anon_sym_add] = "add",
  [anon_sym_delete] = "delete",
  [anon_sym_local] = "local",
  [anon_sym_when] = "when",
  [anon_sym_timeout] = "timeout",
  [anon_sym_EQ] = "=",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_as] = "as",
  [anon_sym_addr] = "addr",
  [anon_sym_any] = "any",
  [anon_sym_bool] = "bool",
  [anon_sym_count] = "count",
  [anon_sym_double] = "double",
  [anon_sym_int] = "int",
  [anon_sym_interval] = "interval",
  [anon_sym_string] = "string",
  [anon_sym_subnet] = "subnet",
  [anon_sym_pattern] = "pattern",
  [anon_sym_port] = "port",
  [anon_sym_table] = "table",
  [anon_sym_of] = "of",
  [anon_sym_set] = "set",
  [anon_sym_time] = "time",
  [anon_sym_timer] = "timer",
  [anon_sym_union] = "union",
  [anon_sym_list] = "list",
  [anon_sym_vector] = "vector",
  [anon_sym_function] = "function",
  [anon_sym_hook] = "hook",
  [anon_sym_file] = "file",
  [anon_sym_opaque] = "opaque",
  [anon_sym_AMPdeprecated] = "&deprecated",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_AMPbroker_allow_complex_type] = "&broker_allow_complex_type",
  [anon_sym_AMPerror_handler] = "&error_handler",
  [anon_sym_AMPis_assigned] = "&is_assigned",
  [anon_sym_AMPis_used] = "&is_used",
  [anon_sym_AMPlog] = "&log",
  [anon_sym_AMPoptional] = "&optional",
  [anon_sym_AMPraw_output] = "&raw_output",
  [anon_sym_AMPredef] = "&redef",
  [anon_sym_AMPadd_func] = "&add_func",
  [anon_sym_AMPbackend] = "&backend",
  [anon_sym_AMPbroker_store] = "&broker_store",
  [anon_sym_AMPcreate_expire] = "&create_expire",
  [anon_sym_AMPdefault] = "&default",
  [anon_sym_AMPdelete_func] = "&delete_func",
  [anon_sym_AMPexpire_func] = "&expire_func",
  [anon_sym_AMPgroup] = "&group",
  [anon_sym_AMPon_change] = "&on_change",
  [anon_sym_AMPpriority] = "&priority",
  [anon_sym_AMPread_expire] = "&read_expire",
  [anon_sym_AMPtype_column] = "&type_column",
  [anon_sym_AMPwrite_expire] = "&write_expire",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_is] = "is",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_QMARK] = "\?",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_copy] = "copy",
  [anon_sym_QMARK_DOLLAR] = "\?$",
  [anon_sym_schedule] = "schedule",
  [aux_sym_constant_token1] = "constant_token1",
  [anon_sym_T] = "T",
  [anon_sym_F] = "F",
  [anon_sym_ATdeprecated] = "@deprecated",
  [anon_sym_ATload] = "@load",
  [anon_sym_ATload_DASHsigs] = "@load-sigs",
  [anon_sym_ATload_DASHplugin] = "@load-plugin",
  [anon_sym_ATunload] = "@unload",
  [anon_sym_ATprefixes] = "@prefixes",
  [anon_sym_ATif] = "@if",
  [anon_sym_ATifdef] = "@ifdef",
  [anon_sym_ATifndef] = "@ifndef",
  [anon_sym_ATendif] = "@endif",
  [anon_sym_ATelse] = "@else",
  [anon_sym_ATDIR] = "@DIR",
  [anon_sym_ATFILENAME] = "@FILENAME",
  [sym_id] = "id",
  [sym_file] = "file",
  [sym_pattern] = "pattern",
  [sym_ipv6] = "ipv6",
  [sym_ipv4] = "ipv4",
  [sym_port] = "port",
  [sym_floatp] = "floatp",
  [sym_hex] = "hex",
  [sym_time_unit] = "time_unit",
  [sym_hostname] = "hostname",
  [aux_sym_string_token1] = "string_token1",
  [sym_zeekygen_head_comment] = "zeekygen_head_comment",
  [sym_zeekygen_prev_comment] = "zeekygen_prev_comment",
  [sym_zeekygen_next_comment] = "zeekygen_next_comment",
  [sym_minor_comment] = "minor_comment",
  [sym_nl] = "nl",
  [sym_source_file] = "source_file",
  [sym_decl] = "decl",
  [sym_module_decl] = "module_decl",
  [sym_export_decl] = "export_decl",
  [sym_global_decl] = "global_decl",
  [sym_option_decl] = "option_decl",
  [sym_const_decl] = "const_decl",
  [sym_redef_decl] = "redef_decl",
  [sym_redef_enum_decl] = "redef_enum_decl",
  [sym_redef_record_decl] = "redef_record_decl",
  [sym_type_decl] = "type_decl",
  [sym_func_decl] = "func_decl",
  [sym_stmt] = "stmt",
  [sym_stmt_list] = "stmt_list",
  [sym_case_list] = "case_list",
  [sym_case_type_list] = "case_type_list",
  [sym_type] = "type",
  [sym_enum_body] = "enum_body",
  [sym_enum_body_elem] = "enum_body_elem",
  [sym_deprecated] = "deprecated",
  [sym_func_params] = "func_params",
  [sym_formal_args] = "formal_args",
  [sym_formal_arg] = "formal_arg",
  [sym_type_spec] = "type_spec",
  [sym_initializer] = "initializer",
  [sym_init_class] = "init_class",
  [sym_attr_list] = "attr_list",
  [sym_attr] = "attr",
  [sym_expr] = "expr",
  [sym_expr_list] = "expr_list",
  [sym_constant] = "constant",
  [sym_func_hdr] = "func_hdr",
  [sym_func] = "func",
  [sym_hook] = "hook",
  [sym_event] = "event",
  [sym_func_body] = "func_body",
  [sym_index_slice] = "index_slice",
  [sym_begin_lambda] = "begin_lambda",
  [sym_capture_list] = "capture_list",
  [sym_capture] = "capture",
  [sym_preproc_directive] = "preproc_directive",
  [sym_string_directive] = "string_directive",
  [sym_event_hdr] = "event_hdr",
  [sym_integer] = "integer",
  [sym_interval] = "interval",
  [sym_string] = "string",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_source_file_repeat2] = "source_file_repeat2",
  [aux_sym_redef_record_decl_repeat1] = "redef_record_decl_repeat1",
  [aux_sym_func_decl_repeat1] = "func_decl_repeat1",
  [aux_sym_stmt_repeat1] = "stmt_repeat1",
  [aux_sym_case_list_repeat1] = "case_list_repeat1",
  [aux_sym_case_type_list_repeat1] = "case_type_list_repeat1",
  [aux_sym_type_repeat1] = "type_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_formal_args_repeat1] = "formal_args_repeat1",
  [aux_sym_attr_list_repeat1] = "attr_list_repeat1",
  [aux_sym_expr_list_repeat1] = "expr_list_repeat1",
  [aux_sym_capture_list_repeat1] = "capture_list_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_option] = anon_sym_option,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_redef] = anon_sym_redef,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_record] = anon_sym_record,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_event] = anon_sym_event,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_next] = anon_sym_next,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_fallthrough] = anon_sym_fallthrough,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_add] = anon_sym_add,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_timeout] = anon_sym_timeout,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_addr] = anon_sym_addr,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_count] = anon_sym_count,
  [anon_sym_double] = anon_sym_double,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_interval] = anon_sym_interval,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_subnet] = anon_sym_subnet,
  [anon_sym_pattern] = anon_sym_pattern,
  [anon_sym_port] = anon_sym_port,
  [anon_sym_table] = anon_sym_table,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_time] = anon_sym_time,
  [anon_sym_timer] = anon_sym_timer,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_list] = anon_sym_list,
  [anon_sym_vector] = anon_sym_vector,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_hook] = anon_sym_hook,
  [anon_sym_file] = anon_sym_file,
  [anon_sym_opaque] = anon_sym_opaque,
  [anon_sym_AMPdeprecated] = anon_sym_AMPdeprecated,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_AMPbroker_allow_complex_type] = anon_sym_AMPbroker_allow_complex_type,
  [anon_sym_AMPerror_handler] = anon_sym_AMPerror_handler,
  [anon_sym_AMPis_assigned] = anon_sym_AMPis_assigned,
  [anon_sym_AMPis_used] = anon_sym_AMPis_used,
  [anon_sym_AMPlog] = anon_sym_AMPlog,
  [anon_sym_AMPoptional] = anon_sym_AMPoptional,
  [anon_sym_AMPraw_output] = anon_sym_AMPraw_output,
  [anon_sym_AMPredef] = anon_sym_AMPredef,
  [anon_sym_AMPadd_func] = anon_sym_AMPadd_func,
  [anon_sym_AMPbackend] = anon_sym_AMPbackend,
  [anon_sym_AMPbroker_store] = anon_sym_AMPbroker_store,
  [anon_sym_AMPcreate_expire] = anon_sym_AMPcreate_expire,
  [anon_sym_AMPdefault] = anon_sym_AMPdefault,
  [anon_sym_AMPdelete_func] = anon_sym_AMPdelete_func,
  [anon_sym_AMPexpire_func] = anon_sym_AMPexpire_func,
  [anon_sym_AMPgroup] = anon_sym_AMPgroup,
  [anon_sym_AMPon_change] = anon_sym_AMPon_change,
  [anon_sym_AMPpriority] = anon_sym_AMPpriority,
  [anon_sym_AMPread_expire] = anon_sym_AMPread_expire,
  [anon_sym_AMPtype_column] = anon_sym_AMPtype_column,
  [anon_sym_AMPwrite_expire] = anon_sym_AMPwrite_expire,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_copy] = anon_sym_copy,
  [anon_sym_QMARK_DOLLAR] = anon_sym_QMARK_DOLLAR,
  [anon_sym_schedule] = anon_sym_schedule,
  [aux_sym_constant_token1] = aux_sym_constant_token1,
  [anon_sym_T] = anon_sym_T,
  [anon_sym_F] = anon_sym_F,
  [anon_sym_ATdeprecated] = anon_sym_ATdeprecated,
  [anon_sym_ATload] = anon_sym_ATload,
  [anon_sym_ATload_DASHsigs] = anon_sym_ATload_DASHsigs,
  [anon_sym_ATload_DASHplugin] = anon_sym_ATload_DASHplugin,
  [anon_sym_ATunload] = anon_sym_ATunload,
  [anon_sym_ATprefixes] = anon_sym_ATprefixes,
  [anon_sym_ATif] = anon_sym_ATif,
  [anon_sym_ATifdef] = anon_sym_ATifdef,
  [anon_sym_ATifndef] = anon_sym_ATifndef,
  [anon_sym_ATendif] = anon_sym_ATendif,
  [anon_sym_ATelse] = anon_sym_ATelse,
  [anon_sym_ATDIR] = anon_sym_ATDIR,
  [anon_sym_ATFILENAME] = anon_sym_ATFILENAME,
  [sym_id] = sym_id,
  [sym_file] = sym_file,
  [sym_pattern] = sym_pattern,
  [sym_ipv6] = sym_ipv6,
  [sym_ipv4] = sym_ipv4,
  [sym_port] = sym_port,
  [sym_floatp] = sym_floatp,
  [sym_hex] = sym_hex,
  [sym_time_unit] = sym_time_unit,
  [sym_hostname] = sym_hostname,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [sym_zeekygen_head_comment] = sym_zeekygen_head_comment,
  [sym_zeekygen_prev_comment] = sym_zeekygen_prev_comment,
  [sym_zeekygen_next_comment] = sym_zeekygen_next_comment,
  [sym_minor_comment] = sym_minor_comment,
  [sym_nl] = sym_nl,
  [sym_source_file] = sym_source_file,
  [sym_decl] = sym_decl,
  [sym_module_decl] = sym_module_decl,
  [sym_export_decl] = sym_export_decl,
  [sym_global_decl] = sym_global_decl,
  [sym_option_decl] = sym_option_decl,
  [sym_const_decl] = sym_const_decl,
  [sym_redef_decl] = sym_redef_decl,
  [sym_redef_enum_decl] = sym_redef_enum_decl,
  [sym_redef_record_decl] = sym_redef_record_decl,
  [sym_type_decl] = sym_type_decl,
  [sym_func_decl] = sym_func_decl,
  [sym_stmt] = sym_stmt,
  [sym_stmt_list] = sym_stmt_list,
  [sym_case_list] = sym_case_list,
  [sym_case_type_list] = sym_case_type_list,
  [sym_type] = sym_type,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_body_elem] = sym_enum_body_elem,
  [sym_deprecated] = sym_deprecated,
  [sym_func_params] = sym_func_params,
  [sym_formal_args] = sym_formal_args,
  [sym_formal_arg] = sym_formal_arg,
  [sym_type_spec] = sym_type_spec,
  [sym_initializer] = sym_initializer,
  [sym_init_class] = sym_init_class,
  [sym_attr_list] = sym_attr_list,
  [sym_attr] = sym_attr,
  [sym_expr] = sym_expr,
  [sym_expr_list] = sym_expr_list,
  [sym_constant] = sym_constant,
  [sym_func_hdr] = sym_func_hdr,
  [sym_func] = sym_func,
  [sym_hook] = sym_hook,
  [sym_event] = sym_event,
  [sym_func_body] = sym_func_body,
  [sym_index_slice] = sym_index_slice,
  [sym_begin_lambda] = sym_begin_lambda,
  [sym_capture_list] = sym_capture_list,
  [sym_capture] = sym_capture,
  [sym_preproc_directive] = sym_preproc_directive,
  [sym_string_directive] = sym_string_directive,
  [sym_event_hdr] = sym_event_hdr,
  [sym_integer] = sym_integer,
  [sym_interval] = sym_interval,
  [sym_string] = sym_string,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_source_file_repeat2] = aux_sym_source_file_repeat2,
  [aux_sym_redef_record_decl_repeat1] = aux_sym_redef_record_decl_repeat1,
  [aux_sym_func_decl_repeat1] = aux_sym_func_decl_repeat1,
  [aux_sym_stmt_repeat1] = aux_sym_stmt_repeat1,
  [aux_sym_case_list_repeat1] = aux_sym_case_list_repeat1,
  [aux_sym_case_type_list_repeat1] = aux_sym_case_type_list_repeat1,
  [aux_sym_type_repeat1] = aux_sym_type_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_formal_args_repeat1] = aux_sym_formal_args_repeat1,
  [aux_sym_attr_list_repeat1] = aux_sym_attr_list_repeat1,
  [aux_sym_expr_list_repeat1] = aux_sym_expr_list_repeat1,
  [aux_sym_capture_list_repeat1] = aux_sym_capture_list_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_option] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_redef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_record] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_event] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_next] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_add] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_timeout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_addr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_count] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_double] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_subnet] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pattern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_port] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_table] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_time] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_timer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_list] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_vector] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hook] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_file] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opaque] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPdeprecated] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPbroker_allow_complex_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPerror_handler] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPis_assigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPis_used] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPlog] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPoptional] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPraw_output] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPredef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPadd_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPbackend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPbroker_store] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPcreate_expire] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPdefault] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPdelete_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPexpire_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPgroup] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPon_change] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPpriority] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPread_expire] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPtype_column] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMPwrite_expire] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_copy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_schedule] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_constant_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_T] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_F] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATdeprecated] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATload] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATload_DASHsigs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATload_DASHplugin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATunload] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATprefixes] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATifdef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATifndef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATendif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATelse] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATDIR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATFILENAME] = {
    .visible = true,
    .named = false,
  },
  [sym_id] = {
    .visible = true,
    .named = true,
  },
  [sym_file] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_ipv6] = {
    .visible = true,
    .named = true,
  },
  [sym_ipv4] = {
    .visible = true,
    .named = true,
  },
  [sym_port] = {
    .visible = true,
    .named = true,
  },
  [sym_floatp] = {
    .visible = true,
    .named = true,
  },
  [sym_hex] = {
    .visible = true,
    .named = true,
  },
  [sym_time_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_hostname] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_zeekygen_head_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_zeekygen_prev_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_zeekygen_next_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_minor_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_nl] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_module_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_export_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_global_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_option_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_const_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_redef_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_redef_enum_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_redef_record_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_type_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_func_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_stmt_list] = {
    .visible = true,
    .named = true,
  },
  [sym_case_list] = {
    .visible = true,
    .named = true,
  },
  [sym_case_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body_elem] = {
    .visible = true,
    .named = true,
  },
  [sym_deprecated] = {
    .visible = true,
    .named = true,
  },
  [sym_func_params] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_args] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_init_class] = {
    .visible = true,
    .named = true,
  },
  [sym_attr_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attr] = {
    .visible = true,
    .named = true,
  },
  [sym_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_expr_list] = {
    .visible = true,
    .named = true,
  },
  [sym_constant] = {
    .visible = true,
    .named = true,
  },
  [sym_func_hdr] = {
    .visible = true,
    .named = true,
  },
  [sym_func] = {
    .visible = true,
    .named = true,
  },
  [sym_hook] = {
    .visible = true,
    .named = true,
  },
  [sym_event] = {
    .visible = true,
    .named = true,
  },
  [sym_func_body] = {
    .visible = true,
    .named = true,
  },
  [sym_index_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_begin_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_capture_list] = {
    .visible = true,
    .named = true,
  },
  [sym_capture] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_string_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_event_hdr] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_interval] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_source_file_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redef_record_decl_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_func_decl_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_stmt_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_args_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attr_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expr_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_capture_list_repeat1] = {
    .visible = false,
    .named = false,
  },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(459);
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(602);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(616);
      if (lookahead == '&') ADVANCE(622);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '*') ADVANCE(613);
      if (lookahead == '+') ADVANCE(608);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(605);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(615);
      if (lookahead == '0') ADVANCE(640);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '<') ADVANCE(617);
      if (lookahead == '=') ADVANCE(531);
      if (lookahead == '>') ADVANCE(619);
      if (lookahead == '?') ADVANCE(624);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(652);
      if (lookahead == 'T') ADVANCE(649);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == ']') ADVANCE(510);
      if (lookahead == '^') ADVANCE(623);
      if (lookahead == 'a') ADVANCE(1010);
      if (lookahead == 'b') ADVANCE(1015);
      if (lookahead == 'c') ADVANCE(1006);
      if (lookahead == 'd') ADVANCE(1007);
      if (lookahead == 'e') ADVANCE(1013);
      if (lookahead == 'f') ADVANCE(1008);
      if (lookahead == 'g') ADVANCE(908);
      if (lookahead == 'h') ADVANCE(941);
      if (lookahead == 'i') ADVANCE(882);
      if (lookahead == 'l') ADVANCE(894);
      if (lookahead == 'm') ADVANCE(893);
      if (lookahead == 'n') ADVANCE(856);
      if (lookahead == 'o') ADVANCE(883);
      if (lookahead == 'p') ADVANCE(828);
      if (lookahead == 'r') ADVANCE(857);
      if (lookahead == 's') ADVANCE(842);
      if (lookahead == 't') ADVANCE(832);
      if (lookahead == 'u') ADVANCE(928);
      if (lookahead == 'v') ADVANCE(872);
      if (lookahead == 'w') ADVANCE(887);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(598);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(0)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(1021);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(641);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(1175);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(602);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(616);
      if (lookahead == '&') ADVANCE(622);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '*') ADVANCE(613);
      if (lookahead == '+') ADVANCE(608);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(605);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(615);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '<') ADVANCE(617);
      if (lookahead == '=') ADVANCE(531);
      if (lookahead == '>') ADVANCE(619);
      if (lookahead == '?') ADVANCE(624);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == ']') ADVANCE(510);
      if (lookahead == '^') ADVANCE(623);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(817);
      if (lookahead == 'c') ADVANCE(815);
      if (lookahead == 'f') ADVANCE(808);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(749);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'r') ADVANCE(713);
      if (lookahead == 's') ADVANCE(685);
      if (lookahead == 't') ADVANCE(678);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(598);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(2)
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('b' <= lookahead && lookahead <= 'e')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(602);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(616);
      if (lookahead == '&') ADVANCE(621);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '*') ADVANCE(613);
      if (lookahead == '+') ADVANCE(608);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(605);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(615);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '<') ADVANCE(617);
      if (lookahead == '=') ADVANCE(531);
      if (lookahead == '>') ADVANCE(619);
      if (lookahead == '?') ADVANCE(624);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == ']') ADVANCE(510);
      if (lookahead == '^') ADVANCE(623);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(817);
      if (lookahead == 'c') ADVANCE(815);
      if (lookahead == 'f') ADVANCE(808);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(749);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'r') ADVANCE(713);
      if (lookahead == 's') ADVANCE(685);
      if (lookahead == 't') ADVANCE(678);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(598);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(3)
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('b' <= lookahead && lookahead <= 'e')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(602);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(616);
      if (lookahead == '&') ADVANCE(621);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == '*') ADVANCE(613);
      if (lookahead == '+') ADVANCE(608);
      if (lookahead == '-') ADVANCE(605);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(615);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '<') ADVANCE(617);
      if (lookahead == '=') ADVANCE(531);
      if (lookahead == '>') ADVANCE(619);
      if (lookahead == '?') ADVANCE(624);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '^') ADVANCE(623);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(805);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(802);
      if (lookahead == 'd') ADVANCE(809);
      if (lookahead == 'e') ADVANCE(812);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(717);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(598);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(4)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(602);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(616);
      if (lookahead == '&') ADVANCE(621);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == '*') ADVANCE(613);
      if (lookahead == '+') ADVANCE(608);
      if (lookahead == '-') ADVANCE(605);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(615);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '<') ADVANCE(617);
      if (lookahead == '=') ADVANCE(531);
      if (lookahead == '>') ADVANCE(619);
      if (lookahead == '?') ADVANCE(624);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '^') ADVANCE(623);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(805);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(802);
      if (lookahead == 'd') ADVANCE(809);
      if (lookahead == 'e') ADVANCE(812);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(717);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(678);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(598);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(5)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(602);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(616);
      if (lookahead == '&') ADVANCE(621);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == '*') ADVANCE(613);
      if (lookahead == '+') ADVANCE(608);
      if (lookahead == '-') ADVANCE(605);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(615);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '<') ADVANCE(617);
      if (lookahead == '=') ADVANCE(531);
      if (lookahead == '>') ADVANCE(619);
      if (lookahead == '?') ADVANCE(624);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '^') ADVANCE(623);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(805);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(802);
      if (lookahead == 'd') ADVANCE(809);
      if (lookahead == 'e') ADVANCE(821);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(717);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(598);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(6)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(602);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(616);
      if (lookahead == '&') ADVANCE(621);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == '*') ADVANCE(613);
      if (lookahead == '+') ADVANCE(608);
      if (lookahead == '-') ADVANCE(605);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(615);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '<') ADVANCE(617);
      if (lookahead == '=') ADVANCE(531);
      if (lookahead == '>') ADVANCE(619);
      if (lookahead == '?') ADVANCE(624);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '^') ADVANCE(623);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(805);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(802);
      if (lookahead == 'd') ADVANCE(809);
      if (lookahead == 'e') ADVANCE(821);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(717);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(678);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(598);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(7)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(602);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(616);
      if (lookahead == '&') ADVANCE(622);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '*') ADVANCE(613);
      if (lookahead == '+') ADVANCE(609);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(606);
      if (lookahead == '/') ADVANCE(614);
      if (lookahead == ':') ADVANCE(472);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '<') ADVANCE(617);
      if (lookahead == '=') ADVANCE(531);
      if (lookahead == '>') ADVANCE(619);
      if (lookahead == '?') ADVANCE(624);
      if (lookahead == '@') ADVANCE(193);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == ']') ADVANCE(510);
      if (lookahead == '^') ADVANCE(623);
      if (lookahead == 'a') ADVANCE(380);
      if (lookahead == 'c') ADVANCE(168);
      if (lookahead == 'd') ADVANCE(157);
      if (lookahead == 'e') ADVANCE(418);
      if (lookahead == 'f') ADVANCE(417);
      if (lookahead == 'g') ADVANCE(293);
      if (lookahead == 'h') ADVANCE(336);
      if (lookahead == 'i') ADVANCE(307);
      if (lookahead == 'm') ADVANCE(274);
      if (lookahead == 'o') ADVANCE(249);
      if (lookahead == 'r') ADVANCE(234);
      if (lookahead == 's') ADVANCE(228);
      if (lookahead == 't') ADVANCE(432);
      if (lookahead == 'u') ADVANCE(386);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(598);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(8)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(646);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(602);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(616);
      if (lookahead == '&') ADVANCE(621);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '*') ADVANCE(613);
      if (lookahead == '+') ADVANCE(609);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(606);
      if (lookahead == '/') ADVANCE(614);
      if (lookahead == ':') ADVANCE(472);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '<') ADVANCE(617);
      if (lookahead == '=') ADVANCE(531);
      if (lookahead == '>') ADVANCE(619);
      if (lookahead == '?') ADVANCE(624);
      if (lookahead == '@') ADVANCE(193);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == ']') ADVANCE(510);
      if (lookahead == '^') ADVANCE(623);
      if (lookahead == 'a') ADVANCE(380);
      if (lookahead == 'c') ADVANCE(334);
      if (lookahead == 'd') ADVANCE(156);
      if (lookahead == 'e') ADVANCE(418);
      if (lookahead == 'f') ADVANCE(417);
      if (lookahead == 'g') ADVANCE(293);
      if (lookahead == 'h') ADVANCE(336);
      if (lookahead == 'i') ADVANCE(307);
      if (lookahead == 'm') ADVANCE(274);
      if (lookahead == 'o') ADVANCE(249);
      if (lookahead == 'r') ADVANCE(234);
      if (lookahead == 's') ADVANCE(228);
      if (lookahead == 't') ADVANCE(432);
      if (lookahead == 'u') ADVANCE(386);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(598);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(9)
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(601);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '&') ADVANCE(151);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '+') ADVANCE(608);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(605);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(473);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '=') ADVANCE(530);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == ']') ADVANCE(510);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'c') ADVANCE(815);
      if (lookahead == 'f') ADVANCE(808);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'r') ADVANCE(713);
      if (lookahead == 's') ADVANCE(685);
      if (lookahead == 't') ADVANCE(678);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(597);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(10)
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(601);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '&') ADVANCE(151);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == '+') ADVANCE(608);
      if (lookahead == '-') ADVANCE(605);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '=') ADVANCE(530);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'c') ADVANCE(815);
      if (lookahead == 'f') ADVANCE(808);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'o') ADVANCE(720);
      if (lookahead == 'r') ADVANCE(713);
      if (lookahead == 's') ADVANCE(685);
      if (lookahead == 't') ADVANCE(678);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(597);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(11)
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(601);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '+') ADVANCE(607);
      if (lookahead == '-') ADVANCE(604);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(806);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(802);
      if (lookahead == 'd') ADVANCE(809);
      if (lookahead == 'e') ADVANCE(812);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(718);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(597);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(12)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(601);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '+') ADVANCE(607);
      if (lookahead == '-') ADVANCE(604);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(806);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(802);
      if (lookahead == 'd') ADVANCE(809);
      if (lookahead == 'e') ADVANCE(812);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(718);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(678);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(597);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(13)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(601);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '+') ADVANCE(607);
      if (lookahead == '-') ADVANCE(604);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(806);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(802);
      if (lookahead == 'd') ADVANCE(809);
      if (lookahead == 'e') ADVANCE(821);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(718);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(597);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(14)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(601);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '+') ADVANCE(607);
      if (lookahead == '-') ADVANCE(604);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(806);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(802);
      if (lookahead == 'd') ADVANCE(809);
      if (lookahead == 'e') ADVANCE(821);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(718);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(678);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(597);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(15)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(601);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == '+') ADVANCE(607);
      if (lookahead == '-') ADVANCE(604);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'c') ADVANCE(815);
      if (lookahead == 'f') ADVANCE(808);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'r') ADVANCE(713);
      if (lookahead == 's') ADVANCE(685);
      if (lookahead == 't') ADVANCE(678);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(727);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(597);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(16)
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 17:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(601);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == '+') ADVANCE(607);
      if (lookahead == '-') ADVANCE(604);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'c') ADVANCE(815);
      if (lookahead == 'f') ADVANCE(808);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'r') ADVANCE(713);
      if (lookahead == 's') ADVANCE(685);
      if (lookahead == 't') ADVANCE(677);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(597);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(17)
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 18:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == 'F') ADVANCE(651);
      if (lookahead == 'T') ADVANCE(648);
      if (lookahead == 'f') ADVANCE(57);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(18)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(58);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 19:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(19)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 20:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == ':') ADVANCE(472);
      if (lookahead == '=') ADVANCE(530);
      if (lookahead == 'a') ADVANCE(853);
      if (lookahead == 'b') ADVANCE(937);
      if (lookahead == 'c') ADVANCE(949);
      if (lookahead == 'd') ADVANCE(938);
      if (lookahead == 'e') ADVANCE(926);
      if (lookahead == 'f') ADVANCE(892);
      if (lookahead == 'h') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(935);
      if (lookahead == 'l') ADVANCE(895);
      if (lookahead == 'o') ADVANCE(954);
      if (lookahead == 'p') ADVANCE(829);
      if (lookahead == 'r') ADVANCE(875);
      if (lookahead == 's') ADVANCE(877);
      if (lookahead == 't') ADVANCE(833);
      if (lookahead == 'u') ADVANCE(929);
      if (lookahead == 'v') ADVANCE(872);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(20)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 21:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '=') ADVANCE(530);
      if (lookahead == 'o') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(21)
      END_STATE();
    case 22:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == 'c') ADVANCE(944);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(22)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 23:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == 'e') ADVANCE(926);
      if (lookahead == 'r') ADVANCE(875);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(23)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 24:
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(1028);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0) ADVANCE(1033);
      END_STATE();
    case 25:
      if (lookahead == '"') ADVANCE(1168);
      if (lookahead == '\\') ADVANCE(422);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(25);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(27);
      END_STATE();
    case 26:
      if (lookahead == '"') ADVANCE(1168);
      if (lookahead == '\\') ADVANCE(422);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(26);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(27);
      END_STATE();
    case 27:
      if (lookahead == '"') ADVANCE(1168);
      if (lookahead == '\\') ADVANCE(422);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(27);
      END_STATE();
    case 28:
      if (lookahead == '%') ADVANCE(449);
      END_STATE();
    case 29:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(448);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 30:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(1046);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 31:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(50);
      END_STATE();
    case 32:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(36);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(672);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 33:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(31);
      END_STATE();
    case 34:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1051);
      END_STATE();
    case 35:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(33);
      END_STATE();
    case 36:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(35);
      END_STATE();
    case 37:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 38:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1059);
      END_STATE();
    case 39:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(1047);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 40:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(37);
      END_STATE();
    case 41:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 42:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 43:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1059);
      END_STATE();
    case 44:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 45:
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead == '%') ADVANCE(449);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(28);
      END_STATE();
    case 47:
      if (lookahead == '%') ADVANCE(449);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 48:
      if (lookahead == '%') ADVANCE(449);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1063);
      END_STATE();
    case 49:
      if (lookahead == '%') ADVANCE(449);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 50:
      if (lookahead == '%') ADVANCE(449);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 51:
      if (lookahead == '+') ADVANCE(435);
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1149);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(59);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 52:
      if (lookahead == '+') ADVANCE(435);
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1150);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 53:
      if (lookahead == '+') ADVANCE(435);
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1152);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 54:
      if (lookahead == '+') ADVANCE(435);
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '.') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1152);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 55:
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == '0') ADVANCE(62);
      if (lookahead == ':') ADVANCE(92);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 56:
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == '8') ADVANCE(55);
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(59);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 57:
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(92);
      if (lookahead == 'e') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 58:
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 59:
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 60:
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(59);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 61:
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(92);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 62:
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(39);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 63:
      if (lookahead == '.') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1152);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 64:
      if (lookahead == '.') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1161);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 65:
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 66:
      if (lookahead == '.') ADVANCE(81);
      END_STATE();
    case 67:
      if (lookahead == '.') ADVANCE(81);
      if (lookahead == '5') ADVANCE(68);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(69);
      END_STATE();
    case 68:
      if (lookahead == '.') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(66);
      END_STATE();
    case 69:
      if (lookahead == '.') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      END_STATE();
    case 70:
      if (lookahead == '.') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(69);
      END_STATE();
    case 71:
      if (lookahead == '.') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(71);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 72:
      if (lookahead == '.') ADVANCE(437);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(72);
      END_STATE();
    case 73:
      if (lookahead == '.') ADVANCE(83);
      END_STATE();
    case 74:
      if (lookahead == '.') ADVANCE(83);
      if (lookahead == '5') ADVANCE(75);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(76);
      END_STATE();
    case 75:
      if (lookahead == '.') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(73);
      END_STATE();
    case 76:
      if (lookahead == '.') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(73);
      END_STATE();
    case 77:
      if (lookahead == '.') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(76);
      END_STATE();
    case 78:
      if (lookahead == '/') ADVANCE(1037);
      if (lookahead == '\\') ADVANCE(79);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(78);
      END_STATE();
    case 79:
      if (lookahead == '/') ADVANCE(1035);
      if (lookahead == '\\') ADVANCE(79);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(78);
      END_STATE();
    case 80:
      if (lookahead == '0') ADVANCE(1064);
      if (lookahead == '1') ADVANCE(1097);
      if (lookahead == '2') ADVANCE(1070);
      if (('3' <= lookahead && lookahead <= '9')) ADVANCE(1098);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1136);
      END_STATE();
    case 81:
      if (lookahead == '1') ADVANCE(1140);
      if (lookahead == '2') ADVANCE(1108);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1139);
      END_STATE();
    case 82:
      if (lookahead == '1') ADVANCE(77);
      if (lookahead == '2') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(76);
      END_STATE();
    case 83:
      if (lookahead == '1') ADVANCE(70);
      if (lookahead == '2') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(69);
      END_STATE();
    case 84:
      if (lookahead == '1') ADVANCE(1091);
      if (lookahead == '2') ADVANCE(1069);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1092);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1132);
      END_STATE();
    case 85:
      if (lookahead == ':') ADVANCE(92);
      END_STATE();
    case 86:
      if (lookahead == ':') ADVANCE(92);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1156);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(89);
      END_STATE();
    case 87:
      if (lookahead == ':') ADVANCE(92);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1160);
      END_STATE();
    case 88:
      if (lookahead == ':') ADVANCE(92);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1155);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(85);
      END_STATE();
    case 89:
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(85);
      END_STATE();
    case 90:
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(89);
      END_STATE();
    case 91:
      if (lookahead == ':') ADVANCE(1102);
      END_STATE();
    case 92:
      if (lookahead == ':') ADVANCE(1107);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 93:
      if (lookahead == ':') ADVANCE(1106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 94:
      if (lookahead == ':') ADVANCE(448);
      END_STATE();
    case 95:
      if (lookahead == ':') ADVANCE(448);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1132);
      END_STATE();
    case 96:
      if (lookahead == ':') ADVANCE(1038);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1143);
      END_STATE();
    case 97:
      if (lookahead == ':') ADVANCE(1144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      END_STATE();
    case 98:
      if (lookahead == ':') ADVANCE(1145);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 99:
      if (lookahead == ':') ADVANCE(97);
      END_STATE();
    case 100:
      if (lookahead == ':') ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 101:
      if (lookahead == ':') ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(100);
      END_STATE();
    case 102:
      if (lookahead == ':') ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(101);
      END_STATE();
    case 103:
      if (lookahead == ':') ADVANCE(98);
      END_STATE();
    case 104:
      if (lookahead == ':') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(105);
      END_STATE();
    case 105:
      if (lookahead == ':') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(103);
      END_STATE();
    case 106:
      if (lookahead == ':') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 107:
      if (lookahead == ':') ADVANCE(96);
      END_STATE();
    case 108:
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(109);
      END_STATE();
    case 109:
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 110:
      if (lookahead == ':') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(108);
      END_STATE();
    case 111:
      if (lookahead == ':') ADVANCE(119);
      END_STATE();
    case 112:
      if (lookahead == ':') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 113:
      if (lookahead == ':') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 114:
      if (lookahead == ':') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 115:
      if (lookahead == ':') ADVANCE(124);
      END_STATE();
    case 116:
      if (lookahead == ':') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 117:
      if (lookahead == ':') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(115);
      END_STATE();
    case 118:
      if (lookahead == ':') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 119:
      if (lookahead == ':') ADVANCE(1103);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(102);
      END_STATE();
    case 120:
      if (lookahead == ':') ADVANCE(125);
      END_STATE();
    case 121:
      if (lookahead == ':') ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(123);
      END_STATE();
    case 122:
      if (lookahead == ':') ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(120);
      END_STATE();
    case 123:
      if (lookahead == ':') ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      END_STATE();
    case 124:
      if (lookahead == ':') ADVANCE(1104);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      END_STATE();
    case 125:
      if (lookahead == ':') ADVANCE(1105);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 126:
      if (lookahead == 'A') ADVANCE(134);
      END_STATE();
    case 127:
      if (lookahead == 'D') ADVANCE(131);
      if (lookahead == 'F') ADVANCE(132);
      END_STATE();
    case 128:
      if (lookahead == 'D') ADVANCE(131);
      if (lookahead == 'F') ADVANCE(132);
      if (lookahead == 'd') ADVANCE(217);
      if (lookahead == 'e') ADVANCE(287);
      if (lookahead == 'i') ADVANCE(243);
      if (lookahead == 'l') ADVANCE(324);
      if (lookahead == 'p') ADVANCE(362);
      if (lookahead == 'u') ADVANCE(302);
      END_STATE();
    case 129:
      if (lookahead == 'E') ADVANCE(135);
      END_STATE();
    case 130:
      if (lookahead == 'E') ADVANCE(665);
      END_STATE();
    case 131:
      if (lookahead == 'I') ADVANCE(136);
      END_STATE();
    case 132:
      if (lookahead == 'I') ADVANCE(133);
      END_STATE();
    case 133:
      if (lookahead == 'L') ADVANCE(129);
      END_STATE();
    case 134:
      if (lookahead == 'M') ADVANCE(130);
      END_STATE();
    case 135:
      if (lookahead == 'N') ADVANCE(126);
      END_STATE();
    case 136:
      if (lookahead == 'R') ADVANCE(664);
      END_STATE();
    case 137:
      if (lookahead == '_') ADVANCE(155);
      END_STATE();
    case 138:
      if (lookahead == '_') ADVANCE(160);
      END_STATE();
    case 139:
      if (lookahead == '_') ADVANCE(252);
      END_STATE();
    case 140:
      if (lookahead == '_') ADVANCE(174);
      END_STATE();
    case 141:
      if (lookahead == '_') ADVANCE(180);
      END_STATE();
    case 142:
      if (lookahead == '_') ADVANCE(330);
      END_STATE();
    case 143:
      if (lookahead == '_') ADVANCE(404);
      END_STATE();
    case 144:
      if (lookahead == '_') ADVANCE(215);
      END_STATE();
    case 145:
      if (lookahead == '_') ADVANCE(263);
      END_STATE();
    case 146:
      if (lookahead == '_') ADVANCE(181);
      END_STATE();
    case 147:
      if (lookahead == '_') ADVANCE(255);
      END_STATE();
    case 148:
      if (lookahead == '_') ADVANCE(256);
      END_STATE();
    case 149:
      if (lookahead == '_') ADVANCE(239);
      END_STATE();
    case 150:
      if (lookahead == '_') ADVANCE(240);
      END_STATE();
    case 151:
      if (lookahead == 'a') ADVANCE(192);
      if (lookahead == 'b') ADVANCE(152);
      if (lookahead == 'c') ADVANCE(361);
      if (lookahead == 'd') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(374);
      if (lookahead == 'g') ADVANCE(363);
      if (lookahead == 'i') ADVANCE(377);
      if (lookahead == 'l') ADVANCE(323);
      if (lookahead == 'o') ADVANCE(310);
      if (lookahead == 'p') ADVANCE(358);
      if (lookahead == 'r') ADVANCE(153);
      if (lookahead == 't') ADVANCE(430);
      if (lookahead == 'w') ADVANCE(360);
      END_STATE();
    case 152:
      if (lookahead == 'a') ADVANCE(172);
      if (lookahead == 'r') ADVANCE(340);
      END_STATE();
    case 153:
      if (lookahead == 'a') ADVANCE(419);
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 154:
      if (lookahead == 'a') ADVANCE(406);
      END_STATE();
    case 155:
      if (lookahead == 'a') ADVANCE(381);
      if (lookahead == 'u') ADVANCE(385);
      END_STATE();
    case 156:
      if (lookahead == 'a') ADVANCE(429);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 158:
      if (lookahead == 'a') ADVANCE(285);
      END_STATE();
    case 159:
      if (lookahead == 'a') ADVANCE(185);
      END_STATE();
    case 160:
      if (lookahead == 'a') ADVANCE(297);
      if (lookahead == 's') ADVANCE(396);
      END_STATE();
    case 161:
      if (lookahead == 'a') ADVANCE(186);
      END_STATE();
    case 162:
      if (lookahead == 'a') ADVANCE(311);
      END_STATE();
    case 163:
      if (lookahead == 'a') ADVANCE(286);
      END_STATE();
    case 164:
      if (lookahead == 'a') ADVANCE(197);
      if (lookahead == 'd') ADVANCE(219);
      END_STATE();
    case 165:
      if (lookahead == 'a') ADVANCE(413);
      END_STATE();
    case 166:
      if (lookahead == 'a') ADVANCE(319);
      END_STATE();
    case 167:
      if (lookahead == 'a') ADVANCE(399);
      END_STATE();
    case 168:
      if (lookahead == 'a') ADVANCE(387);
      if (lookahead == 'o') ADVANCE(315);
      END_STATE();
    case 169:
      if (lookahead == 'a') ADVANCE(400);
      END_STATE();
    case 170:
      if (lookahead == 'a') ADVANCE(405);
      END_STATE();
    case 171:
      if (lookahead == 'b') ADVANCE(163);
      END_STATE();
    case 172:
      if (lookahead == 'c') ADVANCE(283);
      END_STATE();
    case 173:
      if (lookahead == 'c') ADVANCE(299);
      END_STATE();
    case 174:
      if (lookahead == 'c') ADVANCE(262);
      END_STATE();
    case 175:
      if (lookahead == 'c') ADVANCE(583);
      END_STATE();
    case 176:
      if (lookahead == 'c') ADVANCE(588);
      END_STATE();
    case 177:
      if (lookahead == 'c') ADVANCE(589);
      END_STATE();
    case 178:
      if (lookahead == 'c') ADVANCE(1164);
      END_STATE();
    case 179:
      if (lookahead == 'c') ADVANCE(344);
      END_STATE();
    case 180:
      if (lookahead == 'c') ADVANCE(342);
      END_STATE();
    case 181:
      if (lookahead == 'c') ADVANCE(341);
      END_STATE();
    case 182:
      if (lookahead == 'c') ADVANCE(167);
      END_STATE();
    case 183:
      if (lookahead == 'c') ADVANCE(169);
      END_STATE();
    case 184:
      if (lookahead == 'c') ADVANCE(403);
      END_STATE();
    case 185:
      if (lookahead == 'd') ADVANCE(654);
      END_STATE();
    case 186:
      if (lookahead == 'd') ADVANCE(657);
      END_STATE();
    case 187:
      if (lookahead == 'd') ADVANCE(584);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(578);
      END_STATE();
    case 189:
      if (lookahead == 'd') ADVANCE(573);
      END_STATE();
    case 190:
      if (lookahead == 'd') ADVANCE(653);
      END_STATE();
    case 191:
      if (lookahead == 'd') ADVANCE(577);
      END_STATE();
    case 192:
      if (lookahead == 'd') ADVANCE(194);
      END_STATE();
    case 193:
      if (lookahead == 'd') ADVANCE(217);
      if (lookahead == 'e') ADVANCE(287);
      if (lookahead == 'i') ADVANCE(243);
      if (lookahead == 'l') ADVANCE(324);
      if (lookahead == 'p') ADVANCE(362);
      if (lookahead == 'u') ADVANCE(302);
      END_STATE();
    case 194:
      if (lookahead == 'd') ADVANCE(139);
      END_STATE();
    case 195:
      if (lookahead == 'd') ADVANCE(344);
      if (lookahead == 'n') ADVANCE(282);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(270);
      END_STATE();
    case 197:
      if (lookahead == 'd') ADVANCE(144);
      END_STATE();
    case 198:
      if (lookahead == 'd') ADVANCE(294);
      END_STATE();
    case 199:
      if (lookahead == 'd') ADVANCE(416);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(224);
      END_STATE();
    case 201:
      if (lookahead == 'd') ADVANCE(227);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(251);
      END_STATE();
    case 203:
      if (lookahead == 'e') ADVANCE(663);
      END_STATE();
    case 204:
      if (lookahead == 'e') ADVANCE(591);
      END_STATE();
    case 205:
      if (lookahead == 'e') ADVANCE(593);
      END_STATE();
    case 206:
      if (lookahead == 'e') ADVANCE(585);
      END_STATE();
    case 207:
      if (lookahead == 'e') ADVANCE(595);
      END_STATE();
    case 208:
      if (lookahead == 'e') ADVANCE(586);
      END_STATE();
    case 209:
      if (lookahead == 'e') ADVANCE(575);
      END_STATE();
    case 210:
      if (lookahead == 'e') ADVANCE(532);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(487);
      END_STATE();
    case 212:
      if (lookahead == 'e') ADVANCE(460);
      END_STATE();
    case 213:
      if (lookahead == 'e') ADVANCE(253);
      END_STATE();
    case 214:
      if (lookahead == 'e') ADVANCE(170);
      END_STATE();
    case 215:
      if (lookahead == 'e') ADVANCE(425);
      END_STATE();
    case 216:
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 217:
      if (lookahead == 'e') ADVANCE(357);
      END_STATE();
    case 218:
      if (lookahead == 'e') ADVANCE(423);
      END_STATE();
    case 219:
      if (lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 220:
      if (lookahead == 'e') ADVANCE(378);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 222:
      if (lookahead == 'e') ADVANCE(246);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 224:
      if (lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 225:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 226:
      if (lookahead == 'e') ADVANCE(189);
      END_STATE();
    case 227:
      if (lookahead == 'e') ADVANCE(250);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 229:
      if (lookahead == 'e') ADVANCE(190);
      END_STATE();
    case 230:
      if (lookahead == 'e') ADVANCE(191);
      END_STATE();
    case 231:
      if (lookahead == 'e') ADVANCE(320);
      END_STATE();
    case 232:
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 233:
      if (lookahead == 'e') ADVANCE(398);
      END_STATE();
    case 234:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 236:
      if (lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 237:
      if (lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 238:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 239:
      if (lookahead == 'e') ADVANCE(426);
      END_STATE();
    case 240:
      if (lookahead == 'e') ADVANCE(427);
      END_STATE();
    case 241:
      if (lookahead == 'e') ADVANCE(149);
      END_STATE();
    case 242:
      if (lookahead == 'e') ADVANCE(150);
      END_STATE();
    case 243:
      if (lookahead == 'f') ADVANCE(659);
      END_STATE();
    case 244:
      if (lookahead == 'f') ADVANCE(582);
      END_STATE();
    case 245:
      if (lookahead == 'f') ADVANCE(662);
      END_STATE();
    case 246:
      if (lookahead == 'f') ADVANCE(660);
      END_STATE();
    case 247:
      if (lookahead == 'f') ADVANCE(661);
      END_STATE();
    case 248:
      if (lookahead == 'f') ADVANCE(554);
      END_STATE();
    case 249:
      if (lookahead == 'f') ADVANCE(554);
      if (lookahead == 'p') ADVANCE(402);
      END_STATE();
    case 250:
      if (lookahead == 'f') ADVANCE(480);
      END_STATE();
    case 251:
      if (lookahead == 'f') ADVANCE(154);
      if (lookahead == 'l') ADVANCE(233);
      if (lookahead == 'p') ADVANCE(369);
      END_STATE();
    case 252:
      if (lookahead == 'f') ADVANCE(408);
      END_STATE();
    case 253:
      if (lookahead == 'f') ADVANCE(264);
      END_STATE();
    case 254:
      if (lookahead == 'f') ADVANCE(165);
      END_STATE();
    case 255:
      if (lookahead == 'f') ADVANCE(414);
      END_STATE();
    case 256:
      if (lookahead == 'f') ADVANCE(415);
      END_STATE();
    case 257:
      if (lookahead == 'g') ADVANCE(579);
      END_STATE();
    case 258:
      if (lookahead == 'g') ADVANCE(379);
      END_STATE();
    case 259:
      if (lookahead == 'g') ADVANCE(322);
      END_STATE();
    case 260:
      if (lookahead == 'g') ADVANCE(273);
      END_STATE();
    case 261:
      if (lookahead == 'g') ADVANCE(204);
      END_STATE();
    case 262:
      if (lookahead == 'h') ADVANCE(162);
      END_STATE();
    case 263:
      if (lookahead == 'h') ADVANCE(166);
      END_STATE();
    case 264:
      if (lookahead == 'i') ADVANCE(424);
      END_STATE();
    case 265:
      if (lookahead == 'i') ADVANCE(173);
      if (lookahead == 't') ADVANCE(179);
      if (lookahead == 'u') ADVANCE(195);
      END_STATE();
    case 266:
      if (lookahead == 'i') ADVANCE(259);
      END_STATE();
    case 267:
      if (lookahead == 'i') ADVANCE(397);
      END_STATE();
    case 268:
      if (lookahead == 'i') ADVANCE(258);
      END_STATE();
    case 269:
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 270:
      if (lookahead == 'i') ADVANCE(245);
      END_STATE();
    case 271:
      if (lookahead == 'i') ADVANCE(332);
      END_STATE();
    case 272:
      if (lookahead == 'i') ADVANCE(329);
      END_STATE();
    case 273:
      if (lookahead == 'i') ADVANCE(305);
      END_STATE();
    case 274:
      if (lookahead == 'i') ADVANCE(306);
      if (lookahead == 'o') ADVANCE(199);
      if (lookahead == 's') ADVANCE(228);
      END_STATE();
    case 275:
      if (lookahead == 'i') ADVANCE(335);
      END_STATE();
    case 276:
      if (lookahead == 'i') ADVANCE(337);
      END_STATE();
    case 277:
      if (lookahead == 'i') ADVANCE(376);
      END_STATE();
    case 278:
      if (lookahead == 'i') ADVANCE(370);
      END_STATE();
    case 279:
      if (lookahead == 'i') ADVANCE(372);
      END_STATE();
    case 280:
      if (lookahead == 'i') ADVANCE(373);
      END_STATE();
    case 281:
      if (lookahead == 'k') ADVANCE(568);
      END_STATE();
    case 282:
      if (lookahead == 'k') ADVANCE(317);
      END_STATE();
    case 283:
      if (lookahead == 'k') ADVANCE(216);
      END_STATE();
    case 284:
      if (lookahead == 'k') ADVANCE(235);
      END_STATE();
    case 285:
      if (lookahead == 'l') ADVANCE(580);
      END_STATE();
    case 286:
      if (lookahead == 'l') ADVANCE(469);
      END_STATE();
    case 287:
      if (lookahead == 'l') ADVANCE(383);
      if (lookahead == 'n') ADVANCE(196);
      END_STATE();
    case 288:
      if (lookahead == 'l') ADVANCE(388);
      END_STATE();
    case 289:
      if (lookahead == 'l') ADVANCE(410);
      END_STATE();
    case 290:
      if (lookahead == 'l') ADVANCE(407);
      END_STATE();
    case 291:
      if (lookahead == 'l') ADVANCE(338);
      END_STATE();
    case 292:
      if (lookahead == 'l') ADVANCE(393);
      END_STATE();
    case 293:
      if (lookahead == 'l') ADVANCE(326);
      END_STATE();
    case 294:
      if (lookahead == 'l') ADVANCE(223);
      END_STATE();
    case 295:
      if (lookahead == 'l') ADVANCE(218);
      END_STATE();
    case 296:
      if (lookahead == 'l') ADVANCE(212);
      END_STATE();
    case 297:
      if (lookahead == 'l') ADVANCE(291);
      END_STATE();
    case 298:
      if (lookahead == 'l') ADVANCE(339);
      END_STATE();
    case 299:
      if (lookahead == 'm') ADVANCE(344);
      END_STATE();
    case 300:
      if (lookahead == 'm') ADVANCE(353);
      END_STATE();
    case 301:
      if (lookahead == 'm') ADVANCE(304);
      END_STATE();
    case 302:
      if (lookahead == 'n') ADVANCE(298);
      END_STATE();
    case 303:
      if (lookahead == 'n') ADVANCE(1148);
      END_STATE();
    case 304:
      if (lookahead == 'n') ADVANCE(594);
      END_STATE();
    case 305:
      if (lookahead == 'n') ADVANCE(656);
      END_STATE();
    case 306:
      if (lookahead == 'n') ADVANCE(1164);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(506);
      if (lookahead == 's') ADVANCE(610);
      END_STATE();
    case 308:
      if (lookahead == 'n') ADVANCE(474);
      END_STATE();
    case 309:
      if (lookahead == 'n') ADVANCE(565);
      END_STATE();
    case 310:
      if (lookahead == 'n') ADVANCE(140);
      if (lookahead == 'p') ADVANCE(401);
      END_STATE();
    case 311:
      if (lookahead == 'n') ADVANCE(261);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(158);
      END_STATE();
    case 313:
      if (lookahead == 'n') ADVANCE(187);
      END_STATE();
    case 314:
      if (lookahead == 'n') ADVANCE(175);
      END_STATE();
    case 315:
      if (lookahead == 'n') ADVANCE(384);
      END_STATE();
    case 316:
      if (lookahead == 'n') ADVANCE(176);
      END_STATE();
    case 317:
      if (lookahead == 'n') ADVANCE(327);
      END_STATE();
    case 318:
      if (lookahead == 'n') ADVANCE(177);
      END_STATE();
    case 319:
      if (lookahead == 'n') ADVANCE(198);
      END_STATE();
    case 320:
      if (lookahead == 'n') ADVANCE(391);
      END_STATE();
    case 321:
      if (lookahead == 'n') ADVANCE(184);
      END_STATE();
    case 322:
      if (lookahead == 'n') ADVANCE(230);
      END_STATE();
    case 323:
      if (lookahead == 'o') ADVANCE(257);
      END_STATE();
    case 324:
      if (lookahead == 'o') ADVANCE(159);
      END_STATE();
    case 325:
      if (lookahead == 'o') ADVANCE(409);
      END_STATE();
    case 326:
      if (lookahead == 'o') ADVANCE(171);
      END_STATE();
    case 327:
      if (lookahead == 'o') ADVANCE(420);
      END_STATE();
    case 328:
      if (lookahead == 'o') ADVANCE(281);
      END_STATE();
    case 329:
      if (lookahead == 'o') ADVANCE(312);
      END_STATE();
    case 330:
      if (lookahead == 'o') ADVANCE(411);
      END_STATE();
    case 331:
      if (lookahead == 'o') ADVANCE(365);
      END_STATE();
    case 332:
      if (lookahead == 'o') ADVANCE(366);
      END_STATE();
    case 333:
      if (lookahead == 'o') ADVANCE(368);
      END_STATE();
    case 334:
      if (lookahead == 'o') ADVANCE(315);
      END_STATE();
    case 335:
      if (lookahead == 'o') ADVANCE(308);
      END_STATE();
    case 336:
      if (lookahead == 'o') ADVANCE(328);
      if (lookahead == 'r') ADVANCE(1164);
      END_STATE();
    case 337:
      if (lookahead == 'o') ADVANCE(309);
      END_STATE();
    case 338:
      if (lookahead == 'o') ADVANCE(421);
      END_STATE();
    case 339:
      if (lookahead == 'o') ADVANCE(161);
      END_STATE();
    case 340:
      if (lookahead == 'o') ADVANCE(284);
      END_STATE();
    case 341:
      if (lookahead == 'o') ADVANCE(300);
      END_STATE();
    case 342:
      if (lookahead == 'o') ADVANCE(290);
      END_STATE();
    case 343:
      if (lookahead == 'o') ADVANCE(371);
      END_STATE();
    case 344:
      if (lookahead == 'p') ADVANCE(1148);
      END_STATE();
    case 345:
      if (lookahead == 'p') ADVANCE(590);
      END_STATE();
    case 346:
      if (lookahead == 'p') ADVANCE(277);
      END_STATE();
    case 347:
      if (lookahead == 'p') ADVANCE(289);
      if (lookahead == 's') ADVANCE(268);
      END_STATE();
    case 348:
      if (lookahead == 'p') ADVANCE(232);
      END_STATE();
    case 349:
      if (lookahead == 'p') ADVANCE(333);
      END_STATE();
    case 350:
      if (lookahead == 'p') ADVANCE(209);
      END_STATE();
    case 351:
      if (lookahead == 'p') ADVANCE(211);
      END_STATE();
    case 352:
      if (lookahead == 'p') ADVANCE(412);
      END_STATE();
    case 353:
      if (lookahead == 'p') ADVANCE(295);
      END_STATE();
    case 354:
      if (lookahead == 'p') ADVANCE(278);
      END_STATE();
    case 355:
      if (lookahead == 'p') ADVANCE(279);
      END_STATE();
    case 356:
      if (lookahead == 'p') ADVANCE(280);
      END_STATE();
    case 357:
      if (lookahead == 'p') ADVANCE(375);
      END_STATE();
    case 358:
      if (lookahead == 'r') ADVANCE(271);
      END_STATE();
    case 359:
      if (lookahead == 'r') ADVANCE(576);
      END_STATE();
    case 360:
      if (lookahead == 'r') ADVANCE(267);
      END_STATE();
    case 361:
      if (lookahead == 'r') ADVANCE(214);
      END_STATE();
    case 362:
      if (lookahead == 'r') ADVANCE(213);
      END_STATE();
    case 363:
      if (lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 364:
      if (lookahead == 'r') ADVANCE(331);
      END_STATE();
    case 365:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 366:
      if (lookahead == 'r') ADVANCE(269);
      END_STATE();
    case 367:
      if (lookahead == 'r') ADVANCE(138);
      END_STATE();
    case 368:
      if (lookahead == 'r') ADVANCE(392);
      END_STATE();
    case 369:
      if (lookahead == 'r') ADVANCE(221);
      END_STATE();
    case 370:
      if (lookahead == 'r') ADVANCE(205);
      END_STATE();
    case 371:
      if (lookahead == 'r') ADVANCE(206);
      END_STATE();
    case 372:
      if (lookahead == 'r') ADVANCE(207);
      END_STATE();
    case 373:
      if (lookahead == 'r') ADVANCE(208);
      END_STATE();
    case 374:
      if (lookahead == 'r') ADVANCE(364);
      if (lookahead == 'x') ADVANCE(346);
      END_STATE();
    case 375:
      if (lookahead == 'r') ADVANCE(237);
      END_STATE();
    case 376:
      if (lookahead == 'r') ADVANCE(238);
      END_STATE();
    case 377:
      if (lookahead == 's') ADVANCE(137);
      END_STATE();
    case 378:
      if (lookahead == 's') ADVANCE(658);
      END_STATE();
    case 379:
      if (lookahead == 's') ADVANCE(655);
      END_STATE();
    case 380:
      if (lookahead == 's') ADVANCE(538);
      END_STATE();
    case 381:
      if (lookahead == 's') ADVANCE(382);
      END_STATE();
    case 382:
      if (lookahead == 's') ADVANCE(266);
      END_STATE();
    case 383:
      if (lookahead == 's') ADVANCE(203);
      END_STATE();
    case 384:
      if (lookahead == 's') ADVANCE(390);
      END_STATE();
    case 385:
      if (lookahead == 's') ADVANCE(225);
      END_STATE();
    case 386:
      if (lookahead == 's') ADVANCE(228);
      END_STATE();
    case 387:
      if (lookahead == 's') ADVANCE(210);
      END_STATE();
    case 388:
      if (lookahead == 't') ADVANCE(587);
      END_STATE();
    case 389:
      if (lookahead == 't') ADVANCE(581);
      END_STATE();
    case 390:
      if (lookahead == 't') ADVANCE(477);
      END_STATE();
    case 391:
      if (lookahead == 't') ADVANCE(492);
      END_STATE();
    case 392:
      if (lookahead == 't') ADVANCE(464);
      END_STATE();
    case 393:
      if (lookahead == 't') ADVANCE(535);
      END_STATE();
    case 394:
      if (lookahead == 't') ADVANCE(428);
      END_STATE();
    case 395:
      if (lookahead == 't') ADVANCE(352);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(343);
      END_STATE();
    case 397:
      if (lookahead == 't') ADVANCE(241);
      END_STATE();
    case 398:
      if (lookahead == 't') ADVANCE(236);
      END_STATE();
    case 399:
      if (lookahead == 't') ADVANCE(226);
      END_STATE();
    case 400:
      if (lookahead == 't') ADVANCE(229);
      END_STATE();
    case 401:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 402:
      if (lookahead == 't') ADVANCE(275);
      END_STATE();
    case 403:
      if (lookahead == 't') ADVANCE(276);
      END_STATE();
    case 404:
      if (lookahead == 't') ADVANCE(431);
      END_STATE();
    case 405:
      if (lookahead == 't') ADVANCE(242);
      END_STATE();
    case 406:
      if (lookahead == 'u') ADVANCE(288);
      END_STATE();
    case 407:
      if (lookahead == 'u') ADVANCE(301);
      END_STATE();
    case 408:
      if (lookahead == 'u') ADVANCE(314);
      END_STATE();
    case 409:
      if (lookahead == 'u') ADVANCE(345);
      END_STATE();
    case 410:
      if (lookahead == 'u') ADVANCE(260);
      END_STATE();
    case 411:
      if (lookahead == 'u') ADVANCE(395);
      END_STATE();
    case 412:
      if (lookahead == 'u') ADVANCE(389);
      END_STATE();
    case 413:
      if (lookahead == 'u') ADVANCE(292);
      END_STATE();
    case 414:
      if (lookahead == 'u') ADVANCE(316);
      END_STATE();
    case 415:
      if (lookahead == 'u') ADVANCE(318);
      END_STATE();
    case 416:
      if (lookahead == 'u') ADVANCE(296);
      END_STATE();
    case 417:
      if (lookahead == 'u') ADVANCE(321);
      END_STATE();
    case 418:
      if (lookahead == 'v') ADVANCE(231);
      if (lookahead == 'x') ADVANCE(349);
      END_STATE();
    case 419:
      if (lookahead == 'w') ADVANCE(142);
      END_STATE();
    case 420:
      if (lookahead == 'w') ADVANCE(303);
      END_STATE();
    case 421:
      if (lookahead == 'w') ADVANCE(146);
      END_STATE();
    case 422:
      if (lookahead == 'x') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(25);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(27);
      END_STATE();
    case 423:
      if (lookahead == 'x') ADVANCE(143);
      END_STATE();
    case 424:
      if (lookahead == 'x') ADVANCE(220);
      END_STATE();
    case 425:
      if (lookahead == 'x') ADVANCE(354);
      END_STATE();
    case 426:
      if (lookahead == 'x') ADVANCE(355);
      END_STATE();
    case 427:
      if (lookahead == 'x') ADVANCE(356);
      END_STATE();
    case 428:
      if (lookahead == 'y') ADVANCE(592);
      END_STATE();
    case 429:
      if (lookahead == 'y') ADVANCE(1164);
      END_STATE();
    case 430:
      if (lookahead == 'y') ADVANCE(348);
      END_STATE();
    case 431:
      if (lookahead == 'y') ADVANCE(350);
      END_STATE();
    case 432:
      if (lookahead == 'y') ADVANCE(351);
      END_STATE();
    case 433:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1160);
      END_STATE();
    case 434:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1157);
      END_STATE();
    case 435:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1160);
      END_STATE();
    case 436:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(72);
      END_STATE();
    case 437:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1147);
      END_STATE();
    case 438:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1167);
      END_STATE();
    case 439:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1146);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1167);
      END_STATE();
    case 440:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(71);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1167);
      END_STATE();
    case 441:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1162);
      END_STATE();
    case 442:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1121);
      END_STATE();
    case 443:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1124);
      END_STATE();
    case 444:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1143);
      END_STATE();
    case 445:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1128);
      END_STATE();
    case 446:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1132);
      END_STATE();
    case 447:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1136);
      END_STATE();
    case 448:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 449:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1038);
      END_STATE();
    case 450:
      if (eof) ADVANCE(459);
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(602);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(616);
      if (lookahead == '&') ADVANCE(621);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == '*') ADVANCE(613);
      if (lookahead == '+') ADVANCE(608);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(605);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(615);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '<') ADVANCE(617);
      if (lookahead == '=') ADVANCE(531);
      if (lookahead == '>') ADVANCE(619);
      if (lookahead == '?') ADVANCE(624);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '^') ADVANCE(623);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(805);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(814);
      if (lookahead == 'd') ADVANCE(807);
      if (lookahead == 'e') ADVANCE(821);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(717);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(678);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(598);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(450)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 451:
      if (eof) ADVANCE(459);
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(602);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(616);
      if (lookahead == '&') ADVANCE(621);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == '*') ADVANCE(613);
      if (lookahead == '+') ADVANCE(608);
      if (lookahead == '-') ADVANCE(605);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(615);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '<') ADVANCE(617);
      if (lookahead == '=') ADVANCE(531);
      if (lookahead == '>') ADVANCE(619);
      if (lookahead == '?') ADVANCE(624);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '^') ADVANCE(623);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(805);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(814);
      if (lookahead == 'd') ADVANCE(807);
      if (lookahead == 'e') ADVANCE(812);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(717);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(598);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(451)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 452:
      if (eof) ADVANCE(459);
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(602);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(616);
      if (lookahead == '&') ADVANCE(621);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == '*') ADVANCE(613);
      if (lookahead == '+') ADVANCE(608);
      if (lookahead == '-') ADVANCE(605);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(615);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '<') ADVANCE(617);
      if (lookahead == '=') ADVANCE(531);
      if (lookahead == '>') ADVANCE(619);
      if (lookahead == '?') ADVANCE(624);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '^') ADVANCE(623);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(805);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(814);
      if (lookahead == 'd') ADVANCE(807);
      if (lookahead == 'e') ADVANCE(812);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(717);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(678);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(598);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(452)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 453:
      if (eof) ADVANCE(459);
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(602);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(616);
      if (lookahead == '&') ADVANCE(621);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == '*') ADVANCE(613);
      if (lookahead == '+') ADVANCE(608);
      if (lookahead == '-') ADVANCE(605);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(615);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '<') ADVANCE(617);
      if (lookahead == '=') ADVANCE(531);
      if (lookahead == '>') ADVANCE(619);
      if (lookahead == '?') ADVANCE(624);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '^') ADVANCE(623);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(805);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(814);
      if (lookahead == 'd') ADVANCE(807);
      if (lookahead == 'e') ADVANCE(821);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(717);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(598);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(453)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 454:
      if (eof) ADVANCE(459);
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(601);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '&') ADVANCE(151);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '+') ADVANCE(608);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(604);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '=') ADVANCE(530);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(806);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(814);
      if (lookahead == 'd') ADVANCE(807);
      if (lookahead == 'e') ADVANCE(820);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'g') ADVANCE(736);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(718);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'm') ADVANCE(754);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'o') ADVANCE(765);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(697);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(677);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(597);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(454)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 455:
      if (eof) ADVANCE(459);
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(601);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '+') ADVANCE(607);
      if (lookahead == '-') ADVANCE(604);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(806);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(814);
      if (lookahead == 'd') ADVANCE(807);
      if (lookahead == 'e') ADVANCE(812);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(718);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(597);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(455)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 456:
      if (eof) ADVANCE(459);
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(601);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '+') ADVANCE(607);
      if (lookahead == '-') ADVANCE(604);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(806);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(814);
      if (lookahead == 'd') ADVANCE(807);
      if (lookahead == 'e') ADVANCE(812);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(718);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(678);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(597);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(456)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 457:
      if (eof) ADVANCE(459);
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(601);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '+') ADVANCE(607);
      if (lookahead == '-') ADVANCE(604);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(806);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(814);
      if (lookahead == 'd') ADVANCE(807);
      if (lookahead == 'e') ADVANCE(821);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(718);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(597);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(457)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 458:
      if (eof) ADVANCE(459);
      if (lookahead == '\n') ADVANCE(1175);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(601);
      if (lookahead == '"') ADVANCE(27);
      if (lookahead == '#') ADVANCE(1173);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '(') ADVANCE(497);
      if (lookahead == ')') ADVANCE(498);
      if (lookahead == '+') ADVANCE(607);
      if (lookahead == '-') ADVANCE(604);
      if (lookahead == '.') ADVANCE(434);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead == '0') ADVANCE(634);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == ';') ADVANCE(463);
      if (lookahead == '@') ADVANCE(128);
      if (lookahead == 'F') ADVANCE(650);
      if (lookahead == 'T') ADVANCE(647);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(806);
      if (lookahead == 'b') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(814);
      if (lookahead == 'd') ADVANCE(807);
      if (lookahead == 'e') ADVANCE(821);
      if (lookahead == 'f') ADVANCE(801);
      if (lookahead == 'h') ADVANCE(761);
      if (lookahead == 'i') ADVANCE(718);
      if (lookahead == 'l') ADVANCE(753);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'p') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(705);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == 't') ADVANCE(678);
      if (lookahead == 'v') ADVANCE(710);
      if (lookahead == 'w') ADVANCE(722);
      if (lookahead == '{') ADVANCE(467);
      if (lookahead == '|') ADVANCE(597);
      if (lookahead == '}') ADVANCE(468);
      if (lookahead == '~') ADVANCE(603);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(458)
      if (('A' <= lookahead && lookahead <= 'E')) ADVANCE(824);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(635);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_global);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_global);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(1102);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_option);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_option);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_option);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_redef);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_redef);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_redef);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_record);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_record);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_print);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_print);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_event);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_event);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_event);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_if);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_if);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_switch);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_switch);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_next);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_next);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_break);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_break);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_return);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_return);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_add);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(825);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_add);
      if (lookahead == ':') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1022);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_delete);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_delete);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_local);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_local);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_when);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_when);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_timeout);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(625);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_addr);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_any);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_count);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_double);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(961);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_interval);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_string);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_subnet);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_pattern);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_port);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_table);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_table);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_set);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_set);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_time);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'r') ADVANCE(560);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_timer);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_union);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_list);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_vector);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_vector);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_hook);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_hook);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_hook);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_file);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_opaque);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_AMPdeprecated);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_AMPbroker_allow_complex_type);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_AMPerror_handler);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_AMPis_assigned);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_AMPis_used);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_AMPlog);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_AMPoptional);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_AMPraw_output);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_AMPredef);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_AMPadd_func);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_AMPbackend);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_AMPbroker_store);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_AMPcreate_expire);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_AMPdefault);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_AMPdelete_func);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym_AMPexpire_func);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(anon_sym_AMPgroup);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(anon_sym_AMPon_change);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym_AMPpriority);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(anon_sym_AMPread_expire);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(anon_sym_AMPtype_column);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_AMPwrite_expire);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(628);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(626);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(600);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '=') ADVANCE(574);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(574);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(599);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(599);
      if (lookahead == '=') ADVANCE(484);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(484);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(1037);
      if (lookahead == '\\') ADVANCE(79);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(78);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(618);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(620);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(627);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(627);
      if (lookahead == 'a') ADVANCE(192);
      if (lookahead == 'b') ADVANCE(152);
      if (lookahead == 'c') ADVANCE(361);
      if (lookahead == 'd') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(374);
      if (lookahead == 'g') ADVANCE(363);
      if (lookahead == 'i') ADVANCE(377);
      if (lookahead == 'l') ADVANCE(323);
      if (lookahead == 'o') ADVANCE(310);
      if (lookahead == 'p') ADVANCE(358);
      if (lookahead == 'r') ADVANCE(153);
      if (lookahead == 't') ADVANCE(430);
      if (lookahead == 'w') ADVANCE(360);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '$') ADVANCE(631);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(anon_sym_copy);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(anon_sym_copy);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(anon_sym_QMARK_DOLLAR);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(anon_sym_schedule);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(anon_sym_schedule);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1159);
      if (lookahead == '/') ADVANCE(265);
      if (lookahead == ':') ADVANCE(92);
      if (lookahead == 'x') ADVANCE(64);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(51);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(638);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1159);
      if (lookahead == '/') ADVANCE(265);
      if (lookahead == ':') ADVANCE(92);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(51);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(638);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1159);
      if (lookahead == '/') ADVANCE(265);
      if (lookahead == ':') ADVANCE(92);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(639);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1159);
      if (lookahead == '/') ADVANCE(265);
      if (lookahead == ':') ADVANCE(92);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(53);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(636);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1159);
      if (lookahead == '/') ADVANCE(265);
      if (lookahead == ':') ADVANCE(92);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(52);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(637);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1159);
      if (lookahead == '/') ADVANCE(265);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(639);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1158);
      if (lookahead == '/') ADVANCE(265);
      if (lookahead == ':') ADVANCE(92);
      if (lookahead == 'x') ADVANCE(441);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(86);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(644);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1158);
      if (lookahead == '/') ADVANCE(265);
      if (lookahead == ':') ADVANCE(92);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(86);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(644);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1158);
      if (lookahead == '/') ADVANCE(265);
      if (lookahead == ':') ADVANCE(92);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(433);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(645);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1158);
      if (lookahead == '/') ADVANCE(265);
      if (lookahead == ':') ADVANCE(92);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(87);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(642);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1158);
      if (lookahead == '/') ADVANCE(265);
      if (lookahead == ':') ADVANCE(92);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(88);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(643);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (lookahead == '.') ADVANCE(1158);
      if (lookahead == '/') ADVANCE(265);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(433);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(645);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(aux_sym_constant_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(646);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(anon_sym_T);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(anon_sym_T);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(anon_sym_T);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(anon_sym_F);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(anon_sym_F);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(anon_sym_F);
      if (lookahead == ':') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1019);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(anon_sym_ATdeprecated);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(anon_sym_ATload);
      if (lookahead == '-') ADVANCE(347);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(anon_sym_ATload_DASHsigs);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(anon_sym_ATload_DASHplugin);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(anon_sym_ATunload);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(anon_sym_ATprefixes);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(anon_sym_ATif);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead == 'n') ADVANCE(200);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(anon_sym_ATifdef);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(anon_sym_ATifndef);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(anon_sym_ATendif);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(anon_sym_ATelse);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(anon_sym_ATDIR);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(anon_sym_ATFILENAME);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(669);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(666);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(667);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(673);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(670);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(671);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == '0') ADVANCE(800);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(825);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == '8') ADVANCE(674);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(823);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(682);
      if (lookahead == 'i') ADVANCE(743);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(682);
      if (lookahead == 'y') ADVANCE(768);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(682);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(733);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(734);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(735);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'b') ADVANCE(738);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'b') ADVANCE(681);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'c') ADVANCE(726);
      if (lookahead == 'e') ADVANCE(778);
      if (lookahead == 'w') ADVANCE(728);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'c') ADVANCE(726);
      if (lookahead == 'e') ADVANCE(778);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'c') ADVANCE(680);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'c') ADVANCE(723);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'c') ADVANCE(789);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'c') ADVANCE(759);
      if (lookahead == 'd') ADVANCE(708);
      if (lookahead == 't') ADVANCE(793);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'c') ADVANCE(759);
      if (lookahead == 't') ADVANCE(793);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'c') ADVANCE(759);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'c') ADVANCE(791);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'd') ADVANCE(795);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'd') ADVANCE(485);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'd') ADVANCE(796);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(797);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(689);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(679);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(488);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(552);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(511);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(523);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(461);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(690);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(533);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(499);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(719);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(751);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(688);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(745);
      if (lookahead == 'i') ADVANCE(739);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(745);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(691);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(790);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(762);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(695);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'f') ADVANCE(495);
      if (lookahead == 'n') ADVANCE(507);
      if (lookahead == 's') ADVANCE(611);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'f') ADVANCE(495);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'f') ADVANCE(481);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'f') ADVANCE(555);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'g') ADVANCE(724);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'h') ADVANCE(711);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'h') ADVANCE(501);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'h') ADVANCE(517);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'h') ADVANCE(774);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'h') ADVANCE(716);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'h') ADVANCE(712);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'i') ADVANCE(788);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'i') ADVANCE(760);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'i') ADVANCE(764);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'i') ADVANCE(752);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'k') ADVANCE(569);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'k') ADVANCE(515);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'l') ADVANCE(525);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'l') ADVANCE(470);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'l') ADVANCE(756);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'l') ADVANCE(786);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'l') ADVANCE(700);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'l') ADVANCE(701);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'l') ADVANCE(784);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'l') ADVANCE(703);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'l') ADVANCE(704);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'm') ADVANCE(715);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'n') ADVANCE(776);
      if (lookahead == 'p') ADVANCE(798);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'n') ADVANCE(527);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'n') ADVANCE(475);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'n') ADVANCE(519);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'n') ADVANCE(566);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'n') ADVANCE(507);
      if (lookahead == 's') ADVANCE(611);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'n') ADVANCE(692);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'n') ADVANCE(781);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'n') ADVANCE(782);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'o') ADVANCE(686);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'o') ADVANCE(693);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'o') ADVANCE(732);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'o') ADVANCE(683);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'o') ADVANCE(775);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'o') ADVANCE(792);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'o') ADVANCE(772);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'o') ADVANCE(746);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'o') ADVANCE(755);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'o') ADVANCE(794);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'o') ADVANCE(771);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'o') ADVANCE(748);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'p') ADVANCE(787);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'p') ADVANCE(798);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'p') ADVANCE(757);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'p') ADVANCE(699);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'r') ADVANCE(731);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'r') ADVANCE(503);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'r') ADVANCE(563);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'r') ADVANCE(694);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'r') ADVANCE(747);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'r') ADVANCE(758);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'r') ADVANCE(783);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 's') ADVANCE(780);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 's') ADVANCE(707);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 't') ADVANCE(557);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 't') ADVANCE(513);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 't') ADVANCE(478);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 't') ADVANCE(493);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 't') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 't') ADVANCE(465);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 't') ADVANCE(536);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 't') ADVANCE(529);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 't') ADVANCE(725);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 't') ADVANCE(729);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 't') ADVANCE(687);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 't') ADVANCE(763);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 't') ADVANCE(702);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 't') ADVANCE(730);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'u') ADVANCE(721);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'u') ADVANCE(773);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'u') ADVANCE(785);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'u') ADVANCE(741);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'u') ADVANCE(742);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'x') ADVANCE(779);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'y') ADVANCE(629);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(30);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(811);
      if (lookahead == 'e') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(770);
      if (lookahead == 'u') ADVANCE(750);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(818);
      if (lookahead == 'o') ADVANCE(744);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'a') ADVANCE(819);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(825);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'd') ADVANCE(521);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(823);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'd') ADVANCE(804);
      if (lookahead == 's') ADVANCE(539);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'd') ADVANCE(804);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(813);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(675);
      if (lookahead == 'u') ADVANCE(750);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'e') ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'f') ADVANCE(803);
      if (lookahead == 'l') ADVANCE(714);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(823);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'l') ADVANCE(737);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(823);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'l') ADVANCE(777);
      if (lookahead == 'v') ADVANCE(709);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'l') ADVANCE(714);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(823);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'o') ADVANCE(744);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'o') ADVANCE(766);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'r') ADVANCE(698);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 's') ADVANCE(539);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 's') ADVANCE(706);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(823);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'u') ADVANCE(740);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'v') ADVANCE(709);
      if (lookahead == 'x') ADVANCE(767);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (lookahead == 'v') ADVANCE(709);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(823);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(825);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(822);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == '_') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(799);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '0') ADVANCE(1005);
      if (lookahead == ':') ADVANCE(93);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1022);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == '8') ADVANCE(826);
      if (lookahead == ':') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1020);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'a') ADVANCE(987);
      if (lookahead == 'o') ADVANCE(963);
      if (lookahead == 'r') ADVANCE(900);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'a') ADVANCE(987);
      if (lookahead == 'o') ADVANCE(963);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'a') ADVANCE(957);
      if (lookahead == 't') ADVANCE(899);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'a') ADVANCE(957);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'a') ADVANCE(839);
      if (lookahead == 'i') ADVANCE(918);
      if (lookahead == 'y') ADVANCE(956);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'a') ADVANCE(839);
      if (lookahead == 'i') ADVANCE(918);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'a') ADVANCE(903);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'a') ADVANCE(905);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'a') ADVANCE(906);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'a') ADVANCE(907);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'b') ADVANCE(934);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'b') ADVANCE(912);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'b') ADVANCE(836);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'b') ADVANCE(914);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'c') ADVANCE(891);
      if (lookahead == 'e') ADVANCE(843);
      if (lookahead == 't') ADVANCE(968);
      if (lookahead == 'u') ADVANCE(838);
      if (lookahead == 'w') ADVANCE(898);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'c') ADVANCE(969);
      if (lookahead == 't') ADVANCE(558);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'c') ADVANCE(969);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'c') ADVANCE(835);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'c') ADVANCE(888);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'c') ADVANCE(945);
      if (lookahead == 'd') ADVANCE(862);
      if (lookahead == 't') ADVANCE(995);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'c') ADVANCE(945);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'c') ADVANCE(988);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'c') ADVANCE(991);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'd') ADVANCE(486);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'd') ADVANCE(997);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'd') ADVANCE(854);
      if (lookahead == 'n') ADVANCE(1002);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'd') ADVANCE(960);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'd') ADVANCE(998);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(1001);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(847);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(834);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(534);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(500);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(884);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(559);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(489);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(553);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(512);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(524);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(545);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(462);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(572);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(633);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(849);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(844);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(919);
      if (lookahead == 'i') ADVANCE(913);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(848);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(982);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(973);
      if (lookahead == 't') ADVANCE(968);
      if (lookahead == 'u') ADVANCE(838);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(932);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(990);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(966);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(855);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'f') ADVANCE(496);
      if (lookahead == 'n') ADVANCE(508);
      if (lookahead == 's') ADVANCE(612);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'f') ADVANCE(556);
      if (lookahead == 'p') ADVANCE(830);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'f') ADVANCE(482);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'g') ADVANCE(548);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'g') ADVANCE(889);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'h') ADVANCE(874);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'h') ADVANCE(502);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'h') ADVANCE(518);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'h') ADVANCE(964);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'h') ADVANCE(881);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'i') ADVANCE(909);
      if (lookahead == 'u') ADVANCE(936);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'i') ADVANCE(927);
      if (lookahead == 'o') ADVANCE(852);
      if (lookahead == 's') ADVANCE(873);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'i') ADVANCE(970);
      if (lookahead == 'o') ADVANCE(845);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'i') ADVANCE(970);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'i') ADVANCE(948);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'i') ADVANCE(920);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'i') ADVANCE(986);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'i') ADVANCE(950);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'i') ADVANCE(933);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'i') ADVANCE(951);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'k') ADVANCE(570);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'k') ADVANCE(516);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'l') ADVANCE(543);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'l') ADVANCE(526);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'l') ADVANCE(471);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'l') ADVANCE(547);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'l') ADVANCE(943);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'l') ADVANCE(861);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'l') ADVANCE(985);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'l') ADVANCE(983);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'l') ADVANCE(865);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'l') ADVANCE(866);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'l') ADVANCE(868);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'l') ADVANCE(869);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'l') ADVANCE(871);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'm') ADVANCE(483);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'm') ADVANCE(863);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(528);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(885);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(561);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(476);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(520);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(567);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(992);
      if (lookahead == 'v') ADVANCE(878);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(969);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(896);
      if (lookahead == 's') ADVANCE(873);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(896);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(971);
      if (lookahead == 'p') ADVANCE(1003);
      if (lookahead == 'u') ADVANCE(931);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(978);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(979);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(980);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(876);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(984);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'n') ADVANCE(850);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(940);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(999);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(902);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(904);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(939);
      if (lookahead == 'r') ADVANCE(969);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(939);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(840);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(953);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(962);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(959);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(993);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(921);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(994);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(922);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(925);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(967);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'p') ADVANCE(1003);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'p') ADVANCE(831);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'p') ADVANCE(952);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'p') ADVANCE(864);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'q') ADVANCE(996);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'r') ADVANCE(504);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'r') ADVANCE(564);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'r') ADVANCE(541);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'r') ADVANCE(1000);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'r') ADVANCE(851);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'r') ADVANCE(976);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'r') ADVANCE(947);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'r') ADVANCE(923);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'r') ADVANCE(924);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'r') ADVANCE(981);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'r') ADVANCE(897);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 's') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 's') ADVANCE(974);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 's') ADVANCE(977);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 's') ADVANCE(860);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(558);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(562);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(514);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(551);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(479);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(544);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(494);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(491);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(466);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(549);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(537);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(546);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(890);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(846);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(989);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(946);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(880);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(867);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 't') ADVANCE(901);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'u') ADVANCE(917);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'u') ADVANCE(886);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'u') ADVANCE(931);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'u') ADVANCE(965);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'u') ADVANCE(870);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'u') ADVANCE(915);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'u') ADVANCE(916);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'u') ADVANCE(841);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'v') ADVANCE(837);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'x') ADVANCE(975);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'y') ADVANCE(542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == 'y') ADVANCE(630);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(30);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == 'a') ADVANCE(1016);
      if (lookahead == 'o') ADVANCE(930);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(1019);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == 'a') ADVANCE(1018);
      if (lookahead == 'e') ADVANCE(1012);
      if (lookahead == 'o') ADVANCE(999);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(1019);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == 'a') ADVANCE(1014);
      if (lookahead == 'e') ADVANCE(827);
      if (lookahead == 'i') ADVANCE(909);
      if (lookahead == 'o') ADVANCE(958);
      if (lookahead == 'u') ADVANCE(936);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(1019);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == 'a') ADVANCE(1017);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(1022);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == 'd') ADVANCE(1011);
      if (lookahead == 'n') ADVANCE(1002);
      if (lookahead == 's') ADVANCE(540);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1019);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == 'd') ADVANCE(522);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1020);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == 'f') ADVANCE(1009);
      if (lookahead == 'l') ADVANCE(879);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1020);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == 'l') ADVANCE(972);
      if (lookahead == 'n') ADVANCE(992);
      if (lookahead == 'v') ADVANCE(878);
      if (lookahead == 'x') ADVANCE(955);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1019);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == 'l') ADVANCE(910);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1020);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == 'o') ADVANCE(940);
      if (lookahead == 'r') ADVANCE(858);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1019);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == 's') ADVANCE(859);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1020);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == 'u') ADVANCE(911);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == 'y') ADVANCE(969);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1020);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1020);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1022);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1019);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1024);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1026);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1023);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(sym_id);
      if (lookahead == ':') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '!') ADVANCE(1030);
      if (lookahead == '<') ADVANCE(1031);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1172);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1032);
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '#') ADVANCE(1027);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1174);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1029);
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1174);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1029);
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1169);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1030);
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1170);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1031);
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(sym_file);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1172);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1032);
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(sym_file);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(1033);
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(sym_pattern);
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(sym_pattern);
      if (lookahead == '/') ADVANCE(1037);
      if (lookahead == '\\') ADVANCE(79);
      if (lookahead == 'i') ADVANCE(1036);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(78);
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(sym_pattern);
      if (lookahead == '/') ADVANCE(1037);
      if (lookahead == '\\') ADVANCE(79);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(78);
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(sym_pattern);
      if (lookahead == 'i') ADVANCE(1034);
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(sym_ipv6);
      END_STATE();
    case 1039:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == '5') ADVANCE(1040);
      if (lookahead == ':') ADVANCE(43);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1045);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1042);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1055);
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1044);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1054);
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1045);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1055);
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1044);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1054);
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1042);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1055);
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1052);
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1054);
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == '1') ADVANCE(1043);
      if (lookahead == '2') ADVANCE(1039);
      if (lookahead == ':') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(668);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == '1') ADVANCE(1043);
      if (lookahead == '2') ADVANCE(1039);
      if (lookahead == ':') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1041);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1053);
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(48);
      END_STATE();
    case 1049:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1048);
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1049);
      END_STATE();
    case 1051:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1050);
      END_STATE();
    case 1052:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(43);
      END_STATE();
    case 1053:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1055);
      END_STATE();
    case 1054:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1052);
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1054);
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(34);
      END_STATE();
    case 1057:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1056);
      END_STATE();
    case 1058:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1057);
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1058);
      END_STATE();
    case 1060:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(442);
      END_STATE();
    case 1061:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1060);
      END_STATE();
    case 1062:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1061);
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '%') ADVANCE(449);
      if (lookahead == ':') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1062);
      END_STATE();
    case 1064:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == '0') ADVANCE(1065);
      if (lookahead == ':') ADVANCE(84);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(1099);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1135);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == '0') ADVANCE(1101);
      if (lookahead == ':') ADVANCE(84);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1137);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == '5') ADVANCE(1071);
      if (lookahead == ':') ADVANCE(447);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1076);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1073);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1116);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == '5') ADVANCE(1077);
      if (lookahead == ':') ADVANCE(442);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1081);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1078);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1123);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == '5') ADVANCE(1083);
      if (lookahead == ':') ADVANCE(443);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1087);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1084);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1127);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == '5') ADVANCE(1089);
      if (lookahead == ':') ADVANCE(445);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1093);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1090);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1131);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == '5') ADVANCE(1095);
      if (lookahead == ':') ADVANCE(446);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1099);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1096);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1135);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1075);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1115);
      END_STATE();
    case 1072:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1076);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1116);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1075);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1115);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1073);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1116);
      END_STATE();
    case 1075:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1111);
      END_STATE();
    case 1076:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1115);
      END_STATE();
    case 1077:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1082);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1125);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1082);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1125);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1078);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1123);
      END_STATE();
    case 1080:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1081);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1123);
      END_STATE();
    case 1081:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1125);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1122);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1088);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1129);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1088);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1129);
      END_STATE();
    case 1085:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1084);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1127);
      END_STATE();
    case 1086:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1087);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1127);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1129);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1126);
      END_STATE();
    case 1089:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1094);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1133);
      END_STATE();
    case 1090:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1094);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1133);
      END_STATE();
    case 1091:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1090);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1131);
      END_STATE();
    case 1092:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1093);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1131);
      END_STATE();
    case 1093:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1133);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1130);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1100);
      if (('6' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1137);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1100);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1137);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1096);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1135);
      END_STATE();
    case 1098:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1099);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1135);
      END_STATE();
    case 1099:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1137);
      END_STATE();
    case 1100:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '.') ADVANCE(82);
      if (lookahead == ':') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1134);
      END_STATE();
    case 1101:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '0') ADVANCE(1110);
      if (lookahead == ':') ADVANCE(84);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1134);
      END_STATE();
    case 1102:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1074);
      if (lookahead == '2') ADVANCE(1066);
      if (lookahead == 'f') ADVANCE(1114);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1072);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1117);
      END_STATE();
    case 1103:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1079);
      if (lookahead == '2') ADVANCE(1067);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1080);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1124);
      END_STATE();
    case 1104:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1085);
      if (lookahead == '2') ADVANCE(1068);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1086);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1128);
      END_STATE();
    case 1105:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1091);
      if (lookahead == '2') ADVANCE(1069);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1092);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1132);
      END_STATE();
    case 1106:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1097);
      if (lookahead == '2') ADVANCE(1070);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1098);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1025);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1004);
      END_STATE();
    case 1107:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '1') ADVANCE(1097);
      if (lookahead == '2') ADVANCE(1070);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1098);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1136);
      END_STATE();
    case 1108:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == '5') ADVANCE(1138);
      if (('6' <= lookahead && lookahead <= '9')) ADVANCE(1038);
      if (('0' <= lookahead && lookahead <= '4')) ADVANCE(1139);
      END_STATE();
    case 1109:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(80);
      END_STATE();
    case 1110:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(84);
      END_STATE();
    case 1111:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(447);
      END_STATE();
    case 1112:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(447);
      if (lookahead == 'f') ADVANCE(1113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1115);
      END_STATE();
    case 1113:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(447);
      if (lookahead == 'f') ADVANCE(1109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1111);
      END_STATE();
    case 1114:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(447);
      if (lookahead == 'f') ADVANCE(1112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(1116);
      END_STATE();
    case 1115:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1111);
      END_STATE();
    case 1116:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1115);
      END_STATE();
    case 1117:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1116);
      END_STATE();
    case 1118:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(444);
      END_STATE();
    case 1119:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1120);
      END_STATE();
    case 1120:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1118);
      END_STATE();
    case 1121:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1119);
      END_STATE();
    case 1122:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(442);
      END_STATE();
    case 1123:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1125);
      END_STATE();
    case 1124:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1123);
      END_STATE();
    case 1125:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1122);
      END_STATE();
    case 1126:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(443);
      END_STATE();
    case 1127:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1129);
      END_STATE();
    case 1128:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1127);
      END_STATE();
    case 1129:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1126);
      END_STATE();
    case 1130:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(445);
      END_STATE();
    case 1131:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1133);
      END_STATE();
    case 1132:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1131);
      END_STATE();
    case 1133:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1130);
      END_STATE();
    case 1134:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(446);
      END_STATE();
    case 1135:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1137);
      END_STATE();
    case 1136:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1135);
      END_STATE();
    case 1137:
      ACCEPT_TOKEN(sym_ipv6);
      if (lookahead == ':') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1134);
      END_STATE();
    case 1138:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '5')) ADVANCE(1038);
      END_STATE();
    case 1139:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1038);
      END_STATE();
    case 1140:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1139);
      END_STATE();
    case 1141:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1038);
      END_STATE();
    case 1142:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1141);
      END_STATE();
    case 1143:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1142);
      END_STATE();
    case 1144:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1121);
      END_STATE();
    case 1145:
      ACCEPT_TOKEN(sym_ipv6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1143);
      END_STATE();
    case 1146:
      ACCEPT_TOKEN(sym_ipv4);
      if (lookahead == '.') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1146);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 1147:
      ACCEPT_TOKEN(sym_ipv4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1147);
      END_STATE();
    case 1148:
      ACCEPT_TOKEN(sym_port);
      END_STATE();
    case 1149:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1150);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 1150:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1152);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 1151:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1151);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1167);
      END_STATE();
    case 1152:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1152);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 1153:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(440);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1153);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 1154:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == '.') ADVANCE(436);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(433);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1154);
      END_STATE();
    case 1155:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1160);
      END_STATE();
    case 1156:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == ':') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1155);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(85);
      END_STATE();
    case 1157:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(433);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1157);
      END_STATE();
    case 1158:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(433);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1154);
      END_STATE();
    case 1159:
      ACCEPT_TOKEN(sym_floatp);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1165);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1153);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1167);
      END_STATE();
    case 1160:
      ACCEPT_TOKEN(sym_floatp);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1160);
      END_STATE();
    case 1161:
      ACCEPT_TOKEN(sym_hex);
      if (lookahead == '.') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1161);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 1162:
      ACCEPT_TOKEN(sym_hex);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(1162);
      END_STATE();
    case 1163:
      ACCEPT_TOKEN(sym_time_unit);
      END_STATE();
    case 1164:
      ACCEPT_TOKEN(sym_time_unit);
      if (lookahead == 's') ADVANCE(1163);
      END_STATE();
    case 1165:
      ACCEPT_TOKEN(sym_hostname);
      if (lookahead == '+') ADVANCE(435);
      if (lookahead == '-') ADVANCE(1166);
      if (lookahead == '.') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1151);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1167);
      END_STATE();
    case 1166:
      ACCEPT_TOKEN(sym_hostname);
      if (lookahead == '.') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1151);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1167);
      END_STATE();
    case 1167:
      ACCEPT_TOKEN(sym_hostname);
      if (lookahead == '.') ADVANCE(438);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1167);
      END_STATE();
    case 1168:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 1169:
      ACCEPT_TOKEN(sym_zeekygen_head_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1169);
      END_STATE();
    case 1170:
      ACCEPT_TOKEN(sym_zeekygen_prev_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1170);
      END_STATE();
    case 1171:
      ACCEPT_TOKEN(sym_zeekygen_next_comment);
      if (lookahead == '!') ADVANCE(1169);
      if (lookahead == '<') ADVANCE(1170);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1172);
      END_STATE();
    case 1172:
      ACCEPT_TOKEN(sym_zeekygen_next_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1172);
      END_STATE();
    case 1173:
      ACCEPT_TOKEN(sym_minor_comment);
      if (lookahead == '#') ADVANCE(1171);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1174);
      END_STATE();
    case 1174:
      ACCEPT_TOKEN(sym_minor_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1174);
      END_STATE();
    case 1175:
      ACCEPT_TOKEN(sym_nl);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 454},
  [2] = {.lex_state = 2},
  [3] = {.lex_state = 454},
  [4] = {.lex_state = 454},
  [5] = {.lex_state = 454},
  [6] = {.lex_state = 2},
  [7] = {.lex_state = 4},
  [8] = {.lex_state = 5},
  [9] = {.lex_state = 6},
  [10] = {.lex_state = 451},
  [11] = {.lex_state = 451},
  [12] = {.lex_state = 7},
  [13] = {.lex_state = 454},
  [14] = {.lex_state = 452},
  [15] = {.lex_state = 450},
  [16] = {.lex_state = 453},
  [17] = {.lex_state = 453},
  [18] = {.lex_state = 452},
  [19] = {.lex_state = 450},
  [20] = {.lex_state = 450},
  [21] = {.lex_state = 10},
  [22] = {.lex_state = 10},
  [23] = {.lex_state = 458},
  [24] = {.lex_state = 458},
  [25] = {.lex_state = 15},
  [26] = {.lex_state = 15},
  [27] = {.lex_state = 458},
  [28] = {.lex_state = 458},
  [29] = {.lex_state = 458},
  [30] = {.lex_state = 458},
  [31] = {.lex_state = 458},
  [32] = {.lex_state = 458},
  [33] = {.lex_state = 458},
  [34] = {.lex_state = 458},
  [35] = {.lex_state = 458},
  [36] = {.lex_state = 458},
  [37] = {.lex_state = 458},
  [38] = {.lex_state = 10},
  [39] = {.lex_state = 10},
  [40] = {.lex_state = 15},
  [41] = {.lex_state = 15},
  [42] = {.lex_state = 10},
  [43] = {.lex_state = 10},
  [44] = {.lex_state = 10},
  [45] = {.lex_state = 10},
  [46] = {.lex_state = 10},
  [47] = {.lex_state = 458},
  [48] = {.lex_state = 458},
  [49] = {.lex_state = 10},
  [50] = {.lex_state = 10},
  [51] = {.lex_state = 10},
  [52] = {.lex_state = 10},
  [53] = {.lex_state = 458},
  [54] = {.lex_state = 10},
  [55] = {.lex_state = 458},
  [56] = {.lex_state = 10},
  [57] = {.lex_state = 10},
  [58] = {.lex_state = 10},
  [59] = {.lex_state = 458},
  [60] = {.lex_state = 458},
  [61] = {.lex_state = 458},
  [62] = {.lex_state = 458},
  [63] = {.lex_state = 10},
  [64] = {.lex_state = 10},
  [65] = {.lex_state = 458},
  [66] = {.lex_state = 458},
  [67] = {.lex_state = 458},
  [68] = {.lex_state = 458},
  [69] = {.lex_state = 458},
  [70] = {.lex_state = 458},
  [71] = {.lex_state = 10},
  [72] = {.lex_state = 10},
  [73] = {.lex_state = 10},
  [74] = {.lex_state = 458},
  [75] = {.lex_state = 10},
  [76] = {.lex_state = 10},
  [77] = {.lex_state = 10},
  [78] = {.lex_state = 458},
  [79] = {.lex_state = 458},
  [80] = {.lex_state = 458},
  [81] = {.lex_state = 458},
  [82] = {.lex_state = 458},
  [83] = {.lex_state = 458},
  [84] = {.lex_state = 10},
  [85] = {.lex_state = 10},
  [86] = {.lex_state = 458},
  [87] = {.lex_state = 458},
  [88] = {.lex_state = 458},
  [89] = {.lex_state = 458},
  [90] = {.lex_state = 458},
  [91] = {.lex_state = 458},
  [92] = {.lex_state = 10},
  [93] = {.lex_state = 10},
  [94] = {.lex_state = 10},
  [95] = {.lex_state = 10},
  [96] = {.lex_state = 458},
  [97] = {.lex_state = 458},
  [98] = {.lex_state = 10},
  [99] = {.lex_state = 458},
  [100] = {.lex_state = 10},
  [101] = {.lex_state = 458},
  [102] = {.lex_state = 458},
  [103] = {.lex_state = 458},
  [104] = {.lex_state = 458},
  [105] = {.lex_state = 458},
  [106] = {.lex_state = 10},
  [107] = {.lex_state = 10},
  [108] = {.lex_state = 10},
  [109] = {.lex_state = 10},
  [110] = {.lex_state = 10},
  [111] = {.lex_state = 10},
  [112] = {.lex_state = 10},
  [113] = {.lex_state = 458},
  [114] = {.lex_state = 458},
  [115] = {.lex_state = 458},
  [116] = {.lex_state = 10},
  [117] = {.lex_state = 458},
  [118] = {.lex_state = 10},
  [119] = {.lex_state = 10},
  [120] = {.lex_state = 458},
  [121] = {.lex_state = 10},
  [122] = {.lex_state = 10},
  [123] = {.lex_state = 10},
  [124] = {.lex_state = 10},
  [125] = {.lex_state = 10},
  [126] = {.lex_state = 10},
  [127] = {.lex_state = 10},
  [128] = {.lex_state = 10},
  [129] = {.lex_state = 10},
  [130] = {.lex_state = 10},
  [131] = {.lex_state = 10},
  [132] = {.lex_state = 10},
  [133] = {.lex_state = 10},
  [134] = {.lex_state = 10},
  [135] = {.lex_state = 10},
  [136] = {.lex_state = 10},
  [137] = {.lex_state = 10},
  [138] = {.lex_state = 10},
  [139] = {.lex_state = 10},
  [140] = {.lex_state = 458},
  [141] = {.lex_state = 458},
  [142] = {.lex_state = 10},
  [143] = {.lex_state = 458},
  [144] = {.lex_state = 10},
  [145] = {.lex_state = 10},
  [146] = {.lex_state = 10},
  [147] = {.lex_state = 10},
  [148] = {.lex_state = 10},
  [149] = {.lex_state = 10},
  [150] = {.lex_state = 10},
  [151] = {.lex_state = 10},
  [152] = {.lex_state = 458},
  [153] = {.lex_state = 10},
  [154] = {.lex_state = 10},
  [155] = {.lex_state = 10},
  [156] = {.lex_state = 10},
  [157] = {.lex_state = 458},
  [158] = {.lex_state = 458},
  [159] = {.lex_state = 458},
  [160] = {.lex_state = 458},
  [161] = {.lex_state = 458},
  [162] = {.lex_state = 458},
  [163] = {.lex_state = 458},
  [164] = {.lex_state = 458},
  [165] = {.lex_state = 458},
  [166] = {.lex_state = 458},
  [167] = {.lex_state = 458},
  [168] = {.lex_state = 458},
  [169] = {.lex_state = 458},
  [170] = {.lex_state = 458},
  [171] = {.lex_state = 458},
  [172] = {.lex_state = 458},
  [173] = {.lex_state = 458},
  [174] = {.lex_state = 458},
  [175] = {.lex_state = 458},
  [176] = {.lex_state = 458},
  [177] = {.lex_state = 458},
  [178] = {.lex_state = 458},
  [179] = {.lex_state = 458},
  [180] = {.lex_state = 458},
  [181] = {.lex_state = 458},
  [182] = {.lex_state = 458},
  [183] = {.lex_state = 458},
  [184] = {.lex_state = 458},
  [185] = {.lex_state = 458},
  [186] = {.lex_state = 458},
  [187] = {.lex_state = 458},
  [188] = {.lex_state = 458},
  [189] = {.lex_state = 458},
  [190] = {.lex_state = 458},
  [191] = {.lex_state = 458},
  [192] = {.lex_state = 458},
  [193] = {.lex_state = 458},
  [194] = {.lex_state = 458},
  [195] = {.lex_state = 458},
  [196] = {.lex_state = 458},
  [197] = {.lex_state = 458},
  [198] = {.lex_state = 458},
  [199] = {.lex_state = 458},
  [200] = {.lex_state = 458},
  [201] = {.lex_state = 458},
  [202] = {.lex_state = 458},
  [203] = {.lex_state = 458},
  [204] = {.lex_state = 458},
  [205] = {.lex_state = 458},
  [206] = {.lex_state = 458},
  [207] = {.lex_state = 458},
  [208] = {.lex_state = 458},
  [209] = {.lex_state = 458},
  [210] = {.lex_state = 458},
  [211] = {.lex_state = 458},
  [212] = {.lex_state = 458},
  [213] = {.lex_state = 458},
  [214] = {.lex_state = 458},
  [215] = {.lex_state = 458},
  [216] = {.lex_state = 458},
  [217] = {.lex_state = 458},
  [218] = {.lex_state = 458},
  [219] = {.lex_state = 458},
  [220] = {.lex_state = 458},
  [221] = {.lex_state = 458},
  [222] = {.lex_state = 458},
  [223] = {.lex_state = 458},
  [224] = {.lex_state = 458},
  [225] = {.lex_state = 458},
  [226] = {.lex_state = 458},
  [227] = {.lex_state = 458},
  [228] = {.lex_state = 458},
  [229] = {.lex_state = 458},
  [230] = {.lex_state = 458},
  [231] = {.lex_state = 458},
  [232] = {.lex_state = 458},
  [233] = {.lex_state = 458},
  [234] = {.lex_state = 458},
  [235] = {.lex_state = 458},
  [236] = {.lex_state = 458},
  [237] = {.lex_state = 458},
  [238] = {.lex_state = 458},
  [239] = {.lex_state = 458},
  [240] = {.lex_state = 458},
  [241] = {.lex_state = 458},
  [242] = {.lex_state = 458},
  [243] = {.lex_state = 458},
  [244] = {.lex_state = 458},
  [245] = {.lex_state = 458},
  [246] = {.lex_state = 458},
  [247] = {.lex_state = 458},
  [248] = {.lex_state = 458},
  [249] = {.lex_state = 458},
  [250] = {.lex_state = 458},
  [251] = {.lex_state = 458},
  [252] = {.lex_state = 458},
  [253] = {.lex_state = 8},
  [254] = {.lex_state = 458},
  [255] = {.lex_state = 458},
  [256] = {.lex_state = 458},
  [257] = {.lex_state = 458},
  [258] = {.lex_state = 458},
  [259] = {.lex_state = 458},
  [260] = {.lex_state = 458},
  [261] = {.lex_state = 458},
  [262] = {.lex_state = 458},
  [263] = {.lex_state = 458},
  [264] = {.lex_state = 458},
  [265] = {.lex_state = 458},
  [266] = {.lex_state = 458},
  [267] = {.lex_state = 458},
  [268] = {.lex_state = 458},
  [269] = {.lex_state = 458},
  [270] = {.lex_state = 458},
  [271] = {.lex_state = 8},
  [272] = {.lex_state = 458},
  [273] = {.lex_state = 458},
  [274] = {.lex_state = 458},
  [275] = {.lex_state = 458},
  [276] = {.lex_state = 458},
  [277] = {.lex_state = 458},
  [278] = {.lex_state = 458},
  [279] = {.lex_state = 458},
  [280] = {.lex_state = 458},
  [281] = {.lex_state = 458},
  [282] = {.lex_state = 458},
  [283] = {.lex_state = 458},
  [284] = {.lex_state = 458},
  [285] = {.lex_state = 458},
  [286] = {.lex_state = 458},
  [287] = {.lex_state = 458},
  [288] = {.lex_state = 458},
  [289] = {.lex_state = 458},
  [290] = {.lex_state = 458},
  [291] = {.lex_state = 8},
  [292] = {.lex_state = 8},
  [293] = {.lex_state = 454},
  [294] = {.lex_state = 8},
  [295] = {.lex_state = 8},
  [296] = {.lex_state = 8},
  [297] = {.lex_state = 8},
  [298] = {.lex_state = 8},
  [299] = {.lex_state = 8},
  [300] = {.lex_state = 8},
  [301] = {.lex_state = 8},
  [302] = {.lex_state = 8},
  [303] = {.lex_state = 8},
  [304] = {.lex_state = 8},
  [305] = {.lex_state = 8},
  [306] = {.lex_state = 8},
  [307] = {.lex_state = 8},
  [308] = {.lex_state = 8},
  [309] = {.lex_state = 8},
  [310] = {.lex_state = 8},
  [311] = {.lex_state = 8},
  [312] = {.lex_state = 8},
  [313] = {.lex_state = 8},
  [314] = {.lex_state = 8},
  [315] = {.lex_state = 8},
  [316] = {.lex_state = 8},
  [317] = {.lex_state = 8},
  [318] = {.lex_state = 8},
  [319] = {.lex_state = 8},
  [320] = {.lex_state = 8},
  [321] = {.lex_state = 8},
  [322] = {.lex_state = 8},
  [323] = {.lex_state = 454},
  [324] = {.lex_state = 8},
  [325] = {.lex_state = 8},
  [326] = {.lex_state = 8},
  [327] = {.lex_state = 8},
  [328] = {.lex_state = 8},
  [329] = {.lex_state = 8},
  [330] = {.lex_state = 8},
  [331] = {.lex_state = 8},
  [332] = {.lex_state = 8},
  [333] = {.lex_state = 8},
  [334] = {.lex_state = 8},
  [335] = {.lex_state = 454},
  [336] = {.lex_state = 3},
  [337] = {.lex_state = 454},
  [338] = {.lex_state = 454},
  [339] = {.lex_state = 454},
  [340] = {.lex_state = 454},
  [341] = {.lex_state = 454},
  [342] = {.lex_state = 454},
  [343] = {.lex_state = 454},
  [344] = {.lex_state = 454},
  [345] = {.lex_state = 454},
  [346] = {.lex_state = 454},
  [347] = {.lex_state = 454},
  [348] = {.lex_state = 454},
  [349] = {.lex_state = 454},
  [350] = {.lex_state = 454},
  [351] = {.lex_state = 454},
  [352] = {.lex_state = 454},
  [353] = {.lex_state = 454},
  [354] = {.lex_state = 454},
  [355] = {.lex_state = 454},
  [356] = {.lex_state = 454},
  [357] = {.lex_state = 454},
  [358] = {.lex_state = 454},
  [359] = {.lex_state = 454},
  [360] = {.lex_state = 454},
  [361] = {.lex_state = 454},
  [362] = {.lex_state = 454},
  [363] = {.lex_state = 454},
  [364] = {.lex_state = 454},
  [365] = {.lex_state = 454},
  [366] = {.lex_state = 454},
  [367] = {.lex_state = 454},
  [368] = {.lex_state = 454},
  [369] = {.lex_state = 454},
  [370] = {.lex_state = 454},
  [371] = {.lex_state = 454},
  [372] = {.lex_state = 454},
  [373] = {.lex_state = 454},
  [374] = {.lex_state = 454},
  [375] = {.lex_state = 454},
  [376] = {.lex_state = 454},
  [377] = {.lex_state = 454},
  [378] = {.lex_state = 454},
  [379] = {.lex_state = 454},
  [380] = {.lex_state = 12},
  [381] = {.lex_state = 12},
  [382] = {.lex_state = 12},
  [383] = {.lex_state = 12},
  [384] = {.lex_state = 12},
  [385] = {.lex_state = 12},
  [386] = {.lex_state = 12},
  [387] = {.lex_state = 12},
  [388] = {.lex_state = 12},
  [389] = {.lex_state = 8},
  [390] = {.lex_state = 8},
  [391] = {.lex_state = 12},
  [392] = {.lex_state = 12},
  [393] = {.lex_state = 12},
  [394] = {.lex_state = 12},
  [395] = {.lex_state = 12},
  [396] = {.lex_state = 12},
  [397] = {.lex_state = 12},
  [398] = {.lex_state = 12},
  [399] = {.lex_state = 12},
  [400] = {.lex_state = 12},
  [401] = {.lex_state = 12},
  [402] = {.lex_state = 12},
  [403] = {.lex_state = 13},
  [404] = {.lex_state = 12},
  [405] = {.lex_state = 13},
  [406] = {.lex_state = 12},
  [407] = {.lex_state = 12},
  [408] = {.lex_state = 12},
  [409] = {.lex_state = 12},
  [410] = {.lex_state = 12},
  [411] = {.lex_state = 12},
  [412] = {.lex_state = 13},
  [413] = {.lex_state = 13},
  [414] = {.lex_state = 14},
  [415] = {.lex_state = 14},
  [416] = {.lex_state = 12},
  [417] = {.lex_state = 14},
  [418] = {.lex_state = 14},
  [419] = {.lex_state = 12},
  [420] = {.lex_state = 12},
  [421] = {.lex_state = 12},
  [422] = {.lex_state = 12},
  [423] = {.lex_state = 12},
  [424] = {.lex_state = 12},
  [425] = {.lex_state = 12},
  [426] = {.lex_state = 12},
  [427] = {.lex_state = 12},
  [428] = {.lex_state = 13},
  [429] = {.lex_state = 13},
  [430] = {.lex_state = 455},
  [431] = {.lex_state = 14},
  [432] = {.lex_state = 14},
  [433] = {.lex_state = 8},
  [434] = {.lex_state = 455},
  [435] = {.lex_state = 14},
  [436] = {.lex_state = 14},
  [437] = {.lex_state = 14},
  [438] = {.lex_state = 455},
  [439] = {.lex_state = 14},
  [440] = {.lex_state = 8},
  [441] = {.lex_state = 14},
  [442] = {.lex_state = 14},
  [443] = {.lex_state = 455},
  [444] = {.lex_state = 13},
  [445] = {.lex_state = 14},
  [446] = {.lex_state = 14},
  [447] = {.lex_state = 13},
  [448] = {.lex_state = 13},
  [449] = {.lex_state = 13},
  [450] = {.lex_state = 14},
  [451] = {.lex_state = 13},
  [452] = {.lex_state = 13},
  [453] = {.lex_state = 14},
  [454] = {.lex_state = 14},
  [455] = {.lex_state = 13},
  [456] = {.lex_state = 14},
  [457] = {.lex_state = 13},
  [458] = {.lex_state = 455},
  [459] = {.lex_state = 13},
  [460] = {.lex_state = 13},
  [461] = {.lex_state = 13},
  [462] = {.lex_state = 13},
  [463] = {.lex_state = 13},
  [464] = {.lex_state = 14},
  [465] = {.lex_state = 14},
  [466] = {.lex_state = 14},
  [467] = {.lex_state = 14},
  [468] = {.lex_state = 14},
  [469] = {.lex_state = 14},
  [470] = {.lex_state = 13},
  [471] = {.lex_state = 14},
  [472] = {.lex_state = 13},
  [473] = {.lex_state = 13},
  [474] = {.lex_state = 14},
  [475] = {.lex_state = 14},
  [476] = {.lex_state = 14},
  [477] = {.lex_state = 13},
  [478] = {.lex_state = 13},
  [479] = {.lex_state = 13},
  [480] = {.lex_state = 14},
  [481] = {.lex_state = 455},
  [482] = {.lex_state = 13},
  [483] = {.lex_state = 13},
  [484] = {.lex_state = 455},
  [485] = {.lex_state = 14},
  [486] = {.lex_state = 13},
  [487] = {.lex_state = 455},
  [488] = {.lex_state = 13},
  [489] = {.lex_state = 14},
  [490] = {.lex_state = 15},
  [491] = {.lex_state = 15},
  [492] = {.lex_state = 14},
  [493] = {.lex_state = 13},
  [494] = {.lex_state = 14},
  [495] = {.lex_state = 13},
  [496] = {.lex_state = 15},
  [497] = {.lex_state = 14},
  [498] = {.lex_state = 13},
  [499] = {.lex_state = 14},
  [500] = {.lex_state = 14},
  [501] = {.lex_state = 15},
  [502] = {.lex_state = 15},
  [503] = {.lex_state = 455},
  [504] = {.lex_state = 15},
  [505] = {.lex_state = 455},
  [506] = {.lex_state = 455},
  [507] = {.lex_state = 455},
  [508] = {.lex_state = 455},
  [509] = {.lex_state = 455},
  [510] = {.lex_state = 15},
  [511] = {.lex_state = 455},
  [512] = {.lex_state = 455},
  [513] = {.lex_state = 455},
  [514] = {.lex_state = 455},
  [515] = {.lex_state = 455},
  [516] = {.lex_state = 455},
  [517] = {.lex_state = 455},
  [518] = {.lex_state = 455},
  [519] = {.lex_state = 455},
  [520] = {.lex_state = 455},
  [521] = {.lex_state = 455},
  [522] = {.lex_state = 455},
  [523] = {.lex_state = 15},
  [524] = {.lex_state = 455},
  [525] = {.lex_state = 455},
  [526] = {.lex_state = 8},
  [527] = {.lex_state = 455},
  [528] = {.lex_state = 15},
  [529] = {.lex_state = 455},
  [530] = {.lex_state = 455},
  [531] = {.lex_state = 455},
  [532] = {.lex_state = 455},
  [533] = {.lex_state = 15},
  [534] = {.lex_state = 15},
  [535] = {.lex_state = 15},
  [536] = {.lex_state = 455},
  [537] = {.lex_state = 15},
  [538] = {.lex_state = 455},
  [539] = {.lex_state = 15},
  [540] = {.lex_state = 8},
  [541] = {.lex_state = 455},
  [542] = {.lex_state = 15},
  [543] = {.lex_state = 15},
  [544] = {.lex_state = 15},
  [545] = {.lex_state = 15},
  [546] = {.lex_state = 8},
  [547] = {.lex_state = 8},
  [548] = {.lex_state = 8},
  [549] = {.lex_state = 8},
  [550] = {.lex_state = 15},
  [551] = {.lex_state = 455},
  [552] = {.lex_state = 457},
  [553] = {.lex_state = 15},
  [554] = {.lex_state = 8},
  [555] = {.lex_state = 457},
  [556] = {.lex_state = 457},
  [557] = {.lex_state = 8},
  [558] = {.lex_state = 457},
  [559] = {.lex_state = 457},
  [560] = {.lex_state = 15},
  [561] = {.lex_state = 456},
  [562] = {.lex_state = 8},
  [563] = {.lex_state = 456},
  [564] = {.lex_state = 15},
  [565] = {.lex_state = 455},
  [566] = {.lex_state = 15},
  [567] = {.lex_state = 8},
  [568] = {.lex_state = 8},
  [569] = {.lex_state = 455},
  [570] = {.lex_state = 455},
  [571] = {.lex_state = 455},
  [572] = {.lex_state = 455},
  [573] = {.lex_state = 455},
  [574] = {.lex_state = 455},
  [575] = {.lex_state = 15},
  [576] = {.lex_state = 455},
  [577] = {.lex_state = 455},
  [578] = {.lex_state = 455},
  [579] = {.lex_state = 455},
  [580] = {.lex_state = 15},
  [581] = {.lex_state = 455},
  [582] = {.lex_state = 15},
  [583] = {.lex_state = 455},
  [584] = {.lex_state = 15},
  [585] = {.lex_state = 455},
  [586] = {.lex_state = 455},
  [587] = {.lex_state = 455},
  [588] = {.lex_state = 455},
  [589] = {.lex_state = 456},
  [590] = {.lex_state = 455},
  [591] = {.lex_state = 455},
  [592] = {.lex_state = 455},
  [593] = {.lex_state = 15},
  [594] = {.lex_state = 456},
  [595] = {.lex_state = 455},
  [596] = {.lex_state = 456},
  [597] = {.lex_state = 455},
  [598] = {.lex_state = 455},
  [599] = {.lex_state = 455},
  [600] = {.lex_state = 15},
  [601] = {.lex_state = 455},
  [602] = {.lex_state = 455},
  [603] = {.lex_state = 455},
  [604] = {.lex_state = 457},
  [605] = {.lex_state = 455},
  [606] = {.lex_state = 457},
  [607] = {.lex_state = 455},
  [608] = {.lex_state = 455},
  [609] = {.lex_state = 455},
  [610] = {.lex_state = 456},
  [611] = {.lex_state = 455},
  [612] = {.lex_state = 457},
  [613] = {.lex_state = 455},
  [614] = {.lex_state = 455},
  [615] = {.lex_state = 455},
  [616] = {.lex_state = 455},
  [617] = {.lex_state = 455},
  [618] = {.lex_state = 455},
  [619] = {.lex_state = 456},
  [620] = {.lex_state = 456},
  [621] = {.lex_state = 15},
  [622] = {.lex_state = 455},
  [623] = {.lex_state = 457},
  [624] = {.lex_state = 456},
  [625] = {.lex_state = 456},
  [626] = {.lex_state = 456},
  [627] = {.lex_state = 456},
  [628] = {.lex_state = 457},
  [629] = {.lex_state = 456},
  [630] = {.lex_state = 458},
  [631] = {.lex_state = 458},
  [632] = {.lex_state = 456},
  [633] = {.lex_state = 456},
  [634] = {.lex_state = 457},
  [635] = {.lex_state = 456},
  [636] = {.lex_state = 457},
  [637] = {.lex_state = 456},
  [638] = {.lex_state = 457},
  [639] = {.lex_state = 456},
  [640] = {.lex_state = 457},
  [641] = {.lex_state = 457},
  [642] = {.lex_state = 456},
  [643] = {.lex_state = 457},
  [644] = {.lex_state = 456},
  [645] = {.lex_state = 457},
  [646] = {.lex_state = 456},
  [647] = {.lex_state = 457},
  [648] = {.lex_state = 457},
  [649] = {.lex_state = 457},
  [650] = {.lex_state = 457},
  [651] = {.lex_state = 456},
  [652] = {.lex_state = 457},
  [653] = {.lex_state = 456},
  [654] = {.lex_state = 456},
  [655] = {.lex_state = 456},
  [656] = {.lex_state = 456},
  [657] = {.lex_state = 457},
  [658] = {.lex_state = 458},
  [659] = {.lex_state = 457},
  [660] = {.lex_state = 456},
  [661] = {.lex_state = 456},
  [662] = {.lex_state = 457},
  [663] = {.lex_state = 456},
  [664] = {.lex_state = 456},
  [665] = {.lex_state = 457},
  [666] = {.lex_state = 456},
  [667] = {.lex_state = 456},
  [668] = {.lex_state = 456},
  [669] = {.lex_state = 456},
  [670] = {.lex_state = 457},
  [671] = {.lex_state = 457},
  [672] = {.lex_state = 456},
  [673] = {.lex_state = 457},
  [674] = {.lex_state = 457},
  [675] = {.lex_state = 457},
  [676] = {.lex_state = 456},
  [677] = {.lex_state = 456},
  [678] = {.lex_state = 457},
  [679] = {.lex_state = 458},
  [680] = {.lex_state = 457},
  [681] = {.lex_state = 456},
  [682] = {.lex_state = 457},
  [683] = {.lex_state = 457},
  [684] = {.lex_state = 456},
  [685] = {.lex_state = 457},
  [686] = {.lex_state = 456},
  [687] = {.lex_state = 457},
  [688] = {.lex_state = 457},
  [689] = {.lex_state = 456},
  [690] = {.lex_state = 457},
  [691] = {.lex_state = 457},
  [692] = {.lex_state = 457},
  [693] = {.lex_state = 457},
  [694] = {.lex_state = 457},
  [695] = {.lex_state = 456},
  [696] = {.lex_state = 456},
  [697] = {.lex_state = 458},
  [698] = {.lex_state = 457},
  [699] = {.lex_state = 458},
  [700] = {.lex_state = 457},
  [701] = {.lex_state = 456},
  [702] = {.lex_state = 456},
  [703] = {.lex_state = 458},
  [704] = {.lex_state = 457},
  [705] = {.lex_state = 457},
  [706] = {.lex_state = 456},
  [707] = {.lex_state = 457},
  [708] = {.lex_state = 457},
  [709] = {.lex_state = 457},
  [710] = {.lex_state = 457},
  [711] = {.lex_state = 458},
  [712] = {.lex_state = 457},
  [713] = {.lex_state = 457},
  [714] = {.lex_state = 457},
  [715] = {.lex_state = 457},
  [716] = {.lex_state = 456},
  [717] = {.lex_state = 456},
  [718] = {.lex_state = 457},
  [719] = {.lex_state = 457},
  [720] = {.lex_state = 457},
  [721] = {.lex_state = 457},
  [722] = {.lex_state = 457},
  [723] = {.lex_state = 457},
  [724] = {.lex_state = 457},
  [725] = {.lex_state = 457},
  [726] = {.lex_state = 456},
  [727] = {.lex_state = 457},
  [728] = {.lex_state = 456},
  [729] = {.lex_state = 457},
  [730] = {.lex_state = 457},
  [731] = {.lex_state = 457},
  [732] = {.lex_state = 457},
  [733] = {.lex_state = 456},
  [734] = {.lex_state = 456},
  [735] = {.lex_state = 456},
  [736] = {.lex_state = 456},
  [737] = {.lex_state = 456},
  [738] = {.lex_state = 456},
  [739] = {.lex_state = 456},
  [740] = {.lex_state = 456},
  [741] = {.lex_state = 456},
  [742] = {.lex_state = 457},
  [743] = {.lex_state = 457},
  [744] = {.lex_state = 456},
  [745] = {.lex_state = 457},
  [746] = {.lex_state = 456},
  [747] = {.lex_state = 456},
  [748] = {.lex_state = 457},
  [749] = {.lex_state = 456},
  [750] = {.lex_state = 456},
  [751] = {.lex_state = 458},
  [752] = {.lex_state = 458},
  [753] = {.lex_state = 458},
  [754] = {.lex_state = 458},
  [755] = {.lex_state = 458},
  [756] = {.lex_state = 458},
  [757] = {.lex_state = 458},
  [758] = {.lex_state = 458},
  [759] = {.lex_state = 458},
  [760] = {.lex_state = 458},
  [761] = {.lex_state = 458},
  [762] = {.lex_state = 458},
  [763] = {.lex_state = 458},
  [764] = {.lex_state = 458},
  [765] = {.lex_state = 458},
  [766] = {.lex_state = 458},
  [767] = {.lex_state = 458},
  [768] = {.lex_state = 458},
  [769] = {.lex_state = 10},
  [770] = {.lex_state = 3},
  [771] = {.lex_state = 458},
  [772] = {.lex_state = 458},
  [773] = {.lex_state = 11},
  [774] = {.lex_state = 458},
  [775] = {.lex_state = 458},
  [776] = {.lex_state = 458},
  [777] = {.lex_state = 458},
  [778] = {.lex_state = 458},
  [779] = {.lex_state = 458},
  [780] = {.lex_state = 458},
  [781] = {.lex_state = 458},
  [782] = {.lex_state = 458},
  [783] = {.lex_state = 458},
  [784] = {.lex_state = 458},
  [785] = {.lex_state = 458},
  [786] = {.lex_state = 458},
  [787] = {.lex_state = 10},
  [788] = {.lex_state = 458},
  [789] = {.lex_state = 458},
  [790] = {.lex_state = 458},
  [791] = {.lex_state = 458},
  [792] = {.lex_state = 458},
  [793] = {.lex_state = 458},
  [794] = {.lex_state = 458},
  [795] = {.lex_state = 458},
  [796] = {.lex_state = 458},
  [797] = {.lex_state = 458},
  [798] = {.lex_state = 458},
  [799] = {.lex_state = 458},
  [800] = {.lex_state = 458},
  [801] = {.lex_state = 458},
  [802] = {.lex_state = 458},
  [803] = {.lex_state = 458},
  [804] = {.lex_state = 458},
  [805] = {.lex_state = 458},
  [806] = {.lex_state = 458},
  [807] = {.lex_state = 8},
  [808] = {.lex_state = 8},
  [809] = {.lex_state = 8},
  [810] = {.lex_state = 8},
  [811] = {.lex_state = 8},
  [812] = {.lex_state = 8},
  [813] = {.lex_state = 8},
  [814] = {.lex_state = 8},
  [815] = {.lex_state = 8},
  [816] = {.lex_state = 9},
  [817] = {.lex_state = 8},
  [818] = {.lex_state = 8},
  [819] = {.lex_state = 8},
  [820] = {.lex_state = 8},
  [821] = {.lex_state = 8},
  [822] = {.lex_state = 8},
  [823] = {.lex_state = 8},
  [824] = {.lex_state = 9},
  [825] = {.lex_state = 8},
  [826] = {.lex_state = 8},
  [827] = {.lex_state = 9},
  [828] = {.lex_state = 8},
  [829] = {.lex_state = 8},
  [830] = {.lex_state = 8},
  [831] = {.lex_state = 9},
  [832] = {.lex_state = 8},
  [833] = {.lex_state = 8},
  [834] = {.lex_state = 8},
  [835] = {.lex_state = 8},
  [836] = {.lex_state = 8},
  [837] = {.lex_state = 8},
  [838] = {.lex_state = 8},
  [839] = {.lex_state = 8},
  [840] = {.lex_state = 8},
  [841] = {.lex_state = 8},
  [842] = {.lex_state = 8},
  [843] = {.lex_state = 8},
  [844] = {.lex_state = 8},
  [845] = {.lex_state = 8},
  [846] = {.lex_state = 8},
  [847] = {.lex_state = 8},
  [848] = {.lex_state = 8},
  [849] = {.lex_state = 8},
  [850] = {.lex_state = 8},
  [851] = {.lex_state = 8},
  [852] = {.lex_state = 8},
  [853] = {.lex_state = 8},
  [854] = {.lex_state = 8},
  [855] = {.lex_state = 8},
  [856] = {.lex_state = 10},
  [857] = {.lex_state = 10},
  [858] = {.lex_state = 10},
  [859] = {.lex_state = 17},
  [860] = {.lex_state = 10},
  [861] = {.lex_state = 10},
  [862] = {.lex_state = 10},
  [863] = {.lex_state = 10},
  [864] = {.lex_state = 10},
  [865] = {.lex_state = 10},
  [866] = {.lex_state = 10},
  [867] = {.lex_state = 10},
  [868] = {.lex_state = 10},
  [869] = {.lex_state = 10},
  [870] = {.lex_state = 10},
  [871] = {.lex_state = 10},
  [872] = {.lex_state = 10},
  [873] = {.lex_state = 10},
  [874] = {.lex_state = 10},
  [875] = {.lex_state = 10},
  [876] = {.lex_state = 10},
  [877] = {.lex_state = 16},
  [878] = {.lex_state = 10},
  [879] = {.lex_state = 16},
  [880] = {.lex_state = 16},
  [881] = {.lex_state = 16},
  [882] = {.lex_state = 10},
  [883] = {.lex_state = 10},
  [884] = {.lex_state = 10},
  [885] = {.lex_state = 16},
  [886] = {.lex_state = 16},
  [887] = {.lex_state = 10},
  [888] = {.lex_state = 16},
  [889] = {.lex_state = 10},
  [890] = {.lex_state = 10},
  [891] = {.lex_state = 16},
  [892] = {.lex_state = 10},
  [893] = {.lex_state = 10},
  [894] = {.lex_state = 10},
  [895] = {.lex_state = 16},
  [896] = {.lex_state = 10},
  [897] = {.lex_state = 10},
  [898] = {.lex_state = 10},
  [899] = {.lex_state = 10},
  [900] = {.lex_state = 16},
  [901] = {.lex_state = 16},
  [902] = {.lex_state = 16},
  [903] = {.lex_state = 10},
  [904] = {.lex_state = 10},
  [905] = {.lex_state = 10},
  [906] = {.lex_state = 10},
  [907] = {.lex_state = 10},
  [908] = {.lex_state = 10},
  [909] = {.lex_state = 10},
  [910] = {.lex_state = 10},
  [911] = {.lex_state = 10},
  [912] = {.lex_state = 10},
  [913] = {.lex_state = 10},
  [914] = {.lex_state = 10},
  [915] = {.lex_state = 10},
  [916] = {.lex_state = 10},
  [917] = {.lex_state = 10},
  [918] = {.lex_state = 10},
  [919] = {.lex_state = 10},
  [920] = {.lex_state = 10},
  [921] = {.lex_state = 10},
  [922] = {.lex_state = 10},
  [923] = {.lex_state = 10},
  [924] = {.lex_state = 10},
  [925] = {.lex_state = 10},
  [926] = {.lex_state = 10},
  [927] = {.lex_state = 10},
  [928] = {.lex_state = 10},
  [929] = {.lex_state = 10},
  [930] = {.lex_state = 10},
  [931] = {.lex_state = 10},
  [932] = {.lex_state = 10},
  [933] = {.lex_state = 10},
  [934] = {.lex_state = 10},
  [935] = {.lex_state = 10},
  [936] = {.lex_state = 10},
  [937] = {.lex_state = 10},
  [938] = {.lex_state = 10},
  [939] = {.lex_state = 10},
  [940] = {.lex_state = 10},
  [941] = {.lex_state = 10},
  [942] = {.lex_state = 10},
  [943] = {.lex_state = 10},
  [944] = {.lex_state = 10},
  [945] = {.lex_state = 10},
  [946] = {.lex_state = 10},
  [947] = {.lex_state = 10},
  [948] = {.lex_state = 10},
  [949] = {.lex_state = 10},
  [950] = {.lex_state = 10},
  [951] = {.lex_state = 10},
  [952] = {.lex_state = 10},
  [953] = {.lex_state = 10},
  [954] = {.lex_state = 10},
  [955] = {.lex_state = 10},
  [956] = {.lex_state = 10},
  [957] = {.lex_state = 10},
  [958] = {.lex_state = 10},
  [959] = {.lex_state = 10},
  [960] = {.lex_state = 10},
  [961] = {.lex_state = 10},
  [962] = {.lex_state = 10},
  [963] = {.lex_state = 10},
  [964] = {.lex_state = 10},
  [965] = {.lex_state = 10},
  [966] = {.lex_state = 10},
  [967] = {.lex_state = 10},
  [968] = {.lex_state = 10},
  [969] = {.lex_state = 10},
  [970] = {.lex_state = 10},
  [971] = {.lex_state = 10},
  [972] = {.lex_state = 10},
  [973] = {.lex_state = 10},
  [974] = {.lex_state = 10},
  [975] = {.lex_state = 10},
  [976] = {.lex_state = 10},
  [977] = {.lex_state = 10},
  [978] = {.lex_state = 10},
  [979] = {.lex_state = 10},
  [980] = {.lex_state = 10},
  [981] = {.lex_state = 10},
  [982] = {.lex_state = 10},
  [983] = {.lex_state = 10},
  [984] = {.lex_state = 10},
  [985] = {.lex_state = 10},
  [986] = {.lex_state = 10},
  [987] = {.lex_state = 10},
  [988] = {.lex_state = 10},
  [989] = {.lex_state = 10},
  [990] = {.lex_state = 10},
  [991] = {.lex_state = 10},
  [992] = {.lex_state = 10},
  [993] = {.lex_state = 10},
  [994] = {.lex_state = 10},
  [995] = {.lex_state = 10},
  [996] = {.lex_state = 10},
  [997] = {.lex_state = 10},
  [998] = {.lex_state = 10},
  [999] = {.lex_state = 10},
  [1000] = {.lex_state = 10},
  [1001] = {.lex_state = 10},
  [1002] = {.lex_state = 10},
  [1003] = {.lex_state = 10},
  [1004] = {.lex_state = 10},
  [1005] = {.lex_state = 10},
  [1006] = {.lex_state = 10},
  [1007] = {.lex_state = 10},
  [1008] = {.lex_state = 10},
  [1009] = {.lex_state = 10},
  [1010] = {.lex_state = 10},
  [1011] = {.lex_state = 10},
  [1012] = {.lex_state = 10},
  [1013] = {.lex_state = 10},
  [1014] = {.lex_state = 10},
  [1015] = {.lex_state = 10},
  [1016] = {.lex_state = 10},
  [1017] = {.lex_state = 10},
  [1018] = {.lex_state = 10},
  [1019] = {.lex_state = 10},
  [1020] = {.lex_state = 10},
  [1021] = {.lex_state = 10},
  [1022] = {.lex_state = 10},
  [1023] = {.lex_state = 10},
  [1024] = {.lex_state = 10},
  [1025] = {.lex_state = 10},
  [1026] = {.lex_state = 10},
  [1027] = {.lex_state = 10},
  [1028] = {.lex_state = 10},
  [1029] = {.lex_state = 10},
  [1030] = {.lex_state = 10},
  [1031] = {.lex_state = 10},
  [1032] = {.lex_state = 10},
  [1033] = {.lex_state = 10},
  [1034] = {.lex_state = 10},
  [1035] = {.lex_state = 10},
  [1036] = {.lex_state = 10},
  [1037] = {.lex_state = 10},
  [1038] = {.lex_state = 10},
  [1039] = {.lex_state = 10},
  [1040] = {.lex_state = 10},
  [1041] = {.lex_state = 10},
  [1042] = {.lex_state = 10},
  [1043] = {.lex_state = 10},
  [1044] = {.lex_state = 10},
  [1045] = {.lex_state = 10},
  [1046] = {.lex_state = 10},
  [1047] = {.lex_state = 10},
  [1048] = {.lex_state = 10},
  [1049] = {.lex_state = 10},
  [1050] = {.lex_state = 10},
  [1051] = {.lex_state = 10},
  [1052] = {.lex_state = 10},
  [1053] = {.lex_state = 10},
  [1054] = {.lex_state = 10},
  [1055] = {.lex_state = 10},
  [1056] = {.lex_state = 10},
  [1057] = {.lex_state = 10},
  [1058] = {.lex_state = 10},
  [1059] = {.lex_state = 10},
  [1060] = {.lex_state = 10},
  [1061] = {.lex_state = 10},
  [1062] = {.lex_state = 10},
  [1063] = {.lex_state = 10},
  [1064] = {.lex_state = 10},
  [1065] = {.lex_state = 10},
  [1066] = {.lex_state = 10},
  [1067] = {.lex_state = 10},
  [1068] = {.lex_state = 10},
  [1069] = {.lex_state = 10},
  [1070] = {.lex_state = 10},
  [1071] = {.lex_state = 10},
  [1072] = {.lex_state = 10},
  [1073] = {.lex_state = 10},
  [1074] = {.lex_state = 10},
  [1075] = {.lex_state = 10},
  [1076] = {.lex_state = 10},
  [1077] = {.lex_state = 10},
  [1078] = {.lex_state = 10},
  [1079] = {.lex_state = 10},
  [1080] = {.lex_state = 10},
  [1081] = {.lex_state = 10},
  [1082] = {.lex_state = 10},
  [1083] = {.lex_state = 10},
  [1084] = {.lex_state = 10},
  [1085] = {.lex_state = 10},
  [1086] = {.lex_state = 10},
  [1087] = {.lex_state = 10},
  [1088] = {.lex_state = 10},
  [1089] = {.lex_state = 10},
  [1090] = {.lex_state = 10},
  [1091] = {.lex_state = 10},
  [1092] = {.lex_state = 10},
  [1093] = {.lex_state = 10},
  [1094] = {.lex_state = 10},
  [1095] = {.lex_state = 10},
  [1096] = {.lex_state = 10},
  [1097] = {.lex_state = 10},
  [1098] = {.lex_state = 10},
  [1099] = {.lex_state = 10},
  [1100] = {.lex_state = 10},
  [1101] = {.lex_state = 10},
  [1102] = {.lex_state = 10},
  [1103] = {.lex_state = 10},
  [1104] = {.lex_state = 10},
  [1105] = {.lex_state = 10},
  [1106] = {.lex_state = 10},
  [1107] = {.lex_state = 10},
  [1108] = {.lex_state = 10},
  [1109] = {.lex_state = 10},
  [1110] = {.lex_state = 10},
  [1111] = {.lex_state = 10},
  [1112] = {.lex_state = 10},
  [1113] = {.lex_state = 10},
  [1114] = {.lex_state = 10},
  [1115] = {.lex_state = 10},
  [1116] = {.lex_state = 10},
  [1117] = {.lex_state = 10},
  [1118] = {.lex_state = 10},
  [1119] = {.lex_state = 10},
  [1120] = {.lex_state = 10},
  [1121] = {.lex_state = 10},
  [1122] = {.lex_state = 10},
  [1123] = {.lex_state = 10},
  [1124] = {.lex_state = 10},
  [1125] = {.lex_state = 10},
  [1126] = {.lex_state = 10},
  [1127] = {.lex_state = 10},
  [1128] = {.lex_state = 10},
  [1129] = {.lex_state = 10},
  [1130] = {.lex_state = 10},
  [1131] = {.lex_state = 10},
  [1132] = {.lex_state = 10},
  [1133] = {.lex_state = 10},
  [1134] = {.lex_state = 10},
  [1135] = {.lex_state = 10},
  [1136] = {.lex_state = 10},
  [1137] = {.lex_state = 10},
  [1138] = {.lex_state = 10},
  [1139] = {.lex_state = 10},
  [1140] = {.lex_state = 10},
  [1141] = {.lex_state = 10},
  [1142] = {.lex_state = 10},
  [1143] = {.lex_state = 10},
  [1144] = {.lex_state = 10},
  [1145] = {.lex_state = 10},
  [1146] = {.lex_state = 10},
  [1147] = {.lex_state = 10},
  [1148] = {.lex_state = 10},
  [1149] = {.lex_state = 10},
  [1150] = {.lex_state = 10},
  [1151] = {.lex_state = 10},
  [1152] = {.lex_state = 10},
  [1153] = {.lex_state = 10},
  [1154] = {.lex_state = 10},
  [1155] = {.lex_state = 10},
  [1156] = {.lex_state = 10},
  [1157] = {.lex_state = 10},
  [1158] = {.lex_state = 10},
  [1159] = {.lex_state = 10},
  [1160] = {.lex_state = 10},
  [1161] = {.lex_state = 10},
  [1162] = {.lex_state = 10},
  [1163] = {.lex_state = 10},
  [1164] = {.lex_state = 10},
  [1165] = {.lex_state = 10},
  [1166] = {.lex_state = 10},
  [1167] = {.lex_state = 10},
  [1168] = {.lex_state = 10},
  [1169] = {.lex_state = 10},
  [1170] = {.lex_state = 10},
  [1171] = {.lex_state = 10},
  [1172] = {.lex_state = 10},
  [1173] = {.lex_state = 10},
  [1174] = {.lex_state = 10},
  [1175] = {.lex_state = 10},
  [1176] = {.lex_state = 10},
  [1177] = {.lex_state = 10},
  [1178] = {.lex_state = 10},
  [1179] = {.lex_state = 10},
  [1180] = {.lex_state = 10},
  [1181] = {.lex_state = 10},
  [1182] = {.lex_state = 10},
  [1183] = {.lex_state = 10},
  [1184] = {.lex_state = 10},
  [1185] = {.lex_state = 10},
  [1186] = {.lex_state = 10},
  [1187] = {.lex_state = 10},
  [1188] = {.lex_state = 10},
  [1189] = {.lex_state = 10},
  [1190] = {.lex_state = 10},
  [1191] = {.lex_state = 10},
  [1192] = {.lex_state = 10},
  [1193] = {.lex_state = 10},
  [1194] = {.lex_state = 10},
  [1195] = {.lex_state = 10},
  [1196] = {.lex_state = 10},
  [1197] = {.lex_state = 10},
  [1198] = {.lex_state = 10},
  [1199] = {.lex_state = 10},
  [1200] = {.lex_state = 10},
  [1201] = {.lex_state = 10},
  [1202] = {.lex_state = 10},
  [1203] = {.lex_state = 10},
  [1204] = {.lex_state = 10},
  [1205] = {.lex_state = 8},
  [1206] = {.lex_state = 8},
  [1207] = {.lex_state = 10},
  [1208] = {.lex_state = 8},
  [1209] = {.lex_state = 8},
  [1210] = {.lex_state = 8},
  [1211] = {.lex_state = 8},
  [1212] = {.lex_state = 8},
  [1213] = {.lex_state = 454},
  [1214] = {.lex_state = 8},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 9},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 8},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 9},
  [1224] = {.lex_state = 9},
  [1225] = {.lex_state = 9},
  [1226] = {.lex_state = 9},
  [1227] = {.lex_state = 9},
  [1228] = {.lex_state = 9},
  [1229] = {.lex_state = 9},
  [1230] = {.lex_state = 9},
  [1231] = {.lex_state = 9},
  [1232] = {.lex_state = 9},
  [1233] = {.lex_state = 9},
  [1234] = {.lex_state = 9},
  [1235] = {.lex_state = 9},
  [1236] = {.lex_state = 9},
  [1237] = {.lex_state = 9},
  [1238] = {.lex_state = 9},
  [1239] = {.lex_state = 9},
  [1240] = {.lex_state = 9},
  [1241] = {.lex_state = 9},
  [1242] = {.lex_state = 9},
  [1243] = {.lex_state = 9},
  [1244] = {.lex_state = 9},
  [1245] = {.lex_state = 9},
  [1246] = {.lex_state = 9},
  [1247] = {.lex_state = 9},
  [1248] = {.lex_state = 9},
  [1249] = {.lex_state = 9},
  [1250] = {.lex_state = 9},
  [1251] = {.lex_state = 9},
  [1252] = {.lex_state = 9},
  [1253] = {.lex_state = 9},
  [1254] = {.lex_state = 9},
  [1255] = {.lex_state = 9},
  [1256] = {.lex_state = 9},
  [1257] = {.lex_state = 9},
  [1258] = {.lex_state = 9},
  [1259] = {.lex_state = 9},
  [1260] = {.lex_state = 9},
  [1261] = {.lex_state = 9},
  [1262] = {.lex_state = 10},
  [1263] = {.lex_state = 9},
  [1264] = {.lex_state = 9},
  [1265] = {.lex_state = 9},
  [1266] = {.lex_state = 9},
  [1267] = {.lex_state = 9},
  [1268] = {.lex_state = 9},
  [1269] = {.lex_state = 9},
  [1270] = {.lex_state = 9},
  [1271] = {.lex_state = 9},
  [1272] = {.lex_state = 9},
  [1273] = {.lex_state = 9},
  [1274] = {.lex_state = 9},
  [1275] = {.lex_state = 9},
  [1276] = {.lex_state = 9},
  [1277] = {.lex_state = 9},
  [1278] = {.lex_state = 9},
  [1279] = {.lex_state = 9},
  [1280] = {.lex_state = 9},
  [1281] = {.lex_state = 9},
  [1282] = {.lex_state = 9},
  [1283] = {.lex_state = 9},
  [1284] = {.lex_state = 9},
  [1285] = {.lex_state = 9},
  [1286] = {.lex_state = 9},
  [1287] = {.lex_state = 9},
  [1288] = {.lex_state = 9},
  [1289] = {.lex_state = 9},
  [1290] = {.lex_state = 9},
  [1291] = {.lex_state = 9},
  [1292] = {.lex_state = 9},
  [1293] = {.lex_state = 9},
  [1294] = {.lex_state = 9},
  [1295] = {.lex_state = 9},
  [1296] = {.lex_state = 9},
  [1297] = {.lex_state = 9},
  [1298] = {.lex_state = 9},
  [1299] = {.lex_state = 9},
  [1300] = {.lex_state = 9},
  [1301] = {.lex_state = 9},
  [1302] = {.lex_state = 9},
  [1303] = {.lex_state = 9},
  [1304] = {.lex_state = 9},
  [1305] = {.lex_state = 9},
  [1306] = {.lex_state = 9},
  [1307] = {.lex_state = 9},
  [1308] = {.lex_state = 9},
  [1309] = {.lex_state = 9},
  [1310] = {.lex_state = 9},
  [1311] = {.lex_state = 9},
  [1312] = {.lex_state = 9},
  [1313] = {.lex_state = 9},
  [1314] = {.lex_state = 9},
  [1315] = {.lex_state = 9},
  [1316] = {.lex_state = 9},
  [1317] = {.lex_state = 9},
  [1318] = {.lex_state = 9},
  [1319] = {.lex_state = 9},
  [1320] = {.lex_state = 9},
  [1321] = {.lex_state = 9},
  [1322] = {.lex_state = 9},
  [1323] = {.lex_state = 9},
  [1324] = {.lex_state = 9},
  [1325] = {.lex_state = 9},
  [1326] = {.lex_state = 9},
  [1327] = {.lex_state = 9},
  [1328] = {.lex_state = 9},
  [1329] = {.lex_state = 9},
  [1330] = {.lex_state = 9},
  [1331] = {.lex_state = 9},
  [1332] = {.lex_state = 9},
  [1333] = {.lex_state = 9},
  [1334] = {.lex_state = 9},
  [1335] = {.lex_state = 9},
  [1336] = {.lex_state = 9},
  [1337] = {.lex_state = 9},
  [1338] = {.lex_state = 9},
  [1339] = {.lex_state = 9},
  [1340] = {.lex_state = 9},
  [1341] = {.lex_state = 9},
  [1342] = {.lex_state = 9},
  [1343] = {.lex_state = 9},
  [1344] = {.lex_state = 9},
  [1345] = {.lex_state = 9},
  [1346] = {.lex_state = 9},
  [1347] = {.lex_state = 9},
  [1348] = {.lex_state = 9},
  [1349] = {.lex_state = 9},
  [1350] = {.lex_state = 9},
  [1351] = {.lex_state = 9},
  [1352] = {.lex_state = 9},
  [1353] = {.lex_state = 9},
  [1354] = {.lex_state = 9},
  [1355] = {.lex_state = 9},
  [1356] = {.lex_state = 9},
  [1357] = {.lex_state = 9},
  [1358] = {.lex_state = 9},
  [1359] = {.lex_state = 9},
  [1360] = {.lex_state = 9},
  [1361] = {.lex_state = 9},
  [1362] = {.lex_state = 9},
  [1363] = {.lex_state = 9},
  [1364] = {.lex_state = 9},
  [1365] = {.lex_state = 9},
  [1366] = {.lex_state = 9},
  [1367] = {.lex_state = 9},
  [1368] = {.lex_state = 9},
  [1369] = {.lex_state = 9},
  [1370] = {.lex_state = 9},
  [1371] = {.lex_state = 9},
  [1372] = {.lex_state = 9},
  [1373] = {.lex_state = 9},
  [1374] = {.lex_state = 9},
  [1375] = {.lex_state = 9},
  [1376] = {.lex_state = 9},
  [1377] = {.lex_state = 9},
  [1378] = {.lex_state = 9},
  [1379] = {.lex_state = 9},
  [1380] = {.lex_state = 9},
  [1381] = {.lex_state = 9},
  [1382] = {.lex_state = 9},
  [1383] = {.lex_state = 9},
  [1384] = {.lex_state = 9},
  [1385] = {.lex_state = 9},
  [1386] = {.lex_state = 9},
  [1387] = {.lex_state = 9},
  [1388] = {.lex_state = 9},
  [1389] = {.lex_state = 9},
  [1390] = {.lex_state = 9},
  [1391] = {.lex_state = 9},
  [1392] = {.lex_state = 9},
  [1393] = {.lex_state = 9},
  [1394] = {.lex_state = 9},
  [1395] = {.lex_state = 9},
  [1396] = {.lex_state = 9},
  [1397] = {.lex_state = 9},
  [1398] = {.lex_state = 9},
  [1399] = {.lex_state = 9},
  [1400] = {.lex_state = 9},
  [1401] = {.lex_state = 9},
  [1402] = {.lex_state = 9},
  [1403] = {.lex_state = 9},
  [1404] = {.lex_state = 9},
  [1405] = {.lex_state = 9},
  [1406] = {.lex_state = 9},
  [1407] = {.lex_state = 9},
  [1408] = {.lex_state = 9},
  [1409] = {.lex_state = 9},
  [1410] = {.lex_state = 9},
  [1411] = {.lex_state = 9},
  [1412] = {.lex_state = 9},
  [1413] = {.lex_state = 9},
  [1414] = {.lex_state = 9},
  [1415] = {.lex_state = 9},
  [1416] = {.lex_state = 9},
  [1417] = {.lex_state = 9},
  [1418] = {.lex_state = 9},
  [1419] = {.lex_state = 9},
  [1420] = {.lex_state = 9},
  [1421] = {.lex_state = 9},
  [1422] = {.lex_state = 9},
  [1423] = {.lex_state = 9},
  [1424] = {.lex_state = 9},
  [1425] = {.lex_state = 9},
  [1426] = {.lex_state = 9},
  [1427] = {.lex_state = 9},
  [1428] = {.lex_state = 9},
  [1429] = {.lex_state = 9},
  [1430] = {.lex_state = 9},
  [1431] = {.lex_state = 9},
  [1432] = {.lex_state = 9},
  [1433] = {.lex_state = 9},
  [1434] = {.lex_state = 9},
  [1435] = {.lex_state = 9},
  [1436] = {.lex_state = 9},
  [1437] = {.lex_state = 9},
  [1438] = {.lex_state = 9},
  [1439] = {.lex_state = 9},
  [1440] = {.lex_state = 9},
  [1441] = {.lex_state = 9},
  [1442] = {.lex_state = 9},
  [1443] = {.lex_state = 9},
  [1444] = {.lex_state = 9},
  [1445] = {.lex_state = 9},
  [1446] = {.lex_state = 9},
  [1447] = {.lex_state = 9},
  [1448] = {.lex_state = 9},
  [1449] = {.lex_state = 9},
  [1450] = {.lex_state = 9},
  [1451] = {.lex_state = 9},
  [1452] = {.lex_state = 9},
  [1453] = {.lex_state = 9},
  [1454] = {.lex_state = 9},
  [1455] = {.lex_state = 9},
  [1456] = {.lex_state = 9},
  [1457] = {.lex_state = 9},
  [1458] = {.lex_state = 9},
  [1459] = {.lex_state = 9},
  [1460] = {.lex_state = 9},
  [1461] = {.lex_state = 9},
  [1462] = {.lex_state = 9},
  [1463] = {.lex_state = 9},
  [1464] = {.lex_state = 9},
  [1465] = {.lex_state = 9},
  [1466] = {.lex_state = 9},
  [1467] = {.lex_state = 9},
  [1468] = {.lex_state = 9},
  [1469] = {.lex_state = 9},
  [1470] = {.lex_state = 9},
  [1471] = {.lex_state = 9},
  [1472] = {.lex_state = 9},
  [1473] = {.lex_state = 9},
  [1474] = {.lex_state = 9},
  [1475] = {.lex_state = 9},
  [1476] = {.lex_state = 9},
  [1477] = {.lex_state = 9},
  [1478] = {.lex_state = 9},
  [1479] = {.lex_state = 9},
  [1480] = {.lex_state = 9},
  [1481] = {.lex_state = 9},
  [1482] = {.lex_state = 9},
  [1483] = {.lex_state = 9},
  [1484] = {.lex_state = 9},
  [1485] = {.lex_state = 9},
  [1486] = {.lex_state = 9},
  [1487] = {.lex_state = 9},
  [1488] = {.lex_state = 9},
  [1489] = {.lex_state = 9},
  [1490] = {.lex_state = 9},
  [1491] = {.lex_state = 9},
  [1492] = {.lex_state = 9},
  [1493] = {.lex_state = 9},
  [1494] = {.lex_state = 9},
  [1495] = {.lex_state = 9},
  [1496] = {.lex_state = 9},
  [1497] = {.lex_state = 9},
  [1498] = {.lex_state = 9},
  [1499] = {.lex_state = 9},
  [1500] = {.lex_state = 9},
  [1501] = {.lex_state = 9},
  [1502] = {.lex_state = 9},
  [1503] = {.lex_state = 9},
  [1504] = {.lex_state = 9},
  [1505] = {.lex_state = 9},
  [1506] = {.lex_state = 9},
  [1507] = {.lex_state = 9},
  [1508] = {.lex_state = 9},
  [1509] = {.lex_state = 9},
  [1510] = {.lex_state = 9},
  [1511] = {.lex_state = 9},
  [1512] = {.lex_state = 9},
  [1513] = {.lex_state = 9},
  [1514] = {.lex_state = 9},
  [1515] = {.lex_state = 9},
  [1516] = {.lex_state = 9},
  [1517] = {.lex_state = 9},
  [1518] = {.lex_state = 9},
  [1519] = {.lex_state = 9},
  [1520] = {.lex_state = 9},
  [1521] = {.lex_state = 9},
  [1522] = {.lex_state = 9},
  [1523] = {.lex_state = 9},
  [1524] = {.lex_state = 9},
  [1525] = {.lex_state = 9},
  [1526] = {.lex_state = 9},
  [1527] = {.lex_state = 9},
  [1528] = {.lex_state = 9},
  [1529] = {.lex_state = 9},
  [1530] = {.lex_state = 9},
  [1531] = {.lex_state = 9},
  [1532] = {.lex_state = 9},
  [1533] = {.lex_state = 9},
  [1534] = {.lex_state = 9},
  [1535] = {.lex_state = 9},
  [1536] = {.lex_state = 9},
  [1537] = {.lex_state = 9},
  [1538] = {.lex_state = 9},
  [1539] = {.lex_state = 9},
  [1540] = {.lex_state = 9},
  [1541] = {.lex_state = 9},
  [1542] = {.lex_state = 9},
  [1543] = {.lex_state = 20},
  [1544] = {.lex_state = 20},
  [1545] = {.lex_state = 20},
  [1546] = {.lex_state = 20},
  [1547] = {.lex_state = 20},
  [1548] = {.lex_state = 20},
  [1549] = {.lex_state = 20},
  [1550] = {.lex_state = 20},
  [1551] = {.lex_state = 20},
  [1552] = {.lex_state = 20},
  [1553] = {.lex_state = 20},
  [1554] = {.lex_state = 20},
  [1555] = {.lex_state = 20},
  [1556] = {.lex_state = 20},
  [1557] = {.lex_state = 20},
  [1558] = {.lex_state = 20},
  [1559] = {.lex_state = 20},
  [1560] = {.lex_state = 20},
  [1561] = {.lex_state = 20},
  [1562] = {.lex_state = 20},
  [1563] = {.lex_state = 20},
  [1564] = {.lex_state = 20},
  [1565] = {.lex_state = 20},
  [1566] = {.lex_state = 20},
  [1567] = {.lex_state = 20},
  [1568] = {.lex_state = 20},
  [1569] = {.lex_state = 20},
  [1570] = {.lex_state = 20},
  [1571] = {.lex_state = 0},
  [1572] = {.lex_state = 20},
  [1573] = {.lex_state = 20},
  [1574] = {.lex_state = 20},
  [1575] = {.lex_state = 20},
  [1576] = {.lex_state = 20},
  [1577] = {.lex_state = 20},
  [1578] = {.lex_state = 20},
  [1579] = {.lex_state = 20},
  [1580] = {.lex_state = 20},
  [1581] = {.lex_state = 20},
  [1582] = {.lex_state = 20},
  [1583] = {.lex_state = 20},
  [1584] = {.lex_state = 20},
  [1585] = {.lex_state = 20},
  [1586] = {.lex_state = 20},
  [1587] = {.lex_state = 20},
  [1588] = {.lex_state = 20},
  [1589] = {.lex_state = 20},
  [1590] = {.lex_state = 20},
  [1591] = {.lex_state = 20},
  [1592] = {.lex_state = 20},
  [1593] = {.lex_state = 20},
  [1594] = {.lex_state = 20},
  [1595] = {.lex_state = 20},
  [1596] = {.lex_state = 20},
  [1597] = {.lex_state = 20},
  [1598] = {.lex_state = 20},
  [1599] = {.lex_state = 20},
  [1600] = {.lex_state = 20},
  [1601] = {.lex_state = 20},
  [1602] = {.lex_state = 20},
  [1603] = {.lex_state = 20},
  [1604] = {.lex_state = 20},
  [1605] = {.lex_state = 20},
  [1606] = {.lex_state = 20},
  [1607] = {.lex_state = 20},
  [1608] = {.lex_state = 20},
  [1609] = {.lex_state = 20},
  [1610] = {.lex_state = 20},
  [1611] = {.lex_state = 20},
  [1612] = {.lex_state = 20},
  [1613] = {.lex_state = 20},
  [1614] = {.lex_state = 20},
  [1615] = {.lex_state = 20},
  [1616] = {.lex_state = 20},
  [1617] = {.lex_state = 20},
  [1618] = {.lex_state = 20},
  [1619] = {.lex_state = 20},
  [1620] = {.lex_state = 20},
  [1621] = {.lex_state = 20},
  [1622] = {.lex_state = 20},
  [1623] = {.lex_state = 20},
  [1624] = {.lex_state = 20},
  [1625] = {.lex_state = 20},
  [1626] = {.lex_state = 20},
  [1627] = {.lex_state = 20},
  [1628] = {.lex_state = 20},
  [1629] = {.lex_state = 20},
  [1630] = {.lex_state = 20},
  [1631] = {.lex_state = 20},
  [1632] = {.lex_state = 0},
  [1633] = {.lex_state = 20},
  [1634] = {.lex_state = 20},
  [1635] = {.lex_state = 20},
  [1636] = {.lex_state = 20},
  [1637] = {.lex_state = 20},
  [1638] = {.lex_state = 20},
  [1639] = {.lex_state = 20},
  [1640] = {.lex_state = 20},
  [1641] = {.lex_state = 20},
  [1642] = {.lex_state = 20},
  [1643] = {.lex_state = 20},
  [1644] = {.lex_state = 0},
  [1645] = {.lex_state = 20},
  [1646] = {.lex_state = 20},
  [1647] = {.lex_state = 20},
  [1648] = {.lex_state = 20},
  [1649] = {.lex_state = 20},
  [1650] = {.lex_state = 20},
  [1651] = {.lex_state = 20},
  [1652] = {.lex_state = 20},
  [1653] = {.lex_state = 20},
  [1654] = {.lex_state = 20},
  [1655] = {.lex_state = 20},
  [1656] = {.lex_state = 20},
  [1657] = {.lex_state = 20},
  [1658] = {.lex_state = 20},
  [1659] = {.lex_state = 20},
  [1660] = {.lex_state = 20},
  [1661] = {.lex_state = 20},
  [1662] = {.lex_state = 0},
  [1663] = {.lex_state = 0},
  [1664] = {.lex_state = 0},
  [1665] = {.lex_state = 0},
  [1666] = {.lex_state = 0},
  [1667] = {.lex_state = 0},
  [1668] = {.lex_state = 0},
  [1669] = {.lex_state = 0},
  [1670] = {.lex_state = 0},
  [1671] = {.lex_state = 0},
  [1672] = {.lex_state = 0},
  [1673] = {.lex_state = 0},
  [1674] = {.lex_state = 0},
  [1675] = {.lex_state = 0},
  [1676] = {.lex_state = 0},
  [1677] = {.lex_state = 0},
  [1678] = {.lex_state = 0},
  [1679] = {.lex_state = 0},
  [1680] = {.lex_state = 0},
  [1681] = {.lex_state = 0},
  [1682] = {.lex_state = 0},
  [1683] = {.lex_state = 0},
  [1684] = {.lex_state = 0},
  [1685] = {.lex_state = 0},
  [1686] = {.lex_state = 0},
  [1687] = {.lex_state = 0},
  [1688] = {.lex_state = 0},
  [1689] = {.lex_state = 0},
  [1690] = {.lex_state = 0},
  [1691] = {.lex_state = 0},
  [1692] = {.lex_state = 0},
  [1693] = {.lex_state = 0},
  [1694] = {.lex_state = 0},
  [1695] = {.lex_state = 0},
  [1696] = {.lex_state = 0},
  [1697] = {.lex_state = 0},
  [1698] = {.lex_state = 0},
  [1699] = {.lex_state = 0},
  [1700] = {.lex_state = 0},
  [1701] = {.lex_state = 0},
  [1702] = {.lex_state = 0},
  [1703] = {.lex_state = 0},
  [1704] = {.lex_state = 0},
  [1705] = {.lex_state = 0},
  [1706] = {.lex_state = 0},
  [1707] = {.lex_state = 0},
  [1708] = {.lex_state = 0},
  [1709] = {.lex_state = 0},
  [1710] = {.lex_state = 0},
  [1711] = {.lex_state = 0},
  [1712] = {.lex_state = 20},
  [1713] = {.lex_state = 0},
  [1714] = {.lex_state = 0},
  [1715] = {.lex_state = 0},
  [1716] = {.lex_state = 0},
  [1717] = {.lex_state = 0},
  [1718] = {.lex_state = 0},
  [1719] = {.lex_state = 0},
  [1720] = {.lex_state = 0},
  [1721] = {.lex_state = 0},
  [1722] = {.lex_state = 0},
  [1723] = {.lex_state = 0},
  [1724] = {.lex_state = 0},
  [1725] = {.lex_state = 0},
  [1726] = {.lex_state = 0},
  [1727] = {.lex_state = 0},
  [1728] = {.lex_state = 0},
  [1729] = {.lex_state = 0},
  [1730] = {.lex_state = 0},
  [1731] = {.lex_state = 0},
  [1732] = {.lex_state = 0},
  [1733] = {.lex_state = 0},
  [1734] = {.lex_state = 0},
  [1735] = {.lex_state = 0},
  [1736] = {.lex_state = 8},
  [1737] = {.lex_state = 8},
  [1738] = {.lex_state = 8},
  [1739] = {.lex_state = 8},
  [1740] = {.lex_state = 8},
  [1741] = {.lex_state = 8},
  [1742] = {.lex_state = 8},
  [1743] = {.lex_state = 8},
  [1744] = {.lex_state = 8},
  [1745] = {.lex_state = 8},
  [1746] = {.lex_state = 8},
  [1747] = {.lex_state = 8},
  [1748] = {.lex_state = 8},
  [1749] = {.lex_state = 8},
  [1750] = {.lex_state = 8},
  [1751] = {.lex_state = 8},
  [1752] = {.lex_state = 8},
  [1753] = {.lex_state = 8},
  [1754] = {.lex_state = 8},
  [1755] = {.lex_state = 8},
  [1756] = {.lex_state = 8},
  [1757] = {.lex_state = 8},
  [1758] = {.lex_state = 8},
  [1759] = {.lex_state = 8},
  [1760] = {.lex_state = 8},
  [1761] = {.lex_state = 8},
  [1762] = {.lex_state = 8},
  [1763] = {.lex_state = 8},
  [1764] = {.lex_state = 8},
  [1765] = {.lex_state = 8},
  [1766] = {.lex_state = 8},
  [1767] = {.lex_state = 8},
  [1768] = {.lex_state = 8},
  [1769] = {.lex_state = 8},
  [1770] = {.lex_state = 8},
  [1771] = {.lex_state = 8},
  [1772] = {.lex_state = 8},
  [1773] = {.lex_state = 8},
  [1774] = {.lex_state = 18},
  [1775] = {.lex_state = 0},
  [1776] = {.lex_state = 0},
  [1777] = {.lex_state = 0},
  [1778] = {.lex_state = 0},
  [1779] = {.lex_state = 0},
  [1780] = {.lex_state = 0},
  [1781] = {.lex_state = 0},
  [1782] = {.lex_state = 0},
  [1783] = {.lex_state = 0},
  [1784] = {.lex_state = 0},
  [1785] = {.lex_state = 19},
  [1786] = {.lex_state = 0},
  [1787] = {.lex_state = 454},
  [1788] = {.lex_state = 0},
  [1789] = {.lex_state = 0},
  [1790] = {.lex_state = 454},
  [1791] = {.lex_state = 0},
  [1792] = {.lex_state = 454},
  [1793] = {.lex_state = 0},
  [1794] = {.lex_state = 0},
  [1795] = {.lex_state = 0},
  [1796] = {.lex_state = 0},
  [1797] = {.lex_state = 0},
  [1798] = {.lex_state = 0},
  [1799] = {.lex_state = 0},
  [1800] = {.lex_state = 454},
  [1801] = {.lex_state = 0},
  [1802] = {.lex_state = 0},
  [1803] = {.lex_state = 0},
  [1804] = {.lex_state = 454},
  [1805] = {.lex_state = 454},
  [1806] = {.lex_state = 0},
  [1807] = {.lex_state = 0},
  [1808] = {.lex_state = 8},
  [1809] = {.lex_state = 19},
  [1810] = {.lex_state = 8},
  [1811] = {.lex_state = 19},
  [1812] = {.lex_state = 8},
  [1813] = {.lex_state = 8},
  [1814] = {.lex_state = 0},
  [1815] = {.lex_state = 8},
  [1816] = {.lex_state = 0},
  [1817] = {.lex_state = 19},
  [1818] = {.lex_state = 8},
  [1819] = {.lex_state = 0},
  [1820] = {.lex_state = 0},
  [1821] = {.lex_state = 8},
  [1822] = {.lex_state = 0},
  [1823] = {.lex_state = 19},
  [1824] = {.lex_state = 8},
  [1825] = {.lex_state = 19},
  [1826] = {.lex_state = 0},
  [1827] = {.lex_state = 19},
  [1828] = {.lex_state = 0},
  [1829] = {.lex_state = 0},
  [1830] = {.lex_state = 8},
  [1831] = {.lex_state = 19},
  [1832] = {.lex_state = 8},
  [1833] = {.lex_state = 8},
  [1834] = {.lex_state = 8},
  [1835] = {.lex_state = 19},
  [1836] = {.lex_state = 8},
  [1837] = {.lex_state = 0},
  [1838] = {.lex_state = 19},
  [1839] = {.lex_state = 0},
  [1840] = {.lex_state = 454},
  [1841] = {.lex_state = 0},
  [1842] = {.lex_state = 8},
  [1843] = {.lex_state = 19},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 19},
  [1846] = {.lex_state = 0},
  [1847] = {.lex_state = 0},
  [1848] = {.lex_state = 0},
  [1849] = {.lex_state = 0},
  [1850] = {.lex_state = 19},
  [1851] = {.lex_state = 8},
  [1852] = {.lex_state = 0},
  [1853] = {.lex_state = 19},
  [1854] = {.lex_state = 19},
  [1855] = {.lex_state = 19},
  [1856] = {.lex_state = 19},
  [1857] = {.lex_state = 19},
  [1858] = {.lex_state = 8},
  [1859] = {.lex_state = 0},
  [1860] = {.lex_state = 19},
  [1861] = {.lex_state = 19},
  [1862] = {.lex_state = 19},
  [1863] = {.lex_state = 8},
  [1864] = {.lex_state = 19},
  [1865] = {.lex_state = 8},
  [1866] = {.lex_state = 19},
  [1867] = {.lex_state = 19},
  [1868] = {.lex_state = 22},
  [1869] = {.lex_state = 22},
  [1870] = {.lex_state = 19},
  [1871] = {.lex_state = 23},
  [1872] = {.lex_state = 19},
  [1873] = {.lex_state = 22},
  [1874] = {.lex_state = 23},
  [1875] = {.lex_state = 19},
  [1876] = {.lex_state = 19},
  [1877] = {.lex_state = 19},
  [1878] = {.lex_state = 19},
  [1879] = {.lex_state = 19},
  [1880] = {.lex_state = 0},
  [1881] = {.lex_state = 0},
  [1882] = {.lex_state = 0},
  [1883] = {.lex_state = 0},
  [1884] = {.lex_state = 8},
  [1885] = {.lex_state = 0},
  [1886] = {.lex_state = 0},
  [1887] = {.lex_state = 0},
  [1888] = {.lex_state = 8},
  [1889] = {.lex_state = 0},
  [1890] = {.lex_state = 0},
  [1891] = {.lex_state = 0},
  [1892] = {.lex_state = 0},
  [1893] = {.lex_state = 0},
  [1894] = {.lex_state = 0},
  [1895] = {.lex_state = 0},
  [1896] = {.lex_state = 8},
  [1897] = {.lex_state = 0},
  [1898] = {.lex_state = 8},
  [1899] = {.lex_state = 0},
  [1900] = {.lex_state = 8},
  [1901] = {.lex_state = 0},
  [1902] = {.lex_state = 0},
  [1903] = {.lex_state = 0},
  [1904] = {.lex_state = 0},
  [1905] = {.lex_state = 8},
  [1906] = {.lex_state = 8},
  [1907] = {.lex_state = 454},
  [1908] = {.lex_state = 0},
  [1909] = {.lex_state = 0},
  [1910] = {.lex_state = 19},
  [1911] = {.lex_state = 0},
  [1912] = {.lex_state = 19},
  [1913] = {.lex_state = 0},
  [1914] = {.lex_state = 0},
  [1915] = {.lex_state = 0},
  [1916] = {.lex_state = 0},
  [1917] = {.lex_state = 8},
  [1918] = {.lex_state = 8},
  [1919] = {.lex_state = 8},
  [1920] = {.lex_state = 0},
  [1921] = {.lex_state = 0},
  [1922] = {.lex_state = 8},
  [1923] = {.lex_state = 8},
  [1924] = {.lex_state = 0},
  [1925] = {.lex_state = 8},
  [1926] = {.lex_state = 8},
  [1927] = {.lex_state = 8},
  [1928] = {.lex_state = 8},
  [1929] = {.lex_state = 8},
  [1930] = {.lex_state = 8},
  [1931] = {.lex_state = 8},
  [1932] = {.lex_state = 8},
  [1933] = {.lex_state = 0},
  [1934] = {.lex_state = 0},
  [1935] = {.lex_state = 8},
  [1936] = {.lex_state = 8},
  [1937] = {.lex_state = 8},
  [1938] = {.lex_state = 8},
  [1939] = {.lex_state = 454},
  [1940] = {.lex_state = 8},
  [1941] = {.lex_state = 19},
  [1942] = {.lex_state = 0},
  [1943] = {.lex_state = 8},
  [1944] = {.lex_state = 8},
  [1945] = {.lex_state = 0},
  [1946] = {.lex_state = 0},
  [1947] = {.lex_state = 8},
  [1948] = {.lex_state = 0},
  [1949] = {.lex_state = 8},
  [1950] = {.lex_state = 8},
  [1951] = {.lex_state = 0},
  [1952] = {.lex_state = 0},
  [1953] = {.lex_state = 0},
  [1954] = {.lex_state = 8},
  [1955] = {.lex_state = 8},
  [1956] = {.lex_state = 8},
  [1957] = {.lex_state = 0},
  [1958] = {.lex_state = 19},
  [1959] = {.lex_state = 19},
  [1960] = {.lex_state = 8},
  [1961] = {.lex_state = 19},
  [1962] = {.lex_state = 8},
  [1963] = {.lex_state = 0},
  [1964] = {.lex_state = 0},
  [1965] = {.lex_state = 20},
  [1966] = {.lex_state = 19},
  [1967] = {.lex_state = 0},
  [1968] = {.lex_state = 0},
  [1969] = {.lex_state = 0},
  [1970] = {.lex_state = 0},
  [1971] = {.lex_state = 0},
  [1972] = {.lex_state = 19},
  [1973] = {.lex_state = 19},
  [1974] = {.lex_state = 8},
  [1975] = {.lex_state = 0},
  [1976] = {.lex_state = 8},
  [1977] = {.lex_state = 0},
  [1978] = {.lex_state = 454},
  [1979] = {.lex_state = 0},
  [1980] = {.lex_state = 19},
  [1981] = {.lex_state = 19},
  [1982] = {.lex_state = 0},
  [1983] = {.lex_state = 22},
  [1984] = {.lex_state = 8},
  [1985] = {.lex_state = 0},
  [1986] = {.lex_state = 0},
  [1987] = {.lex_state = 19},
  [1988] = {.lex_state = 454},
  [1989] = {.lex_state = 8},
  [1990] = {.lex_state = 8},
  [1991] = {.lex_state = 0},
  [1992] = {.lex_state = 8},
  [1993] = {.lex_state = 0},
  [1994] = {.lex_state = 19},
  [1995] = {.lex_state = 0},
  [1996] = {.lex_state = 8},
  [1997] = {.lex_state = 19},
  [1998] = {.lex_state = 454},
  [1999] = {.lex_state = 0},
  [2000] = {.lex_state = 0},
  [2001] = {.lex_state = 20},
  [2002] = {.lex_state = 0},
  [2003] = {.lex_state = 0},
  [2004] = {.lex_state = 0},
  [2005] = {.lex_state = 454},
  [2006] = {.lex_state = 8},
  [2007] = {.lex_state = 19},
  [2008] = {.lex_state = 0},
  [2009] = {.lex_state = 0},
  [2010] = {.lex_state = 0},
  [2011] = {.lex_state = 0},
  [2012] = {.lex_state = 0},
  [2013] = {.lex_state = 0},
  [2014] = {.lex_state = 0},
  [2015] = {.lex_state = 0},
  [2016] = {.lex_state = 19},
  [2017] = {.lex_state = 0},
  [2018] = {.lex_state = 0},
  [2019] = {.lex_state = 19},
  [2020] = {.lex_state = 0},
  [2021] = {.lex_state = 0},
  [2022] = {.lex_state = 0},
  [2023] = {.lex_state = 0},
  [2024] = {.lex_state = 0},
  [2025] = {.lex_state = 0},
  [2026] = {.lex_state = 454},
  [2027] = {.lex_state = 0},
  [2028] = {.lex_state = 19},
  [2029] = {.lex_state = 0},
  [2030] = {.lex_state = 0},
  [2031] = {.lex_state = 0},
  [2032] = {.lex_state = 454},
  [2033] = {.lex_state = 0},
  [2034] = {.lex_state = 19},
  [2035] = {.lex_state = 19},
  [2036] = {.lex_state = 0},
  [2037] = {.lex_state = 0},
  [2038] = {.lex_state = 0},
  [2039] = {.lex_state = 8},
  [2040] = {.lex_state = 0},
  [2041] = {.lex_state = 8},
  [2042] = {.lex_state = 0},
  [2043] = {.lex_state = 454},
  [2044] = {.lex_state = 0},
  [2045] = {.lex_state = 19},
  [2046] = {.lex_state = 0},
  [2047] = {.lex_state = 0},
  [2048] = {.lex_state = 19},
  [2049] = {.lex_state = 0},
  [2050] = {.lex_state = 0},
  [2051] = {.lex_state = 0},
  [2052] = {.lex_state = 19},
  [2053] = {.lex_state = 19},
  [2054] = {.lex_state = 8},
  [2055] = {.lex_state = 0},
  [2056] = {.lex_state = 0},
  [2057] = {.lex_state = 454},
  [2058] = {.lex_state = 0},
  [2059] = {.lex_state = 19},
  [2060] = {.lex_state = 19},
  [2061] = {.lex_state = 0},
  [2062] = {.lex_state = 0},
  [2063] = {.lex_state = 0},
  [2064] = {.lex_state = 19},
  [2065] = {.lex_state = 0},
  [2066] = {.lex_state = 0},
  [2067] = {.lex_state = 0},
  [2068] = {.lex_state = 454},
  [2069] = {.lex_state = 19},
  [2070] = {.lex_state = 0},
  [2071] = {.lex_state = 0},
  [2072] = {.lex_state = 454},
  [2073] = {.lex_state = 0},
  [2074] = {.lex_state = 19},
  [2075] = {.lex_state = 19},
  [2076] = {.lex_state = 21},
  [2077] = {.lex_state = 0},
  [2078] = {.lex_state = 19},
  [2079] = {.lex_state = 454},
  [2080] = {.lex_state = 8},
  [2081] = {.lex_state = 19},
  [2082] = {.lex_state = 19},
  [2083] = {.lex_state = 19},
  [2084] = {.lex_state = 19},
  [2085] = {.lex_state = 454},
  [2086] = {.lex_state = 19},
  [2087] = {.lex_state = 19},
  [2088] = {.lex_state = 19},
  [2089] = {.lex_state = 454},
  [2090] = {.lex_state = 19},
  [2091] = {.lex_state = 19},
  [2092] = {.lex_state = 0},
  [2093] = {.lex_state = 0},
  [2094] = {.lex_state = 19},
  [2095] = {.lex_state = 19},
  [2096] = {.lex_state = 0},
  [2097] = {.lex_state = 19},
  [2098] = {.lex_state = 19},
  [2099] = {.lex_state = 454},
  [2100] = {.lex_state = 8},
  [2101] = {.lex_state = 454},
  [2102] = {.lex_state = 19},
  [2103] = {.lex_state = 19},
  [2104] = {.lex_state = 19},
  [2105] = {.lex_state = 19},
  [2106] = {.lex_state = 19},
  [2107] = {.lex_state = 0},
  [2108] = {.lex_state = 19},
  [2109] = {.lex_state = 19},
  [2110] = {.lex_state = 19},
  [2111] = {.lex_state = 19},
  [2112] = {.lex_state = 19},
  [2113] = {.lex_state = 19},
  [2114] = {.lex_state = 0},
  [2115] = {.lex_state = 19},
  [2116] = {.lex_state = 0},
  [2117] = {.lex_state = 0},
  [2118] = {.lex_state = 19},
  [2119] = {.lex_state = 0},
  [2120] = {.lex_state = 0},
  [2121] = {.lex_state = 0},
  [2122] = {.lex_state = 0},
  [2123] = {.lex_state = 0},
  [2124] = {.lex_state = 8},
  [2125] = {.lex_state = 0},
  [2126] = {.lex_state = 0},
  [2127] = {.lex_state = 0},
  [2128] = {.lex_state = 19},
  [2129] = {.lex_state = 0},
  [2130] = {.lex_state = 19},
  [2131] = {.lex_state = 19},
  [2132] = {.lex_state = 0},
  [2133] = {.lex_state = 19},
  [2134] = {.lex_state = 24},
  [2135] = {.lex_state = 0},
  [2136] = {.lex_state = 0},
  [2137] = {.lex_state = 0},
  [2138] = {.lex_state = 0},
  [2139] = {.lex_state = 0},
  [2140] = {.lex_state = 19},
  [2141] = {.lex_state = 24},
  [2142] = {.lex_state = 19},
  [2143] = {.lex_state = 19},
  [2144] = {.lex_state = 0},
  [2145] = {.lex_state = 19},
  [2146] = {.lex_state = 0},
  [2147] = {.lex_state = 0},
  [2148] = {.lex_state = 0},
  [2149] = {.lex_state = 0},
  [2150] = {.lex_state = 0},
  [2151] = {.lex_state = 0},
  [2152] = {.lex_state = 0},
  [2153] = {.lex_state = 0},
  [2154] = {.lex_state = 0},
  [2155] = {.lex_state = 19},
  [2156] = {.lex_state = 19},
  [2157] = {.lex_state = 0},
  [2158] = {.lex_state = 0},
  [2159] = {.lex_state = 19},
  [2160] = {.lex_state = 8},
  [2161] = {.lex_state = 8},
  [2162] = {.lex_state = 8},
  [2163] = {.lex_state = 0},
  [2164] = {.lex_state = 19},
  [2165] = {.lex_state = 8},
  [2166] = {.lex_state = 0},
  [2167] = {.lex_state = 19},
  [2168] = {.lex_state = 19},
  [2169] = {.lex_state = 8},
  [2170] = {.lex_state = 0},
  [2171] = {.lex_state = 0},
  [2172] = {.lex_state = 19},
  [2173] = {.lex_state = 19},
  [2174] = {.lex_state = 454},
  [2175] = {.lex_state = 0},
  [2176] = {.lex_state = 19},
  [2177] = {.lex_state = 8},
  [2178] = {.lex_state = 0},
  [2179] = {.lex_state = 0},
  [2180] = {.lex_state = 0},
  [2181] = {.lex_state = 0},
  [2182] = {.lex_state = 0},
  [2183] = {.lex_state = 0},
  [2184] = {.lex_state = 0},
  [2185] = {.lex_state = 0},
  [2186] = {.lex_state = 0},
  [2187] = {.lex_state = 19},
  [2188] = {.lex_state = 0},
  [2189] = {.lex_state = 24},
  [2190] = {.lex_state = 19},
  [2191] = {.lex_state = 0},
  [2192] = {.lex_state = 0},
  [2193] = {.lex_state = 0},
  [2194] = {.lex_state = 0},
  [2195] = {.lex_state = 0},
  [2196] = {.lex_state = 0},
  [2197] = {.lex_state = 454},
  [2198] = {.lex_state = 8},
  [2199] = {.lex_state = 0},
  [2200] = {.lex_state = 19},
  [2201] = {.lex_state = 19},
  [2202] = {.lex_state = 0},
  [2203] = {.lex_state = 0},
  [2204] = {.lex_state = 0},
  [2205] = {.lex_state = 0},
  [2206] = {.lex_state = 8},
  [2207] = {.lex_state = 19},
  [2208] = {.lex_state = 454},
  [2209] = {.lex_state = 19},
  [2210] = {.lex_state = 0},
  [2211] = {.lex_state = 0},
  [2212] = {.lex_state = 0},
  [2213] = {.lex_state = 8},
  [2214] = {.lex_state = 0},
  [2215] = {.lex_state = 0},
  [2216] = {.lex_state = 0},
  [2217] = {.lex_state = 0},
  [2218] = {.lex_state = 0},
  [2219] = {.lex_state = 8},
  [2220] = {.lex_state = 0},
  [2221] = {.lex_state = 0},
  [2222] = {.lex_state = 0},
  [2223] = {.lex_state = 24},
  [2224] = {.lex_state = 8},
  [2225] = {.lex_state = 0},
  [2226] = {.lex_state = 0},
  [2227] = {.lex_state = 8},
  [2228] = {.lex_state = 0},
  [2229] = {.lex_state = 8},
  [2230] = {.lex_state = 0},
  [2231] = {.lex_state = 0},
  [2232] = {.lex_state = 0},
  [2233] = {.lex_state = 8},
  [2234] = {.lex_state = 0},
  [2235] = {.lex_state = 0},
  [2236] = {.lex_state = 19},
  [2237] = {.lex_state = 0},
  [2238] = {.lex_state = 0},
  [2239] = {.lex_state = 8},
  [2240] = {.lex_state = 19},
  [2241] = {.lex_state = 8},
  [2242] = {.lex_state = 19},
  [2243] = {.lex_state = 8},
  [2244] = {.lex_state = 8},
  [2245] = {.lex_state = 24},
  [2246] = {.lex_state = 0},
  [2247] = {.lex_state = 0},
  [2248] = {.lex_state = 0},
  [2249] = {.lex_state = 0},
  [2250] = {.lex_state = 19},
  [2251] = {.lex_state = 0},
  [2252] = {.lex_state = 19},
  [2253] = {.lex_state = 0},
  [2254] = {.lex_state = 454},
  [2255] = {.lex_state = 0},
  [2256] = {.lex_state = 24},
  [2257] = {.lex_state = 0},
  [2258] = {.lex_state = 0},
  [2259] = {.lex_state = 24},
  [2260] = {.lex_state = 19},
  [2261] = {.lex_state = 0},
  [2262] = {.lex_state = 0},
  [2263] = {.lex_state = 0},
  [2264] = {.lex_state = 0},
  [2265] = {.lex_state = 0},
  [2266] = {.lex_state = 0},
  [2267] = {.lex_state = 0},
  [2268] = {.lex_state = 0},
  [2269] = {.lex_state = 0},
  [2270] = {.lex_state = 0},
  [2271] = {.lex_state = 8},
  [2272] = {.lex_state = 454},
  [2273] = {.lex_state = 24},
  [2274] = {.lex_state = 19},
  [2275] = {.lex_state = 8},
  [2276] = {.lex_state = 19},
  [2277] = {.lex_state = 8},
  [2278] = {.lex_state = 8},
  [2279] = {.lex_state = 8},
  [2280] = {.lex_state = 19},
  [2281] = {.lex_state = 19},
  [2282] = {.lex_state = 19},
  [2283] = {.lex_state = 0},
  [2284] = {.lex_state = 454},
  [2285] = {.lex_state = 0},
  [2286] = {.lex_state = 24},
  [2287] = {.lex_state = 0},
  [2288] = {.lex_state = 0},
  [2289] = {.lex_state = 0},
  [2290] = {.lex_state = 0},
  [2291] = {.lex_state = 454},
  [2292] = {.lex_state = 0},
  [2293] = {.lex_state = 0},
  [2294] = {.lex_state = 8},
  [2295] = {.lex_state = 0},
  [2296] = {.lex_state = 0},
  [2297] = {.lex_state = 0},
  [2298] = {.lex_state = 0},
  [2299] = {.lex_state = 0},
  [2300] = {.lex_state = 0},
  [2301] = {.lex_state = 19},
  [2302] = {.lex_state = 8},
  [2303] = {.lex_state = 0},
  [2304] = {.lex_state = 0},
  [2305] = {.lex_state = 19},
  [2306] = {.lex_state = 8},
  [2307] = {.lex_state = 8},
  [2308] = {.lex_state = 8},
  [2309] = {.lex_state = 0},
  [2310] = {.lex_state = 0},
  [2311] = {.lex_state = 0},
  [2312] = {.lex_state = 0},
  [2313] = {.lex_state = 0},
  [2314] = {.lex_state = 454},
  [2315] = {.lex_state = 0},
  [2316] = {.lex_state = 0},
  [2317] = {.lex_state = 19},
  [2318] = {.lex_state = 19},
  [2319] = {.lex_state = 0},
  [2320] = {.lex_state = 8},
  [2321] = {.lex_state = 19},
  [2322] = {.lex_state = 8},
  [2323] = {.lex_state = 0},
  [2324] = {.lex_state = 19},
  [2325] = {.lex_state = 19},
  [2326] = {.lex_state = 8},
  [2327] = {.lex_state = 0},
  [2328] = {.lex_state = 8},
  [2329] = {.lex_state = 0},
  [2330] = {.lex_state = 0},
  [2331] = {.lex_state = 0},
  [2332] = {.lex_state = 0},
  [2333] = {.lex_state = 0},
  [2334] = {.lex_state = 454},
  [2335] = {.lex_state = 0},
  [2336] = {.lex_state = 8},
  [2337] = {.lex_state = 0},
  [2338] = {.lex_state = 8},
  [2339] = {.lex_state = 0},
  [2340] = {.lex_state = 0},
  [2341] = {.lex_state = 0},
  [2342] = {.lex_state = 8},
  [2343] = {.lex_state = 0},
  [2344] = {.lex_state = 8},
  [2345] = {.lex_state = 0},
  [2346] = {.lex_state = 8},
  [2347] = {.lex_state = 0},
  [2348] = {.lex_state = 8},
  [2349] = {.lex_state = 0},
  [2350] = {.lex_state = 0},
  [2351] = {.lex_state = 0},
  [2352] = {.lex_state = 0},
  [2353] = {.lex_state = 0},
  [2354] = {.lex_state = 454},
  [2355] = {.lex_state = 0},
  [2356] = {.lex_state = 0},
  [2357] = {.lex_state = 0},
  [2358] = {.lex_state = 0},
  [2359] = {.lex_state = 0},
  [2360] = {.lex_state = 19},
  [2361] = {.lex_state = 454},
  [2362] = {.lex_state = 8},
  [2363] = {.lex_state = 0},
  [2364] = {.lex_state = 0},
  [2365] = {.lex_state = 0},
  [2366] = {.lex_state = 8},
  [2367] = {.lex_state = 19},
  [2368] = {.lex_state = 8},
  [2369] = {.lex_state = 8},
  [2370] = {.lex_state = 19},
  [2371] = {.lex_state = 0},
  [2372] = {.lex_state = 0},
  [2373] = {.lex_state = 0},
  [2374] = {.lex_state = 454},
  [2375] = {.lex_state = 0},
  [2376] = {.lex_state = 19},
  [2377] = {.lex_state = 0},
  [2378] = {.lex_state = 8},
  [2379] = {.lex_state = 24},
  [2380] = {.lex_state = 19},
  [2381] = {.lex_state = 8},
  [2382] = {.lex_state = 8},
  [2383] = {.lex_state = 8},
  [2384] = {.lex_state = 8},
  [2385] = {.lex_state = 0},
  [2386] = {.lex_state = 0},
  [2387] = {.lex_state = 0},
  [2388] = {.lex_state = 0},
  [2389] = {.lex_state = 454},
  [2390] = {.lex_state = 19},
  [2391] = {.lex_state = 0},
  [2392] = {.lex_state = 0},
  [2393] = {.lex_state = 8},
  [2394] = {.lex_state = 0},
  [2395] = {.lex_state = 0},
  [2396] = {.lex_state = 8},
  [2397] = {.lex_state = 8},
  [2398] = {.lex_state = 8},
  [2399] = {.lex_state = 8},
  [2400] = {.lex_state = 0},
  [2401] = {.lex_state = 0},
  [2402] = {.lex_state = 0},
  [2403] = {.lex_state = 0},
  [2404] = {.lex_state = 454},
  [2405] = {.lex_state = 0},
  [2406] = {.lex_state = 0},
  [2407] = {.lex_state = 19},
  [2408] = {.lex_state = 8},
  [2409] = {.lex_state = 24},
  [2410] = {.lex_state = 0},
  [2411] = {.lex_state = 8},
  [2412] = {.lex_state = 8},
  [2413] = {.lex_state = 8},
  [2414] = {.lex_state = 0},
  [2415] = {.lex_state = 0},
  [2416] = {.lex_state = 0},
  [2417] = {.lex_state = 0},
  [2418] = {.lex_state = 0},
  [2419] = {.lex_state = 454},
  [2420] = {.lex_state = 0},
  [2421] = {.lex_state = 0},
  [2422] = {.lex_state = 0},
  [2423] = {.lex_state = 8},
  [2424] = {.lex_state = 0},
  [2425] = {.lex_state = 0},
  [2426] = {.lex_state = 8},
  [2427] = {.lex_state = 0},
  [2428] = {.lex_state = 8},
  [2429] = {.lex_state = 19},
  [2430] = {.lex_state = 0},
  [2431] = {.lex_state = 0},
  [2432] = {.lex_state = 0},
  [2433] = {.lex_state = 0},
  [2434] = {.lex_state = 454},
  [2435] = {.lex_state = 8},
  [2436] = {.lex_state = 0},
  [2437] = {.lex_state = 0},
  [2438] = {.lex_state = 8},
  [2439] = {.lex_state = 0},
  [2440] = {.lex_state = 0},
  [2441] = {.lex_state = 8},
  [2442] = {.lex_state = 0},
  [2443] = {.lex_state = 8},
  [2444] = {.lex_state = 8},
  [2445] = {.lex_state = 0},
  [2446] = {.lex_state = 0},
  [2447] = {.lex_state = 0},
  [2448] = {.lex_state = 0},
  [2449] = {.lex_state = 454},
  [2450] = {.lex_state = 8},
  [2451] = {.lex_state = 0},
  [2452] = {.lex_state = 8},
  [2453] = {.lex_state = 0},
  [2454] = {.lex_state = 0},
  [2455] = {.lex_state = 8},
  [2456] = {.lex_state = 0},
  [2457] = {.lex_state = 8},
  [2458] = {.lex_state = 0},
  [2459] = {.lex_state = 0},
  [2460] = {.lex_state = 0},
  [2461] = {.lex_state = 0},
  [2462] = {.lex_state = 0},
  [2463] = {.lex_state = 19},
  [2464] = {.lex_state = 19},
  [2465] = {.lex_state = 454},
  [2466] = {.lex_state = 19},
  [2467] = {.lex_state = 8},
  [2468] = {.lex_state = 24},
  [2469] = {.lex_state = 19},
  [2470] = {.lex_state = 19},
  [2471] = {.lex_state = 8},
  [2472] = {.lex_state = 0},
  [2473] = {.lex_state = 0},
  [2474] = {.lex_state = 0},
  [2475] = {.lex_state = 0},
  [2476] = {.lex_state = 0},
  [2477] = {.lex_state = 0},
  [2478] = {.lex_state = 19},
  [2479] = {.lex_state = 0},
  [2480] = {.lex_state = 0},
  [2481] = {.lex_state = 0},
  [2482] = {.lex_state = 454},
  [2483] = {.lex_state = 454},
  [2484] = {.lex_state = 0},
  [2485] = {.lex_state = 0},
  [2486] = {.lex_state = 0},
  [2487] = {.lex_state = 0},
  [2488] = {.lex_state = 0},
  [2489] = {.lex_state = 0},
  [2490] = {.lex_state = 0},
  [2491] = {.lex_state = 0},
  [2492] = {.lex_state = 0},
  [2493] = {.lex_state = 19},
  [2494] = {.lex_state = 0},
  [2495] = {.lex_state = 19},
  [2496] = {.lex_state = 0},
  [2497] = {.lex_state = 0},
  [2498] = {.lex_state = 24},
  [2499] = {.lex_state = 0},
  [2500] = {.lex_state = 0},
  [2501] = {.lex_state = 19},
  [2502] = {.lex_state = 19},
  [2503] = {.lex_state = 0},
  [2504] = {.lex_state = 19},
  [2505] = {.lex_state = 0},
  [2506] = {.lex_state = 0},
  [2507] = {.lex_state = 19},
  [2508] = {.lex_state = 0},
  [2509] = {.lex_state = 0},
  [2510] = {.lex_state = 0},
  [2511] = {.lex_state = 19},
  [2512] = {.lex_state = 0},
  [2513] = {.lex_state = 454},
  [2514] = {.lex_state = 19},
  [2515] = {.lex_state = 8},
  [2516] = {.lex_state = 19},
  [2517] = {.lex_state = 19},
  [2518] = {.lex_state = 19},
  [2519] = {.lex_state = 0},
  [2520] = {.lex_state = 19},
  [2521] = {.lex_state = 0},
  [2522] = {.lex_state = 454},
  [2523] = {.lex_state = 0},
  [2524] = {.lex_state = 19},
  [2525] = {.lex_state = 19},
  [2526] = {.lex_state = 0},
  [2527] = {.lex_state = 0},
  [2528] = {.lex_state = 0},
  [2529] = {.lex_state = 454},
  [2530] = {.lex_state = 19},
  [2531] = {.lex_state = 0},
  [2532] = {.lex_state = 8},
  [2533] = {.lex_state = 0},
  [2534] = {.lex_state = 19},
  [2535] = {.lex_state = 19},
  [2536] = {.lex_state = 19},
  [2537] = {.lex_state = 0},
  [2538] = {.lex_state = 0},
  [2539] = {.lex_state = 0},
  [2540] = {.lex_state = 0},
  [2541] = {.lex_state = 19},
  [2542] = {.lex_state = 0},
  [2543] = {.lex_state = 19},
  [2544] = {.lex_state = 19},
  [2545] = {.lex_state = 0},
  [2546] = {.lex_state = 0},
  [2547] = {.lex_state = 24},
  [2548] = {.lex_state = 24},
  [2549] = {.lex_state = 19},
  [2550] = {.lex_state = 24},
  [2551] = {.lex_state = 0},
  [2552] = {.lex_state = 0},
  [2553] = {.lex_state = 24},
  [2554] = {.lex_state = 19},
  [2555] = {.lex_state = 19},
  [2556] = {.lex_state = 24},
  [2557] = {.lex_state = 0},
  [2558] = {.lex_state = 0},
  [2559] = {.lex_state = 454},
  [2560] = {.lex_state = 8},
  [2561] = {.lex_state = 0},
  [2562] = {.lex_state = 8},
  [2563] = {.lex_state = 0},
  [2564] = {.lex_state = 24},
  [2565] = {.lex_state = 8},
  [2566] = {.lex_state = 8},
  [2567] = {.lex_state = 19},
  [2568] = {.lex_state = 0},
  [2569] = {.lex_state = 0},
  [2570] = {.lex_state = 0},
  [2571] = {.lex_state = 0},
  [2572] = {.lex_state = 0},
  [2573] = {.lex_state = 19},
  [2574] = {.lex_state = 24},
  [2575] = {.lex_state = 0},
  [2576] = {.lex_state = 0},
  [2577] = {.lex_state = 0},
  [2578] = {.lex_state = 0},
  [2579] = {.lex_state = 0},
  [2580] = {.lex_state = 0},
  [2581] = {.lex_state = 0},
  [2582] = {.lex_state = 0},
  [2583] = {.lex_state = 0},
  [2584] = {.lex_state = 0},
  [2585] = {.lex_state = 0},
  [2586] = {.lex_state = 0},
  [2587] = {.lex_state = 0},
  [2588] = {.lex_state = 0},
  [2589] = {.lex_state = 0},
  [2590] = {.lex_state = 0},
  [2591] = {.lex_state = 19},
  [2592] = {.lex_state = 0},
  [2593] = {.lex_state = 0},
  [2594] = {.lex_state = 0},
  [2595] = {.lex_state = 0},
  [2596] = {.lex_state = 0},
  [2597] = {.lex_state = 0},
  [2598] = {.lex_state = 0},
  [2599] = {.lex_state = 0},
  [2600] = {.lex_state = 0},
  [2601] = {.lex_state = 0},
  [2602] = {.lex_state = 0},
  [2603] = {.lex_state = 24},
  [2604] = {.lex_state = 19},
  [2605] = {.lex_state = 0},
  [2606] = {.lex_state = 0},
  [2607] = {.lex_state = 0},
  [2608] = {.lex_state = 19},
  [2609] = {.lex_state = 19},
  [2610] = {.lex_state = 0},
  [2611] = {.lex_state = 0},
  [2612] = {.lex_state = 19},
  [2613] = {.lex_state = 24},
  [2614] = {.lex_state = 0},
  [2615] = {.lex_state = 0},
  [2616] = {.lex_state = 0},
  [2617] = {.lex_state = 0},
  [2618] = {.lex_state = 0},
  [2619] = {.lex_state = 19},
  [2620] = {.lex_state = 0},
  [2621] = {.lex_state = 19},
  [2622] = {.lex_state = 19},
  [2623] = {.lex_state = 0},
  [2624] = {.lex_state = 19},
  [2625] = {.lex_state = 0},
  [2626] = {.lex_state = 0},
  [2627] = {.lex_state = 0},
  [2628] = {.lex_state = 0},
  [2629] = {.lex_state = 0},
  [2630] = {.lex_state = 19},
  [2631] = {.lex_state = 19},
  [2632] = {.lex_state = 0},
  [2633] = {.lex_state = 19},
  [2634] = {.lex_state = 19},
  [2635] = {.lex_state = 0},
  [2636] = {.lex_state = 19},
  [2637] = {.lex_state = 0},
  [2638] = {.lex_state = 0},
  [2639] = {.lex_state = 0},
  [2640] = {.lex_state = 0},
  [2641] = {.lex_state = 0},
  [2642] = {.lex_state = 0},
  [2643] = {.lex_state = 19},
  [2644] = {.lex_state = 0},
  [2645] = {.lex_state = 19},
  [2646] = {.lex_state = 19},
  [2647] = {.lex_state = 0},
  [2648] = {.lex_state = 0},
  [2649] = {.lex_state = 0},
  [2650] = {.lex_state = 0},
  [2651] = {.lex_state = 0},
  [2652] = {.lex_state = 0},
  [2653] = {.lex_state = 19},
  [2654] = {.lex_state = 19},
  [2655] = {.lex_state = 0},
  [2656] = {.lex_state = 19},
  [2657] = {.lex_state = 19},
  [2658] = {.lex_state = 0},
  [2659] = {.lex_state = 0},
  [2660] = {.lex_state = 0},
  [2661] = {.lex_state = 0},
  [2662] = {.lex_state = 0},
  [2663] = {.lex_state = 0},
  [2664] = {.lex_state = 0},
  [2665] = {.lex_state = 19},
  [2666] = {.lex_state = 0},
  [2667] = {.lex_state = 19},
  [2668] = {.lex_state = 19},
  [2669] = {.lex_state = 0},
  [2670] = {.lex_state = 0},
  [2671] = {.lex_state = 0},
  [2672] = {.lex_state = 0},
  [2673] = {.lex_state = 0},
  [2674] = {.lex_state = 0},
  [2675] = {.lex_state = 24},
  [2676] = {.lex_state = 19},
  [2677] = {.lex_state = 0},
  [2678] = {.lex_state = 19},
  [2679] = {.lex_state = 19},
  [2680] = {.lex_state = 0},
  [2681] = {.lex_state = 0},
  [2682] = {.lex_state = 0},
  [2683] = {.lex_state = 454},
  [2684] = {.lex_state = 0},
  [2685] = {.lex_state = 0},
  [2686] = {.lex_state = 19},
  [2687] = {.lex_state = 19},
  [2688] = {.lex_state = 24},
  [2689] = {.lex_state = 19},
  [2690] = {.lex_state = 19},
  [2691] = {.lex_state = 0},
  [2692] = {.lex_state = 0},
  [2693] = {.lex_state = 0},
  [2694] = {.lex_state = 0},
  [2695] = {.lex_state = 0},
  [2696] = {.lex_state = 0},
  [2697] = {.lex_state = 0},
  [2698] = {.lex_state = 19},
  [2699] = {.lex_state = 0},
  [2700] = {.lex_state = 19},
  [2701] = {.lex_state = 19},
  [2702] = {.lex_state = 0},
  [2703] = {.lex_state = 0},
  [2704] = {.lex_state = 19},
  [2705] = {.lex_state = 454},
  [2706] = {.lex_state = 19},
  [2707] = {.lex_state = 19},
  [2708] = {.lex_state = 0},
  [2709] = {.lex_state = 0},
  [2710] = {.lex_state = 0},
  [2711] = {.lex_state = 0},
  [2712] = {.lex_state = 19},
  [2713] = {.lex_state = 19},
  [2714] = {.lex_state = 24},
  [2715] = {.lex_state = 8},
  [2716] = {.lex_state = 0},
  [2717] = {.lex_state = 454},
  [2718] = {.lex_state = 0},
  [2719] = {.lex_state = 0},
  [2720] = {.lex_state = 0},
  [2721] = {.lex_state = 0},
  [2722] = {.lex_state = 0},
  [2723] = {.lex_state = 0},
  [2724] = {.lex_state = 0},
  [2725] = {.lex_state = 0},
  [2726] = {.lex_state = 0},
  [2727] = {.lex_state = 0},
  [2728] = {.lex_state = 0},
  [2729] = {.lex_state = 0},
  [2730] = {.lex_state = 0},
  [2731] = {.lex_state = 0},
  [2732] = {.lex_state = 8},
  [2733] = {.lex_state = 0},
  [2734] = {.lex_state = 19},
  [2735] = {.lex_state = 0},
  [2736] = {.lex_state = 0},
  [2737] = {.lex_state = 0},
  [2738] = {.lex_state = 0},
  [2739] = {.lex_state = 0},
  [2740] = {.lex_state = 0},
  [2741] = {.lex_state = 0},
  [2742] = {.lex_state = 19},
  [2743] = {.lex_state = 0},
  [2744] = {.lex_state = 0},
  [2745] = {.lex_state = 0},
  [2746] = {.lex_state = 0},
  [2747] = {.lex_state = 8},
  [2748] = {.lex_state = 454},
  [2749] = {.lex_state = 0},
  [2750] = {.lex_state = 0},
  [2751] = {.lex_state = 0},
  [2752] = {.lex_state = 19},
  [2753] = {.lex_state = 19},
  [2754] = {.lex_state = 0},
  [2755] = {.lex_state = 0},
  [2756] = {.lex_state = 19},
  [2757] = {.lex_state = 0},
  [2758] = {.lex_state = 0},
  [2759] = {.lex_state = 0},
  [2760] = {.lex_state = 24},
  [2761] = {.lex_state = 24},
  [2762] = {.lex_state = 0},
  [2763] = {.lex_state = 0},
  [2764] = {.lex_state = 0},
  [2765] = {.lex_state = 0},
  [2766] = {.lex_state = 19},
  [2767] = {.lex_state = 24},
  [2768] = {.lex_state = 0},
  [2769] = {.lex_state = 0},
  [2770] = {.lex_state = 0},
  [2771] = {.lex_state = 0},
  [2772] = {.lex_state = 0},
  [2773] = {.lex_state = 0},
  [2774] = {.lex_state = 0},
  [2775] = {.lex_state = 0},
  [2776] = {.lex_state = 0},
  [2777] = {.lex_state = 0},
  [2778] = {.lex_state = 0},
  [2779] = {.lex_state = 0},
  [2780] = {.lex_state = 0},
  [2781] = {.lex_state = 0},
  [2782] = {.lex_state = 0},
  [2783] = {.lex_state = 0},
  [2784] = {.lex_state = 0},
  [2785] = {.lex_state = 0},
  [2786] = {.lex_state = 0},
  [2787] = {.lex_state = 19},
  [2788] = {.lex_state = 19},
  [2789] = {.lex_state = 19},
  [2790] = {.lex_state = 19},
  [2791] = {.lex_state = 0},
  [2792] = {.lex_state = 0},
  [2793] = {.lex_state = 0},
  [2794] = {.lex_state = 0},
  [2795] = {.lex_state = 0},
  [2796] = {.lex_state = 0},
  [2797] = {.lex_state = 19},
  [2798] = {.lex_state = 19},
  [2799] = {.lex_state = 0},
  [2800] = {.lex_state = 0},
  [2801] = {.lex_state = 0},
  [2802] = {.lex_state = 0},
  [2803] = {.lex_state = 8},
  [2804] = {.lex_state = 0},
  [2805] = {.lex_state = 8},
  [2806] = {.lex_state = 0},
  [2807] = {.lex_state = 0},
  [2808] = {.lex_state = 0},
  [2809] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_option] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_redef] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_record] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_event] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_next] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_add] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_count] = ACTIONS(1),
    [anon_sym_double] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_subnet] = ACTIONS(1),
    [anon_sym_pattern] = ACTIONS(1),
    [anon_sym_port] = ACTIONS(1),
    [anon_sym_table] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_time] = ACTIONS(1),
    [anon_sym_timer] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_list] = ACTIONS(1),
    [anon_sym_vector] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_hook] = ACTIONS(1),
    [anon_sym_file] = ACTIONS(1),
    [anon_sym_opaque] = ACTIONS(1),
    [anon_sym_AMPdeprecated] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1),
    [anon_sym_AMPerror_handler] = ACTIONS(1),
    [anon_sym_AMPis_assigned] = ACTIONS(1),
    [anon_sym_AMPis_used] = ACTIONS(1),
    [anon_sym_AMPlog] = ACTIONS(1),
    [anon_sym_AMPoptional] = ACTIONS(1),
    [anon_sym_AMPraw_output] = ACTIONS(1),
    [anon_sym_AMPredef] = ACTIONS(1),
    [anon_sym_AMPadd_func] = ACTIONS(1),
    [anon_sym_AMPbackend] = ACTIONS(1),
    [anon_sym_AMPbroker_store] = ACTIONS(1),
    [anon_sym_AMPcreate_expire] = ACTIONS(1),
    [anon_sym_AMPdefault] = ACTIONS(1),
    [anon_sym_AMPdelete_func] = ACTIONS(1),
    [anon_sym_AMPexpire_func] = ACTIONS(1),
    [anon_sym_AMPgroup] = ACTIONS(1),
    [anon_sym_AMPon_change] = ACTIONS(1),
    [anon_sym_AMPpriority] = ACTIONS(1),
    [anon_sym_AMPread_expire] = ACTIONS(1),
    [anon_sym_AMPtype_column] = ACTIONS(1),
    [anon_sym_AMPwrite_expire] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_copy] = ACTIONS(1),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1),
    [anon_sym_schedule] = ACTIONS(1),
    [aux_sym_constant_token1] = ACTIONS(1),
    [anon_sym_T] = ACTIONS(1),
    [anon_sym_F] = ACTIONS(1),
    [anon_sym_ATdeprecated] = ACTIONS(1),
    [anon_sym_ATload] = ACTIONS(1),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1),
    [anon_sym_ATunload] = ACTIONS(1),
    [anon_sym_ATprefixes] = ACTIONS(1),
    [anon_sym_ATif] = ACTIONS(1),
    [anon_sym_ATifdef] = ACTIONS(1),
    [anon_sym_ATifndef] = ACTIONS(1),
    [anon_sym_ATendif] = ACTIONS(1),
    [anon_sym_ATelse] = ACTIONS(1),
    [anon_sym_ATDIR] = ACTIONS(1),
    [anon_sym_ATFILENAME] = ACTIONS(1),
    [sym_id] = ACTIONS(1),
    [sym_pattern] = ACTIONS(1),
    [sym_ipv6] = ACTIONS(1),
    [sym_ipv4] = ACTIONS(1),
    [sym_port] = ACTIONS(1),
    [sym_floatp] = ACTIONS(1),
    [sym_hex] = ACTIONS(1),
    [sym_time_unit] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(2533),
    [sym_decl] = STATE(3),
    [sym_module_decl] = STATE(369),
    [sym_export_decl] = STATE(369),
    [sym_global_decl] = STATE(369),
    [sym_option_decl] = STATE(369),
    [sym_const_decl] = STATE(369),
    [sym_redef_decl] = STATE(369),
    [sym_redef_enum_decl] = STATE(369),
    [sym_redef_record_decl] = STATE(369),
    [sym_type_decl] = STATE(369),
    [sym_func_decl] = STATE(369),
    [sym_stmt] = STATE(120),
    [sym_expr] = STATE(1347),
    [sym_constant] = STATE(1238),
    [sym_func_hdr] = STATE(1777),
    [sym_func] = STATE(1784),
    [sym_hook] = STATE(1784),
    [sym_event] = STATE(1784),
    [sym_index_slice] = STATE(2529),
    [sym_preproc_directive] = STATE(335),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat1] = STATE(3),
    [aux_sym_source_file_repeat2] = STATE(120),
    [ts_builtin_sym_end] = ACTIONS(7),
    [anon_sym_module] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_global] = ACTIONS(17),
    [anon_sym_option] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_redef] = ACTIONS(23),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(59),
    [anon_sym_hook] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(79),
    [anon_sym_ATload] = ACTIONS(81),
    [anon_sym_ATload_DASHsigs] = ACTIONS(83),
    [anon_sym_ATload_DASHplugin] = ACTIONS(85),
    [anon_sym_ATunload] = ACTIONS(83),
    [anon_sym_ATprefixes] = ACTIONS(87),
    [anon_sym_ATif] = ACTIONS(89),
    [anon_sym_ATifdef] = ACTIONS(91),
    [anon_sym_ATifndef] = ACTIONS(91),
    [anon_sym_ATendif] = ACTIONS(93),
    [anon_sym_ATelse] = ACTIONS(93),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [2] = {
    [sym_expr] = STATE(1259),
    [sym_constant] = STATE(1238),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_in] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_as] = ACTIONS(111),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_AMPdeprecated] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(109),
    [anon_sym_AMPerror_handler] = ACTIONS(109),
    [anon_sym_AMPis_assigned] = ACTIONS(109),
    [anon_sym_AMPis_used] = ACTIONS(109),
    [anon_sym_AMPlog] = ACTIONS(109),
    [anon_sym_AMPoptional] = ACTIONS(109),
    [anon_sym_AMPraw_output] = ACTIONS(109),
    [anon_sym_AMPredef] = ACTIONS(109),
    [anon_sym_AMPadd_func] = ACTIONS(109),
    [anon_sym_AMPbackend] = ACTIONS(109),
    [anon_sym_AMPbroker_store] = ACTIONS(109),
    [anon_sym_AMPcreate_expire] = ACTIONS(109),
    [anon_sym_AMPdefault] = ACTIONS(109),
    [anon_sym_AMPdelete_func] = ACTIONS(109),
    [anon_sym_AMPexpire_func] = ACTIONS(109),
    [anon_sym_AMPgroup] = ACTIONS(109),
    [anon_sym_AMPon_change] = ACTIONS(109),
    [anon_sym_AMPpriority] = ACTIONS(109),
    [anon_sym_AMPread_expire] = ACTIONS(109),
    [anon_sym_AMPtype_column] = ACTIONS(109),
    [anon_sym_AMPwrite_expire] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(109),
    [anon_sym_PIPE] = ACTIONS(111),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(111),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_is] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_SLASH] = ACTIONS(111),
    [anon_sym_PERCENT] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(111),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(111),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(111),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_AMP_AMP] = ACTIONS(109),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(109),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(109),
    [anon_sym_ATload] = ACTIONS(111),
    [anon_sym_ATload_DASHsigs] = ACTIONS(109),
    [anon_sym_ATload_DASHplugin] = ACTIONS(109),
    [anon_sym_ATunload] = ACTIONS(109),
    [anon_sym_ATprefixes] = ACTIONS(109),
    [anon_sym_ATif] = ACTIONS(111),
    [anon_sym_ATifdef] = ACTIONS(109),
    [anon_sym_ATifndef] = ACTIONS(109),
    [anon_sym_ATendif] = ACTIONS(109),
    [anon_sym_ATelse] = ACTIONS(109),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [3] = {
    [sym_decl] = STATE(13),
    [sym_module_decl] = STATE(369),
    [sym_export_decl] = STATE(369),
    [sym_global_decl] = STATE(369),
    [sym_option_decl] = STATE(369),
    [sym_const_decl] = STATE(369),
    [sym_redef_decl] = STATE(369),
    [sym_redef_enum_decl] = STATE(369),
    [sym_redef_record_decl] = STATE(369),
    [sym_type_decl] = STATE(369),
    [sym_func_decl] = STATE(369),
    [sym_stmt] = STATE(140),
    [sym_expr] = STATE(1347),
    [sym_constant] = STATE(1238),
    [sym_func_hdr] = STATE(1777),
    [sym_func] = STATE(1784),
    [sym_hook] = STATE(1784),
    [sym_event] = STATE(1784),
    [sym_index_slice] = STATE(2529),
    [sym_preproc_directive] = STATE(335),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_source_file_repeat2] = STATE(140),
    [ts_builtin_sym_end] = ACTIONS(119),
    [anon_sym_module] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_global] = ACTIONS(17),
    [anon_sym_option] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_redef] = ACTIONS(23),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(59),
    [anon_sym_hook] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(79),
    [anon_sym_ATload] = ACTIONS(81),
    [anon_sym_ATload_DASHsigs] = ACTIONS(83),
    [anon_sym_ATload_DASHplugin] = ACTIONS(85),
    [anon_sym_ATunload] = ACTIONS(83),
    [anon_sym_ATprefixes] = ACTIONS(87),
    [anon_sym_ATif] = ACTIONS(89),
    [anon_sym_ATifdef] = ACTIONS(91),
    [anon_sym_ATifndef] = ACTIONS(91),
    [anon_sym_ATendif] = ACTIONS(93),
    [anon_sym_ATelse] = ACTIONS(93),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [4] = {
    [ts_builtin_sym_end] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_export] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_RBRACE] = ACTIONS(121),
    [anon_sym_global] = ACTIONS(123),
    [anon_sym_option] = ACTIONS(123),
    [anon_sym_const] = ACTIONS(123),
    [anon_sym_redef] = ACTIONS(123),
    [anon_sym_record] = ACTIONS(123),
    [anon_sym_type] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(123),
    [anon_sym_event] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(121),
    [anon_sym_switch] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_COMMA] = ACTIONS(121),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_next] = ACTIONS(123),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_fallthrough] = ACTIONS(123),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_add] = ACTIONS(123),
    [anon_sym_delete] = ACTIONS(123),
    [anon_sym_local] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_table] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_vector] = ACTIONS(123),
    [anon_sym_function] = ACTIONS(123),
    [anon_sym_hook] = ACTIONS(123),
    [anon_sym_AMPdeprecated] = ACTIONS(121),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(121),
    [anon_sym_AMPerror_handler] = ACTIONS(121),
    [anon_sym_AMPis_assigned] = ACTIONS(121),
    [anon_sym_AMPis_used] = ACTIONS(121),
    [anon_sym_AMPlog] = ACTIONS(121),
    [anon_sym_AMPoptional] = ACTIONS(121),
    [anon_sym_AMPraw_output] = ACTIONS(121),
    [anon_sym_AMPredef] = ACTIONS(121),
    [anon_sym_AMPadd_func] = ACTIONS(121),
    [anon_sym_AMPbackend] = ACTIONS(121),
    [anon_sym_AMPbroker_store] = ACTIONS(121),
    [anon_sym_AMPcreate_expire] = ACTIONS(121),
    [anon_sym_AMPdefault] = ACTIONS(121),
    [anon_sym_AMPdelete_func] = ACTIONS(121),
    [anon_sym_AMPexpire_func] = ACTIONS(121),
    [anon_sym_AMPgroup] = ACTIONS(121),
    [anon_sym_AMPon_change] = ACTIONS(121),
    [anon_sym_AMPpriority] = ACTIONS(121),
    [anon_sym_AMPread_expire] = ACTIONS(121),
    [anon_sym_AMPtype_column] = ACTIONS(121),
    [anon_sym_AMPwrite_expire] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(121),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(121),
    [anon_sym_DASH_DASH] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_copy] = ACTIONS(123),
    [anon_sym_schedule] = ACTIONS(123),
    [aux_sym_constant_token1] = ACTIONS(123),
    [anon_sym_T] = ACTIONS(123),
    [anon_sym_F] = ACTIONS(123),
    [anon_sym_ATdeprecated] = ACTIONS(121),
    [anon_sym_ATload] = ACTIONS(123),
    [anon_sym_ATload_DASHsigs] = ACTIONS(121),
    [anon_sym_ATload_DASHplugin] = ACTIONS(121),
    [anon_sym_ATunload] = ACTIONS(121),
    [anon_sym_ATprefixes] = ACTIONS(121),
    [anon_sym_ATif] = ACTIONS(123),
    [anon_sym_ATifdef] = ACTIONS(121),
    [anon_sym_ATifndef] = ACTIONS(121),
    [anon_sym_ATendif] = ACTIONS(121),
    [anon_sym_ATelse] = ACTIONS(121),
    [anon_sym_ATDIR] = ACTIONS(121),
    [anon_sym_ATFILENAME] = ACTIONS(121),
    [sym_id] = ACTIONS(123),
    [sym_pattern] = ACTIONS(121),
    [sym_ipv6] = ACTIONS(123),
    [sym_ipv4] = ACTIONS(123),
    [sym_port] = ACTIONS(121),
    [sym_floatp] = ACTIONS(123),
    [sym_hex] = ACTIONS(123),
    [sym_hostname] = ACTIONS(123),
    [aux_sym_string_token1] = ACTIONS(121),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [5] = {
    [ts_builtin_sym_end] = ACTIONS(125),
    [anon_sym_module] = ACTIONS(127),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_export] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_global] = ACTIONS(127),
    [anon_sym_option] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_redef] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_type] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_COMMA] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_AMPdeprecated] = ACTIONS(125),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(125),
    [anon_sym_AMPerror_handler] = ACTIONS(125),
    [anon_sym_AMPis_assigned] = ACTIONS(125),
    [anon_sym_AMPis_used] = ACTIONS(125),
    [anon_sym_AMPlog] = ACTIONS(125),
    [anon_sym_AMPoptional] = ACTIONS(125),
    [anon_sym_AMPraw_output] = ACTIONS(125),
    [anon_sym_AMPredef] = ACTIONS(125),
    [anon_sym_AMPadd_func] = ACTIONS(125),
    [anon_sym_AMPbackend] = ACTIONS(125),
    [anon_sym_AMPbroker_store] = ACTIONS(125),
    [anon_sym_AMPcreate_expire] = ACTIONS(125),
    [anon_sym_AMPdefault] = ACTIONS(125),
    [anon_sym_AMPdelete_func] = ACTIONS(125),
    [anon_sym_AMPexpire_func] = ACTIONS(125),
    [anon_sym_AMPgroup] = ACTIONS(125),
    [anon_sym_AMPon_change] = ACTIONS(125),
    [anon_sym_AMPpriority] = ACTIONS(125),
    [anon_sym_AMPread_expire] = ACTIONS(125),
    [anon_sym_AMPtype_column] = ACTIONS(125),
    [anon_sym_AMPwrite_expire] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [6] = {
    [sym_expr] = STATE(1259),
    [sym_constant] = STATE(1238),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_COLON] = ACTIONS(111),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_COMMA] = ACTIONS(109),
    [anon_sym_in] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(109),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_as] = ACTIONS(111),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_AMPdeprecated] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(109),
    [anon_sym_AMPerror_handler] = ACTIONS(109),
    [anon_sym_AMPis_assigned] = ACTIONS(109),
    [anon_sym_AMPis_used] = ACTIONS(109),
    [anon_sym_AMPlog] = ACTIONS(109),
    [anon_sym_AMPoptional] = ACTIONS(109),
    [anon_sym_AMPraw_output] = ACTIONS(109),
    [anon_sym_AMPredef] = ACTIONS(109),
    [anon_sym_AMPadd_func] = ACTIONS(109),
    [anon_sym_AMPbackend] = ACTIONS(109),
    [anon_sym_AMPbroker_store] = ACTIONS(109),
    [anon_sym_AMPcreate_expire] = ACTIONS(109),
    [anon_sym_AMPdefault] = ACTIONS(109),
    [anon_sym_AMPdelete_func] = ACTIONS(109),
    [anon_sym_AMPexpire_func] = ACTIONS(109),
    [anon_sym_AMPgroup] = ACTIONS(109),
    [anon_sym_AMPon_change] = ACTIONS(109),
    [anon_sym_AMPpriority] = ACTIONS(109),
    [anon_sym_AMPread_expire] = ACTIONS(109),
    [anon_sym_AMPtype_column] = ACTIONS(109),
    [anon_sym_AMPwrite_expire] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(109),
    [anon_sym_PIPE] = ACTIONS(111),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(111),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_is] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_SLASH] = ACTIONS(111),
    [anon_sym_PERCENT] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(111),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(111),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(111),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_AMP_AMP] = ACTIONS(109),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(109),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [7] = {
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_timeout] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(135),
    [anon_sym_as] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(137),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [8] = {
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(135),
    [anon_sym_as] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(137),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [9] = {
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_timeout] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(135),
    [anon_sym_as] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(137),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [10] = {
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_timeout] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(137),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [11] = {
    [ts_builtin_sym_end] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_timeout] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(137),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [12] = {
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(135),
    [anon_sym_as] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(137),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [13] = {
    [sym_decl] = STATE(13),
    [sym_module_decl] = STATE(369),
    [sym_export_decl] = STATE(369),
    [sym_global_decl] = STATE(369),
    [sym_option_decl] = STATE(369),
    [sym_const_decl] = STATE(369),
    [sym_redef_decl] = STATE(369),
    [sym_redef_enum_decl] = STATE(369),
    [sym_redef_record_decl] = STATE(369),
    [sym_type_decl] = STATE(369),
    [sym_func_decl] = STATE(369),
    [sym_func_hdr] = STATE(1777),
    [sym_func] = STATE(1784),
    [sym_hook] = STATE(1784),
    [sym_event] = STATE(1784),
    [sym_preproc_directive] = STATE(369),
    [aux_sym_source_file_repeat1] = STATE(13),
    [ts_builtin_sym_end] = ACTIONS(139),
    [anon_sym_module] = ACTIONS(141),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_export] = ACTIONS(144),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_global] = ACTIONS(147),
    [anon_sym_option] = ACTIONS(150),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_redef] = ACTIONS(156),
    [anon_sym_record] = ACTIONS(159),
    [anon_sym_type] = ACTIONS(161),
    [anon_sym_print] = ACTIONS(159),
    [anon_sym_event] = ACTIONS(164),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_next] = ACTIONS(159),
    [anon_sym_break] = ACTIONS(159),
    [anon_sym_fallthrough] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(159),
    [anon_sym_add] = ACTIONS(159),
    [anon_sym_delete] = ACTIONS(159),
    [anon_sym_local] = ACTIONS(159),
    [anon_sym_when] = ACTIONS(159),
    [anon_sym_table] = ACTIONS(159),
    [anon_sym_set] = ACTIONS(159),
    [anon_sym_vector] = ACTIONS(159),
    [anon_sym_function] = ACTIONS(167),
    [anon_sym_hook] = ACTIONS(170),
    [anon_sym_DOLLAR] = ACTIONS(139),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_PLUS_PLUS] = ACTIONS(139),
    [anon_sym_DASH_DASH] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_copy] = ACTIONS(159),
    [anon_sym_schedule] = ACTIONS(159),
    [aux_sym_constant_token1] = ACTIONS(159),
    [anon_sym_T] = ACTIONS(159),
    [anon_sym_F] = ACTIONS(159),
    [anon_sym_ATdeprecated] = ACTIONS(173),
    [anon_sym_ATload] = ACTIONS(176),
    [anon_sym_ATload_DASHsigs] = ACTIONS(179),
    [anon_sym_ATload_DASHplugin] = ACTIONS(182),
    [anon_sym_ATunload] = ACTIONS(179),
    [anon_sym_ATprefixes] = ACTIONS(185),
    [anon_sym_ATif] = ACTIONS(188),
    [anon_sym_ATifdef] = ACTIONS(191),
    [anon_sym_ATifndef] = ACTIONS(191),
    [anon_sym_ATendif] = ACTIONS(194),
    [anon_sym_ATelse] = ACTIONS(194),
    [anon_sym_ATDIR] = ACTIONS(139),
    [anon_sym_ATFILENAME] = ACTIONS(139),
    [sym_id] = ACTIONS(159),
    [sym_pattern] = ACTIONS(139),
    [sym_ipv6] = ACTIONS(159),
    [sym_ipv4] = ACTIONS(159),
    [sym_port] = ACTIONS(139),
    [sym_floatp] = ACTIONS(159),
    [sym_hex] = ACTIONS(159),
    [sym_hostname] = ACTIONS(159),
    [aux_sym_string_token1] = ACTIONS(139),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [14] = {
    [ts_builtin_sym_end] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(137),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [15] = {
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(137),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [16] = {
    [ts_builtin_sym_end] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_timeout] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(137),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [17] = {
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_timeout] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(137),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [18] = {
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(137),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [19] = {
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(137),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [20] = {
    [ts_builtin_sym_end] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(137),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(137),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [21] = {
    [anon_sym_SEMI] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_PLUS_EQ] = ACTIONS(197),
    [anon_sym_record] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_RPAREN] = ACTIONS(197),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_RBRACK] = ACTIONS(197),
    [anon_sym_local] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_table] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(199),
    [anon_sym_vector] = ACTIONS(199),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_hook] = ACTIONS(199),
    [anon_sym_AMPdeprecated] = ACTIONS(197),
    [anon_sym_DASH_EQ] = ACTIONS(197),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(197),
    [anon_sym_AMPerror_handler] = ACTIONS(197),
    [anon_sym_AMPis_assigned] = ACTIONS(197),
    [anon_sym_AMPis_used] = ACTIONS(197),
    [anon_sym_AMPlog] = ACTIONS(197),
    [anon_sym_AMPoptional] = ACTIONS(197),
    [anon_sym_AMPraw_output] = ACTIONS(197),
    [anon_sym_AMPredef] = ACTIONS(197),
    [anon_sym_AMPadd_func] = ACTIONS(197),
    [anon_sym_AMPbackend] = ACTIONS(197),
    [anon_sym_AMPbroker_store] = ACTIONS(197),
    [anon_sym_AMPcreate_expire] = ACTIONS(197),
    [anon_sym_AMPdefault] = ACTIONS(197),
    [anon_sym_AMPdelete_func] = ACTIONS(197),
    [anon_sym_AMPexpire_func] = ACTIONS(197),
    [anon_sym_AMPgroup] = ACTIONS(197),
    [anon_sym_AMPon_change] = ACTIONS(197),
    [anon_sym_AMPpriority] = ACTIONS(197),
    [anon_sym_AMPread_expire] = ACTIONS(197),
    [anon_sym_AMPtype_column] = ACTIONS(197),
    [anon_sym_AMPwrite_expire] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(197),
    [anon_sym_PIPE] = ACTIONS(197),
    [anon_sym_PLUS_PLUS] = ACTIONS(197),
    [anon_sym_DASH_DASH] = ACTIONS(197),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_TILDE] = ACTIONS(197),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_copy] = ACTIONS(199),
    [anon_sym_schedule] = ACTIONS(199),
    [aux_sym_constant_token1] = ACTIONS(199),
    [anon_sym_T] = ACTIONS(199),
    [anon_sym_F] = ACTIONS(199),
    [anon_sym_ATdeprecated] = ACTIONS(197),
    [anon_sym_ATload] = ACTIONS(199),
    [anon_sym_ATload_DASHsigs] = ACTIONS(197),
    [anon_sym_ATload_DASHplugin] = ACTIONS(197),
    [anon_sym_ATunload] = ACTIONS(197),
    [anon_sym_ATprefixes] = ACTIONS(197),
    [anon_sym_ATif] = ACTIONS(199),
    [anon_sym_ATifdef] = ACTIONS(197),
    [anon_sym_ATifndef] = ACTIONS(197),
    [anon_sym_ATendif] = ACTIONS(197),
    [anon_sym_ATelse] = ACTIONS(197),
    [anon_sym_ATDIR] = ACTIONS(197),
    [anon_sym_ATFILENAME] = ACTIONS(197),
    [sym_id] = ACTIONS(199),
    [sym_pattern] = ACTIONS(197),
    [sym_ipv6] = ACTIONS(199),
    [sym_ipv4] = ACTIONS(199),
    [sym_port] = ACTIONS(197),
    [sym_floatp] = ACTIONS(199),
    [sym_hex] = ACTIONS(199),
    [sym_hostname] = ACTIONS(199),
    [aux_sym_string_token1] = ACTIONS(197),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [22] = {
    [anon_sym_SEMI] = ACTIONS(201),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_PLUS_EQ] = ACTIONS(201),
    [anon_sym_record] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_RPAREN] = ACTIONS(201),
    [anon_sym_COMMA] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(201),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_local] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(201),
    [anon_sym_table] = ACTIONS(203),
    [anon_sym_set] = ACTIONS(203),
    [anon_sym_vector] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_hook] = ACTIONS(203),
    [anon_sym_AMPdeprecated] = ACTIONS(201),
    [anon_sym_DASH_EQ] = ACTIONS(201),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(201),
    [anon_sym_AMPerror_handler] = ACTIONS(201),
    [anon_sym_AMPis_assigned] = ACTIONS(201),
    [anon_sym_AMPis_used] = ACTIONS(201),
    [anon_sym_AMPlog] = ACTIONS(201),
    [anon_sym_AMPoptional] = ACTIONS(201),
    [anon_sym_AMPraw_output] = ACTIONS(201),
    [anon_sym_AMPredef] = ACTIONS(201),
    [anon_sym_AMPadd_func] = ACTIONS(201),
    [anon_sym_AMPbackend] = ACTIONS(201),
    [anon_sym_AMPbroker_store] = ACTIONS(201),
    [anon_sym_AMPcreate_expire] = ACTIONS(201),
    [anon_sym_AMPdefault] = ACTIONS(201),
    [anon_sym_AMPdelete_func] = ACTIONS(201),
    [anon_sym_AMPexpire_func] = ACTIONS(201),
    [anon_sym_AMPgroup] = ACTIONS(201),
    [anon_sym_AMPon_change] = ACTIONS(201),
    [anon_sym_AMPpriority] = ACTIONS(201),
    [anon_sym_AMPread_expire] = ACTIONS(201),
    [anon_sym_AMPtype_column] = ACTIONS(201),
    [anon_sym_AMPwrite_expire] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(201),
    [anon_sym_PIPE] = ACTIONS(201),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(201),
    [anon_sym_DASH] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_copy] = ACTIONS(203),
    [anon_sym_schedule] = ACTIONS(203),
    [aux_sym_constant_token1] = ACTIONS(203),
    [anon_sym_T] = ACTIONS(203),
    [anon_sym_F] = ACTIONS(203),
    [anon_sym_ATdeprecated] = ACTIONS(201),
    [anon_sym_ATload] = ACTIONS(203),
    [anon_sym_ATload_DASHsigs] = ACTIONS(201),
    [anon_sym_ATload_DASHplugin] = ACTIONS(201),
    [anon_sym_ATunload] = ACTIONS(201),
    [anon_sym_ATprefixes] = ACTIONS(201),
    [anon_sym_ATif] = ACTIONS(203),
    [anon_sym_ATifdef] = ACTIONS(201),
    [anon_sym_ATifndef] = ACTIONS(201),
    [anon_sym_ATendif] = ACTIONS(201),
    [anon_sym_ATelse] = ACTIONS(201),
    [anon_sym_ATDIR] = ACTIONS(201),
    [anon_sym_ATFILENAME] = ACTIONS(201),
    [sym_id] = ACTIONS(203),
    [sym_pattern] = ACTIONS(201),
    [sym_ipv6] = ACTIONS(203),
    [sym_ipv4] = ACTIONS(203),
    [sym_port] = ACTIONS(201),
    [sym_floatp] = ACTIONS(203),
    [sym_hex] = ACTIONS(203),
    [sym_hostname] = ACTIONS(203),
    [aux_sym_string_token1] = ACTIONS(201),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [23] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2682),
    [sym_expr] = STATE(1283),
    [sym_expr_list] = STATE(2519),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [aux_sym_expr_list_repeat1] = STATE(858),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_RBRACE] = ACTIONS(209),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [24] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2235),
    [sym_expr] = STATE(1283),
    [sym_expr_list] = STATE(2519),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [aux_sym_expr_list_repeat1] = STATE(858),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [25] = {
    [sym_stmt] = STATE(40),
    [sym_stmt_list] = STATE(1898),
    [sym_expr] = STATE(1522),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2374),
    [sym_preproc_directive] = STATE(502),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(40),
    [anon_sym_SEMI] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_const] = ACTIONS(259),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(261),
    [anon_sym_event] = ACTIONS(263),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(267),
    [anon_sym_for] = ACTIONS(269),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(271),
    [anon_sym_next] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_fallthrough] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(275),
    [anon_sym_add] = ACTIONS(277),
    [anon_sym_delete] = ACTIONS(277),
    [anon_sym_local] = ACTIONS(279),
    [anon_sym_when] = ACTIONS(281),
    [anon_sym_case] = ACTIONS(283),
    [anon_sym_default] = ACTIONS(283),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(285),
    [anon_sym_ATload] = ACTIONS(287),
    [anon_sym_ATload_DASHsigs] = ACTIONS(289),
    [anon_sym_ATload_DASHplugin] = ACTIONS(291),
    [anon_sym_ATunload] = ACTIONS(289),
    [anon_sym_ATprefixes] = ACTIONS(293),
    [anon_sym_ATif] = ACTIONS(295),
    [anon_sym_ATifdef] = ACTIONS(297),
    [anon_sym_ATifndef] = ACTIONS(297),
    [anon_sym_ATendif] = ACTIONS(299),
    [anon_sym_ATelse] = ACTIONS(299),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [26] = {
    [sym_stmt] = STATE(40),
    [sym_stmt_list] = STATE(1896),
    [sym_expr] = STATE(1522),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2374),
    [sym_preproc_directive] = STATE(502),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(40),
    [anon_sym_SEMI] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_const] = ACTIONS(259),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(261),
    [anon_sym_event] = ACTIONS(263),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(267),
    [anon_sym_for] = ACTIONS(269),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(271),
    [anon_sym_next] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_fallthrough] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(275),
    [anon_sym_add] = ACTIONS(277),
    [anon_sym_delete] = ACTIONS(277),
    [anon_sym_local] = ACTIONS(279),
    [anon_sym_when] = ACTIONS(281),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(285),
    [anon_sym_ATload] = ACTIONS(287),
    [anon_sym_ATload_DASHsigs] = ACTIONS(289),
    [anon_sym_ATload_DASHplugin] = ACTIONS(291),
    [anon_sym_ATunload] = ACTIONS(289),
    [anon_sym_ATprefixes] = ACTIONS(293),
    [anon_sym_ATif] = ACTIONS(295),
    [anon_sym_ATifdef] = ACTIONS(297),
    [anon_sym_ATifndef] = ACTIONS(297),
    [anon_sym_ATendif] = ACTIONS(299),
    [anon_sym_ATelse] = ACTIONS(299),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [27] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2572),
    [sym_expr] = STATE(1283),
    [sym_expr_list] = STATE(2519),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [aux_sym_expr_list_repeat1] = STATE(858),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [28] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2391),
    [sym_expr] = STATE(1283),
    [sym_expr_list] = STATE(2519),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [aux_sym_expr_list_repeat1] = STATE(858),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_RBRACE] = ACTIONS(307),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [29] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2211),
    [sym_expr] = STATE(1283),
    [sym_expr_list] = STATE(2519),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [aux_sym_expr_list_repeat1] = STATE(858),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_RBRACE] = ACTIONS(309),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [30] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2521),
    [sym_expr] = STATE(1283),
    [sym_expr_list] = STATE(2519),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [aux_sym_expr_list_repeat1] = STATE(858),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_RBRACE] = ACTIONS(311),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [31] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2740),
    [sym_expr] = STATE(1283),
    [sym_expr_list] = STATE(2519),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [aux_sym_expr_list_repeat1] = STATE(858),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_RBRACE] = ACTIONS(313),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [32] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2506),
    [sym_expr] = STATE(1283),
    [sym_expr_list] = STATE(2519),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [aux_sym_expr_list_repeat1] = STATE(858),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_RBRACE] = ACTIONS(315),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [33] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2764),
    [sym_expr] = STATE(1283),
    [sym_expr_list] = STATE(2519),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [aux_sym_expr_list_repeat1] = STATE(858),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_RBRACE] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [34] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2211),
    [sym_expr] = STATE(1283),
    [sym_expr_list] = STATE(2519),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [aux_sym_expr_list_repeat1] = STATE(858),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_RBRACE] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [35] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2263),
    [sym_expr] = STATE(1283),
    [sym_expr_list] = STATE(2519),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [aux_sym_expr_list_repeat1] = STATE(858),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_RBRACE] = ACTIONS(321),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [36] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2610),
    [sym_expr] = STATE(1283),
    [sym_expr_list] = STATE(2519),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [aux_sym_expr_list_repeat1] = STATE(858),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [37] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2138),
    [sym_expr] = STATE(1283),
    [sym_expr_list] = STATE(2519),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [aux_sym_expr_list_repeat1] = STATE(858),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_RBRACE] = ACTIONS(325),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [38] = {
    [anon_sym_SEMI] = ACTIONS(327),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_PLUS_EQ] = ACTIONS(327),
    [anon_sym_record] = ACTIONS(329),
    [anon_sym_LPAREN] = ACTIONS(327),
    [anon_sym_RPAREN] = ACTIONS(327),
    [anon_sym_COMMA] = ACTIONS(327),
    [anon_sym_LBRACK] = ACTIONS(327),
    [anon_sym_local] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(327),
    [anon_sym_table] = ACTIONS(329),
    [anon_sym_set] = ACTIONS(329),
    [anon_sym_vector] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_hook] = ACTIONS(329),
    [anon_sym_AMPdeprecated] = ACTIONS(327),
    [anon_sym_DASH_EQ] = ACTIONS(327),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(327),
    [anon_sym_AMPerror_handler] = ACTIONS(327),
    [anon_sym_AMPis_assigned] = ACTIONS(327),
    [anon_sym_AMPis_used] = ACTIONS(327),
    [anon_sym_AMPlog] = ACTIONS(327),
    [anon_sym_AMPoptional] = ACTIONS(327),
    [anon_sym_AMPraw_output] = ACTIONS(327),
    [anon_sym_AMPredef] = ACTIONS(327),
    [anon_sym_AMPadd_func] = ACTIONS(327),
    [anon_sym_AMPbackend] = ACTIONS(327),
    [anon_sym_AMPbroker_store] = ACTIONS(327),
    [anon_sym_AMPcreate_expire] = ACTIONS(327),
    [anon_sym_AMPdefault] = ACTIONS(327),
    [anon_sym_AMPdelete_func] = ACTIONS(327),
    [anon_sym_AMPexpire_func] = ACTIONS(327),
    [anon_sym_AMPgroup] = ACTIONS(327),
    [anon_sym_AMPon_change] = ACTIONS(327),
    [anon_sym_AMPpriority] = ACTIONS(327),
    [anon_sym_AMPread_expire] = ACTIONS(327),
    [anon_sym_AMPtype_column] = ACTIONS(327),
    [anon_sym_AMPwrite_expire] = ACTIONS(327),
    [anon_sym_DOLLAR] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_BANG] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_DASH] = ACTIONS(329),
    [anon_sym_PLUS] = ACTIONS(329),
    [anon_sym_copy] = ACTIONS(329),
    [anon_sym_schedule] = ACTIONS(329),
    [aux_sym_constant_token1] = ACTIONS(329),
    [anon_sym_T] = ACTIONS(329),
    [anon_sym_F] = ACTIONS(329),
    [anon_sym_ATdeprecated] = ACTIONS(327),
    [anon_sym_ATload] = ACTIONS(329),
    [anon_sym_ATload_DASHsigs] = ACTIONS(327),
    [anon_sym_ATload_DASHplugin] = ACTIONS(327),
    [anon_sym_ATunload] = ACTIONS(327),
    [anon_sym_ATprefixes] = ACTIONS(327),
    [anon_sym_ATif] = ACTIONS(329),
    [anon_sym_ATifdef] = ACTIONS(327),
    [anon_sym_ATifndef] = ACTIONS(327),
    [anon_sym_ATendif] = ACTIONS(327),
    [anon_sym_ATelse] = ACTIONS(327),
    [anon_sym_ATDIR] = ACTIONS(327),
    [anon_sym_ATFILENAME] = ACTIONS(327),
    [sym_id] = ACTIONS(329),
    [sym_pattern] = ACTIONS(327),
    [sym_ipv6] = ACTIONS(329),
    [sym_ipv4] = ACTIONS(329),
    [sym_port] = ACTIONS(327),
    [sym_floatp] = ACTIONS(329),
    [sym_hex] = ACTIONS(329),
    [sym_hostname] = ACTIONS(329),
    [aux_sym_string_token1] = ACTIONS(327),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [39] = {
    [anon_sym_SEMI] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(331),
    [anon_sym_PLUS_EQ] = ACTIONS(331),
    [anon_sym_record] = ACTIONS(333),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_RPAREN] = ACTIONS(331),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(331),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(331),
    [anon_sym_table] = ACTIONS(333),
    [anon_sym_set] = ACTIONS(333),
    [anon_sym_vector] = ACTIONS(333),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_hook] = ACTIONS(333),
    [anon_sym_AMPdeprecated] = ACTIONS(331),
    [anon_sym_DASH_EQ] = ACTIONS(331),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(331),
    [anon_sym_AMPerror_handler] = ACTIONS(331),
    [anon_sym_AMPis_assigned] = ACTIONS(331),
    [anon_sym_AMPis_used] = ACTIONS(331),
    [anon_sym_AMPlog] = ACTIONS(331),
    [anon_sym_AMPoptional] = ACTIONS(331),
    [anon_sym_AMPraw_output] = ACTIONS(331),
    [anon_sym_AMPredef] = ACTIONS(331),
    [anon_sym_AMPadd_func] = ACTIONS(331),
    [anon_sym_AMPbackend] = ACTIONS(331),
    [anon_sym_AMPbroker_store] = ACTIONS(331),
    [anon_sym_AMPcreate_expire] = ACTIONS(331),
    [anon_sym_AMPdefault] = ACTIONS(331),
    [anon_sym_AMPdelete_func] = ACTIONS(331),
    [anon_sym_AMPexpire_func] = ACTIONS(331),
    [anon_sym_AMPgroup] = ACTIONS(331),
    [anon_sym_AMPon_change] = ACTIONS(331),
    [anon_sym_AMPpriority] = ACTIONS(331),
    [anon_sym_AMPread_expire] = ACTIONS(331),
    [anon_sym_AMPtype_column] = ACTIONS(331),
    [anon_sym_AMPwrite_expire] = ACTIONS(331),
    [anon_sym_DOLLAR] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(331),
    [anon_sym_PLUS_PLUS] = ACTIONS(331),
    [anon_sym_DASH_DASH] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_DASH] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(333),
    [anon_sym_copy] = ACTIONS(333),
    [anon_sym_schedule] = ACTIONS(333),
    [aux_sym_constant_token1] = ACTIONS(333),
    [anon_sym_T] = ACTIONS(333),
    [anon_sym_F] = ACTIONS(333),
    [anon_sym_ATdeprecated] = ACTIONS(331),
    [anon_sym_ATload] = ACTIONS(333),
    [anon_sym_ATload_DASHsigs] = ACTIONS(331),
    [anon_sym_ATload_DASHplugin] = ACTIONS(331),
    [anon_sym_ATunload] = ACTIONS(331),
    [anon_sym_ATprefixes] = ACTIONS(331),
    [anon_sym_ATif] = ACTIONS(333),
    [anon_sym_ATifdef] = ACTIONS(331),
    [anon_sym_ATifndef] = ACTIONS(331),
    [anon_sym_ATendif] = ACTIONS(331),
    [anon_sym_ATelse] = ACTIONS(331),
    [anon_sym_ATDIR] = ACTIONS(331),
    [anon_sym_ATFILENAME] = ACTIONS(331),
    [sym_id] = ACTIONS(333),
    [sym_pattern] = ACTIONS(331),
    [sym_ipv6] = ACTIONS(333),
    [sym_ipv4] = ACTIONS(333),
    [sym_port] = ACTIONS(331),
    [sym_floatp] = ACTIONS(333),
    [sym_hex] = ACTIONS(333),
    [sym_hostname] = ACTIONS(333),
    [aux_sym_string_token1] = ACTIONS(331),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [40] = {
    [sym_stmt] = STATE(41),
    [sym_expr] = STATE(1522),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2374),
    [sym_preproc_directive] = STATE(502),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(41),
    [anon_sym_SEMI] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_RBRACE] = ACTIONS(335),
    [anon_sym_const] = ACTIONS(259),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(261),
    [anon_sym_event] = ACTIONS(263),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(267),
    [anon_sym_for] = ACTIONS(269),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(271),
    [anon_sym_next] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_fallthrough] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(275),
    [anon_sym_add] = ACTIONS(277),
    [anon_sym_delete] = ACTIONS(277),
    [anon_sym_local] = ACTIONS(279),
    [anon_sym_when] = ACTIONS(281),
    [anon_sym_case] = ACTIONS(337),
    [anon_sym_default] = ACTIONS(337),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(285),
    [anon_sym_ATload] = ACTIONS(287),
    [anon_sym_ATload_DASHsigs] = ACTIONS(289),
    [anon_sym_ATload_DASHplugin] = ACTIONS(291),
    [anon_sym_ATunload] = ACTIONS(289),
    [anon_sym_ATprefixes] = ACTIONS(293),
    [anon_sym_ATif] = ACTIONS(295),
    [anon_sym_ATifdef] = ACTIONS(297),
    [anon_sym_ATifndef] = ACTIONS(297),
    [anon_sym_ATendif] = ACTIONS(299),
    [anon_sym_ATelse] = ACTIONS(299),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [41] = {
    [sym_stmt] = STATE(41),
    [sym_expr] = STATE(1522),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2374),
    [sym_preproc_directive] = STATE(502),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(41),
    [anon_sym_SEMI] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(342),
    [anon_sym_RBRACE] = ACTIONS(345),
    [anon_sym_const] = ACTIONS(347),
    [anon_sym_record] = ACTIONS(350),
    [anon_sym_print] = ACTIONS(353),
    [anon_sym_event] = ACTIONS(356),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(362),
    [anon_sym_switch] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(368),
    [anon_sym_LBRACK] = ACTIONS(371),
    [anon_sym_while] = ACTIONS(374),
    [anon_sym_next] = ACTIONS(377),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_fallthrough] = ACTIONS(377),
    [anon_sym_return] = ACTIONS(380),
    [anon_sym_add] = ACTIONS(383),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_local] = ACTIONS(386),
    [anon_sym_when] = ACTIONS(389),
    [anon_sym_case] = ACTIONS(392),
    [anon_sym_default] = ACTIONS(392),
    [anon_sym_table] = ACTIONS(394),
    [anon_sym_set] = ACTIONS(394),
    [anon_sym_vector] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(400),
    [anon_sym_hook] = ACTIONS(403),
    [anon_sym_DOLLAR] = ACTIONS(406),
    [anon_sym_PIPE] = ACTIONS(409),
    [anon_sym_PLUS_PLUS] = ACTIONS(412),
    [anon_sym_DASH_DASH] = ACTIONS(412),
    [anon_sym_BANG] = ACTIONS(412),
    [anon_sym_TILDE] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_copy] = ACTIONS(418),
    [anon_sym_schedule] = ACTIONS(421),
    [aux_sym_constant_token1] = ACTIONS(424),
    [anon_sym_T] = ACTIONS(427),
    [anon_sym_F] = ACTIONS(427),
    [anon_sym_ATdeprecated] = ACTIONS(430),
    [anon_sym_ATload] = ACTIONS(433),
    [anon_sym_ATload_DASHsigs] = ACTIONS(436),
    [anon_sym_ATload_DASHplugin] = ACTIONS(439),
    [anon_sym_ATunload] = ACTIONS(436),
    [anon_sym_ATprefixes] = ACTIONS(442),
    [anon_sym_ATif] = ACTIONS(445),
    [anon_sym_ATifdef] = ACTIONS(448),
    [anon_sym_ATifndef] = ACTIONS(448),
    [anon_sym_ATendif] = ACTIONS(451),
    [anon_sym_ATelse] = ACTIONS(451),
    [anon_sym_ATDIR] = ACTIONS(454),
    [anon_sym_ATFILENAME] = ACTIONS(454),
    [sym_id] = ACTIONS(457),
    [sym_pattern] = ACTIONS(460),
    [sym_ipv6] = ACTIONS(463),
    [sym_ipv4] = ACTIONS(463),
    [sym_port] = ACTIONS(466),
    [sym_floatp] = ACTIONS(469),
    [sym_hex] = ACTIONS(427),
    [sym_hostname] = ACTIONS(427),
    [aux_sym_string_token1] = ACTIONS(472),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [42] = {
    [anon_sym_SEMI] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_PLUS_EQ] = ACTIONS(475),
    [anon_sym_record] = ACTIONS(477),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_RPAREN] = ACTIONS(475),
    [anon_sym_COMMA] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_local] = ACTIONS(477),
    [anon_sym_EQ] = ACTIONS(475),
    [anon_sym_table] = ACTIONS(477),
    [anon_sym_set] = ACTIONS(477),
    [anon_sym_vector] = ACTIONS(477),
    [anon_sym_function] = ACTIONS(477),
    [anon_sym_hook] = ACTIONS(477),
    [anon_sym_AMPdeprecated] = ACTIONS(475),
    [anon_sym_DASH_EQ] = ACTIONS(475),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(475),
    [anon_sym_AMPerror_handler] = ACTIONS(475),
    [anon_sym_AMPis_assigned] = ACTIONS(475),
    [anon_sym_AMPis_used] = ACTIONS(475),
    [anon_sym_AMPlog] = ACTIONS(475),
    [anon_sym_AMPoptional] = ACTIONS(475),
    [anon_sym_AMPraw_output] = ACTIONS(475),
    [anon_sym_AMPredef] = ACTIONS(475),
    [anon_sym_AMPadd_func] = ACTIONS(475),
    [anon_sym_AMPbackend] = ACTIONS(475),
    [anon_sym_AMPbroker_store] = ACTIONS(475),
    [anon_sym_AMPcreate_expire] = ACTIONS(475),
    [anon_sym_AMPdefault] = ACTIONS(475),
    [anon_sym_AMPdelete_func] = ACTIONS(475),
    [anon_sym_AMPexpire_func] = ACTIONS(475),
    [anon_sym_AMPgroup] = ACTIONS(475),
    [anon_sym_AMPon_change] = ACTIONS(475),
    [anon_sym_AMPpriority] = ACTIONS(475),
    [anon_sym_AMPread_expire] = ACTIONS(475),
    [anon_sym_AMPtype_column] = ACTIONS(475),
    [anon_sym_AMPwrite_expire] = ACTIONS(475),
    [anon_sym_DOLLAR] = ACTIONS(475),
    [anon_sym_PIPE] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(475),
    [anon_sym_DASH_DASH] = ACTIONS(475),
    [anon_sym_BANG] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_copy] = ACTIONS(477),
    [anon_sym_schedule] = ACTIONS(477),
    [aux_sym_constant_token1] = ACTIONS(477),
    [anon_sym_T] = ACTIONS(477),
    [anon_sym_F] = ACTIONS(477),
    [anon_sym_ATdeprecated] = ACTIONS(475),
    [anon_sym_ATload] = ACTIONS(477),
    [anon_sym_ATload_DASHsigs] = ACTIONS(475),
    [anon_sym_ATload_DASHplugin] = ACTIONS(475),
    [anon_sym_ATunload] = ACTIONS(475),
    [anon_sym_ATprefixes] = ACTIONS(475),
    [anon_sym_ATif] = ACTIONS(477),
    [anon_sym_ATifdef] = ACTIONS(475),
    [anon_sym_ATifndef] = ACTIONS(475),
    [anon_sym_ATendif] = ACTIONS(475),
    [anon_sym_ATelse] = ACTIONS(475),
    [anon_sym_ATDIR] = ACTIONS(475),
    [anon_sym_ATFILENAME] = ACTIONS(475),
    [sym_id] = ACTIONS(477),
    [sym_pattern] = ACTIONS(475),
    [sym_ipv6] = ACTIONS(477),
    [sym_ipv4] = ACTIONS(477),
    [sym_port] = ACTIONS(475),
    [sym_floatp] = ACTIONS(477),
    [sym_hex] = ACTIONS(477),
    [sym_hostname] = ACTIONS(477),
    [aux_sym_string_token1] = ACTIONS(475),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [43] = {
    [anon_sym_SEMI] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_PLUS_EQ] = ACTIONS(479),
    [anon_sym_record] = ACTIONS(481),
    [anon_sym_LPAREN] = ACTIONS(479),
    [anon_sym_RPAREN] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(479),
    [anon_sym_LBRACK] = ACTIONS(479),
    [anon_sym_local] = ACTIONS(481),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_table] = ACTIONS(481),
    [anon_sym_set] = ACTIONS(481),
    [anon_sym_vector] = ACTIONS(481),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_hook] = ACTIONS(481),
    [anon_sym_AMPdeprecated] = ACTIONS(479),
    [anon_sym_DASH_EQ] = ACTIONS(479),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(479),
    [anon_sym_AMPerror_handler] = ACTIONS(479),
    [anon_sym_AMPis_assigned] = ACTIONS(479),
    [anon_sym_AMPis_used] = ACTIONS(479),
    [anon_sym_AMPlog] = ACTIONS(479),
    [anon_sym_AMPoptional] = ACTIONS(479),
    [anon_sym_AMPraw_output] = ACTIONS(479),
    [anon_sym_AMPredef] = ACTIONS(479),
    [anon_sym_AMPadd_func] = ACTIONS(479),
    [anon_sym_AMPbackend] = ACTIONS(479),
    [anon_sym_AMPbroker_store] = ACTIONS(479),
    [anon_sym_AMPcreate_expire] = ACTIONS(479),
    [anon_sym_AMPdefault] = ACTIONS(479),
    [anon_sym_AMPdelete_func] = ACTIONS(479),
    [anon_sym_AMPexpire_func] = ACTIONS(479),
    [anon_sym_AMPgroup] = ACTIONS(479),
    [anon_sym_AMPon_change] = ACTIONS(479),
    [anon_sym_AMPpriority] = ACTIONS(479),
    [anon_sym_AMPread_expire] = ACTIONS(479),
    [anon_sym_AMPtype_column] = ACTIONS(479),
    [anon_sym_AMPwrite_expire] = ACTIONS(479),
    [anon_sym_DOLLAR] = ACTIONS(479),
    [anon_sym_PIPE] = ACTIONS(479),
    [anon_sym_PLUS_PLUS] = ACTIONS(479),
    [anon_sym_DASH_DASH] = ACTIONS(479),
    [anon_sym_BANG] = ACTIONS(479),
    [anon_sym_TILDE] = ACTIONS(479),
    [anon_sym_DASH] = ACTIONS(481),
    [anon_sym_PLUS] = ACTIONS(481),
    [anon_sym_copy] = ACTIONS(481),
    [anon_sym_schedule] = ACTIONS(481),
    [aux_sym_constant_token1] = ACTIONS(481),
    [anon_sym_T] = ACTIONS(481),
    [anon_sym_F] = ACTIONS(481),
    [anon_sym_ATdeprecated] = ACTIONS(479),
    [anon_sym_ATload] = ACTIONS(481),
    [anon_sym_ATload_DASHsigs] = ACTIONS(479),
    [anon_sym_ATload_DASHplugin] = ACTIONS(479),
    [anon_sym_ATunload] = ACTIONS(479),
    [anon_sym_ATprefixes] = ACTIONS(479),
    [anon_sym_ATif] = ACTIONS(481),
    [anon_sym_ATifdef] = ACTIONS(479),
    [anon_sym_ATifndef] = ACTIONS(479),
    [anon_sym_ATendif] = ACTIONS(479),
    [anon_sym_ATelse] = ACTIONS(479),
    [anon_sym_ATDIR] = ACTIONS(479),
    [anon_sym_ATFILENAME] = ACTIONS(479),
    [sym_id] = ACTIONS(481),
    [sym_pattern] = ACTIONS(479),
    [sym_ipv6] = ACTIONS(481),
    [sym_ipv4] = ACTIONS(481),
    [sym_port] = ACTIONS(479),
    [sym_floatp] = ACTIONS(481),
    [sym_hex] = ACTIONS(481),
    [sym_hostname] = ACTIONS(481),
    [aux_sym_string_token1] = ACTIONS(479),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [44] = {
    [anon_sym_SEMI] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(483),
    [anon_sym_PLUS_EQ] = ACTIONS(483),
    [anon_sym_record] = ACTIONS(485),
    [anon_sym_LPAREN] = ACTIONS(483),
    [anon_sym_RPAREN] = ACTIONS(483),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_local] = ACTIONS(485),
    [anon_sym_EQ] = ACTIONS(483),
    [anon_sym_table] = ACTIONS(485),
    [anon_sym_set] = ACTIONS(485),
    [anon_sym_vector] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_hook] = ACTIONS(485),
    [anon_sym_AMPdeprecated] = ACTIONS(483),
    [anon_sym_DASH_EQ] = ACTIONS(483),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(483),
    [anon_sym_AMPerror_handler] = ACTIONS(483),
    [anon_sym_AMPis_assigned] = ACTIONS(483),
    [anon_sym_AMPis_used] = ACTIONS(483),
    [anon_sym_AMPlog] = ACTIONS(483),
    [anon_sym_AMPoptional] = ACTIONS(483),
    [anon_sym_AMPraw_output] = ACTIONS(483),
    [anon_sym_AMPredef] = ACTIONS(483),
    [anon_sym_AMPadd_func] = ACTIONS(483),
    [anon_sym_AMPbackend] = ACTIONS(483),
    [anon_sym_AMPbroker_store] = ACTIONS(483),
    [anon_sym_AMPcreate_expire] = ACTIONS(483),
    [anon_sym_AMPdefault] = ACTIONS(483),
    [anon_sym_AMPdelete_func] = ACTIONS(483),
    [anon_sym_AMPexpire_func] = ACTIONS(483),
    [anon_sym_AMPgroup] = ACTIONS(483),
    [anon_sym_AMPon_change] = ACTIONS(483),
    [anon_sym_AMPpriority] = ACTIONS(483),
    [anon_sym_AMPread_expire] = ACTIONS(483),
    [anon_sym_AMPtype_column] = ACTIONS(483),
    [anon_sym_AMPwrite_expire] = ACTIONS(483),
    [anon_sym_DOLLAR] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(483),
    [anon_sym_DASH_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [anon_sym_TILDE] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_copy] = ACTIONS(485),
    [anon_sym_schedule] = ACTIONS(485),
    [aux_sym_constant_token1] = ACTIONS(485),
    [anon_sym_T] = ACTIONS(485),
    [anon_sym_F] = ACTIONS(485),
    [anon_sym_ATdeprecated] = ACTIONS(483),
    [anon_sym_ATload] = ACTIONS(485),
    [anon_sym_ATload_DASHsigs] = ACTIONS(483),
    [anon_sym_ATload_DASHplugin] = ACTIONS(483),
    [anon_sym_ATunload] = ACTIONS(483),
    [anon_sym_ATprefixes] = ACTIONS(483),
    [anon_sym_ATif] = ACTIONS(485),
    [anon_sym_ATifdef] = ACTIONS(483),
    [anon_sym_ATifndef] = ACTIONS(483),
    [anon_sym_ATendif] = ACTIONS(483),
    [anon_sym_ATelse] = ACTIONS(483),
    [anon_sym_ATDIR] = ACTIONS(483),
    [anon_sym_ATFILENAME] = ACTIONS(483),
    [sym_id] = ACTIONS(485),
    [sym_pattern] = ACTIONS(483),
    [sym_ipv6] = ACTIONS(485),
    [sym_ipv4] = ACTIONS(485),
    [sym_port] = ACTIONS(483),
    [sym_floatp] = ACTIONS(485),
    [sym_hex] = ACTIONS(485),
    [sym_hostname] = ACTIONS(485),
    [aux_sym_string_token1] = ACTIONS(483),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [45] = {
    [anon_sym_SEMI] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_PLUS_EQ] = ACTIONS(487),
    [anon_sym_record] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(487),
    [anon_sym_RPAREN] = ACTIONS(487),
    [anon_sym_COMMA] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_EQ] = ACTIONS(487),
    [anon_sym_table] = ACTIONS(489),
    [anon_sym_set] = ACTIONS(489),
    [anon_sym_vector] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(489),
    [anon_sym_hook] = ACTIONS(489),
    [anon_sym_AMPdeprecated] = ACTIONS(487),
    [anon_sym_DASH_EQ] = ACTIONS(487),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(487),
    [anon_sym_AMPerror_handler] = ACTIONS(487),
    [anon_sym_AMPis_assigned] = ACTIONS(487),
    [anon_sym_AMPis_used] = ACTIONS(487),
    [anon_sym_AMPlog] = ACTIONS(487),
    [anon_sym_AMPoptional] = ACTIONS(487),
    [anon_sym_AMPraw_output] = ACTIONS(487),
    [anon_sym_AMPredef] = ACTIONS(487),
    [anon_sym_AMPadd_func] = ACTIONS(487),
    [anon_sym_AMPbackend] = ACTIONS(487),
    [anon_sym_AMPbroker_store] = ACTIONS(487),
    [anon_sym_AMPcreate_expire] = ACTIONS(487),
    [anon_sym_AMPdefault] = ACTIONS(487),
    [anon_sym_AMPdelete_func] = ACTIONS(487),
    [anon_sym_AMPexpire_func] = ACTIONS(487),
    [anon_sym_AMPgroup] = ACTIONS(487),
    [anon_sym_AMPon_change] = ACTIONS(487),
    [anon_sym_AMPpriority] = ACTIONS(487),
    [anon_sym_AMPread_expire] = ACTIONS(487),
    [anon_sym_AMPtype_column] = ACTIONS(487),
    [anon_sym_AMPwrite_expire] = ACTIONS(487),
    [anon_sym_DOLLAR] = ACTIONS(487),
    [anon_sym_PIPE] = ACTIONS(487),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(487),
    [anon_sym_BANG] = ACTIONS(487),
    [anon_sym_TILDE] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(489),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_copy] = ACTIONS(489),
    [anon_sym_schedule] = ACTIONS(489),
    [aux_sym_constant_token1] = ACTIONS(489),
    [anon_sym_T] = ACTIONS(489),
    [anon_sym_F] = ACTIONS(489),
    [anon_sym_ATdeprecated] = ACTIONS(487),
    [anon_sym_ATload] = ACTIONS(489),
    [anon_sym_ATload_DASHsigs] = ACTIONS(487),
    [anon_sym_ATload_DASHplugin] = ACTIONS(487),
    [anon_sym_ATunload] = ACTIONS(487),
    [anon_sym_ATprefixes] = ACTIONS(487),
    [anon_sym_ATif] = ACTIONS(489),
    [anon_sym_ATifdef] = ACTIONS(487),
    [anon_sym_ATifndef] = ACTIONS(487),
    [anon_sym_ATendif] = ACTIONS(487),
    [anon_sym_ATelse] = ACTIONS(487),
    [anon_sym_ATDIR] = ACTIONS(487),
    [anon_sym_ATFILENAME] = ACTIONS(487),
    [sym_id] = ACTIONS(489),
    [sym_pattern] = ACTIONS(487),
    [sym_ipv6] = ACTIONS(489),
    [sym_ipv4] = ACTIONS(489),
    [sym_port] = ACTIONS(487),
    [sym_floatp] = ACTIONS(489),
    [sym_hex] = ACTIONS(489),
    [sym_hostname] = ACTIONS(489),
    [aux_sym_string_token1] = ACTIONS(487),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [46] = {
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(491),
    [anon_sym_PLUS_EQ] = ACTIONS(491),
    [anon_sym_record] = ACTIONS(493),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_RPAREN] = ACTIONS(491),
    [anon_sym_COMMA] = ACTIONS(491),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_local] = ACTIONS(493),
    [anon_sym_EQ] = ACTIONS(491),
    [anon_sym_table] = ACTIONS(493),
    [anon_sym_set] = ACTIONS(493),
    [anon_sym_vector] = ACTIONS(493),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_hook] = ACTIONS(493),
    [anon_sym_AMPdeprecated] = ACTIONS(491),
    [anon_sym_DASH_EQ] = ACTIONS(491),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(491),
    [anon_sym_AMPerror_handler] = ACTIONS(491),
    [anon_sym_AMPis_assigned] = ACTIONS(491),
    [anon_sym_AMPis_used] = ACTIONS(491),
    [anon_sym_AMPlog] = ACTIONS(491),
    [anon_sym_AMPoptional] = ACTIONS(491),
    [anon_sym_AMPraw_output] = ACTIONS(491),
    [anon_sym_AMPredef] = ACTIONS(491),
    [anon_sym_AMPadd_func] = ACTIONS(491),
    [anon_sym_AMPbackend] = ACTIONS(491),
    [anon_sym_AMPbroker_store] = ACTIONS(491),
    [anon_sym_AMPcreate_expire] = ACTIONS(491),
    [anon_sym_AMPdefault] = ACTIONS(491),
    [anon_sym_AMPdelete_func] = ACTIONS(491),
    [anon_sym_AMPexpire_func] = ACTIONS(491),
    [anon_sym_AMPgroup] = ACTIONS(491),
    [anon_sym_AMPon_change] = ACTIONS(491),
    [anon_sym_AMPpriority] = ACTIONS(491),
    [anon_sym_AMPread_expire] = ACTIONS(491),
    [anon_sym_AMPtype_column] = ACTIONS(491),
    [anon_sym_AMPwrite_expire] = ACTIONS(491),
    [anon_sym_DOLLAR] = ACTIONS(491),
    [anon_sym_PIPE] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_copy] = ACTIONS(493),
    [anon_sym_schedule] = ACTIONS(493),
    [aux_sym_constant_token1] = ACTIONS(493),
    [anon_sym_T] = ACTIONS(493),
    [anon_sym_F] = ACTIONS(493),
    [anon_sym_ATdeprecated] = ACTIONS(491),
    [anon_sym_ATload] = ACTIONS(493),
    [anon_sym_ATload_DASHsigs] = ACTIONS(491),
    [anon_sym_ATload_DASHplugin] = ACTIONS(491),
    [anon_sym_ATunload] = ACTIONS(491),
    [anon_sym_ATprefixes] = ACTIONS(491),
    [anon_sym_ATif] = ACTIONS(493),
    [anon_sym_ATifdef] = ACTIONS(491),
    [anon_sym_ATifndef] = ACTIONS(491),
    [anon_sym_ATendif] = ACTIONS(491),
    [anon_sym_ATelse] = ACTIONS(491),
    [anon_sym_ATDIR] = ACTIONS(491),
    [anon_sym_ATFILENAME] = ACTIONS(491),
    [sym_id] = ACTIONS(493),
    [sym_pattern] = ACTIONS(491),
    [sym_ipv6] = ACTIONS(493),
    [sym_ipv4] = ACTIONS(493),
    [sym_port] = ACTIONS(491),
    [sym_floatp] = ACTIONS(493),
    [sym_hex] = ACTIONS(493),
    [sym_hostname] = ACTIONS(493),
    [aux_sym_string_token1] = ACTIONS(491),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [47] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2722),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(497),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [48] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2477),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(499),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [49] = {
    [sym_initializer] = STATE(1706),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2741),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(501),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [50] = {
    [sym_initializer] = STATE(1725),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2670),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(561),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(563),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [51] = {
    [sym_initializer] = STATE(1703),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2546),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(567),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(569),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [52] = {
    [sym_initializer] = STATE(1721),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2661),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(573),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [53] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2509),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(575),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [54] = {
    [sym_initializer] = STATE(1730),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2503),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(577),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(579),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [55] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2703),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(581),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [56] = {
    [sym_initializer] = STATE(1701),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2758),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(585),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [57] = {
    [sym_initializer] = STATE(1663),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2480),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(589),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [58] = {
    [sym_initializer] = STATE(1678),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2135),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(591),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(593),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [59] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2270),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [60] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2267),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [61] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2626),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(599),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [62] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2265),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(601),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [63] = {
    [sym_initializer] = STATE(1733),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2220),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(605),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [64] = {
    [sym_initializer] = STATE(1699),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2205),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(609),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [65] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2625),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(611),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [66] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2620),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [67] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2157),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(615),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [68] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2153),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(617),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [69] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2699),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(619),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [70] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2150),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(621),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [71] = {
    [sym_initializer] = STATE(1723),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2738),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [72] = {
    [sym_initializer] = STATE(1695),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2769),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(627),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(629),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [73] = {
    [sym_initializer] = STATE(1683),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2778),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(633),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [74] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2697),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [75] = {
    [sym_initializer] = STATE(1684),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2127),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(639),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [76] = {
    [sym_initializer] = STATE(1687),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2123),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(643),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [77] = {
    [sym_initializer] = STATE(1694),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2303),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(647),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [78] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2481),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(649),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [79] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2488),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(651),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [80] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2232),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(653),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [81] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2234),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(655),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [82] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2247),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [83] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2719),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [84] = {
    [sym_initializer] = STATE(1686),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2283),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [85] = {
    [sym_initializer] = STATE(1710),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2226),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(665),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(667),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [86] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2490),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(669),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [87] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2253),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(671),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [88] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2350),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(673),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [89] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2355),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(675),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [90] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2364),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(677),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [91] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2726),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [92] = {
    [sym_initializer] = STATE(1680),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2552),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(683),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [93] = {
    [sym_initializer] = STATE(1666),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2410),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(687),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [94] = {
    [sym_initializer] = STATE(1697),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2422),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(691),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [95] = {
    [sym_initializer] = STATE(1679),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2594),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(693),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(695),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [96] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2575),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [97] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2568),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [98] = {
    [sym_initializer] = STATE(1675),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2405),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(703),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [99] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2561),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(705),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [100] = {
    [sym_initializer] = STATE(1735),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2327),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(709),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [101] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2476),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(711),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [102] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2772),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(713),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [103] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2773),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(715),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [104] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2479),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(717),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [105] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2776),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(719),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [106] = {
    [sym_initializer] = STATE(1720),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2672),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(723),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [107] = {
    [sym_initializer] = STATE(1688),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2580),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(725),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(727),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [108] = {
    [sym_initializer] = STATE(1673),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2586),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(731),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [109] = {
    [sym_initializer] = STATE(1668),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2784),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(735),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [110] = {
    [sym_initializer] = STATE(1734),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2330),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(737),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(739),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [111] = {
    [sym_initializer] = STATE(1662),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2775),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(743),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [112] = {
    [sym_initializer] = STATE(1732),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2499),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(747),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [113] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2494),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(749),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [114] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2671),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(751),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [115] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2677),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(753),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [116] = {
    [sym_initializer] = STATE(1677),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2394),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(755),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(757),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(565),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [117] = {
    [sym_stmt] = STATE(143),
    [sym_stmt_list] = STATE(2692),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(143),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(759),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [118] = {
    [sym_initializer] = STATE(1728),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2341),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(763),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [119] = {
    [sym_initializer] = STATE(1731),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2203),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [120] = {
    [sym_stmt] = STATE(141),
    [sym_expr] = STATE(1347),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2529),
    [sym_preproc_directive] = STATE(755),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(141),
    [ts_builtin_sym_end] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(767),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(771),
    [anon_sym_ATload] = ACTIONS(773),
    [anon_sym_ATload_DASHsigs] = ACTIONS(775),
    [anon_sym_ATload_DASHplugin] = ACTIONS(777),
    [anon_sym_ATunload] = ACTIONS(775),
    [anon_sym_ATprefixes] = ACTIONS(779),
    [anon_sym_ATif] = ACTIONS(781),
    [anon_sym_ATifdef] = ACTIONS(783),
    [anon_sym_ATifndef] = ACTIONS(783),
    [anon_sym_ATendif] = ACTIONS(785),
    [anon_sym_ATelse] = ACTIONS(785),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [121] = {
    [sym_initializer] = STATE(1705),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2632),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(787),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [122] = {
    [sym_initializer] = STATE(1669),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2796),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(789),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [123] = {
    [sym_initializer] = STATE(1671),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2795),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [124] = {
    [sym_initializer] = STATE(1729),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2430),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(793),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [125] = {
    [sym_initializer] = STATE(1724),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2779),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(795),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [126] = {
    [sym_initializer] = STATE(1664),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2152),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [127] = {
    [sym_initializer] = STATE(1689),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2454),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [128] = {
    [sym_initializer] = STATE(1704),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2204),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(801),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [129] = {
    [sym_initializer] = STATE(1727),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2192),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [130] = {
    [sym_initializer] = STATE(1681),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2439),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [131] = {
    [sym_initializer] = STATE(1674),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2584),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [132] = {
    [sym_initializer] = STATE(1676),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2585),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [133] = {
    [sym_initializer] = STATE(1693),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2579),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [134] = {
    [sym_initializer] = STATE(1672),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2791),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [135] = {
    [sym_initializer] = STATE(1719),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2335),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [136] = {
    [sym_initializer] = STATE(1711),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2329),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [137] = {
    [sym_initializer] = STATE(1715),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2733),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [138] = {
    [sym_initializer] = STATE(1709),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2179),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [139] = {
    [sym_initializer] = STATE(1726),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2185),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [140] = {
    [sym_stmt] = STATE(141),
    [sym_expr] = STATE(1347),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2529),
    [sym_preproc_directive] = STATE(755),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(141),
    [ts_builtin_sym_end] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(767),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(771),
    [anon_sym_ATload] = ACTIONS(773),
    [anon_sym_ATload_DASHsigs] = ACTIONS(775),
    [anon_sym_ATload_DASHplugin] = ACTIONS(777),
    [anon_sym_ATunload] = ACTIONS(775),
    [anon_sym_ATprefixes] = ACTIONS(779),
    [anon_sym_ATif] = ACTIONS(781),
    [anon_sym_ATifdef] = ACTIONS(783),
    [anon_sym_ATifndef] = ACTIONS(783),
    [anon_sym_ATendif] = ACTIONS(785),
    [anon_sym_ATelse] = ACTIONS(785),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [141] = {
    [sym_stmt] = STATE(141),
    [sym_expr] = STATE(1347),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2529),
    [sym_preproc_directive] = STATE(755),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(141),
    [ts_builtin_sym_end] = ACTIONS(345),
    [anon_sym_SEMI] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_const] = ACTIONS(833),
    [anon_sym_record] = ACTIONS(350),
    [anon_sym_print] = ACTIONS(836),
    [anon_sym_event] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_LPAREN] = ACTIONS(362),
    [anon_sym_switch] = ACTIONS(845),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LBRACK] = ACTIONS(371),
    [anon_sym_while] = ACTIONS(851),
    [anon_sym_next] = ACTIONS(854),
    [anon_sym_break] = ACTIONS(854),
    [anon_sym_fallthrough] = ACTIONS(854),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_add] = ACTIONS(860),
    [anon_sym_delete] = ACTIONS(860),
    [anon_sym_local] = ACTIONS(863),
    [anon_sym_when] = ACTIONS(866),
    [anon_sym_table] = ACTIONS(394),
    [anon_sym_set] = ACTIONS(394),
    [anon_sym_vector] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(400),
    [anon_sym_hook] = ACTIONS(403),
    [anon_sym_DOLLAR] = ACTIONS(406),
    [anon_sym_PIPE] = ACTIONS(409),
    [anon_sym_PLUS_PLUS] = ACTIONS(412),
    [anon_sym_DASH_DASH] = ACTIONS(412),
    [anon_sym_BANG] = ACTIONS(412),
    [anon_sym_TILDE] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_copy] = ACTIONS(418),
    [anon_sym_schedule] = ACTIONS(421),
    [aux_sym_constant_token1] = ACTIONS(424),
    [anon_sym_T] = ACTIONS(427),
    [anon_sym_F] = ACTIONS(427),
    [anon_sym_ATdeprecated] = ACTIONS(869),
    [anon_sym_ATload] = ACTIONS(872),
    [anon_sym_ATload_DASHsigs] = ACTIONS(875),
    [anon_sym_ATload_DASHplugin] = ACTIONS(878),
    [anon_sym_ATunload] = ACTIONS(875),
    [anon_sym_ATprefixes] = ACTIONS(881),
    [anon_sym_ATif] = ACTIONS(884),
    [anon_sym_ATifdef] = ACTIONS(887),
    [anon_sym_ATifndef] = ACTIONS(887),
    [anon_sym_ATendif] = ACTIONS(890),
    [anon_sym_ATelse] = ACTIONS(890),
    [anon_sym_ATDIR] = ACTIONS(454),
    [anon_sym_ATFILENAME] = ACTIONS(454),
    [sym_id] = ACTIONS(457),
    [sym_pattern] = ACTIONS(460),
    [sym_ipv6] = ACTIONS(463),
    [sym_ipv4] = ACTIONS(463),
    [sym_port] = ACTIONS(466),
    [sym_floatp] = ACTIONS(469),
    [sym_hex] = ACTIONS(427),
    [sym_hostname] = ACTIONS(427),
    [aux_sym_string_token1] = ACTIONS(472),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [142] = {
    [sym_initializer] = STATE(1696),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2356),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [143] = {
    [sym_stmt] = STATE(152),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(152),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(335),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [144] = {
    [sym_initializer] = STATE(1702),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2237),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [145] = {
    [sym_initializer] = STATE(1707),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2175),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [146] = {
    [sym_initializer] = STATE(1713),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2255),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [147] = {
    [sym_initializer] = STATE(1716),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2644),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [148] = {
    [sym_initializer] = STATE(1718),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2648),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [149] = {
    [sym_initializer] = STATE(1698),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2340),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(905),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [150] = {
    [sym_initializer] = STATE(1670),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2395),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [151] = {
    [sym_initializer] = STATE(1667),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2139),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [152] = {
    [sym_stmt] = STATE(152),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [aux_sym_source_file_repeat2] = STATE(152),
    [anon_sym_SEMI] = ACTIONS(911),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_RBRACE] = ACTIONS(345),
    [anon_sym_const] = ACTIONS(917),
    [anon_sym_record] = ACTIONS(350),
    [anon_sym_print] = ACTIONS(920),
    [anon_sym_event] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(926),
    [anon_sym_LPAREN] = ACTIONS(362),
    [anon_sym_switch] = ACTIONS(929),
    [anon_sym_for] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(371),
    [anon_sym_while] = ACTIONS(935),
    [anon_sym_next] = ACTIONS(938),
    [anon_sym_break] = ACTIONS(938),
    [anon_sym_fallthrough] = ACTIONS(938),
    [anon_sym_return] = ACTIONS(941),
    [anon_sym_add] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_local] = ACTIONS(947),
    [anon_sym_when] = ACTIONS(950),
    [anon_sym_table] = ACTIONS(394),
    [anon_sym_set] = ACTIONS(394),
    [anon_sym_vector] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(400),
    [anon_sym_hook] = ACTIONS(403),
    [anon_sym_DOLLAR] = ACTIONS(406),
    [anon_sym_PIPE] = ACTIONS(409),
    [anon_sym_PLUS_PLUS] = ACTIONS(412),
    [anon_sym_DASH_DASH] = ACTIONS(412),
    [anon_sym_BANG] = ACTIONS(412),
    [anon_sym_TILDE] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_copy] = ACTIONS(418),
    [anon_sym_schedule] = ACTIONS(421),
    [aux_sym_constant_token1] = ACTIONS(424),
    [anon_sym_T] = ACTIONS(427),
    [anon_sym_F] = ACTIONS(427),
    [anon_sym_ATdeprecated] = ACTIONS(953),
    [anon_sym_ATload] = ACTIONS(956),
    [anon_sym_ATload_DASHsigs] = ACTIONS(959),
    [anon_sym_ATload_DASHplugin] = ACTIONS(962),
    [anon_sym_ATunload] = ACTIONS(959),
    [anon_sym_ATprefixes] = ACTIONS(965),
    [anon_sym_ATif] = ACTIONS(968),
    [anon_sym_ATifdef] = ACTIONS(971),
    [anon_sym_ATifndef] = ACTIONS(971),
    [anon_sym_ATendif] = ACTIONS(974),
    [anon_sym_ATelse] = ACTIONS(974),
    [anon_sym_ATDIR] = ACTIONS(454),
    [anon_sym_ATFILENAME] = ACTIONS(454),
    [sym_id] = ACTIONS(457),
    [sym_pattern] = ACTIONS(460),
    [sym_ipv6] = ACTIONS(463),
    [sym_ipv4] = ACTIONS(463),
    [sym_port] = ACTIONS(466),
    [sym_floatp] = ACTIONS(469),
    [sym_hex] = ACTIONS(427),
    [sym_hostname] = ACTIONS(427),
    [aux_sym_string_token1] = ACTIONS(472),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [153] = {
    [sym_initializer] = STATE(1692),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2144),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(977),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [154] = {
    [sym_initializer] = STATE(1717),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2729),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [155] = {
    [sym_initializer] = STATE(1714),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2637),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [156] = {
    [sym_initializer] = STATE(1682),
    [sym_init_class] = STATE(956),
    [sym_attr_list] = STATE(2146),
    [sym_attr] = STATE(1644),
    [sym_expr] = STATE(855),
    [sym_constant] = STATE(310),
    [sym_string_directive] = STATE(318),
    [sym_integer] = STATE(291),
    [sym_interval] = STATE(313),
    [sym_string] = STATE(313),
    [aux_sym_attr_list_repeat1] = STATE(1644),
    [anon_sym_SEMI] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_PLUS_EQ] = ACTIONS(507),
    [anon_sym_record] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_local] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(507),
    [anon_sym_table] = ACTIONS(517),
    [anon_sym_set] = ACTIONS(517),
    [anon_sym_vector] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_hook] = ACTIONS(523),
    [anon_sym_AMPdeprecated] = ACTIONS(525),
    [anon_sym_DASH_EQ] = ACTIONS(507),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(527),
    [anon_sym_AMPerror_handler] = ACTIONS(527),
    [anon_sym_AMPis_assigned] = ACTIONS(527),
    [anon_sym_AMPis_used] = ACTIONS(527),
    [anon_sym_AMPlog] = ACTIONS(527),
    [anon_sym_AMPoptional] = ACTIONS(527),
    [anon_sym_AMPraw_output] = ACTIONS(527),
    [anon_sym_AMPredef] = ACTIONS(527),
    [anon_sym_AMPadd_func] = ACTIONS(529),
    [anon_sym_AMPbackend] = ACTIONS(529),
    [anon_sym_AMPbroker_store] = ACTIONS(529),
    [anon_sym_AMPcreate_expire] = ACTIONS(529),
    [anon_sym_AMPdefault] = ACTIONS(529),
    [anon_sym_AMPdelete_func] = ACTIONS(529),
    [anon_sym_AMPexpire_func] = ACTIONS(529),
    [anon_sym_AMPgroup] = ACTIONS(529),
    [anon_sym_AMPon_change] = ACTIONS(529),
    [anon_sym_AMPpriority] = ACTIONS(529),
    [anon_sym_AMPread_expire] = ACTIONS(529),
    [anon_sym_AMPtype_column] = ACTIONS(529),
    [anon_sym_AMPwrite_expire] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_copy] = ACTIONS(539),
    [anon_sym_schedule] = ACTIONS(541),
    [aux_sym_constant_token1] = ACTIONS(543),
    [anon_sym_T] = ACTIONS(545),
    [anon_sym_F] = ACTIONS(545),
    [anon_sym_ATDIR] = ACTIONS(547),
    [anon_sym_ATFILENAME] = ACTIONS(547),
    [sym_id] = ACTIONS(549),
    [sym_pattern] = ACTIONS(551),
    [sym_ipv6] = ACTIONS(553),
    [sym_ipv4] = ACTIONS(553),
    [sym_port] = ACTIONS(555),
    [sym_floatp] = ACTIONS(557),
    [sym_hex] = ACTIONS(545),
    [sym_hostname] = ACTIONS(545),
    [aux_sym_string_token1] = ACTIONS(559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [157] = {
    [sym_stmt] = STATE(793),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [158] = {
    [sym_stmt] = STATE(678),
    [sym_expr] = STATE(1502),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2354),
    [sym_preproc_directive] = STATE(682),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(991),
    [anon_sym_event] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_next] = ACTIONS(1003),
    [anon_sym_break] = ACTIONS(1003),
    [anon_sym_fallthrough] = ACTIONS(1003),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_add] = ACTIONS(1007),
    [anon_sym_delete] = ACTIONS(1007),
    [anon_sym_local] = ACTIONS(1009),
    [anon_sym_when] = ACTIONS(1011),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1013),
    [anon_sym_ATload] = ACTIONS(1015),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1017),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1019),
    [anon_sym_ATunload] = ACTIONS(1017),
    [anon_sym_ATprefixes] = ACTIONS(1021),
    [anon_sym_ATif] = ACTIONS(1023),
    [anon_sym_ATifdef] = ACTIONS(1025),
    [anon_sym_ATifndef] = ACTIONS(1025),
    [anon_sym_ATendif] = ACTIONS(1027),
    [anon_sym_ATelse] = ACTIONS(1027),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [159] = {
    [sym_stmt] = STATE(507),
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2404),
    [sym_preproc_directive] = STATE(541),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1035),
    [anon_sym_event] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_next] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_fallthrough] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_add] = ACTIONS(1051),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1053),
    [anon_sym_when] = ACTIONS(1055),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1057),
    [anon_sym_ATload] = ACTIONS(1059),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1061),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1063),
    [anon_sym_ATunload] = ACTIONS(1061),
    [anon_sym_ATprefixes] = ACTIONS(1065),
    [anon_sym_ATif] = ACTIONS(1067),
    [anon_sym_ATifdef] = ACTIONS(1069),
    [anon_sym_ATifndef] = ACTIONS(1069),
    [anon_sym_ATendif] = ACTIONS(1071),
    [anon_sym_ATelse] = ACTIONS(1071),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [160] = {
    [sym_stmt] = STATE(425),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2449),
    [sym_preproc_directive] = STATE(388),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1079),
    [anon_sym_event] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_next] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_fallthrough] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_add] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1095),
    [anon_sym_local] = ACTIONS(1097),
    [anon_sym_when] = ACTIONS(1099),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1101),
    [anon_sym_ATload] = ACTIONS(1103),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1105),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1107),
    [anon_sym_ATunload] = ACTIONS(1105),
    [anon_sym_ATprefixes] = ACTIONS(1109),
    [anon_sym_ATif] = ACTIONS(1111),
    [anon_sym_ATifdef] = ACTIONS(1113),
    [anon_sym_ATifndef] = ACTIONS(1113),
    [anon_sym_ATendif] = ACTIONS(1115),
    [anon_sym_ATelse] = ACTIONS(1115),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [161] = {
    [sym_stmt] = STATE(731),
    [sym_expr] = STATE(1502),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2354),
    [sym_preproc_directive] = STATE(682),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(991),
    [anon_sym_event] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_next] = ACTIONS(1003),
    [anon_sym_break] = ACTIONS(1003),
    [anon_sym_fallthrough] = ACTIONS(1003),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_add] = ACTIONS(1007),
    [anon_sym_delete] = ACTIONS(1007),
    [anon_sym_local] = ACTIONS(1009),
    [anon_sym_when] = ACTIONS(1011),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1013),
    [anon_sym_ATload] = ACTIONS(1015),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1017),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1019),
    [anon_sym_ATunload] = ACTIONS(1017),
    [anon_sym_ATprefixes] = ACTIONS(1021),
    [anon_sym_ATif] = ACTIONS(1023),
    [anon_sym_ATifdef] = ACTIONS(1025),
    [anon_sym_ATifndef] = ACTIONS(1025),
    [anon_sym_ATendif] = ACTIONS(1027),
    [anon_sym_ATelse] = ACTIONS(1027),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [162] = {
    [sym_stmt] = STATE(472),
    [sym_expr] = STATE(1298),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2419),
    [sym_preproc_directive] = STATE(488),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_const] = ACTIONS(1121),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1123),
    [anon_sym_event] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1127),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1133),
    [anon_sym_next] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_fallthrough] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1137),
    [anon_sym_add] = ACTIONS(1139),
    [anon_sym_delete] = ACTIONS(1139),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_when] = ACTIONS(1143),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1145),
    [anon_sym_ATload] = ACTIONS(1147),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1149),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1151),
    [anon_sym_ATunload] = ACTIONS(1149),
    [anon_sym_ATprefixes] = ACTIONS(1153),
    [anon_sym_ATif] = ACTIONS(1155),
    [anon_sym_ATifdef] = ACTIONS(1157),
    [anon_sym_ATifndef] = ACTIONS(1157),
    [anon_sym_ATendif] = ACTIONS(1159),
    [anon_sym_ATelse] = ACTIONS(1159),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [163] = {
    [sym_stmt] = STATE(767),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [164] = {
    [sym_stmt] = STATE(461),
    [sym_expr] = STATE(1298),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2419),
    [sym_preproc_directive] = STATE(488),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_const] = ACTIONS(1121),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1123),
    [anon_sym_event] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1127),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1133),
    [anon_sym_next] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_fallthrough] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1137),
    [anon_sym_add] = ACTIONS(1139),
    [anon_sym_delete] = ACTIONS(1139),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_when] = ACTIONS(1143),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1145),
    [anon_sym_ATload] = ACTIONS(1147),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1149),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1151),
    [anon_sym_ATunload] = ACTIONS(1149),
    [anon_sym_ATprefixes] = ACTIONS(1153),
    [anon_sym_ATif] = ACTIONS(1155),
    [anon_sym_ATifdef] = ACTIONS(1157),
    [anon_sym_ATifndef] = ACTIONS(1157),
    [anon_sym_ATendif] = ACTIONS(1159),
    [anon_sym_ATelse] = ACTIONS(1159),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [165] = {
    [sym_stmt] = STATE(460),
    [sym_expr] = STATE(1298),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2419),
    [sym_preproc_directive] = STATE(488),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_const] = ACTIONS(1121),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1123),
    [anon_sym_event] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1127),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1133),
    [anon_sym_next] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_fallthrough] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1137),
    [anon_sym_add] = ACTIONS(1139),
    [anon_sym_delete] = ACTIONS(1139),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_when] = ACTIONS(1143),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1145),
    [anon_sym_ATload] = ACTIONS(1147),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1149),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1151),
    [anon_sym_ATunload] = ACTIONS(1149),
    [anon_sym_ATprefixes] = ACTIONS(1153),
    [anon_sym_ATif] = ACTIONS(1155),
    [anon_sym_ATifdef] = ACTIONS(1157),
    [anon_sym_ATifndef] = ACTIONS(1157),
    [anon_sym_ATendif] = ACTIONS(1159),
    [anon_sym_ATelse] = ACTIONS(1159),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [166] = {
    [sym_stmt] = STATE(409),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2449),
    [sym_preproc_directive] = STATE(388),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1079),
    [anon_sym_event] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_next] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_fallthrough] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_add] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1095),
    [anon_sym_local] = ACTIONS(1097),
    [anon_sym_when] = ACTIONS(1099),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1101),
    [anon_sym_ATload] = ACTIONS(1103),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1105),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1107),
    [anon_sym_ATunload] = ACTIONS(1105),
    [anon_sym_ATprefixes] = ACTIONS(1109),
    [anon_sym_ATif] = ACTIONS(1111),
    [anon_sym_ATifdef] = ACTIONS(1113),
    [anon_sym_ATifndef] = ACTIONS(1113),
    [anon_sym_ATendif] = ACTIONS(1115),
    [anon_sym_ATelse] = ACTIONS(1115),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [167] = {
    [sym_stmt] = STATE(457),
    [sym_expr] = STATE(1298),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2419),
    [sym_preproc_directive] = STATE(488),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_const] = ACTIONS(1121),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1123),
    [anon_sym_event] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1127),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1133),
    [anon_sym_next] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_fallthrough] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1137),
    [anon_sym_add] = ACTIONS(1139),
    [anon_sym_delete] = ACTIONS(1139),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_when] = ACTIONS(1143),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1145),
    [anon_sym_ATload] = ACTIONS(1147),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1149),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1151),
    [anon_sym_ATunload] = ACTIONS(1149),
    [anon_sym_ATprefixes] = ACTIONS(1153),
    [anon_sym_ATif] = ACTIONS(1155),
    [anon_sym_ATifdef] = ACTIONS(1157),
    [anon_sym_ATifndef] = ACTIONS(1157),
    [anon_sym_ATendif] = ACTIONS(1159),
    [anon_sym_ATelse] = ACTIONS(1159),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [168] = {
    [sym_stmt] = STATE(428),
    [sym_expr] = STATE(1298),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2419),
    [sym_preproc_directive] = STATE(488),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_const] = ACTIONS(1121),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1123),
    [anon_sym_event] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1127),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1133),
    [anon_sym_next] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_fallthrough] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1137),
    [anon_sym_add] = ACTIONS(1139),
    [anon_sym_delete] = ACTIONS(1139),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_when] = ACTIONS(1143),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1145),
    [anon_sym_ATload] = ACTIONS(1147),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1149),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1151),
    [anon_sym_ATunload] = ACTIONS(1149),
    [anon_sym_ATprefixes] = ACTIONS(1153),
    [anon_sym_ATif] = ACTIONS(1155),
    [anon_sym_ATifdef] = ACTIONS(1157),
    [anon_sym_ATifndef] = ACTIONS(1157),
    [anon_sym_ATendif] = ACTIONS(1159),
    [anon_sym_ATelse] = ACTIONS(1159),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [169] = {
    [sym_stmt] = STATE(608),
    [sym_expr] = STATE(1393),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2389),
    [sym_preproc_directive] = STATE(598),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1167),
    [anon_sym_event] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_next] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_fallthrough] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1183),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1185),
    [anon_sym_when] = ACTIONS(1187),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1189),
    [anon_sym_ATload] = ACTIONS(1191),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1193),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1195),
    [anon_sym_ATunload] = ACTIONS(1193),
    [anon_sym_ATprefixes] = ACTIONS(1197),
    [anon_sym_ATif] = ACTIONS(1199),
    [anon_sym_ATifdef] = ACTIONS(1201),
    [anon_sym_ATifndef] = ACTIONS(1201),
    [anon_sym_ATendif] = ACTIONS(1203),
    [anon_sym_ATelse] = ACTIONS(1203),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [170] = {
    [sym_stmt] = STATE(451),
    [sym_expr] = STATE(1298),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2419),
    [sym_preproc_directive] = STATE(488),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_const] = ACTIONS(1121),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1123),
    [anon_sym_event] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1127),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1133),
    [anon_sym_next] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_fallthrough] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1137),
    [anon_sym_add] = ACTIONS(1139),
    [anon_sym_delete] = ACTIONS(1139),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_when] = ACTIONS(1143),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1145),
    [anon_sym_ATload] = ACTIONS(1147),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1149),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1151),
    [anon_sym_ATunload] = ACTIONS(1149),
    [anon_sym_ATprefixes] = ACTIONS(1153),
    [anon_sym_ATif] = ACTIONS(1155),
    [anon_sym_ATifdef] = ACTIONS(1157),
    [anon_sym_ATifndef] = ACTIONS(1157),
    [anon_sym_ATendif] = ACTIONS(1159),
    [anon_sym_ATelse] = ACTIONS(1159),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [171] = {
    [sym_stmt] = STATE(727),
    [sym_expr] = STATE(1502),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2354),
    [sym_preproc_directive] = STATE(682),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(991),
    [anon_sym_event] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_next] = ACTIONS(1003),
    [anon_sym_break] = ACTIONS(1003),
    [anon_sym_fallthrough] = ACTIONS(1003),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_add] = ACTIONS(1007),
    [anon_sym_delete] = ACTIONS(1007),
    [anon_sym_local] = ACTIONS(1009),
    [anon_sym_when] = ACTIONS(1011),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1013),
    [anon_sym_ATload] = ACTIONS(1015),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1017),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1019),
    [anon_sym_ATunload] = ACTIONS(1017),
    [anon_sym_ATprefixes] = ACTIONS(1021),
    [anon_sym_ATif] = ACTIONS(1023),
    [anon_sym_ATifdef] = ACTIONS(1025),
    [anon_sym_ATifndef] = ACTIONS(1025),
    [anon_sym_ATendif] = ACTIONS(1027),
    [anon_sym_ATelse] = ACTIONS(1027),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [172] = {
    [sym_stmt] = STATE(602),
    [sym_expr] = STATE(1393),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2389),
    [sym_preproc_directive] = STATE(598),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1167),
    [anon_sym_event] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_next] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_fallthrough] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1183),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1185),
    [anon_sym_when] = ACTIONS(1187),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1189),
    [anon_sym_ATload] = ACTIONS(1191),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1193),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1195),
    [anon_sym_ATunload] = ACTIONS(1193),
    [anon_sym_ATprefixes] = ACTIONS(1197),
    [anon_sym_ATif] = ACTIONS(1199),
    [anon_sym_ATifdef] = ACTIONS(1201),
    [anon_sym_ATifndef] = ACTIONS(1201),
    [anon_sym_ATendif] = ACTIONS(1203),
    [anon_sym_ATelse] = ACTIONS(1203),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [173] = {
    [sym_stmt] = STATE(618),
    [sym_expr] = STATE(1393),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2389),
    [sym_preproc_directive] = STATE(598),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1167),
    [anon_sym_event] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_next] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_fallthrough] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1183),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1185),
    [anon_sym_when] = ACTIONS(1187),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1189),
    [anon_sym_ATload] = ACTIONS(1191),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1193),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1195),
    [anon_sym_ATunload] = ACTIONS(1193),
    [anon_sym_ATprefixes] = ACTIONS(1197),
    [anon_sym_ATif] = ACTIONS(1199),
    [anon_sym_ATifdef] = ACTIONS(1201),
    [anon_sym_ATifndef] = ACTIONS(1201),
    [anon_sym_ATendif] = ACTIONS(1203),
    [anon_sym_ATelse] = ACTIONS(1203),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [174] = {
    [sym_stmt] = STATE(448),
    [sym_expr] = STATE(1298),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2419),
    [sym_preproc_directive] = STATE(488),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_const] = ACTIONS(1121),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1123),
    [anon_sym_event] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1127),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1133),
    [anon_sym_next] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_fallthrough] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1137),
    [anon_sym_add] = ACTIONS(1139),
    [anon_sym_delete] = ACTIONS(1139),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_when] = ACTIONS(1143),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1145),
    [anon_sym_ATload] = ACTIONS(1147),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1149),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1151),
    [anon_sym_ATunload] = ACTIONS(1149),
    [anon_sym_ATprefixes] = ACTIONS(1153),
    [anon_sym_ATif] = ACTIONS(1155),
    [anon_sym_ATifdef] = ACTIONS(1157),
    [anon_sym_ATifndef] = ACTIONS(1157),
    [anon_sym_ATendif] = ACTIONS(1159),
    [anon_sym_ATelse] = ACTIONS(1159),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [175] = {
    [sym_stmt] = STATE(721),
    [sym_expr] = STATE(1502),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2354),
    [sym_preproc_directive] = STATE(682),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(991),
    [anon_sym_event] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_next] = ACTIONS(1003),
    [anon_sym_break] = ACTIONS(1003),
    [anon_sym_fallthrough] = ACTIONS(1003),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_add] = ACTIONS(1007),
    [anon_sym_delete] = ACTIONS(1007),
    [anon_sym_local] = ACTIONS(1009),
    [anon_sym_when] = ACTIONS(1011),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1013),
    [anon_sym_ATload] = ACTIONS(1015),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1017),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1019),
    [anon_sym_ATunload] = ACTIONS(1017),
    [anon_sym_ATprefixes] = ACTIONS(1021),
    [anon_sym_ATif] = ACTIONS(1023),
    [anon_sym_ATifdef] = ACTIONS(1025),
    [anon_sym_ATifndef] = ACTIONS(1025),
    [anon_sym_ATendif] = ACTIONS(1027),
    [anon_sym_ATelse] = ACTIONS(1027),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [176] = {
    [sym_stmt] = STATE(745),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2314),
    [sym_preproc_directive] = STATE(718),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1209),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1211),
    [anon_sym_event] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_next] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_fallthrough] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_add] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_when] = ACTIONS(1231),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1233),
    [anon_sym_ATload] = ACTIONS(1235),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1237),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1239),
    [anon_sym_ATunload] = ACTIONS(1237),
    [anon_sym_ATprefixes] = ACTIONS(1241),
    [anon_sym_ATif] = ACTIONS(1243),
    [anon_sym_ATifdef] = ACTIONS(1245),
    [anon_sym_ATifndef] = ACTIONS(1245),
    [anon_sym_ATendif] = ACTIONS(1247),
    [anon_sym_ATelse] = ACTIONS(1247),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [177] = {
    [sym_stmt] = STATE(483),
    [sym_expr] = STATE(1298),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2419),
    [sym_preproc_directive] = STATE(488),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_const] = ACTIONS(1121),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1123),
    [anon_sym_event] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1127),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1133),
    [anon_sym_next] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_fallthrough] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1137),
    [anon_sym_add] = ACTIONS(1139),
    [anon_sym_delete] = ACTIONS(1139),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_when] = ACTIONS(1143),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1145),
    [anon_sym_ATload] = ACTIONS(1147),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1149),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1151),
    [anon_sym_ATunload] = ACTIONS(1149),
    [anon_sym_ATprefixes] = ACTIONS(1153),
    [anon_sym_ATif] = ACTIONS(1155),
    [anon_sym_ATifdef] = ACTIONS(1157),
    [anon_sym_ATifndef] = ACTIONS(1157),
    [anon_sym_ATendif] = ACTIONS(1159),
    [anon_sym_ATelse] = ACTIONS(1159),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [178] = {
    [sym_stmt] = STATE(768),
    [sym_expr] = STATE(1347),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2529),
    [sym_preproc_directive] = STATE(755),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(767),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(771),
    [anon_sym_ATload] = ACTIONS(773),
    [anon_sym_ATload_DASHsigs] = ACTIONS(775),
    [anon_sym_ATload_DASHplugin] = ACTIONS(777),
    [anon_sym_ATunload] = ACTIONS(775),
    [anon_sym_ATprefixes] = ACTIONS(779),
    [anon_sym_ATif] = ACTIONS(781),
    [anon_sym_ATifdef] = ACTIONS(783),
    [anon_sym_ATifndef] = ACTIONS(783),
    [anon_sym_ATendif] = ACTIONS(785),
    [anon_sym_ATelse] = ACTIONS(785),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [179] = {
    [sym_stmt] = STATE(684),
    [sym_expr] = STATE(1327),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2291),
    [sym_preproc_directive] = STATE(701),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1255),
    [anon_sym_event] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_next] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_fallthrough] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_add] = ACTIONS(1271),
    [anon_sym_delete] = ACTIONS(1271),
    [anon_sym_local] = ACTIONS(1273),
    [anon_sym_when] = ACTIONS(1275),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1277),
    [anon_sym_ATload] = ACTIONS(1279),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1281),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1283),
    [anon_sym_ATunload] = ACTIONS(1281),
    [anon_sym_ATprefixes] = ACTIONS(1285),
    [anon_sym_ATif] = ACTIONS(1287),
    [anon_sym_ATifdef] = ACTIONS(1289),
    [anon_sym_ATifndef] = ACTIONS(1289),
    [anon_sym_ATendif] = ACTIONS(1291),
    [anon_sym_ATelse] = ACTIONS(1291),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [180] = {
    [sym_stmt] = STATE(758),
    [sym_expr] = STATE(1347),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2529),
    [sym_preproc_directive] = STATE(755),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(767),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(771),
    [anon_sym_ATload] = ACTIONS(773),
    [anon_sym_ATload_DASHsigs] = ACTIONS(775),
    [anon_sym_ATload_DASHplugin] = ACTIONS(777),
    [anon_sym_ATunload] = ACTIONS(775),
    [anon_sym_ATprefixes] = ACTIONS(779),
    [anon_sym_ATif] = ACTIONS(781),
    [anon_sym_ATifdef] = ACTIONS(783),
    [anon_sym_ATifndef] = ACTIONS(783),
    [anon_sym_ATendif] = ACTIONS(785),
    [anon_sym_ATelse] = ACTIONS(785),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [181] = {
    [sym_stmt] = STATE(603),
    [sym_expr] = STATE(1393),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2389),
    [sym_preproc_directive] = STATE(598),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1167),
    [anon_sym_event] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_next] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_fallthrough] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1183),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1185),
    [anon_sym_when] = ACTIONS(1187),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1189),
    [anon_sym_ATload] = ACTIONS(1191),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1193),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1195),
    [anon_sym_ATunload] = ACTIONS(1193),
    [anon_sym_ATprefixes] = ACTIONS(1197),
    [anon_sym_ATif] = ACTIONS(1199),
    [anon_sym_ATifdef] = ACTIONS(1201),
    [anon_sym_ATifndef] = ACTIONS(1201),
    [anon_sym_ATendif] = ACTIONS(1203),
    [anon_sym_ATelse] = ACTIONS(1203),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [182] = {
    [sym_stmt] = STATE(467),
    [sym_expr] = STATE(1315),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2434),
    [sym_preproc_directive] = STATE(436),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1297),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1299),
    [anon_sym_event] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_next] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_fallthrough] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_add] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_local] = ACTIONS(1317),
    [anon_sym_when] = ACTIONS(1319),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1321),
    [anon_sym_ATload] = ACTIONS(1323),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1325),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1327),
    [anon_sym_ATunload] = ACTIONS(1325),
    [anon_sym_ATprefixes] = ACTIONS(1329),
    [anon_sym_ATif] = ACTIONS(1331),
    [anon_sym_ATifdef] = ACTIONS(1333),
    [anon_sym_ATifndef] = ACTIONS(1333),
    [anon_sym_ATendif] = ACTIONS(1335),
    [anon_sym_ATelse] = ACTIONS(1335),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [183] = {
    [sym_stmt] = STATE(441),
    [sym_expr] = STATE(1315),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2434),
    [sym_preproc_directive] = STATE(436),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1297),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1299),
    [anon_sym_event] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_next] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_fallthrough] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_add] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_local] = ACTIONS(1317),
    [anon_sym_when] = ACTIONS(1319),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1321),
    [anon_sym_ATload] = ACTIONS(1323),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1325),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1327),
    [anon_sym_ATunload] = ACTIONS(1325),
    [anon_sym_ATprefixes] = ACTIONS(1329),
    [anon_sym_ATif] = ACTIONS(1331),
    [anon_sym_ATifdef] = ACTIONS(1333),
    [anon_sym_ATifndef] = ACTIONS(1333),
    [anon_sym_ATendif] = ACTIONS(1335),
    [anon_sym_ATelse] = ACTIONS(1335),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [184] = {
    [sym_stmt] = STATE(439),
    [sym_expr] = STATE(1315),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2434),
    [sym_preproc_directive] = STATE(436),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1297),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1299),
    [anon_sym_event] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_next] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_fallthrough] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_add] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_local] = ACTIONS(1317),
    [anon_sym_when] = ACTIONS(1319),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1321),
    [anon_sym_ATload] = ACTIONS(1323),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1325),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1327),
    [anon_sym_ATunload] = ACTIONS(1325),
    [anon_sym_ATprefixes] = ACTIONS(1329),
    [anon_sym_ATif] = ACTIONS(1331),
    [anon_sym_ATifdef] = ACTIONS(1333),
    [anon_sym_ATifndef] = ACTIONS(1333),
    [anon_sym_ATendif] = ACTIONS(1335),
    [anon_sym_ATelse] = ACTIONS(1335),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [185] = {
    [sym_stmt] = STATE(719),
    [sym_expr] = STATE(1502),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2354),
    [sym_preproc_directive] = STATE(682),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(991),
    [anon_sym_event] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_next] = ACTIONS(1003),
    [anon_sym_break] = ACTIONS(1003),
    [anon_sym_fallthrough] = ACTIONS(1003),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_add] = ACTIONS(1007),
    [anon_sym_delete] = ACTIONS(1007),
    [anon_sym_local] = ACTIONS(1009),
    [anon_sym_when] = ACTIONS(1011),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1013),
    [anon_sym_ATload] = ACTIONS(1015),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1017),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1019),
    [anon_sym_ATunload] = ACTIONS(1017),
    [anon_sym_ATprefixes] = ACTIONS(1021),
    [anon_sym_ATif] = ACTIONS(1023),
    [anon_sym_ATifdef] = ACTIONS(1025),
    [anon_sym_ATifndef] = ACTIONS(1025),
    [anon_sym_ATendif] = ACTIONS(1027),
    [anon_sym_ATelse] = ACTIONS(1027),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [186] = {
    [sym_stmt] = STATE(751),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [187] = {
    [sym_stmt] = STATE(798),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [188] = {
    [sym_stmt] = STATE(442),
    [sym_expr] = STATE(1315),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2434),
    [sym_preproc_directive] = STATE(436),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1297),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1299),
    [anon_sym_event] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_next] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_fallthrough] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_add] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_local] = ACTIONS(1317),
    [anon_sym_when] = ACTIONS(1319),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1321),
    [anon_sym_ATload] = ACTIONS(1323),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1325),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1327),
    [anon_sym_ATunload] = ACTIONS(1325),
    [anon_sym_ATprefixes] = ACTIONS(1329),
    [anon_sym_ATif] = ACTIONS(1331),
    [anon_sym_ATifdef] = ACTIONS(1333),
    [anon_sym_ATifndef] = ACTIONS(1333),
    [anon_sym_ATendif] = ACTIONS(1335),
    [anon_sym_ATelse] = ACTIONS(1335),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [189] = {
    [sym_stmt] = STATE(569),
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2404),
    [sym_preproc_directive] = STATE(541),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1035),
    [anon_sym_event] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_next] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_fallthrough] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_add] = ACTIONS(1051),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1053),
    [anon_sym_when] = ACTIONS(1055),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1057),
    [anon_sym_ATload] = ACTIONS(1059),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1061),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1063),
    [anon_sym_ATunload] = ACTIONS(1061),
    [anon_sym_ATprefixes] = ACTIONS(1065),
    [anon_sym_ATif] = ACTIONS(1067),
    [anon_sym_ATifdef] = ACTIONS(1069),
    [anon_sym_ATifndef] = ACTIONS(1069),
    [anon_sym_ATendif] = ACTIONS(1071),
    [anon_sym_ATelse] = ACTIONS(1071),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [190] = {
    [sym_stmt] = STATE(471),
    [sym_expr] = STATE(1315),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2434),
    [sym_preproc_directive] = STATE(436),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1297),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1299),
    [anon_sym_event] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_next] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_fallthrough] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_add] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_local] = ACTIONS(1317),
    [anon_sym_when] = ACTIONS(1319),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1321),
    [anon_sym_ATload] = ACTIONS(1323),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1325),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1327),
    [anon_sym_ATunload] = ACTIONS(1325),
    [anon_sym_ATprefixes] = ACTIONS(1329),
    [anon_sym_ATif] = ACTIONS(1331),
    [anon_sym_ATifdef] = ACTIONS(1333),
    [anon_sym_ATifndef] = ACTIONS(1333),
    [anon_sym_ATendif] = ACTIONS(1335),
    [anon_sym_ATelse] = ACTIONS(1335),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [191] = {
    [sym_stmt] = STATE(582),
    [sym_expr] = STATE(1522),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2374),
    [sym_preproc_directive] = STATE(502),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_const] = ACTIONS(259),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(261),
    [anon_sym_event] = ACTIONS(263),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(267),
    [anon_sym_for] = ACTIONS(269),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(271),
    [anon_sym_next] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_fallthrough] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(275),
    [anon_sym_add] = ACTIONS(277),
    [anon_sym_delete] = ACTIONS(277),
    [anon_sym_local] = ACTIONS(279),
    [anon_sym_when] = ACTIONS(281),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(285),
    [anon_sym_ATload] = ACTIONS(287),
    [anon_sym_ATload_DASHsigs] = ACTIONS(289),
    [anon_sym_ATload_DASHplugin] = ACTIONS(291),
    [anon_sym_ATunload] = ACTIONS(289),
    [anon_sym_ATprefixes] = ACTIONS(293),
    [anon_sym_ATif] = ACTIONS(295),
    [anon_sym_ATifdef] = ACTIONS(297),
    [anon_sym_ATifndef] = ACTIONS(297),
    [anon_sym_ATendif] = ACTIONS(299),
    [anon_sym_ATelse] = ACTIONS(299),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [192] = {
    [sym_stmt] = STATE(466),
    [sym_expr] = STATE(1315),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2434),
    [sym_preproc_directive] = STATE(436),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1297),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1299),
    [anon_sym_event] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_next] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_fallthrough] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_add] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_local] = ACTIONS(1317),
    [anon_sym_when] = ACTIONS(1319),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1321),
    [anon_sym_ATload] = ACTIONS(1323),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1325),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1327),
    [anon_sym_ATunload] = ACTIONS(1325),
    [anon_sym_ATprefixes] = ACTIONS(1329),
    [anon_sym_ATif] = ACTIONS(1331),
    [anon_sym_ATifdef] = ACTIONS(1333),
    [anon_sym_ATifndef] = ACTIONS(1333),
    [anon_sym_ATendif] = ACTIONS(1335),
    [anon_sym_ATelse] = ACTIONS(1335),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [193] = {
    [sym_stmt] = STATE(509),
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2404),
    [sym_preproc_directive] = STATE(541),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1035),
    [anon_sym_event] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_next] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_fallthrough] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_add] = ACTIONS(1051),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1053),
    [anon_sym_when] = ACTIONS(1055),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1057),
    [anon_sym_ATload] = ACTIONS(1059),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1061),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1063),
    [anon_sym_ATunload] = ACTIONS(1061),
    [anon_sym_ATprefixes] = ACTIONS(1065),
    [anon_sym_ATif] = ACTIONS(1067),
    [anon_sym_ATifdef] = ACTIONS(1069),
    [anon_sym_ATifndef] = ACTIONS(1069),
    [anon_sym_ATendif] = ACTIONS(1071),
    [anon_sym_ATelse] = ACTIONS(1071),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [194] = {
    [sym_stmt] = STATE(450),
    [sym_expr] = STATE(1315),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2434),
    [sym_preproc_directive] = STATE(436),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1297),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1299),
    [anon_sym_event] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_next] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_fallthrough] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_add] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_local] = ACTIONS(1317),
    [anon_sym_when] = ACTIONS(1319),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1321),
    [anon_sym_ATload] = ACTIONS(1323),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1325),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1327),
    [anon_sym_ATunload] = ACTIONS(1325),
    [anon_sym_ATprefixes] = ACTIONS(1329),
    [anon_sym_ATif] = ACTIONS(1331),
    [anon_sym_ATifdef] = ACTIONS(1333),
    [anon_sym_ATifndef] = ACTIONS(1333),
    [anon_sym_ATendif] = ACTIONS(1335),
    [anon_sym_ATelse] = ACTIONS(1335),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [195] = {
    [sym_stmt] = STATE(713),
    [sym_expr] = STATE(1502),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2354),
    [sym_preproc_directive] = STATE(682),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(991),
    [anon_sym_event] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_next] = ACTIONS(1003),
    [anon_sym_break] = ACTIONS(1003),
    [anon_sym_fallthrough] = ACTIONS(1003),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_add] = ACTIONS(1007),
    [anon_sym_delete] = ACTIONS(1007),
    [anon_sym_local] = ACTIONS(1009),
    [anon_sym_when] = ACTIONS(1011),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1013),
    [anon_sym_ATload] = ACTIONS(1015),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1017),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1019),
    [anon_sym_ATunload] = ACTIONS(1017),
    [anon_sym_ATprefixes] = ACTIONS(1021),
    [anon_sym_ATif] = ACTIONS(1023),
    [anon_sym_ATifdef] = ACTIONS(1025),
    [anon_sym_ATifndef] = ACTIONS(1025),
    [anon_sym_ATendif] = ACTIONS(1027),
    [anon_sym_ATelse] = ACTIONS(1027),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [196] = {
    [sym_stmt] = STATE(790),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [197] = {
    [sym_stmt] = STATE(788),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [198] = {
    [sym_stmt] = STATE(785),
    [sym_expr] = STATE(1478),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2197),
    [sym_preproc_directive] = STATE(765),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_next] = ACTIONS(225),
    [anon_sym_break] = ACTIONS(225),
    [anon_sym_fallthrough] = ACTIONS(225),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_add] = ACTIONS(229),
    [anon_sym_delete] = ACTIONS(229),
    [anon_sym_local] = ACTIONS(231),
    [anon_sym_when] = ACTIONS(233),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(235),
    [anon_sym_ATload] = ACTIONS(237),
    [anon_sym_ATload_DASHsigs] = ACTIONS(239),
    [anon_sym_ATload_DASHplugin] = ACTIONS(241),
    [anon_sym_ATunload] = ACTIONS(239),
    [anon_sym_ATprefixes] = ACTIONS(243),
    [anon_sym_ATif] = ACTIONS(245),
    [anon_sym_ATifdef] = ACTIONS(247),
    [anon_sym_ATifndef] = ACTIONS(247),
    [anon_sym_ATendif] = ACTIONS(249),
    [anon_sym_ATelse] = ACTIONS(249),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [199] = {
    [sym_stmt] = STATE(575),
    [sym_expr] = STATE(1522),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2374),
    [sym_preproc_directive] = STATE(502),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_const] = ACTIONS(259),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(261),
    [anon_sym_event] = ACTIONS(263),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(267),
    [anon_sym_for] = ACTIONS(269),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(271),
    [anon_sym_next] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_fallthrough] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(275),
    [anon_sym_add] = ACTIONS(277),
    [anon_sym_delete] = ACTIONS(277),
    [anon_sym_local] = ACTIONS(279),
    [anon_sym_when] = ACTIONS(281),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(285),
    [anon_sym_ATload] = ACTIONS(287),
    [anon_sym_ATload_DASHsigs] = ACTIONS(289),
    [anon_sym_ATload_DASHplugin] = ACTIONS(291),
    [anon_sym_ATunload] = ACTIONS(289),
    [anon_sym_ATprefixes] = ACTIONS(293),
    [anon_sym_ATif] = ACTIONS(295),
    [anon_sym_ATifdef] = ACTIONS(297),
    [anon_sym_ATifndef] = ACTIONS(297),
    [anon_sym_ATendif] = ACTIONS(299),
    [anon_sym_ATelse] = ACTIONS(299),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [200] = {
    [sym_stmt] = STATE(565),
    [sym_expr] = STATE(1393),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2389),
    [sym_preproc_directive] = STATE(598),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1167),
    [anon_sym_event] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_next] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_fallthrough] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1183),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1185),
    [anon_sym_when] = ACTIONS(1187),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1189),
    [anon_sym_ATload] = ACTIONS(1191),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1193),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1195),
    [anon_sym_ATunload] = ACTIONS(1193),
    [anon_sym_ATprefixes] = ACTIONS(1197),
    [anon_sym_ATif] = ACTIONS(1199),
    [anon_sym_ATifdef] = ACTIONS(1201),
    [anon_sym_ATifndef] = ACTIONS(1201),
    [anon_sym_ATendif] = ACTIONS(1203),
    [anon_sym_ATelse] = ACTIONS(1203),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [201] = {
    [sym_stmt] = STATE(513),
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2404),
    [sym_preproc_directive] = STATE(541),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1035),
    [anon_sym_event] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_next] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_fallthrough] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_add] = ACTIONS(1051),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1053),
    [anon_sym_when] = ACTIONS(1055),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1057),
    [anon_sym_ATload] = ACTIONS(1059),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1061),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1063),
    [anon_sym_ATunload] = ACTIONS(1061),
    [anon_sym_ATprefixes] = ACTIONS(1065),
    [anon_sym_ATif] = ACTIONS(1067),
    [anon_sym_ATifdef] = ACTIONS(1069),
    [anon_sym_ATifndef] = ACTIONS(1069),
    [anon_sym_ATendif] = ACTIONS(1071),
    [anon_sym_ATelse] = ACTIONS(1071),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [202] = {
    [sym_stmt] = STATE(791),
    [sym_expr] = STATE(1347),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2529),
    [sym_preproc_directive] = STATE(755),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(767),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(771),
    [anon_sym_ATload] = ACTIONS(773),
    [anon_sym_ATload_DASHsigs] = ACTIONS(775),
    [anon_sym_ATload_DASHplugin] = ACTIONS(777),
    [anon_sym_ATunload] = ACTIONS(775),
    [anon_sym_ATprefixes] = ACTIONS(779),
    [anon_sym_ATif] = ACTIONS(781),
    [anon_sym_ATifdef] = ACTIONS(783),
    [anon_sym_ATifndef] = ACTIONS(783),
    [anon_sym_ATendif] = ACTIONS(785),
    [anon_sym_ATelse] = ACTIONS(785),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [203] = {
    [sym_stmt] = STATE(560),
    [sym_expr] = STATE(1522),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2374),
    [sym_preproc_directive] = STATE(502),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_const] = ACTIONS(259),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(261),
    [anon_sym_event] = ACTIONS(263),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(267),
    [anon_sym_for] = ACTIONS(269),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(271),
    [anon_sym_next] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_fallthrough] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(275),
    [anon_sym_add] = ACTIONS(277),
    [anon_sym_delete] = ACTIONS(277),
    [anon_sym_local] = ACTIONS(279),
    [anon_sym_when] = ACTIONS(281),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(285),
    [anon_sym_ATload] = ACTIONS(287),
    [anon_sym_ATload_DASHsigs] = ACTIONS(289),
    [anon_sym_ATload_DASHplugin] = ACTIONS(291),
    [anon_sym_ATunload] = ACTIONS(289),
    [anon_sym_ATprefixes] = ACTIONS(293),
    [anon_sym_ATif] = ACTIONS(295),
    [anon_sym_ATifdef] = ACTIONS(297),
    [anon_sym_ATifndef] = ACTIONS(297),
    [anon_sym_ATendif] = ACTIONS(299),
    [anon_sym_ATelse] = ACTIONS(299),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [204] = {
    [sym_stmt] = STATE(748),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2314),
    [sym_preproc_directive] = STATE(718),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1209),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1211),
    [anon_sym_event] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_next] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_fallthrough] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_add] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_when] = ACTIONS(1231),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1233),
    [anon_sym_ATload] = ACTIONS(1235),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1237),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1239),
    [anon_sym_ATunload] = ACTIONS(1237),
    [anon_sym_ATprefixes] = ACTIONS(1241),
    [anon_sym_ATif] = ACTIONS(1243),
    [anon_sym_ATifdef] = ACTIONS(1245),
    [anon_sym_ATifndef] = ACTIONS(1245),
    [anon_sym_ATendif] = ACTIONS(1247),
    [anon_sym_ATelse] = ACTIONS(1247),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [205] = {
    [sym_stmt] = STATE(517),
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2404),
    [sym_preproc_directive] = STATE(541),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1035),
    [anon_sym_event] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_next] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_fallthrough] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_add] = ACTIONS(1051),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1053),
    [anon_sym_when] = ACTIONS(1055),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1057),
    [anon_sym_ATload] = ACTIONS(1059),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1061),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1063),
    [anon_sym_ATunload] = ACTIONS(1061),
    [anon_sym_ATprefixes] = ACTIONS(1065),
    [anon_sym_ATif] = ACTIONS(1067),
    [anon_sym_ATifdef] = ACTIONS(1069),
    [anon_sym_ATifndef] = ACTIONS(1069),
    [anon_sym_ATendif] = ACTIONS(1071),
    [anon_sym_ATelse] = ACTIONS(1071),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [206] = {
    [sym_stmt] = STATE(728),
    [sym_expr] = STATE(1327),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2291),
    [sym_preproc_directive] = STATE(701),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1255),
    [anon_sym_event] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_next] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_fallthrough] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_add] = ACTIONS(1271),
    [anon_sym_delete] = ACTIONS(1271),
    [anon_sym_local] = ACTIONS(1273),
    [anon_sym_when] = ACTIONS(1275),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1277),
    [anon_sym_ATload] = ACTIONS(1279),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1281),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1283),
    [anon_sym_ATunload] = ACTIONS(1281),
    [anon_sym_ATprefixes] = ACTIONS(1285),
    [anon_sym_ATif] = ACTIONS(1287),
    [anon_sym_ATifdef] = ACTIONS(1289),
    [anon_sym_ATifndef] = ACTIONS(1289),
    [anon_sym_ATendif] = ACTIONS(1291),
    [anon_sym_ATelse] = ACTIONS(1291),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [207] = {
    [sym_stmt] = STATE(393),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2449),
    [sym_preproc_directive] = STATE(388),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1079),
    [anon_sym_event] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_next] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_fallthrough] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_add] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1095),
    [anon_sym_local] = ACTIONS(1097),
    [anon_sym_when] = ACTIONS(1099),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1101),
    [anon_sym_ATload] = ACTIONS(1103),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1105),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1107),
    [anon_sym_ATunload] = ACTIONS(1105),
    [anon_sym_ATprefixes] = ACTIONS(1109),
    [anon_sym_ATif] = ACTIONS(1111),
    [anon_sym_ATifdef] = ACTIONS(1113),
    [anon_sym_ATifndef] = ACTIONS(1113),
    [anon_sym_ATendif] = ACTIONS(1115),
    [anon_sym_ATelse] = ACTIONS(1115),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [208] = {
    [sym_stmt] = STATE(539),
    [sym_expr] = STATE(1522),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2374),
    [sym_preproc_directive] = STATE(502),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_const] = ACTIONS(259),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(261),
    [anon_sym_event] = ACTIONS(263),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(267),
    [anon_sym_for] = ACTIONS(269),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(271),
    [anon_sym_next] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_fallthrough] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(275),
    [anon_sym_add] = ACTIONS(277),
    [anon_sym_delete] = ACTIONS(277),
    [anon_sym_local] = ACTIONS(279),
    [anon_sym_when] = ACTIONS(281),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(285),
    [anon_sym_ATload] = ACTIONS(287),
    [anon_sym_ATload_DASHsigs] = ACTIONS(289),
    [anon_sym_ATload_DASHplugin] = ACTIONS(291),
    [anon_sym_ATunload] = ACTIONS(289),
    [anon_sym_ATprefixes] = ACTIONS(293),
    [anon_sym_ATif] = ACTIONS(295),
    [anon_sym_ATifdef] = ACTIONS(297),
    [anon_sym_ATifndef] = ACTIONS(297),
    [anon_sym_ATendif] = ACTIONS(299),
    [anon_sym_ATelse] = ACTIONS(299),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [209] = {
    [sym_stmt] = STATE(407),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2449),
    [sym_preproc_directive] = STATE(388),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1079),
    [anon_sym_event] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_next] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_fallthrough] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_add] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1095),
    [anon_sym_local] = ACTIONS(1097),
    [anon_sym_when] = ACTIONS(1099),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1101),
    [anon_sym_ATload] = ACTIONS(1103),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1105),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1107),
    [anon_sym_ATunload] = ACTIONS(1105),
    [anon_sym_ATprefixes] = ACTIONS(1109),
    [anon_sym_ATif] = ACTIONS(1111),
    [anon_sym_ATifdef] = ACTIONS(1113),
    [anon_sym_ATifndef] = ACTIONS(1113),
    [anon_sym_ATendif] = ACTIONS(1115),
    [anon_sym_ATelse] = ACTIONS(1115),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [210] = {
    [sym_stmt] = STATE(423),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2449),
    [sym_preproc_directive] = STATE(388),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1079),
    [anon_sym_event] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_next] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_fallthrough] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_add] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1095),
    [anon_sym_local] = ACTIONS(1097),
    [anon_sym_when] = ACTIONS(1099),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1101),
    [anon_sym_ATload] = ACTIONS(1103),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1105),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1107),
    [anon_sym_ATunload] = ACTIONS(1105),
    [anon_sym_ATprefixes] = ACTIONS(1109),
    [anon_sym_ATif] = ACTIONS(1111),
    [anon_sym_ATifdef] = ACTIONS(1113),
    [anon_sym_ATifndef] = ACTIONS(1113),
    [anon_sym_ATendif] = ACTIONS(1115),
    [anon_sym_ATelse] = ACTIONS(1115),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [211] = {
    [sym_stmt] = STATE(519),
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2404),
    [sym_preproc_directive] = STATE(541),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1035),
    [anon_sym_event] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_next] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_fallthrough] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_add] = ACTIONS(1051),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1053),
    [anon_sym_when] = ACTIONS(1055),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1057),
    [anon_sym_ATload] = ACTIONS(1059),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1061),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1063),
    [anon_sym_ATunload] = ACTIONS(1061),
    [anon_sym_ATprefixes] = ACTIONS(1065),
    [anon_sym_ATif] = ACTIONS(1067),
    [anon_sym_ATifdef] = ACTIONS(1069),
    [anon_sym_ATifndef] = ACTIONS(1069),
    [anon_sym_ATendif] = ACTIONS(1071),
    [anon_sym_ATelse] = ACTIONS(1071),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [212] = {
    [sym_stmt] = STATE(395),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2449),
    [sym_preproc_directive] = STATE(388),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1079),
    [anon_sym_event] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_next] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_fallthrough] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_add] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1095),
    [anon_sym_local] = ACTIONS(1097),
    [anon_sym_when] = ACTIONS(1099),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1101),
    [anon_sym_ATload] = ACTIONS(1103),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1105),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1107),
    [anon_sym_ATunload] = ACTIONS(1105),
    [anon_sym_ATprefixes] = ACTIONS(1109),
    [anon_sym_ATif] = ACTIONS(1111),
    [anon_sym_ATifdef] = ACTIONS(1113),
    [anon_sym_ATifndef] = ACTIONS(1113),
    [anon_sym_ATendif] = ACTIONS(1115),
    [anon_sym_ATelse] = ACTIONS(1115),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [213] = {
    [sym_stmt] = STATE(419),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2449),
    [sym_preproc_directive] = STATE(388),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1079),
    [anon_sym_event] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_next] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_fallthrough] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_add] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1095),
    [anon_sym_local] = ACTIONS(1097),
    [anon_sym_when] = ACTIONS(1099),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1101),
    [anon_sym_ATload] = ACTIONS(1103),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1105),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1107),
    [anon_sym_ATunload] = ACTIONS(1105),
    [anon_sym_ATprefixes] = ACTIONS(1109),
    [anon_sym_ATif] = ACTIONS(1111),
    [anon_sym_ATifdef] = ACTIONS(1113),
    [anon_sym_ATifndef] = ACTIONS(1113),
    [anon_sym_ATendif] = ACTIONS(1115),
    [anon_sym_ATelse] = ACTIONS(1115),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [214] = {
    [sym_stmt] = STATE(444),
    [sym_expr] = STATE(1298),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2419),
    [sym_preproc_directive] = STATE(488),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_const] = ACTIONS(1121),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1123),
    [anon_sym_event] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1127),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1133),
    [anon_sym_next] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_fallthrough] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1137),
    [anon_sym_add] = ACTIONS(1139),
    [anon_sym_delete] = ACTIONS(1139),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_when] = ACTIONS(1143),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1145),
    [anon_sym_ATload] = ACTIONS(1147),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1149),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1151),
    [anon_sym_ATunload] = ACTIONS(1149),
    [anon_sym_ATprefixes] = ACTIONS(1153),
    [anon_sym_ATif] = ACTIONS(1155),
    [anon_sym_ATifdef] = ACTIONS(1157),
    [anon_sym_ATifndef] = ACTIONS(1157),
    [anon_sym_ATendif] = ACTIONS(1159),
    [anon_sym_ATelse] = ACTIONS(1159),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [215] = {
    [sym_stmt] = STATE(399),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2449),
    [sym_preproc_directive] = STATE(388),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1079),
    [anon_sym_event] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_next] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_fallthrough] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_add] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1095),
    [anon_sym_local] = ACTIONS(1097),
    [anon_sym_when] = ACTIONS(1099),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1101),
    [anon_sym_ATload] = ACTIONS(1103),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1105),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1107),
    [anon_sym_ATunload] = ACTIONS(1105),
    [anon_sym_ATprefixes] = ACTIONS(1109),
    [anon_sym_ATif] = ACTIONS(1111),
    [anon_sym_ATifdef] = ACTIONS(1113),
    [anon_sym_ATifndef] = ACTIONS(1113),
    [anon_sym_ATendif] = ACTIONS(1115),
    [anon_sym_ATelse] = ACTIONS(1115),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [216] = {
    [sym_stmt] = STATE(520),
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2404),
    [sym_preproc_directive] = STATE(541),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1035),
    [anon_sym_event] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_next] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_fallthrough] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_add] = ACTIONS(1051),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1053),
    [anon_sym_when] = ACTIONS(1055),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1057),
    [anon_sym_ATload] = ACTIONS(1059),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1061),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1063),
    [anon_sym_ATunload] = ACTIONS(1061),
    [anon_sym_ATprefixes] = ACTIONS(1065),
    [anon_sym_ATif] = ACTIONS(1067),
    [anon_sym_ATifdef] = ACTIONS(1069),
    [anon_sym_ATifndef] = ACTIONS(1069),
    [anon_sym_ATendif] = ACTIONS(1071),
    [anon_sym_ATelse] = ACTIONS(1071),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [217] = {
    [sym_stmt] = STATE(587),
    [sym_expr] = STATE(1393),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2389),
    [sym_preproc_directive] = STATE(598),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1167),
    [anon_sym_event] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_next] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_fallthrough] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1183),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1185),
    [anon_sym_when] = ACTIONS(1187),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1189),
    [anon_sym_ATload] = ACTIONS(1191),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1193),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1195),
    [anon_sym_ATunload] = ACTIONS(1193),
    [anon_sym_ATprefixes] = ACTIONS(1197),
    [anon_sym_ATif] = ACTIONS(1199),
    [anon_sym_ATifdef] = ACTIONS(1201),
    [anon_sym_ATifndef] = ACTIONS(1201),
    [anon_sym_ATendif] = ACTIONS(1203),
    [anon_sym_ATelse] = ACTIONS(1203),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [218] = {
    [sym_stmt] = STATE(401),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2449),
    [sym_preproc_directive] = STATE(388),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1079),
    [anon_sym_event] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_next] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_fallthrough] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_add] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1095),
    [anon_sym_local] = ACTIONS(1097),
    [anon_sym_when] = ACTIONS(1099),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1101),
    [anon_sym_ATload] = ACTIONS(1103),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1105),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1107),
    [anon_sym_ATunload] = ACTIONS(1105),
    [anon_sym_ATprefixes] = ACTIONS(1109),
    [anon_sym_ATif] = ACTIONS(1111),
    [anon_sym_ATifdef] = ACTIONS(1113),
    [anon_sym_ATifndef] = ACTIONS(1113),
    [anon_sym_ATendif] = ACTIONS(1115),
    [anon_sym_ATelse] = ACTIONS(1115),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [219] = {
    [sym_stmt] = STATE(384),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2449),
    [sym_preproc_directive] = STATE(388),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1079),
    [anon_sym_event] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_next] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_fallthrough] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_add] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1095),
    [anon_sym_local] = ACTIONS(1097),
    [anon_sym_when] = ACTIONS(1099),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1101),
    [anon_sym_ATload] = ACTIONS(1103),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1105),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1107),
    [anon_sym_ATunload] = ACTIONS(1105),
    [anon_sym_ATprefixes] = ACTIONS(1109),
    [anon_sym_ATif] = ACTIONS(1111),
    [anon_sym_ATifdef] = ACTIONS(1113),
    [anon_sym_ATifndef] = ACTIONS(1113),
    [anon_sym_ATendif] = ACTIONS(1115),
    [anon_sym_ATelse] = ACTIONS(1115),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [220] = {
    [sym_stmt] = STATE(740),
    [sym_expr] = STATE(1327),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2291),
    [sym_preproc_directive] = STATE(701),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1255),
    [anon_sym_event] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_next] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_fallthrough] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_add] = ACTIONS(1271),
    [anon_sym_delete] = ACTIONS(1271),
    [anon_sym_local] = ACTIONS(1273),
    [anon_sym_when] = ACTIONS(1275),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1277),
    [anon_sym_ATload] = ACTIONS(1279),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1281),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1283),
    [anon_sym_ATunload] = ACTIONS(1281),
    [anon_sym_ATprefixes] = ACTIONS(1285),
    [anon_sym_ATif] = ACTIONS(1287),
    [anon_sym_ATifdef] = ACTIONS(1289),
    [anon_sym_ATifndef] = ACTIONS(1289),
    [anon_sym_ATendif] = ACTIONS(1291),
    [anon_sym_ATelse] = ACTIONS(1291),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [221] = {
    [sym_stmt] = STATE(741),
    [sym_expr] = STATE(1327),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2291),
    [sym_preproc_directive] = STATE(701),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1255),
    [anon_sym_event] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_next] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_fallthrough] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_add] = ACTIONS(1271),
    [anon_sym_delete] = ACTIONS(1271),
    [anon_sym_local] = ACTIONS(1273),
    [anon_sym_when] = ACTIONS(1275),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1277),
    [anon_sym_ATload] = ACTIONS(1279),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1281),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1283),
    [anon_sym_ATunload] = ACTIONS(1281),
    [anon_sym_ATprefixes] = ACTIONS(1285),
    [anon_sym_ATif] = ACTIONS(1287),
    [anon_sym_ATifdef] = ACTIONS(1289),
    [anon_sym_ATifndef] = ACTIONS(1289),
    [anon_sym_ATendif] = ACTIONS(1291),
    [anon_sym_ATelse] = ACTIONS(1291),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [222] = {
    [sym_stmt] = STATE(400),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2449),
    [sym_preproc_directive] = STATE(388),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1079),
    [anon_sym_event] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_next] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_fallthrough] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_add] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1095),
    [anon_sym_local] = ACTIONS(1097),
    [anon_sym_when] = ACTIONS(1099),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1101),
    [anon_sym_ATload] = ACTIONS(1103),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1105),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1107),
    [anon_sym_ATunload] = ACTIONS(1105),
    [anon_sym_ATprefixes] = ACTIONS(1109),
    [anon_sym_ATif] = ACTIONS(1111),
    [anon_sym_ATifdef] = ACTIONS(1113),
    [anon_sym_ATifndef] = ACTIONS(1113),
    [anon_sym_ATendif] = ACTIONS(1115),
    [anon_sym_ATelse] = ACTIONS(1115),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [223] = {
    [sym_stmt] = STATE(410),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2449),
    [sym_preproc_directive] = STATE(388),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1079),
    [anon_sym_event] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_next] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_fallthrough] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_add] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1095),
    [anon_sym_local] = ACTIONS(1097),
    [anon_sym_when] = ACTIONS(1099),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1101),
    [anon_sym_ATload] = ACTIONS(1103),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1105),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1107),
    [anon_sym_ATunload] = ACTIONS(1105),
    [anon_sym_ATprefixes] = ACTIONS(1109),
    [anon_sym_ATif] = ACTIONS(1111),
    [anon_sym_ATifdef] = ACTIONS(1113),
    [anon_sym_ATifndef] = ACTIONS(1113),
    [anon_sym_ATendif] = ACTIONS(1115),
    [anon_sym_ATelse] = ACTIONS(1115),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [224] = {
    [sym_stmt] = STATE(525),
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2404),
    [sym_preproc_directive] = STATE(541),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1035),
    [anon_sym_event] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_next] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_fallthrough] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_add] = ACTIONS(1051),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1053),
    [anon_sym_when] = ACTIONS(1055),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1057),
    [anon_sym_ATload] = ACTIONS(1059),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1061),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1063),
    [anon_sym_ATunload] = ACTIONS(1061),
    [anon_sym_ATprefixes] = ACTIONS(1065),
    [anon_sym_ATif] = ACTIONS(1067),
    [anon_sym_ATifdef] = ACTIONS(1069),
    [anon_sym_ATifndef] = ACTIONS(1069),
    [anon_sym_ATendif] = ACTIONS(1071),
    [anon_sym_ATelse] = ACTIONS(1071),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [225] = {
    [sym_stmt] = STATE(475),
    [sym_expr] = STATE(1315),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2434),
    [sym_preproc_directive] = STATE(436),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1297),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1299),
    [anon_sym_event] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_next] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_fallthrough] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_add] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_local] = ACTIONS(1317),
    [anon_sym_when] = ACTIONS(1319),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1321),
    [anon_sym_ATload] = ACTIONS(1323),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1325),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1327),
    [anon_sym_ATunload] = ACTIONS(1325),
    [anon_sym_ATprefixes] = ACTIONS(1329),
    [anon_sym_ATif] = ACTIONS(1331),
    [anon_sym_ATifdef] = ACTIONS(1333),
    [anon_sym_ATifndef] = ACTIONS(1333),
    [anon_sym_ATendif] = ACTIONS(1335),
    [anon_sym_ATelse] = ACTIONS(1335),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [226] = {
    [sym_stmt] = STATE(474),
    [sym_expr] = STATE(1315),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2434),
    [sym_preproc_directive] = STATE(436),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1297),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1299),
    [anon_sym_event] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_next] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_fallthrough] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_add] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_local] = ACTIONS(1317),
    [anon_sym_when] = ACTIONS(1319),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1321),
    [anon_sym_ATload] = ACTIONS(1323),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1325),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1327),
    [anon_sym_ATunload] = ACTIONS(1325),
    [anon_sym_ATprefixes] = ACTIONS(1329),
    [anon_sym_ATif] = ACTIONS(1331),
    [anon_sym_ATifdef] = ACTIONS(1333),
    [anon_sym_ATifndef] = ACTIONS(1333),
    [anon_sym_ATendif] = ACTIONS(1335),
    [anon_sym_ATelse] = ACTIONS(1335),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [227] = {
    [sym_stmt] = STATE(801),
    [sym_expr] = STATE(1347),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2529),
    [sym_preproc_directive] = STATE(755),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(767),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(771),
    [anon_sym_ATload] = ACTIONS(773),
    [anon_sym_ATload_DASHsigs] = ACTIONS(775),
    [anon_sym_ATload_DASHplugin] = ACTIONS(777),
    [anon_sym_ATunload] = ACTIONS(775),
    [anon_sym_ATprefixes] = ACTIONS(779),
    [anon_sym_ATif] = ACTIONS(781),
    [anon_sym_ATifdef] = ACTIONS(783),
    [anon_sym_ATifndef] = ACTIONS(783),
    [anon_sym_ATendif] = ACTIONS(785),
    [anon_sym_ATelse] = ACTIONS(785),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [228] = {
    [sym_stmt] = STATE(456),
    [sym_expr] = STATE(1315),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2434),
    [sym_preproc_directive] = STATE(436),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1297),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1299),
    [anon_sym_event] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_next] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_fallthrough] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_add] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_local] = ACTIONS(1317),
    [anon_sym_when] = ACTIONS(1319),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1321),
    [anon_sym_ATload] = ACTIONS(1323),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1325),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1327),
    [anon_sym_ATunload] = ACTIONS(1325),
    [anon_sym_ATprefixes] = ACTIONS(1329),
    [anon_sym_ATif] = ACTIONS(1331),
    [anon_sym_ATifdef] = ACTIONS(1333),
    [anon_sym_ATifndef] = ACTIONS(1333),
    [anon_sym_ATendif] = ACTIONS(1335),
    [anon_sym_ATelse] = ACTIONS(1335),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [229] = {
    [sym_stmt] = STATE(729),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2314),
    [sym_preproc_directive] = STATE(718),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1209),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1211),
    [anon_sym_event] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_next] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_fallthrough] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_add] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_when] = ACTIONS(1231),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1233),
    [anon_sym_ATload] = ACTIONS(1235),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1237),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1239),
    [anon_sym_ATunload] = ACTIONS(1237),
    [anon_sym_ATprefixes] = ACTIONS(1241),
    [anon_sym_ATif] = ACTIONS(1243),
    [anon_sym_ATifdef] = ACTIONS(1245),
    [anon_sym_ATifndef] = ACTIONS(1245),
    [anon_sym_ATendif] = ACTIONS(1247),
    [anon_sym_ATelse] = ACTIONS(1247),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [230] = {
    [sym_stmt] = STATE(551),
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2404),
    [sym_preproc_directive] = STATE(541),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1035),
    [anon_sym_event] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_next] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_fallthrough] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_add] = ACTIONS(1051),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1053),
    [anon_sym_when] = ACTIONS(1055),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1057),
    [anon_sym_ATload] = ACTIONS(1059),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1061),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1063),
    [anon_sym_ATunload] = ACTIONS(1061),
    [anon_sym_ATprefixes] = ACTIONS(1065),
    [anon_sym_ATif] = ACTIONS(1067),
    [anon_sym_ATifdef] = ACTIONS(1069),
    [anon_sym_ATifndef] = ACTIONS(1069),
    [anon_sym_ATendif] = ACTIONS(1071),
    [anon_sym_ATelse] = ACTIONS(1071),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [231] = {
    [sym_stmt] = STATE(746),
    [sym_expr] = STATE(1327),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2291),
    [sym_preproc_directive] = STATE(701),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1255),
    [anon_sym_event] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_next] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_fallthrough] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_add] = ACTIONS(1271),
    [anon_sym_delete] = ACTIONS(1271),
    [anon_sym_local] = ACTIONS(1273),
    [anon_sym_when] = ACTIONS(1275),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1277),
    [anon_sym_ATload] = ACTIONS(1279),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1281),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1283),
    [anon_sym_ATunload] = ACTIONS(1281),
    [anon_sym_ATprefixes] = ACTIONS(1285),
    [anon_sym_ATif] = ACTIONS(1287),
    [anon_sym_ATifdef] = ACTIONS(1289),
    [anon_sym_ATifndef] = ACTIONS(1289),
    [anon_sym_ATendif] = ACTIONS(1291),
    [anon_sym_ATelse] = ACTIONS(1291),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [232] = {
    [sym_stmt] = STATE(725),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2314),
    [sym_preproc_directive] = STATE(718),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1209),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1211),
    [anon_sym_event] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_next] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_fallthrough] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_add] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_when] = ACTIONS(1231),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1233),
    [anon_sym_ATload] = ACTIONS(1235),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1237),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1239),
    [anon_sym_ATunload] = ACTIONS(1237),
    [anon_sym_ATprefixes] = ACTIONS(1241),
    [anon_sym_ATif] = ACTIONS(1243),
    [anon_sym_ATifdef] = ACTIONS(1245),
    [anon_sym_ATifndef] = ACTIONS(1245),
    [anon_sym_ATendif] = ACTIONS(1247),
    [anon_sym_ATelse] = ACTIONS(1247),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [233] = {
    [sym_stmt] = STATE(804),
    [sym_expr] = STATE(1347),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2529),
    [sym_preproc_directive] = STATE(755),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(767),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(771),
    [anon_sym_ATload] = ACTIONS(773),
    [anon_sym_ATload_DASHsigs] = ACTIONS(775),
    [anon_sym_ATload_DASHplugin] = ACTIONS(777),
    [anon_sym_ATunload] = ACTIONS(775),
    [anon_sym_ATprefixes] = ACTIONS(779),
    [anon_sym_ATif] = ACTIONS(781),
    [anon_sym_ATifdef] = ACTIONS(783),
    [anon_sym_ATifndef] = ACTIONS(783),
    [anon_sym_ATendif] = ACTIONS(785),
    [anon_sym_ATelse] = ACTIONS(785),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [234] = {
    [sym_stmt] = STATE(749),
    [sym_expr] = STATE(1327),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2291),
    [sym_preproc_directive] = STATE(701),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1255),
    [anon_sym_event] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_next] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_fallthrough] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_add] = ACTIONS(1271),
    [anon_sym_delete] = ACTIONS(1271),
    [anon_sym_local] = ACTIONS(1273),
    [anon_sym_when] = ACTIONS(1275),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1277),
    [anon_sym_ATload] = ACTIONS(1279),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1281),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1283),
    [anon_sym_ATunload] = ACTIONS(1281),
    [anon_sym_ATprefixes] = ACTIONS(1285),
    [anon_sym_ATif] = ACTIONS(1287),
    [anon_sym_ATifdef] = ACTIONS(1289),
    [anon_sym_ATifndef] = ACTIONS(1289),
    [anon_sym_ATendif] = ACTIONS(1291),
    [anon_sym_ATelse] = ACTIONS(1291),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [235] = {
    [sym_stmt] = STATE(708),
    [sym_expr] = STATE(1502),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2354),
    [sym_preproc_directive] = STATE(682),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(991),
    [anon_sym_event] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_next] = ACTIONS(1003),
    [anon_sym_break] = ACTIONS(1003),
    [anon_sym_fallthrough] = ACTIONS(1003),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_add] = ACTIONS(1007),
    [anon_sym_delete] = ACTIONS(1007),
    [anon_sym_local] = ACTIONS(1009),
    [anon_sym_when] = ACTIONS(1011),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1013),
    [anon_sym_ATload] = ACTIONS(1015),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1017),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1019),
    [anon_sym_ATunload] = ACTIONS(1017),
    [anon_sym_ATprefixes] = ACTIONS(1021),
    [anon_sym_ATif] = ACTIONS(1023),
    [anon_sym_ATifdef] = ACTIONS(1025),
    [anon_sym_ATifndef] = ACTIONS(1025),
    [anon_sym_ATendif] = ACTIONS(1027),
    [anon_sym_ATelse] = ACTIONS(1027),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [236] = {
    [sym_stmt] = STATE(661),
    [sym_expr] = STATE(1327),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2291),
    [sym_preproc_directive] = STATE(701),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1255),
    [anon_sym_event] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_next] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_fallthrough] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_add] = ACTIONS(1271),
    [anon_sym_delete] = ACTIONS(1271),
    [anon_sym_local] = ACTIONS(1273),
    [anon_sym_when] = ACTIONS(1275),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1277),
    [anon_sym_ATload] = ACTIONS(1279),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1281),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1283),
    [anon_sym_ATunload] = ACTIONS(1281),
    [anon_sym_ATprefixes] = ACTIONS(1285),
    [anon_sym_ATif] = ACTIONS(1287),
    [anon_sym_ATifdef] = ACTIONS(1289),
    [anon_sym_ATifndef] = ACTIONS(1289),
    [anon_sym_ATendif] = ACTIONS(1291),
    [anon_sym_ATelse] = ACTIONS(1291),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [237] = {
    [sym_stmt] = STATE(735),
    [sym_expr] = STATE(1327),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2291),
    [sym_preproc_directive] = STATE(701),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1255),
    [anon_sym_event] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_next] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_fallthrough] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_add] = ACTIONS(1271),
    [anon_sym_delete] = ACTIONS(1271),
    [anon_sym_local] = ACTIONS(1273),
    [anon_sym_when] = ACTIONS(1275),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1277),
    [anon_sym_ATload] = ACTIONS(1279),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1281),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1283),
    [anon_sym_ATunload] = ACTIONS(1281),
    [anon_sym_ATprefixes] = ACTIONS(1285),
    [anon_sym_ATif] = ACTIONS(1287),
    [anon_sym_ATifdef] = ACTIONS(1289),
    [anon_sym_ATifndef] = ACTIONS(1289),
    [anon_sym_ATendif] = ACTIONS(1291),
    [anon_sym_ATelse] = ACTIONS(1291),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [238] = {
    [sym_stmt] = STATE(588),
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2404),
    [sym_preproc_directive] = STATE(541),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1035),
    [anon_sym_event] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_next] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_fallthrough] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_add] = ACTIONS(1051),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1053),
    [anon_sym_when] = ACTIONS(1055),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1057),
    [anon_sym_ATload] = ACTIONS(1059),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1061),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1063),
    [anon_sym_ATunload] = ACTIONS(1061),
    [anon_sym_ATprefixes] = ACTIONS(1065),
    [anon_sym_ATif] = ACTIONS(1067),
    [anon_sym_ATifdef] = ACTIONS(1069),
    [anon_sym_ATifndef] = ACTIONS(1069),
    [anon_sym_ATendif] = ACTIONS(1071),
    [anon_sym_ATelse] = ACTIONS(1071),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [239] = {
    [sym_stmt] = STATE(578),
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2404),
    [sym_preproc_directive] = STATE(541),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1035),
    [anon_sym_event] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_next] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_fallthrough] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_add] = ACTIONS(1051),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1053),
    [anon_sym_when] = ACTIONS(1055),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1057),
    [anon_sym_ATload] = ACTIONS(1059),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1061),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1063),
    [anon_sym_ATunload] = ACTIONS(1061),
    [anon_sym_ATprefixes] = ACTIONS(1065),
    [anon_sym_ATif] = ACTIONS(1067),
    [anon_sym_ATifdef] = ACTIONS(1069),
    [anon_sym_ATifndef] = ACTIONS(1069),
    [anon_sym_ATendif] = ACTIONS(1071),
    [anon_sym_ATelse] = ACTIONS(1071),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [240] = {
    [sym_stmt] = STATE(782),
    [sym_expr] = STATE(1347),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2529),
    [sym_preproc_directive] = STATE(755),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(767),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(771),
    [anon_sym_ATload] = ACTIONS(773),
    [anon_sym_ATload_DASHsigs] = ACTIONS(775),
    [anon_sym_ATload_DASHplugin] = ACTIONS(777),
    [anon_sym_ATunload] = ACTIONS(775),
    [anon_sym_ATprefixes] = ACTIONS(779),
    [anon_sym_ATif] = ACTIONS(781),
    [anon_sym_ATifdef] = ACTIONS(783),
    [anon_sym_ATifndef] = ACTIONS(783),
    [anon_sym_ATendif] = ACTIONS(785),
    [anon_sym_ATelse] = ACTIONS(785),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [241] = {
    [sym_stmt] = STATE(503),
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2404),
    [sym_preproc_directive] = STATE(541),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1035),
    [anon_sym_event] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_next] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_fallthrough] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_add] = ACTIONS(1051),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1053),
    [anon_sym_when] = ACTIONS(1055),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1057),
    [anon_sym_ATload] = ACTIONS(1059),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1061),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1063),
    [anon_sym_ATunload] = ACTIONS(1061),
    [anon_sym_ATprefixes] = ACTIONS(1065),
    [anon_sym_ATif] = ACTIONS(1067),
    [anon_sym_ATifdef] = ACTIONS(1069),
    [anon_sym_ATifndef] = ACTIONS(1069),
    [anon_sym_ATendif] = ACTIONS(1071),
    [anon_sym_ATelse] = ACTIONS(1071),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [242] = {
    [sym_stmt] = STATE(724),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2314),
    [sym_preproc_directive] = STATE(718),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1209),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1211),
    [anon_sym_event] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_next] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_fallthrough] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_add] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_when] = ACTIONS(1231),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1233),
    [anon_sym_ATload] = ACTIONS(1235),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1237),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1239),
    [anon_sym_ATunload] = ACTIONS(1237),
    [anon_sym_ATprefixes] = ACTIONS(1241),
    [anon_sym_ATif] = ACTIONS(1243),
    [anon_sym_ATifdef] = ACTIONS(1245),
    [anon_sym_ATifndef] = ACTIONS(1245),
    [anon_sym_ATendif] = ACTIONS(1247),
    [anon_sym_ATelse] = ACTIONS(1247),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [243] = {
    [sym_stmt] = STATE(681),
    [sym_expr] = STATE(1447),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2334),
    [sym_preproc_directive] = STATE(627),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1341),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1343),
    [anon_sym_event] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1353),
    [anon_sym_next] = ACTIONS(1355),
    [anon_sym_break] = ACTIONS(1355),
    [anon_sym_fallthrough] = ACTIONS(1355),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_add] = ACTIONS(1359),
    [anon_sym_delete] = ACTIONS(1359),
    [anon_sym_local] = ACTIONS(1361),
    [anon_sym_when] = ACTIONS(1363),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1365),
    [anon_sym_ATload] = ACTIONS(1367),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1369),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1371),
    [anon_sym_ATunload] = ACTIONS(1369),
    [anon_sym_ATprefixes] = ACTIONS(1373),
    [anon_sym_ATif] = ACTIONS(1375),
    [anon_sym_ATifdef] = ACTIONS(1377),
    [anon_sym_ATifndef] = ACTIONS(1377),
    [anon_sym_ATendif] = ACTIONS(1379),
    [anon_sym_ATelse] = ACTIONS(1379),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [244] = {
    [sym_stmt] = STATE(523),
    [sym_expr] = STATE(1522),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2374),
    [sym_preproc_directive] = STATE(502),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_const] = ACTIONS(259),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(261),
    [anon_sym_event] = ACTIONS(263),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(267),
    [anon_sym_for] = ACTIONS(269),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(271),
    [anon_sym_next] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_fallthrough] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(275),
    [anon_sym_add] = ACTIONS(277),
    [anon_sym_delete] = ACTIONS(277),
    [anon_sym_local] = ACTIONS(279),
    [anon_sym_when] = ACTIONS(281),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(285),
    [anon_sym_ATload] = ACTIONS(287),
    [anon_sym_ATload_DASHsigs] = ACTIONS(289),
    [anon_sym_ATload_DASHplugin] = ACTIONS(291),
    [anon_sym_ATunload] = ACTIONS(289),
    [anon_sym_ATprefixes] = ACTIONS(293),
    [anon_sym_ATif] = ACTIONS(295),
    [anon_sym_ATifdef] = ACTIONS(297),
    [anon_sym_ATifndef] = ACTIONS(297),
    [anon_sym_ATendif] = ACTIONS(299),
    [anon_sym_ATelse] = ACTIONS(299),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [245] = {
    [sym_stmt] = STATE(510),
    [sym_expr] = STATE(1522),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2374),
    [sym_preproc_directive] = STATE(502),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_const] = ACTIONS(259),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(261),
    [anon_sym_event] = ACTIONS(263),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(267),
    [anon_sym_for] = ACTIONS(269),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(271),
    [anon_sym_next] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_fallthrough] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(275),
    [anon_sym_add] = ACTIONS(277),
    [anon_sym_delete] = ACTIONS(277),
    [anon_sym_local] = ACTIONS(279),
    [anon_sym_when] = ACTIONS(281),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(285),
    [anon_sym_ATload] = ACTIONS(287),
    [anon_sym_ATload_DASHsigs] = ACTIONS(289),
    [anon_sym_ATload_DASHplugin] = ACTIONS(291),
    [anon_sym_ATunload] = ACTIONS(289),
    [anon_sym_ATprefixes] = ACTIONS(293),
    [anon_sym_ATif] = ACTIONS(295),
    [anon_sym_ATifdef] = ACTIONS(297),
    [anon_sym_ATifndef] = ACTIONS(297),
    [anon_sym_ATendif] = ACTIONS(299),
    [anon_sym_ATelse] = ACTIONS(299),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [246] = {
    [sym_stmt] = STATE(579),
    [sym_expr] = STATE(1393),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2389),
    [sym_preproc_directive] = STATE(598),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1167),
    [anon_sym_event] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_next] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_fallthrough] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1183),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1185),
    [anon_sym_when] = ACTIONS(1187),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1189),
    [anon_sym_ATload] = ACTIONS(1191),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1193),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1195),
    [anon_sym_ATunload] = ACTIONS(1193),
    [anon_sym_ATprefixes] = ACTIONS(1197),
    [anon_sym_ATif] = ACTIONS(1199),
    [anon_sym_ATifdef] = ACTIONS(1201),
    [anon_sym_ATifndef] = ACTIONS(1201),
    [anon_sym_ATendif] = ACTIONS(1203),
    [anon_sym_ATelse] = ACTIONS(1203),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [247] = {
    [sym_stmt] = STATE(690),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2314),
    [sym_preproc_directive] = STATE(718),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1209),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1211),
    [anon_sym_event] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_next] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_fallthrough] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_add] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_when] = ACTIONS(1231),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1233),
    [anon_sym_ATload] = ACTIONS(1235),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1237),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1239),
    [anon_sym_ATunload] = ACTIONS(1237),
    [anon_sym_ATprefixes] = ACTIONS(1241),
    [anon_sym_ATif] = ACTIONS(1243),
    [anon_sym_ATifdef] = ACTIONS(1245),
    [anon_sym_ATifndef] = ACTIONS(1245),
    [anon_sym_ATendif] = ACTIONS(1247),
    [anon_sym_ATelse] = ACTIONS(1247),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [248] = {
    [sym_stmt] = STATE(676),
    [sym_expr] = STATE(1447),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2334),
    [sym_preproc_directive] = STATE(627),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1341),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1343),
    [anon_sym_event] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1353),
    [anon_sym_next] = ACTIONS(1355),
    [anon_sym_break] = ACTIONS(1355),
    [anon_sym_fallthrough] = ACTIONS(1355),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_add] = ACTIONS(1359),
    [anon_sym_delete] = ACTIONS(1359),
    [anon_sym_local] = ACTIONS(1361),
    [anon_sym_when] = ACTIONS(1363),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1365),
    [anon_sym_ATload] = ACTIONS(1367),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1369),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1371),
    [anon_sym_ATunload] = ACTIONS(1369),
    [anon_sym_ATprefixes] = ACTIONS(1373),
    [anon_sym_ATif] = ACTIONS(1375),
    [anon_sym_ATifdef] = ACTIONS(1377),
    [anon_sym_ATifndef] = ACTIONS(1377),
    [anon_sym_ATendif] = ACTIONS(1379),
    [anon_sym_ATelse] = ACTIONS(1379),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [249] = {
    [sym_stmt] = STATE(543),
    [sym_expr] = STATE(1522),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2374),
    [sym_preproc_directive] = STATE(502),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_const] = ACTIONS(259),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(261),
    [anon_sym_event] = ACTIONS(263),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(267),
    [anon_sym_for] = ACTIONS(269),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(271),
    [anon_sym_next] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_fallthrough] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(275),
    [anon_sym_add] = ACTIONS(277),
    [anon_sym_delete] = ACTIONS(277),
    [anon_sym_local] = ACTIONS(279),
    [anon_sym_when] = ACTIONS(281),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(285),
    [anon_sym_ATload] = ACTIONS(287),
    [anon_sym_ATload_DASHsigs] = ACTIONS(289),
    [anon_sym_ATload_DASHplugin] = ACTIONS(291),
    [anon_sym_ATunload] = ACTIONS(289),
    [anon_sym_ATprefixes] = ACTIONS(293),
    [anon_sym_ATif] = ACTIONS(295),
    [anon_sym_ATifdef] = ACTIONS(297),
    [anon_sym_ATifndef] = ACTIONS(297),
    [anon_sym_ATendif] = ACTIONS(299),
    [anon_sym_ATelse] = ACTIONS(299),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [250] = {
    [sym_stmt] = STATE(669),
    [sym_expr] = STATE(1447),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2334),
    [sym_preproc_directive] = STATE(627),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1341),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1343),
    [anon_sym_event] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1353),
    [anon_sym_next] = ACTIONS(1355),
    [anon_sym_break] = ACTIONS(1355),
    [anon_sym_fallthrough] = ACTIONS(1355),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_add] = ACTIONS(1359),
    [anon_sym_delete] = ACTIONS(1359),
    [anon_sym_local] = ACTIONS(1361),
    [anon_sym_when] = ACTIONS(1363),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1365),
    [anon_sym_ATload] = ACTIONS(1367),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1369),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1371),
    [anon_sym_ATunload] = ACTIONS(1369),
    [anon_sym_ATprefixes] = ACTIONS(1373),
    [anon_sym_ATif] = ACTIONS(1375),
    [anon_sym_ATifdef] = ACTIONS(1377),
    [anon_sym_ATifndef] = ACTIONS(1377),
    [anon_sym_ATendif] = ACTIONS(1379),
    [anon_sym_ATelse] = ACTIONS(1379),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [251] = {
    [sym_stmt] = STATE(673),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2314),
    [sym_preproc_directive] = STATE(718),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1209),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1211),
    [anon_sym_event] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_next] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_fallthrough] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_add] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_when] = ACTIONS(1231),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1233),
    [anon_sym_ATload] = ACTIONS(1235),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1237),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1239),
    [anon_sym_ATunload] = ACTIONS(1237),
    [anon_sym_ATprefixes] = ACTIONS(1241),
    [anon_sym_ATif] = ACTIONS(1243),
    [anon_sym_ATifdef] = ACTIONS(1245),
    [anon_sym_ATifndef] = ACTIONS(1245),
    [anon_sym_ATendif] = ACTIONS(1247),
    [anon_sym_ATelse] = ACTIONS(1247),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [252] = {
    [sym_stmt] = STATE(670),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2314),
    [sym_preproc_directive] = STATE(718),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1209),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1211),
    [anon_sym_event] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_next] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_fallthrough] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_add] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_when] = ACTIONS(1231),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1233),
    [anon_sym_ATload] = ACTIONS(1235),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1237),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1239),
    [anon_sym_ATunload] = ACTIONS(1237),
    [anon_sym_ATprefixes] = ACTIONS(1241),
    [anon_sym_ATif] = ACTIONS(1243),
    [anon_sym_ATifdef] = ACTIONS(1245),
    [anon_sym_ATifndef] = ACTIONS(1245),
    [anon_sym_ATendif] = ACTIONS(1247),
    [anon_sym_ATelse] = ACTIONS(1247),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [253] = {
    [anon_sym_SEMI] = ACTIONS(1381),
    [anon_sym_LBRACE] = ACTIONS(1381),
    [anon_sym_RBRACE] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1381),
    [anon_sym_PLUS_EQ] = ACTIONS(1381),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_RPAREN] = ACTIONS(1381),
    [anon_sym_COMMA] = ACTIONS(1381),
    [anon_sym_in] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [anon_sym_RBRACK] = ACTIONS(1381),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_as] = ACTIONS(1381),
    [anon_sym_AMPdeprecated] = ACTIONS(1381),
    [anon_sym_DASH_EQ] = ACTIONS(1381),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1381),
    [anon_sym_AMPerror_handler] = ACTIONS(1381),
    [anon_sym_AMPis_assigned] = ACTIONS(1381),
    [anon_sym_AMPis_used] = ACTIONS(1381),
    [anon_sym_AMPlog] = ACTIONS(1381),
    [anon_sym_AMPoptional] = ACTIONS(1381),
    [anon_sym_AMPraw_output] = ACTIONS(1381),
    [anon_sym_AMPredef] = ACTIONS(1381),
    [anon_sym_AMPadd_func] = ACTIONS(1381),
    [anon_sym_AMPbackend] = ACTIONS(1381),
    [anon_sym_AMPbroker_store] = ACTIONS(1381),
    [anon_sym_AMPcreate_expire] = ACTIONS(1381),
    [anon_sym_AMPdefault] = ACTIONS(1381),
    [anon_sym_AMPdelete_func] = ACTIONS(1381),
    [anon_sym_AMPexpire_func] = ACTIONS(1381),
    [anon_sym_AMPgroup] = ACTIONS(1381),
    [anon_sym_AMPon_change] = ACTIONS(1381),
    [anon_sym_AMPpriority] = ACTIONS(1381),
    [anon_sym_AMPread_expire] = ACTIONS(1381),
    [anon_sym_AMPtype_column] = ACTIONS(1381),
    [anon_sym_AMPwrite_expire] = ACTIONS(1381),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_BANG] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_is] = ACTIONS(1381),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1381),
    [anon_sym_PERCENT] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1383),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1381),
    [anon_sym_ATdeprecated] = ACTIONS(1381),
    [anon_sym_ATload] = ACTIONS(1383),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1381),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1381),
    [anon_sym_ATunload] = ACTIONS(1381),
    [anon_sym_ATprefixes] = ACTIONS(1381),
    [anon_sym_ATif] = ACTIONS(1383),
    [anon_sym_ATifdef] = ACTIONS(1381),
    [anon_sym_ATifndef] = ACTIONS(1381),
    [anon_sym_ATendif] = ACTIONS(1381),
    [anon_sym_ATelse] = ACTIONS(1381),
    [sym_time_unit] = ACTIONS(1381),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [254] = {
    [sym_stmt] = STATE(515),
    [sym_expr] = STATE(1393),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2389),
    [sym_preproc_directive] = STATE(598),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1167),
    [anon_sym_event] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_next] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_fallthrough] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1183),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1185),
    [anon_sym_when] = ACTIONS(1187),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1189),
    [anon_sym_ATload] = ACTIONS(1191),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1193),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1195),
    [anon_sym_ATunload] = ACTIONS(1193),
    [anon_sym_ATprefixes] = ACTIONS(1197),
    [anon_sym_ATif] = ACTIONS(1199),
    [anon_sym_ATifdef] = ACTIONS(1201),
    [anon_sym_ATifndef] = ACTIONS(1201),
    [anon_sym_ATendif] = ACTIONS(1203),
    [anon_sym_ATelse] = ACTIONS(1203),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [255] = {
    [sym_stmt] = STATE(516),
    [sym_expr] = STATE(1393),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2389),
    [sym_preproc_directive] = STATE(598),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1167),
    [anon_sym_event] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_next] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_fallthrough] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1183),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1185),
    [anon_sym_when] = ACTIONS(1187),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1189),
    [anon_sym_ATload] = ACTIONS(1191),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1193),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1195),
    [anon_sym_ATunload] = ACTIONS(1193),
    [anon_sym_ATprefixes] = ACTIONS(1197),
    [anon_sym_ATif] = ACTIONS(1199),
    [anon_sym_ATifdef] = ACTIONS(1201),
    [anon_sym_ATifndef] = ACTIONS(1201),
    [anon_sym_ATendif] = ACTIONS(1203),
    [anon_sym_ATelse] = ACTIONS(1203),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [256] = {
    [sym_stmt] = STATE(385),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2449),
    [sym_preproc_directive] = STATE(388),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1079),
    [anon_sym_event] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_next] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_fallthrough] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_add] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1095),
    [anon_sym_local] = ACTIONS(1097),
    [anon_sym_when] = ACTIONS(1099),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1101),
    [anon_sym_ATload] = ACTIONS(1103),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1105),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1107),
    [anon_sym_ATunload] = ACTIONS(1105),
    [anon_sym_ATprefixes] = ACTIONS(1109),
    [anon_sym_ATif] = ACTIONS(1111),
    [anon_sym_ATifdef] = ACTIONS(1113),
    [anon_sym_ATifndef] = ACTIONS(1113),
    [anon_sym_ATendif] = ACTIONS(1115),
    [anon_sym_ATelse] = ACTIONS(1115),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [257] = {
    [sym_stmt] = STATE(427),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2449),
    [sym_preproc_directive] = STATE(388),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1079),
    [anon_sym_event] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_next] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_fallthrough] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_add] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1095),
    [anon_sym_local] = ACTIONS(1097),
    [anon_sym_when] = ACTIONS(1099),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1101),
    [anon_sym_ATload] = ACTIONS(1103),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1105),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1107),
    [anon_sym_ATunload] = ACTIONS(1105),
    [anon_sym_ATprefixes] = ACTIONS(1109),
    [anon_sym_ATif] = ACTIONS(1111),
    [anon_sym_ATifdef] = ACTIONS(1113),
    [anon_sym_ATifndef] = ACTIONS(1113),
    [anon_sym_ATendif] = ACTIONS(1115),
    [anon_sym_ATelse] = ACTIONS(1115),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [258] = {
    [sym_stmt] = STATE(657),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2314),
    [sym_preproc_directive] = STATE(718),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1209),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1211),
    [anon_sym_event] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_next] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_fallthrough] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_add] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_when] = ACTIONS(1231),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1233),
    [anon_sym_ATload] = ACTIONS(1235),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1237),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1239),
    [anon_sym_ATunload] = ACTIONS(1237),
    [anon_sym_ATprefixes] = ACTIONS(1241),
    [anon_sym_ATif] = ACTIONS(1243),
    [anon_sym_ATifdef] = ACTIONS(1245),
    [anon_sym_ATifndef] = ACTIONS(1245),
    [anon_sym_ATendif] = ACTIONS(1247),
    [anon_sym_ATelse] = ACTIONS(1247),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [259] = {
    [sym_stmt] = STATE(529),
    [sym_expr] = STATE(1393),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2389),
    [sym_preproc_directive] = STATE(598),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1167),
    [anon_sym_event] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_next] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_fallthrough] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1183),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1185),
    [anon_sym_when] = ACTIONS(1187),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1189),
    [anon_sym_ATload] = ACTIONS(1191),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1193),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1195),
    [anon_sym_ATunload] = ACTIONS(1193),
    [anon_sym_ATprefixes] = ACTIONS(1197),
    [anon_sym_ATif] = ACTIONS(1199),
    [anon_sym_ATifdef] = ACTIONS(1201),
    [anon_sym_ATifndef] = ACTIONS(1201),
    [anon_sym_ATendif] = ACTIONS(1203),
    [anon_sym_ATelse] = ACTIONS(1203),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [260] = {
    [sym_stmt] = STATE(650),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2314),
    [sym_preproc_directive] = STATE(718),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1209),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1211),
    [anon_sym_event] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_next] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_fallthrough] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_add] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_when] = ACTIONS(1231),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1233),
    [anon_sym_ATload] = ACTIONS(1235),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1237),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1239),
    [anon_sym_ATunload] = ACTIONS(1237),
    [anon_sym_ATprefixes] = ACTIONS(1241),
    [anon_sym_ATif] = ACTIONS(1243),
    [anon_sym_ATifdef] = ACTIONS(1245),
    [anon_sym_ATifndef] = ACTIONS(1245),
    [anon_sym_ATendif] = ACTIONS(1247),
    [anon_sym_ATelse] = ACTIONS(1247),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [261] = {
    [sym_stmt] = STATE(426),
    [sym_expr] = STATE(1366),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2449),
    [sym_preproc_directive] = STATE(388),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1079),
    [anon_sym_event] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_next] = ACTIONS(1091),
    [anon_sym_break] = ACTIONS(1091),
    [anon_sym_fallthrough] = ACTIONS(1091),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_add] = ACTIONS(1095),
    [anon_sym_delete] = ACTIONS(1095),
    [anon_sym_local] = ACTIONS(1097),
    [anon_sym_when] = ACTIONS(1099),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1101),
    [anon_sym_ATload] = ACTIONS(1103),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1105),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1107),
    [anon_sym_ATunload] = ACTIONS(1105),
    [anon_sym_ATprefixes] = ACTIONS(1109),
    [anon_sym_ATif] = ACTIONS(1111),
    [anon_sym_ATifdef] = ACTIONS(1113),
    [anon_sym_ATifndef] = ACTIONS(1113),
    [anon_sym_ATendif] = ACTIONS(1115),
    [anon_sym_ATelse] = ACTIONS(1115),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [262] = {
    [sym_stmt] = STATE(531),
    [sym_expr] = STATE(1393),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2389),
    [sym_preproc_directive] = STATE(598),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1167),
    [anon_sym_event] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_next] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_fallthrough] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1183),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1185),
    [anon_sym_when] = ACTIONS(1187),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1189),
    [anon_sym_ATload] = ACTIONS(1191),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1193),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1195),
    [anon_sym_ATunload] = ACTIONS(1193),
    [anon_sym_ATprefixes] = ACTIONS(1197),
    [anon_sym_ATif] = ACTIONS(1199),
    [anon_sym_ATifdef] = ACTIONS(1201),
    [anon_sym_ATifndef] = ACTIONS(1201),
    [anon_sym_ATendif] = ACTIONS(1203),
    [anon_sym_ATelse] = ACTIONS(1203),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [263] = {
    [sym_stmt] = STATE(648),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2314),
    [sym_preproc_directive] = STATE(718),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1209),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1211),
    [anon_sym_event] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_next] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_fallthrough] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_add] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_when] = ACTIONS(1231),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1233),
    [anon_sym_ATload] = ACTIONS(1235),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1237),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1239),
    [anon_sym_ATunload] = ACTIONS(1237),
    [anon_sym_ATprefixes] = ACTIONS(1241),
    [anon_sym_ATif] = ACTIONS(1243),
    [anon_sym_ATifdef] = ACTIONS(1245),
    [anon_sym_ATifndef] = ACTIONS(1245),
    [anon_sym_ATendif] = ACTIONS(1247),
    [anon_sym_ATelse] = ACTIONS(1247),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [264] = {
    [sym_stmt] = STATE(576),
    [sym_expr] = STATE(1393),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2389),
    [sym_preproc_directive] = STATE(598),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1167),
    [anon_sym_event] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_next] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_fallthrough] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1183),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1185),
    [anon_sym_when] = ACTIONS(1187),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1189),
    [anon_sym_ATload] = ACTIONS(1191),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1193),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1195),
    [anon_sym_ATunload] = ACTIONS(1193),
    [anon_sym_ATprefixes] = ACTIONS(1197),
    [anon_sym_ATif] = ACTIONS(1199),
    [anon_sym_ATifdef] = ACTIONS(1201),
    [anon_sym_ATifndef] = ACTIONS(1201),
    [anon_sym_ATendif] = ACTIONS(1203),
    [anon_sym_ATelse] = ACTIONS(1203),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [265] = {
    [sym_stmt] = STATE(636),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2314),
    [sym_preproc_directive] = STATE(718),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1209),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1211),
    [anon_sym_event] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_next] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_fallthrough] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_add] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_when] = ACTIONS(1231),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1233),
    [anon_sym_ATload] = ACTIONS(1235),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1237),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1239),
    [anon_sym_ATunload] = ACTIONS(1237),
    [anon_sym_ATprefixes] = ACTIONS(1241),
    [anon_sym_ATif] = ACTIONS(1243),
    [anon_sym_ATifdef] = ACTIONS(1245),
    [anon_sym_ATifndef] = ACTIONS(1245),
    [anon_sym_ATendif] = ACTIONS(1247),
    [anon_sym_ATelse] = ACTIONS(1247),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [266] = {
    [sym_stmt] = STATE(742),
    [sym_expr] = STATE(1396),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2314),
    [sym_preproc_directive] = STATE(718),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1209),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1211),
    [anon_sym_event] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_next] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_fallthrough] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_add] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_when] = ACTIONS(1231),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1233),
    [anon_sym_ATload] = ACTIONS(1235),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1237),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1239),
    [anon_sym_ATunload] = ACTIONS(1237),
    [anon_sym_ATprefixes] = ACTIONS(1241),
    [anon_sym_ATif] = ACTIONS(1243),
    [anon_sym_ATifdef] = ACTIONS(1245),
    [anon_sym_ATifndef] = ACTIONS(1245),
    [anon_sym_ATendif] = ACTIONS(1247),
    [anon_sym_ATelse] = ACTIONS(1247),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [267] = {
    [sym_stmt] = STATE(480),
    [sym_expr] = STATE(1315),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2434),
    [sym_preproc_directive] = STATE(436),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1297),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1299),
    [anon_sym_event] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_next] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_fallthrough] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_add] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_local] = ACTIONS(1317),
    [anon_sym_when] = ACTIONS(1319),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1321),
    [anon_sym_ATload] = ACTIONS(1323),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1325),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1327),
    [anon_sym_ATunload] = ACTIONS(1325),
    [anon_sym_ATprefixes] = ACTIONS(1329),
    [anon_sym_ATif] = ACTIONS(1331),
    [anon_sym_ATifdef] = ACTIONS(1333),
    [anon_sym_ATifndef] = ACTIONS(1333),
    [anon_sym_ATendif] = ACTIONS(1335),
    [anon_sym_ATelse] = ACTIONS(1335),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [268] = {
    [sym_stmt] = STATE(644),
    [sym_expr] = STATE(1447),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2334),
    [sym_preproc_directive] = STATE(627),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1341),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1343),
    [anon_sym_event] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1353),
    [anon_sym_next] = ACTIONS(1355),
    [anon_sym_break] = ACTIONS(1355),
    [anon_sym_fallthrough] = ACTIONS(1355),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_add] = ACTIONS(1359),
    [anon_sym_delete] = ACTIONS(1359),
    [anon_sym_local] = ACTIONS(1361),
    [anon_sym_when] = ACTIONS(1363),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1365),
    [anon_sym_ATload] = ACTIONS(1367),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1369),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1371),
    [anon_sym_ATunload] = ACTIONS(1369),
    [anon_sym_ATprefixes] = ACTIONS(1373),
    [anon_sym_ATif] = ACTIONS(1375),
    [anon_sym_ATifdef] = ACTIONS(1377),
    [anon_sym_ATifndef] = ACTIONS(1377),
    [anon_sym_ATendif] = ACTIONS(1379),
    [anon_sym_ATelse] = ACTIONS(1379),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [269] = {
    [sym_stmt] = STATE(655),
    [sym_expr] = STATE(1447),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2334),
    [sym_preproc_directive] = STATE(627),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1341),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1343),
    [anon_sym_event] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1353),
    [anon_sym_next] = ACTIONS(1355),
    [anon_sym_break] = ACTIONS(1355),
    [anon_sym_fallthrough] = ACTIONS(1355),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_add] = ACTIONS(1359),
    [anon_sym_delete] = ACTIONS(1359),
    [anon_sym_local] = ACTIONS(1361),
    [anon_sym_when] = ACTIONS(1363),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1365),
    [anon_sym_ATload] = ACTIONS(1367),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1369),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1371),
    [anon_sym_ATunload] = ACTIONS(1369),
    [anon_sym_ATprefixes] = ACTIONS(1373),
    [anon_sym_ATif] = ACTIONS(1375),
    [anon_sym_ATifdef] = ACTIONS(1377),
    [anon_sym_ATifndef] = ACTIONS(1377),
    [anon_sym_ATendif] = ACTIONS(1379),
    [anon_sym_ATelse] = ACTIONS(1379),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [270] = {
    [sym_stmt] = STATE(656),
    [sym_expr] = STATE(1447),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2334),
    [sym_preproc_directive] = STATE(627),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1341),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1343),
    [anon_sym_event] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1353),
    [anon_sym_next] = ACTIONS(1355),
    [anon_sym_break] = ACTIONS(1355),
    [anon_sym_fallthrough] = ACTIONS(1355),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_add] = ACTIONS(1359),
    [anon_sym_delete] = ACTIONS(1359),
    [anon_sym_local] = ACTIONS(1361),
    [anon_sym_when] = ACTIONS(1363),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1365),
    [anon_sym_ATload] = ACTIONS(1367),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1369),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1371),
    [anon_sym_ATunload] = ACTIONS(1369),
    [anon_sym_ATprefixes] = ACTIONS(1373),
    [anon_sym_ATif] = ACTIONS(1375),
    [anon_sym_ATifdef] = ACTIONS(1377),
    [anon_sym_ATifndef] = ACTIONS(1377),
    [anon_sym_ATendif] = ACTIONS(1379),
    [anon_sym_ATelse] = ACTIONS(1379),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [271] = {
    [anon_sym_SEMI] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_RBRACE] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1385),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [anon_sym_RPAREN] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(1385),
    [anon_sym_in] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [anon_sym_RBRACK] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_as] = ACTIONS(1385),
    [anon_sym_AMPdeprecated] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1385),
    [anon_sym_AMPerror_handler] = ACTIONS(1385),
    [anon_sym_AMPis_assigned] = ACTIONS(1385),
    [anon_sym_AMPis_used] = ACTIONS(1385),
    [anon_sym_AMPlog] = ACTIONS(1385),
    [anon_sym_AMPoptional] = ACTIONS(1385),
    [anon_sym_AMPraw_output] = ACTIONS(1385),
    [anon_sym_AMPredef] = ACTIONS(1385),
    [anon_sym_AMPadd_func] = ACTIONS(1385),
    [anon_sym_AMPbackend] = ACTIONS(1385),
    [anon_sym_AMPbroker_store] = ACTIONS(1385),
    [anon_sym_AMPcreate_expire] = ACTIONS(1385),
    [anon_sym_AMPdefault] = ACTIONS(1385),
    [anon_sym_AMPdelete_func] = ACTIONS(1385),
    [anon_sym_AMPexpire_func] = ACTIONS(1385),
    [anon_sym_AMPgroup] = ACTIONS(1385),
    [anon_sym_AMPon_change] = ACTIONS(1385),
    [anon_sym_AMPpriority] = ACTIONS(1385),
    [anon_sym_AMPread_expire] = ACTIONS(1385),
    [anon_sym_AMPtype_column] = ACTIONS(1385),
    [anon_sym_AMPwrite_expire] = ACTIONS(1385),
    [anon_sym_DOLLAR] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_is] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_PERCENT] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1387),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_AMP_AMP] = ACTIONS(1385),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1385),
    [anon_sym_ATdeprecated] = ACTIONS(1385),
    [anon_sym_ATload] = ACTIONS(1387),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1385),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1385),
    [anon_sym_ATunload] = ACTIONS(1385),
    [anon_sym_ATprefixes] = ACTIONS(1385),
    [anon_sym_ATif] = ACTIONS(1387),
    [anon_sym_ATifdef] = ACTIONS(1385),
    [anon_sym_ATifndef] = ACTIONS(1385),
    [anon_sym_ATendif] = ACTIONS(1385),
    [anon_sym_ATelse] = ACTIONS(1385),
    [sym_time_unit] = ACTIONS(1389),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [272] = {
    [sym_stmt] = STATE(476),
    [sym_expr] = STATE(1315),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2434),
    [sym_preproc_directive] = STATE(436),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1297),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1299),
    [anon_sym_event] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_next] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_fallthrough] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_add] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_local] = ACTIONS(1317),
    [anon_sym_when] = ACTIONS(1319),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1321),
    [anon_sym_ATload] = ACTIONS(1323),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1325),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1327),
    [anon_sym_ATunload] = ACTIONS(1325),
    [anon_sym_ATprefixes] = ACTIONS(1329),
    [anon_sym_ATif] = ACTIONS(1331),
    [anon_sym_ATifdef] = ACTIONS(1333),
    [anon_sym_ATifndef] = ACTIONS(1333),
    [anon_sym_ATendif] = ACTIONS(1335),
    [anon_sym_ATelse] = ACTIONS(1335),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [273] = {
    [sym_stmt] = STATE(664),
    [sym_expr] = STATE(1447),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2334),
    [sym_preproc_directive] = STATE(627),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1341),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1343),
    [anon_sym_event] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1353),
    [anon_sym_next] = ACTIONS(1355),
    [anon_sym_break] = ACTIONS(1355),
    [anon_sym_fallthrough] = ACTIONS(1355),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_add] = ACTIONS(1359),
    [anon_sym_delete] = ACTIONS(1359),
    [anon_sym_local] = ACTIONS(1361),
    [anon_sym_when] = ACTIONS(1363),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1365),
    [anon_sym_ATload] = ACTIONS(1367),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1369),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1371),
    [anon_sym_ATunload] = ACTIONS(1369),
    [anon_sym_ATprefixes] = ACTIONS(1373),
    [anon_sym_ATif] = ACTIONS(1375),
    [anon_sym_ATifdef] = ACTIONS(1377),
    [anon_sym_ATifndef] = ACTIONS(1377),
    [anon_sym_ATendif] = ACTIONS(1379),
    [anon_sym_ATelse] = ACTIONS(1379),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [274] = {
    [sym_stmt] = STATE(465),
    [sym_expr] = STATE(1315),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2434),
    [sym_preproc_directive] = STATE(436),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1297),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1299),
    [anon_sym_event] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_next] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_fallthrough] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_add] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_local] = ACTIONS(1317),
    [anon_sym_when] = ACTIONS(1319),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1321),
    [anon_sym_ATload] = ACTIONS(1323),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1325),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1327),
    [anon_sym_ATunload] = ACTIONS(1325),
    [anon_sym_ATprefixes] = ACTIONS(1329),
    [anon_sym_ATif] = ACTIONS(1331),
    [anon_sym_ATifdef] = ACTIONS(1333),
    [anon_sym_ATifndef] = ACTIONS(1333),
    [anon_sym_ATendif] = ACTIONS(1335),
    [anon_sym_ATelse] = ACTIONS(1335),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [275] = {
    [sym_stmt] = STATE(572),
    [sym_expr] = STATE(1393),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2389),
    [sym_preproc_directive] = STATE(598),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1167),
    [anon_sym_event] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_next] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_fallthrough] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1183),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1185),
    [anon_sym_when] = ACTIONS(1187),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1189),
    [anon_sym_ATload] = ACTIONS(1191),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1193),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1195),
    [anon_sym_ATunload] = ACTIONS(1193),
    [anon_sym_ATprefixes] = ACTIONS(1197),
    [anon_sym_ATif] = ACTIONS(1199),
    [anon_sym_ATifdef] = ACTIONS(1201),
    [anon_sym_ATifndef] = ACTIONS(1201),
    [anon_sym_ATendif] = ACTIONS(1203),
    [anon_sym_ATelse] = ACTIONS(1203),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [276] = {
    [sym_stmt] = STATE(667),
    [sym_expr] = STATE(1447),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2334),
    [sym_preproc_directive] = STATE(627),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1341),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1343),
    [anon_sym_event] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1353),
    [anon_sym_next] = ACTIONS(1355),
    [anon_sym_break] = ACTIONS(1355),
    [anon_sym_fallthrough] = ACTIONS(1355),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_add] = ACTIONS(1359),
    [anon_sym_delete] = ACTIONS(1359),
    [anon_sym_local] = ACTIONS(1361),
    [anon_sym_when] = ACTIONS(1363),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1365),
    [anon_sym_ATload] = ACTIONS(1367),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1369),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1371),
    [anon_sym_ATunload] = ACTIONS(1369),
    [anon_sym_ATprefixes] = ACTIONS(1373),
    [anon_sym_ATif] = ACTIONS(1375),
    [anon_sym_ATifdef] = ACTIONS(1377),
    [anon_sym_ATifndef] = ACTIONS(1377),
    [anon_sym_ATendif] = ACTIONS(1379),
    [anon_sym_ATelse] = ACTIONS(1379),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [277] = {
    [sym_stmt] = STATE(614),
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2404),
    [sym_preproc_directive] = STATE(541),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1035),
    [anon_sym_event] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_next] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_fallthrough] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_add] = ACTIONS(1051),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1053),
    [anon_sym_when] = ACTIONS(1055),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1057),
    [anon_sym_ATload] = ACTIONS(1059),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1061),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1063),
    [anon_sym_ATunload] = ACTIONS(1061),
    [anon_sym_ATprefixes] = ACTIONS(1065),
    [anon_sym_ATif] = ACTIONS(1067),
    [anon_sym_ATifdef] = ACTIONS(1069),
    [anon_sym_ATifndef] = ACTIONS(1069),
    [anon_sym_ATendif] = ACTIONS(1071),
    [anon_sym_ATelse] = ACTIONS(1071),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [278] = {
    [sym_stmt] = STATE(775),
    [sym_expr] = STATE(1347),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2529),
    [sym_preproc_directive] = STATE(755),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(767),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(29),
    [anon_sym_event] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_fallthrough] = ACTIONS(45),
    [anon_sym_return] = ACTIONS(47),
    [anon_sym_add] = ACTIONS(49),
    [anon_sym_delete] = ACTIONS(49),
    [anon_sym_local] = ACTIONS(51),
    [anon_sym_when] = ACTIONS(53),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(771),
    [anon_sym_ATload] = ACTIONS(773),
    [anon_sym_ATload_DASHsigs] = ACTIONS(775),
    [anon_sym_ATload_DASHplugin] = ACTIONS(777),
    [anon_sym_ATunload] = ACTIONS(775),
    [anon_sym_ATprefixes] = ACTIONS(779),
    [anon_sym_ATif] = ACTIONS(781),
    [anon_sym_ATifdef] = ACTIONS(783),
    [anon_sym_ATifndef] = ACTIONS(783),
    [anon_sym_ATendif] = ACTIONS(785),
    [anon_sym_ATelse] = ACTIONS(785),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [279] = {
    [sym_stmt] = STATE(617),
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2404),
    [sym_preproc_directive] = STATE(541),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1035),
    [anon_sym_event] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_next] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_fallthrough] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_add] = ACTIONS(1051),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1053),
    [anon_sym_when] = ACTIONS(1055),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1057),
    [anon_sym_ATload] = ACTIONS(1059),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1061),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1063),
    [anon_sym_ATunload] = ACTIONS(1061),
    [anon_sym_ATprefixes] = ACTIONS(1065),
    [anon_sym_ATif] = ACTIONS(1067),
    [anon_sym_ATifdef] = ACTIONS(1069),
    [anon_sym_ATifndef] = ACTIONS(1069),
    [anon_sym_ATendif] = ACTIONS(1071),
    [anon_sym_ATelse] = ACTIONS(1071),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [280] = {
    [sym_stmt] = STATE(605),
    [sym_expr] = STATE(1306),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2404),
    [sym_preproc_directive] = STATE(541),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1035),
    [anon_sym_event] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_next] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1047),
    [anon_sym_fallthrough] = ACTIONS(1047),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_add] = ACTIONS(1051),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1053),
    [anon_sym_when] = ACTIONS(1055),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1057),
    [anon_sym_ATload] = ACTIONS(1059),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1061),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1063),
    [anon_sym_ATunload] = ACTIONS(1061),
    [anon_sym_ATprefixes] = ACTIONS(1065),
    [anon_sym_ATif] = ACTIONS(1067),
    [anon_sym_ATifdef] = ACTIONS(1069),
    [anon_sym_ATifndef] = ACTIONS(1069),
    [anon_sym_ATendif] = ACTIONS(1071),
    [anon_sym_ATelse] = ACTIONS(1071),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [281] = {
    [sym_stmt] = STATE(624),
    [sym_expr] = STATE(1447),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2334),
    [sym_preproc_directive] = STATE(627),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1341),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1343),
    [anon_sym_event] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1353),
    [anon_sym_next] = ACTIONS(1355),
    [anon_sym_break] = ACTIONS(1355),
    [anon_sym_fallthrough] = ACTIONS(1355),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_add] = ACTIONS(1359),
    [anon_sym_delete] = ACTIONS(1359),
    [anon_sym_local] = ACTIONS(1361),
    [anon_sym_when] = ACTIONS(1363),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1365),
    [anon_sym_ATload] = ACTIONS(1367),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1369),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1371),
    [anon_sym_ATunload] = ACTIONS(1369),
    [anon_sym_ATprefixes] = ACTIONS(1373),
    [anon_sym_ATif] = ACTIONS(1375),
    [anon_sym_ATifdef] = ACTIONS(1377),
    [anon_sym_ATifndef] = ACTIONS(1377),
    [anon_sym_ATendif] = ACTIONS(1379),
    [anon_sym_ATelse] = ACTIONS(1379),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [282] = {
    [sym_stmt] = STATE(743),
    [sym_expr] = STATE(1502),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2354),
    [sym_preproc_directive] = STATE(682),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(991),
    [anon_sym_event] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_next] = ACTIONS(1003),
    [anon_sym_break] = ACTIONS(1003),
    [anon_sym_fallthrough] = ACTIONS(1003),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_add] = ACTIONS(1007),
    [anon_sym_delete] = ACTIONS(1007),
    [anon_sym_local] = ACTIONS(1009),
    [anon_sym_when] = ACTIONS(1011),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1013),
    [anon_sym_ATload] = ACTIONS(1015),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1017),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1019),
    [anon_sym_ATunload] = ACTIONS(1017),
    [anon_sym_ATprefixes] = ACTIONS(1021),
    [anon_sym_ATif] = ACTIONS(1023),
    [anon_sym_ATifdef] = ACTIONS(1025),
    [anon_sym_ATifndef] = ACTIONS(1025),
    [anon_sym_ATendif] = ACTIONS(1027),
    [anon_sym_ATelse] = ACTIONS(1027),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [283] = {
    [sym_stmt] = STATE(643),
    [sym_expr] = STATE(1502),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2354),
    [sym_preproc_directive] = STATE(682),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(991),
    [anon_sym_event] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_next] = ACTIONS(1003),
    [anon_sym_break] = ACTIONS(1003),
    [anon_sym_fallthrough] = ACTIONS(1003),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_add] = ACTIONS(1007),
    [anon_sym_delete] = ACTIONS(1007),
    [anon_sym_local] = ACTIONS(1009),
    [anon_sym_when] = ACTIONS(1011),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1013),
    [anon_sym_ATload] = ACTIONS(1015),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1017),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1019),
    [anon_sym_ATunload] = ACTIONS(1017),
    [anon_sym_ATprefixes] = ACTIONS(1021),
    [anon_sym_ATif] = ACTIONS(1023),
    [anon_sym_ATifdef] = ACTIONS(1025),
    [anon_sym_ATifndef] = ACTIONS(1025),
    [anon_sym_ATendif] = ACTIONS(1027),
    [anon_sym_ATelse] = ACTIONS(1027),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [284] = {
    [sym_stmt] = STATE(597),
    [sym_expr] = STATE(1393),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2389),
    [sym_preproc_directive] = STATE(598),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1167),
    [anon_sym_event] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_next] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_fallthrough] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1183),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1185),
    [anon_sym_when] = ACTIONS(1187),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1189),
    [anon_sym_ATload] = ACTIONS(1191),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1193),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1195),
    [anon_sym_ATunload] = ACTIONS(1193),
    [anon_sym_ATprefixes] = ACTIONS(1197),
    [anon_sym_ATif] = ACTIONS(1199),
    [anon_sym_ATifdef] = ACTIONS(1201),
    [anon_sym_ATifndef] = ACTIONS(1201),
    [anon_sym_ATendif] = ACTIONS(1203),
    [anon_sym_ATelse] = ACTIONS(1203),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [285] = {
    [sym_stmt] = STATE(591),
    [sym_expr] = STATE(1393),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2389),
    [sym_preproc_directive] = STATE(598),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1167),
    [anon_sym_event] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_next] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_fallthrough] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1183),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1185),
    [anon_sym_when] = ACTIONS(1187),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1189),
    [anon_sym_ATload] = ACTIONS(1191),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1193),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1195),
    [anon_sym_ATunload] = ACTIONS(1193),
    [anon_sym_ATprefixes] = ACTIONS(1197),
    [anon_sym_ATif] = ACTIONS(1199),
    [anon_sym_ATifdef] = ACTIONS(1201),
    [anon_sym_ATifndef] = ACTIONS(1201),
    [anon_sym_ATendif] = ACTIONS(1203),
    [anon_sym_ATelse] = ACTIONS(1203),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [286] = {
    [sym_stmt] = STATE(659),
    [sym_expr] = STATE(1502),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2354),
    [sym_preproc_directive] = STATE(682),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(991),
    [anon_sym_event] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_next] = ACTIONS(1003),
    [anon_sym_break] = ACTIONS(1003),
    [anon_sym_fallthrough] = ACTIONS(1003),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_add] = ACTIONS(1007),
    [anon_sym_delete] = ACTIONS(1007),
    [anon_sym_local] = ACTIONS(1009),
    [anon_sym_when] = ACTIONS(1011),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1013),
    [anon_sym_ATload] = ACTIONS(1015),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1017),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1019),
    [anon_sym_ATunload] = ACTIONS(1017),
    [anon_sym_ATprefixes] = ACTIONS(1021),
    [anon_sym_ATif] = ACTIONS(1023),
    [anon_sym_ATifdef] = ACTIONS(1025),
    [anon_sym_ATifndef] = ACTIONS(1025),
    [anon_sym_ATendif] = ACTIONS(1027),
    [anon_sym_ATelse] = ACTIONS(1027),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [287] = {
    [sym_stmt] = STATE(647),
    [sym_expr] = STATE(1502),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2354),
    [sym_preproc_directive] = STATE(682),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(991),
    [anon_sym_event] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_next] = ACTIONS(1003),
    [anon_sym_break] = ACTIONS(1003),
    [anon_sym_fallthrough] = ACTIONS(1003),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_add] = ACTIONS(1007),
    [anon_sym_delete] = ACTIONS(1007),
    [anon_sym_local] = ACTIONS(1009),
    [anon_sym_when] = ACTIONS(1011),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1013),
    [anon_sym_ATload] = ACTIONS(1015),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1017),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1019),
    [anon_sym_ATunload] = ACTIONS(1017),
    [anon_sym_ATprefixes] = ACTIONS(1021),
    [anon_sym_ATif] = ACTIONS(1023),
    [anon_sym_ATifdef] = ACTIONS(1025),
    [anon_sym_ATifndef] = ACTIONS(1025),
    [anon_sym_ATendif] = ACTIONS(1027),
    [anon_sym_ATelse] = ACTIONS(1027),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [288] = {
    [sym_stmt] = STATE(671),
    [sym_expr] = STATE(1502),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2354),
    [sym_preproc_directive] = STATE(682),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(991),
    [anon_sym_event] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_next] = ACTIONS(1003),
    [anon_sym_break] = ACTIONS(1003),
    [anon_sym_fallthrough] = ACTIONS(1003),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_add] = ACTIONS(1007),
    [anon_sym_delete] = ACTIONS(1007),
    [anon_sym_local] = ACTIONS(1009),
    [anon_sym_when] = ACTIONS(1011),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1013),
    [anon_sym_ATload] = ACTIONS(1015),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1017),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1019),
    [anon_sym_ATunload] = ACTIONS(1017),
    [anon_sym_ATprefixes] = ACTIONS(1021),
    [anon_sym_ATif] = ACTIONS(1023),
    [anon_sym_ATifdef] = ACTIONS(1025),
    [anon_sym_ATifndef] = ACTIONS(1025),
    [anon_sym_ATendif] = ACTIONS(1027),
    [anon_sym_ATelse] = ACTIONS(1027),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [289] = {
    [sym_stmt] = STATE(737),
    [sym_expr] = STATE(1327),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2291),
    [sym_preproc_directive] = STATE(701),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(1255),
    [anon_sym_event] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_next] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_fallthrough] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_add] = ACTIONS(1271),
    [anon_sym_delete] = ACTIONS(1271),
    [anon_sym_local] = ACTIONS(1273),
    [anon_sym_when] = ACTIONS(1275),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1277),
    [anon_sym_ATload] = ACTIONS(1279),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1281),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1283),
    [anon_sym_ATunload] = ACTIONS(1281),
    [anon_sym_ATprefixes] = ACTIONS(1285),
    [anon_sym_ATif] = ACTIONS(1287),
    [anon_sym_ATifdef] = ACTIONS(1289),
    [anon_sym_ATifndef] = ACTIONS(1289),
    [anon_sym_ATendif] = ACTIONS(1291),
    [anon_sym_ATelse] = ACTIONS(1291),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [290] = {
    [sym_stmt] = STATE(694),
    [sym_expr] = STATE(1502),
    [sym_constant] = STATE(1238),
    [sym_index_slice] = STATE(2354),
    [sym_preproc_directive] = STATE(682),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_print] = ACTIONS(991),
    [anon_sym_event] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_next] = ACTIONS(1003),
    [anon_sym_break] = ACTIONS(1003),
    [anon_sym_fallthrough] = ACTIONS(1003),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_add] = ACTIONS(1007),
    [anon_sym_delete] = ACTIONS(1007),
    [anon_sym_local] = ACTIONS(1009),
    [anon_sym_when] = ACTIONS(1011),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_PIPE] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATdeprecated] = ACTIONS(1013),
    [anon_sym_ATload] = ACTIONS(1015),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1017),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1019),
    [anon_sym_ATunload] = ACTIONS(1017),
    [anon_sym_ATprefixes] = ACTIONS(1021),
    [anon_sym_ATif] = ACTIONS(1023),
    [anon_sym_ATifdef] = ACTIONS(1025),
    [anon_sym_ATifndef] = ACTIONS(1025),
    [anon_sym_ATendif] = ACTIONS(1027),
    [anon_sym_ATelse] = ACTIONS(1027),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [291] = {
    [anon_sym_SEMI] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_RBRACE] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1385),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [anon_sym_RPAREN] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(1385),
    [anon_sym_in] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [anon_sym_RBRACK] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_as] = ACTIONS(1385),
    [anon_sym_AMPdeprecated] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1385),
    [anon_sym_AMPerror_handler] = ACTIONS(1385),
    [anon_sym_AMPis_assigned] = ACTIONS(1385),
    [anon_sym_AMPis_used] = ACTIONS(1385),
    [anon_sym_AMPlog] = ACTIONS(1385),
    [anon_sym_AMPoptional] = ACTIONS(1385),
    [anon_sym_AMPraw_output] = ACTIONS(1385),
    [anon_sym_AMPredef] = ACTIONS(1385),
    [anon_sym_AMPadd_func] = ACTIONS(1385),
    [anon_sym_AMPbackend] = ACTIONS(1385),
    [anon_sym_AMPbroker_store] = ACTIONS(1385),
    [anon_sym_AMPcreate_expire] = ACTIONS(1385),
    [anon_sym_AMPdefault] = ACTIONS(1385),
    [anon_sym_AMPdelete_func] = ACTIONS(1385),
    [anon_sym_AMPexpire_func] = ACTIONS(1385),
    [anon_sym_AMPgroup] = ACTIONS(1385),
    [anon_sym_AMPon_change] = ACTIONS(1385),
    [anon_sym_AMPpriority] = ACTIONS(1385),
    [anon_sym_AMPread_expire] = ACTIONS(1385),
    [anon_sym_AMPtype_column] = ACTIONS(1385),
    [anon_sym_AMPwrite_expire] = ACTIONS(1385),
    [anon_sym_DOLLAR] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_is] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_PERCENT] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1387),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_AMP_AMP] = ACTIONS(1385),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1385),
    [anon_sym_ATdeprecated] = ACTIONS(1385),
    [anon_sym_ATload] = ACTIONS(1387),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1385),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1385),
    [anon_sym_ATunload] = ACTIONS(1385),
    [anon_sym_ATprefixes] = ACTIONS(1385),
    [anon_sym_ATif] = ACTIONS(1387),
    [anon_sym_ATifdef] = ACTIONS(1385),
    [anon_sym_ATifndef] = ACTIONS(1385),
    [anon_sym_ATendif] = ACTIONS(1385),
    [anon_sym_ATelse] = ACTIONS(1385),
    [sym_time_unit] = ACTIONS(1389),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [292] = {
    [anon_sym_SEMI] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_RBRACE] = ACTIONS(479),
    [anon_sym_COLON] = ACTIONS(479),
    [anon_sym_PLUS_EQ] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(479),
    [anon_sym_RPAREN] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(479),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_LBRACK] = ACTIONS(479),
    [anon_sym_RBRACK] = ACTIONS(479),
    [anon_sym_EQ] = ACTIONS(481),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_AMPdeprecated] = ACTIONS(479),
    [anon_sym_DASH_EQ] = ACTIONS(479),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(479),
    [anon_sym_AMPerror_handler] = ACTIONS(479),
    [anon_sym_AMPis_assigned] = ACTIONS(479),
    [anon_sym_AMPis_used] = ACTIONS(479),
    [anon_sym_AMPlog] = ACTIONS(479),
    [anon_sym_AMPoptional] = ACTIONS(479),
    [anon_sym_AMPraw_output] = ACTIONS(479),
    [anon_sym_AMPredef] = ACTIONS(479),
    [anon_sym_AMPadd_func] = ACTIONS(479),
    [anon_sym_AMPbackend] = ACTIONS(479),
    [anon_sym_AMPbroker_store] = ACTIONS(479),
    [anon_sym_AMPcreate_expire] = ACTIONS(479),
    [anon_sym_AMPdefault] = ACTIONS(479),
    [anon_sym_AMPdelete_func] = ACTIONS(479),
    [anon_sym_AMPexpire_func] = ACTIONS(479),
    [anon_sym_AMPgroup] = ACTIONS(479),
    [anon_sym_AMPon_change] = ACTIONS(479),
    [anon_sym_AMPpriority] = ACTIONS(479),
    [anon_sym_AMPread_expire] = ACTIONS(479),
    [anon_sym_AMPtype_column] = ACTIONS(479),
    [anon_sym_AMPwrite_expire] = ACTIONS(479),
    [anon_sym_DOLLAR] = ACTIONS(479),
    [anon_sym_PIPE] = ACTIONS(481),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_DASH] = ACTIONS(481),
    [anon_sym_PLUS] = ACTIONS(481),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(479),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(479),
    [anon_sym_AMP] = ACTIONS(481),
    [anon_sym_CARET] = ACTIONS(479),
    [anon_sym_QMARK] = ACTIONS(481),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_AMP_AMP] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(479),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(479),
    [anon_sym_ATdeprecated] = ACTIONS(479),
    [anon_sym_ATload] = ACTIONS(481),
    [anon_sym_ATload_DASHsigs] = ACTIONS(479),
    [anon_sym_ATload_DASHplugin] = ACTIONS(479),
    [anon_sym_ATunload] = ACTIONS(479),
    [anon_sym_ATprefixes] = ACTIONS(479),
    [anon_sym_ATif] = ACTIONS(481),
    [anon_sym_ATifdef] = ACTIONS(479),
    [anon_sym_ATifndef] = ACTIONS(479),
    [anon_sym_ATendif] = ACTIONS(479),
    [anon_sym_ATelse] = ACTIONS(479),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_export] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_global] = ACTIONS(1393),
    [anon_sym_option] = ACTIONS(1393),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_redef] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_type] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(1395),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [294] = {
    [sym_index_slice] = STATE(304),
    [anon_sym_SEMI] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_COMMA] = ACTIONS(109),
    [anon_sym_in] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_RBRACK] = ACTIONS(109),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_as] = ACTIONS(1399),
    [anon_sym_AMPdeprecated] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(109),
    [anon_sym_AMPerror_handler] = ACTIONS(109),
    [anon_sym_AMPis_assigned] = ACTIONS(109),
    [anon_sym_AMPis_used] = ACTIONS(109),
    [anon_sym_AMPlog] = ACTIONS(109),
    [anon_sym_AMPoptional] = ACTIONS(109),
    [anon_sym_AMPraw_output] = ACTIONS(109),
    [anon_sym_AMPredef] = ACTIONS(109),
    [anon_sym_AMPadd_func] = ACTIONS(109),
    [anon_sym_AMPbackend] = ACTIONS(109),
    [anon_sym_AMPbroker_store] = ACTIONS(109),
    [anon_sym_AMPcreate_expire] = ACTIONS(109),
    [anon_sym_AMPdefault] = ACTIONS(109),
    [anon_sym_AMPdelete_func] = ACTIONS(109),
    [anon_sym_AMPexpire_func] = ACTIONS(109),
    [anon_sym_AMPgroup] = ACTIONS(109),
    [anon_sym_AMPon_change] = ACTIONS(109),
    [anon_sym_AMPpriority] = ACTIONS(109),
    [anon_sym_AMPread_expire] = ACTIONS(109),
    [anon_sym_AMPtype_column] = ACTIONS(109),
    [anon_sym_AMPwrite_expire] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_is] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_SLASH] = ACTIONS(109),
    [anon_sym_PERCENT] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(111),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(111),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(111),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_AMP_AMP] = ACTIONS(109),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(109),
    [anon_sym_ATdeprecated] = ACTIONS(109),
    [anon_sym_ATload] = ACTIONS(111),
    [anon_sym_ATload_DASHsigs] = ACTIONS(109),
    [anon_sym_ATload_DASHplugin] = ACTIONS(109),
    [anon_sym_ATunload] = ACTIONS(109),
    [anon_sym_ATprefixes] = ACTIONS(109),
    [anon_sym_ATif] = ACTIONS(111),
    [anon_sym_ATifdef] = ACTIONS(109),
    [anon_sym_ATifndef] = ACTIONS(109),
    [anon_sym_ATendif] = ACTIONS(109),
    [anon_sym_ATelse] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [295] = {
    [anon_sym_SEMI] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_COMMA] = ACTIONS(109),
    [anon_sym_in] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(109),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_as] = ACTIONS(109),
    [anon_sym_AMPdeprecated] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(109),
    [anon_sym_AMPerror_handler] = ACTIONS(109),
    [anon_sym_AMPis_assigned] = ACTIONS(109),
    [anon_sym_AMPis_used] = ACTIONS(109),
    [anon_sym_AMPlog] = ACTIONS(109),
    [anon_sym_AMPoptional] = ACTIONS(109),
    [anon_sym_AMPraw_output] = ACTIONS(109),
    [anon_sym_AMPredef] = ACTIONS(109),
    [anon_sym_AMPadd_func] = ACTIONS(109),
    [anon_sym_AMPbackend] = ACTIONS(109),
    [anon_sym_AMPbroker_store] = ACTIONS(109),
    [anon_sym_AMPcreate_expire] = ACTIONS(109),
    [anon_sym_AMPdefault] = ACTIONS(109),
    [anon_sym_AMPdelete_func] = ACTIONS(109),
    [anon_sym_AMPexpire_func] = ACTIONS(109),
    [anon_sym_AMPgroup] = ACTIONS(109),
    [anon_sym_AMPon_change] = ACTIONS(109),
    [anon_sym_AMPpriority] = ACTIONS(109),
    [anon_sym_AMPread_expire] = ACTIONS(109),
    [anon_sym_AMPtype_column] = ACTIONS(109),
    [anon_sym_AMPwrite_expire] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(109),
    [anon_sym_PIPE] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_is] = ACTIONS(109),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_SLASH] = ACTIONS(109),
    [anon_sym_PERCENT] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(111),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(111),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(111),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_AMP_AMP] = ACTIONS(109),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(109),
    [anon_sym_ATdeprecated] = ACTIONS(109),
    [anon_sym_ATload] = ACTIONS(111),
    [anon_sym_ATload_DASHsigs] = ACTIONS(109),
    [anon_sym_ATload_DASHplugin] = ACTIONS(109),
    [anon_sym_ATunload] = ACTIONS(109),
    [anon_sym_ATprefixes] = ACTIONS(109),
    [anon_sym_ATif] = ACTIONS(111),
    [anon_sym_ATifdef] = ACTIONS(109),
    [anon_sym_ATifndef] = ACTIONS(109),
    [anon_sym_ATendif] = ACTIONS(109),
    [anon_sym_ATelse] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [296] = {
    [anon_sym_SEMI] = ACTIONS(327),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_RBRACE] = ACTIONS(327),
    [anon_sym_PLUS_EQ] = ACTIONS(327),
    [anon_sym_LPAREN] = ACTIONS(327),
    [anon_sym_RPAREN] = ACTIONS(327),
    [anon_sym_COMMA] = ACTIONS(327),
    [anon_sym_in] = ACTIONS(327),
    [anon_sym_LBRACK] = ACTIONS(327),
    [anon_sym_RBRACK] = ACTIONS(327),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_as] = ACTIONS(327),
    [anon_sym_of] = ACTIONS(1403),
    [anon_sym_AMPdeprecated] = ACTIONS(327),
    [anon_sym_DASH_EQ] = ACTIONS(327),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(327),
    [anon_sym_AMPerror_handler] = ACTIONS(327),
    [anon_sym_AMPis_assigned] = ACTIONS(327),
    [anon_sym_AMPis_used] = ACTIONS(327),
    [anon_sym_AMPlog] = ACTIONS(327),
    [anon_sym_AMPoptional] = ACTIONS(327),
    [anon_sym_AMPraw_output] = ACTIONS(327),
    [anon_sym_AMPredef] = ACTIONS(327),
    [anon_sym_AMPadd_func] = ACTIONS(327),
    [anon_sym_AMPbackend] = ACTIONS(327),
    [anon_sym_AMPbroker_store] = ACTIONS(327),
    [anon_sym_AMPcreate_expire] = ACTIONS(327),
    [anon_sym_AMPdefault] = ACTIONS(327),
    [anon_sym_AMPdelete_func] = ACTIONS(327),
    [anon_sym_AMPexpire_func] = ACTIONS(327),
    [anon_sym_AMPgroup] = ACTIONS(327),
    [anon_sym_AMPon_change] = ACTIONS(327),
    [anon_sym_AMPpriority] = ACTIONS(327),
    [anon_sym_AMPread_expire] = ACTIONS(327),
    [anon_sym_AMPtype_column] = ACTIONS(327),
    [anon_sym_AMPwrite_expire] = ACTIONS(327),
    [anon_sym_DOLLAR] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_DASH] = ACTIONS(329),
    [anon_sym_PLUS] = ACTIONS(329),
    [anon_sym_is] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(327),
    [anon_sym_SLASH] = ACTIONS(327),
    [anon_sym_PERCENT] = ACTIONS(327),
    [anon_sym_LT] = ACTIONS(329),
    [anon_sym_LT_EQ] = ACTIONS(327),
    [anon_sym_GT] = ACTIONS(329),
    [anon_sym_GT_EQ] = ACTIONS(327),
    [anon_sym_AMP] = ACTIONS(329),
    [anon_sym_CARET] = ACTIONS(327),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_EQ_EQ] = ACTIONS(327),
    [anon_sym_BANG_EQ] = ACTIONS(327),
    [anon_sym_AMP_AMP] = ACTIONS(327),
    [anon_sym_PIPE_PIPE] = ACTIONS(327),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(327),
    [anon_sym_ATdeprecated] = ACTIONS(327),
    [anon_sym_ATload] = ACTIONS(329),
    [anon_sym_ATload_DASHsigs] = ACTIONS(327),
    [anon_sym_ATload_DASHplugin] = ACTIONS(327),
    [anon_sym_ATunload] = ACTIONS(327),
    [anon_sym_ATprefixes] = ACTIONS(327),
    [anon_sym_ATif] = ACTIONS(329),
    [anon_sym_ATifdef] = ACTIONS(327),
    [anon_sym_ATifndef] = ACTIONS(327),
    [anon_sym_ATendif] = ACTIONS(327),
    [anon_sym_ATelse] = ACTIONS(327),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [297] = {
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_RBRACK] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(131),
    [anon_sym_AMPdeprecated] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(131),
    [anon_sym_AMPerror_handler] = ACTIONS(131),
    [anon_sym_AMPis_assigned] = ACTIONS(131),
    [anon_sym_AMPis_used] = ACTIONS(131),
    [anon_sym_AMPlog] = ACTIONS(131),
    [anon_sym_AMPoptional] = ACTIONS(131),
    [anon_sym_AMPraw_output] = ACTIONS(131),
    [anon_sym_AMPredef] = ACTIONS(131),
    [anon_sym_AMPadd_func] = ACTIONS(131),
    [anon_sym_AMPbackend] = ACTIONS(131),
    [anon_sym_AMPbroker_store] = ACTIONS(131),
    [anon_sym_AMPcreate_expire] = ACTIONS(131),
    [anon_sym_AMPdefault] = ACTIONS(131),
    [anon_sym_AMPdelete_func] = ACTIONS(131),
    [anon_sym_AMPexpire_func] = ACTIONS(131),
    [anon_sym_AMPgroup] = ACTIONS(131),
    [anon_sym_AMPon_change] = ACTIONS(131),
    [anon_sym_AMPpriority] = ACTIONS(131),
    [anon_sym_AMPread_expire] = ACTIONS(131),
    [anon_sym_AMPtype_column] = ACTIONS(131),
    [anon_sym_AMPwrite_expire] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(131),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(131),
    [anon_sym_ATload_DASHplugin] = ACTIONS(131),
    [anon_sym_ATunload] = ACTIONS(131),
    [anon_sym_ATprefixes] = ACTIONS(131),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(131),
    [anon_sym_ATifndef] = ACTIONS(131),
    [anon_sym_ATendif] = ACTIONS(131),
    [anon_sym_ATelse] = ACTIONS(131),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [298] = {
    [sym_index_slice] = STATE(304),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_RBRACK] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(1399),
    [anon_sym_AMPdeprecated] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(131),
    [anon_sym_AMPerror_handler] = ACTIONS(131),
    [anon_sym_AMPis_assigned] = ACTIONS(131),
    [anon_sym_AMPis_used] = ACTIONS(131),
    [anon_sym_AMPlog] = ACTIONS(131),
    [anon_sym_AMPoptional] = ACTIONS(131),
    [anon_sym_AMPraw_output] = ACTIONS(131),
    [anon_sym_AMPredef] = ACTIONS(131),
    [anon_sym_AMPadd_func] = ACTIONS(131),
    [anon_sym_AMPbackend] = ACTIONS(131),
    [anon_sym_AMPbroker_store] = ACTIONS(131),
    [anon_sym_AMPcreate_expire] = ACTIONS(131),
    [anon_sym_AMPdefault] = ACTIONS(131),
    [anon_sym_AMPdelete_func] = ACTIONS(131),
    [anon_sym_AMPexpire_func] = ACTIONS(131),
    [anon_sym_AMPgroup] = ACTIONS(131),
    [anon_sym_AMPon_change] = ACTIONS(131),
    [anon_sym_AMPpriority] = ACTIONS(131),
    [anon_sym_AMPread_expire] = ACTIONS(131),
    [anon_sym_AMPtype_column] = ACTIONS(131),
    [anon_sym_AMPwrite_expire] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(131),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(131),
    [anon_sym_ATload_DASHplugin] = ACTIONS(131),
    [anon_sym_ATunload] = ACTIONS(131),
    [anon_sym_ATprefixes] = ACTIONS(131),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(131),
    [anon_sym_ATifndef] = ACTIONS(131),
    [anon_sym_ATendif] = ACTIONS(131),
    [anon_sym_ATelse] = ACTIONS(131),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [299] = {
    [anon_sym_SEMI] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_COMMA] = ACTIONS(109),
    [anon_sym_in] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(109),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_as] = ACTIONS(109),
    [anon_sym_AMPdeprecated] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(109),
    [anon_sym_AMPerror_handler] = ACTIONS(109),
    [anon_sym_AMPis_assigned] = ACTIONS(109),
    [anon_sym_AMPis_used] = ACTIONS(109),
    [anon_sym_AMPlog] = ACTIONS(109),
    [anon_sym_AMPoptional] = ACTIONS(109),
    [anon_sym_AMPraw_output] = ACTIONS(109),
    [anon_sym_AMPredef] = ACTIONS(109),
    [anon_sym_AMPadd_func] = ACTIONS(109),
    [anon_sym_AMPbackend] = ACTIONS(109),
    [anon_sym_AMPbroker_store] = ACTIONS(109),
    [anon_sym_AMPcreate_expire] = ACTIONS(109),
    [anon_sym_AMPdefault] = ACTIONS(109),
    [anon_sym_AMPdelete_func] = ACTIONS(109),
    [anon_sym_AMPexpire_func] = ACTIONS(109),
    [anon_sym_AMPgroup] = ACTIONS(109),
    [anon_sym_AMPon_change] = ACTIONS(109),
    [anon_sym_AMPpriority] = ACTIONS(109),
    [anon_sym_AMPread_expire] = ACTIONS(109),
    [anon_sym_AMPtype_column] = ACTIONS(109),
    [anon_sym_AMPwrite_expire] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(109),
    [anon_sym_PIPE] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_is] = ACTIONS(109),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_SLASH] = ACTIONS(109),
    [anon_sym_PERCENT] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(111),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(111),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(111),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_AMP_AMP] = ACTIONS(109),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(109),
    [anon_sym_ATdeprecated] = ACTIONS(109),
    [anon_sym_ATload] = ACTIONS(111),
    [anon_sym_ATload_DASHsigs] = ACTIONS(109),
    [anon_sym_ATload_DASHplugin] = ACTIONS(109),
    [anon_sym_ATunload] = ACTIONS(109),
    [anon_sym_ATprefixes] = ACTIONS(109),
    [anon_sym_ATif] = ACTIONS(111),
    [anon_sym_ATifdef] = ACTIONS(109),
    [anon_sym_ATifndef] = ACTIONS(109),
    [anon_sym_ATendif] = ACTIONS(109),
    [anon_sym_ATelse] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [300] = {
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_COLON] = ACTIONS(1405),
    [anon_sym_PLUS_EQ] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_RPAREN] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [anon_sym_in] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_RBRACK] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_as] = ACTIONS(1405),
    [anon_sym_AMPdeprecated] = ACTIONS(1405),
    [anon_sym_DASH_EQ] = ACTIONS(1405),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1405),
    [anon_sym_AMPerror_handler] = ACTIONS(1405),
    [anon_sym_AMPis_assigned] = ACTIONS(1405),
    [anon_sym_AMPis_used] = ACTIONS(1405),
    [anon_sym_AMPlog] = ACTIONS(1405),
    [anon_sym_AMPoptional] = ACTIONS(1405),
    [anon_sym_AMPraw_output] = ACTIONS(1405),
    [anon_sym_AMPredef] = ACTIONS(1405),
    [anon_sym_AMPadd_func] = ACTIONS(1405),
    [anon_sym_AMPbackend] = ACTIONS(1405),
    [anon_sym_AMPbroker_store] = ACTIONS(1405),
    [anon_sym_AMPcreate_expire] = ACTIONS(1405),
    [anon_sym_AMPdefault] = ACTIONS(1405),
    [anon_sym_AMPdelete_func] = ACTIONS(1405),
    [anon_sym_AMPexpire_func] = ACTIONS(1405),
    [anon_sym_AMPgroup] = ACTIONS(1405),
    [anon_sym_AMPon_change] = ACTIONS(1405),
    [anon_sym_AMPpriority] = ACTIONS(1405),
    [anon_sym_AMPread_expire] = ACTIONS(1405),
    [anon_sym_AMPtype_column] = ACTIONS(1405),
    [anon_sym_AMPwrite_expire] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_is] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1405),
    [anon_sym_PERCENT] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_QMARK] = ACTIONS(1407),
    [anon_sym_EQ_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_AMP_AMP] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1405),
    [anon_sym_ATdeprecated] = ACTIONS(1405),
    [anon_sym_ATload] = ACTIONS(1407),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1405),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1405),
    [anon_sym_ATunload] = ACTIONS(1405),
    [anon_sym_ATprefixes] = ACTIONS(1405),
    [anon_sym_ATif] = ACTIONS(1407),
    [anon_sym_ATifdef] = ACTIONS(1405),
    [anon_sym_ATifndef] = ACTIONS(1405),
    [anon_sym_ATendif] = ACTIONS(1405),
    [anon_sym_ATelse] = ACTIONS(1405),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [301] = {
    [anon_sym_SEMI] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_RBRACE] = ACTIONS(1409),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_PLUS_EQ] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [anon_sym_RPAREN] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [anon_sym_in] = ACTIONS(1409),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_RBRACK] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1411),
    [anon_sym_as] = ACTIONS(1409),
    [anon_sym_AMPdeprecated] = ACTIONS(1409),
    [anon_sym_DASH_EQ] = ACTIONS(1409),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1409),
    [anon_sym_AMPerror_handler] = ACTIONS(1409),
    [anon_sym_AMPis_assigned] = ACTIONS(1409),
    [anon_sym_AMPis_used] = ACTIONS(1409),
    [anon_sym_AMPlog] = ACTIONS(1409),
    [anon_sym_AMPoptional] = ACTIONS(1409),
    [anon_sym_AMPraw_output] = ACTIONS(1409),
    [anon_sym_AMPredef] = ACTIONS(1409),
    [anon_sym_AMPadd_func] = ACTIONS(1409),
    [anon_sym_AMPbackend] = ACTIONS(1409),
    [anon_sym_AMPbroker_store] = ACTIONS(1409),
    [anon_sym_AMPcreate_expire] = ACTIONS(1409),
    [anon_sym_AMPdefault] = ACTIONS(1409),
    [anon_sym_AMPdelete_func] = ACTIONS(1409),
    [anon_sym_AMPexpire_func] = ACTIONS(1409),
    [anon_sym_AMPgroup] = ACTIONS(1409),
    [anon_sym_AMPon_change] = ACTIONS(1409),
    [anon_sym_AMPpriority] = ACTIONS(1409),
    [anon_sym_AMPread_expire] = ACTIONS(1409),
    [anon_sym_AMPtype_column] = ACTIONS(1409),
    [anon_sym_AMPwrite_expire] = ACTIONS(1409),
    [anon_sym_DOLLAR] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_is] = ACTIONS(1409),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1409),
    [anon_sym_PERCENT] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_GT] = ACTIONS(1411),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_EQ_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1409),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1409),
    [anon_sym_ATdeprecated] = ACTIONS(1409),
    [anon_sym_ATload] = ACTIONS(1411),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1409),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1409),
    [anon_sym_ATunload] = ACTIONS(1409),
    [anon_sym_ATprefixes] = ACTIONS(1409),
    [anon_sym_ATif] = ACTIONS(1411),
    [anon_sym_ATifdef] = ACTIONS(1409),
    [anon_sym_ATifndef] = ACTIONS(1409),
    [anon_sym_ATendif] = ACTIONS(1409),
    [anon_sym_ATelse] = ACTIONS(1409),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [302] = {
    [anon_sym_SEMI] = ACTIONS(1413),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_RBRACE] = ACTIONS(1413),
    [anon_sym_COLON] = ACTIONS(1413),
    [anon_sym_PLUS_EQ] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [anon_sym_RPAREN] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [anon_sym_in] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [anon_sym_RBRACK] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1415),
    [anon_sym_as] = ACTIONS(1413),
    [anon_sym_AMPdeprecated] = ACTIONS(1413),
    [anon_sym_DASH_EQ] = ACTIONS(1413),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1413),
    [anon_sym_AMPerror_handler] = ACTIONS(1413),
    [anon_sym_AMPis_assigned] = ACTIONS(1413),
    [anon_sym_AMPis_used] = ACTIONS(1413),
    [anon_sym_AMPlog] = ACTIONS(1413),
    [anon_sym_AMPoptional] = ACTIONS(1413),
    [anon_sym_AMPraw_output] = ACTIONS(1413),
    [anon_sym_AMPredef] = ACTIONS(1413),
    [anon_sym_AMPadd_func] = ACTIONS(1413),
    [anon_sym_AMPbackend] = ACTIONS(1413),
    [anon_sym_AMPbroker_store] = ACTIONS(1413),
    [anon_sym_AMPcreate_expire] = ACTIONS(1413),
    [anon_sym_AMPdefault] = ACTIONS(1413),
    [anon_sym_AMPdelete_func] = ACTIONS(1413),
    [anon_sym_AMPexpire_func] = ACTIONS(1413),
    [anon_sym_AMPgroup] = ACTIONS(1413),
    [anon_sym_AMPon_change] = ACTIONS(1413),
    [anon_sym_AMPpriority] = ACTIONS(1413),
    [anon_sym_AMPread_expire] = ACTIONS(1413),
    [anon_sym_AMPtype_column] = ACTIONS(1413),
    [anon_sym_AMPwrite_expire] = ACTIONS(1413),
    [anon_sym_DOLLAR] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(1415),
    [anon_sym_is] = ACTIONS(1413),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1413),
    [anon_sym_PERCENT] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_GT] = ACTIONS(1415),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1415),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_QMARK] = ACTIONS(1415),
    [anon_sym_EQ_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_AMP_AMP] = ACTIONS(1413),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1413),
    [anon_sym_ATdeprecated] = ACTIONS(1413),
    [anon_sym_ATload] = ACTIONS(1415),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1413),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1413),
    [anon_sym_ATunload] = ACTIONS(1413),
    [anon_sym_ATprefixes] = ACTIONS(1413),
    [anon_sym_ATif] = ACTIONS(1415),
    [anon_sym_ATifdef] = ACTIONS(1413),
    [anon_sym_ATifndef] = ACTIONS(1413),
    [anon_sym_ATendif] = ACTIONS(1413),
    [anon_sym_ATelse] = ACTIONS(1413),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [303] = {
    [anon_sym_SEMI] = ACTIONS(327),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_RBRACE] = ACTIONS(327),
    [anon_sym_COLON] = ACTIONS(327),
    [anon_sym_PLUS_EQ] = ACTIONS(327),
    [anon_sym_LPAREN] = ACTIONS(327),
    [anon_sym_RPAREN] = ACTIONS(327),
    [anon_sym_COMMA] = ACTIONS(327),
    [anon_sym_in] = ACTIONS(327),
    [anon_sym_LBRACK] = ACTIONS(327),
    [anon_sym_RBRACK] = ACTIONS(327),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_as] = ACTIONS(327),
    [anon_sym_AMPdeprecated] = ACTIONS(327),
    [anon_sym_DASH_EQ] = ACTIONS(327),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(327),
    [anon_sym_AMPerror_handler] = ACTIONS(327),
    [anon_sym_AMPis_assigned] = ACTIONS(327),
    [anon_sym_AMPis_used] = ACTIONS(327),
    [anon_sym_AMPlog] = ACTIONS(327),
    [anon_sym_AMPoptional] = ACTIONS(327),
    [anon_sym_AMPraw_output] = ACTIONS(327),
    [anon_sym_AMPredef] = ACTIONS(327),
    [anon_sym_AMPadd_func] = ACTIONS(327),
    [anon_sym_AMPbackend] = ACTIONS(327),
    [anon_sym_AMPbroker_store] = ACTIONS(327),
    [anon_sym_AMPcreate_expire] = ACTIONS(327),
    [anon_sym_AMPdefault] = ACTIONS(327),
    [anon_sym_AMPdelete_func] = ACTIONS(327),
    [anon_sym_AMPexpire_func] = ACTIONS(327),
    [anon_sym_AMPgroup] = ACTIONS(327),
    [anon_sym_AMPon_change] = ACTIONS(327),
    [anon_sym_AMPpriority] = ACTIONS(327),
    [anon_sym_AMPread_expire] = ACTIONS(327),
    [anon_sym_AMPtype_column] = ACTIONS(327),
    [anon_sym_AMPwrite_expire] = ACTIONS(327),
    [anon_sym_DOLLAR] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_DASH] = ACTIONS(329),
    [anon_sym_PLUS] = ACTIONS(329),
    [anon_sym_is] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(327),
    [anon_sym_SLASH] = ACTIONS(327),
    [anon_sym_PERCENT] = ACTIONS(327),
    [anon_sym_LT] = ACTIONS(329),
    [anon_sym_LT_EQ] = ACTIONS(327),
    [anon_sym_GT] = ACTIONS(329),
    [anon_sym_GT_EQ] = ACTIONS(327),
    [anon_sym_AMP] = ACTIONS(329),
    [anon_sym_CARET] = ACTIONS(327),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_EQ_EQ] = ACTIONS(327),
    [anon_sym_BANG_EQ] = ACTIONS(327),
    [anon_sym_AMP_AMP] = ACTIONS(327),
    [anon_sym_PIPE_PIPE] = ACTIONS(327),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(327),
    [anon_sym_ATdeprecated] = ACTIONS(327),
    [anon_sym_ATload] = ACTIONS(329),
    [anon_sym_ATload_DASHsigs] = ACTIONS(327),
    [anon_sym_ATload_DASHplugin] = ACTIONS(327),
    [anon_sym_ATunload] = ACTIONS(327),
    [anon_sym_ATprefixes] = ACTIONS(327),
    [anon_sym_ATif] = ACTIONS(329),
    [anon_sym_ATifdef] = ACTIONS(327),
    [anon_sym_ATifndef] = ACTIONS(327),
    [anon_sym_ATendif] = ACTIONS(327),
    [anon_sym_ATelse] = ACTIONS(327),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [304] = {
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_RBRACK] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(137),
    [anon_sym_as] = ACTIONS(131),
    [anon_sym_AMPdeprecated] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(131),
    [anon_sym_AMPerror_handler] = ACTIONS(131),
    [anon_sym_AMPis_assigned] = ACTIONS(131),
    [anon_sym_AMPis_used] = ACTIONS(131),
    [anon_sym_AMPlog] = ACTIONS(131),
    [anon_sym_AMPoptional] = ACTIONS(131),
    [anon_sym_AMPraw_output] = ACTIONS(131),
    [anon_sym_AMPredef] = ACTIONS(131),
    [anon_sym_AMPadd_func] = ACTIONS(131),
    [anon_sym_AMPbackend] = ACTIONS(131),
    [anon_sym_AMPbroker_store] = ACTIONS(131),
    [anon_sym_AMPcreate_expire] = ACTIONS(131),
    [anon_sym_AMPdefault] = ACTIONS(131),
    [anon_sym_AMPdelete_func] = ACTIONS(131),
    [anon_sym_AMPexpire_func] = ACTIONS(131),
    [anon_sym_AMPgroup] = ACTIONS(131),
    [anon_sym_AMPon_change] = ACTIONS(131),
    [anon_sym_AMPpriority] = ACTIONS(131),
    [anon_sym_AMPread_expire] = ACTIONS(131),
    [anon_sym_AMPtype_column] = ACTIONS(131),
    [anon_sym_AMPwrite_expire] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_BANG] = ACTIONS(137),
    [anon_sym_DASH] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(137),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(131),
    [anon_sym_ATdeprecated] = ACTIONS(131),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(131),
    [anon_sym_ATload_DASHplugin] = ACTIONS(131),
    [anon_sym_ATunload] = ACTIONS(131),
    [anon_sym_ATprefixes] = ACTIONS(131),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(131),
    [anon_sym_ATifndef] = ACTIONS(131),
    [anon_sym_ATendif] = ACTIONS(131),
    [anon_sym_ATelse] = ACTIONS(131),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [305] = {
    [anon_sym_SEMI] = ACTIONS(1417),
    [anon_sym_LBRACE] = ACTIONS(1417),
    [anon_sym_RBRACE] = ACTIONS(1417),
    [anon_sym_COLON] = ACTIONS(1417),
    [anon_sym_PLUS_EQ] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [anon_sym_RPAREN] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [anon_sym_in] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [anon_sym_RBRACK] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1419),
    [anon_sym_as] = ACTIONS(1417),
    [anon_sym_AMPdeprecated] = ACTIONS(1417),
    [anon_sym_DASH_EQ] = ACTIONS(1417),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1417),
    [anon_sym_AMPerror_handler] = ACTIONS(1417),
    [anon_sym_AMPis_assigned] = ACTIONS(1417),
    [anon_sym_AMPis_used] = ACTIONS(1417),
    [anon_sym_AMPlog] = ACTIONS(1417),
    [anon_sym_AMPoptional] = ACTIONS(1417),
    [anon_sym_AMPraw_output] = ACTIONS(1417),
    [anon_sym_AMPredef] = ACTIONS(1417),
    [anon_sym_AMPadd_func] = ACTIONS(1417),
    [anon_sym_AMPbackend] = ACTIONS(1417),
    [anon_sym_AMPbroker_store] = ACTIONS(1417),
    [anon_sym_AMPcreate_expire] = ACTIONS(1417),
    [anon_sym_AMPdefault] = ACTIONS(1417),
    [anon_sym_AMPdelete_func] = ACTIONS(1417),
    [anon_sym_AMPexpire_func] = ACTIONS(1417),
    [anon_sym_AMPgroup] = ACTIONS(1417),
    [anon_sym_AMPon_change] = ACTIONS(1417),
    [anon_sym_AMPpriority] = ACTIONS(1417),
    [anon_sym_AMPread_expire] = ACTIONS(1417),
    [anon_sym_AMPtype_column] = ACTIONS(1417),
    [anon_sym_AMPwrite_expire] = ACTIONS(1417),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_PLUS] = ACTIONS(1419),
    [anon_sym_is] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1417),
    [anon_sym_PERCENT] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_GT] = ACTIONS(1419),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_QMARK] = ACTIONS(1419),
    [anon_sym_EQ_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_AMP_AMP] = ACTIONS(1417),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1417),
    [anon_sym_ATdeprecated] = ACTIONS(1417),
    [anon_sym_ATload] = ACTIONS(1419),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1417),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1417),
    [anon_sym_ATunload] = ACTIONS(1417),
    [anon_sym_ATprefixes] = ACTIONS(1417),
    [anon_sym_ATif] = ACTIONS(1419),
    [anon_sym_ATifdef] = ACTIONS(1417),
    [anon_sym_ATifndef] = ACTIONS(1417),
    [anon_sym_ATendif] = ACTIONS(1417),
    [anon_sym_ATelse] = ACTIONS(1417),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [306] = {
    [anon_sym_SEMI] = ACTIONS(1421),
    [anon_sym_LBRACE] = ACTIONS(1421),
    [anon_sym_RBRACE] = ACTIONS(1421),
    [anon_sym_COLON] = ACTIONS(1421),
    [anon_sym_PLUS_EQ] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [anon_sym_RPAREN] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [anon_sym_in] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_RBRACK] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1423),
    [anon_sym_as] = ACTIONS(1421),
    [anon_sym_AMPdeprecated] = ACTIONS(1421),
    [anon_sym_DASH_EQ] = ACTIONS(1421),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1421),
    [anon_sym_AMPerror_handler] = ACTIONS(1421),
    [anon_sym_AMPis_assigned] = ACTIONS(1421),
    [anon_sym_AMPis_used] = ACTIONS(1421),
    [anon_sym_AMPlog] = ACTIONS(1421),
    [anon_sym_AMPoptional] = ACTIONS(1421),
    [anon_sym_AMPraw_output] = ACTIONS(1421),
    [anon_sym_AMPredef] = ACTIONS(1421),
    [anon_sym_AMPadd_func] = ACTIONS(1421),
    [anon_sym_AMPbackend] = ACTIONS(1421),
    [anon_sym_AMPbroker_store] = ACTIONS(1421),
    [anon_sym_AMPcreate_expire] = ACTIONS(1421),
    [anon_sym_AMPdefault] = ACTIONS(1421),
    [anon_sym_AMPdelete_func] = ACTIONS(1421),
    [anon_sym_AMPexpire_func] = ACTIONS(1421),
    [anon_sym_AMPgroup] = ACTIONS(1421),
    [anon_sym_AMPon_change] = ACTIONS(1421),
    [anon_sym_AMPpriority] = ACTIONS(1421),
    [anon_sym_AMPread_expire] = ACTIONS(1421),
    [anon_sym_AMPtype_column] = ACTIONS(1421),
    [anon_sym_AMPwrite_expire] = ACTIONS(1421),
    [anon_sym_DOLLAR] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
    [anon_sym_BANG] = ACTIONS(1423),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_is] = ACTIONS(1421),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_GT] = ACTIONS(1423),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_QMARK] = ACTIONS(1423),
    [anon_sym_EQ_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_AMP_AMP] = ACTIONS(1421),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1421),
    [anon_sym_ATdeprecated] = ACTIONS(1421),
    [anon_sym_ATload] = ACTIONS(1423),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1421),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1421),
    [anon_sym_ATunload] = ACTIONS(1421),
    [anon_sym_ATprefixes] = ACTIONS(1421),
    [anon_sym_ATif] = ACTIONS(1423),
    [anon_sym_ATifdef] = ACTIONS(1421),
    [anon_sym_ATifndef] = ACTIONS(1421),
    [anon_sym_ATendif] = ACTIONS(1421),
    [anon_sym_ATelse] = ACTIONS(1421),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [307] = {
    [anon_sym_SEMI] = ACTIONS(1425),
    [anon_sym_LBRACE] = ACTIONS(1425),
    [anon_sym_RBRACE] = ACTIONS(1425),
    [anon_sym_COLON] = ACTIONS(1425),
    [anon_sym_PLUS_EQ] = ACTIONS(1425),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [anon_sym_RPAREN] = ACTIONS(1425),
    [anon_sym_COMMA] = ACTIONS(1425),
    [anon_sym_in] = ACTIONS(1425),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [anon_sym_RBRACK] = ACTIONS(1425),
    [anon_sym_EQ] = ACTIONS(1427),
    [anon_sym_as] = ACTIONS(1425),
    [anon_sym_AMPdeprecated] = ACTIONS(1425),
    [anon_sym_DASH_EQ] = ACTIONS(1425),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1425),
    [anon_sym_AMPerror_handler] = ACTIONS(1425),
    [anon_sym_AMPis_assigned] = ACTIONS(1425),
    [anon_sym_AMPis_used] = ACTIONS(1425),
    [anon_sym_AMPlog] = ACTIONS(1425),
    [anon_sym_AMPoptional] = ACTIONS(1425),
    [anon_sym_AMPraw_output] = ACTIONS(1425),
    [anon_sym_AMPredef] = ACTIONS(1425),
    [anon_sym_AMPadd_func] = ACTIONS(1425),
    [anon_sym_AMPbackend] = ACTIONS(1425),
    [anon_sym_AMPbroker_store] = ACTIONS(1425),
    [anon_sym_AMPcreate_expire] = ACTIONS(1425),
    [anon_sym_AMPdefault] = ACTIONS(1425),
    [anon_sym_AMPdelete_func] = ACTIONS(1425),
    [anon_sym_AMPexpire_func] = ACTIONS(1425),
    [anon_sym_AMPgroup] = ACTIONS(1425),
    [anon_sym_AMPon_change] = ACTIONS(1425),
    [anon_sym_AMPpriority] = ACTIONS(1425),
    [anon_sym_AMPread_expire] = ACTIONS(1425),
    [anon_sym_AMPtype_column] = ACTIONS(1425),
    [anon_sym_AMPwrite_expire] = ACTIONS(1425),
    [anon_sym_DOLLAR] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1427),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_PLUS] = ACTIONS(1427),
    [anon_sym_is] = ACTIONS(1425),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1425),
    [anon_sym_PERCENT] = ACTIONS(1425),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_GT] = ACTIONS(1427),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1427),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_QMARK] = ACTIONS(1427),
    [anon_sym_EQ_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_AMP_AMP] = ACTIONS(1425),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1425),
    [anon_sym_ATdeprecated] = ACTIONS(1425),
    [anon_sym_ATload] = ACTIONS(1427),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1425),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1425),
    [anon_sym_ATunload] = ACTIONS(1425),
    [anon_sym_ATprefixes] = ACTIONS(1425),
    [anon_sym_ATif] = ACTIONS(1427),
    [anon_sym_ATifdef] = ACTIONS(1425),
    [anon_sym_ATifndef] = ACTIONS(1425),
    [anon_sym_ATendif] = ACTIONS(1425),
    [anon_sym_ATelse] = ACTIONS(1425),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [308] = {
    [anon_sym_SEMI] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_COMMA] = ACTIONS(109),
    [anon_sym_in] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(109),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_as] = ACTIONS(109),
    [anon_sym_AMPdeprecated] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(109),
    [anon_sym_AMPerror_handler] = ACTIONS(109),
    [anon_sym_AMPis_assigned] = ACTIONS(109),
    [anon_sym_AMPis_used] = ACTIONS(109),
    [anon_sym_AMPlog] = ACTIONS(109),
    [anon_sym_AMPoptional] = ACTIONS(109),
    [anon_sym_AMPraw_output] = ACTIONS(109),
    [anon_sym_AMPredef] = ACTIONS(109),
    [anon_sym_AMPadd_func] = ACTIONS(109),
    [anon_sym_AMPbackend] = ACTIONS(109),
    [anon_sym_AMPbroker_store] = ACTIONS(109),
    [anon_sym_AMPcreate_expire] = ACTIONS(109),
    [anon_sym_AMPdefault] = ACTIONS(109),
    [anon_sym_AMPdelete_func] = ACTIONS(109),
    [anon_sym_AMPexpire_func] = ACTIONS(109),
    [anon_sym_AMPgroup] = ACTIONS(109),
    [anon_sym_AMPon_change] = ACTIONS(109),
    [anon_sym_AMPpriority] = ACTIONS(109),
    [anon_sym_AMPread_expire] = ACTIONS(109),
    [anon_sym_AMPtype_column] = ACTIONS(109),
    [anon_sym_AMPwrite_expire] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(109),
    [anon_sym_PIPE] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_is] = ACTIONS(109),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_SLASH] = ACTIONS(109),
    [anon_sym_PERCENT] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(111),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(111),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(111),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_AMP_AMP] = ACTIONS(109),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(109),
    [anon_sym_ATdeprecated] = ACTIONS(109),
    [anon_sym_ATload] = ACTIONS(111),
    [anon_sym_ATload_DASHsigs] = ACTIONS(109),
    [anon_sym_ATload_DASHplugin] = ACTIONS(109),
    [anon_sym_ATunload] = ACTIONS(109),
    [anon_sym_ATprefixes] = ACTIONS(109),
    [anon_sym_ATif] = ACTIONS(111),
    [anon_sym_ATifdef] = ACTIONS(109),
    [anon_sym_ATifndef] = ACTIONS(109),
    [anon_sym_ATendif] = ACTIONS(109),
    [anon_sym_ATelse] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [309] = {
    [anon_sym_SEMI] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_RBRACE] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1385),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [anon_sym_RPAREN] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(1385),
    [anon_sym_in] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [anon_sym_RBRACK] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_as] = ACTIONS(1385),
    [anon_sym_AMPdeprecated] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1385),
    [anon_sym_AMPerror_handler] = ACTIONS(1385),
    [anon_sym_AMPis_assigned] = ACTIONS(1385),
    [anon_sym_AMPis_used] = ACTIONS(1385),
    [anon_sym_AMPlog] = ACTIONS(1385),
    [anon_sym_AMPoptional] = ACTIONS(1385),
    [anon_sym_AMPraw_output] = ACTIONS(1385),
    [anon_sym_AMPredef] = ACTIONS(1385),
    [anon_sym_AMPadd_func] = ACTIONS(1385),
    [anon_sym_AMPbackend] = ACTIONS(1385),
    [anon_sym_AMPbroker_store] = ACTIONS(1385),
    [anon_sym_AMPcreate_expire] = ACTIONS(1385),
    [anon_sym_AMPdefault] = ACTIONS(1385),
    [anon_sym_AMPdelete_func] = ACTIONS(1385),
    [anon_sym_AMPexpire_func] = ACTIONS(1385),
    [anon_sym_AMPgroup] = ACTIONS(1385),
    [anon_sym_AMPon_change] = ACTIONS(1385),
    [anon_sym_AMPpriority] = ACTIONS(1385),
    [anon_sym_AMPread_expire] = ACTIONS(1385),
    [anon_sym_AMPtype_column] = ACTIONS(1385),
    [anon_sym_AMPwrite_expire] = ACTIONS(1385),
    [anon_sym_DOLLAR] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_is] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_PERCENT] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1387),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_AMP_AMP] = ACTIONS(1385),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1385),
    [anon_sym_ATdeprecated] = ACTIONS(1385),
    [anon_sym_ATload] = ACTIONS(1387),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1385),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1385),
    [anon_sym_ATunload] = ACTIONS(1385),
    [anon_sym_ATprefixes] = ACTIONS(1385),
    [anon_sym_ATif] = ACTIONS(1387),
    [anon_sym_ATifdef] = ACTIONS(1385),
    [anon_sym_ATifndef] = ACTIONS(1385),
    [anon_sym_ATendif] = ACTIONS(1385),
    [anon_sym_ATelse] = ACTIONS(1385),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [310] = {
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(1429),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_COLON] = ACTIONS(1429),
    [anon_sym_PLUS_EQ] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [anon_sym_RBRACK] = ACTIONS(1429),
    [anon_sym_EQ] = ACTIONS(1431),
    [anon_sym_as] = ACTIONS(1429),
    [anon_sym_AMPdeprecated] = ACTIONS(1429),
    [anon_sym_DASH_EQ] = ACTIONS(1429),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1429),
    [anon_sym_AMPerror_handler] = ACTIONS(1429),
    [anon_sym_AMPis_assigned] = ACTIONS(1429),
    [anon_sym_AMPis_used] = ACTIONS(1429),
    [anon_sym_AMPlog] = ACTIONS(1429),
    [anon_sym_AMPoptional] = ACTIONS(1429),
    [anon_sym_AMPraw_output] = ACTIONS(1429),
    [anon_sym_AMPredef] = ACTIONS(1429),
    [anon_sym_AMPadd_func] = ACTIONS(1429),
    [anon_sym_AMPbackend] = ACTIONS(1429),
    [anon_sym_AMPbroker_store] = ACTIONS(1429),
    [anon_sym_AMPcreate_expire] = ACTIONS(1429),
    [anon_sym_AMPdefault] = ACTIONS(1429),
    [anon_sym_AMPdelete_func] = ACTIONS(1429),
    [anon_sym_AMPexpire_func] = ACTIONS(1429),
    [anon_sym_AMPgroup] = ACTIONS(1429),
    [anon_sym_AMPon_change] = ACTIONS(1429),
    [anon_sym_AMPpriority] = ACTIONS(1429),
    [anon_sym_AMPread_expire] = ACTIONS(1429),
    [anon_sym_AMPtype_column] = ACTIONS(1429),
    [anon_sym_AMPwrite_expire] = ACTIONS(1429),
    [anon_sym_DOLLAR] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1431),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_PLUS] = ACTIONS(1431),
    [anon_sym_is] = ACTIONS(1429),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1429),
    [anon_sym_PERCENT] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_QMARK] = ACTIONS(1431),
    [anon_sym_EQ_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1429),
    [anon_sym_ATdeprecated] = ACTIONS(1429),
    [anon_sym_ATload] = ACTIONS(1431),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1429),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1429),
    [anon_sym_ATunload] = ACTIONS(1429),
    [anon_sym_ATprefixes] = ACTIONS(1429),
    [anon_sym_ATif] = ACTIONS(1431),
    [anon_sym_ATifdef] = ACTIONS(1429),
    [anon_sym_ATifndef] = ACTIONS(1429),
    [anon_sym_ATendif] = ACTIONS(1429),
    [anon_sym_ATelse] = ACTIONS(1429),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [311] = {
    [anon_sym_SEMI] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1433),
    [anon_sym_RBRACE] = ACTIONS(1433),
    [anon_sym_COLON] = ACTIONS(1433),
    [anon_sym_PLUS_EQ] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [anon_sym_RPAREN] = ACTIONS(1433),
    [anon_sym_COMMA] = ACTIONS(1433),
    [anon_sym_in] = ACTIONS(1433),
    [anon_sym_LBRACK] = ACTIONS(1433),
    [anon_sym_RBRACK] = ACTIONS(1433),
    [anon_sym_EQ] = ACTIONS(1435),
    [anon_sym_as] = ACTIONS(1433),
    [anon_sym_AMPdeprecated] = ACTIONS(1433),
    [anon_sym_DASH_EQ] = ACTIONS(1433),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1433),
    [anon_sym_AMPerror_handler] = ACTIONS(1433),
    [anon_sym_AMPis_assigned] = ACTIONS(1433),
    [anon_sym_AMPis_used] = ACTIONS(1433),
    [anon_sym_AMPlog] = ACTIONS(1433),
    [anon_sym_AMPoptional] = ACTIONS(1433),
    [anon_sym_AMPraw_output] = ACTIONS(1433),
    [anon_sym_AMPredef] = ACTIONS(1433),
    [anon_sym_AMPadd_func] = ACTIONS(1433),
    [anon_sym_AMPbackend] = ACTIONS(1433),
    [anon_sym_AMPbroker_store] = ACTIONS(1433),
    [anon_sym_AMPcreate_expire] = ACTIONS(1433),
    [anon_sym_AMPdefault] = ACTIONS(1433),
    [anon_sym_AMPdelete_func] = ACTIONS(1433),
    [anon_sym_AMPexpire_func] = ACTIONS(1433),
    [anon_sym_AMPgroup] = ACTIONS(1433),
    [anon_sym_AMPon_change] = ACTIONS(1433),
    [anon_sym_AMPpriority] = ACTIONS(1433),
    [anon_sym_AMPread_expire] = ACTIONS(1433),
    [anon_sym_AMPtype_column] = ACTIONS(1433),
    [anon_sym_AMPwrite_expire] = ACTIONS(1433),
    [anon_sym_DOLLAR] = ACTIONS(1433),
    [anon_sym_PIPE] = ACTIONS(1435),
    [anon_sym_BANG] = ACTIONS(1435),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1435),
    [anon_sym_is] = ACTIONS(1433),
    [anon_sym_STAR] = ACTIONS(1433),
    [anon_sym_SLASH] = ACTIONS(1433),
    [anon_sym_PERCENT] = ACTIONS(1433),
    [anon_sym_LT] = ACTIONS(1435),
    [anon_sym_LT_EQ] = ACTIONS(1433),
    [anon_sym_GT] = ACTIONS(1435),
    [anon_sym_GT_EQ] = ACTIONS(1433),
    [anon_sym_AMP] = ACTIONS(1435),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_QMARK] = ACTIONS(1435),
    [anon_sym_EQ_EQ] = ACTIONS(1433),
    [anon_sym_BANG_EQ] = ACTIONS(1433),
    [anon_sym_AMP_AMP] = ACTIONS(1433),
    [anon_sym_PIPE_PIPE] = ACTIONS(1433),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1433),
    [anon_sym_ATdeprecated] = ACTIONS(1433),
    [anon_sym_ATload] = ACTIONS(1435),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1433),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1433),
    [anon_sym_ATunload] = ACTIONS(1433),
    [anon_sym_ATprefixes] = ACTIONS(1433),
    [anon_sym_ATif] = ACTIONS(1435),
    [anon_sym_ATifdef] = ACTIONS(1433),
    [anon_sym_ATifndef] = ACTIONS(1433),
    [anon_sym_ATendif] = ACTIONS(1433),
    [anon_sym_ATelse] = ACTIONS(1433),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [312] = {
    [anon_sym_SEMI] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(483),
    [anon_sym_RBRACE] = ACTIONS(483),
    [anon_sym_COLON] = ACTIONS(483),
    [anon_sym_PLUS_EQ] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(483),
    [anon_sym_RPAREN] = ACTIONS(483),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_in] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_RBRACK] = ACTIONS(483),
    [anon_sym_EQ] = ACTIONS(485),
    [anon_sym_as] = ACTIONS(483),
    [anon_sym_AMPdeprecated] = ACTIONS(483),
    [anon_sym_DASH_EQ] = ACTIONS(483),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(483),
    [anon_sym_AMPerror_handler] = ACTIONS(483),
    [anon_sym_AMPis_assigned] = ACTIONS(483),
    [anon_sym_AMPis_used] = ACTIONS(483),
    [anon_sym_AMPlog] = ACTIONS(483),
    [anon_sym_AMPoptional] = ACTIONS(483),
    [anon_sym_AMPraw_output] = ACTIONS(483),
    [anon_sym_AMPredef] = ACTIONS(483),
    [anon_sym_AMPadd_func] = ACTIONS(483),
    [anon_sym_AMPbackend] = ACTIONS(483),
    [anon_sym_AMPbroker_store] = ACTIONS(483),
    [anon_sym_AMPcreate_expire] = ACTIONS(483),
    [anon_sym_AMPdefault] = ACTIONS(483),
    [anon_sym_AMPdelete_func] = ACTIONS(483),
    [anon_sym_AMPexpire_func] = ACTIONS(483),
    [anon_sym_AMPgroup] = ACTIONS(483),
    [anon_sym_AMPon_change] = ACTIONS(483),
    [anon_sym_AMPpriority] = ACTIONS(483),
    [anon_sym_AMPread_expire] = ACTIONS(483),
    [anon_sym_AMPtype_column] = ACTIONS(483),
    [anon_sym_AMPwrite_expire] = ACTIONS(483),
    [anon_sym_DOLLAR] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_is] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(483),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(483),
    [anon_sym_LT] = ACTIONS(485),
    [anon_sym_LT_EQ] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(485),
    [anon_sym_GT_EQ] = ACTIONS(483),
    [anon_sym_AMP] = ACTIONS(485),
    [anon_sym_CARET] = ACTIONS(483),
    [anon_sym_QMARK] = ACTIONS(485),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_AMP_AMP] = ACTIONS(483),
    [anon_sym_PIPE_PIPE] = ACTIONS(483),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(483),
    [anon_sym_ATdeprecated] = ACTIONS(483),
    [anon_sym_ATload] = ACTIONS(485),
    [anon_sym_ATload_DASHsigs] = ACTIONS(483),
    [anon_sym_ATload_DASHplugin] = ACTIONS(483),
    [anon_sym_ATunload] = ACTIONS(483),
    [anon_sym_ATprefixes] = ACTIONS(483),
    [anon_sym_ATif] = ACTIONS(485),
    [anon_sym_ATifdef] = ACTIONS(483),
    [anon_sym_ATifndef] = ACTIONS(483),
    [anon_sym_ATendif] = ACTIONS(483),
    [anon_sym_ATelse] = ACTIONS(483),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [313] = {
    [anon_sym_SEMI] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_RBRACE] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1385),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [anon_sym_RPAREN] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(1385),
    [anon_sym_in] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [anon_sym_RBRACK] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_as] = ACTIONS(1385),
    [anon_sym_AMPdeprecated] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1385),
    [anon_sym_AMPerror_handler] = ACTIONS(1385),
    [anon_sym_AMPis_assigned] = ACTIONS(1385),
    [anon_sym_AMPis_used] = ACTIONS(1385),
    [anon_sym_AMPlog] = ACTIONS(1385),
    [anon_sym_AMPoptional] = ACTIONS(1385),
    [anon_sym_AMPraw_output] = ACTIONS(1385),
    [anon_sym_AMPredef] = ACTIONS(1385),
    [anon_sym_AMPadd_func] = ACTIONS(1385),
    [anon_sym_AMPbackend] = ACTIONS(1385),
    [anon_sym_AMPbroker_store] = ACTIONS(1385),
    [anon_sym_AMPcreate_expire] = ACTIONS(1385),
    [anon_sym_AMPdefault] = ACTIONS(1385),
    [anon_sym_AMPdelete_func] = ACTIONS(1385),
    [anon_sym_AMPexpire_func] = ACTIONS(1385),
    [anon_sym_AMPgroup] = ACTIONS(1385),
    [anon_sym_AMPon_change] = ACTIONS(1385),
    [anon_sym_AMPpriority] = ACTIONS(1385),
    [anon_sym_AMPread_expire] = ACTIONS(1385),
    [anon_sym_AMPtype_column] = ACTIONS(1385),
    [anon_sym_AMPwrite_expire] = ACTIONS(1385),
    [anon_sym_DOLLAR] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_is] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_PERCENT] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1387),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_AMP_AMP] = ACTIONS(1385),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1385),
    [anon_sym_ATdeprecated] = ACTIONS(1385),
    [anon_sym_ATload] = ACTIONS(1387),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1385),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1385),
    [anon_sym_ATunload] = ACTIONS(1385),
    [anon_sym_ATprefixes] = ACTIONS(1385),
    [anon_sym_ATif] = ACTIONS(1387),
    [anon_sym_ATifdef] = ACTIONS(1385),
    [anon_sym_ATifndef] = ACTIONS(1385),
    [anon_sym_ATendif] = ACTIONS(1385),
    [anon_sym_ATelse] = ACTIONS(1385),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [314] = {
    [anon_sym_SEMI] = ACTIONS(1437),
    [anon_sym_LBRACE] = ACTIONS(1437),
    [anon_sym_RBRACE] = ACTIONS(1437),
    [anon_sym_COLON] = ACTIONS(1437),
    [anon_sym_PLUS_EQ] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(1437),
    [anon_sym_RPAREN] = ACTIONS(1437),
    [anon_sym_COMMA] = ACTIONS(1437),
    [anon_sym_in] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(1437),
    [anon_sym_RBRACK] = ACTIONS(1437),
    [anon_sym_EQ] = ACTIONS(1439),
    [anon_sym_as] = ACTIONS(1437),
    [anon_sym_AMPdeprecated] = ACTIONS(1437),
    [anon_sym_DASH_EQ] = ACTIONS(1437),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1437),
    [anon_sym_AMPerror_handler] = ACTIONS(1437),
    [anon_sym_AMPis_assigned] = ACTIONS(1437),
    [anon_sym_AMPis_used] = ACTIONS(1437),
    [anon_sym_AMPlog] = ACTIONS(1437),
    [anon_sym_AMPoptional] = ACTIONS(1437),
    [anon_sym_AMPraw_output] = ACTIONS(1437),
    [anon_sym_AMPredef] = ACTIONS(1437),
    [anon_sym_AMPadd_func] = ACTIONS(1437),
    [anon_sym_AMPbackend] = ACTIONS(1437),
    [anon_sym_AMPbroker_store] = ACTIONS(1437),
    [anon_sym_AMPcreate_expire] = ACTIONS(1437),
    [anon_sym_AMPdefault] = ACTIONS(1437),
    [anon_sym_AMPdelete_func] = ACTIONS(1437),
    [anon_sym_AMPexpire_func] = ACTIONS(1437),
    [anon_sym_AMPgroup] = ACTIONS(1437),
    [anon_sym_AMPon_change] = ACTIONS(1437),
    [anon_sym_AMPpriority] = ACTIONS(1437),
    [anon_sym_AMPread_expire] = ACTIONS(1437),
    [anon_sym_AMPtype_column] = ACTIONS(1437),
    [anon_sym_AMPwrite_expire] = ACTIONS(1437),
    [anon_sym_DOLLAR] = ACTIONS(1437),
    [anon_sym_PIPE] = ACTIONS(1439),
    [anon_sym_BANG] = ACTIONS(1439),
    [anon_sym_DASH] = ACTIONS(1439),
    [anon_sym_PLUS] = ACTIONS(1439),
    [anon_sym_is] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1437),
    [anon_sym_SLASH] = ACTIONS(1437),
    [anon_sym_PERCENT] = ACTIONS(1437),
    [anon_sym_LT] = ACTIONS(1439),
    [anon_sym_LT_EQ] = ACTIONS(1437),
    [anon_sym_GT] = ACTIONS(1439),
    [anon_sym_GT_EQ] = ACTIONS(1437),
    [anon_sym_AMP] = ACTIONS(1439),
    [anon_sym_CARET] = ACTIONS(1437),
    [anon_sym_QMARK] = ACTIONS(1439),
    [anon_sym_EQ_EQ] = ACTIONS(1437),
    [anon_sym_BANG_EQ] = ACTIONS(1437),
    [anon_sym_AMP_AMP] = ACTIONS(1437),
    [anon_sym_PIPE_PIPE] = ACTIONS(1437),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1437),
    [anon_sym_ATdeprecated] = ACTIONS(1437),
    [anon_sym_ATload] = ACTIONS(1439),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1437),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1437),
    [anon_sym_ATunload] = ACTIONS(1437),
    [anon_sym_ATprefixes] = ACTIONS(1437),
    [anon_sym_ATif] = ACTIONS(1439),
    [anon_sym_ATifdef] = ACTIONS(1437),
    [anon_sym_ATifndef] = ACTIONS(1437),
    [anon_sym_ATendif] = ACTIONS(1437),
    [anon_sym_ATelse] = ACTIONS(1437),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [315] = {
    [anon_sym_SEMI] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1441),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [anon_sym_COLON] = ACTIONS(1441),
    [anon_sym_PLUS_EQ] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [anon_sym_RPAREN] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [anon_sym_in] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [anon_sym_RBRACK] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1443),
    [anon_sym_as] = ACTIONS(1441),
    [anon_sym_AMPdeprecated] = ACTIONS(1441),
    [anon_sym_DASH_EQ] = ACTIONS(1441),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1441),
    [anon_sym_AMPerror_handler] = ACTIONS(1441),
    [anon_sym_AMPis_assigned] = ACTIONS(1441),
    [anon_sym_AMPis_used] = ACTIONS(1441),
    [anon_sym_AMPlog] = ACTIONS(1441),
    [anon_sym_AMPoptional] = ACTIONS(1441),
    [anon_sym_AMPraw_output] = ACTIONS(1441),
    [anon_sym_AMPredef] = ACTIONS(1441),
    [anon_sym_AMPadd_func] = ACTIONS(1441),
    [anon_sym_AMPbackend] = ACTIONS(1441),
    [anon_sym_AMPbroker_store] = ACTIONS(1441),
    [anon_sym_AMPcreate_expire] = ACTIONS(1441),
    [anon_sym_AMPdefault] = ACTIONS(1441),
    [anon_sym_AMPdelete_func] = ACTIONS(1441),
    [anon_sym_AMPexpire_func] = ACTIONS(1441),
    [anon_sym_AMPgroup] = ACTIONS(1441),
    [anon_sym_AMPon_change] = ACTIONS(1441),
    [anon_sym_AMPpriority] = ACTIONS(1441),
    [anon_sym_AMPread_expire] = ACTIONS(1441),
    [anon_sym_AMPtype_column] = ACTIONS(1441),
    [anon_sym_AMPwrite_expire] = ACTIONS(1441),
    [anon_sym_DOLLAR] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_is] = ACTIONS(1441),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1441),
    [anon_sym_PERCENT] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_GT] = ACTIONS(1443),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_QMARK] = ACTIONS(1443),
    [anon_sym_EQ_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_AMP_AMP] = ACTIONS(1441),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1441),
    [anon_sym_ATdeprecated] = ACTIONS(1441),
    [anon_sym_ATload] = ACTIONS(1443),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1441),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1441),
    [anon_sym_ATunload] = ACTIONS(1441),
    [anon_sym_ATprefixes] = ACTIONS(1441),
    [anon_sym_ATif] = ACTIONS(1443),
    [anon_sym_ATifdef] = ACTIONS(1441),
    [anon_sym_ATifndef] = ACTIONS(1441),
    [anon_sym_ATendif] = ACTIONS(1441),
    [anon_sym_ATelse] = ACTIONS(1441),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [316] = {
    [anon_sym_SEMI] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(197),
    [anon_sym_PLUS_EQ] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_RPAREN] = ACTIONS(197),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_in] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_RBRACK] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(199),
    [anon_sym_as] = ACTIONS(197),
    [anon_sym_AMPdeprecated] = ACTIONS(197),
    [anon_sym_DASH_EQ] = ACTIONS(197),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(197),
    [anon_sym_AMPerror_handler] = ACTIONS(197),
    [anon_sym_AMPis_assigned] = ACTIONS(197),
    [anon_sym_AMPis_used] = ACTIONS(197),
    [anon_sym_AMPlog] = ACTIONS(197),
    [anon_sym_AMPoptional] = ACTIONS(197),
    [anon_sym_AMPraw_output] = ACTIONS(197),
    [anon_sym_AMPredef] = ACTIONS(197),
    [anon_sym_AMPadd_func] = ACTIONS(197),
    [anon_sym_AMPbackend] = ACTIONS(197),
    [anon_sym_AMPbroker_store] = ACTIONS(197),
    [anon_sym_AMPcreate_expire] = ACTIONS(197),
    [anon_sym_AMPdefault] = ACTIONS(197),
    [anon_sym_AMPdelete_func] = ACTIONS(197),
    [anon_sym_AMPexpire_func] = ACTIONS(197),
    [anon_sym_AMPgroup] = ACTIONS(197),
    [anon_sym_AMPon_change] = ACTIONS(197),
    [anon_sym_AMPpriority] = ACTIONS(197),
    [anon_sym_AMPread_expire] = ACTIONS(197),
    [anon_sym_AMPtype_column] = ACTIONS(197),
    [anon_sym_AMPwrite_expire] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(197),
    [anon_sym_PIPE] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_is] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_SLASH] = ACTIONS(197),
    [anon_sym_PERCENT] = ACTIONS(197),
    [anon_sym_LT] = ACTIONS(199),
    [anon_sym_LT_EQ] = ACTIONS(197),
    [anon_sym_GT] = ACTIONS(199),
    [anon_sym_GT_EQ] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_CARET] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_EQ_EQ] = ACTIONS(197),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_AMP_AMP] = ACTIONS(197),
    [anon_sym_PIPE_PIPE] = ACTIONS(197),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(197),
    [anon_sym_ATdeprecated] = ACTIONS(197),
    [anon_sym_ATload] = ACTIONS(199),
    [anon_sym_ATload_DASHsigs] = ACTIONS(197),
    [anon_sym_ATload_DASHplugin] = ACTIONS(197),
    [anon_sym_ATunload] = ACTIONS(197),
    [anon_sym_ATprefixes] = ACTIONS(197),
    [anon_sym_ATif] = ACTIONS(199),
    [anon_sym_ATifdef] = ACTIONS(197),
    [anon_sym_ATifndef] = ACTIONS(197),
    [anon_sym_ATendif] = ACTIONS(197),
    [anon_sym_ATelse] = ACTIONS(197),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [317] = {
    [anon_sym_SEMI] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1445),
    [anon_sym_RBRACE] = ACTIONS(1445),
    [anon_sym_COLON] = ACTIONS(1447),
    [anon_sym_PLUS_EQ] = ACTIONS(1445),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_RPAREN] = ACTIONS(1445),
    [anon_sym_COMMA] = ACTIONS(1445),
    [anon_sym_in] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [anon_sym_RBRACK] = ACTIONS(1445),
    [anon_sym_EQ] = ACTIONS(1449),
    [anon_sym_as] = ACTIONS(1445),
    [anon_sym_AMPdeprecated] = ACTIONS(1445),
    [anon_sym_DASH_EQ] = ACTIONS(1445),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1445),
    [anon_sym_AMPerror_handler] = ACTIONS(1445),
    [anon_sym_AMPis_assigned] = ACTIONS(1445),
    [anon_sym_AMPis_used] = ACTIONS(1445),
    [anon_sym_AMPlog] = ACTIONS(1445),
    [anon_sym_AMPoptional] = ACTIONS(1445),
    [anon_sym_AMPraw_output] = ACTIONS(1445),
    [anon_sym_AMPredef] = ACTIONS(1445),
    [anon_sym_AMPadd_func] = ACTIONS(1445),
    [anon_sym_AMPbackend] = ACTIONS(1445),
    [anon_sym_AMPbroker_store] = ACTIONS(1445),
    [anon_sym_AMPcreate_expire] = ACTIONS(1445),
    [anon_sym_AMPdefault] = ACTIONS(1445),
    [anon_sym_AMPdelete_func] = ACTIONS(1445),
    [anon_sym_AMPexpire_func] = ACTIONS(1445),
    [anon_sym_AMPgroup] = ACTIONS(1445),
    [anon_sym_AMPon_change] = ACTIONS(1445),
    [anon_sym_AMPpriority] = ACTIONS(1445),
    [anon_sym_AMPread_expire] = ACTIONS(1445),
    [anon_sym_AMPtype_column] = ACTIONS(1445),
    [anon_sym_AMPwrite_expire] = ACTIONS(1445),
    [anon_sym_DOLLAR] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1449),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_is] = ACTIONS(1445),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1445),
    [anon_sym_PERCENT] = ACTIONS(1445),
    [anon_sym_LT] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_QMARK] = ACTIONS(1449),
    [anon_sym_EQ_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_AMP_AMP] = ACTIONS(1445),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1445),
    [anon_sym_ATdeprecated] = ACTIONS(1445),
    [anon_sym_ATload] = ACTIONS(1449),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1445),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1445),
    [anon_sym_ATunload] = ACTIONS(1445),
    [anon_sym_ATprefixes] = ACTIONS(1445),
    [anon_sym_ATif] = ACTIONS(1449),
    [anon_sym_ATifdef] = ACTIONS(1445),
    [anon_sym_ATifndef] = ACTIONS(1445),
    [anon_sym_ATendif] = ACTIONS(1445),
    [anon_sym_ATelse] = ACTIONS(1445),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [318] = {
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_RBRACE] = ACTIONS(121),
    [anon_sym_COLON] = ACTIONS(121),
    [anon_sym_PLUS_EQ] = ACTIONS(121),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(121),
    [anon_sym_COMMA] = ACTIONS(121),
    [anon_sym_in] = ACTIONS(121),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_RBRACK] = ACTIONS(121),
    [anon_sym_EQ] = ACTIONS(123),
    [anon_sym_as] = ACTIONS(121),
    [anon_sym_AMPdeprecated] = ACTIONS(121),
    [anon_sym_DASH_EQ] = ACTIONS(121),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(121),
    [anon_sym_AMPerror_handler] = ACTIONS(121),
    [anon_sym_AMPis_assigned] = ACTIONS(121),
    [anon_sym_AMPis_used] = ACTIONS(121),
    [anon_sym_AMPlog] = ACTIONS(121),
    [anon_sym_AMPoptional] = ACTIONS(121),
    [anon_sym_AMPraw_output] = ACTIONS(121),
    [anon_sym_AMPredef] = ACTIONS(121),
    [anon_sym_AMPadd_func] = ACTIONS(121),
    [anon_sym_AMPbackend] = ACTIONS(121),
    [anon_sym_AMPbroker_store] = ACTIONS(121),
    [anon_sym_AMPcreate_expire] = ACTIONS(121),
    [anon_sym_AMPdefault] = ACTIONS(121),
    [anon_sym_AMPdelete_func] = ACTIONS(121),
    [anon_sym_AMPexpire_func] = ACTIONS(121),
    [anon_sym_AMPgroup] = ACTIONS(121),
    [anon_sym_AMPon_change] = ACTIONS(121),
    [anon_sym_AMPpriority] = ACTIONS(121),
    [anon_sym_AMPread_expire] = ACTIONS(121),
    [anon_sym_AMPtype_column] = ACTIONS(121),
    [anon_sym_AMPwrite_expire] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(121),
    [anon_sym_PIPE] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_is] = ACTIONS(121),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_SLASH] = ACTIONS(121),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_LT] = ACTIONS(123),
    [anon_sym_LT_EQ] = ACTIONS(121),
    [anon_sym_GT] = ACTIONS(123),
    [anon_sym_GT_EQ] = ACTIONS(121),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_CARET] = ACTIONS(121),
    [anon_sym_QMARK] = ACTIONS(123),
    [anon_sym_EQ_EQ] = ACTIONS(121),
    [anon_sym_BANG_EQ] = ACTIONS(121),
    [anon_sym_AMP_AMP] = ACTIONS(121),
    [anon_sym_PIPE_PIPE] = ACTIONS(121),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(121),
    [anon_sym_ATdeprecated] = ACTIONS(121),
    [anon_sym_ATload] = ACTIONS(123),
    [anon_sym_ATload_DASHsigs] = ACTIONS(121),
    [anon_sym_ATload_DASHplugin] = ACTIONS(121),
    [anon_sym_ATunload] = ACTIONS(121),
    [anon_sym_ATprefixes] = ACTIONS(121),
    [anon_sym_ATif] = ACTIONS(123),
    [anon_sym_ATifdef] = ACTIONS(121),
    [anon_sym_ATifndef] = ACTIONS(121),
    [anon_sym_ATendif] = ACTIONS(121),
    [anon_sym_ATelse] = ACTIONS(121),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [319] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_COLON] = ACTIONS(125),
    [anon_sym_PLUS_EQ] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_COMMA] = ACTIONS(125),
    [anon_sym_in] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_RBRACK] = ACTIONS(125),
    [anon_sym_EQ] = ACTIONS(127),
    [anon_sym_as] = ACTIONS(125),
    [anon_sym_AMPdeprecated] = ACTIONS(125),
    [anon_sym_DASH_EQ] = ACTIONS(125),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(125),
    [anon_sym_AMPerror_handler] = ACTIONS(125),
    [anon_sym_AMPis_assigned] = ACTIONS(125),
    [anon_sym_AMPis_used] = ACTIONS(125),
    [anon_sym_AMPlog] = ACTIONS(125),
    [anon_sym_AMPoptional] = ACTIONS(125),
    [anon_sym_AMPraw_output] = ACTIONS(125),
    [anon_sym_AMPredef] = ACTIONS(125),
    [anon_sym_AMPadd_func] = ACTIONS(125),
    [anon_sym_AMPbackend] = ACTIONS(125),
    [anon_sym_AMPbroker_store] = ACTIONS(125),
    [anon_sym_AMPcreate_expire] = ACTIONS(125),
    [anon_sym_AMPdefault] = ACTIONS(125),
    [anon_sym_AMPdelete_func] = ACTIONS(125),
    [anon_sym_AMPexpire_func] = ACTIONS(125),
    [anon_sym_AMPgroup] = ACTIONS(125),
    [anon_sym_AMPon_change] = ACTIONS(125),
    [anon_sym_AMPpriority] = ACTIONS(125),
    [anon_sym_AMPread_expire] = ACTIONS(125),
    [anon_sym_AMPtype_column] = ACTIONS(125),
    [anon_sym_AMPwrite_expire] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_is] = ACTIONS(125),
    [anon_sym_STAR] = ACTIONS(125),
    [anon_sym_SLASH] = ACTIONS(125),
    [anon_sym_PERCENT] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_LT_EQ] = ACTIONS(125),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_GT_EQ] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(127),
    [anon_sym_CARET] = ACTIONS(125),
    [anon_sym_QMARK] = ACTIONS(127),
    [anon_sym_EQ_EQ] = ACTIONS(125),
    [anon_sym_BANG_EQ] = ACTIONS(125),
    [anon_sym_AMP_AMP] = ACTIONS(125),
    [anon_sym_PIPE_PIPE] = ACTIONS(125),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(125),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [320] = {
    [anon_sym_SEMI] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_RBRACE] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(475),
    [anon_sym_PLUS_EQ] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_RPAREN] = ACTIONS(475),
    [anon_sym_COMMA] = ACTIONS(475),
    [anon_sym_in] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_RBRACK] = ACTIONS(475),
    [anon_sym_EQ] = ACTIONS(477),
    [anon_sym_as] = ACTIONS(475),
    [anon_sym_AMPdeprecated] = ACTIONS(475),
    [anon_sym_DASH_EQ] = ACTIONS(475),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(475),
    [anon_sym_AMPerror_handler] = ACTIONS(475),
    [anon_sym_AMPis_assigned] = ACTIONS(475),
    [anon_sym_AMPis_used] = ACTIONS(475),
    [anon_sym_AMPlog] = ACTIONS(475),
    [anon_sym_AMPoptional] = ACTIONS(475),
    [anon_sym_AMPraw_output] = ACTIONS(475),
    [anon_sym_AMPredef] = ACTIONS(475),
    [anon_sym_AMPadd_func] = ACTIONS(475),
    [anon_sym_AMPbackend] = ACTIONS(475),
    [anon_sym_AMPbroker_store] = ACTIONS(475),
    [anon_sym_AMPcreate_expire] = ACTIONS(475),
    [anon_sym_AMPdefault] = ACTIONS(475),
    [anon_sym_AMPdelete_func] = ACTIONS(475),
    [anon_sym_AMPexpire_func] = ACTIONS(475),
    [anon_sym_AMPgroup] = ACTIONS(475),
    [anon_sym_AMPon_change] = ACTIONS(475),
    [anon_sym_AMPpriority] = ACTIONS(475),
    [anon_sym_AMPread_expire] = ACTIONS(475),
    [anon_sym_AMPtype_column] = ACTIONS(475),
    [anon_sym_AMPwrite_expire] = ACTIONS(475),
    [anon_sym_DOLLAR] = ACTIONS(475),
    [anon_sym_PIPE] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(475),
    [anon_sym_STAR] = ACTIONS(475),
    [anon_sym_SLASH] = ACTIONS(475),
    [anon_sym_PERCENT] = ACTIONS(475),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(475),
    [anon_sym_GT] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(475),
    [anon_sym_AMP] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(475),
    [anon_sym_QMARK] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(475),
    [anon_sym_BANG_EQ] = ACTIONS(475),
    [anon_sym_AMP_AMP] = ACTIONS(475),
    [anon_sym_PIPE_PIPE] = ACTIONS(475),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(475),
    [anon_sym_ATdeprecated] = ACTIONS(475),
    [anon_sym_ATload] = ACTIONS(477),
    [anon_sym_ATload_DASHsigs] = ACTIONS(475),
    [anon_sym_ATload_DASHplugin] = ACTIONS(475),
    [anon_sym_ATunload] = ACTIONS(475),
    [anon_sym_ATprefixes] = ACTIONS(475),
    [anon_sym_ATif] = ACTIONS(477),
    [anon_sym_ATifdef] = ACTIONS(475),
    [anon_sym_ATifndef] = ACTIONS(475),
    [anon_sym_ATendif] = ACTIONS(475),
    [anon_sym_ATelse] = ACTIONS(475),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [321] = {
    [anon_sym_SEMI] = ACTIONS(1413),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_RBRACE] = ACTIONS(1413),
    [anon_sym_COLON] = ACTIONS(1413),
    [anon_sym_PLUS_EQ] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [anon_sym_RPAREN] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [anon_sym_in] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [anon_sym_RBRACK] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1415),
    [anon_sym_as] = ACTIONS(1413),
    [anon_sym_AMPdeprecated] = ACTIONS(1413),
    [anon_sym_DASH_EQ] = ACTIONS(1413),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1413),
    [anon_sym_AMPerror_handler] = ACTIONS(1413),
    [anon_sym_AMPis_assigned] = ACTIONS(1413),
    [anon_sym_AMPis_used] = ACTIONS(1413),
    [anon_sym_AMPlog] = ACTIONS(1413),
    [anon_sym_AMPoptional] = ACTIONS(1413),
    [anon_sym_AMPraw_output] = ACTIONS(1413),
    [anon_sym_AMPredef] = ACTIONS(1413),
    [anon_sym_AMPadd_func] = ACTIONS(1413),
    [anon_sym_AMPbackend] = ACTIONS(1413),
    [anon_sym_AMPbroker_store] = ACTIONS(1413),
    [anon_sym_AMPcreate_expire] = ACTIONS(1413),
    [anon_sym_AMPdefault] = ACTIONS(1413),
    [anon_sym_AMPdelete_func] = ACTIONS(1413),
    [anon_sym_AMPexpire_func] = ACTIONS(1413),
    [anon_sym_AMPgroup] = ACTIONS(1413),
    [anon_sym_AMPon_change] = ACTIONS(1413),
    [anon_sym_AMPpriority] = ACTIONS(1413),
    [anon_sym_AMPread_expire] = ACTIONS(1413),
    [anon_sym_AMPtype_column] = ACTIONS(1413),
    [anon_sym_AMPwrite_expire] = ACTIONS(1413),
    [anon_sym_DOLLAR] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(1415),
    [anon_sym_is] = ACTIONS(1413),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1413),
    [anon_sym_PERCENT] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_GT] = ACTIONS(1415),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1415),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_QMARK] = ACTIONS(1415),
    [anon_sym_EQ_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_AMP_AMP] = ACTIONS(1413),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1413),
    [anon_sym_ATdeprecated] = ACTIONS(1413),
    [anon_sym_ATload] = ACTIONS(1415),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1413),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1413),
    [anon_sym_ATunload] = ACTIONS(1413),
    [anon_sym_ATprefixes] = ACTIONS(1413),
    [anon_sym_ATif] = ACTIONS(1415),
    [anon_sym_ATifdef] = ACTIONS(1413),
    [anon_sym_ATifndef] = ACTIONS(1413),
    [anon_sym_ATendif] = ACTIONS(1413),
    [anon_sym_ATelse] = ACTIONS(1413),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [322] = {
    [anon_sym_SEMI] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(331),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(331),
    [anon_sym_PLUS_EQ] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_RPAREN] = ACTIONS(331),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_in] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(331),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_as] = ACTIONS(331),
    [anon_sym_AMPdeprecated] = ACTIONS(331),
    [anon_sym_DASH_EQ] = ACTIONS(331),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(331),
    [anon_sym_AMPerror_handler] = ACTIONS(331),
    [anon_sym_AMPis_assigned] = ACTIONS(331),
    [anon_sym_AMPis_used] = ACTIONS(331),
    [anon_sym_AMPlog] = ACTIONS(331),
    [anon_sym_AMPoptional] = ACTIONS(331),
    [anon_sym_AMPraw_output] = ACTIONS(331),
    [anon_sym_AMPredef] = ACTIONS(331),
    [anon_sym_AMPadd_func] = ACTIONS(331),
    [anon_sym_AMPbackend] = ACTIONS(331),
    [anon_sym_AMPbroker_store] = ACTIONS(331),
    [anon_sym_AMPcreate_expire] = ACTIONS(331),
    [anon_sym_AMPdefault] = ACTIONS(331),
    [anon_sym_AMPdelete_func] = ACTIONS(331),
    [anon_sym_AMPexpire_func] = ACTIONS(331),
    [anon_sym_AMPgroup] = ACTIONS(331),
    [anon_sym_AMPon_change] = ACTIONS(331),
    [anon_sym_AMPpriority] = ACTIONS(331),
    [anon_sym_AMPread_expire] = ACTIONS(331),
    [anon_sym_AMPtype_column] = ACTIONS(331),
    [anon_sym_AMPwrite_expire] = ACTIONS(331),
    [anon_sym_DOLLAR] = ACTIONS(331),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_BANG] = ACTIONS(333),
    [anon_sym_DASH] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(333),
    [anon_sym_is] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_SLASH] = ACTIONS(331),
    [anon_sym_PERCENT] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_LT_EQ] = ACTIONS(331),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_GT_EQ] = ACTIONS(331),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_CARET] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(333),
    [anon_sym_EQ_EQ] = ACTIONS(331),
    [anon_sym_BANG_EQ] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(331),
    [anon_sym_ATdeprecated] = ACTIONS(331),
    [anon_sym_ATload] = ACTIONS(333),
    [anon_sym_ATload_DASHsigs] = ACTIONS(331),
    [anon_sym_ATload_DASHplugin] = ACTIONS(331),
    [anon_sym_ATunload] = ACTIONS(331),
    [anon_sym_ATprefixes] = ACTIONS(331),
    [anon_sym_ATif] = ACTIONS(333),
    [anon_sym_ATifdef] = ACTIONS(331),
    [anon_sym_ATifndef] = ACTIONS(331),
    [anon_sym_ATendif] = ACTIONS(331),
    [anon_sym_ATelse] = ACTIONS(331),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [323] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [anon_sym_module] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_export] = ACTIONS(1453),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_global] = ACTIONS(1453),
    [anon_sym_option] = ACTIONS(1453),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_redef] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_type] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_RPAREN] = ACTIONS(1455),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [324] = {
    [anon_sym_SEMI] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1457),
    [anon_sym_RBRACE] = ACTIONS(1457),
    [anon_sym_COLON] = ACTIONS(1457),
    [anon_sym_PLUS_EQ] = ACTIONS(1457),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [anon_sym_RPAREN] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(1457),
    [anon_sym_in] = ACTIONS(1457),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [anon_sym_RBRACK] = ACTIONS(1457),
    [anon_sym_EQ] = ACTIONS(1459),
    [anon_sym_as] = ACTIONS(1457),
    [anon_sym_AMPdeprecated] = ACTIONS(1457),
    [anon_sym_DASH_EQ] = ACTIONS(1457),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1457),
    [anon_sym_AMPerror_handler] = ACTIONS(1457),
    [anon_sym_AMPis_assigned] = ACTIONS(1457),
    [anon_sym_AMPis_used] = ACTIONS(1457),
    [anon_sym_AMPlog] = ACTIONS(1457),
    [anon_sym_AMPoptional] = ACTIONS(1457),
    [anon_sym_AMPraw_output] = ACTIONS(1457),
    [anon_sym_AMPredef] = ACTIONS(1457),
    [anon_sym_AMPadd_func] = ACTIONS(1457),
    [anon_sym_AMPbackend] = ACTIONS(1457),
    [anon_sym_AMPbroker_store] = ACTIONS(1457),
    [anon_sym_AMPcreate_expire] = ACTIONS(1457),
    [anon_sym_AMPdefault] = ACTIONS(1457),
    [anon_sym_AMPdelete_func] = ACTIONS(1457),
    [anon_sym_AMPexpire_func] = ACTIONS(1457),
    [anon_sym_AMPgroup] = ACTIONS(1457),
    [anon_sym_AMPon_change] = ACTIONS(1457),
    [anon_sym_AMPpriority] = ACTIONS(1457),
    [anon_sym_AMPread_expire] = ACTIONS(1457),
    [anon_sym_AMPtype_column] = ACTIONS(1457),
    [anon_sym_AMPwrite_expire] = ACTIONS(1457),
    [anon_sym_DOLLAR] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
    [anon_sym_BANG] = ACTIONS(1459),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_is] = ACTIONS(1457),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1457),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_GT] = ACTIONS(1459),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1459),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_QMARK] = ACTIONS(1459),
    [anon_sym_EQ_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_AMP_AMP] = ACTIONS(1457),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1457),
    [anon_sym_ATdeprecated] = ACTIONS(1457),
    [anon_sym_ATload] = ACTIONS(1459),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1457),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1457),
    [anon_sym_ATunload] = ACTIONS(1457),
    [anon_sym_ATprefixes] = ACTIONS(1457),
    [anon_sym_ATif] = ACTIONS(1459),
    [anon_sym_ATifdef] = ACTIONS(1457),
    [anon_sym_ATifndef] = ACTIONS(1457),
    [anon_sym_ATendif] = ACTIONS(1457),
    [anon_sym_ATelse] = ACTIONS(1457),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [325] = {
    [anon_sym_SEMI] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(1461),
    [anon_sym_RBRACE] = ACTIONS(1461),
    [anon_sym_COLON] = ACTIONS(1461),
    [anon_sym_PLUS_EQ] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [anon_sym_RPAREN] = ACTIONS(1461),
    [anon_sym_COMMA] = ACTIONS(1461),
    [anon_sym_in] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [anon_sym_RBRACK] = ACTIONS(1461),
    [anon_sym_EQ] = ACTIONS(1463),
    [anon_sym_as] = ACTIONS(1461),
    [anon_sym_AMPdeprecated] = ACTIONS(1461),
    [anon_sym_DASH_EQ] = ACTIONS(1461),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1461),
    [anon_sym_AMPerror_handler] = ACTIONS(1461),
    [anon_sym_AMPis_assigned] = ACTIONS(1461),
    [anon_sym_AMPis_used] = ACTIONS(1461),
    [anon_sym_AMPlog] = ACTIONS(1461),
    [anon_sym_AMPoptional] = ACTIONS(1461),
    [anon_sym_AMPraw_output] = ACTIONS(1461),
    [anon_sym_AMPredef] = ACTIONS(1461),
    [anon_sym_AMPadd_func] = ACTIONS(1461),
    [anon_sym_AMPbackend] = ACTIONS(1461),
    [anon_sym_AMPbroker_store] = ACTIONS(1461),
    [anon_sym_AMPcreate_expire] = ACTIONS(1461),
    [anon_sym_AMPdefault] = ACTIONS(1461),
    [anon_sym_AMPdelete_func] = ACTIONS(1461),
    [anon_sym_AMPexpire_func] = ACTIONS(1461),
    [anon_sym_AMPgroup] = ACTIONS(1461),
    [anon_sym_AMPon_change] = ACTIONS(1461),
    [anon_sym_AMPpriority] = ACTIONS(1461),
    [anon_sym_AMPread_expire] = ACTIONS(1461),
    [anon_sym_AMPtype_column] = ACTIONS(1461),
    [anon_sym_AMPwrite_expire] = ACTIONS(1461),
    [anon_sym_DOLLAR] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1463),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_PLUS] = ACTIONS(1463),
    [anon_sym_is] = ACTIONS(1461),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_PERCENT] = ACTIONS(1461),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_GT] = ACTIONS(1463),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1463),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_EQ_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_AMP_AMP] = ACTIONS(1461),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1461),
    [anon_sym_ATdeprecated] = ACTIONS(1461),
    [anon_sym_ATload] = ACTIONS(1463),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1461),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1461),
    [anon_sym_ATunload] = ACTIONS(1461),
    [anon_sym_ATprefixes] = ACTIONS(1461),
    [anon_sym_ATif] = ACTIONS(1463),
    [anon_sym_ATifdef] = ACTIONS(1461),
    [anon_sym_ATifndef] = ACTIONS(1461),
    [anon_sym_ATendif] = ACTIONS(1461),
    [anon_sym_ATelse] = ACTIONS(1461),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [326] = {
    [anon_sym_SEMI] = ACTIONS(201),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_PLUS_EQ] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_RPAREN] = ACTIONS(201),
    [anon_sym_COMMA] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(201),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_EQ] = ACTIONS(203),
    [anon_sym_as] = ACTIONS(201),
    [anon_sym_AMPdeprecated] = ACTIONS(201),
    [anon_sym_DASH_EQ] = ACTIONS(201),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(201),
    [anon_sym_AMPerror_handler] = ACTIONS(201),
    [anon_sym_AMPis_assigned] = ACTIONS(201),
    [anon_sym_AMPis_used] = ACTIONS(201),
    [anon_sym_AMPlog] = ACTIONS(201),
    [anon_sym_AMPoptional] = ACTIONS(201),
    [anon_sym_AMPraw_output] = ACTIONS(201),
    [anon_sym_AMPredef] = ACTIONS(201),
    [anon_sym_AMPadd_func] = ACTIONS(201),
    [anon_sym_AMPbackend] = ACTIONS(201),
    [anon_sym_AMPbroker_store] = ACTIONS(201),
    [anon_sym_AMPcreate_expire] = ACTIONS(201),
    [anon_sym_AMPdefault] = ACTIONS(201),
    [anon_sym_AMPdelete_func] = ACTIONS(201),
    [anon_sym_AMPexpire_func] = ACTIONS(201),
    [anon_sym_AMPgroup] = ACTIONS(201),
    [anon_sym_AMPon_change] = ACTIONS(201),
    [anon_sym_AMPpriority] = ACTIONS(201),
    [anon_sym_AMPread_expire] = ACTIONS(201),
    [anon_sym_AMPtype_column] = ACTIONS(201),
    [anon_sym_AMPwrite_expire] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(201),
    [anon_sym_PIPE] = ACTIONS(203),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_is] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_SLASH] = ACTIONS(201),
    [anon_sym_PERCENT] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(203),
    [anon_sym_LT_EQ] = ACTIONS(201),
    [anon_sym_GT] = ACTIONS(203),
    [anon_sym_GT_EQ] = ACTIONS(201),
    [anon_sym_AMP] = ACTIONS(203),
    [anon_sym_CARET] = ACTIONS(201),
    [anon_sym_QMARK] = ACTIONS(203),
    [anon_sym_EQ_EQ] = ACTIONS(201),
    [anon_sym_BANG_EQ] = ACTIONS(201),
    [anon_sym_AMP_AMP] = ACTIONS(201),
    [anon_sym_PIPE_PIPE] = ACTIONS(201),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(201),
    [anon_sym_ATdeprecated] = ACTIONS(201),
    [anon_sym_ATload] = ACTIONS(203),
    [anon_sym_ATload_DASHsigs] = ACTIONS(201),
    [anon_sym_ATload_DASHplugin] = ACTIONS(201),
    [anon_sym_ATunload] = ACTIONS(201),
    [anon_sym_ATprefixes] = ACTIONS(201),
    [anon_sym_ATif] = ACTIONS(203),
    [anon_sym_ATifdef] = ACTIONS(201),
    [anon_sym_ATifndef] = ACTIONS(201),
    [anon_sym_ATendif] = ACTIONS(201),
    [anon_sym_ATelse] = ACTIONS(201),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [327] = {
    [anon_sym_SEMI] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(1461),
    [anon_sym_RBRACE] = ACTIONS(1461),
    [anon_sym_COLON] = ACTIONS(1461),
    [anon_sym_PLUS_EQ] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [anon_sym_RPAREN] = ACTIONS(1461),
    [anon_sym_COMMA] = ACTIONS(1461),
    [anon_sym_in] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [anon_sym_RBRACK] = ACTIONS(1461),
    [anon_sym_EQ] = ACTIONS(1463),
    [anon_sym_as] = ACTIONS(1461),
    [anon_sym_AMPdeprecated] = ACTIONS(1461),
    [anon_sym_DASH_EQ] = ACTIONS(1461),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1461),
    [anon_sym_AMPerror_handler] = ACTIONS(1461),
    [anon_sym_AMPis_assigned] = ACTIONS(1461),
    [anon_sym_AMPis_used] = ACTIONS(1461),
    [anon_sym_AMPlog] = ACTIONS(1461),
    [anon_sym_AMPoptional] = ACTIONS(1461),
    [anon_sym_AMPraw_output] = ACTIONS(1461),
    [anon_sym_AMPredef] = ACTIONS(1461),
    [anon_sym_AMPadd_func] = ACTIONS(1461),
    [anon_sym_AMPbackend] = ACTIONS(1461),
    [anon_sym_AMPbroker_store] = ACTIONS(1461),
    [anon_sym_AMPcreate_expire] = ACTIONS(1461),
    [anon_sym_AMPdefault] = ACTIONS(1461),
    [anon_sym_AMPdelete_func] = ACTIONS(1461),
    [anon_sym_AMPexpire_func] = ACTIONS(1461),
    [anon_sym_AMPgroup] = ACTIONS(1461),
    [anon_sym_AMPon_change] = ACTIONS(1461),
    [anon_sym_AMPpriority] = ACTIONS(1461),
    [anon_sym_AMPread_expire] = ACTIONS(1461),
    [anon_sym_AMPtype_column] = ACTIONS(1461),
    [anon_sym_AMPwrite_expire] = ACTIONS(1461),
    [anon_sym_DOLLAR] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1463),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_PLUS] = ACTIONS(1463),
    [anon_sym_is] = ACTIONS(1461),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_PERCENT] = ACTIONS(1461),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_GT] = ACTIONS(1463),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1463),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_EQ_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_AMP_AMP] = ACTIONS(1461),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1461),
    [anon_sym_ATdeprecated] = ACTIONS(1461),
    [anon_sym_ATload] = ACTIONS(1463),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1461),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1461),
    [anon_sym_ATunload] = ACTIONS(1461),
    [anon_sym_ATprefixes] = ACTIONS(1461),
    [anon_sym_ATif] = ACTIONS(1463),
    [anon_sym_ATifdef] = ACTIONS(1461),
    [anon_sym_ATifndef] = ACTIONS(1461),
    [anon_sym_ATendif] = ACTIONS(1461),
    [anon_sym_ATelse] = ACTIONS(1461),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [328] = {
    [anon_sym_SEMI] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(1461),
    [anon_sym_RBRACE] = ACTIONS(1461),
    [anon_sym_COLON] = ACTIONS(1461),
    [anon_sym_PLUS_EQ] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [anon_sym_RPAREN] = ACTIONS(1461),
    [anon_sym_COMMA] = ACTIONS(1461),
    [anon_sym_in] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [anon_sym_RBRACK] = ACTIONS(1461),
    [anon_sym_EQ] = ACTIONS(1463),
    [anon_sym_as] = ACTIONS(1461),
    [anon_sym_AMPdeprecated] = ACTIONS(1461),
    [anon_sym_DASH_EQ] = ACTIONS(1461),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1461),
    [anon_sym_AMPerror_handler] = ACTIONS(1461),
    [anon_sym_AMPis_assigned] = ACTIONS(1461),
    [anon_sym_AMPis_used] = ACTIONS(1461),
    [anon_sym_AMPlog] = ACTIONS(1461),
    [anon_sym_AMPoptional] = ACTIONS(1461),
    [anon_sym_AMPraw_output] = ACTIONS(1461),
    [anon_sym_AMPredef] = ACTIONS(1461),
    [anon_sym_AMPadd_func] = ACTIONS(1461),
    [anon_sym_AMPbackend] = ACTIONS(1461),
    [anon_sym_AMPbroker_store] = ACTIONS(1461),
    [anon_sym_AMPcreate_expire] = ACTIONS(1461),
    [anon_sym_AMPdefault] = ACTIONS(1461),
    [anon_sym_AMPdelete_func] = ACTIONS(1461),
    [anon_sym_AMPexpire_func] = ACTIONS(1461),
    [anon_sym_AMPgroup] = ACTIONS(1461),
    [anon_sym_AMPon_change] = ACTIONS(1461),
    [anon_sym_AMPpriority] = ACTIONS(1461),
    [anon_sym_AMPread_expire] = ACTIONS(1461),
    [anon_sym_AMPtype_column] = ACTIONS(1461),
    [anon_sym_AMPwrite_expire] = ACTIONS(1461),
    [anon_sym_DOLLAR] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1463),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_PLUS] = ACTIONS(1463),
    [anon_sym_is] = ACTIONS(1461),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_PERCENT] = ACTIONS(1461),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_GT] = ACTIONS(1463),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1463),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_EQ_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_AMP_AMP] = ACTIONS(1461),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1461),
    [anon_sym_ATdeprecated] = ACTIONS(1461),
    [anon_sym_ATload] = ACTIONS(1463),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1461),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1461),
    [anon_sym_ATunload] = ACTIONS(1461),
    [anon_sym_ATprefixes] = ACTIONS(1461),
    [anon_sym_ATif] = ACTIONS(1463),
    [anon_sym_ATifdef] = ACTIONS(1461),
    [anon_sym_ATifndef] = ACTIONS(1461),
    [anon_sym_ATendif] = ACTIONS(1461),
    [anon_sym_ATelse] = ACTIONS(1461),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [329] = {
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(491),
    [anon_sym_RBRACE] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(491),
    [anon_sym_PLUS_EQ] = ACTIONS(491),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_RPAREN] = ACTIONS(491),
    [anon_sym_COMMA] = ACTIONS(491),
    [anon_sym_in] = ACTIONS(491),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(491),
    [anon_sym_EQ] = ACTIONS(493),
    [anon_sym_as] = ACTIONS(491),
    [anon_sym_AMPdeprecated] = ACTIONS(491),
    [anon_sym_DASH_EQ] = ACTIONS(491),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(491),
    [anon_sym_AMPerror_handler] = ACTIONS(491),
    [anon_sym_AMPis_assigned] = ACTIONS(491),
    [anon_sym_AMPis_used] = ACTIONS(491),
    [anon_sym_AMPlog] = ACTIONS(491),
    [anon_sym_AMPoptional] = ACTIONS(491),
    [anon_sym_AMPraw_output] = ACTIONS(491),
    [anon_sym_AMPredef] = ACTIONS(491),
    [anon_sym_AMPadd_func] = ACTIONS(491),
    [anon_sym_AMPbackend] = ACTIONS(491),
    [anon_sym_AMPbroker_store] = ACTIONS(491),
    [anon_sym_AMPcreate_expire] = ACTIONS(491),
    [anon_sym_AMPdefault] = ACTIONS(491),
    [anon_sym_AMPdelete_func] = ACTIONS(491),
    [anon_sym_AMPexpire_func] = ACTIONS(491),
    [anon_sym_AMPgroup] = ACTIONS(491),
    [anon_sym_AMPon_change] = ACTIONS(491),
    [anon_sym_AMPpriority] = ACTIONS(491),
    [anon_sym_AMPread_expire] = ACTIONS(491),
    [anon_sym_AMPtype_column] = ACTIONS(491),
    [anon_sym_AMPwrite_expire] = ACTIONS(491),
    [anon_sym_DOLLAR] = ACTIONS(491),
    [anon_sym_PIPE] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_is] = ACTIONS(491),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_SLASH] = ACTIONS(491),
    [anon_sym_PERCENT] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(491),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_QMARK] = ACTIONS(493),
    [anon_sym_EQ_EQ] = ACTIONS(491),
    [anon_sym_BANG_EQ] = ACTIONS(491),
    [anon_sym_AMP_AMP] = ACTIONS(491),
    [anon_sym_PIPE_PIPE] = ACTIONS(491),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(491),
    [anon_sym_ATdeprecated] = ACTIONS(491),
    [anon_sym_ATload] = ACTIONS(493),
    [anon_sym_ATload_DASHsigs] = ACTIONS(491),
    [anon_sym_ATload_DASHplugin] = ACTIONS(491),
    [anon_sym_ATunload] = ACTIONS(491),
    [anon_sym_ATprefixes] = ACTIONS(491),
    [anon_sym_ATif] = ACTIONS(493),
    [anon_sym_ATifdef] = ACTIONS(491),
    [anon_sym_ATifndef] = ACTIONS(491),
    [anon_sym_ATendif] = ACTIONS(491),
    [anon_sym_ATelse] = ACTIONS(491),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [330] = {
    [anon_sym_SEMI] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1433),
    [anon_sym_RBRACE] = ACTIONS(1433),
    [anon_sym_COLON] = ACTIONS(1433),
    [anon_sym_PLUS_EQ] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [anon_sym_RPAREN] = ACTIONS(1433),
    [anon_sym_COMMA] = ACTIONS(1433),
    [anon_sym_in] = ACTIONS(1433),
    [anon_sym_LBRACK] = ACTIONS(1433),
    [anon_sym_RBRACK] = ACTIONS(1433),
    [anon_sym_EQ] = ACTIONS(1435),
    [anon_sym_as] = ACTIONS(1433),
    [anon_sym_AMPdeprecated] = ACTIONS(1433),
    [anon_sym_DASH_EQ] = ACTIONS(1433),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1433),
    [anon_sym_AMPerror_handler] = ACTIONS(1433),
    [anon_sym_AMPis_assigned] = ACTIONS(1433),
    [anon_sym_AMPis_used] = ACTIONS(1433),
    [anon_sym_AMPlog] = ACTIONS(1433),
    [anon_sym_AMPoptional] = ACTIONS(1433),
    [anon_sym_AMPraw_output] = ACTIONS(1433),
    [anon_sym_AMPredef] = ACTIONS(1433),
    [anon_sym_AMPadd_func] = ACTIONS(1433),
    [anon_sym_AMPbackend] = ACTIONS(1433),
    [anon_sym_AMPbroker_store] = ACTIONS(1433),
    [anon_sym_AMPcreate_expire] = ACTIONS(1433),
    [anon_sym_AMPdefault] = ACTIONS(1433),
    [anon_sym_AMPdelete_func] = ACTIONS(1433),
    [anon_sym_AMPexpire_func] = ACTIONS(1433),
    [anon_sym_AMPgroup] = ACTIONS(1433),
    [anon_sym_AMPon_change] = ACTIONS(1433),
    [anon_sym_AMPpriority] = ACTIONS(1433),
    [anon_sym_AMPread_expire] = ACTIONS(1433),
    [anon_sym_AMPtype_column] = ACTIONS(1433),
    [anon_sym_AMPwrite_expire] = ACTIONS(1433),
    [anon_sym_DOLLAR] = ACTIONS(1433),
    [anon_sym_PIPE] = ACTIONS(1435),
    [anon_sym_BANG] = ACTIONS(1435),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1435),
    [anon_sym_is] = ACTIONS(1433),
    [anon_sym_STAR] = ACTIONS(1433),
    [anon_sym_SLASH] = ACTIONS(1433),
    [anon_sym_PERCENT] = ACTIONS(1433),
    [anon_sym_LT] = ACTIONS(1435),
    [anon_sym_LT_EQ] = ACTIONS(1433),
    [anon_sym_GT] = ACTIONS(1435),
    [anon_sym_GT_EQ] = ACTIONS(1433),
    [anon_sym_AMP] = ACTIONS(1435),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_QMARK] = ACTIONS(1435),
    [anon_sym_EQ_EQ] = ACTIONS(1433),
    [anon_sym_BANG_EQ] = ACTIONS(1433),
    [anon_sym_AMP_AMP] = ACTIONS(1433),
    [anon_sym_PIPE_PIPE] = ACTIONS(1433),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1433),
    [anon_sym_ATdeprecated] = ACTIONS(1433),
    [anon_sym_ATload] = ACTIONS(1435),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1433),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1433),
    [anon_sym_ATunload] = ACTIONS(1433),
    [anon_sym_ATprefixes] = ACTIONS(1433),
    [anon_sym_ATif] = ACTIONS(1435),
    [anon_sym_ATifdef] = ACTIONS(1433),
    [anon_sym_ATifndef] = ACTIONS(1433),
    [anon_sym_ATendif] = ACTIONS(1433),
    [anon_sym_ATelse] = ACTIONS(1433),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [331] = {
    [anon_sym_SEMI] = ACTIONS(1413),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_RBRACE] = ACTIONS(1413),
    [anon_sym_COLON] = ACTIONS(1413),
    [anon_sym_PLUS_EQ] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [anon_sym_RPAREN] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [anon_sym_in] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [anon_sym_RBRACK] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1415),
    [anon_sym_as] = ACTIONS(1413),
    [anon_sym_AMPdeprecated] = ACTIONS(1413),
    [anon_sym_DASH_EQ] = ACTIONS(1413),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1413),
    [anon_sym_AMPerror_handler] = ACTIONS(1413),
    [anon_sym_AMPis_assigned] = ACTIONS(1413),
    [anon_sym_AMPis_used] = ACTIONS(1413),
    [anon_sym_AMPlog] = ACTIONS(1413),
    [anon_sym_AMPoptional] = ACTIONS(1413),
    [anon_sym_AMPraw_output] = ACTIONS(1413),
    [anon_sym_AMPredef] = ACTIONS(1413),
    [anon_sym_AMPadd_func] = ACTIONS(1413),
    [anon_sym_AMPbackend] = ACTIONS(1413),
    [anon_sym_AMPbroker_store] = ACTIONS(1413),
    [anon_sym_AMPcreate_expire] = ACTIONS(1413),
    [anon_sym_AMPdefault] = ACTIONS(1413),
    [anon_sym_AMPdelete_func] = ACTIONS(1413),
    [anon_sym_AMPexpire_func] = ACTIONS(1413),
    [anon_sym_AMPgroup] = ACTIONS(1413),
    [anon_sym_AMPon_change] = ACTIONS(1413),
    [anon_sym_AMPpriority] = ACTIONS(1413),
    [anon_sym_AMPread_expire] = ACTIONS(1413),
    [anon_sym_AMPtype_column] = ACTIONS(1413),
    [anon_sym_AMPwrite_expire] = ACTIONS(1413),
    [anon_sym_DOLLAR] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(1415),
    [anon_sym_is] = ACTIONS(1413),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1413),
    [anon_sym_PERCENT] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_GT] = ACTIONS(1415),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1415),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_QMARK] = ACTIONS(1415),
    [anon_sym_EQ_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_AMP_AMP] = ACTIONS(1413),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1413),
    [anon_sym_ATdeprecated] = ACTIONS(1413),
    [anon_sym_ATload] = ACTIONS(1415),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1413),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1413),
    [anon_sym_ATunload] = ACTIONS(1413),
    [anon_sym_ATprefixes] = ACTIONS(1413),
    [anon_sym_ATif] = ACTIONS(1415),
    [anon_sym_ATifdef] = ACTIONS(1413),
    [anon_sym_ATifndef] = ACTIONS(1413),
    [anon_sym_ATendif] = ACTIONS(1413),
    [anon_sym_ATelse] = ACTIONS(1413),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [332] = {
    [anon_sym_SEMI] = ACTIONS(1465),
    [anon_sym_LBRACE] = ACTIONS(1465),
    [anon_sym_RBRACE] = ACTIONS(1465),
    [anon_sym_COLON] = ACTIONS(1467),
    [anon_sym_PLUS_EQ] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [anon_sym_RPAREN] = ACTIONS(1465),
    [anon_sym_COMMA] = ACTIONS(1465),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [anon_sym_RBRACK] = ACTIONS(1465),
    [anon_sym_EQ] = ACTIONS(1469),
    [anon_sym_as] = ACTIONS(1465),
    [anon_sym_AMPdeprecated] = ACTIONS(1465),
    [anon_sym_DASH_EQ] = ACTIONS(1465),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1465),
    [anon_sym_AMPerror_handler] = ACTIONS(1465),
    [anon_sym_AMPis_assigned] = ACTIONS(1465),
    [anon_sym_AMPis_used] = ACTIONS(1465),
    [anon_sym_AMPlog] = ACTIONS(1465),
    [anon_sym_AMPoptional] = ACTIONS(1465),
    [anon_sym_AMPraw_output] = ACTIONS(1465),
    [anon_sym_AMPredef] = ACTIONS(1465),
    [anon_sym_AMPadd_func] = ACTIONS(1465),
    [anon_sym_AMPbackend] = ACTIONS(1465),
    [anon_sym_AMPbroker_store] = ACTIONS(1465),
    [anon_sym_AMPcreate_expire] = ACTIONS(1465),
    [anon_sym_AMPdefault] = ACTIONS(1465),
    [anon_sym_AMPdelete_func] = ACTIONS(1465),
    [anon_sym_AMPexpire_func] = ACTIONS(1465),
    [anon_sym_AMPgroup] = ACTIONS(1465),
    [anon_sym_AMPon_change] = ACTIONS(1465),
    [anon_sym_AMPpriority] = ACTIONS(1465),
    [anon_sym_AMPread_expire] = ACTIONS(1465),
    [anon_sym_AMPtype_column] = ACTIONS(1465),
    [anon_sym_AMPwrite_expire] = ACTIONS(1465),
    [anon_sym_DOLLAR] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1469),
    [anon_sym_BANG] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_is] = ACTIONS(1465),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1465),
    [anon_sym_PERCENT] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1465),
    [anon_sym_ATdeprecated] = ACTIONS(1465),
    [anon_sym_ATload] = ACTIONS(1469),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1465),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1465),
    [anon_sym_ATunload] = ACTIONS(1465),
    [anon_sym_ATprefixes] = ACTIONS(1465),
    [anon_sym_ATif] = ACTIONS(1469),
    [anon_sym_ATifdef] = ACTIONS(1465),
    [anon_sym_ATifndef] = ACTIONS(1465),
    [anon_sym_ATendif] = ACTIONS(1465),
    [anon_sym_ATelse] = ACTIONS(1465),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [333] = {
    [anon_sym_SEMI] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_COMMA] = ACTIONS(109),
    [anon_sym_in] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(109),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_as] = ACTIONS(109),
    [anon_sym_AMPdeprecated] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(109),
    [anon_sym_AMPerror_handler] = ACTIONS(109),
    [anon_sym_AMPis_assigned] = ACTIONS(109),
    [anon_sym_AMPis_used] = ACTIONS(109),
    [anon_sym_AMPlog] = ACTIONS(109),
    [anon_sym_AMPoptional] = ACTIONS(109),
    [anon_sym_AMPraw_output] = ACTIONS(109),
    [anon_sym_AMPredef] = ACTIONS(109),
    [anon_sym_AMPadd_func] = ACTIONS(109),
    [anon_sym_AMPbackend] = ACTIONS(109),
    [anon_sym_AMPbroker_store] = ACTIONS(109),
    [anon_sym_AMPcreate_expire] = ACTIONS(109),
    [anon_sym_AMPdefault] = ACTIONS(109),
    [anon_sym_AMPdelete_func] = ACTIONS(109),
    [anon_sym_AMPexpire_func] = ACTIONS(109),
    [anon_sym_AMPgroup] = ACTIONS(109),
    [anon_sym_AMPon_change] = ACTIONS(109),
    [anon_sym_AMPpriority] = ACTIONS(109),
    [anon_sym_AMPread_expire] = ACTIONS(109),
    [anon_sym_AMPtype_column] = ACTIONS(109),
    [anon_sym_AMPwrite_expire] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(109),
    [anon_sym_PIPE] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_is] = ACTIONS(109),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_SLASH] = ACTIONS(109),
    [anon_sym_PERCENT] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(111),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(111),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(111),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_AMP_AMP] = ACTIONS(109),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(109),
    [anon_sym_ATdeprecated] = ACTIONS(109),
    [anon_sym_ATload] = ACTIONS(111),
    [anon_sym_ATload_DASHsigs] = ACTIONS(109),
    [anon_sym_ATload_DASHplugin] = ACTIONS(109),
    [anon_sym_ATunload] = ACTIONS(109),
    [anon_sym_ATprefixes] = ACTIONS(109),
    [anon_sym_ATif] = ACTIONS(111),
    [anon_sym_ATifdef] = ACTIONS(109),
    [anon_sym_ATifndef] = ACTIONS(109),
    [anon_sym_ATendif] = ACTIONS(109),
    [anon_sym_ATelse] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [334] = {
    [anon_sym_SEMI] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_RBRACE] = ACTIONS(487),
    [anon_sym_COLON] = ACTIONS(487),
    [anon_sym_PLUS_EQ] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(487),
    [anon_sym_RPAREN] = ACTIONS(487),
    [anon_sym_COMMA] = ACTIONS(487),
    [anon_sym_in] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(487),
    [anon_sym_RBRACK] = ACTIONS(487),
    [anon_sym_EQ] = ACTIONS(489),
    [anon_sym_as] = ACTIONS(487),
    [anon_sym_AMPdeprecated] = ACTIONS(487),
    [anon_sym_DASH_EQ] = ACTIONS(487),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(487),
    [anon_sym_AMPerror_handler] = ACTIONS(487),
    [anon_sym_AMPis_assigned] = ACTIONS(487),
    [anon_sym_AMPis_used] = ACTIONS(487),
    [anon_sym_AMPlog] = ACTIONS(487),
    [anon_sym_AMPoptional] = ACTIONS(487),
    [anon_sym_AMPraw_output] = ACTIONS(487),
    [anon_sym_AMPredef] = ACTIONS(487),
    [anon_sym_AMPadd_func] = ACTIONS(487),
    [anon_sym_AMPbackend] = ACTIONS(487),
    [anon_sym_AMPbroker_store] = ACTIONS(487),
    [anon_sym_AMPcreate_expire] = ACTIONS(487),
    [anon_sym_AMPdefault] = ACTIONS(487),
    [anon_sym_AMPdelete_func] = ACTIONS(487),
    [anon_sym_AMPexpire_func] = ACTIONS(487),
    [anon_sym_AMPgroup] = ACTIONS(487),
    [anon_sym_AMPon_change] = ACTIONS(487),
    [anon_sym_AMPpriority] = ACTIONS(487),
    [anon_sym_AMPread_expire] = ACTIONS(487),
    [anon_sym_AMPtype_column] = ACTIONS(487),
    [anon_sym_AMPwrite_expire] = ACTIONS(487),
    [anon_sym_DOLLAR] = ACTIONS(487),
    [anon_sym_PIPE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(489),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_is] = ACTIONS(487),
    [anon_sym_STAR] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_PERCENT] = ACTIONS(487),
    [anon_sym_LT] = ACTIONS(489),
    [anon_sym_LT_EQ] = ACTIONS(487),
    [anon_sym_GT] = ACTIONS(489),
    [anon_sym_GT_EQ] = ACTIONS(487),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_CARET] = ACTIONS(487),
    [anon_sym_QMARK] = ACTIONS(489),
    [anon_sym_EQ_EQ] = ACTIONS(487),
    [anon_sym_BANG_EQ] = ACTIONS(487),
    [anon_sym_AMP_AMP] = ACTIONS(487),
    [anon_sym_PIPE_PIPE] = ACTIONS(487),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(487),
    [anon_sym_ATdeprecated] = ACTIONS(487),
    [anon_sym_ATload] = ACTIONS(489),
    [anon_sym_ATload_DASHsigs] = ACTIONS(487),
    [anon_sym_ATload_DASHplugin] = ACTIONS(487),
    [anon_sym_ATunload] = ACTIONS(487),
    [anon_sym_ATprefixes] = ACTIONS(487),
    [anon_sym_ATif] = ACTIONS(489),
    [anon_sym_ATifdef] = ACTIONS(487),
    [anon_sym_ATifndef] = ACTIONS(487),
    [anon_sym_ATendif] = ACTIONS(487),
    [anon_sym_ATelse] = ACTIONS(487),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [335] = {
    [ts_builtin_sym_end] = ACTIONS(1471),
    [anon_sym_module] = ACTIONS(1473),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1473),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_global] = ACTIONS(1473),
    [anon_sym_option] = ACTIONS(1473),
    [anon_sym_const] = ACTIONS(1473),
    [anon_sym_redef] = ACTIONS(1473),
    [anon_sym_record] = ACTIONS(1473),
    [anon_sym_type] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(1473),
    [anon_sym_event] = ACTIONS(1473),
    [anon_sym_if] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(1471),
    [anon_sym_switch] = ACTIONS(1473),
    [anon_sym_for] = ACTIONS(1473),
    [anon_sym_LBRACK] = ACTIONS(1471),
    [anon_sym_while] = ACTIONS(1473),
    [anon_sym_next] = ACTIONS(1473),
    [anon_sym_break] = ACTIONS(1473),
    [anon_sym_fallthrough] = ACTIONS(1473),
    [anon_sym_return] = ACTIONS(1473),
    [anon_sym_add] = ACTIONS(1473),
    [anon_sym_delete] = ACTIONS(1473),
    [anon_sym_local] = ACTIONS(1473),
    [anon_sym_when] = ACTIONS(1473),
    [anon_sym_table] = ACTIONS(1473),
    [anon_sym_set] = ACTIONS(1473),
    [anon_sym_vector] = ACTIONS(1473),
    [anon_sym_function] = ACTIONS(1473),
    [anon_sym_hook] = ACTIONS(1473),
    [anon_sym_DOLLAR] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1471),
    [anon_sym_DASH_DASH] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1471),
    [anon_sym_TILDE] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_copy] = ACTIONS(1473),
    [anon_sym_schedule] = ACTIONS(1473),
    [aux_sym_constant_token1] = ACTIONS(1473),
    [anon_sym_T] = ACTIONS(1473),
    [anon_sym_F] = ACTIONS(1473),
    [anon_sym_ATdeprecated] = ACTIONS(1471),
    [anon_sym_ATload] = ACTIONS(1473),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1471),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1471),
    [anon_sym_ATunload] = ACTIONS(1471),
    [anon_sym_ATprefixes] = ACTIONS(1471),
    [anon_sym_ATif] = ACTIONS(1473),
    [anon_sym_ATifdef] = ACTIONS(1471),
    [anon_sym_ATifndef] = ACTIONS(1471),
    [anon_sym_ATendif] = ACTIONS(1471),
    [anon_sym_ATelse] = ACTIONS(1471),
    [anon_sym_ATDIR] = ACTIONS(1471),
    [anon_sym_ATFILENAME] = ACTIONS(1471),
    [sym_id] = ACTIONS(1473),
    [sym_pattern] = ACTIONS(1471),
    [sym_ipv6] = ACTIONS(1473),
    [sym_ipv4] = ACTIONS(1473),
    [sym_port] = ACTIONS(1471),
    [sym_floatp] = ACTIONS(1473),
    [sym_hex] = ACTIONS(1473),
    [sym_hostname] = ACTIONS(1473),
    [aux_sym_string_token1] = ACTIONS(1471),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [336] = {
    [sym_expr] = STATE(1259),
    [sym_constant] = STATE(1238),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_SEMI] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_COLON] = ACTIONS(111),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_COMMA] = ACTIONS(109),
    [anon_sym_in] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(109),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_as] = ACTIONS(111),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(109),
    [anon_sym_PIPE] = ACTIONS(111),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(111),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_is] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_SLASH] = ACTIONS(111),
    [anon_sym_PERCENT] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(111),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(111),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(111),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_AMP_AMP] = ACTIONS(109),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(109),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [337] = {
    [ts_builtin_sym_end] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1475),
    [anon_sym_global] = ACTIONS(1477),
    [anon_sym_option] = ACTIONS(1477),
    [anon_sym_const] = ACTIONS(1477),
    [anon_sym_redef] = ACTIONS(1477),
    [anon_sym_record] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1477),
    [anon_sym_print] = ACTIONS(1477),
    [anon_sym_event] = ACTIONS(1477),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_switch] = ACTIONS(1477),
    [anon_sym_for] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(1475),
    [anon_sym_while] = ACTIONS(1477),
    [anon_sym_next] = ACTIONS(1477),
    [anon_sym_break] = ACTIONS(1477),
    [anon_sym_fallthrough] = ACTIONS(1477),
    [anon_sym_return] = ACTIONS(1477),
    [anon_sym_add] = ACTIONS(1477),
    [anon_sym_delete] = ACTIONS(1477),
    [anon_sym_local] = ACTIONS(1477),
    [anon_sym_when] = ACTIONS(1477),
    [anon_sym_table] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_vector] = ACTIONS(1477),
    [anon_sym_function] = ACTIONS(1477),
    [anon_sym_hook] = ACTIONS(1477),
    [anon_sym_DOLLAR] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(1475),
    [anon_sym_DASH_DASH] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(1475),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_copy] = ACTIONS(1477),
    [anon_sym_schedule] = ACTIONS(1477),
    [aux_sym_constant_token1] = ACTIONS(1477),
    [anon_sym_T] = ACTIONS(1477),
    [anon_sym_F] = ACTIONS(1477),
    [anon_sym_ATdeprecated] = ACTIONS(1475),
    [anon_sym_ATload] = ACTIONS(1477),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1475),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1475),
    [anon_sym_ATunload] = ACTIONS(1475),
    [anon_sym_ATprefixes] = ACTIONS(1475),
    [anon_sym_ATif] = ACTIONS(1477),
    [anon_sym_ATifdef] = ACTIONS(1475),
    [anon_sym_ATifndef] = ACTIONS(1475),
    [anon_sym_ATendif] = ACTIONS(1475),
    [anon_sym_ATelse] = ACTIONS(1475),
    [anon_sym_ATDIR] = ACTIONS(1475),
    [anon_sym_ATFILENAME] = ACTIONS(1475),
    [sym_id] = ACTIONS(1477),
    [sym_pattern] = ACTIONS(1475),
    [sym_ipv6] = ACTIONS(1477),
    [sym_ipv4] = ACTIONS(1477),
    [sym_port] = ACTIONS(1475),
    [sym_floatp] = ACTIONS(1477),
    [sym_hex] = ACTIONS(1477),
    [sym_hostname] = ACTIONS(1477),
    [aux_sym_string_token1] = ACTIONS(1475),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [338] = {
    [ts_builtin_sym_end] = ACTIONS(1479),
    [anon_sym_module] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_global] = ACTIONS(1481),
    [anon_sym_option] = ACTIONS(1481),
    [anon_sym_const] = ACTIONS(1481),
    [anon_sym_redef] = ACTIONS(1481),
    [anon_sym_record] = ACTIONS(1481),
    [anon_sym_type] = ACTIONS(1481),
    [anon_sym_print] = ACTIONS(1481),
    [anon_sym_event] = ACTIONS(1481),
    [anon_sym_if] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1479),
    [anon_sym_switch] = ACTIONS(1481),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1479),
    [anon_sym_while] = ACTIONS(1481),
    [anon_sym_next] = ACTIONS(1481),
    [anon_sym_break] = ACTIONS(1481),
    [anon_sym_fallthrough] = ACTIONS(1481),
    [anon_sym_return] = ACTIONS(1481),
    [anon_sym_add] = ACTIONS(1481),
    [anon_sym_delete] = ACTIONS(1481),
    [anon_sym_local] = ACTIONS(1481),
    [anon_sym_when] = ACTIONS(1481),
    [anon_sym_table] = ACTIONS(1481),
    [anon_sym_set] = ACTIONS(1481),
    [anon_sym_vector] = ACTIONS(1481),
    [anon_sym_function] = ACTIONS(1481),
    [anon_sym_hook] = ACTIONS(1481),
    [anon_sym_DOLLAR] = ACTIONS(1479),
    [anon_sym_PIPE] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1479),
    [anon_sym_DASH_DASH] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1479),
    [anon_sym_TILDE] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_copy] = ACTIONS(1481),
    [anon_sym_schedule] = ACTIONS(1481),
    [aux_sym_constant_token1] = ACTIONS(1481),
    [anon_sym_T] = ACTIONS(1481),
    [anon_sym_F] = ACTIONS(1481),
    [anon_sym_ATdeprecated] = ACTIONS(1479),
    [anon_sym_ATload] = ACTIONS(1481),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1479),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1479),
    [anon_sym_ATunload] = ACTIONS(1479),
    [anon_sym_ATprefixes] = ACTIONS(1479),
    [anon_sym_ATif] = ACTIONS(1481),
    [anon_sym_ATifdef] = ACTIONS(1479),
    [anon_sym_ATifndef] = ACTIONS(1479),
    [anon_sym_ATendif] = ACTIONS(1479),
    [anon_sym_ATelse] = ACTIONS(1479),
    [anon_sym_ATDIR] = ACTIONS(1479),
    [anon_sym_ATFILENAME] = ACTIONS(1479),
    [sym_id] = ACTIONS(1481),
    [sym_pattern] = ACTIONS(1479),
    [sym_ipv6] = ACTIONS(1481),
    [sym_ipv4] = ACTIONS(1481),
    [sym_port] = ACTIONS(1479),
    [sym_floatp] = ACTIONS(1481),
    [sym_hex] = ACTIONS(1481),
    [sym_hostname] = ACTIONS(1481),
    [aux_sym_string_token1] = ACTIONS(1479),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [339] = {
    [ts_builtin_sym_end] = ACTIONS(1437),
    [anon_sym_module] = ACTIONS(1439),
    [anon_sym_SEMI] = ACTIONS(1437),
    [anon_sym_export] = ACTIONS(1439),
    [anon_sym_LBRACE] = ACTIONS(1437),
    [anon_sym_global] = ACTIONS(1439),
    [anon_sym_option] = ACTIONS(1439),
    [anon_sym_const] = ACTIONS(1439),
    [anon_sym_redef] = ACTIONS(1439),
    [anon_sym_record] = ACTIONS(1439),
    [anon_sym_type] = ACTIONS(1439),
    [anon_sym_print] = ACTIONS(1439),
    [anon_sym_event] = ACTIONS(1439),
    [anon_sym_if] = ACTIONS(1439),
    [anon_sym_LPAREN] = ACTIONS(1437),
    [anon_sym_switch] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1439),
    [anon_sym_LBRACK] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_next] = ACTIONS(1439),
    [anon_sym_break] = ACTIONS(1439),
    [anon_sym_fallthrough] = ACTIONS(1439),
    [anon_sym_return] = ACTIONS(1439),
    [anon_sym_add] = ACTIONS(1439),
    [anon_sym_delete] = ACTIONS(1439),
    [anon_sym_local] = ACTIONS(1439),
    [anon_sym_when] = ACTIONS(1439),
    [anon_sym_table] = ACTIONS(1439),
    [anon_sym_set] = ACTIONS(1439),
    [anon_sym_vector] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(1439),
    [anon_sym_hook] = ACTIONS(1439),
    [anon_sym_DOLLAR] = ACTIONS(1437),
    [anon_sym_PIPE] = ACTIONS(1437),
    [anon_sym_PLUS_PLUS] = ACTIONS(1437),
    [anon_sym_DASH_DASH] = ACTIONS(1437),
    [anon_sym_BANG] = ACTIONS(1437),
    [anon_sym_TILDE] = ACTIONS(1437),
    [anon_sym_DASH] = ACTIONS(1439),
    [anon_sym_PLUS] = ACTIONS(1439),
    [anon_sym_copy] = ACTIONS(1439),
    [anon_sym_schedule] = ACTIONS(1439),
    [aux_sym_constant_token1] = ACTIONS(1439),
    [anon_sym_T] = ACTIONS(1439),
    [anon_sym_F] = ACTIONS(1439),
    [anon_sym_ATdeprecated] = ACTIONS(1437),
    [anon_sym_ATload] = ACTIONS(1439),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1437),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1437),
    [anon_sym_ATunload] = ACTIONS(1437),
    [anon_sym_ATprefixes] = ACTIONS(1437),
    [anon_sym_ATif] = ACTIONS(1439),
    [anon_sym_ATifdef] = ACTIONS(1437),
    [anon_sym_ATifndef] = ACTIONS(1437),
    [anon_sym_ATendif] = ACTIONS(1437),
    [anon_sym_ATelse] = ACTIONS(1437),
    [anon_sym_ATDIR] = ACTIONS(1437),
    [anon_sym_ATFILENAME] = ACTIONS(1437),
    [sym_id] = ACTIONS(1439),
    [sym_pattern] = ACTIONS(1437),
    [sym_ipv6] = ACTIONS(1439),
    [sym_ipv4] = ACTIONS(1439),
    [sym_port] = ACTIONS(1437),
    [sym_floatp] = ACTIONS(1439),
    [sym_hex] = ACTIONS(1439),
    [sym_hostname] = ACTIONS(1439),
    [aux_sym_string_token1] = ACTIONS(1437),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [340] = {
    [ts_builtin_sym_end] = ACTIONS(1479),
    [anon_sym_module] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_global] = ACTIONS(1481),
    [anon_sym_option] = ACTIONS(1481),
    [anon_sym_const] = ACTIONS(1481),
    [anon_sym_redef] = ACTIONS(1481),
    [anon_sym_record] = ACTIONS(1481),
    [anon_sym_type] = ACTIONS(1481),
    [anon_sym_print] = ACTIONS(1481),
    [anon_sym_event] = ACTIONS(1481),
    [anon_sym_if] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1479),
    [anon_sym_switch] = ACTIONS(1481),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1479),
    [anon_sym_while] = ACTIONS(1481),
    [anon_sym_next] = ACTIONS(1481),
    [anon_sym_break] = ACTIONS(1481),
    [anon_sym_fallthrough] = ACTIONS(1481),
    [anon_sym_return] = ACTIONS(1481),
    [anon_sym_add] = ACTIONS(1481),
    [anon_sym_delete] = ACTIONS(1481),
    [anon_sym_local] = ACTIONS(1481),
    [anon_sym_when] = ACTIONS(1481),
    [anon_sym_table] = ACTIONS(1481),
    [anon_sym_set] = ACTIONS(1481),
    [anon_sym_vector] = ACTIONS(1481),
    [anon_sym_function] = ACTIONS(1481),
    [anon_sym_hook] = ACTIONS(1481),
    [anon_sym_DOLLAR] = ACTIONS(1479),
    [anon_sym_PIPE] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1479),
    [anon_sym_DASH_DASH] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1479),
    [anon_sym_TILDE] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_copy] = ACTIONS(1481),
    [anon_sym_schedule] = ACTIONS(1481),
    [aux_sym_constant_token1] = ACTIONS(1481),
    [anon_sym_T] = ACTIONS(1481),
    [anon_sym_F] = ACTIONS(1481),
    [anon_sym_ATdeprecated] = ACTIONS(1479),
    [anon_sym_ATload] = ACTIONS(1481),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1479),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1479),
    [anon_sym_ATunload] = ACTIONS(1479),
    [anon_sym_ATprefixes] = ACTIONS(1479),
    [anon_sym_ATif] = ACTIONS(1481),
    [anon_sym_ATifdef] = ACTIONS(1479),
    [anon_sym_ATifndef] = ACTIONS(1479),
    [anon_sym_ATendif] = ACTIONS(1479),
    [anon_sym_ATelse] = ACTIONS(1479),
    [anon_sym_ATDIR] = ACTIONS(1479),
    [anon_sym_ATFILENAME] = ACTIONS(1479),
    [sym_id] = ACTIONS(1481),
    [sym_pattern] = ACTIONS(1479),
    [sym_ipv6] = ACTIONS(1481),
    [sym_ipv4] = ACTIONS(1481),
    [sym_port] = ACTIONS(1479),
    [sym_floatp] = ACTIONS(1481),
    [sym_hex] = ACTIONS(1481),
    [sym_hostname] = ACTIONS(1481),
    [aux_sym_string_token1] = ACTIONS(1479),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [341] = {
    [ts_builtin_sym_end] = ACTIONS(1483),
    [anon_sym_module] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_export] = ACTIONS(1485),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_global] = ACTIONS(1485),
    [anon_sym_option] = ACTIONS(1485),
    [anon_sym_const] = ACTIONS(1485),
    [anon_sym_redef] = ACTIONS(1485),
    [anon_sym_record] = ACTIONS(1485),
    [anon_sym_type] = ACTIONS(1485),
    [anon_sym_print] = ACTIONS(1485),
    [anon_sym_event] = ACTIONS(1485),
    [anon_sym_if] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1483),
    [anon_sym_switch] = ACTIONS(1485),
    [anon_sym_for] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1483),
    [anon_sym_while] = ACTIONS(1485),
    [anon_sym_next] = ACTIONS(1485),
    [anon_sym_break] = ACTIONS(1485),
    [anon_sym_fallthrough] = ACTIONS(1485),
    [anon_sym_return] = ACTIONS(1485),
    [anon_sym_add] = ACTIONS(1485),
    [anon_sym_delete] = ACTIONS(1485),
    [anon_sym_local] = ACTIONS(1485),
    [anon_sym_when] = ACTIONS(1485),
    [anon_sym_table] = ACTIONS(1485),
    [anon_sym_set] = ACTIONS(1485),
    [anon_sym_vector] = ACTIONS(1485),
    [anon_sym_function] = ACTIONS(1485),
    [anon_sym_hook] = ACTIONS(1485),
    [anon_sym_DOLLAR] = ACTIONS(1483),
    [anon_sym_PIPE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_copy] = ACTIONS(1485),
    [anon_sym_schedule] = ACTIONS(1485),
    [aux_sym_constant_token1] = ACTIONS(1485),
    [anon_sym_T] = ACTIONS(1485),
    [anon_sym_F] = ACTIONS(1485),
    [anon_sym_ATdeprecated] = ACTIONS(1483),
    [anon_sym_ATload] = ACTIONS(1485),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1483),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1483),
    [anon_sym_ATunload] = ACTIONS(1483),
    [anon_sym_ATprefixes] = ACTIONS(1483),
    [anon_sym_ATif] = ACTIONS(1485),
    [anon_sym_ATifdef] = ACTIONS(1483),
    [anon_sym_ATifndef] = ACTIONS(1483),
    [anon_sym_ATendif] = ACTIONS(1483),
    [anon_sym_ATelse] = ACTIONS(1483),
    [anon_sym_ATDIR] = ACTIONS(1483),
    [anon_sym_ATFILENAME] = ACTIONS(1483),
    [sym_id] = ACTIONS(1485),
    [sym_pattern] = ACTIONS(1483),
    [sym_ipv6] = ACTIONS(1485),
    [sym_ipv4] = ACTIONS(1485),
    [sym_port] = ACTIONS(1483),
    [sym_floatp] = ACTIONS(1485),
    [sym_hex] = ACTIONS(1485),
    [sym_hostname] = ACTIONS(1485),
    [aux_sym_string_token1] = ACTIONS(1483),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(1487),
    [anon_sym_module] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1489),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_global] = ACTIONS(1489),
    [anon_sym_option] = ACTIONS(1489),
    [anon_sym_const] = ACTIONS(1489),
    [anon_sym_redef] = ACTIONS(1489),
    [anon_sym_record] = ACTIONS(1489),
    [anon_sym_type] = ACTIONS(1489),
    [anon_sym_print] = ACTIONS(1489),
    [anon_sym_event] = ACTIONS(1489),
    [anon_sym_if] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(1487),
    [anon_sym_switch] = ACTIONS(1489),
    [anon_sym_for] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_while] = ACTIONS(1489),
    [anon_sym_next] = ACTIONS(1489),
    [anon_sym_break] = ACTIONS(1489),
    [anon_sym_fallthrough] = ACTIONS(1489),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_add] = ACTIONS(1489),
    [anon_sym_delete] = ACTIONS(1489),
    [anon_sym_local] = ACTIONS(1489),
    [anon_sym_when] = ACTIONS(1489),
    [anon_sym_table] = ACTIONS(1489),
    [anon_sym_set] = ACTIONS(1489),
    [anon_sym_vector] = ACTIONS(1489),
    [anon_sym_function] = ACTIONS(1489),
    [anon_sym_hook] = ACTIONS(1489),
    [anon_sym_DOLLAR] = ACTIONS(1487),
    [anon_sym_PIPE] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1487),
    [anon_sym_DASH_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1487),
    [anon_sym_TILDE] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_copy] = ACTIONS(1489),
    [anon_sym_schedule] = ACTIONS(1489),
    [aux_sym_constant_token1] = ACTIONS(1489),
    [anon_sym_T] = ACTIONS(1489),
    [anon_sym_F] = ACTIONS(1489),
    [anon_sym_ATdeprecated] = ACTIONS(1487),
    [anon_sym_ATload] = ACTIONS(1489),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1487),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1487),
    [anon_sym_ATunload] = ACTIONS(1487),
    [anon_sym_ATprefixes] = ACTIONS(1487),
    [anon_sym_ATif] = ACTIONS(1489),
    [anon_sym_ATifdef] = ACTIONS(1487),
    [anon_sym_ATifndef] = ACTIONS(1487),
    [anon_sym_ATendif] = ACTIONS(1487),
    [anon_sym_ATelse] = ACTIONS(1487),
    [anon_sym_ATDIR] = ACTIONS(1487),
    [anon_sym_ATFILENAME] = ACTIONS(1487),
    [sym_id] = ACTIONS(1489),
    [sym_pattern] = ACTIONS(1487),
    [sym_ipv6] = ACTIONS(1489),
    [sym_ipv4] = ACTIONS(1489),
    [sym_port] = ACTIONS(1487),
    [sym_floatp] = ACTIONS(1489),
    [sym_hex] = ACTIONS(1489),
    [sym_hostname] = ACTIONS(1489),
    [aux_sym_string_token1] = ACTIONS(1487),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1491),
    [anon_sym_export] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1491),
    [anon_sym_global] = ACTIONS(1493),
    [anon_sym_option] = ACTIONS(1493),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_redef] = ACTIONS(1493),
    [anon_sym_record] = ACTIONS(1493),
    [anon_sym_type] = ACTIONS(1493),
    [anon_sym_print] = ACTIONS(1493),
    [anon_sym_event] = ACTIONS(1493),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1491),
    [anon_sym_switch] = ACTIONS(1493),
    [anon_sym_for] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1491),
    [anon_sym_while] = ACTIONS(1493),
    [anon_sym_next] = ACTIONS(1493),
    [anon_sym_break] = ACTIONS(1493),
    [anon_sym_fallthrough] = ACTIONS(1493),
    [anon_sym_return] = ACTIONS(1493),
    [anon_sym_add] = ACTIONS(1493),
    [anon_sym_delete] = ACTIONS(1493),
    [anon_sym_local] = ACTIONS(1493),
    [anon_sym_when] = ACTIONS(1493),
    [anon_sym_table] = ACTIONS(1493),
    [anon_sym_set] = ACTIONS(1493),
    [anon_sym_vector] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1493),
    [anon_sym_hook] = ACTIONS(1493),
    [anon_sym_DOLLAR] = ACTIONS(1491),
    [anon_sym_PIPE] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1491),
    [anon_sym_TILDE] = ACTIONS(1491),
    [anon_sym_DASH] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_copy] = ACTIONS(1493),
    [anon_sym_schedule] = ACTIONS(1493),
    [aux_sym_constant_token1] = ACTIONS(1493),
    [anon_sym_T] = ACTIONS(1493),
    [anon_sym_F] = ACTIONS(1493),
    [anon_sym_ATdeprecated] = ACTIONS(1491),
    [anon_sym_ATload] = ACTIONS(1493),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1491),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1491),
    [anon_sym_ATunload] = ACTIONS(1491),
    [anon_sym_ATprefixes] = ACTIONS(1491),
    [anon_sym_ATif] = ACTIONS(1493),
    [anon_sym_ATifdef] = ACTIONS(1491),
    [anon_sym_ATifndef] = ACTIONS(1491),
    [anon_sym_ATendif] = ACTIONS(1491),
    [anon_sym_ATelse] = ACTIONS(1491),
    [anon_sym_ATDIR] = ACTIONS(1491),
    [anon_sym_ATFILENAME] = ACTIONS(1491),
    [sym_id] = ACTIONS(1493),
    [sym_pattern] = ACTIONS(1491),
    [sym_ipv6] = ACTIONS(1493),
    [sym_ipv4] = ACTIONS(1493),
    [sym_port] = ACTIONS(1491),
    [sym_floatp] = ACTIONS(1493),
    [sym_hex] = ACTIONS(1493),
    [sym_hostname] = ACTIONS(1493),
    [aux_sym_string_token1] = ACTIONS(1491),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [344] = {
    [ts_builtin_sym_end] = ACTIONS(1495),
    [anon_sym_module] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1497),
    [anon_sym_LBRACE] = ACTIONS(1495),
    [anon_sym_global] = ACTIONS(1497),
    [anon_sym_option] = ACTIONS(1497),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_redef] = ACTIONS(1497),
    [anon_sym_record] = ACTIONS(1497),
    [anon_sym_type] = ACTIONS(1497),
    [anon_sym_print] = ACTIONS(1497),
    [anon_sym_event] = ACTIONS(1497),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1495),
    [anon_sym_switch] = ACTIONS(1497),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1495),
    [anon_sym_while] = ACTIONS(1497),
    [anon_sym_next] = ACTIONS(1497),
    [anon_sym_break] = ACTIONS(1497),
    [anon_sym_fallthrough] = ACTIONS(1497),
    [anon_sym_return] = ACTIONS(1497),
    [anon_sym_add] = ACTIONS(1497),
    [anon_sym_delete] = ACTIONS(1497),
    [anon_sym_local] = ACTIONS(1497),
    [anon_sym_when] = ACTIONS(1497),
    [anon_sym_table] = ACTIONS(1497),
    [anon_sym_set] = ACTIONS(1497),
    [anon_sym_vector] = ACTIONS(1497),
    [anon_sym_function] = ACTIONS(1497),
    [anon_sym_hook] = ACTIONS(1497),
    [anon_sym_DOLLAR] = ACTIONS(1495),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_PLUS_PLUS] = ACTIONS(1495),
    [anon_sym_DASH_DASH] = ACTIONS(1495),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_TILDE] = ACTIONS(1495),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_copy] = ACTIONS(1497),
    [anon_sym_schedule] = ACTIONS(1497),
    [aux_sym_constant_token1] = ACTIONS(1497),
    [anon_sym_T] = ACTIONS(1497),
    [anon_sym_F] = ACTIONS(1497),
    [anon_sym_ATdeprecated] = ACTIONS(1495),
    [anon_sym_ATload] = ACTIONS(1497),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1495),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1495),
    [anon_sym_ATunload] = ACTIONS(1495),
    [anon_sym_ATprefixes] = ACTIONS(1495),
    [anon_sym_ATif] = ACTIONS(1497),
    [anon_sym_ATifdef] = ACTIONS(1495),
    [anon_sym_ATifndef] = ACTIONS(1495),
    [anon_sym_ATendif] = ACTIONS(1495),
    [anon_sym_ATelse] = ACTIONS(1495),
    [anon_sym_ATDIR] = ACTIONS(1495),
    [anon_sym_ATFILENAME] = ACTIONS(1495),
    [sym_id] = ACTIONS(1497),
    [sym_pattern] = ACTIONS(1495),
    [sym_ipv6] = ACTIONS(1497),
    [sym_ipv4] = ACTIONS(1497),
    [sym_port] = ACTIONS(1495),
    [sym_floatp] = ACTIONS(1497),
    [sym_hex] = ACTIONS(1497),
    [sym_hostname] = ACTIONS(1497),
    [aux_sym_string_token1] = ACTIONS(1495),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [345] = {
    [ts_builtin_sym_end] = ACTIONS(1499),
    [anon_sym_module] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1499),
    [anon_sym_export] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_global] = ACTIONS(1501),
    [anon_sym_option] = ACTIONS(1501),
    [anon_sym_const] = ACTIONS(1501),
    [anon_sym_redef] = ACTIONS(1501),
    [anon_sym_record] = ACTIONS(1501),
    [anon_sym_type] = ACTIONS(1501),
    [anon_sym_print] = ACTIONS(1501),
    [anon_sym_event] = ACTIONS(1501),
    [anon_sym_if] = ACTIONS(1501),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_switch] = ACTIONS(1501),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_while] = ACTIONS(1501),
    [anon_sym_next] = ACTIONS(1501),
    [anon_sym_break] = ACTIONS(1501),
    [anon_sym_fallthrough] = ACTIONS(1501),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_add] = ACTIONS(1501),
    [anon_sym_delete] = ACTIONS(1501),
    [anon_sym_local] = ACTIONS(1501),
    [anon_sym_when] = ACTIONS(1501),
    [anon_sym_table] = ACTIONS(1501),
    [anon_sym_set] = ACTIONS(1501),
    [anon_sym_vector] = ACTIONS(1501),
    [anon_sym_function] = ACTIONS(1501),
    [anon_sym_hook] = ACTIONS(1501),
    [anon_sym_DOLLAR] = ACTIONS(1499),
    [anon_sym_PIPE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_copy] = ACTIONS(1501),
    [anon_sym_schedule] = ACTIONS(1501),
    [aux_sym_constant_token1] = ACTIONS(1501),
    [anon_sym_T] = ACTIONS(1501),
    [anon_sym_F] = ACTIONS(1501),
    [anon_sym_ATdeprecated] = ACTIONS(1499),
    [anon_sym_ATload] = ACTIONS(1501),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1499),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1499),
    [anon_sym_ATunload] = ACTIONS(1499),
    [anon_sym_ATprefixes] = ACTIONS(1499),
    [anon_sym_ATif] = ACTIONS(1501),
    [anon_sym_ATifdef] = ACTIONS(1499),
    [anon_sym_ATifndef] = ACTIONS(1499),
    [anon_sym_ATendif] = ACTIONS(1499),
    [anon_sym_ATelse] = ACTIONS(1499),
    [anon_sym_ATDIR] = ACTIONS(1499),
    [anon_sym_ATFILENAME] = ACTIONS(1499),
    [sym_id] = ACTIONS(1501),
    [sym_pattern] = ACTIONS(1499),
    [sym_ipv6] = ACTIONS(1501),
    [sym_ipv4] = ACTIONS(1501),
    [sym_port] = ACTIONS(1499),
    [sym_floatp] = ACTIONS(1501),
    [sym_hex] = ACTIONS(1501),
    [sym_hostname] = ACTIONS(1501),
    [aux_sym_string_token1] = ACTIONS(1499),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [346] = {
    [ts_builtin_sym_end] = ACTIONS(1503),
    [anon_sym_module] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1505),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_global] = ACTIONS(1505),
    [anon_sym_option] = ACTIONS(1505),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_redef] = ACTIONS(1505),
    [anon_sym_record] = ACTIONS(1505),
    [anon_sym_type] = ACTIONS(1505),
    [anon_sym_print] = ACTIONS(1505),
    [anon_sym_event] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_fallthrough] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_add] = ACTIONS(1505),
    [anon_sym_delete] = ACTIONS(1505),
    [anon_sym_local] = ACTIONS(1505),
    [anon_sym_when] = ACTIONS(1505),
    [anon_sym_table] = ACTIONS(1505),
    [anon_sym_set] = ACTIONS(1505),
    [anon_sym_vector] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1505),
    [anon_sym_hook] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_copy] = ACTIONS(1505),
    [anon_sym_schedule] = ACTIONS(1505),
    [aux_sym_constant_token1] = ACTIONS(1505),
    [anon_sym_T] = ACTIONS(1505),
    [anon_sym_F] = ACTIONS(1505),
    [anon_sym_ATdeprecated] = ACTIONS(1503),
    [anon_sym_ATload] = ACTIONS(1505),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1503),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1503),
    [anon_sym_ATunload] = ACTIONS(1503),
    [anon_sym_ATprefixes] = ACTIONS(1503),
    [anon_sym_ATif] = ACTIONS(1505),
    [anon_sym_ATifdef] = ACTIONS(1503),
    [anon_sym_ATifndef] = ACTIONS(1503),
    [anon_sym_ATendif] = ACTIONS(1503),
    [anon_sym_ATelse] = ACTIONS(1503),
    [anon_sym_ATDIR] = ACTIONS(1503),
    [anon_sym_ATFILENAME] = ACTIONS(1503),
    [sym_id] = ACTIONS(1505),
    [sym_pattern] = ACTIONS(1503),
    [sym_ipv6] = ACTIONS(1505),
    [sym_ipv4] = ACTIONS(1505),
    [sym_port] = ACTIONS(1503),
    [sym_floatp] = ACTIONS(1505),
    [sym_hex] = ACTIONS(1505),
    [sym_hostname] = ACTIONS(1505),
    [aux_sym_string_token1] = ACTIONS(1503),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [347] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [anon_sym_module] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_export] = ACTIONS(1453),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_global] = ACTIONS(1453),
    [anon_sym_option] = ACTIONS(1453),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_redef] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_type] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [348] = {
    [ts_builtin_sym_end] = ACTIONS(1507),
    [anon_sym_module] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1507),
    [anon_sym_export] = ACTIONS(1509),
    [anon_sym_LBRACE] = ACTIONS(1507),
    [anon_sym_global] = ACTIONS(1509),
    [anon_sym_option] = ACTIONS(1509),
    [anon_sym_const] = ACTIONS(1509),
    [anon_sym_redef] = ACTIONS(1509),
    [anon_sym_record] = ACTIONS(1509),
    [anon_sym_type] = ACTIONS(1509),
    [anon_sym_print] = ACTIONS(1509),
    [anon_sym_event] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1507),
    [anon_sym_switch] = ACTIONS(1509),
    [anon_sym_for] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1509),
    [anon_sym_next] = ACTIONS(1509),
    [anon_sym_break] = ACTIONS(1509),
    [anon_sym_fallthrough] = ACTIONS(1509),
    [anon_sym_return] = ACTIONS(1509),
    [anon_sym_add] = ACTIONS(1509),
    [anon_sym_delete] = ACTIONS(1509),
    [anon_sym_local] = ACTIONS(1509),
    [anon_sym_when] = ACTIONS(1509),
    [anon_sym_table] = ACTIONS(1509),
    [anon_sym_set] = ACTIONS(1509),
    [anon_sym_vector] = ACTIONS(1509),
    [anon_sym_function] = ACTIONS(1509),
    [anon_sym_hook] = ACTIONS(1509),
    [anon_sym_DOLLAR] = ACTIONS(1507),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_PLUS_PLUS] = ACTIONS(1507),
    [anon_sym_DASH_DASH] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_TILDE] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_copy] = ACTIONS(1509),
    [anon_sym_schedule] = ACTIONS(1509),
    [aux_sym_constant_token1] = ACTIONS(1509),
    [anon_sym_T] = ACTIONS(1509),
    [anon_sym_F] = ACTIONS(1509),
    [anon_sym_ATdeprecated] = ACTIONS(1507),
    [anon_sym_ATload] = ACTIONS(1509),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1507),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1507),
    [anon_sym_ATunload] = ACTIONS(1507),
    [anon_sym_ATprefixes] = ACTIONS(1507),
    [anon_sym_ATif] = ACTIONS(1509),
    [anon_sym_ATifdef] = ACTIONS(1507),
    [anon_sym_ATifndef] = ACTIONS(1507),
    [anon_sym_ATendif] = ACTIONS(1507),
    [anon_sym_ATelse] = ACTIONS(1507),
    [anon_sym_ATDIR] = ACTIONS(1507),
    [anon_sym_ATFILENAME] = ACTIONS(1507),
    [sym_id] = ACTIONS(1509),
    [sym_pattern] = ACTIONS(1507),
    [sym_ipv6] = ACTIONS(1509),
    [sym_ipv4] = ACTIONS(1509),
    [sym_port] = ACTIONS(1507),
    [sym_floatp] = ACTIONS(1509),
    [sym_hex] = ACTIONS(1509),
    [sym_hostname] = ACTIONS(1509),
    [aux_sym_string_token1] = ACTIONS(1507),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [349] = {
    [ts_builtin_sym_end] = ACTIONS(1511),
    [anon_sym_module] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_global] = ACTIONS(1513),
    [anon_sym_option] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_redef] = ACTIONS(1513),
    [anon_sym_record] = ACTIONS(1513),
    [anon_sym_type] = ACTIONS(1513),
    [anon_sym_print] = ACTIONS(1513),
    [anon_sym_event] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_next] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_fallthrough] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_add] = ACTIONS(1513),
    [anon_sym_delete] = ACTIONS(1513),
    [anon_sym_local] = ACTIONS(1513),
    [anon_sym_when] = ACTIONS(1513),
    [anon_sym_table] = ACTIONS(1513),
    [anon_sym_set] = ACTIONS(1513),
    [anon_sym_vector] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1513),
    [anon_sym_hook] = ACTIONS(1513),
    [anon_sym_DOLLAR] = ACTIONS(1511),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_copy] = ACTIONS(1513),
    [anon_sym_schedule] = ACTIONS(1513),
    [aux_sym_constant_token1] = ACTIONS(1513),
    [anon_sym_T] = ACTIONS(1513),
    [anon_sym_F] = ACTIONS(1513),
    [anon_sym_ATdeprecated] = ACTIONS(1511),
    [anon_sym_ATload] = ACTIONS(1513),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1511),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1511),
    [anon_sym_ATunload] = ACTIONS(1511),
    [anon_sym_ATprefixes] = ACTIONS(1511),
    [anon_sym_ATif] = ACTIONS(1513),
    [anon_sym_ATifdef] = ACTIONS(1511),
    [anon_sym_ATifndef] = ACTIONS(1511),
    [anon_sym_ATendif] = ACTIONS(1511),
    [anon_sym_ATelse] = ACTIONS(1511),
    [anon_sym_ATDIR] = ACTIONS(1511),
    [anon_sym_ATFILENAME] = ACTIONS(1511),
    [sym_id] = ACTIONS(1513),
    [sym_pattern] = ACTIONS(1511),
    [sym_ipv6] = ACTIONS(1513),
    [sym_ipv4] = ACTIONS(1513),
    [sym_port] = ACTIONS(1511),
    [sym_floatp] = ACTIONS(1513),
    [sym_hex] = ACTIONS(1513),
    [sym_hostname] = ACTIONS(1513),
    [aux_sym_string_token1] = ACTIONS(1511),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [350] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [anon_sym_module] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_export] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_global] = ACTIONS(1517),
    [anon_sym_option] = ACTIONS(1517),
    [anon_sym_const] = ACTIONS(1517),
    [anon_sym_redef] = ACTIONS(1517),
    [anon_sym_record] = ACTIONS(1517),
    [anon_sym_type] = ACTIONS(1517),
    [anon_sym_print] = ACTIONS(1517),
    [anon_sym_event] = ACTIONS(1517),
    [anon_sym_if] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1515),
    [anon_sym_switch] = ACTIONS(1517),
    [anon_sym_for] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1517),
    [anon_sym_next] = ACTIONS(1517),
    [anon_sym_break] = ACTIONS(1517),
    [anon_sym_fallthrough] = ACTIONS(1517),
    [anon_sym_return] = ACTIONS(1517),
    [anon_sym_add] = ACTIONS(1517),
    [anon_sym_delete] = ACTIONS(1517),
    [anon_sym_local] = ACTIONS(1517),
    [anon_sym_when] = ACTIONS(1517),
    [anon_sym_table] = ACTIONS(1517),
    [anon_sym_set] = ACTIONS(1517),
    [anon_sym_vector] = ACTIONS(1517),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_hook] = ACTIONS(1517),
    [anon_sym_DOLLAR] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_copy] = ACTIONS(1517),
    [anon_sym_schedule] = ACTIONS(1517),
    [aux_sym_constant_token1] = ACTIONS(1517),
    [anon_sym_T] = ACTIONS(1517),
    [anon_sym_F] = ACTIONS(1517),
    [anon_sym_ATdeprecated] = ACTIONS(1515),
    [anon_sym_ATload] = ACTIONS(1517),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1515),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1515),
    [anon_sym_ATunload] = ACTIONS(1515),
    [anon_sym_ATprefixes] = ACTIONS(1515),
    [anon_sym_ATif] = ACTIONS(1517),
    [anon_sym_ATifdef] = ACTIONS(1515),
    [anon_sym_ATifndef] = ACTIONS(1515),
    [anon_sym_ATendif] = ACTIONS(1515),
    [anon_sym_ATelse] = ACTIONS(1515),
    [anon_sym_ATDIR] = ACTIONS(1515),
    [anon_sym_ATFILENAME] = ACTIONS(1515),
    [sym_id] = ACTIONS(1517),
    [sym_pattern] = ACTIONS(1515),
    [sym_ipv6] = ACTIONS(1517),
    [sym_ipv4] = ACTIONS(1517),
    [sym_port] = ACTIONS(1515),
    [sym_floatp] = ACTIONS(1517),
    [sym_hex] = ACTIONS(1517),
    [sym_hostname] = ACTIONS(1517),
    [aux_sym_string_token1] = ACTIONS(1515),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(1519),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_SEMI] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_global] = ACTIONS(1521),
    [anon_sym_option] = ACTIONS(1521),
    [anon_sym_const] = ACTIONS(1521),
    [anon_sym_redef] = ACTIONS(1521),
    [anon_sym_record] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_print] = ACTIONS(1521),
    [anon_sym_event] = ACTIONS(1521),
    [anon_sym_if] = ACTIONS(1521),
    [anon_sym_LPAREN] = ACTIONS(1519),
    [anon_sym_switch] = ACTIONS(1521),
    [anon_sym_for] = ACTIONS(1521),
    [anon_sym_LBRACK] = ACTIONS(1519),
    [anon_sym_while] = ACTIONS(1521),
    [anon_sym_next] = ACTIONS(1521),
    [anon_sym_break] = ACTIONS(1521),
    [anon_sym_fallthrough] = ACTIONS(1521),
    [anon_sym_return] = ACTIONS(1521),
    [anon_sym_add] = ACTIONS(1521),
    [anon_sym_delete] = ACTIONS(1521),
    [anon_sym_local] = ACTIONS(1521),
    [anon_sym_when] = ACTIONS(1521),
    [anon_sym_table] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_vector] = ACTIONS(1521),
    [anon_sym_function] = ACTIONS(1521),
    [anon_sym_hook] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1519),
    [anon_sym_PIPE] = ACTIONS(1519),
    [anon_sym_PLUS_PLUS] = ACTIONS(1519),
    [anon_sym_DASH_DASH] = ACTIONS(1519),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_TILDE] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_copy] = ACTIONS(1521),
    [anon_sym_schedule] = ACTIONS(1521),
    [aux_sym_constant_token1] = ACTIONS(1521),
    [anon_sym_T] = ACTIONS(1521),
    [anon_sym_F] = ACTIONS(1521),
    [anon_sym_ATdeprecated] = ACTIONS(1519),
    [anon_sym_ATload] = ACTIONS(1521),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1519),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1519),
    [anon_sym_ATunload] = ACTIONS(1519),
    [anon_sym_ATprefixes] = ACTIONS(1519),
    [anon_sym_ATif] = ACTIONS(1521),
    [anon_sym_ATifdef] = ACTIONS(1519),
    [anon_sym_ATifndef] = ACTIONS(1519),
    [anon_sym_ATendif] = ACTIONS(1519),
    [anon_sym_ATelse] = ACTIONS(1519),
    [anon_sym_ATDIR] = ACTIONS(1519),
    [anon_sym_ATFILENAME] = ACTIONS(1519),
    [sym_id] = ACTIONS(1521),
    [sym_pattern] = ACTIONS(1519),
    [sym_ipv6] = ACTIONS(1521),
    [sym_ipv4] = ACTIONS(1521),
    [sym_port] = ACTIONS(1519),
    [sym_floatp] = ACTIONS(1521),
    [sym_hex] = ACTIONS(1521),
    [sym_hostname] = ACTIONS(1521),
    [aux_sym_string_token1] = ACTIONS(1519),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [352] = {
    [ts_builtin_sym_end] = ACTIONS(1523),
    [anon_sym_module] = ACTIONS(1525),
    [anon_sym_SEMI] = ACTIONS(1523),
    [anon_sym_export] = ACTIONS(1525),
    [anon_sym_LBRACE] = ACTIONS(1523),
    [anon_sym_global] = ACTIONS(1525),
    [anon_sym_option] = ACTIONS(1525),
    [anon_sym_const] = ACTIONS(1525),
    [anon_sym_redef] = ACTIONS(1525),
    [anon_sym_record] = ACTIONS(1525),
    [anon_sym_type] = ACTIONS(1525),
    [anon_sym_print] = ACTIONS(1525),
    [anon_sym_event] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1525),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [anon_sym_switch] = ACTIONS(1525),
    [anon_sym_for] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [anon_sym_while] = ACTIONS(1525),
    [anon_sym_next] = ACTIONS(1525),
    [anon_sym_break] = ACTIONS(1525),
    [anon_sym_fallthrough] = ACTIONS(1525),
    [anon_sym_return] = ACTIONS(1525),
    [anon_sym_add] = ACTIONS(1525),
    [anon_sym_delete] = ACTIONS(1525),
    [anon_sym_local] = ACTIONS(1525),
    [anon_sym_when] = ACTIONS(1525),
    [anon_sym_table] = ACTIONS(1525),
    [anon_sym_set] = ACTIONS(1525),
    [anon_sym_vector] = ACTIONS(1525),
    [anon_sym_function] = ACTIONS(1525),
    [anon_sym_hook] = ACTIONS(1525),
    [anon_sym_DOLLAR] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1523),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_TILDE] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_copy] = ACTIONS(1525),
    [anon_sym_schedule] = ACTIONS(1525),
    [aux_sym_constant_token1] = ACTIONS(1525),
    [anon_sym_T] = ACTIONS(1525),
    [anon_sym_F] = ACTIONS(1525),
    [anon_sym_ATdeprecated] = ACTIONS(1523),
    [anon_sym_ATload] = ACTIONS(1525),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1523),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1523),
    [anon_sym_ATunload] = ACTIONS(1523),
    [anon_sym_ATprefixes] = ACTIONS(1523),
    [anon_sym_ATif] = ACTIONS(1525),
    [anon_sym_ATifdef] = ACTIONS(1523),
    [anon_sym_ATifndef] = ACTIONS(1523),
    [anon_sym_ATendif] = ACTIONS(1523),
    [anon_sym_ATelse] = ACTIONS(1523),
    [anon_sym_ATDIR] = ACTIONS(1523),
    [anon_sym_ATFILENAME] = ACTIONS(1523),
    [sym_id] = ACTIONS(1525),
    [sym_pattern] = ACTIONS(1523),
    [sym_ipv6] = ACTIONS(1525),
    [sym_ipv4] = ACTIONS(1525),
    [sym_port] = ACTIONS(1523),
    [sym_floatp] = ACTIONS(1525),
    [sym_hex] = ACTIONS(1525),
    [sym_hostname] = ACTIONS(1525),
    [aux_sym_string_token1] = ACTIONS(1523),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [353] = {
    [ts_builtin_sym_end] = ACTIONS(1527),
    [anon_sym_module] = ACTIONS(1529),
    [anon_sym_SEMI] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1529),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_global] = ACTIONS(1529),
    [anon_sym_option] = ACTIONS(1529),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_redef] = ACTIONS(1529),
    [anon_sym_record] = ACTIONS(1529),
    [anon_sym_type] = ACTIONS(1529),
    [anon_sym_print] = ACTIONS(1529),
    [anon_sym_event] = ACTIONS(1529),
    [anon_sym_if] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(1527),
    [anon_sym_switch] = ACTIONS(1529),
    [anon_sym_for] = ACTIONS(1529),
    [anon_sym_LBRACK] = ACTIONS(1527),
    [anon_sym_while] = ACTIONS(1529),
    [anon_sym_next] = ACTIONS(1529),
    [anon_sym_break] = ACTIONS(1529),
    [anon_sym_fallthrough] = ACTIONS(1529),
    [anon_sym_return] = ACTIONS(1529),
    [anon_sym_add] = ACTIONS(1529),
    [anon_sym_delete] = ACTIONS(1529),
    [anon_sym_local] = ACTIONS(1529),
    [anon_sym_when] = ACTIONS(1529),
    [anon_sym_table] = ACTIONS(1529),
    [anon_sym_set] = ACTIONS(1529),
    [anon_sym_vector] = ACTIONS(1529),
    [anon_sym_function] = ACTIONS(1529),
    [anon_sym_hook] = ACTIONS(1529),
    [anon_sym_DOLLAR] = ACTIONS(1527),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1527),
    [anon_sym_DASH_DASH] = ACTIONS(1527),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_copy] = ACTIONS(1529),
    [anon_sym_schedule] = ACTIONS(1529),
    [aux_sym_constant_token1] = ACTIONS(1529),
    [anon_sym_T] = ACTIONS(1529),
    [anon_sym_F] = ACTIONS(1529),
    [anon_sym_ATdeprecated] = ACTIONS(1527),
    [anon_sym_ATload] = ACTIONS(1529),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1527),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1527),
    [anon_sym_ATunload] = ACTIONS(1527),
    [anon_sym_ATprefixes] = ACTIONS(1527),
    [anon_sym_ATif] = ACTIONS(1529),
    [anon_sym_ATifdef] = ACTIONS(1527),
    [anon_sym_ATifndef] = ACTIONS(1527),
    [anon_sym_ATendif] = ACTIONS(1527),
    [anon_sym_ATelse] = ACTIONS(1527),
    [anon_sym_ATDIR] = ACTIONS(1527),
    [anon_sym_ATFILENAME] = ACTIONS(1527),
    [sym_id] = ACTIONS(1529),
    [sym_pattern] = ACTIONS(1527),
    [sym_ipv6] = ACTIONS(1529),
    [sym_ipv4] = ACTIONS(1529),
    [sym_port] = ACTIONS(1527),
    [sym_floatp] = ACTIONS(1529),
    [sym_hex] = ACTIONS(1529),
    [sym_hostname] = ACTIONS(1529),
    [aux_sym_string_token1] = ACTIONS(1527),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [354] = {
    [ts_builtin_sym_end] = ACTIONS(1531),
    [anon_sym_module] = ACTIONS(1533),
    [anon_sym_SEMI] = ACTIONS(1531),
    [anon_sym_export] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_global] = ACTIONS(1533),
    [anon_sym_option] = ACTIONS(1533),
    [anon_sym_const] = ACTIONS(1533),
    [anon_sym_redef] = ACTIONS(1533),
    [anon_sym_record] = ACTIONS(1533),
    [anon_sym_type] = ACTIONS(1533),
    [anon_sym_print] = ACTIONS(1533),
    [anon_sym_event] = ACTIONS(1533),
    [anon_sym_if] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1531),
    [anon_sym_switch] = ACTIONS(1533),
    [anon_sym_for] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1531),
    [anon_sym_while] = ACTIONS(1533),
    [anon_sym_next] = ACTIONS(1533),
    [anon_sym_break] = ACTIONS(1533),
    [anon_sym_fallthrough] = ACTIONS(1533),
    [anon_sym_return] = ACTIONS(1533),
    [anon_sym_add] = ACTIONS(1533),
    [anon_sym_delete] = ACTIONS(1533),
    [anon_sym_local] = ACTIONS(1533),
    [anon_sym_when] = ACTIONS(1533),
    [anon_sym_table] = ACTIONS(1533),
    [anon_sym_set] = ACTIONS(1533),
    [anon_sym_vector] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(1533),
    [anon_sym_hook] = ACTIONS(1533),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_copy] = ACTIONS(1533),
    [anon_sym_schedule] = ACTIONS(1533),
    [aux_sym_constant_token1] = ACTIONS(1533),
    [anon_sym_T] = ACTIONS(1533),
    [anon_sym_F] = ACTIONS(1533),
    [anon_sym_ATdeprecated] = ACTIONS(1531),
    [anon_sym_ATload] = ACTIONS(1533),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1531),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1531),
    [anon_sym_ATunload] = ACTIONS(1531),
    [anon_sym_ATprefixes] = ACTIONS(1531),
    [anon_sym_ATif] = ACTIONS(1533),
    [anon_sym_ATifdef] = ACTIONS(1531),
    [anon_sym_ATifndef] = ACTIONS(1531),
    [anon_sym_ATendif] = ACTIONS(1531),
    [anon_sym_ATelse] = ACTIONS(1531),
    [anon_sym_ATDIR] = ACTIONS(1531),
    [anon_sym_ATFILENAME] = ACTIONS(1531),
    [sym_id] = ACTIONS(1533),
    [sym_pattern] = ACTIONS(1531),
    [sym_ipv6] = ACTIONS(1533),
    [sym_ipv4] = ACTIONS(1533),
    [sym_port] = ACTIONS(1531),
    [sym_floatp] = ACTIONS(1533),
    [sym_hex] = ACTIONS(1533),
    [sym_hostname] = ACTIONS(1533),
    [aux_sym_string_token1] = ACTIONS(1531),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [355] = {
    [ts_builtin_sym_end] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1537),
    [anon_sym_SEMI] = ACTIONS(1535),
    [anon_sym_export] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1535),
    [anon_sym_global] = ACTIONS(1537),
    [anon_sym_option] = ACTIONS(1537),
    [anon_sym_const] = ACTIONS(1537),
    [anon_sym_redef] = ACTIONS(1537),
    [anon_sym_record] = ACTIONS(1537),
    [anon_sym_type] = ACTIONS(1537),
    [anon_sym_print] = ACTIONS(1537),
    [anon_sym_event] = ACTIONS(1537),
    [anon_sym_if] = ACTIONS(1537),
    [anon_sym_LPAREN] = ACTIONS(1535),
    [anon_sym_switch] = ACTIONS(1537),
    [anon_sym_for] = ACTIONS(1537),
    [anon_sym_LBRACK] = ACTIONS(1535),
    [anon_sym_while] = ACTIONS(1537),
    [anon_sym_next] = ACTIONS(1537),
    [anon_sym_break] = ACTIONS(1537),
    [anon_sym_fallthrough] = ACTIONS(1537),
    [anon_sym_return] = ACTIONS(1537),
    [anon_sym_add] = ACTIONS(1537),
    [anon_sym_delete] = ACTIONS(1537),
    [anon_sym_local] = ACTIONS(1537),
    [anon_sym_when] = ACTIONS(1537),
    [anon_sym_table] = ACTIONS(1537),
    [anon_sym_set] = ACTIONS(1537),
    [anon_sym_vector] = ACTIONS(1537),
    [anon_sym_function] = ACTIONS(1537),
    [anon_sym_hook] = ACTIONS(1537),
    [anon_sym_DOLLAR] = ACTIONS(1535),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_copy] = ACTIONS(1537),
    [anon_sym_schedule] = ACTIONS(1537),
    [aux_sym_constant_token1] = ACTIONS(1537),
    [anon_sym_T] = ACTIONS(1537),
    [anon_sym_F] = ACTIONS(1537),
    [anon_sym_ATdeprecated] = ACTIONS(1535),
    [anon_sym_ATload] = ACTIONS(1537),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1535),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1535),
    [anon_sym_ATunload] = ACTIONS(1535),
    [anon_sym_ATprefixes] = ACTIONS(1535),
    [anon_sym_ATif] = ACTIONS(1537),
    [anon_sym_ATifdef] = ACTIONS(1535),
    [anon_sym_ATifndef] = ACTIONS(1535),
    [anon_sym_ATendif] = ACTIONS(1535),
    [anon_sym_ATelse] = ACTIONS(1535),
    [anon_sym_ATDIR] = ACTIONS(1535),
    [anon_sym_ATFILENAME] = ACTIONS(1535),
    [sym_id] = ACTIONS(1537),
    [sym_pattern] = ACTIONS(1535),
    [sym_ipv6] = ACTIONS(1537),
    [sym_ipv4] = ACTIONS(1537),
    [sym_port] = ACTIONS(1535),
    [sym_floatp] = ACTIONS(1537),
    [sym_hex] = ACTIONS(1537),
    [sym_hostname] = ACTIONS(1537),
    [aux_sym_string_token1] = ACTIONS(1535),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [356] = {
    [ts_builtin_sym_end] = ACTIONS(1539),
    [anon_sym_module] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_export] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_global] = ACTIONS(1541),
    [anon_sym_option] = ACTIONS(1541),
    [anon_sym_const] = ACTIONS(1541),
    [anon_sym_redef] = ACTIONS(1541),
    [anon_sym_record] = ACTIONS(1541),
    [anon_sym_type] = ACTIONS(1541),
    [anon_sym_print] = ACTIONS(1541),
    [anon_sym_event] = ACTIONS(1541),
    [anon_sym_if] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [anon_sym_switch] = ACTIONS(1541),
    [anon_sym_for] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [anon_sym_while] = ACTIONS(1541),
    [anon_sym_next] = ACTIONS(1541),
    [anon_sym_break] = ACTIONS(1541),
    [anon_sym_fallthrough] = ACTIONS(1541),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_add] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_local] = ACTIONS(1541),
    [anon_sym_when] = ACTIONS(1541),
    [anon_sym_table] = ACTIONS(1541),
    [anon_sym_set] = ACTIONS(1541),
    [anon_sym_vector] = ACTIONS(1541),
    [anon_sym_function] = ACTIONS(1541),
    [anon_sym_hook] = ACTIONS(1541),
    [anon_sym_DOLLAR] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1539),
    [anon_sym_DASH_DASH] = ACTIONS(1539),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_copy] = ACTIONS(1541),
    [anon_sym_schedule] = ACTIONS(1541),
    [aux_sym_constant_token1] = ACTIONS(1541),
    [anon_sym_T] = ACTIONS(1541),
    [anon_sym_F] = ACTIONS(1541),
    [anon_sym_ATdeprecated] = ACTIONS(1539),
    [anon_sym_ATload] = ACTIONS(1541),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1539),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1539),
    [anon_sym_ATunload] = ACTIONS(1539),
    [anon_sym_ATprefixes] = ACTIONS(1539),
    [anon_sym_ATif] = ACTIONS(1541),
    [anon_sym_ATifdef] = ACTIONS(1539),
    [anon_sym_ATifndef] = ACTIONS(1539),
    [anon_sym_ATendif] = ACTIONS(1539),
    [anon_sym_ATelse] = ACTIONS(1539),
    [anon_sym_ATDIR] = ACTIONS(1539),
    [anon_sym_ATFILENAME] = ACTIONS(1539),
    [sym_id] = ACTIONS(1541),
    [sym_pattern] = ACTIONS(1539),
    [sym_ipv6] = ACTIONS(1541),
    [sym_ipv4] = ACTIONS(1541),
    [sym_port] = ACTIONS(1539),
    [sym_floatp] = ACTIONS(1541),
    [sym_hex] = ACTIONS(1541),
    [sym_hostname] = ACTIONS(1541),
    [aux_sym_string_token1] = ACTIONS(1539),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1543),
    [anon_sym_export] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_global] = ACTIONS(1545),
    [anon_sym_option] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1545),
    [anon_sym_redef] = ACTIONS(1545),
    [anon_sym_record] = ACTIONS(1545),
    [anon_sym_type] = ACTIONS(1545),
    [anon_sym_print] = ACTIONS(1545),
    [anon_sym_event] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_switch] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1545),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_fallthrough] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(1545),
    [anon_sym_add] = ACTIONS(1545),
    [anon_sym_delete] = ACTIONS(1545),
    [anon_sym_local] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1545),
    [anon_sym_table] = ACTIONS(1545),
    [anon_sym_set] = ACTIONS(1545),
    [anon_sym_vector] = ACTIONS(1545),
    [anon_sym_function] = ACTIONS(1545),
    [anon_sym_hook] = ACTIONS(1545),
    [anon_sym_DOLLAR] = ACTIONS(1543),
    [anon_sym_PIPE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_copy] = ACTIONS(1545),
    [anon_sym_schedule] = ACTIONS(1545),
    [aux_sym_constant_token1] = ACTIONS(1545),
    [anon_sym_T] = ACTIONS(1545),
    [anon_sym_F] = ACTIONS(1545),
    [anon_sym_ATdeprecated] = ACTIONS(1543),
    [anon_sym_ATload] = ACTIONS(1545),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1543),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1543),
    [anon_sym_ATunload] = ACTIONS(1543),
    [anon_sym_ATprefixes] = ACTIONS(1543),
    [anon_sym_ATif] = ACTIONS(1545),
    [anon_sym_ATifdef] = ACTIONS(1543),
    [anon_sym_ATifndef] = ACTIONS(1543),
    [anon_sym_ATendif] = ACTIONS(1543),
    [anon_sym_ATelse] = ACTIONS(1543),
    [anon_sym_ATDIR] = ACTIONS(1543),
    [anon_sym_ATFILENAME] = ACTIONS(1543),
    [sym_id] = ACTIONS(1545),
    [sym_pattern] = ACTIONS(1543),
    [sym_ipv6] = ACTIONS(1545),
    [sym_ipv4] = ACTIONS(1545),
    [sym_port] = ACTIONS(1543),
    [sym_floatp] = ACTIONS(1545),
    [sym_hex] = ACTIONS(1545),
    [sym_hostname] = ACTIONS(1545),
    [aux_sym_string_token1] = ACTIONS(1543),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [358] = {
    [ts_builtin_sym_end] = ACTIONS(1547),
    [anon_sym_module] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_export] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_global] = ACTIONS(1549),
    [anon_sym_option] = ACTIONS(1549),
    [anon_sym_const] = ACTIONS(1549),
    [anon_sym_redef] = ACTIONS(1549),
    [anon_sym_record] = ACTIONS(1549),
    [anon_sym_type] = ACTIONS(1549),
    [anon_sym_print] = ACTIONS(1549),
    [anon_sym_event] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1547),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_next] = ACTIONS(1549),
    [anon_sym_break] = ACTIONS(1549),
    [anon_sym_fallthrough] = ACTIONS(1549),
    [anon_sym_return] = ACTIONS(1549),
    [anon_sym_add] = ACTIONS(1549),
    [anon_sym_delete] = ACTIONS(1549),
    [anon_sym_local] = ACTIONS(1549),
    [anon_sym_when] = ACTIONS(1549),
    [anon_sym_table] = ACTIONS(1549),
    [anon_sym_set] = ACTIONS(1549),
    [anon_sym_vector] = ACTIONS(1549),
    [anon_sym_function] = ACTIONS(1549),
    [anon_sym_hook] = ACTIONS(1549),
    [anon_sym_DOLLAR] = ACTIONS(1547),
    [anon_sym_PIPE] = ACTIONS(1547),
    [anon_sym_PLUS_PLUS] = ACTIONS(1547),
    [anon_sym_DASH_DASH] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_copy] = ACTIONS(1549),
    [anon_sym_schedule] = ACTIONS(1549),
    [aux_sym_constant_token1] = ACTIONS(1549),
    [anon_sym_T] = ACTIONS(1549),
    [anon_sym_F] = ACTIONS(1549),
    [anon_sym_ATdeprecated] = ACTIONS(1547),
    [anon_sym_ATload] = ACTIONS(1549),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1547),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1547),
    [anon_sym_ATunload] = ACTIONS(1547),
    [anon_sym_ATprefixes] = ACTIONS(1547),
    [anon_sym_ATif] = ACTIONS(1549),
    [anon_sym_ATifdef] = ACTIONS(1547),
    [anon_sym_ATifndef] = ACTIONS(1547),
    [anon_sym_ATendif] = ACTIONS(1547),
    [anon_sym_ATelse] = ACTIONS(1547),
    [anon_sym_ATDIR] = ACTIONS(1547),
    [anon_sym_ATFILENAME] = ACTIONS(1547),
    [sym_id] = ACTIONS(1549),
    [sym_pattern] = ACTIONS(1547),
    [sym_ipv6] = ACTIONS(1549),
    [sym_ipv4] = ACTIONS(1549),
    [sym_port] = ACTIONS(1547),
    [sym_floatp] = ACTIONS(1549),
    [sym_hex] = ACTIONS(1549),
    [sym_hostname] = ACTIONS(1549),
    [aux_sym_string_token1] = ACTIONS(1547),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(1551),
    [anon_sym_module] = ACTIONS(1553),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_export] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_global] = ACTIONS(1553),
    [anon_sym_option] = ACTIONS(1553),
    [anon_sym_const] = ACTIONS(1553),
    [anon_sym_redef] = ACTIONS(1553),
    [anon_sym_record] = ACTIONS(1553),
    [anon_sym_type] = ACTIONS(1553),
    [anon_sym_print] = ACTIONS(1553),
    [anon_sym_event] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_switch] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_next] = ACTIONS(1553),
    [anon_sym_break] = ACTIONS(1553),
    [anon_sym_fallthrough] = ACTIONS(1553),
    [anon_sym_return] = ACTIONS(1553),
    [anon_sym_add] = ACTIONS(1553),
    [anon_sym_delete] = ACTIONS(1553),
    [anon_sym_local] = ACTIONS(1553),
    [anon_sym_when] = ACTIONS(1553),
    [anon_sym_table] = ACTIONS(1553),
    [anon_sym_set] = ACTIONS(1553),
    [anon_sym_vector] = ACTIONS(1553),
    [anon_sym_function] = ACTIONS(1553),
    [anon_sym_hook] = ACTIONS(1553),
    [anon_sym_DOLLAR] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_copy] = ACTIONS(1553),
    [anon_sym_schedule] = ACTIONS(1553),
    [aux_sym_constant_token1] = ACTIONS(1553),
    [anon_sym_T] = ACTIONS(1553),
    [anon_sym_F] = ACTIONS(1553),
    [anon_sym_ATdeprecated] = ACTIONS(1551),
    [anon_sym_ATload] = ACTIONS(1553),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1551),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1551),
    [anon_sym_ATunload] = ACTIONS(1551),
    [anon_sym_ATprefixes] = ACTIONS(1551),
    [anon_sym_ATif] = ACTIONS(1553),
    [anon_sym_ATifdef] = ACTIONS(1551),
    [anon_sym_ATifndef] = ACTIONS(1551),
    [anon_sym_ATendif] = ACTIONS(1551),
    [anon_sym_ATelse] = ACTIONS(1551),
    [anon_sym_ATDIR] = ACTIONS(1551),
    [anon_sym_ATFILENAME] = ACTIONS(1551),
    [sym_id] = ACTIONS(1553),
    [sym_pattern] = ACTIONS(1551),
    [sym_ipv6] = ACTIONS(1553),
    [sym_ipv4] = ACTIONS(1553),
    [sym_port] = ACTIONS(1551),
    [sym_floatp] = ACTIONS(1553),
    [sym_hex] = ACTIONS(1553),
    [sym_hostname] = ACTIONS(1553),
    [aux_sym_string_token1] = ACTIONS(1551),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1557),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym_export] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_global] = ACTIONS(1557),
    [anon_sym_option] = ACTIONS(1557),
    [anon_sym_const] = ACTIONS(1557),
    [anon_sym_redef] = ACTIONS(1557),
    [anon_sym_record] = ACTIONS(1557),
    [anon_sym_type] = ACTIONS(1557),
    [anon_sym_print] = ACTIONS(1557),
    [anon_sym_event] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_LPAREN] = ACTIONS(1555),
    [anon_sym_switch] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_LBRACK] = ACTIONS(1555),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_next] = ACTIONS(1557),
    [anon_sym_break] = ACTIONS(1557),
    [anon_sym_fallthrough] = ACTIONS(1557),
    [anon_sym_return] = ACTIONS(1557),
    [anon_sym_add] = ACTIONS(1557),
    [anon_sym_delete] = ACTIONS(1557),
    [anon_sym_local] = ACTIONS(1557),
    [anon_sym_when] = ACTIONS(1557),
    [anon_sym_table] = ACTIONS(1557),
    [anon_sym_set] = ACTIONS(1557),
    [anon_sym_vector] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(1557),
    [anon_sym_hook] = ACTIONS(1557),
    [anon_sym_DOLLAR] = ACTIONS(1555),
    [anon_sym_PIPE] = ACTIONS(1555),
    [anon_sym_PLUS_PLUS] = ACTIONS(1555),
    [anon_sym_DASH_DASH] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_copy] = ACTIONS(1557),
    [anon_sym_schedule] = ACTIONS(1557),
    [aux_sym_constant_token1] = ACTIONS(1557),
    [anon_sym_T] = ACTIONS(1557),
    [anon_sym_F] = ACTIONS(1557),
    [anon_sym_ATdeprecated] = ACTIONS(1555),
    [anon_sym_ATload] = ACTIONS(1557),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1555),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1555),
    [anon_sym_ATunload] = ACTIONS(1555),
    [anon_sym_ATprefixes] = ACTIONS(1555),
    [anon_sym_ATif] = ACTIONS(1557),
    [anon_sym_ATifdef] = ACTIONS(1555),
    [anon_sym_ATifndef] = ACTIONS(1555),
    [anon_sym_ATendif] = ACTIONS(1555),
    [anon_sym_ATelse] = ACTIONS(1555),
    [anon_sym_ATDIR] = ACTIONS(1555),
    [anon_sym_ATFILENAME] = ACTIONS(1555),
    [sym_id] = ACTIONS(1557),
    [sym_pattern] = ACTIONS(1555),
    [sym_ipv6] = ACTIONS(1557),
    [sym_ipv4] = ACTIONS(1557),
    [sym_port] = ACTIONS(1555),
    [sym_floatp] = ACTIONS(1557),
    [sym_hex] = ACTIONS(1557),
    [sym_hostname] = ACTIONS(1557),
    [aux_sym_string_token1] = ACTIONS(1555),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [361] = {
    [ts_builtin_sym_end] = ACTIONS(1559),
    [anon_sym_module] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_export] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_global] = ACTIONS(1561),
    [anon_sym_option] = ACTIONS(1561),
    [anon_sym_const] = ACTIONS(1561),
    [anon_sym_redef] = ACTIONS(1561),
    [anon_sym_record] = ACTIONS(1561),
    [anon_sym_type] = ACTIONS(1561),
    [anon_sym_print] = ACTIONS(1561),
    [anon_sym_event] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1559),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1559),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_next] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_fallthrough] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_add] = ACTIONS(1561),
    [anon_sym_delete] = ACTIONS(1561),
    [anon_sym_local] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(1561),
    [anon_sym_table] = ACTIONS(1561),
    [anon_sym_set] = ACTIONS(1561),
    [anon_sym_vector] = ACTIONS(1561),
    [anon_sym_function] = ACTIONS(1561),
    [anon_sym_hook] = ACTIONS(1561),
    [anon_sym_DOLLAR] = ACTIONS(1559),
    [anon_sym_PIPE] = ACTIONS(1559),
    [anon_sym_PLUS_PLUS] = ACTIONS(1559),
    [anon_sym_DASH_DASH] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_copy] = ACTIONS(1561),
    [anon_sym_schedule] = ACTIONS(1561),
    [aux_sym_constant_token1] = ACTIONS(1561),
    [anon_sym_T] = ACTIONS(1561),
    [anon_sym_F] = ACTIONS(1561),
    [anon_sym_ATdeprecated] = ACTIONS(1559),
    [anon_sym_ATload] = ACTIONS(1561),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1559),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1559),
    [anon_sym_ATunload] = ACTIONS(1559),
    [anon_sym_ATprefixes] = ACTIONS(1559),
    [anon_sym_ATif] = ACTIONS(1561),
    [anon_sym_ATifdef] = ACTIONS(1559),
    [anon_sym_ATifndef] = ACTIONS(1559),
    [anon_sym_ATendif] = ACTIONS(1559),
    [anon_sym_ATelse] = ACTIONS(1559),
    [anon_sym_ATDIR] = ACTIONS(1559),
    [anon_sym_ATFILENAME] = ACTIONS(1559),
    [sym_id] = ACTIONS(1561),
    [sym_pattern] = ACTIONS(1559),
    [sym_ipv6] = ACTIONS(1561),
    [sym_ipv4] = ACTIONS(1561),
    [sym_port] = ACTIONS(1559),
    [sym_floatp] = ACTIONS(1561),
    [sym_hex] = ACTIONS(1561),
    [sym_hostname] = ACTIONS(1561),
    [aux_sym_string_token1] = ACTIONS(1559),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_export] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_global] = ACTIONS(1565),
    [anon_sym_option] = ACTIONS(1565),
    [anon_sym_const] = ACTIONS(1565),
    [anon_sym_redef] = ACTIONS(1565),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_type] = ACTIONS(1565),
    [anon_sym_print] = ACTIONS(1565),
    [anon_sym_event] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_next] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_fallthrough] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_add] = ACTIONS(1565),
    [anon_sym_delete] = ACTIONS(1565),
    [anon_sym_local] = ACTIONS(1565),
    [anon_sym_when] = ACTIONS(1565),
    [anon_sym_table] = ACTIONS(1565),
    [anon_sym_set] = ACTIONS(1565),
    [anon_sym_vector] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1565),
    [anon_sym_hook] = ACTIONS(1565),
    [anon_sym_DOLLAR] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1563),
    [anon_sym_DASH_DASH] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_copy] = ACTIONS(1565),
    [anon_sym_schedule] = ACTIONS(1565),
    [aux_sym_constant_token1] = ACTIONS(1565),
    [anon_sym_T] = ACTIONS(1565),
    [anon_sym_F] = ACTIONS(1565),
    [anon_sym_ATdeprecated] = ACTIONS(1563),
    [anon_sym_ATload] = ACTIONS(1565),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1563),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1563),
    [anon_sym_ATunload] = ACTIONS(1563),
    [anon_sym_ATprefixes] = ACTIONS(1563),
    [anon_sym_ATif] = ACTIONS(1565),
    [anon_sym_ATifdef] = ACTIONS(1563),
    [anon_sym_ATifndef] = ACTIONS(1563),
    [anon_sym_ATendif] = ACTIONS(1563),
    [anon_sym_ATelse] = ACTIONS(1563),
    [anon_sym_ATDIR] = ACTIONS(1563),
    [anon_sym_ATFILENAME] = ACTIONS(1563),
    [sym_id] = ACTIONS(1565),
    [sym_pattern] = ACTIONS(1563),
    [sym_ipv6] = ACTIONS(1565),
    [sym_ipv4] = ACTIONS(1565),
    [sym_port] = ACTIONS(1563),
    [sym_floatp] = ACTIONS(1565),
    [sym_hex] = ACTIONS(1565),
    [sym_hostname] = ACTIONS(1565),
    [aux_sym_string_token1] = ACTIONS(1563),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(1567),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_SEMI] = ACTIONS(1567),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1567),
    [anon_sym_global] = ACTIONS(1569),
    [anon_sym_option] = ACTIONS(1569),
    [anon_sym_const] = ACTIONS(1569),
    [anon_sym_redef] = ACTIONS(1569),
    [anon_sym_record] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_print] = ACTIONS(1569),
    [anon_sym_event] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_switch] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1567),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_next] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1569),
    [anon_sym_fallthrough] = ACTIONS(1569),
    [anon_sym_return] = ACTIONS(1569),
    [anon_sym_add] = ACTIONS(1569),
    [anon_sym_delete] = ACTIONS(1569),
    [anon_sym_local] = ACTIONS(1569),
    [anon_sym_when] = ACTIONS(1569),
    [anon_sym_table] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_vector] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_hook] = ACTIONS(1569),
    [anon_sym_DOLLAR] = ACTIONS(1567),
    [anon_sym_PIPE] = ACTIONS(1567),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_copy] = ACTIONS(1569),
    [anon_sym_schedule] = ACTIONS(1569),
    [aux_sym_constant_token1] = ACTIONS(1569),
    [anon_sym_T] = ACTIONS(1569),
    [anon_sym_F] = ACTIONS(1569),
    [anon_sym_ATdeprecated] = ACTIONS(1567),
    [anon_sym_ATload] = ACTIONS(1569),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1567),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1567),
    [anon_sym_ATunload] = ACTIONS(1567),
    [anon_sym_ATprefixes] = ACTIONS(1567),
    [anon_sym_ATif] = ACTIONS(1569),
    [anon_sym_ATifdef] = ACTIONS(1567),
    [anon_sym_ATifndef] = ACTIONS(1567),
    [anon_sym_ATendif] = ACTIONS(1567),
    [anon_sym_ATelse] = ACTIONS(1567),
    [anon_sym_ATDIR] = ACTIONS(1567),
    [anon_sym_ATFILENAME] = ACTIONS(1567),
    [sym_id] = ACTIONS(1569),
    [sym_pattern] = ACTIONS(1567),
    [sym_ipv6] = ACTIONS(1569),
    [sym_ipv4] = ACTIONS(1569),
    [sym_port] = ACTIONS(1567),
    [sym_floatp] = ACTIONS(1569),
    [sym_hex] = ACTIONS(1569),
    [sym_hostname] = ACTIONS(1569),
    [aux_sym_string_token1] = ACTIONS(1567),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [364] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [anon_sym_module] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [anon_sym_export] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1417),
    [anon_sym_global] = ACTIONS(1419),
    [anon_sym_option] = ACTIONS(1419),
    [anon_sym_const] = ACTIONS(1419),
    [anon_sym_redef] = ACTIONS(1419),
    [anon_sym_record] = ACTIONS(1419),
    [anon_sym_type] = ACTIONS(1419),
    [anon_sym_print] = ACTIONS(1419),
    [anon_sym_event] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [anon_sym_switch] = ACTIONS(1419),
    [anon_sym_for] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [anon_sym_while] = ACTIONS(1419),
    [anon_sym_next] = ACTIONS(1419),
    [anon_sym_break] = ACTIONS(1419),
    [anon_sym_fallthrough] = ACTIONS(1419),
    [anon_sym_return] = ACTIONS(1419),
    [anon_sym_add] = ACTIONS(1419),
    [anon_sym_delete] = ACTIONS(1419),
    [anon_sym_local] = ACTIONS(1419),
    [anon_sym_when] = ACTIONS(1419),
    [anon_sym_table] = ACTIONS(1419),
    [anon_sym_set] = ACTIONS(1419),
    [anon_sym_vector] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(1419),
    [anon_sym_hook] = ACTIONS(1419),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1417),
    [anon_sym_PLUS_PLUS] = ACTIONS(1417),
    [anon_sym_DASH_DASH] = ACTIONS(1417),
    [anon_sym_BANG] = ACTIONS(1417),
    [anon_sym_TILDE] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_PLUS] = ACTIONS(1419),
    [anon_sym_copy] = ACTIONS(1419),
    [anon_sym_schedule] = ACTIONS(1419),
    [aux_sym_constant_token1] = ACTIONS(1419),
    [anon_sym_T] = ACTIONS(1419),
    [anon_sym_F] = ACTIONS(1419),
    [anon_sym_ATdeprecated] = ACTIONS(1417),
    [anon_sym_ATload] = ACTIONS(1419),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1417),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1417),
    [anon_sym_ATunload] = ACTIONS(1417),
    [anon_sym_ATprefixes] = ACTIONS(1417),
    [anon_sym_ATif] = ACTIONS(1419),
    [anon_sym_ATifdef] = ACTIONS(1417),
    [anon_sym_ATifndef] = ACTIONS(1417),
    [anon_sym_ATendif] = ACTIONS(1417),
    [anon_sym_ATelse] = ACTIONS(1417),
    [anon_sym_ATDIR] = ACTIONS(1417),
    [anon_sym_ATFILENAME] = ACTIONS(1417),
    [sym_id] = ACTIONS(1419),
    [sym_pattern] = ACTIONS(1417),
    [sym_ipv6] = ACTIONS(1419),
    [sym_ipv4] = ACTIONS(1419),
    [sym_port] = ACTIONS(1417),
    [sym_floatp] = ACTIONS(1419),
    [sym_hex] = ACTIONS(1419),
    [sym_hostname] = ACTIONS(1419),
    [aux_sym_string_token1] = ACTIONS(1417),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(1571),
    [anon_sym_module] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1571),
    [anon_sym_export] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(1571),
    [anon_sym_global] = ACTIONS(1573),
    [anon_sym_option] = ACTIONS(1573),
    [anon_sym_const] = ACTIONS(1573),
    [anon_sym_redef] = ACTIONS(1573),
    [anon_sym_record] = ACTIONS(1573),
    [anon_sym_type] = ACTIONS(1573),
    [anon_sym_print] = ACTIONS(1573),
    [anon_sym_event] = ACTIONS(1573),
    [anon_sym_if] = ACTIONS(1573),
    [anon_sym_LPAREN] = ACTIONS(1571),
    [anon_sym_switch] = ACTIONS(1573),
    [anon_sym_for] = ACTIONS(1573),
    [anon_sym_LBRACK] = ACTIONS(1571),
    [anon_sym_while] = ACTIONS(1573),
    [anon_sym_next] = ACTIONS(1573),
    [anon_sym_break] = ACTIONS(1573),
    [anon_sym_fallthrough] = ACTIONS(1573),
    [anon_sym_return] = ACTIONS(1573),
    [anon_sym_add] = ACTIONS(1573),
    [anon_sym_delete] = ACTIONS(1573),
    [anon_sym_local] = ACTIONS(1573),
    [anon_sym_when] = ACTIONS(1573),
    [anon_sym_table] = ACTIONS(1573),
    [anon_sym_set] = ACTIONS(1573),
    [anon_sym_vector] = ACTIONS(1573),
    [anon_sym_function] = ACTIONS(1573),
    [anon_sym_hook] = ACTIONS(1573),
    [anon_sym_DOLLAR] = ACTIONS(1571),
    [anon_sym_PIPE] = ACTIONS(1571),
    [anon_sym_PLUS_PLUS] = ACTIONS(1571),
    [anon_sym_DASH_DASH] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_copy] = ACTIONS(1573),
    [anon_sym_schedule] = ACTIONS(1573),
    [aux_sym_constant_token1] = ACTIONS(1573),
    [anon_sym_T] = ACTIONS(1573),
    [anon_sym_F] = ACTIONS(1573),
    [anon_sym_ATdeprecated] = ACTIONS(1571),
    [anon_sym_ATload] = ACTIONS(1573),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1571),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1571),
    [anon_sym_ATunload] = ACTIONS(1571),
    [anon_sym_ATprefixes] = ACTIONS(1571),
    [anon_sym_ATif] = ACTIONS(1573),
    [anon_sym_ATifdef] = ACTIONS(1571),
    [anon_sym_ATifndef] = ACTIONS(1571),
    [anon_sym_ATendif] = ACTIONS(1571),
    [anon_sym_ATelse] = ACTIONS(1571),
    [anon_sym_ATDIR] = ACTIONS(1571),
    [anon_sym_ATFILENAME] = ACTIONS(1571),
    [sym_id] = ACTIONS(1573),
    [sym_pattern] = ACTIONS(1571),
    [sym_ipv6] = ACTIONS(1573),
    [sym_ipv4] = ACTIONS(1573),
    [sym_port] = ACTIONS(1571),
    [sym_floatp] = ACTIONS(1573),
    [sym_hex] = ACTIONS(1573),
    [sym_hostname] = ACTIONS(1573),
    [aux_sym_string_token1] = ACTIONS(1571),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [366] = {
    [ts_builtin_sym_end] = ACTIONS(1575),
    [anon_sym_module] = ACTIONS(1577),
    [anon_sym_SEMI] = ACTIONS(1575),
    [anon_sym_export] = ACTIONS(1577),
    [anon_sym_LBRACE] = ACTIONS(1575),
    [anon_sym_global] = ACTIONS(1577),
    [anon_sym_option] = ACTIONS(1577),
    [anon_sym_const] = ACTIONS(1577),
    [anon_sym_redef] = ACTIONS(1577),
    [anon_sym_record] = ACTIONS(1577),
    [anon_sym_type] = ACTIONS(1577),
    [anon_sym_print] = ACTIONS(1577),
    [anon_sym_event] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1577),
    [anon_sym_LPAREN] = ACTIONS(1575),
    [anon_sym_switch] = ACTIONS(1577),
    [anon_sym_for] = ACTIONS(1577),
    [anon_sym_LBRACK] = ACTIONS(1575),
    [anon_sym_while] = ACTIONS(1577),
    [anon_sym_next] = ACTIONS(1577),
    [anon_sym_break] = ACTIONS(1577),
    [anon_sym_fallthrough] = ACTIONS(1577),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_add] = ACTIONS(1577),
    [anon_sym_delete] = ACTIONS(1577),
    [anon_sym_local] = ACTIONS(1577),
    [anon_sym_when] = ACTIONS(1577),
    [anon_sym_table] = ACTIONS(1577),
    [anon_sym_set] = ACTIONS(1577),
    [anon_sym_vector] = ACTIONS(1577),
    [anon_sym_function] = ACTIONS(1577),
    [anon_sym_hook] = ACTIONS(1577),
    [anon_sym_DOLLAR] = ACTIONS(1575),
    [anon_sym_PIPE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_DASH] = ACTIONS(1577),
    [anon_sym_PLUS] = ACTIONS(1577),
    [anon_sym_copy] = ACTIONS(1577),
    [anon_sym_schedule] = ACTIONS(1577),
    [aux_sym_constant_token1] = ACTIONS(1577),
    [anon_sym_T] = ACTIONS(1577),
    [anon_sym_F] = ACTIONS(1577),
    [anon_sym_ATdeprecated] = ACTIONS(1575),
    [anon_sym_ATload] = ACTIONS(1577),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1575),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1575),
    [anon_sym_ATunload] = ACTIONS(1575),
    [anon_sym_ATprefixes] = ACTIONS(1575),
    [anon_sym_ATif] = ACTIONS(1577),
    [anon_sym_ATifdef] = ACTIONS(1575),
    [anon_sym_ATifndef] = ACTIONS(1575),
    [anon_sym_ATendif] = ACTIONS(1575),
    [anon_sym_ATelse] = ACTIONS(1575),
    [anon_sym_ATDIR] = ACTIONS(1575),
    [anon_sym_ATFILENAME] = ACTIONS(1575),
    [sym_id] = ACTIONS(1577),
    [sym_pattern] = ACTIONS(1575),
    [sym_ipv6] = ACTIONS(1577),
    [sym_ipv4] = ACTIONS(1577),
    [sym_port] = ACTIONS(1575),
    [sym_floatp] = ACTIONS(1577),
    [sym_hex] = ACTIONS(1577),
    [sym_hostname] = ACTIONS(1577),
    [aux_sym_string_token1] = ACTIONS(1575),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [367] = {
    [ts_builtin_sym_end] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1581),
    [anon_sym_SEMI] = ACTIONS(1579),
    [anon_sym_export] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1579),
    [anon_sym_global] = ACTIONS(1581),
    [anon_sym_option] = ACTIONS(1581),
    [anon_sym_const] = ACTIONS(1581),
    [anon_sym_redef] = ACTIONS(1581),
    [anon_sym_record] = ACTIONS(1581),
    [anon_sym_type] = ACTIONS(1581),
    [anon_sym_print] = ACTIONS(1581),
    [anon_sym_event] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_LPAREN] = ACTIONS(1579),
    [anon_sym_switch] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [anon_sym_LBRACK] = ACTIONS(1579),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_next] = ACTIONS(1581),
    [anon_sym_break] = ACTIONS(1581),
    [anon_sym_fallthrough] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_add] = ACTIONS(1581),
    [anon_sym_delete] = ACTIONS(1581),
    [anon_sym_local] = ACTIONS(1581),
    [anon_sym_when] = ACTIONS(1581),
    [anon_sym_table] = ACTIONS(1581),
    [anon_sym_set] = ACTIONS(1581),
    [anon_sym_vector] = ACTIONS(1581),
    [anon_sym_function] = ACTIONS(1581),
    [anon_sym_hook] = ACTIONS(1581),
    [anon_sym_DOLLAR] = ACTIONS(1579),
    [anon_sym_PIPE] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1579),
    [anon_sym_TILDE] = ACTIONS(1579),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_copy] = ACTIONS(1581),
    [anon_sym_schedule] = ACTIONS(1581),
    [aux_sym_constant_token1] = ACTIONS(1581),
    [anon_sym_T] = ACTIONS(1581),
    [anon_sym_F] = ACTIONS(1581),
    [anon_sym_ATdeprecated] = ACTIONS(1579),
    [anon_sym_ATload] = ACTIONS(1581),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1579),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1579),
    [anon_sym_ATunload] = ACTIONS(1579),
    [anon_sym_ATprefixes] = ACTIONS(1579),
    [anon_sym_ATif] = ACTIONS(1581),
    [anon_sym_ATifdef] = ACTIONS(1579),
    [anon_sym_ATifndef] = ACTIONS(1579),
    [anon_sym_ATendif] = ACTIONS(1579),
    [anon_sym_ATelse] = ACTIONS(1579),
    [anon_sym_ATDIR] = ACTIONS(1579),
    [anon_sym_ATFILENAME] = ACTIONS(1579),
    [sym_id] = ACTIONS(1581),
    [sym_pattern] = ACTIONS(1579),
    [sym_ipv6] = ACTIONS(1581),
    [sym_ipv4] = ACTIONS(1581),
    [sym_port] = ACTIONS(1579),
    [sym_floatp] = ACTIONS(1581),
    [sym_hex] = ACTIONS(1581),
    [sym_hostname] = ACTIONS(1581),
    [aux_sym_string_token1] = ACTIONS(1579),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [368] = {
    [ts_builtin_sym_end] = ACTIONS(1583),
    [anon_sym_module] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1583),
    [anon_sym_export] = ACTIONS(1585),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_global] = ACTIONS(1585),
    [anon_sym_option] = ACTIONS(1585),
    [anon_sym_const] = ACTIONS(1585),
    [anon_sym_redef] = ACTIONS(1585),
    [anon_sym_record] = ACTIONS(1585),
    [anon_sym_type] = ACTIONS(1585),
    [anon_sym_print] = ACTIONS(1585),
    [anon_sym_event] = ACTIONS(1585),
    [anon_sym_if] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_switch] = ACTIONS(1585),
    [anon_sym_for] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1583),
    [anon_sym_while] = ACTIONS(1585),
    [anon_sym_next] = ACTIONS(1585),
    [anon_sym_break] = ACTIONS(1585),
    [anon_sym_fallthrough] = ACTIONS(1585),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_add] = ACTIONS(1585),
    [anon_sym_delete] = ACTIONS(1585),
    [anon_sym_local] = ACTIONS(1585),
    [anon_sym_when] = ACTIONS(1585),
    [anon_sym_table] = ACTIONS(1585),
    [anon_sym_set] = ACTIONS(1585),
    [anon_sym_vector] = ACTIONS(1585),
    [anon_sym_function] = ACTIONS(1585),
    [anon_sym_hook] = ACTIONS(1585),
    [anon_sym_DOLLAR] = ACTIONS(1583),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1583),
    [anon_sym_DASH_DASH] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1583),
    [anon_sym_TILDE] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_copy] = ACTIONS(1585),
    [anon_sym_schedule] = ACTIONS(1585),
    [aux_sym_constant_token1] = ACTIONS(1585),
    [anon_sym_T] = ACTIONS(1585),
    [anon_sym_F] = ACTIONS(1585),
    [anon_sym_ATdeprecated] = ACTIONS(1583),
    [anon_sym_ATload] = ACTIONS(1585),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1583),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1583),
    [anon_sym_ATunload] = ACTIONS(1583),
    [anon_sym_ATprefixes] = ACTIONS(1583),
    [anon_sym_ATif] = ACTIONS(1585),
    [anon_sym_ATifdef] = ACTIONS(1583),
    [anon_sym_ATifndef] = ACTIONS(1583),
    [anon_sym_ATendif] = ACTIONS(1583),
    [anon_sym_ATelse] = ACTIONS(1583),
    [anon_sym_ATDIR] = ACTIONS(1583),
    [anon_sym_ATFILENAME] = ACTIONS(1583),
    [sym_id] = ACTIONS(1585),
    [sym_pattern] = ACTIONS(1583),
    [sym_ipv6] = ACTIONS(1585),
    [sym_ipv4] = ACTIONS(1585),
    [sym_port] = ACTIONS(1583),
    [sym_floatp] = ACTIONS(1585),
    [sym_hex] = ACTIONS(1585),
    [sym_hostname] = ACTIONS(1585),
    [aux_sym_string_token1] = ACTIONS(1583),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(1471),
    [anon_sym_module] = ACTIONS(1473),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1473),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_global] = ACTIONS(1473),
    [anon_sym_option] = ACTIONS(1473),
    [anon_sym_const] = ACTIONS(1473),
    [anon_sym_redef] = ACTIONS(1473),
    [anon_sym_record] = ACTIONS(1473),
    [anon_sym_type] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(1473),
    [anon_sym_event] = ACTIONS(1473),
    [anon_sym_if] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(1471),
    [anon_sym_switch] = ACTIONS(1473),
    [anon_sym_for] = ACTIONS(1473),
    [anon_sym_LBRACK] = ACTIONS(1471),
    [anon_sym_while] = ACTIONS(1473),
    [anon_sym_next] = ACTIONS(1473),
    [anon_sym_break] = ACTIONS(1473),
    [anon_sym_fallthrough] = ACTIONS(1473),
    [anon_sym_return] = ACTIONS(1473),
    [anon_sym_add] = ACTIONS(1473),
    [anon_sym_delete] = ACTIONS(1473),
    [anon_sym_local] = ACTIONS(1473),
    [anon_sym_when] = ACTIONS(1473),
    [anon_sym_table] = ACTIONS(1473),
    [anon_sym_set] = ACTIONS(1473),
    [anon_sym_vector] = ACTIONS(1473),
    [anon_sym_function] = ACTIONS(1473),
    [anon_sym_hook] = ACTIONS(1473),
    [anon_sym_DOLLAR] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1471),
    [anon_sym_DASH_DASH] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1471),
    [anon_sym_TILDE] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_copy] = ACTIONS(1473),
    [anon_sym_schedule] = ACTIONS(1473),
    [aux_sym_constant_token1] = ACTIONS(1473),
    [anon_sym_T] = ACTIONS(1473),
    [anon_sym_F] = ACTIONS(1473),
    [anon_sym_ATdeprecated] = ACTIONS(1471),
    [anon_sym_ATload] = ACTIONS(1473),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1471),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1471),
    [anon_sym_ATunload] = ACTIONS(1471),
    [anon_sym_ATprefixes] = ACTIONS(1471),
    [anon_sym_ATif] = ACTIONS(1473),
    [anon_sym_ATifdef] = ACTIONS(1471),
    [anon_sym_ATifndef] = ACTIONS(1471),
    [anon_sym_ATendif] = ACTIONS(1471),
    [anon_sym_ATelse] = ACTIONS(1471),
    [anon_sym_ATDIR] = ACTIONS(1471),
    [anon_sym_ATFILENAME] = ACTIONS(1471),
    [sym_id] = ACTIONS(1473),
    [sym_pattern] = ACTIONS(1471),
    [sym_ipv6] = ACTIONS(1473),
    [sym_ipv4] = ACTIONS(1473),
    [sym_port] = ACTIONS(1471),
    [sym_floatp] = ACTIONS(1473),
    [sym_hex] = ACTIONS(1473),
    [sym_hostname] = ACTIONS(1473),
    [aux_sym_string_token1] = ACTIONS(1471),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [370] = {
    [ts_builtin_sym_end] = ACTIONS(1587),
    [anon_sym_module] = ACTIONS(1589),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_export] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym_global] = ACTIONS(1589),
    [anon_sym_option] = ACTIONS(1589),
    [anon_sym_const] = ACTIONS(1589),
    [anon_sym_redef] = ACTIONS(1589),
    [anon_sym_record] = ACTIONS(1589),
    [anon_sym_type] = ACTIONS(1589),
    [anon_sym_print] = ACTIONS(1589),
    [anon_sym_event] = ACTIONS(1589),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_switch] = ACTIONS(1589),
    [anon_sym_for] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_while] = ACTIONS(1589),
    [anon_sym_next] = ACTIONS(1589),
    [anon_sym_break] = ACTIONS(1589),
    [anon_sym_fallthrough] = ACTIONS(1589),
    [anon_sym_return] = ACTIONS(1589),
    [anon_sym_add] = ACTIONS(1589),
    [anon_sym_delete] = ACTIONS(1589),
    [anon_sym_local] = ACTIONS(1589),
    [anon_sym_when] = ACTIONS(1589),
    [anon_sym_table] = ACTIONS(1589),
    [anon_sym_set] = ACTIONS(1589),
    [anon_sym_vector] = ACTIONS(1589),
    [anon_sym_function] = ACTIONS(1589),
    [anon_sym_hook] = ACTIONS(1589),
    [anon_sym_DOLLAR] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_copy] = ACTIONS(1589),
    [anon_sym_schedule] = ACTIONS(1589),
    [aux_sym_constant_token1] = ACTIONS(1589),
    [anon_sym_T] = ACTIONS(1589),
    [anon_sym_F] = ACTIONS(1589),
    [anon_sym_ATdeprecated] = ACTIONS(1587),
    [anon_sym_ATload] = ACTIONS(1589),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1587),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1587),
    [anon_sym_ATunload] = ACTIONS(1587),
    [anon_sym_ATprefixes] = ACTIONS(1587),
    [anon_sym_ATif] = ACTIONS(1589),
    [anon_sym_ATifdef] = ACTIONS(1587),
    [anon_sym_ATifndef] = ACTIONS(1587),
    [anon_sym_ATendif] = ACTIONS(1587),
    [anon_sym_ATelse] = ACTIONS(1587),
    [anon_sym_ATDIR] = ACTIONS(1587),
    [anon_sym_ATFILENAME] = ACTIONS(1587),
    [sym_id] = ACTIONS(1589),
    [sym_pattern] = ACTIONS(1587),
    [sym_ipv6] = ACTIONS(1589),
    [sym_ipv4] = ACTIONS(1589),
    [sym_port] = ACTIONS(1587),
    [sym_floatp] = ACTIONS(1589),
    [sym_hex] = ACTIONS(1589),
    [sym_hostname] = ACTIONS(1589),
    [aux_sym_string_token1] = ACTIONS(1587),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [371] = {
    [ts_builtin_sym_end] = ACTIONS(1531),
    [anon_sym_module] = ACTIONS(1533),
    [anon_sym_SEMI] = ACTIONS(1531),
    [anon_sym_export] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_global] = ACTIONS(1533),
    [anon_sym_option] = ACTIONS(1533),
    [anon_sym_const] = ACTIONS(1533),
    [anon_sym_redef] = ACTIONS(1533),
    [anon_sym_record] = ACTIONS(1533),
    [anon_sym_type] = ACTIONS(1533),
    [anon_sym_print] = ACTIONS(1533),
    [anon_sym_event] = ACTIONS(1533),
    [anon_sym_if] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1531),
    [anon_sym_switch] = ACTIONS(1533),
    [anon_sym_for] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1531),
    [anon_sym_while] = ACTIONS(1533),
    [anon_sym_next] = ACTIONS(1533),
    [anon_sym_break] = ACTIONS(1533),
    [anon_sym_fallthrough] = ACTIONS(1533),
    [anon_sym_return] = ACTIONS(1533),
    [anon_sym_add] = ACTIONS(1533),
    [anon_sym_delete] = ACTIONS(1533),
    [anon_sym_local] = ACTIONS(1533),
    [anon_sym_when] = ACTIONS(1533),
    [anon_sym_table] = ACTIONS(1533),
    [anon_sym_set] = ACTIONS(1533),
    [anon_sym_vector] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(1533),
    [anon_sym_hook] = ACTIONS(1533),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_copy] = ACTIONS(1533),
    [anon_sym_schedule] = ACTIONS(1533),
    [aux_sym_constant_token1] = ACTIONS(1533),
    [anon_sym_T] = ACTIONS(1533),
    [anon_sym_F] = ACTIONS(1533),
    [anon_sym_ATdeprecated] = ACTIONS(1531),
    [anon_sym_ATload] = ACTIONS(1533),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1531),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1531),
    [anon_sym_ATunload] = ACTIONS(1531),
    [anon_sym_ATprefixes] = ACTIONS(1531),
    [anon_sym_ATif] = ACTIONS(1533),
    [anon_sym_ATifdef] = ACTIONS(1531),
    [anon_sym_ATifndef] = ACTIONS(1531),
    [anon_sym_ATendif] = ACTIONS(1531),
    [anon_sym_ATelse] = ACTIONS(1531),
    [anon_sym_ATDIR] = ACTIONS(1531),
    [anon_sym_ATFILENAME] = ACTIONS(1531),
    [sym_id] = ACTIONS(1533),
    [sym_pattern] = ACTIONS(1531),
    [sym_ipv6] = ACTIONS(1533),
    [sym_ipv4] = ACTIONS(1533),
    [sym_port] = ACTIONS(1531),
    [sym_floatp] = ACTIONS(1533),
    [sym_hex] = ACTIONS(1533),
    [sym_hostname] = ACTIONS(1533),
    [aux_sym_string_token1] = ACTIONS(1531),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [372] = {
    [ts_builtin_sym_end] = ACTIONS(1535),
    [anon_sym_module] = ACTIONS(1537),
    [anon_sym_SEMI] = ACTIONS(1535),
    [anon_sym_export] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1535),
    [anon_sym_global] = ACTIONS(1537),
    [anon_sym_option] = ACTIONS(1537),
    [anon_sym_const] = ACTIONS(1537),
    [anon_sym_redef] = ACTIONS(1537),
    [anon_sym_record] = ACTIONS(1537),
    [anon_sym_type] = ACTIONS(1537),
    [anon_sym_print] = ACTIONS(1537),
    [anon_sym_event] = ACTIONS(1537),
    [anon_sym_if] = ACTIONS(1537),
    [anon_sym_LPAREN] = ACTIONS(1535),
    [anon_sym_switch] = ACTIONS(1537),
    [anon_sym_for] = ACTIONS(1537),
    [anon_sym_LBRACK] = ACTIONS(1535),
    [anon_sym_while] = ACTIONS(1537),
    [anon_sym_next] = ACTIONS(1537),
    [anon_sym_break] = ACTIONS(1537),
    [anon_sym_fallthrough] = ACTIONS(1537),
    [anon_sym_return] = ACTIONS(1537),
    [anon_sym_add] = ACTIONS(1537),
    [anon_sym_delete] = ACTIONS(1537),
    [anon_sym_local] = ACTIONS(1537),
    [anon_sym_when] = ACTIONS(1537),
    [anon_sym_table] = ACTIONS(1537),
    [anon_sym_set] = ACTIONS(1537),
    [anon_sym_vector] = ACTIONS(1537),
    [anon_sym_function] = ACTIONS(1537),
    [anon_sym_hook] = ACTIONS(1537),
    [anon_sym_DOLLAR] = ACTIONS(1535),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_copy] = ACTIONS(1537),
    [anon_sym_schedule] = ACTIONS(1537),
    [aux_sym_constant_token1] = ACTIONS(1537),
    [anon_sym_T] = ACTIONS(1537),
    [anon_sym_F] = ACTIONS(1537),
    [anon_sym_ATdeprecated] = ACTIONS(1535),
    [anon_sym_ATload] = ACTIONS(1537),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1535),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1535),
    [anon_sym_ATunload] = ACTIONS(1535),
    [anon_sym_ATprefixes] = ACTIONS(1535),
    [anon_sym_ATif] = ACTIONS(1537),
    [anon_sym_ATifdef] = ACTIONS(1535),
    [anon_sym_ATifndef] = ACTIONS(1535),
    [anon_sym_ATendif] = ACTIONS(1535),
    [anon_sym_ATelse] = ACTIONS(1535),
    [anon_sym_ATDIR] = ACTIONS(1535),
    [anon_sym_ATFILENAME] = ACTIONS(1535),
    [sym_id] = ACTIONS(1537),
    [sym_pattern] = ACTIONS(1535),
    [sym_ipv6] = ACTIONS(1537),
    [sym_ipv4] = ACTIONS(1537),
    [sym_port] = ACTIONS(1535),
    [sym_floatp] = ACTIONS(1537),
    [sym_hex] = ACTIONS(1537),
    [sym_hostname] = ACTIONS(1537),
    [aux_sym_string_token1] = ACTIONS(1535),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1593),
    [anon_sym_SEMI] = ACTIONS(1591),
    [anon_sym_export] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_global] = ACTIONS(1593),
    [anon_sym_option] = ACTIONS(1593),
    [anon_sym_const] = ACTIONS(1593),
    [anon_sym_redef] = ACTIONS(1593),
    [anon_sym_record] = ACTIONS(1593),
    [anon_sym_type] = ACTIONS(1593),
    [anon_sym_print] = ACTIONS(1593),
    [anon_sym_event] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_next] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_fallthrough] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_add] = ACTIONS(1593),
    [anon_sym_delete] = ACTIONS(1593),
    [anon_sym_local] = ACTIONS(1593),
    [anon_sym_when] = ACTIONS(1593),
    [anon_sym_table] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [anon_sym_vector] = ACTIONS(1593),
    [anon_sym_function] = ACTIONS(1593),
    [anon_sym_hook] = ACTIONS(1593),
    [anon_sym_DOLLAR] = ACTIONS(1591),
    [anon_sym_PIPE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_copy] = ACTIONS(1593),
    [anon_sym_schedule] = ACTIONS(1593),
    [aux_sym_constant_token1] = ACTIONS(1593),
    [anon_sym_T] = ACTIONS(1593),
    [anon_sym_F] = ACTIONS(1593),
    [anon_sym_ATdeprecated] = ACTIONS(1591),
    [anon_sym_ATload] = ACTIONS(1593),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1591),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1591),
    [anon_sym_ATunload] = ACTIONS(1591),
    [anon_sym_ATprefixes] = ACTIONS(1591),
    [anon_sym_ATif] = ACTIONS(1593),
    [anon_sym_ATifdef] = ACTIONS(1591),
    [anon_sym_ATifndef] = ACTIONS(1591),
    [anon_sym_ATendif] = ACTIONS(1591),
    [anon_sym_ATelse] = ACTIONS(1591),
    [anon_sym_ATDIR] = ACTIONS(1591),
    [anon_sym_ATFILENAME] = ACTIONS(1591),
    [sym_id] = ACTIONS(1593),
    [sym_pattern] = ACTIONS(1591),
    [sym_ipv6] = ACTIONS(1593),
    [sym_ipv4] = ACTIONS(1593),
    [sym_port] = ACTIONS(1591),
    [sym_floatp] = ACTIONS(1593),
    [sym_hex] = ACTIONS(1593),
    [sym_hostname] = ACTIONS(1593),
    [aux_sym_string_token1] = ACTIONS(1591),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [374] = {
    [ts_builtin_sym_end] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1597),
    [anon_sym_SEMI] = ACTIONS(1595),
    [anon_sym_export] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1595),
    [anon_sym_global] = ACTIONS(1597),
    [anon_sym_option] = ACTIONS(1597),
    [anon_sym_const] = ACTIONS(1597),
    [anon_sym_redef] = ACTIONS(1597),
    [anon_sym_record] = ACTIONS(1597),
    [anon_sym_type] = ACTIONS(1597),
    [anon_sym_print] = ACTIONS(1597),
    [anon_sym_event] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1595),
    [anon_sym_switch] = ACTIONS(1597),
    [anon_sym_for] = ACTIONS(1597),
    [anon_sym_LBRACK] = ACTIONS(1595),
    [anon_sym_while] = ACTIONS(1597),
    [anon_sym_next] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1597),
    [anon_sym_fallthrough] = ACTIONS(1597),
    [anon_sym_return] = ACTIONS(1597),
    [anon_sym_add] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_local] = ACTIONS(1597),
    [anon_sym_when] = ACTIONS(1597),
    [anon_sym_table] = ACTIONS(1597),
    [anon_sym_set] = ACTIONS(1597),
    [anon_sym_vector] = ACTIONS(1597),
    [anon_sym_function] = ACTIONS(1597),
    [anon_sym_hook] = ACTIONS(1597),
    [anon_sym_DOLLAR] = ACTIONS(1595),
    [anon_sym_PIPE] = ACTIONS(1595),
    [anon_sym_PLUS_PLUS] = ACTIONS(1595),
    [anon_sym_DASH_DASH] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1595),
    [anon_sym_TILDE] = ACTIONS(1595),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_copy] = ACTIONS(1597),
    [anon_sym_schedule] = ACTIONS(1597),
    [aux_sym_constant_token1] = ACTIONS(1597),
    [anon_sym_T] = ACTIONS(1597),
    [anon_sym_F] = ACTIONS(1597),
    [anon_sym_ATdeprecated] = ACTIONS(1595),
    [anon_sym_ATload] = ACTIONS(1597),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1595),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1595),
    [anon_sym_ATunload] = ACTIONS(1595),
    [anon_sym_ATprefixes] = ACTIONS(1595),
    [anon_sym_ATif] = ACTIONS(1597),
    [anon_sym_ATifdef] = ACTIONS(1595),
    [anon_sym_ATifndef] = ACTIONS(1595),
    [anon_sym_ATendif] = ACTIONS(1595),
    [anon_sym_ATelse] = ACTIONS(1595),
    [anon_sym_ATDIR] = ACTIONS(1595),
    [anon_sym_ATFILENAME] = ACTIONS(1595),
    [sym_id] = ACTIONS(1597),
    [sym_pattern] = ACTIONS(1595),
    [sym_ipv6] = ACTIONS(1597),
    [sym_ipv4] = ACTIONS(1597),
    [sym_port] = ACTIONS(1595),
    [sym_floatp] = ACTIONS(1597),
    [sym_hex] = ACTIONS(1597),
    [sym_hostname] = ACTIONS(1597),
    [aux_sym_string_token1] = ACTIONS(1595),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [375] = {
    [ts_builtin_sym_end] = ACTIONS(1543),
    [anon_sym_module] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1543),
    [anon_sym_export] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_global] = ACTIONS(1545),
    [anon_sym_option] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1545),
    [anon_sym_redef] = ACTIONS(1545),
    [anon_sym_record] = ACTIONS(1545),
    [anon_sym_type] = ACTIONS(1545),
    [anon_sym_print] = ACTIONS(1545),
    [anon_sym_event] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_switch] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_next] = ACTIONS(1545),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_fallthrough] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(1545),
    [anon_sym_add] = ACTIONS(1545),
    [anon_sym_delete] = ACTIONS(1545),
    [anon_sym_local] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1545),
    [anon_sym_table] = ACTIONS(1545),
    [anon_sym_set] = ACTIONS(1545),
    [anon_sym_vector] = ACTIONS(1545),
    [anon_sym_function] = ACTIONS(1545),
    [anon_sym_hook] = ACTIONS(1545),
    [anon_sym_DOLLAR] = ACTIONS(1543),
    [anon_sym_PIPE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_copy] = ACTIONS(1545),
    [anon_sym_schedule] = ACTIONS(1545),
    [aux_sym_constant_token1] = ACTIONS(1545),
    [anon_sym_T] = ACTIONS(1545),
    [anon_sym_F] = ACTIONS(1545),
    [anon_sym_ATdeprecated] = ACTIONS(1543),
    [anon_sym_ATload] = ACTIONS(1545),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1543),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1543),
    [anon_sym_ATunload] = ACTIONS(1543),
    [anon_sym_ATprefixes] = ACTIONS(1543),
    [anon_sym_ATif] = ACTIONS(1545),
    [anon_sym_ATifdef] = ACTIONS(1543),
    [anon_sym_ATifndef] = ACTIONS(1543),
    [anon_sym_ATendif] = ACTIONS(1543),
    [anon_sym_ATelse] = ACTIONS(1543),
    [anon_sym_ATDIR] = ACTIONS(1543),
    [anon_sym_ATFILENAME] = ACTIONS(1543),
    [sym_id] = ACTIONS(1545),
    [sym_pattern] = ACTIONS(1543),
    [sym_ipv6] = ACTIONS(1545),
    [sym_ipv4] = ACTIONS(1545),
    [sym_port] = ACTIONS(1543),
    [sym_floatp] = ACTIONS(1545),
    [sym_hex] = ACTIONS(1545),
    [sym_hostname] = ACTIONS(1545),
    [aux_sym_string_token1] = ACTIONS(1543),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [376] = {
    [ts_builtin_sym_end] = ACTIONS(1539),
    [anon_sym_module] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_export] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_global] = ACTIONS(1541),
    [anon_sym_option] = ACTIONS(1541),
    [anon_sym_const] = ACTIONS(1541),
    [anon_sym_redef] = ACTIONS(1541),
    [anon_sym_record] = ACTIONS(1541),
    [anon_sym_type] = ACTIONS(1541),
    [anon_sym_print] = ACTIONS(1541),
    [anon_sym_event] = ACTIONS(1541),
    [anon_sym_if] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [anon_sym_switch] = ACTIONS(1541),
    [anon_sym_for] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [anon_sym_while] = ACTIONS(1541),
    [anon_sym_next] = ACTIONS(1541),
    [anon_sym_break] = ACTIONS(1541),
    [anon_sym_fallthrough] = ACTIONS(1541),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_add] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1541),
    [anon_sym_local] = ACTIONS(1541),
    [anon_sym_when] = ACTIONS(1541),
    [anon_sym_table] = ACTIONS(1541),
    [anon_sym_set] = ACTIONS(1541),
    [anon_sym_vector] = ACTIONS(1541),
    [anon_sym_function] = ACTIONS(1541),
    [anon_sym_hook] = ACTIONS(1541),
    [anon_sym_DOLLAR] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1539),
    [anon_sym_DASH_DASH] = ACTIONS(1539),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_copy] = ACTIONS(1541),
    [anon_sym_schedule] = ACTIONS(1541),
    [aux_sym_constant_token1] = ACTIONS(1541),
    [anon_sym_T] = ACTIONS(1541),
    [anon_sym_F] = ACTIONS(1541),
    [anon_sym_ATdeprecated] = ACTIONS(1539),
    [anon_sym_ATload] = ACTIONS(1541),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1539),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1539),
    [anon_sym_ATunload] = ACTIONS(1539),
    [anon_sym_ATprefixes] = ACTIONS(1539),
    [anon_sym_ATif] = ACTIONS(1541),
    [anon_sym_ATifdef] = ACTIONS(1539),
    [anon_sym_ATifndef] = ACTIONS(1539),
    [anon_sym_ATendif] = ACTIONS(1539),
    [anon_sym_ATelse] = ACTIONS(1539),
    [anon_sym_ATDIR] = ACTIONS(1539),
    [anon_sym_ATFILENAME] = ACTIONS(1539),
    [sym_id] = ACTIONS(1541),
    [sym_pattern] = ACTIONS(1539),
    [sym_ipv6] = ACTIONS(1541),
    [sym_ipv4] = ACTIONS(1541),
    [sym_port] = ACTIONS(1539),
    [sym_floatp] = ACTIONS(1541),
    [sym_hex] = ACTIONS(1541),
    [sym_hostname] = ACTIONS(1541),
    [aux_sym_string_token1] = ACTIONS(1539),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(1599),
    [anon_sym_module] = ACTIONS(1601),
    [anon_sym_SEMI] = ACTIONS(1599),
    [anon_sym_export] = ACTIONS(1601),
    [anon_sym_LBRACE] = ACTIONS(1599),
    [anon_sym_global] = ACTIONS(1601),
    [anon_sym_option] = ACTIONS(1601),
    [anon_sym_const] = ACTIONS(1601),
    [anon_sym_redef] = ACTIONS(1601),
    [anon_sym_record] = ACTIONS(1601),
    [anon_sym_type] = ACTIONS(1601),
    [anon_sym_print] = ACTIONS(1601),
    [anon_sym_event] = ACTIONS(1601),
    [anon_sym_if] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_switch] = ACTIONS(1601),
    [anon_sym_for] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1601),
    [anon_sym_next] = ACTIONS(1601),
    [anon_sym_break] = ACTIONS(1601),
    [anon_sym_fallthrough] = ACTIONS(1601),
    [anon_sym_return] = ACTIONS(1601),
    [anon_sym_add] = ACTIONS(1601),
    [anon_sym_delete] = ACTIONS(1601),
    [anon_sym_local] = ACTIONS(1601),
    [anon_sym_when] = ACTIONS(1601),
    [anon_sym_table] = ACTIONS(1601),
    [anon_sym_set] = ACTIONS(1601),
    [anon_sym_vector] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1601),
    [anon_sym_hook] = ACTIONS(1601),
    [anon_sym_DOLLAR] = ACTIONS(1599),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_PLUS_PLUS] = ACTIONS(1599),
    [anon_sym_DASH_DASH] = ACTIONS(1599),
    [anon_sym_BANG] = ACTIONS(1599),
    [anon_sym_TILDE] = ACTIONS(1599),
    [anon_sym_DASH] = ACTIONS(1601),
    [anon_sym_PLUS] = ACTIONS(1601),
    [anon_sym_copy] = ACTIONS(1601),
    [anon_sym_schedule] = ACTIONS(1601),
    [aux_sym_constant_token1] = ACTIONS(1601),
    [anon_sym_T] = ACTIONS(1601),
    [anon_sym_F] = ACTIONS(1601),
    [anon_sym_ATdeprecated] = ACTIONS(1599),
    [anon_sym_ATload] = ACTIONS(1601),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1599),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1599),
    [anon_sym_ATunload] = ACTIONS(1599),
    [anon_sym_ATprefixes] = ACTIONS(1599),
    [anon_sym_ATif] = ACTIONS(1601),
    [anon_sym_ATifdef] = ACTIONS(1599),
    [anon_sym_ATifndef] = ACTIONS(1599),
    [anon_sym_ATendif] = ACTIONS(1599),
    [anon_sym_ATelse] = ACTIONS(1599),
    [anon_sym_ATDIR] = ACTIONS(1599),
    [anon_sym_ATFILENAME] = ACTIONS(1599),
    [sym_id] = ACTIONS(1601),
    [sym_pattern] = ACTIONS(1599),
    [sym_ipv6] = ACTIONS(1601),
    [sym_ipv4] = ACTIONS(1601),
    [sym_port] = ACTIONS(1599),
    [sym_floatp] = ACTIONS(1601),
    [sym_hex] = ACTIONS(1601),
    [sym_hostname] = ACTIONS(1601),
    [aux_sym_string_token1] = ACTIONS(1599),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [378] = {
    [ts_builtin_sym_end] = ACTIONS(1603),
    [anon_sym_module] = ACTIONS(1605),
    [anon_sym_SEMI] = ACTIONS(1603),
    [anon_sym_export] = ACTIONS(1605),
    [anon_sym_LBRACE] = ACTIONS(1603),
    [anon_sym_global] = ACTIONS(1605),
    [anon_sym_option] = ACTIONS(1605),
    [anon_sym_const] = ACTIONS(1605),
    [anon_sym_redef] = ACTIONS(1605),
    [anon_sym_record] = ACTIONS(1605),
    [anon_sym_type] = ACTIONS(1605),
    [anon_sym_print] = ACTIONS(1605),
    [anon_sym_event] = ACTIONS(1605),
    [anon_sym_if] = ACTIONS(1605),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_switch] = ACTIONS(1605),
    [anon_sym_for] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1603),
    [anon_sym_while] = ACTIONS(1605),
    [anon_sym_next] = ACTIONS(1605),
    [anon_sym_break] = ACTIONS(1605),
    [anon_sym_fallthrough] = ACTIONS(1605),
    [anon_sym_return] = ACTIONS(1605),
    [anon_sym_add] = ACTIONS(1605),
    [anon_sym_delete] = ACTIONS(1605),
    [anon_sym_local] = ACTIONS(1605),
    [anon_sym_when] = ACTIONS(1605),
    [anon_sym_table] = ACTIONS(1605),
    [anon_sym_set] = ACTIONS(1605),
    [anon_sym_vector] = ACTIONS(1605),
    [anon_sym_function] = ACTIONS(1605),
    [anon_sym_hook] = ACTIONS(1605),
    [anon_sym_DOLLAR] = ACTIONS(1603),
    [anon_sym_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1603),
    [anon_sym_DASH_DASH] = ACTIONS(1603),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_copy] = ACTIONS(1605),
    [anon_sym_schedule] = ACTIONS(1605),
    [aux_sym_constant_token1] = ACTIONS(1605),
    [anon_sym_T] = ACTIONS(1605),
    [anon_sym_F] = ACTIONS(1605),
    [anon_sym_ATdeprecated] = ACTIONS(1603),
    [anon_sym_ATload] = ACTIONS(1605),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1603),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1603),
    [anon_sym_ATunload] = ACTIONS(1603),
    [anon_sym_ATprefixes] = ACTIONS(1603),
    [anon_sym_ATif] = ACTIONS(1605),
    [anon_sym_ATifdef] = ACTIONS(1603),
    [anon_sym_ATifndef] = ACTIONS(1603),
    [anon_sym_ATendif] = ACTIONS(1603),
    [anon_sym_ATelse] = ACTIONS(1603),
    [anon_sym_ATDIR] = ACTIONS(1603),
    [anon_sym_ATFILENAME] = ACTIONS(1603),
    [sym_id] = ACTIONS(1605),
    [sym_pattern] = ACTIONS(1603),
    [sym_ipv6] = ACTIONS(1605),
    [sym_ipv4] = ACTIONS(1605),
    [sym_port] = ACTIONS(1603),
    [sym_floatp] = ACTIONS(1605),
    [sym_hex] = ACTIONS(1605),
    [sym_hostname] = ACTIONS(1605),
    [aux_sym_string_token1] = ACTIONS(1603),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [379] = {
    [ts_builtin_sym_end] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_export] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_global] = ACTIONS(1393),
    [anon_sym_option] = ACTIONS(1393),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_redef] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_type] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [380] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_RPAREN] = ACTIONS(1607),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_timeout] = ACTIONS(1453),
    [anon_sym_case] = ACTIONS(1453),
    [anon_sym_default] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [381] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(1609),
    [anon_sym_else] = ACTIONS(1393),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_timeout] = ACTIONS(1393),
    [anon_sym_case] = ACTIONS(1393),
    [anon_sym_default] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [382] = {
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_RBRACE] = ACTIONS(121),
    [anon_sym_const] = ACTIONS(123),
    [anon_sym_record] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(123),
    [anon_sym_event] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(121),
    [anon_sym_else] = ACTIONS(123),
    [anon_sym_switch] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_next] = ACTIONS(123),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_fallthrough] = ACTIONS(123),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_add] = ACTIONS(123),
    [anon_sym_delete] = ACTIONS(123),
    [anon_sym_local] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_timeout] = ACTIONS(123),
    [anon_sym_case] = ACTIONS(123),
    [anon_sym_default] = ACTIONS(123),
    [anon_sym_table] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_vector] = ACTIONS(123),
    [anon_sym_function] = ACTIONS(123),
    [anon_sym_hook] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(121),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(121),
    [anon_sym_DASH_DASH] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_copy] = ACTIONS(123),
    [anon_sym_schedule] = ACTIONS(123),
    [aux_sym_constant_token1] = ACTIONS(123),
    [anon_sym_T] = ACTIONS(123),
    [anon_sym_F] = ACTIONS(123),
    [anon_sym_ATdeprecated] = ACTIONS(121),
    [anon_sym_ATload] = ACTIONS(123),
    [anon_sym_ATload_DASHsigs] = ACTIONS(121),
    [anon_sym_ATload_DASHplugin] = ACTIONS(121),
    [anon_sym_ATunload] = ACTIONS(121),
    [anon_sym_ATprefixes] = ACTIONS(121),
    [anon_sym_ATif] = ACTIONS(123),
    [anon_sym_ATifdef] = ACTIONS(121),
    [anon_sym_ATifndef] = ACTIONS(121),
    [anon_sym_ATendif] = ACTIONS(121),
    [anon_sym_ATelse] = ACTIONS(121),
    [anon_sym_ATDIR] = ACTIONS(121),
    [anon_sym_ATFILENAME] = ACTIONS(121),
    [sym_id] = ACTIONS(123),
    [sym_pattern] = ACTIONS(121),
    [sym_ipv6] = ACTIONS(123),
    [sym_ipv4] = ACTIONS(123),
    [sym_port] = ACTIONS(121),
    [sym_floatp] = ACTIONS(123),
    [sym_hex] = ACTIONS(123),
    [sym_hostname] = ACTIONS(123),
    [aux_sym_string_token1] = ACTIONS(121),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [383] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_timeout] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(127),
    [anon_sym_default] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [384] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_else] = ACTIONS(1613),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_timeout] = ACTIONS(1613),
    [anon_sym_case] = ACTIONS(1613),
    [anon_sym_default] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [385] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1619),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [386] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [387] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_else] = ACTIONS(1613),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_timeout] = ACTIONS(1613),
    [anon_sym_case] = ACTIONS(1613),
    [anon_sym_default] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [388] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_timeout] = ACTIONS(1627),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [389] = {
    [sym_attr_list] = STATE(331),
    [sym_attr] = STATE(440),
    [aux_sym_attr_list_repeat1] = STATE(440),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_in] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_as] = ACTIONS(109),
    [anon_sym_AMPdeprecated] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(109),
    [anon_sym_AMPerror_handler] = ACTIONS(109),
    [anon_sym_AMPis_assigned] = ACTIONS(109),
    [anon_sym_AMPis_used] = ACTIONS(109),
    [anon_sym_AMPlog] = ACTIONS(109),
    [anon_sym_AMPoptional] = ACTIONS(109),
    [anon_sym_AMPraw_output] = ACTIONS(109),
    [anon_sym_AMPredef] = ACTIONS(109),
    [anon_sym_AMPadd_func] = ACTIONS(109),
    [anon_sym_AMPbackend] = ACTIONS(109),
    [anon_sym_AMPbroker_store] = ACTIONS(109),
    [anon_sym_AMPcreate_expire] = ACTIONS(109),
    [anon_sym_AMPdefault] = ACTIONS(109),
    [anon_sym_AMPdelete_func] = ACTIONS(109),
    [anon_sym_AMPexpire_func] = ACTIONS(109),
    [anon_sym_AMPgroup] = ACTIONS(109),
    [anon_sym_AMPon_change] = ACTIONS(109),
    [anon_sym_AMPpriority] = ACTIONS(109),
    [anon_sym_AMPread_expire] = ACTIONS(109),
    [anon_sym_AMPtype_column] = ACTIONS(109),
    [anon_sym_AMPwrite_expire] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(109),
    [anon_sym_PIPE] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_is] = ACTIONS(109),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_SLASH] = ACTIONS(109),
    [anon_sym_PERCENT] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(111),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(111),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(111),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_AMP_AMP] = ACTIONS(109),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(109),
    [anon_sym_ATdeprecated] = ACTIONS(109),
    [anon_sym_ATload] = ACTIONS(111),
    [anon_sym_ATload_DASHsigs] = ACTIONS(109),
    [anon_sym_ATload_DASHplugin] = ACTIONS(109),
    [anon_sym_ATunload] = ACTIONS(109),
    [anon_sym_ATprefixes] = ACTIONS(109),
    [anon_sym_ATif] = ACTIONS(111),
    [anon_sym_ATifdef] = ACTIONS(109),
    [anon_sym_ATifndef] = ACTIONS(109),
    [anon_sym_ATendif] = ACTIONS(109),
    [anon_sym_ATelse] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [390] = {
    [sym_attr_list] = STATE(328),
    [sym_attr] = STATE(440),
    [aux_sym_attr_list_repeat1] = STATE(440),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_PLUS_EQ] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [anon_sym_in] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1415),
    [anon_sym_as] = ACTIONS(1413),
    [anon_sym_AMPdeprecated] = ACTIONS(1413),
    [anon_sym_DASH_EQ] = ACTIONS(1413),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1413),
    [anon_sym_AMPerror_handler] = ACTIONS(1413),
    [anon_sym_AMPis_assigned] = ACTIONS(1413),
    [anon_sym_AMPis_used] = ACTIONS(1413),
    [anon_sym_AMPlog] = ACTIONS(1413),
    [anon_sym_AMPoptional] = ACTIONS(1413),
    [anon_sym_AMPraw_output] = ACTIONS(1413),
    [anon_sym_AMPredef] = ACTIONS(1413),
    [anon_sym_AMPadd_func] = ACTIONS(1413),
    [anon_sym_AMPbackend] = ACTIONS(1413),
    [anon_sym_AMPbroker_store] = ACTIONS(1413),
    [anon_sym_AMPcreate_expire] = ACTIONS(1413),
    [anon_sym_AMPdefault] = ACTIONS(1413),
    [anon_sym_AMPdelete_func] = ACTIONS(1413),
    [anon_sym_AMPexpire_func] = ACTIONS(1413),
    [anon_sym_AMPgroup] = ACTIONS(1413),
    [anon_sym_AMPon_change] = ACTIONS(1413),
    [anon_sym_AMPpriority] = ACTIONS(1413),
    [anon_sym_AMPread_expire] = ACTIONS(1413),
    [anon_sym_AMPtype_column] = ACTIONS(1413),
    [anon_sym_AMPwrite_expire] = ACTIONS(1413),
    [anon_sym_DOLLAR] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(1415),
    [anon_sym_is] = ACTIONS(1413),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1413),
    [anon_sym_PERCENT] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_GT] = ACTIONS(1415),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1415),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_QMARK] = ACTIONS(1415),
    [anon_sym_EQ_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_AMP_AMP] = ACTIONS(1413),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1413),
    [anon_sym_ATdeprecated] = ACTIONS(1413),
    [anon_sym_ATload] = ACTIONS(1415),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1413),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1413),
    [anon_sym_ATunload] = ACTIONS(1413),
    [anon_sym_ATprefixes] = ACTIONS(1413),
    [anon_sym_ATif] = ACTIONS(1415),
    [anon_sym_ATifdef] = ACTIONS(1413),
    [anon_sym_ATifndef] = ACTIONS(1413),
    [anon_sym_ATendif] = ACTIONS(1413),
    [anon_sym_ATelse] = ACTIONS(1413),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [391] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_timeout] = ACTIONS(1627),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [392] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1631),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [393] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [394] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_else] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_timeout] = ACTIONS(1635),
    [anon_sym_case] = ACTIONS(1635),
    [anon_sym_default] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [395] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1637),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [396] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1631),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [397] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_else] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_timeout] = ACTIONS(1635),
    [anon_sym_case] = ACTIONS(1635),
    [anon_sym_default] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [398] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_else] = ACTIONS(1641),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_timeout] = ACTIONS(1641),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [399] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [400] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1645),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_timeout] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1645),
    [anon_sym_default] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [401] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_else] = ACTIONS(1649),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_timeout] = ACTIONS(1649),
    [anon_sym_case] = ACTIONS(1649),
    [anon_sym_default] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [402] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_else] = ACTIONS(1649),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_timeout] = ACTIONS(1649),
    [anon_sym_case] = ACTIONS(1649),
    [anon_sym_default] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [403] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_RPAREN] = ACTIONS(1651),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_case] = ACTIONS(1453),
    [anon_sym_default] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [404] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_timeout] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(135),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [405] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(1653),
    [anon_sym_else] = ACTIONS(1393),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_case] = ACTIONS(1393),
    [anon_sym_default] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [406] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [407] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1655),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [408] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1645),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_timeout] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1645),
    [anon_sym_default] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [409] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1657),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [410] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_timeout] = ACTIONS(1661),
    [anon_sym_case] = ACTIONS(1661),
    [anon_sym_default] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [411] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_timeout] = ACTIONS(1661),
    [anon_sym_case] = ACTIONS(1661),
    [anon_sym_default] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [412] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(127),
    [anon_sym_default] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [413] = {
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_RBRACE] = ACTIONS(121),
    [anon_sym_const] = ACTIONS(123),
    [anon_sym_record] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(123),
    [anon_sym_event] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(121),
    [anon_sym_else] = ACTIONS(123),
    [anon_sym_switch] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_next] = ACTIONS(123),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_fallthrough] = ACTIONS(123),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_add] = ACTIONS(123),
    [anon_sym_delete] = ACTIONS(123),
    [anon_sym_local] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_case] = ACTIONS(123),
    [anon_sym_default] = ACTIONS(123),
    [anon_sym_table] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_vector] = ACTIONS(123),
    [anon_sym_function] = ACTIONS(123),
    [anon_sym_hook] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(121),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(121),
    [anon_sym_DASH_DASH] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_copy] = ACTIONS(123),
    [anon_sym_schedule] = ACTIONS(123),
    [aux_sym_constant_token1] = ACTIONS(123),
    [anon_sym_T] = ACTIONS(123),
    [anon_sym_F] = ACTIONS(123),
    [anon_sym_ATdeprecated] = ACTIONS(121),
    [anon_sym_ATload] = ACTIONS(123),
    [anon_sym_ATload_DASHsigs] = ACTIONS(121),
    [anon_sym_ATload_DASHplugin] = ACTIONS(121),
    [anon_sym_ATunload] = ACTIONS(121),
    [anon_sym_ATprefixes] = ACTIONS(121),
    [anon_sym_ATif] = ACTIONS(123),
    [anon_sym_ATifdef] = ACTIONS(121),
    [anon_sym_ATifndef] = ACTIONS(121),
    [anon_sym_ATendif] = ACTIONS(121),
    [anon_sym_ATelse] = ACTIONS(121),
    [anon_sym_ATDIR] = ACTIONS(121),
    [anon_sym_ATFILENAME] = ACTIONS(121),
    [sym_id] = ACTIONS(123),
    [sym_pattern] = ACTIONS(121),
    [sym_ipv6] = ACTIONS(123),
    [sym_ipv4] = ACTIONS(123),
    [sym_port] = ACTIONS(121),
    [sym_floatp] = ACTIONS(123),
    [sym_hex] = ACTIONS(123),
    [sym_hostname] = ACTIONS(123),
    [aux_sym_string_token1] = ACTIONS(121),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [414] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(1663),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_timeout] = ACTIONS(1393),
    [anon_sym_case] = ACTIONS(1393),
    [anon_sym_default] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [415] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_RPAREN] = ACTIONS(1665),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_timeout] = ACTIONS(1453),
    [anon_sym_case] = ACTIONS(1453),
    [anon_sym_default] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [416] = {
    [anon_sym_SEMI] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_RBRACE] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1593),
    [anon_sym_record] = ACTIONS(1593),
    [anon_sym_print] = ACTIONS(1593),
    [anon_sym_event] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [anon_sym_else] = ACTIONS(1593),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_next] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_fallthrough] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_add] = ACTIONS(1593),
    [anon_sym_delete] = ACTIONS(1593),
    [anon_sym_local] = ACTIONS(1593),
    [anon_sym_when] = ACTIONS(1593),
    [anon_sym_timeout] = ACTIONS(1593),
    [anon_sym_case] = ACTIONS(1593),
    [anon_sym_default] = ACTIONS(1593),
    [anon_sym_table] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [anon_sym_vector] = ACTIONS(1593),
    [anon_sym_function] = ACTIONS(1593),
    [anon_sym_hook] = ACTIONS(1593),
    [anon_sym_DOLLAR] = ACTIONS(1591),
    [anon_sym_PIPE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_copy] = ACTIONS(1593),
    [anon_sym_schedule] = ACTIONS(1593),
    [aux_sym_constant_token1] = ACTIONS(1593),
    [anon_sym_T] = ACTIONS(1593),
    [anon_sym_F] = ACTIONS(1593),
    [anon_sym_ATdeprecated] = ACTIONS(1591),
    [anon_sym_ATload] = ACTIONS(1593),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1591),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1591),
    [anon_sym_ATunload] = ACTIONS(1591),
    [anon_sym_ATprefixes] = ACTIONS(1591),
    [anon_sym_ATif] = ACTIONS(1593),
    [anon_sym_ATifdef] = ACTIONS(1591),
    [anon_sym_ATifndef] = ACTIONS(1591),
    [anon_sym_ATendif] = ACTIONS(1591),
    [anon_sym_ATelse] = ACTIONS(1591),
    [anon_sym_ATDIR] = ACTIONS(1591),
    [anon_sym_ATFILENAME] = ACTIONS(1591),
    [sym_id] = ACTIONS(1593),
    [sym_pattern] = ACTIONS(1591),
    [sym_ipv6] = ACTIONS(1593),
    [sym_ipv4] = ACTIONS(1593),
    [sym_port] = ACTIONS(1591),
    [sym_floatp] = ACTIONS(1593),
    [sym_hex] = ACTIONS(1593),
    [sym_hostname] = ACTIONS(1593),
    [aux_sym_string_token1] = ACTIONS(1591),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [417] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_timeout] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(127),
    [anon_sym_default] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [418] = {
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_RBRACE] = ACTIONS(121),
    [anon_sym_const] = ACTIONS(123),
    [anon_sym_record] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(123),
    [anon_sym_event] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(121),
    [anon_sym_switch] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_next] = ACTIONS(123),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_fallthrough] = ACTIONS(123),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_add] = ACTIONS(123),
    [anon_sym_delete] = ACTIONS(123),
    [anon_sym_local] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_timeout] = ACTIONS(123),
    [anon_sym_case] = ACTIONS(123),
    [anon_sym_default] = ACTIONS(123),
    [anon_sym_table] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_vector] = ACTIONS(123),
    [anon_sym_function] = ACTIONS(123),
    [anon_sym_hook] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(121),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(121),
    [anon_sym_DASH_DASH] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_copy] = ACTIONS(123),
    [anon_sym_schedule] = ACTIONS(123),
    [aux_sym_constant_token1] = ACTIONS(123),
    [anon_sym_T] = ACTIONS(123),
    [anon_sym_F] = ACTIONS(123),
    [anon_sym_ATdeprecated] = ACTIONS(121),
    [anon_sym_ATload] = ACTIONS(123),
    [anon_sym_ATload_DASHsigs] = ACTIONS(121),
    [anon_sym_ATload_DASHplugin] = ACTIONS(121),
    [anon_sym_ATunload] = ACTIONS(121),
    [anon_sym_ATprefixes] = ACTIONS(121),
    [anon_sym_ATif] = ACTIONS(123),
    [anon_sym_ATifdef] = ACTIONS(121),
    [anon_sym_ATifndef] = ACTIONS(121),
    [anon_sym_ATendif] = ACTIONS(121),
    [anon_sym_ATelse] = ACTIONS(121),
    [anon_sym_ATDIR] = ACTIONS(121),
    [anon_sym_ATFILENAME] = ACTIONS(121),
    [sym_id] = ACTIONS(123),
    [sym_pattern] = ACTIONS(121),
    [sym_ipv6] = ACTIONS(123),
    [sym_ipv4] = ACTIONS(123),
    [sym_port] = ACTIONS(121),
    [sym_floatp] = ACTIONS(123),
    [sym_hex] = ACTIONS(123),
    [sym_hostname] = ACTIONS(123),
    [aux_sym_string_token1] = ACTIONS(121),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [419] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [420] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_else] = ACTIONS(1393),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_timeout] = ACTIONS(1393),
    [anon_sym_case] = ACTIONS(1393),
    [anon_sym_default] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [421] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_timeout] = ACTIONS(1453),
    [anon_sym_case] = ACTIONS(1453),
    [anon_sym_default] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [422] = {
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_RBRACE] = ACTIONS(1503),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_record] = ACTIONS(1505),
    [anon_sym_print] = ACTIONS(1505),
    [anon_sym_event] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_else] = ACTIONS(1505),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_fallthrough] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_add] = ACTIONS(1505),
    [anon_sym_delete] = ACTIONS(1505),
    [anon_sym_local] = ACTIONS(1505),
    [anon_sym_when] = ACTIONS(1505),
    [anon_sym_timeout] = ACTIONS(1505),
    [anon_sym_case] = ACTIONS(1505),
    [anon_sym_default] = ACTIONS(1505),
    [anon_sym_table] = ACTIONS(1505),
    [anon_sym_set] = ACTIONS(1505),
    [anon_sym_vector] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1505),
    [anon_sym_hook] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_copy] = ACTIONS(1505),
    [anon_sym_schedule] = ACTIONS(1505),
    [aux_sym_constant_token1] = ACTIONS(1505),
    [anon_sym_T] = ACTIONS(1505),
    [anon_sym_F] = ACTIONS(1505),
    [anon_sym_ATdeprecated] = ACTIONS(1503),
    [anon_sym_ATload] = ACTIONS(1505),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1503),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1503),
    [anon_sym_ATunload] = ACTIONS(1503),
    [anon_sym_ATprefixes] = ACTIONS(1503),
    [anon_sym_ATif] = ACTIONS(1505),
    [anon_sym_ATifdef] = ACTIONS(1503),
    [anon_sym_ATifndef] = ACTIONS(1503),
    [anon_sym_ATendif] = ACTIONS(1503),
    [anon_sym_ATelse] = ACTIONS(1503),
    [anon_sym_ATDIR] = ACTIONS(1503),
    [anon_sym_ATFILENAME] = ACTIONS(1503),
    [sym_id] = ACTIONS(1505),
    [sym_pattern] = ACTIONS(1503),
    [sym_ipv6] = ACTIONS(1505),
    [sym_ipv4] = ACTIONS(1505),
    [sym_port] = ACTIONS(1503),
    [sym_floatp] = ACTIONS(1505),
    [sym_hex] = ACTIONS(1505),
    [sym_hostname] = ACTIONS(1505),
    [aux_sym_string_token1] = ACTIONS(1503),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [423] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1667),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [424] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_else] = ACTIONS(1641),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_timeout] = ACTIONS(1641),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [425] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1669),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [426] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1671),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [427] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1673),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [428] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_else] = ACTIONS(1613),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_case] = ACTIONS(1613),
    [anon_sym_default] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [429] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_case] = ACTIONS(1453),
    [anon_sym_default] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [430] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_RPAREN] = ACTIONS(1675),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_timeout] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [431] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_timeout] = ACTIONS(1661),
    [anon_sym_case] = ACTIONS(1661),
    [anon_sym_default] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [432] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_timeout] = ACTIONS(1641),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [433] = {
    [sym_attr] = STATE(433),
    [aux_sym_attr_list_repeat1] = STATE(433),
    [anon_sym_LBRACE] = ACTIONS(1677),
    [anon_sym_PLUS_EQ] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(1677),
    [anon_sym_LBRACK] = ACTIONS(1677),
    [anon_sym_EQ] = ACTIONS(1679),
    [anon_sym_as] = ACTIONS(1677),
    [anon_sym_AMPdeprecated] = ACTIONS(1681),
    [anon_sym_DASH_EQ] = ACTIONS(1677),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1684),
    [anon_sym_AMPerror_handler] = ACTIONS(1684),
    [anon_sym_AMPis_assigned] = ACTIONS(1684),
    [anon_sym_AMPis_used] = ACTIONS(1684),
    [anon_sym_AMPlog] = ACTIONS(1684),
    [anon_sym_AMPoptional] = ACTIONS(1684),
    [anon_sym_AMPraw_output] = ACTIONS(1684),
    [anon_sym_AMPredef] = ACTIONS(1684),
    [anon_sym_AMPadd_func] = ACTIONS(1687),
    [anon_sym_AMPbackend] = ACTIONS(1687),
    [anon_sym_AMPbroker_store] = ACTIONS(1687),
    [anon_sym_AMPcreate_expire] = ACTIONS(1687),
    [anon_sym_AMPdefault] = ACTIONS(1687),
    [anon_sym_AMPdelete_func] = ACTIONS(1687),
    [anon_sym_AMPexpire_func] = ACTIONS(1687),
    [anon_sym_AMPgroup] = ACTIONS(1687),
    [anon_sym_AMPon_change] = ACTIONS(1687),
    [anon_sym_AMPpriority] = ACTIONS(1687),
    [anon_sym_AMPread_expire] = ACTIONS(1687),
    [anon_sym_AMPtype_column] = ACTIONS(1687),
    [anon_sym_AMPwrite_expire] = ACTIONS(1687),
    [anon_sym_DOLLAR] = ACTIONS(1677),
    [anon_sym_PIPE] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_is] = ACTIONS(1677),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1677),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1677),
    [anon_sym_GT] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1679),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_QMARK] = ACTIONS(1679),
    [anon_sym_EQ_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_AMP_AMP] = ACTIONS(1677),
    [anon_sym_PIPE_PIPE] = ACTIONS(1677),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1677),
    [anon_sym_ATdeprecated] = ACTIONS(1677),
    [anon_sym_ATload] = ACTIONS(1679),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1677),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1677),
    [anon_sym_ATunload] = ACTIONS(1677),
    [anon_sym_ATprefixes] = ACTIONS(1677),
    [anon_sym_ATif] = ACTIONS(1679),
    [anon_sym_ATifdef] = ACTIONS(1677),
    [anon_sym_ATifndef] = ACTIONS(1677),
    [anon_sym_ATendif] = ACTIONS(1677),
    [anon_sym_ATelse] = ACTIONS(1677),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [434] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(1690),
    [anon_sym_else] = ACTIONS(1393),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_timeout] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [435] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_timeout] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(135),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [436] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_timeout] = ACTIONS(1627),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [437] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(121),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_const] = ACTIONS(123),
    [anon_sym_record] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(123),
    [anon_sym_event] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(121),
    [anon_sym_else] = ACTIONS(123),
    [anon_sym_switch] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_next] = ACTIONS(123),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_fallthrough] = ACTIONS(123),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_add] = ACTIONS(123),
    [anon_sym_delete] = ACTIONS(123),
    [anon_sym_local] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_timeout] = ACTIONS(123),
    [anon_sym_table] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_vector] = ACTIONS(123),
    [anon_sym_function] = ACTIONS(123),
    [anon_sym_hook] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(121),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(121),
    [anon_sym_DASH_DASH] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_copy] = ACTIONS(123),
    [anon_sym_schedule] = ACTIONS(123),
    [aux_sym_constant_token1] = ACTIONS(123),
    [anon_sym_T] = ACTIONS(123),
    [anon_sym_F] = ACTIONS(123),
    [anon_sym_ATdeprecated] = ACTIONS(121),
    [anon_sym_ATload] = ACTIONS(123),
    [anon_sym_ATload_DASHsigs] = ACTIONS(121),
    [anon_sym_ATload_DASHplugin] = ACTIONS(121),
    [anon_sym_ATunload] = ACTIONS(121),
    [anon_sym_ATprefixes] = ACTIONS(121),
    [anon_sym_ATif] = ACTIONS(123),
    [anon_sym_ATifdef] = ACTIONS(121),
    [anon_sym_ATifndef] = ACTIONS(121),
    [anon_sym_ATendif] = ACTIONS(121),
    [anon_sym_ATelse] = ACTIONS(121),
    [anon_sym_ATDIR] = ACTIONS(121),
    [anon_sym_ATFILENAME] = ACTIONS(121),
    [sym_id] = ACTIONS(123),
    [sym_pattern] = ACTIONS(121),
    [sym_ipv6] = ACTIONS(123),
    [sym_ipv4] = ACTIONS(123),
    [sym_port] = ACTIONS(121),
    [sym_floatp] = ACTIONS(123),
    [sym_hex] = ACTIONS(123),
    [sym_hostname] = ACTIONS(123),
    [aux_sym_string_token1] = ACTIONS(121),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [439] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [440] = {
    [sym_attr] = STATE(433),
    [aux_sym_attr_list_repeat1] = STATE(433),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_PLUS_EQ] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_in] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_EQ] = ACTIONS(1694),
    [anon_sym_as] = ACTIONS(1692),
    [anon_sym_AMPdeprecated] = ACTIONS(1692),
    [anon_sym_DASH_EQ] = ACTIONS(1692),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1692),
    [anon_sym_AMPerror_handler] = ACTIONS(1692),
    [anon_sym_AMPis_assigned] = ACTIONS(1692),
    [anon_sym_AMPis_used] = ACTIONS(1692),
    [anon_sym_AMPlog] = ACTIONS(1692),
    [anon_sym_AMPoptional] = ACTIONS(1692),
    [anon_sym_AMPraw_output] = ACTIONS(1692),
    [anon_sym_AMPredef] = ACTIONS(1692),
    [anon_sym_AMPadd_func] = ACTIONS(1692),
    [anon_sym_AMPbackend] = ACTIONS(1692),
    [anon_sym_AMPbroker_store] = ACTIONS(1692),
    [anon_sym_AMPcreate_expire] = ACTIONS(1692),
    [anon_sym_AMPdefault] = ACTIONS(1692),
    [anon_sym_AMPdelete_func] = ACTIONS(1692),
    [anon_sym_AMPexpire_func] = ACTIONS(1692),
    [anon_sym_AMPgroup] = ACTIONS(1692),
    [anon_sym_AMPon_change] = ACTIONS(1692),
    [anon_sym_AMPpriority] = ACTIONS(1692),
    [anon_sym_AMPread_expire] = ACTIONS(1692),
    [anon_sym_AMPtype_column] = ACTIONS(1692),
    [anon_sym_AMPwrite_expire] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_is] = ACTIONS(1692),
    [anon_sym_STAR] = ACTIONS(1692),
    [anon_sym_SLASH] = ACTIONS(1692),
    [anon_sym_PERCENT] = ACTIONS(1692),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_LT_EQ] = ACTIONS(1692),
    [anon_sym_GT] = ACTIONS(1694),
    [anon_sym_GT_EQ] = ACTIONS(1692),
    [anon_sym_AMP] = ACTIONS(1694),
    [anon_sym_CARET] = ACTIONS(1692),
    [anon_sym_QMARK] = ACTIONS(1694),
    [anon_sym_EQ_EQ] = ACTIONS(1692),
    [anon_sym_BANG_EQ] = ACTIONS(1692),
    [anon_sym_AMP_AMP] = ACTIONS(1692),
    [anon_sym_PIPE_PIPE] = ACTIONS(1692),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1692),
    [anon_sym_ATdeprecated] = ACTIONS(1692),
    [anon_sym_ATload] = ACTIONS(1694),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1692),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1692),
    [anon_sym_ATunload] = ACTIONS(1692),
    [anon_sym_ATprefixes] = ACTIONS(1692),
    [anon_sym_ATif] = ACTIONS(1694),
    [anon_sym_ATifdef] = ACTIONS(1692),
    [anon_sym_ATifndef] = ACTIONS(1692),
    [anon_sym_ATendif] = ACTIONS(1692),
    [anon_sym_ATelse] = ACTIONS(1692),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [441] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [442] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_timeout] = ACTIONS(1649),
    [anon_sym_case] = ACTIONS(1649),
    [anon_sym_default] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(125),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_timeout] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [444] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1696),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [445] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_timeout] = ACTIONS(1627),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [446] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1631),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [447] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_case] = ACTIONS(1661),
    [anon_sym_default] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [448] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_case] = ACTIONS(1661),
    [anon_sym_default] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [449] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1645),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1645),
    [anon_sym_default] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [450] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_timeout] = ACTIONS(1661),
    [anon_sym_case] = ACTIONS(1661),
    [anon_sym_default] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [451] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1645),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1645),
    [anon_sym_default] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [452] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_else] = ACTIONS(1613),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_case] = ACTIONS(1613),
    [anon_sym_default] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [453] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1631),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [454] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_timeout] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1645),
    [anon_sym_default] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [455] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_else] = ACTIONS(1649),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_case] = ACTIONS(1649),
    [anon_sym_default] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [456] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1698),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [457] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_else] = ACTIONS(1649),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_case] = ACTIONS(1649),
    [anon_sym_default] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [458] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_timeout] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [459] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [460] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [461] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [462] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [463] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [464] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [465] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1700),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [466] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_timeout] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1645),
    [anon_sym_default] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [467] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [468] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_timeout] = ACTIONS(1613),
    [anon_sym_case] = ACTIONS(1613),
    [anon_sym_default] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [469] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_timeout] = ACTIONS(1635),
    [anon_sym_case] = ACTIONS(1635),
    [anon_sym_default] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [470] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [471] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_timeout] = ACTIONS(1613),
    [anon_sym_case] = ACTIONS(1613),
    [anon_sym_default] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [472] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [473] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_else] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_case] = ACTIONS(1635),
    [anon_sym_default] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [474] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1702),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [475] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1704),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [476] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1706),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [477] = {
    [anon_sym_SEMI] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_RBRACE] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1593),
    [anon_sym_record] = ACTIONS(1593),
    [anon_sym_print] = ACTIONS(1593),
    [anon_sym_event] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [anon_sym_else] = ACTIONS(1593),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_next] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_fallthrough] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_add] = ACTIONS(1593),
    [anon_sym_delete] = ACTIONS(1593),
    [anon_sym_local] = ACTIONS(1593),
    [anon_sym_when] = ACTIONS(1593),
    [anon_sym_case] = ACTIONS(1593),
    [anon_sym_default] = ACTIONS(1593),
    [anon_sym_table] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [anon_sym_vector] = ACTIONS(1593),
    [anon_sym_function] = ACTIONS(1593),
    [anon_sym_hook] = ACTIONS(1593),
    [anon_sym_DOLLAR] = ACTIONS(1591),
    [anon_sym_PIPE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_copy] = ACTIONS(1593),
    [anon_sym_schedule] = ACTIONS(1593),
    [aux_sym_constant_token1] = ACTIONS(1593),
    [anon_sym_T] = ACTIONS(1593),
    [anon_sym_F] = ACTIONS(1593),
    [anon_sym_ATdeprecated] = ACTIONS(1591),
    [anon_sym_ATload] = ACTIONS(1593),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1591),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1591),
    [anon_sym_ATunload] = ACTIONS(1591),
    [anon_sym_ATprefixes] = ACTIONS(1591),
    [anon_sym_ATif] = ACTIONS(1593),
    [anon_sym_ATifdef] = ACTIONS(1591),
    [anon_sym_ATifndef] = ACTIONS(1591),
    [anon_sym_ATendif] = ACTIONS(1591),
    [anon_sym_ATelse] = ACTIONS(1591),
    [anon_sym_ATDIR] = ACTIONS(1591),
    [anon_sym_ATFILENAME] = ACTIONS(1591),
    [sym_id] = ACTIONS(1593),
    [sym_pattern] = ACTIONS(1591),
    [sym_ipv6] = ACTIONS(1593),
    [sym_ipv4] = ACTIONS(1593),
    [sym_port] = ACTIONS(1591),
    [sym_floatp] = ACTIONS(1593),
    [sym_hex] = ACTIONS(1593),
    [sym_hostname] = ACTIONS(1593),
    [aux_sym_string_token1] = ACTIONS(1591),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [478] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_else] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_case] = ACTIONS(1635),
    [anon_sym_default] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [479] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_else] = ACTIONS(1641),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [480] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_RPAREN] = ACTIONS(1710),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_timeout] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [482] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_else] = ACTIONS(1641),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [483] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(1714),
    [anon_sym_else] = ACTIONS(1393),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_timeout] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [485] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_timeout] = ACTIONS(1453),
    [anon_sym_case] = ACTIONS(1453),
    [anon_sym_default] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [486] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(135),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [487] = {
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_RBRACE] = ACTIONS(121),
    [anon_sym_const] = ACTIONS(123),
    [anon_sym_record] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(123),
    [anon_sym_event] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(121),
    [anon_sym_else] = ACTIONS(123),
    [anon_sym_switch] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_next] = ACTIONS(123),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_fallthrough] = ACTIONS(123),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_add] = ACTIONS(123),
    [anon_sym_delete] = ACTIONS(123),
    [anon_sym_local] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_timeout] = ACTIONS(123),
    [anon_sym_table] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_vector] = ACTIONS(123),
    [anon_sym_function] = ACTIONS(123),
    [anon_sym_hook] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(121),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(121),
    [anon_sym_DASH_DASH] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_copy] = ACTIONS(123),
    [anon_sym_schedule] = ACTIONS(123),
    [aux_sym_constant_token1] = ACTIONS(123),
    [anon_sym_T] = ACTIONS(123),
    [anon_sym_F] = ACTIONS(123),
    [anon_sym_ATdeprecated] = ACTIONS(121),
    [anon_sym_ATload] = ACTIONS(123),
    [anon_sym_ATload_DASHsigs] = ACTIONS(121),
    [anon_sym_ATload_DASHplugin] = ACTIONS(121),
    [anon_sym_ATunload] = ACTIONS(121),
    [anon_sym_ATprefixes] = ACTIONS(121),
    [anon_sym_ATif] = ACTIONS(123),
    [anon_sym_ATifdef] = ACTIONS(121),
    [anon_sym_ATifndef] = ACTIONS(121),
    [anon_sym_ATendif] = ACTIONS(121),
    [anon_sym_ATelse] = ACTIONS(121),
    [anon_sym_ATDIR] = ACTIONS(121),
    [anon_sym_ATFILENAME] = ACTIONS(121),
    [sym_id] = ACTIONS(123),
    [sym_pattern] = ACTIONS(121),
    [sym_ipv6] = ACTIONS(123),
    [sym_ipv4] = ACTIONS(123),
    [sym_port] = ACTIONS(121),
    [sym_floatp] = ACTIONS(123),
    [sym_hex] = ACTIONS(123),
    [sym_hostname] = ACTIONS(123),
    [aux_sym_string_token1] = ACTIONS(121),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [488] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [489] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_timeout] = ACTIONS(1635),
    [anon_sym_case] = ACTIONS(1635),
    [anon_sym_default] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [490] = {
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_RBRACE] = ACTIONS(121),
    [anon_sym_const] = ACTIONS(123),
    [anon_sym_record] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(123),
    [anon_sym_event] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(121),
    [anon_sym_switch] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_next] = ACTIONS(123),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_fallthrough] = ACTIONS(123),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_add] = ACTIONS(123),
    [anon_sym_delete] = ACTIONS(123),
    [anon_sym_local] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_case] = ACTIONS(123),
    [anon_sym_default] = ACTIONS(123),
    [anon_sym_table] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_vector] = ACTIONS(123),
    [anon_sym_function] = ACTIONS(123),
    [anon_sym_hook] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(121),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(121),
    [anon_sym_DASH_DASH] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_copy] = ACTIONS(123),
    [anon_sym_schedule] = ACTIONS(123),
    [aux_sym_constant_token1] = ACTIONS(123),
    [anon_sym_T] = ACTIONS(123),
    [anon_sym_F] = ACTIONS(123),
    [anon_sym_ATdeprecated] = ACTIONS(121),
    [anon_sym_ATload] = ACTIONS(123),
    [anon_sym_ATload_DASHsigs] = ACTIONS(121),
    [anon_sym_ATload_DASHplugin] = ACTIONS(121),
    [anon_sym_ATunload] = ACTIONS(121),
    [anon_sym_ATprefixes] = ACTIONS(121),
    [anon_sym_ATif] = ACTIONS(123),
    [anon_sym_ATifdef] = ACTIONS(121),
    [anon_sym_ATifndef] = ACTIONS(121),
    [anon_sym_ATendif] = ACTIONS(121),
    [anon_sym_ATelse] = ACTIONS(121),
    [anon_sym_ATDIR] = ACTIONS(121),
    [anon_sym_ATFILENAME] = ACTIONS(121),
    [sym_id] = ACTIONS(123),
    [sym_pattern] = ACTIONS(121),
    [sym_ipv6] = ACTIONS(123),
    [sym_ipv4] = ACTIONS(123),
    [sym_port] = ACTIONS(121),
    [sym_floatp] = ACTIONS(123),
    [sym_hex] = ACTIONS(123),
    [sym_hostname] = ACTIONS(123),
    [aux_sym_string_token1] = ACTIONS(121),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [491] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(127),
    [anon_sym_default] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [492] = {
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_RBRACE] = ACTIONS(1503),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_record] = ACTIONS(1505),
    [anon_sym_print] = ACTIONS(1505),
    [anon_sym_event] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_fallthrough] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_add] = ACTIONS(1505),
    [anon_sym_delete] = ACTIONS(1505),
    [anon_sym_local] = ACTIONS(1505),
    [anon_sym_when] = ACTIONS(1505),
    [anon_sym_timeout] = ACTIONS(1505),
    [anon_sym_case] = ACTIONS(1505),
    [anon_sym_default] = ACTIONS(1505),
    [anon_sym_table] = ACTIONS(1505),
    [anon_sym_set] = ACTIONS(1505),
    [anon_sym_vector] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1505),
    [anon_sym_hook] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_copy] = ACTIONS(1505),
    [anon_sym_schedule] = ACTIONS(1505),
    [aux_sym_constant_token1] = ACTIONS(1505),
    [anon_sym_T] = ACTIONS(1505),
    [anon_sym_F] = ACTIONS(1505),
    [anon_sym_ATdeprecated] = ACTIONS(1503),
    [anon_sym_ATload] = ACTIONS(1505),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1503),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1503),
    [anon_sym_ATunload] = ACTIONS(1503),
    [anon_sym_ATprefixes] = ACTIONS(1503),
    [anon_sym_ATif] = ACTIONS(1505),
    [anon_sym_ATifdef] = ACTIONS(1503),
    [anon_sym_ATifndef] = ACTIONS(1503),
    [anon_sym_ATendif] = ACTIONS(1503),
    [anon_sym_ATelse] = ACTIONS(1503),
    [anon_sym_ATDIR] = ACTIONS(1503),
    [anon_sym_ATFILENAME] = ACTIONS(1503),
    [sym_id] = ACTIONS(1505),
    [sym_pattern] = ACTIONS(1503),
    [sym_ipv6] = ACTIONS(1505),
    [sym_ipv4] = ACTIONS(1505),
    [sym_port] = ACTIONS(1503),
    [sym_floatp] = ACTIONS(1505),
    [sym_hex] = ACTIONS(1505),
    [sym_hostname] = ACTIONS(1505),
    [aux_sym_string_token1] = ACTIONS(1503),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [493] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [494] = {
    [anon_sym_SEMI] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_RBRACE] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1593),
    [anon_sym_record] = ACTIONS(1593),
    [anon_sym_print] = ACTIONS(1593),
    [anon_sym_event] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_next] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_fallthrough] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_add] = ACTIONS(1593),
    [anon_sym_delete] = ACTIONS(1593),
    [anon_sym_local] = ACTIONS(1593),
    [anon_sym_when] = ACTIONS(1593),
    [anon_sym_timeout] = ACTIONS(1593),
    [anon_sym_case] = ACTIONS(1593),
    [anon_sym_default] = ACTIONS(1593),
    [anon_sym_table] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [anon_sym_vector] = ACTIONS(1593),
    [anon_sym_function] = ACTIONS(1593),
    [anon_sym_hook] = ACTIONS(1593),
    [anon_sym_DOLLAR] = ACTIONS(1591),
    [anon_sym_PIPE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_copy] = ACTIONS(1593),
    [anon_sym_schedule] = ACTIONS(1593),
    [aux_sym_constant_token1] = ACTIONS(1593),
    [anon_sym_T] = ACTIONS(1593),
    [anon_sym_F] = ACTIONS(1593),
    [anon_sym_ATdeprecated] = ACTIONS(1591),
    [anon_sym_ATload] = ACTIONS(1593),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1591),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1591),
    [anon_sym_ATunload] = ACTIONS(1591),
    [anon_sym_ATprefixes] = ACTIONS(1591),
    [anon_sym_ATif] = ACTIONS(1593),
    [anon_sym_ATifdef] = ACTIONS(1591),
    [anon_sym_ATifndef] = ACTIONS(1591),
    [anon_sym_ATendif] = ACTIONS(1591),
    [anon_sym_ATelse] = ACTIONS(1591),
    [anon_sym_ATDIR] = ACTIONS(1591),
    [anon_sym_ATFILENAME] = ACTIONS(1591),
    [sym_id] = ACTIONS(1593),
    [sym_pattern] = ACTIONS(1591),
    [sym_ipv6] = ACTIONS(1593),
    [sym_ipv4] = ACTIONS(1593),
    [sym_port] = ACTIONS(1591),
    [sym_floatp] = ACTIONS(1593),
    [sym_hex] = ACTIONS(1593),
    [sym_hostname] = ACTIONS(1593),
    [aux_sym_string_token1] = ACTIONS(1591),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [495] = {
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_RBRACE] = ACTIONS(1503),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_record] = ACTIONS(1505),
    [anon_sym_print] = ACTIONS(1505),
    [anon_sym_event] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_else] = ACTIONS(1505),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_fallthrough] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_add] = ACTIONS(1505),
    [anon_sym_delete] = ACTIONS(1505),
    [anon_sym_local] = ACTIONS(1505),
    [anon_sym_when] = ACTIONS(1505),
    [anon_sym_case] = ACTIONS(1505),
    [anon_sym_default] = ACTIONS(1505),
    [anon_sym_table] = ACTIONS(1505),
    [anon_sym_set] = ACTIONS(1505),
    [anon_sym_vector] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1505),
    [anon_sym_hook] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_copy] = ACTIONS(1505),
    [anon_sym_schedule] = ACTIONS(1505),
    [aux_sym_constant_token1] = ACTIONS(1505),
    [anon_sym_T] = ACTIONS(1505),
    [anon_sym_F] = ACTIONS(1505),
    [anon_sym_ATdeprecated] = ACTIONS(1503),
    [anon_sym_ATload] = ACTIONS(1505),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1503),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1503),
    [anon_sym_ATunload] = ACTIONS(1503),
    [anon_sym_ATprefixes] = ACTIONS(1503),
    [anon_sym_ATif] = ACTIONS(1505),
    [anon_sym_ATifdef] = ACTIONS(1503),
    [anon_sym_ATifndef] = ACTIONS(1503),
    [anon_sym_ATendif] = ACTIONS(1503),
    [anon_sym_ATelse] = ACTIONS(1503),
    [anon_sym_ATDIR] = ACTIONS(1503),
    [anon_sym_ATFILENAME] = ACTIONS(1503),
    [sym_id] = ACTIONS(1505),
    [sym_pattern] = ACTIONS(1503),
    [sym_ipv6] = ACTIONS(1505),
    [sym_ipv4] = ACTIONS(1505),
    [sym_port] = ACTIONS(1503),
    [sym_floatp] = ACTIONS(1505),
    [sym_hex] = ACTIONS(1505),
    [sym_hostname] = ACTIONS(1505),
    [aux_sym_string_token1] = ACTIONS(1503),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [496] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(1716),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_case] = ACTIONS(1393),
    [anon_sym_default] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [497] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_timeout] = ACTIONS(1641),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [498] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_else] = ACTIONS(1393),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_case] = ACTIONS(1393),
    [anon_sym_default] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [499] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_timeout] = ACTIONS(1393),
    [anon_sym_case] = ACTIONS(1393),
    [anon_sym_default] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [500] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_timeout] = ACTIONS(1649),
    [anon_sym_case] = ACTIONS(1649),
    [anon_sym_default] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [501] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_RPAREN] = ACTIONS(1718),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_case] = ACTIONS(1453),
    [anon_sym_default] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [502] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [503] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1720),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [504] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1591),
    [anon_sym_SEMI] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1593),
    [anon_sym_record] = ACTIONS(1593),
    [anon_sym_print] = ACTIONS(1593),
    [anon_sym_event] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [anon_sym_else] = ACTIONS(1593),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_next] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_fallthrough] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_add] = ACTIONS(1593),
    [anon_sym_delete] = ACTIONS(1593),
    [anon_sym_local] = ACTIONS(1593),
    [anon_sym_when] = ACTIONS(1593),
    [anon_sym_timeout] = ACTIONS(1593),
    [anon_sym_table] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [anon_sym_vector] = ACTIONS(1593),
    [anon_sym_function] = ACTIONS(1593),
    [anon_sym_hook] = ACTIONS(1593),
    [anon_sym_DOLLAR] = ACTIONS(1591),
    [anon_sym_PIPE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_copy] = ACTIONS(1593),
    [anon_sym_schedule] = ACTIONS(1593),
    [aux_sym_constant_token1] = ACTIONS(1593),
    [anon_sym_T] = ACTIONS(1593),
    [anon_sym_F] = ACTIONS(1593),
    [anon_sym_ATdeprecated] = ACTIONS(1591),
    [anon_sym_ATload] = ACTIONS(1593),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1591),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1591),
    [anon_sym_ATunload] = ACTIONS(1591),
    [anon_sym_ATprefixes] = ACTIONS(1591),
    [anon_sym_ATif] = ACTIONS(1593),
    [anon_sym_ATifdef] = ACTIONS(1591),
    [anon_sym_ATifndef] = ACTIONS(1591),
    [anon_sym_ATendif] = ACTIONS(1591),
    [anon_sym_ATelse] = ACTIONS(1591),
    [anon_sym_ATDIR] = ACTIONS(1591),
    [anon_sym_ATFILENAME] = ACTIONS(1591),
    [sym_id] = ACTIONS(1593),
    [sym_pattern] = ACTIONS(1591),
    [sym_ipv6] = ACTIONS(1593),
    [sym_ipv4] = ACTIONS(1593),
    [sym_port] = ACTIONS(1591),
    [sym_floatp] = ACTIONS(1593),
    [sym_hex] = ACTIONS(1593),
    [sym_hostname] = ACTIONS(1593),
    [aux_sym_string_token1] = ACTIONS(1591),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [506] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_timeout] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [507] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_timeout] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [508] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1645),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_timeout] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [509] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1645),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_timeout] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [510] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [511] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_timeout] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [512] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_else] = ACTIONS(1613),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_timeout] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [513] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_else] = ACTIONS(1613),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_timeout] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [514] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_else] = ACTIONS(1649),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_timeout] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1722),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1724),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [517] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_else] = ACTIONS(1649),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_timeout] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [518] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [519] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [520] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [521] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [522] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [523] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [524] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [525] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [526] = {
    [sym_index_slice] = STATE(304),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_PLUS_EQ] = ACTIONS(1726),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [anon_sym_in] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1732),
    [anon_sym_as] = ACTIONS(1399),
    [anon_sym_AMPdeprecated] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(1726),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(131),
    [anon_sym_AMPerror_handler] = ACTIONS(131),
    [anon_sym_AMPis_assigned] = ACTIONS(131),
    [anon_sym_AMPis_used] = ACTIONS(131),
    [anon_sym_AMPlog] = ACTIONS(131),
    [anon_sym_AMPoptional] = ACTIONS(131),
    [anon_sym_AMPraw_output] = ACTIONS(131),
    [anon_sym_AMPredef] = ACTIONS(131),
    [anon_sym_AMPadd_func] = ACTIONS(131),
    [anon_sym_AMPbackend] = ACTIONS(131),
    [anon_sym_AMPbroker_store] = ACTIONS(131),
    [anon_sym_AMPcreate_expire] = ACTIONS(131),
    [anon_sym_AMPdefault] = ACTIONS(131),
    [anon_sym_AMPdelete_func] = ACTIONS(131),
    [anon_sym_AMPexpire_func] = ACTIONS(131),
    [anon_sym_AMPgroup] = ACTIONS(131),
    [anon_sym_AMPon_change] = ACTIONS(131),
    [anon_sym_AMPpriority] = ACTIONS(131),
    [anon_sym_AMPread_expire] = ACTIONS(131),
    [anon_sym_AMPtype_column] = ACTIONS(131),
    [anon_sym_AMPwrite_expire] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1734),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_is] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_LT_EQ] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1734),
    [anon_sym_GT_EQ] = ACTIONS(1730),
    [anon_sym_AMP] = ACTIONS(1734),
    [anon_sym_CARET] = ACTIONS(1730),
    [anon_sym_QMARK] = ACTIONS(1740),
    [anon_sym_EQ_EQ] = ACTIONS(1742),
    [anon_sym_BANG_EQ] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1746),
    [anon_sym_ATdeprecated] = ACTIONS(131),
    [anon_sym_ATload] = ACTIONS(137),
    [anon_sym_ATload_DASHsigs] = ACTIONS(131),
    [anon_sym_ATload_DASHplugin] = ACTIONS(131),
    [anon_sym_ATunload] = ACTIONS(131),
    [anon_sym_ATprefixes] = ACTIONS(131),
    [anon_sym_ATif] = ACTIONS(137),
    [anon_sym_ATifdef] = ACTIONS(131),
    [anon_sym_ATifndef] = ACTIONS(131),
    [anon_sym_ATendif] = ACTIONS(131),
    [anon_sym_ATelse] = ACTIONS(131),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [527] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_else] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_timeout] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [528] = {
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_RBRACE] = ACTIONS(1503),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_record] = ACTIONS(1505),
    [anon_sym_print] = ACTIONS(1505),
    [anon_sym_event] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_fallthrough] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_add] = ACTIONS(1505),
    [anon_sym_delete] = ACTIONS(1505),
    [anon_sym_local] = ACTIONS(1505),
    [anon_sym_when] = ACTIONS(1505),
    [anon_sym_case] = ACTIONS(1505),
    [anon_sym_default] = ACTIONS(1505),
    [anon_sym_table] = ACTIONS(1505),
    [anon_sym_set] = ACTIONS(1505),
    [anon_sym_vector] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1505),
    [anon_sym_hook] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_copy] = ACTIONS(1505),
    [anon_sym_schedule] = ACTIONS(1505),
    [aux_sym_constant_token1] = ACTIONS(1505),
    [anon_sym_T] = ACTIONS(1505),
    [anon_sym_F] = ACTIONS(1505),
    [anon_sym_ATdeprecated] = ACTIONS(1503),
    [anon_sym_ATload] = ACTIONS(1505),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1503),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1503),
    [anon_sym_ATunload] = ACTIONS(1503),
    [anon_sym_ATprefixes] = ACTIONS(1503),
    [anon_sym_ATif] = ACTIONS(1505),
    [anon_sym_ATifdef] = ACTIONS(1503),
    [anon_sym_ATifndef] = ACTIONS(1503),
    [anon_sym_ATendif] = ACTIONS(1503),
    [anon_sym_ATelse] = ACTIONS(1503),
    [anon_sym_ATDIR] = ACTIONS(1503),
    [anon_sym_ATFILENAME] = ACTIONS(1503),
    [sym_id] = ACTIONS(1505),
    [sym_pattern] = ACTIONS(1503),
    [sym_ipv6] = ACTIONS(1505),
    [sym_ipv4] = ACTIONS(1505),
    [sym_port] = ACTIONS(1503),
    [sym_floatp] = ACTIONS(1505),
    [sym_hex] = ACTIONS(1505),
    [sym_hostname] = ACTIONS(1505),
    [aux_sym_string_token1] = ACTIONS(1503),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1748),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [530] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_else] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_timeout] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1750),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [532] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_else] = ACTIONS(1641),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_timeout] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [533] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_case] = ACTIONS(1617),
    [anon_sym_default] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [534] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_case] = ACTIONS(1453),
    [anon_sym_default] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [535] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [536] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_else] = ACTIONS(1641),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_timeout] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [537] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_case] = ACTIONS(1393),
    [anon_sym_default] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [538] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_timeout] = ACTIONS(135),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [539] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_case] = ACTIONS(1649),
    [anon_sym_default] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [540] = {
    [sym_index_slice] = STATE(304),
    [anon_sym_LBRACE] = ACTIONS(1457),
    [anon_sym_PLUS_EQ] = ACTIONS(1726),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [anon_sym_in] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1732),
    [anon_sym_as] = ACTIONS(1399),
    [anon_sym_AMPdeprecated] = ACTIONS(1457),
    [anon_sym_DASH_EQ] = ACTIONS(1726),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1457),
    [anon_sym_AMPerror_handler] = ACTIONS(1457),
    [anon_sym_AMPis_assigned] = ACTIONS(1457),
    [anon_sym_AMPis_used] = ACTIONS(1457),
    [anon_sym_AMPlog] = ACTIONS(1457),
    [anon_sym_AMPoptional] = ACTIONS(1457),
    [anon_sym_AMPraw_output] = ACTIONS(1457),
    [anon_sym_AMPredef] = ACTIONS(1457),
    [anon_sym_AMPadd_func] = ACTIONS(1457),
    [anon_sym_AMPbackend] = ACTIONS(1457),
    [anon_sym_AMPbroker_store] = ACTIONS(1457),
    [anon_sym_AMPcreate_expire] = ACTIONS(1457),
    [anon_sym_AMPdefault] = ACTIONS(1457),
    [anon_sym_AMPdelete_func] = ACTIONS(1457),
    [anon_sym_AMPexpire_func] = ACTIONS(1457),
    [anon_sym_AMPgroup] = ACTIONS(1457),
    [anon_sym_AMPon_change] = ACTIONS(1457),
    [anon_sym_AMPpriority] = ACTIONS(1457),
    [anon_sym_AMPread_expire] = ACTIONS(1457),
    [anon_sym_AMPtype_column] = ACTIONS(1457),
    [anon_sym_AMPwrite_expire] = ACTIONS(1457),
    [anon_sym_DOLLAR] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1734),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_is] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_LT_EQ] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1734),
    [anon_sym_GT_EQ] = ACTIONS(1730),
    [anon_sym_AMP] = ACTIONS(1734),
    [anon_sym_CARET] = ACTIONS(1730),
    [anon_sym_QMARK] = ACTIONS(1740),
    [anon_sym_EQ_EQ] = ACTIONS(1742),
    [anon_sym_BANG_EQ] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1746),
    [anon_sym_ATdeprecated] = ACTIONS(1457),
    [anon_sym_ATload] = ACTIONS(1459),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1457),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1457),
    [anon_sym_ATunload] = ACTIONS(1457),
    [anon_sym_ATprefixes] = ACTIONS(1457),
    [anon_sym_ATif] = ACTIONS(1459),
    [anon_sym_ATifdef] = ACTIONS(1457),
    [anon_sym_ATifndef] = ACTIONS(1457),
    [anon_sym_ATendif] = ACTIONS(1457),
    [anon_sym_ATelse] = ACTIONS(1457),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [541] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_timeout] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [542] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [543] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [544] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_case] = ACTIONS(1635),
    [anon_sym_default] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [545] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_case] = ACTIONS(1649),
    [anon_sym_default] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [546] = {
    [sym_index_slice] = STATE(304),
    [anon_sym_LBRACE] = ACTIONS(1461),
    [anon_sym_PLUS_EQ] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [anon_sym_in] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1463),
    [anon_sym_as] = ACTIONS(1399),
    [anon_sym_AMPdeprecated] = ACTIONS(1461),
    [anon_sym_DASH_EQ] = ACTIONS(1461),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1461),
    [anon_sym_AMPerror_handler] = ACTIONS(1461),
    [anon_sym_AMPis_assigned] = ACTIONS(1461),
    [anon_sym_AMPis_used] = ACTIONS(1461),
    [anon_sym_AMPlog] = ACTIONS(1461),
    [anon_sym_AMPoptional] = ACTIONS(1461),
    [anon_sym_AMPraw_output] = ACTIONS(1461),
    [anon_sym_AMPredef] = ACTIONS(1461),
    [anon_sym_AMPadd_func] = ACTIONS(1461),
    [anon_sym_AMPbackend] = ACTIONS(1461),
    [anon_sym_AMPbroker_store] = ACTIONS(1461),
    [anon_sym_AMPcreate_expire] = ACTIONS(1461),
    [anon_sym_AMPdefault] = ACTIONS(1461),
    [anon_sym_AMPdelete_func] = ACTIONS(1461),
    [anon_sym_AMPexpire_func] = ACTIONS(1461),
    [anon_sym_AMPgroup] = ACTIONS(1461),
    [anon_sym_AMPon_change] = ACTIONS(1461),
    [anon_sym_AMPpriority] = ACTIONS(1461),
    [anon_sym_AMPread_expire] = ACTIONS(1461),
    [anon_sym_AMPtype_column] = ACTIONS(1461),
    [anon_sym_AMPwrite_expire] = ACTIONS(1461),
    [anon_sym_DOLLAR] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1734),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_is] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_LT_EQ] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1734),
    [anon_sym_GT_EQ] = ACTIONS(1730),
    [anon_sym_AMP] = ACTIONS(1734),
    [anon_sym_CARET] = ACTIONS(1730),
    [anon_sym_QMARK] = ACTIONS(1740),
    [anon_sym_EQ_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_AMP_AMP] = ACTIONS(1461),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1461),
    [anon_sym_ATdeprecated] = ACTIONS(1461),
    [anon_sym_ATload] = ACTIONS(1463),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1461),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1461),
    [anon_sym_ATunload] = ACTIONS(1461),
    [anon_sym_ATprefixes] = ACTIONS(1461),
    [anon_sym_ATif] = ACTIONS(1463),
    [anon_sym_ATifdef] = ACTIONS(1461),
    [anon_sym_ATifndef] = ACTIONS(1461),
    [anon_sym_ATendif] = ACTIONS(1461),
    [anon_sym_ATelse] = ACTIONS(1461),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [547] = {
    [sym_index_slice] = STATE(304),
    [anon_sym_LBRACE] = ACTIONS(1457),
    [anon_sym_PLUS_EQ] = ACTIONS(1726),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [anon_sym_in] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1732),
    [anon_sym_as] = ACTIONS(1399),
    [anon_sym_AMPdeprecated] = ACTIONS(1457),
    [anon_sym_DASH_EQ] = ACTIONS(1726),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1457),
    [anon_sym_AMPerror_handler] = ACTIONS(1457),
    [anon_sym_AMPis_assigned] = ACTIONS(1457),
    [anon_sym_AMPis_used] = ACTIONS(1457),
    [anon_sym_AMPlog] = ACTIONS(1457),
    [anon_sym_AMPoptional] = ACTIONS(1457),
    [anon_sym_AMPraw_output] = ACTIONS(1457),
    [anon_sym_AMPredef] = ACTIONS(1457),
    [anon_sym_AMPadd_func] = ACTIONS(1457),
    [anon_sym_AMPbackend] = ACTIONS(1457),
    [anon_sym_AMPbroker_store] = ACTIONS(1457),
    [anon_sym_AMPcreate_expire] = ACTIONS(1457),
    [anon_sym_AMPdefault] = ACTIONS(1457),
    [anon_sym_AMPdelete_func] = ACTIONS(1457),
    [anon_sym_AMPexpire_func] = ACTIONS(1457),
    [anon_sym_AMPgroup] = ACTIONS(1457),
    [anon_sym_AMPon_change] = ACTIONS(1457),
    [anon_sym_AMPpriority] = ACTIONS(1457),
    [anon_sym_AMPread_expire] = ACTIONS(1457),
    [anon_sym_AMPtype_column] = ACTIONS(1457),
    [anon_sym_AMPwrite_expire] = ACTIONS(1457),
    [anon_sym_DOLLAR] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1734),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_is] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_LT_EQ] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1734),
    [anon_sym_GT_EQ] = ACTIONS(1730),
    [anon_sym_AMP] = ACTIONS(1734),
    [anon_sym_CARET] = ACTIONS(1730),
    [anon_sym_QMARK] = ACTIONS(1740),
    [anon_sym_EQ_EQ] = ACTIONS(1742),
    [anon_sym_BANG_EQ] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1457),
    [anon_sym_ATdeprecated] = ACTIONS(1457),
    [anon_sym_ATload] = ACTIONS(1459),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1457),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1457),
    [anon_sym_ATunload] = ACTIONS(1457),
    [anon_sym_ATprefixes] = ACTIONS(1457),
    [anon_sym_ATif] = ACTIONS(1459),
    [anon_sym_ATifdef] = ACTIONS(1457),
    [anon_sym_ATifndef] = ACTIONS(1457),
    [anon_sym_ATendif] = ACTIONS(1457),
    [anon_sym_ATelse] = ACTIONS(1457),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [548] = {
    [sym_index_slice] = STATE(304),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_PLUS_EQ] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [anon_sym_in] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1415),
    [anon_sym_as] = ACTIONS(1399),
    [anon_sym_AMPdeprecated] = ACTIONS(1413),
    [anon_sym_DASH_EQ] = ACTIONS(1413),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1413),
    [anon_sym_AMPerror_handler] = ACTIONS(1413),
    [anon_sym_AMPis_assigned] = ACTIONS(1413),
    [anon_sym_AMPis_used] = ACTIONS(1413),
    [anon_sym_AMPlog] = ACTIONS(1413),
    [anon_sym_AMPoptional] = ACTIONS(1413),
    [anon_sym_AMPraw_output] = ACTIONS(1413),
    [anon_sym_AMPredef] = ACTIONS(1413),
    [anon_sym_AMPadd_func] = ACTIONS(1413),
    [anon_sym_AMPbackend] = ACTIONS(1413),
    [anon_sym_AMPbroker_store] = ACTIONS(1413),
    [anon_sym_AMPcreate_expire] = ACTIONS(1413),
    [anon_sym_AMPdefault] = ACTIONS(1413),
    [anon_sym_AMPdelete_func] = ACTIONS(1413),
    [anon_sym_AMPexpire_func] = ACTIONS(1413),
    [anon_sym_AMPgroup] = ACTIONS(1413),
    [anon_sym_AMPon_change] = ACTIONS(1413),
    [anon_sym_AMPpriority] = ACTIONS(1413),
    [anon_sym_AMPread_expire] = ACTIONS(1413),
    [anon_sym_AMPtype_column] = ACTIONS(1413),
    [anon_sym_AMPwrite_expire] = ACTIONS(1413),
    [anon_sym_DOLLAR] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(1415),
    [anon_sym_is] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_GT] = ACTIONS(1415),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1415),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_QMARK] = ACTIONS(1415),
    [anon_sym_EQ_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_AMP_AMP] = ACTIONS(1413),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1413),
    [anon_sym_ATdeprecated] = ACTIONS(1413),
    [anon_sym_ATload] = ACTIONS(1415),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1413),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1413),
    [anon_sym_ATunload] = ACTIONS(1413),
    [anon_sym_ATprefixes] = ACTIONS(1413),
    [anon_sym_ATif] = ACTIONS(1415),
    [anon_sym_ATifdef] = ACTIONS(1413),
    [anon_sym_ATifndef] = ACTIONS(1413),
    [anon_sym_ATendif] = ACTIONS(1413),
    [anon_sym_ATelse] = ACTIONS(1413),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [549] = {
    [sym_index_slice] = STATE(304),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_PLUS_EQ] = ACTIONS(1726),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [anon_sym_in] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1732),
    [anon_sym_as] = ACTIONS(1399),
    [anon_sym_AMPdeprecated] = ACTIONS(1413),
    [anon_sym_DASH_EQ] = ACTIONS(1726),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1413),
    [anon_sym_AMPerror_handler] = ACTIONS(1413),
    [anon_sym_AMPis_assigned] = ACTIONS(1413),
    [anon_sym_AMPis_used] = ACTIONS(1413),
    [anon_sym_AMPlog] = ACTIONS(1413),
    [anon_sym_AMPoptional] = ACTIONS(1413),
    [anon_sym_AMPraw_output] = ACTIONS(1413),
    [anon_sym_AMPredef] = ACTIONS(1413),
    [anon_sym_AMPadd_func] = ACTIONS(1413),
    [anon_sym_AMPbackend] = ACTIONS(1413),
    [anon_sym_AMPbroker_store] = ACTIONS(1413),
    [anon_sym_AMPcreate_expire] = ACTIONS(1413),
    [anon_sym_AMPdefault] = ACTIONS(1413),
    [anon_sym_AMPdelete_func] = ACTIONS(1413),
    [anon_sym_AMPexpire_func] = ACTIONS(1413),
    [anon_sym_AMPgroup] = ACTIONS(1413),
    [anon_sym_AMPon_change] = ACTIONS(1413),
    [anon_sym_AMPpriority] = ACTIONS(1413),
    [anon_sym_AMPread_expire] = ACTIONS(1413),
    [anon_sym_AMPtype_column] = ACTIONS(1413),
    [anon_sym_AMPwrite_expire] = ACTIONS(1413),
    [anon_sym_DOLLAR] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1734),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_is] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_LT_EQ] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1734),
    [anon_sym_GT_EQ] = ACTIONS(1730),
    [anon_sym_AMP] = ACTIONS(1734),
    [anon_sym_CARET] = ACTIONS(1730),
    [anon_sym_QMARK] = ACTIONS(1740),
    [anon_sym_EQ_EQ] = ACTIONS(1742),
    [anon_sym_BANG_EQ] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1413),
    [anon_sym_ATdeprecated] = ACTIONS(1413),
    [anon_sym_ATload] = ACTIONS(1415),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1413),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1413),
    [anon_sym_ATunload] = ACTIONS(1413),
    [anon_sym_ATprefixes] = ACTIONS(1413),
    [anon_sym_ATif] = ACTIONS(1415),
    [anon_sym_ATifdef] = ACTIONS(1413),
    [anon_sym_ATifndef] = ACTIONS(1413),
    [anon_sym_ATendif] = ACTIONS(1413),
    [anon_sym_ATelse] = ACTIONS(1413),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [550] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_case] = ACTIONS(1635),
    [anon_sym_default] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [551] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1752),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_RPAREN] = ACTIONS(1754),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_timeout] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [553] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [554] = {
    [sym_index_slice] = STATE(304),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_PLUS_EQ] = ACTIONS(1726),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [anon_sym_in] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1732),
    [anon_sym_as] = ACTIONS(1399),
    [anon_sym_AMPdeprecated] = ACTIONS(1413),
    [anon_sym_DASH_EQ] = ACTIONS(1726),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1413),
    [anon_sym_AMPerror_handler] = ACTIONS(1413),
    [anon_sym_AMPis_assigned] = ACTIONS(1413),
    [anon_sym_AMPis_used] = ACTIONS(1413),
    [anon_sym_AMPlog] = ACTIONS(1413),
    [anon_sym_AMPoptional] = ACTIONS(1413),
    [anon_sym_AMPraw_output] = ACTIONS(1413),
    [anon_sym_AMPredef] = ACTIONS(1413),
    [anon_sym_AMPadd_func] = ACTIONS(1413),
    [anon_sym_AMPbackend] = ACTIONS(1413),
    [anon_sym_AMPbroker_store] = ACTIONS(1413),
    [anon_sym_AMPcreate_expire] = ACTIONS(1413),
    [anon_sym_AMPdefault] = ACTIONS(1413),
    [anon_sym_AMPdelete_func] = ACTIONS(1413),
    [anon_sym_AMPexpire_func] = ACTIONS(1413),
    [anon_sym_AMPgroup] = ACTIONS(1413),
    [anon_sym_AMPon_change] = ACTIONS(1413),
    [anon_sym_AMPpriority] = ACTIONS(1413),
    [anon_sym_AMPread_expire] = ACTIONS(1413),
    [anon_sym_AMPtype_column] = ACTIONS(1413),
    [anon_sym_AMPwrite_expire] = ACTIONS(1413),
    [anon_sym_DOLLAR] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1734),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_is] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_LT_EQ] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1734),
    [anon_sym_GT_EQ] = ACTIONS(1730),
    [anon_sym_AMP] = ACTIONS(1734),
    [anon_sym_CARET] = ACTIONS(1730),
    [anon_sym_QMARK] = ACTIONS(1740),
    [anon_sym_EQ_EQ] = ACTIONS(1742),
    [anon_sym_BANG_EQ] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(1746),
    [anon_sym_ATdeprecated] = ACTIONS(1413),
    [anon_sym_ATload] = ACTIONS(1415),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1413),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1413),
    [anon_sym_ATunload] = ACTIONS(1413),
    [anon_sym_ATprefixes] = ACTIONS(1413),
    [anon_sym_ATif] = ACTIONS(1415),
    [anon_sym_ATifdef] = ACTIONS(1413),
    [anon_sym_ATifndef] = ACTIONS(1413),
    [anon_sym_ATendif] = ACTIONS(1413),
    [anon_sym_ATelse] = ACTIONS(1413),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(1756),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_timeout] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [556] = {
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_RBRACE] = ACTIONS(121),
    [anon_sym_const] = ACTIONS(123),
    [anon_sym_record] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(123),
    [anon_sym_event] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(121),
    [anon_sym_switch] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_next] = ACTIONS(123),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_fallthrough] = ACTIONS(123),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_add] = ACTIONS(123),
    [anon_sym_delete] = ACTIONS(123),
    [anon_sym_local] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_timeout] = ACTIONS(123),
    [anon_sym_table] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_vector] = ACTIONS(123),
    [anon_sym_function] = ACTIONS(123),
    [anon_sym_hook] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(121),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(121),
    [anon_sym_DASH_DASH] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_copy] = ACTIONS(123),
    [anon_sym_schedule] = ACTIONS(123),
    [aux_sym_constant_token1] = ACTIONS(123),
    [anon_sym_T] = ACTIONS(123),
    [anon_sym_F] = ACTIONS(123),
    [anon_sym_ATdeprecated] = ACTIONS(121),
    [anon_sym_ATload] = ACTIONS(123),
    [anon_sym_ATload_DASHsigs] = ACTIONS(121),
    [anon_sym_ATload_DASHplugin] = ACTIONS(121),
    [anon_sym_ATunload] = ACTIONS(121),
    [anon_sym_ATprefixes] = ACTIONS(121),
    [anon_sym_ATif] = ACTIONS(123),
    [anon_sym_ATifdef] = ACTIONS(121),
    [anon_sym_ATifndef] = ACTIONS(121),
    [anon_sym_ATendif] = ACTIONS(121),
    [anon_sym_ATelse] = ACTIONS(121),
    [anon_sym_ATDIR] = ACTIONS(121),
    [anon_sym_ATFILENAME] = ACTIONS(121),
    [sym_id] = ACTIONS(123),
    [sym_pattern] = ACTIONS(121),
    [sym_ipv6] = ACTIONS(123),
    [sym_ipv4] = ACTIONS(123),
    [sym_port] = ACTIONS(121),
    [sym_floatp] = ACTIONS(123),
    [sym_hex] = ACTIONS(123),
    [sym_hostname] = ACTIONS(123),
    [aux_sym_string_token1] = ACTIONS(121),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [557] = {
    [sym_index_slice] = STATE(304),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_in] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_as] = ACTIONS(1399),
    [anon_sym_AMPdeprecated] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(109),
    [anon_sym_AMPerror_handler] = ACTIONS(109),
    [anon_sym_AMPis_assigned] = ACTIONS(109),
    [anon_sym_AMPis_used] = ACTIONS(109),
    [anon_sym_AMPlog] = ACTIONS(109),
    [anon_sym_AMPoptional] = ACTIONS(109),
    [anon_sym_AMPraw_output] = ACTIONS(109),
    [anon_sym_AMPredef] = ACTIONS(109),
    [anon_sym_AMPadd_func] = ACTIONS(109),
    [anon_sym_AMPbackend] = ACTIONS(109),
    [anon_sym_AMPbroker_store] = ACTIONS(109),
    [anon_sym_AMPcreate_expire] = ACTIONS(109),
    [anon_sym_AMPdefault] = ACTIONS(109),
    [anon_sym_AMPdelete_func] = ACTIONS(109),
    [anon_sym_AMPexpire_func] = ACTIONS(109),
    [anon_sym_AMPgroup] = ACTIONS(109),
    [anon_sym_AMPon_change] = ACTIONS(109),
    [anon_sym_AMPpriority] = ACTIONS(109),
    [anon_sym_AMPread_expire] = ACTIONS(109),
    [anon_sym_AMPtype_column] = ACTIONS(109),
    [anon_sym_AMPwrite_expire] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1734),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_is] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_LT_EQ] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1734),
    [anon_sym_GT_EQ] = ACTIONS(1730),
    [anon_sym_AMP] = ACTIONS(1734),
    [anon_sym_CARET] = ACTIONS(1730),
    [anon_sym_QMARK] = ACTIONS(1740),
    [anon_sym_EQ_EQ] = ACTIONS(1742),
    [anon_sym_BANG_EQ] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(109),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(109),
    [anon_sym_ATdeprecated] = ACTIONS(109),
    [anon_sym_ATload] = ACTIONS(111),
    [anon_sym_ATload_DASHsigs] = ACTIONS(109),
    [anon_sym_ATload_DASHplugin] = ACTIONS(109),
    [anon_sym_ATunload] = ACTIONS(109),
    [anon_sym_ATprefixes] = ACTIONS(109),
    [anon_sym_ATif] = ACTIONS(111),
    [anon_sym_ATifdef] = ACTIONS(109),
    [anon_sym_ATifndef] = ACTIONS(109),
    [anon_sym_ATendif] = ACTIONS(109),
    [anon_sym_ATelse] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(121),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_const] = ACTIONS(123),
    [anon_sym_record] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(123),
    [anon_sym_event] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(121),
    [anon_sym_switch] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_next] = ACTIONS(123),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_fallthrough] = ACTIONS(123),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_add] = ACTIONS(123),
    [anon_sym_delete] = ACTIONS(123),
    [anon_sym_local] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_timeout] = ACTIONS(123),
    [anon_sym_table] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_vector] = ACTIONS(123),
    [anon_sym_function] = ACTIONS(123),
    [anon_sym_hook] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(121),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(121),
    [anon_sym_DASH_DASH] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_copy] = ACTIONS(123),
    [anon_sym_schedule] = ACTIONS(123),
    [aux_sym_constant_token1] = ACTIONS(123),
    [anon_sym_T] = ACTIONS(123),
    [anon_sym_F] = ACTIONS(123),
    [anon_sym_ATdeprecated] = ACTIONS(121),
    [anon_sym_ATload] = ACTIONS(123),
    [anon_sym_ATload_DASHsigs] = ACTIONS(121),
    [anon_sym_ATload_DASHplugin] = ACTIONS(121),
    [anon_sym_ATunload] = ACTIONS(121),
    [anon_sym_ATprefixes] = ACTIONS(121),
    [anon_sym_ATif] = ACTIONS(123),
    [anon_sym_ATifdef] = ACTIONS(121),
    [anon_sym_ATifndef] = ACTIONS(121),
    [anon_sym_ATendif] = ACTIONS(121),
    [anon_sym_ATelse] = ACTIONS(121),
    [anon_sym_ATDIR] = ACTIONS(121),
    [anon_sym_ATFILENAME] = ACTIONS(121),
    [sym_id] = ACTIONS(123),
    [sym_pattern] = ACTIONS(121),
    [sym_ipv6] = ACTIONS(123),
    [sym_ipv4] = ACTIONS(123),
    [sym_port] = ACTIONS(121),
    [sym_floatp] = ACTIONS(123),
    [sym_hex] = ACTIONS(123),
    [sym_hostname] = ACTIONS(123),
    [aux_sym_string_token1] = ACTIONS(121),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [559] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_timeout] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [560] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_case] = ACTIONS(1613),
    [anon_sym_default] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(121),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_const] = ACTIONS(123),
    [anon_sym_record] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(123),
    [anon_sym_event] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(121),
    [anon_sym_else] = ACTIONS(123),
    [anon_sym_switch] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_next] = ACTIONS(123),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_fallthrough] = ACTIONS(123),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_add] = ACTIONS(123),
    [anon_sym_delete] = ACTIONS(123),
    [anon_sym_local] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_table] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_vector] = ACTIONS(123),
    [anon_sym_function] = ACTIONS(123),
    [anon_sym_hook] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(121),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(121),
    [anon_sym_DASH_DASH] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_copy] = ACTIONS(123),
    [anon_sym_schedule] = ACTIONS(123),
    [aux_sym_constant_token1] = ACTIONS(123),
    [anon_sym_T] = ACTIONS(123),
    [anon_sym_F] = ACTIONS(123),
    [anon_sym_ATdeprecated] = ACTIONS(121),
    [anon_sym_ATload] = ACTIONS(123),
    [anon_sym_ATload_DASHsigs] = ACTIONS(121),
    [anon_sym_ATload_DASHplugin] = ACTIONS(121),
    [anon_sym_ATunload] = ACTIONS(121),
    [anon_sym_ATprefixes] = ACTIONS(121),
    [anon_sym_ATif] = ACTIONS(123),
    [anon_sym_ATifdef] = ACTIONS(121),
    [anon_sym_ATifndef] = ACTIONS(121),
    [anon_sym_ATendif] = ACTIONS(121),
    [anon_sym_ATelse] = ACTIONS(121),
    [anon_sym_ATDIR] = ACTIONS(121),
    [anon_sym_ATFILENAME] = ACTIONS(121),
    [sym_id] = ACTIONS(123),
    [sym_pattern] = ACTIONS(121),
    [sym_ipv6] = ACTIONS(123),
    [sym_ipv4] = ACTIONS(123),
    [sym_port] = ACTIONS(121),
    [sym_floatp] = ACTIONS(123),
    [sym_hex] = ACTIONS(123),
    [sym_hostname] = ACTIONS(123),
    [aux_sym_string_token1] = ACTIONS(121),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [562] = {
    [sym_index_slice] = STATE(304),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_in] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_as] = ACTIONS(1399),
    [anon_sym_AMPdeprecated] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(109),
    [anon_sym_AMPerror_handler] = ACTIONS(109),
    [anon_sym_AMPis_assigned] = ACTIONS(109),
    [anon_sym_AMPis_used] = ACTIONS(109),
    [anon_sym_AMPlog] = ACTIONS(109),
    [anon_sym_AMPoptional] = ACTIONS(109),
    [anon_sym_AMPraw_output] = ACTIONS(109),
    [anon_sym_AMPredef] = ACTIONS(109),
    [anon_sym_AMPadd_func] = ACTIONS(109),
    [anon_sym_AMPbackend] = ACTIONS(109),
    [anon_sym_AMPbroker_store] = ACTIONS(109),
    [anon_sym_AMPcreate_expire] = ACTIONS(109),
    [anon_sym_AMPdefault] = ACTIONS(109),
    [anon_sym_AMPdelete_func] = ACTIONS(109),
    [anon_sym_AMPexpire_func] = ACTIONS(109),
    [anon_sym_AMPgroup] = ACTIONS(109),
    [anon_sym_AMPon_change] = ACTIONS(109),
    [anon_sym_AMPpriority] = ACTIONS(109),
    [anon_sym_AMPread_expire] = ACTIONS(109),
    [anon_sym_AMPtype_column] = ACTIONS(109),
    [anon_sym_AMPwrite_expire] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1734),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_is] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_LT_EQ] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1734),
    [anon_sym_GT_EQ] = ACTIONS(1730),
    [anon_sym_AMP] = ACTIONS(1734),
    [anon_sym_CARET] = ACTIONS(1730),
    [anon_sym_QMARK] = ACTIONS(1740),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_AMP_AMP] = ACTIONS(109),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(109),
    [anon_sym_ATdeprecated] = ACTIONS(109),
    [anon_sym_ATload] = ACTIONS(111),
    [anon_sym_ATload_DASHsigs] = ACTIONS(109),
    [anon_sym_ATload_DASHplugin] = ACTIONS(109),
    [anon_sym_ATunload] = ACTIONS(109),
    [anon_sym_ATprefixes] = ACTIONS(109),
    [anon_sym_ATif] = ACTIONS(111),
    [anon_sym_ATifdef] = ACTIONS(109),
    [anon_sym_ATifndef] = ACTIONS(109),
    [anon_sym_ATendif] = ACTIONS(109),
    [anon_sym_ATelse] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(125),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [564] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_case] = ACTIONS(1613),
    [anon_sym_default] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1758),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [566] = {
    [anon_sym_SEMI] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_RBRACE] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1593),
    [anon_sym_record] = ACTIONS(1593),
    [anon_sym_print] = ACTIONS(1593),
    [anon_sym_event] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_next] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_fallthrough] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_add] = ACTIONS(1593),
    [anon_sym_delete] = ACTIONS(1593),
    [anon_sym_local] = ACTIONS(1593),
    [anon_sym_when] = ACTIONS(1593),
    [anon_sym_case] = ACTIONS(1593),
    [anon_sym_default] = ACTIONS(1593),
    [anon_sym_table] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [anon_sym_vector] = ACTIONS(1593),
    [anon_sym_function] = ACTIONS(1593),
    [anon_sym_hook] = ACTIONS(1593),
    [anon_sym_DOLLAR] = ACTIONS(1591),
    [anon_sym_PIPE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_copy] = ACTIONS(1593),
    [anon_sym_schedule] = ACTIONS(1593),
    [aux_sym_constant_token1] = ACTIONS(1593),
    [anon_sym_T] = ACTIONS(1593),
    [anon_sym_F] = ACTIONS(1593),
    [anon_sym_ATdeprecated] = ACTIONS(1591),
    [anon_sym_ATload] = ACTIONS(1593),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1591),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1591),
    [anon_sym_ATunload] = ACTIONS(1591),
    [anon_sym_ATprefixes] = ACTIONS(1591),
    [anon_sym_ATif] = ACTIONS(1593),
    [anon_sym_ATifdef] = ACTIONS(1591),
    [anon_sym_ATifndef] = ACTIONS(1591),
    [anon_sym_ATendif] = ACTIONS(1591),
    [anon_sym_ATelse] = ACTIONS(1591),
    [anon_sym_ATDIR] = ACTIONS(1591),
    [anon_sym_ATFILENAME] = ACTIONS(1591),
    [sym_id] = ACTIONS(1593),
    [sym_pattern] = ACTIONS(1591),
    [sym_ipv6] = ACTIONS(1593),
    [sym_ipv4] = ACTIONS(1593),
    [sym_port] = ACTIONS(1591),
    [sym_floatp] = ACTIONS(1593),
    [sym_hex] = ACTIONS(1593),
    [sym_hostname] = ACTIONS(1593),
    [aux_sym_string_token1] = ACTIONS(1591),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [567] = {
    [sym_index_slice] = STATE(304),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_in] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_as] = ACTIONS(1399),
    [anon_sym_AMPdeprecated] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(109),
    [anon_sym_AMPerror_handler] = ACTIONS(109),
    [anon_sym_AMPis_assigned] = ACTIONS(109),
    [anon_sym_AMPis_used] = ACTIONS(109),
    [anon_sym_AMPlog] = ACTIONS(109),
    [anon_sym_AMPoptional] = ACTIONS(109),
    [anon_sym_AMPraw_output] = ACTIONS(109),
    [anon_sym_AMPredef] = ACTIONS(109),
    [anon_sym_AMPadd_func] = ACTIONS(109),
    [anon_sym_AMPbackend] = ACTIONS(109),
    [anon_sym_AMPbroker_store] = ACTIONS(109),
    [anon_sym_AMPcreate_expire] = ACTIONS(109),
    [anon_sym_AMPdefault] = ACTIONS(109),
    [anon_sym_AMPdelete_func] = ACTIONS(109),
    [anon_sym_AMPexpire_func] = ACTIONS(109),
    [anon_sym_AMPgroup] = ACTIONS(109),
    [anon_sym_AMPon_change] = ACTIONS(109),
    [anon_sym_AMPpriority] = ACTIONS(109),
    [anon_sym_AMPread_expire] = ACTIONS(109),
    [anon_sym_AMPtype_column] = ACTIONS(109),
    [anon_sym_AMPwrite_expire] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(111),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_is] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(111),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(111),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(111),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_AMP_AMP] = ACTIONS(109),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(109),
    [anon_sym_ATdeprecated] = ACTIONS(109),
    [anon_sym_ATload] = ACTIONS(111),
    [anon_sym_ATload_DASHsigs] = ACTIONS(109),
    [anon_sym_ATload_DASHplugin] = ACTIONS(109),
    [anon_sym_ATunload] = ACTIONS(109),
    [anon_sym_ATprefixes] = ACTIONS(109),
    [anon_sym_ATif] = ACTIONS(111),
    [anon_sym_ATifdef] = ACTIONS(109),
    [anon_sym_ATifndef] = ACTIONS(109),
    [anon_sym_ATendif] = ACTIONS(109),
    [anon_sym_ATelse] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [568] = {
    [sym_index_slice] = STATE(304),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(1726),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_in] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1732),
    [anon_sym_as] = ACTIONS(1399),
    [anon_sym_AMPdeprecated] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(1726),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(109),
    [anon_sym_AMPerror_handler] = ACTIONS(109),
    [anon_sym_AMPis_assigned] = ACTIONS(109),
    [anon_sym_AMPis_used] = ACTIONS(109),
    [anon_sym_AMPlog] = ACTIONS(109),
    [anon_sym_AMPoptional] = ACTIONS(109),
    [anon_sym_AMPraw_output] = ACTIONS(109),
    [anon_sym_AMPredef] = ACTIONS(109),
    [anon_sym_AMPadd_func] = ACTIONS(109),
    [anon_sym_AMPbackend] = ACTIONS(109),
    [anon_sym_AMPbroker_store] = ACTIONS(109),
    [anon_sym_AMPcreate_expire] = ACTIONS(109),
    [anon_sym_AMPdefault] = ACTIONS(109),
    [anon_sym_AMPdelete_func] = ACTIONS(109),
    [anon_sym_AMPexpire_func] = ACTIONS(109),
    [anon_sym_AMPgroup] = ACTIONS(109),
    [anon_sym_AMPon_change] = ACTIONS(109),
    [anon_sym_AMPpriority] = ACTIONS(109),
    [anon_sym_AMPread_expire] = ACTIONS(109),
    [anon_sym_AMPtype_column] = ACTIONS(109),
    [anon_sym_AMPwrite_expire] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1734),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_is] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_LT_EQ] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1734),
    [anon_sym_GT_EQ] = ACTIONS(1730),
    [anon_sym_AMP] = ACTIONS(1734),
    [anon_sym_CARET] = ACTIONS(1730),
    [anon_sym_QMARK] = ACTIONS(1740),
    [anon_sym_EQ_EQ] = ACTIONS(1742),
    [anon_sym_BANG_EQ] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(109),
    [anon_sym_ATdeprecated] = ACTIONS(109),
    [anon_sym_ATload] = ACTIONS(111),
    [anon_sym_ATload_DASHsigs] = ACTIONS(109),
    [anon_sym_ATload_DASHplugin] = ACTIONS(109),
    [anon_sym_ATunload] = ACTIONS(109),
    [anon_sym_ATprefixes] = ACTIONS(109),
    [anon_sym_ATif] = ACTIONS(111),
    [anon_sym_ATifdef] = ACTIONS(109),
    [anon_sym_ATifndef] = ACTIONS(109),
    [anon_sym_ATendif] = ACTIONS(109),
    [anon_sym_ATelse] = ACTIONS(109),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [569] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [570] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_timeout] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_timeout] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_timeout] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1645),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_timeout] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [574] = {
    [anon_sym_SEMI] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_RBRACE] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1593),
    [anon_sym_record] = ACTIONS(1593),
    [anon_sym_print] = ACTIONS(1593),
    [anon_sym_event] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [anon_sym_else] = ACTIONS(1593),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_next] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_fallthrough] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_add] = ACTIONS(1593),
    [anon_sym_delete] = ACTIONS(1593),
    [anon_sym_local] = ACTIONS(1593),
    [anon_sym_when] = ACTIONS(1593),
    [anon_sym_timeout] = ACTIONS(1593),
    [anon_sym_table] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [anon_sym_vector] = ACTIONS(1593),
    [anon_sym_function] = ACTIONS(1593),
    [anon_sym_hook] = ACTIONS(1593),
    [anon_sym_DOLLAR] = ACTIONS(1591),
    [anon_sym_PIPE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_copy] = ACTIONS(1593),
    [anon_sym_schedule] = ACTIONS(1593),
    [aux_sym_constant_token1] = ACTIONS(1593),
    [anon_sym_T] = ACTIONS(1593),
    [anon_sym_F] = ACTIONS(1593),
    [anon_sym_ATdeprecated] = ACTIONS(1591),
    [anon_sym_ATload] = ACTIONS(1593),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1591),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1591),
    [anon_sym_ATunload] = ACTIONS(1591),
    [anon_sym_ATprefixes] = ACTIONS(1591),
    [anon_sym_ATif] = ACTIONS(1593),
    [anon_sym_ATifdef] = ACTIONS(1591),
    [anon_sym_ATifndef] = ACTIONS(1591),
    [anon_sym_ATendif] = ACTIONS(1591),
    [anon_sym_ATelse] = ACTIONS(1591),
    [anon_sym_ATDIR] = ACTIONS(1591),
    [anon_sym_ATFILENAME] = ACTIONS(1591),
    [sym_id] = ACTIONS(1593),
    [sym_pattern] = ACTIONS(1591),
    [sym_ipv6] = ACTIONS(1593),
    [sym_ipv4] = ACTIONS(1593),
    [sym_port] = ACTIONS(1591),
    [sym_floatp] = ACTIONS(1593),
    [sym_hex] = ACTIONS(1593),
    [sym_hostname] = ACTIONS(1593),
    [aux_sym_string_token1] = ACTIONS(1591),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [575] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1645),
    [anon_sym_default] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1645),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_timeout] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [577] = {
    [ts_builtin_sym_end] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_else] = ACTIONS(1613),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_timeout] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [578] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1762),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [579] = {
    [ts_builtin_sym_end] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_else] = ACTIONS(1613),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_timeout] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [580] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_case] = ACTIONS(1645),
    [anon_sym_default] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [581] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_else] = ACTIONS(1393),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_timeout] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [582] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_case] = ACTIONS(1661),
    [anon_sym_default] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [583] = {
    [ts_builtin_sym_end] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_else] = ACTIONS(1649),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_timeout] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [584] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_case] = ACTIONS(1661),
    [anon_sym_default] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [585] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_timeout] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [586] = {
    [ts_builtin_sym_end] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_else] = ACTIONS(1393),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_timeout] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [587] = {
    [ts_builtin_sym_end] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_else] = ACTIONS(1649),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_timeout] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [588] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1764),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [589] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [590] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_timeout] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [591] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1766),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [592] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [593] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(135),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [594] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_RPAREN] = ACTIONS(1768),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [595] = {
    [ts_builtin_sym_end] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_record] = ACTIONS(1505),
    [anon_sym_print] = ACTIONS(1505),
    [anon_sym_event] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_else] = ACTIONS(1505),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_fallthrough] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_add] = ACTIONS(1505),
    [anon_sym_delete] = ACTIONS(1505),
    [anon_sym_local] = ACTIONS(1505),
    [anon_sym_when] = ACTIONS(1505),
    [anon_sym_timeout] = ACTIONS(1505),
    [anon_sym_table] = ACTIONS(1505),
    [anon_sym_set] = ACTIONS(1505),
    [anon_sym_vector] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1505),
    [anon_sym_hook] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_copy] = ACTIONS(1505),
    [anon_sym_schedule] = ACTIONS(1505),
    [aux_sym_constant_token1] = ACTIONS(1505),
    [anon_sym_T] = ACTIONS(1505),
    [anon_sym_F] = ACTIONS(1505),
    [anon_sym_ATdeprecated] = ACTIONS(1503),
    [anon_sym_ATload] = ACTIONS(1505),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1503),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1503),
    [anon_sym_ATunload] = ACTIONS(1503),
    [anon_sym_ATprefixes] = ACTIONS(1503),
    [anon_sym_ATif] = ACTIONS(1505),
    [anon_sym_ATifdef] = ACTIONS(1503),
    [anon_sym_ATifndef] = ACTIONS(1503),
    [anon_sym_ATendif] = ACTIONS(1503),
    [anon_sym_ATelse] = ACTIONS(1503),
    [anon_sym_ATDIR] = ACTIONS(1503),
    [anon_sym_ATFILENAME] = ACTIONS(1503),
    [sym_id] = ACTIONS(1505),
    [sym_pattern] = ACTIONS(1503),
    [sym_ipv6] = ACTIONS(1505),
    [sym_ipv4] = ACTIONS(1505),
    [sym_port] = ACTIONS(1503),
    [sym_floatp] = ACTIONS(1505),
    [sym_hex] = ACTIONS(1505),
    [sym_hostname] = ACTIONS(1505),
    [aux_sym_string_token1] = ACTIONS(1503),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [596] = {
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_RBRACE] = ACTIONS(121),
    [anon_sym_const] = ACTIONS(123),
    [anon_sym_record] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(123),
    [anon_sym_event] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(121),
    [anon_sym_else] = ACTIONS(123),
    [anon_sym_switch] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_next] = ACTIONS(123),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_fallthrough] = ACTIONS(123),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_add] = ACTIONS(123),
    [anon_sym_delete] = ACTIONS(123),
    [anon_sym_local] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_table] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_vector] = ACTIONS(123),
    [anon_sym_function] = ACTIONS(123),
    [anon_sym_hook] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(121),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(121),
    [anon_sym_DASH_DASH] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_copy] = ACTIONS(123),
    [anon_sym_schedule] = ACTIONS(123),
    [aux_sym_constant_token1] = ACTIONS(123),
    [anon_sym_T] = ACTIONS(123),
    [anon_sym_F] = ACTIONS(123),
    [anon_sym_ATdeprecated] = ACTIONS(121),
    [anon_sym_ATload] = ACTIONS(123),
    [anon_sym_ATload_DASHsigs] = ACTIONS(121),
    [anon_sym_ATload_DASHplugin] = ACTIONS(121),
    [anon_sym_ATunload] = ACTIONS(121),
    [anon_sym_ATprefixes] = ACTIONS(121),
    [anon_sym_ATif] = ACTIONS(123),
    [anon_sym_ATifdef] = ACTIONS(121),
    [anon_sym_ATifndef] = ACTIONS(121),
    [anon_sym_ATendif] = ACTIONS(121),
    [anon_sym_ATelse] = ACTIONS(121),
    [anon_sym_ATDIR] = ACTIONS(121),
    [anon_sym_ATFILENAME] = ACTIONS(121),
    [sym_id] = ACTIONS(123),
    [sym_pattern] = ACTIONS(121),
    [sym_ipv6] = ACTIONS(123),
    [sym_ipv4] = ACTIONS(123),
    [sym_port] = ACTIONS(121),
    [sym_floatp] = ACTIONS(123),
    [sym_hex] = ACTIONS(123),
    [sym_hostname] = ACTIONS(123),
    [aux_sym_string_token1] = ACTIONS(121),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [597] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1770),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [598] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_timeout] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_timeout] = ACTIONS(135),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [600] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [601] = {
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_RBRACE] = ACTIONS(1503),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_record] = ACTIONS(1505),
    [anon_sym_print] = ACTIONS(1505),
    [anon_sym_event] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_else] = ACTIONS(1505),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_fallthrough] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_add] = ACTIONS(1505),
    [anon_sym_delete] = ACTIONS(1505),
    [anon_sym_local] = ACTIONS(1505),
    [anon_sym_when] = ACTIONS(1505),
    [anon_sym_timeout] = ACTIONS(1505),
    [anon_sym_table] = ACTIONS(1505),
    [anon_sym_set] = ACTIONS(1505),
    [anon_sym_vector] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1505),
    [anon_sym_hook] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_copy] = ACTIONS(1505),
    [anon_sym_schedule] = ACTIONS(1505),
    [aux_sym_constant_token1] = ACTIONS(1505),
    [anon_sym_T] = ACTIONS(1505),
    [anon_sym_F] = ACTIONS(1505),
    [anon_sym_ATdeprecated] = ACTIONS(1503),
    [anon_sym_ATload] = ACTIONS(1505),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1503),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1503),
    [anon_sym_ATunload] = ACTIONS(1503),
    [anon_sym_ATprefixes] = ACTIONS(1503),
    [anon_sym_ATif] = ACTIONS(1505),
    [anon_sym_ATifdef] = ACTIONS(1503),
    [anon_sym_ATifndef] = ACTIONS(1503),
    [anon_sym_ATendif] = ACTIONS(1503),
    [anon_sym_ATelse] = ACTIONS(1503),
    [anon_sym_ATDIR] = ACTIONS(1503),
    [anon_sym_ATFILENAME] = ACTIONS(1503),
    [sym_id] = ACTIONS(1505),
    [sym_pattern] = ACTIONS(1503),
    [sym_ipv6] = ACTIONS(1505),
    [sym_ipv4] = ACTIONS(1505),
    [sym_port] = ACTIONS(1503),
    [sym_floatp] = ACTIONS(1505),
    [sym_hex] = ACTIONS(1505),
    [sym_hostname] = ACTIONS(1505),
    [aux_sym_string_token1] = ACTIONS(1503),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1772),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [604] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(1774),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_timeout] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [605] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1776),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(125),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_timeout] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_else] = ACTIONS(1641),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_timeout] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [609] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [610] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(1778),
    [anon_sym_else] = ACTIONS(1393),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [612] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_RPAREN] = ACTIONS(1780),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_timeout] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [613] = {
    [ts_builtin_sym_end] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_else] = ACTIONS(1641),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_timeout] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [614] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1782),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [615] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_else] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_timeout] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [617] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1784),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(1786),
    [anon_sym_else] = ACTIONS(1393),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [620] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_RPAREN] = ACTIONS(1788),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [621] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_else] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_timeout] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [624] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1790),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [625] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [626] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [627] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [628] = {
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_RBRACE] = ACTIONS(1503),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_record] = ACTIONS(1505),
    [anon_sym_print] = ACTIONS(1505),
    [anon_sym_event] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_fallthrough] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_add] = ACTIONS(1505),
    [anon_sym_delete] = ACTIONS(1505),
    [anon_sym_local] = ACTIONS(1505),
    [anon_sym_when] = ACTIONS(1505),
    [anon_sym_timeout] = ACTIONS(1505),
    [anon_sym_table] = ACTIONS(1505),
    [anon_sym_set] = ACTIONS(1505),
    [anon_sym_vector] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1505),
    [anon_sym_hook] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_copy] = ACTIONS(1505),
    [anon_sym_schedule] = ACTIONS(1505),
    [aux_sym_constant_token1] = ACTIONS(1505),
    [anon_sym_T] = ACTIONS(1505),
    [anon_sym_F] = ACTIONS(1505),
    [anon_sym_ATdeprecated] = ACTIONS(1503),
    [anon_sym_ATload] = ACTIONS(1505),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1503),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1503),
    [anon_sym_ATunload] = ACTIONS(1503),
    [anon_sym_ATprefixes] = ACTIONS(1503),
    [anon_sym_ATif] = ACTIONS(1505),
    [anon_sym_ATifdef] = ACTIONS(1503),
    [anon_sym_ATifndef] = ACTIONS(1503),
    [anon_sym_ATendif] = ACTIONS(1503),
    [anon_sym_ATelse] = ACTIONS(1503),
    [anon_sym_ATDIR] = ACTIONS(1503),
    [anon_sym_ATFILENAME] = ACTIONS(1503),
    [sym_id] = ACTIONS(1505),
    [sym_pattern] = ACTIONS(1503),
    [sym_ipv6] = ACTIONS(1505),
    [sym_ipv4] = ACTIONS(1505),
    [sym_port] = ACTIONS(1503),
    [sym_floatp] = ACTIONS(1505),
    [sym_hex] = ACTIONS(1505),
    [sym_hostname] = ACTIONS(1505),
    [aux_sym_string_token1] = ACTIONS(1503),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [629] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_else] = ACTIONS(1641),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [630] = {
    [ts_builtin_sym_end] = ACTIONS(121),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_const] = ACTIONS(123),
    [anon_sym_record] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(123),
    [anon_sym_event] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(121),
    [anon_sym_switch] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_next] = ACTIONS(123),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_fallthrough] = ACTIONS(123),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_add] = ACTIONS(123),
    [anon_sym_delete] = ACTIONS(123),
    [anon_sym_local] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_table] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_vector] = ACTIONS(123),
    [anon_sym_function] = ACTIONS(123),
    [anon_sym_hook] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(121),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(121),
    [anon_sym_DASH_DASH] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_copy] = ACTIONS(123),
    [anon_sym_schedule] = ACTIONS(123),
    [aux_sym_constant_token1] = ACTIONS(123),
    [anon_sym_T] = ACTIONS(123),
    [anon_sym_F] = ACTIONS(123),
    [anon_sym_ATdeprecated] = ACTIONS(121),
    [anon_sym_ATload] = ACTIONS(123),
    [anon_sym_ATload_DASHsigs] = ACTIONS(121),
    [anon_sym_ATload_DASHplugin] = ACTIONS(121),
    [anon_sym_ATunload] = ACTIONS(121),
    [anon_sym_ATprefixes] = ACTIONS(121),
    [anon_sym_ATif] = ACTIONS(123),
    [anon_sym_ATifdef] = ACTIONS(121),
    [anon_sym_ATifndef] = ACTIONS(121),
    [anon_sym_ATendif] = ACTIONS(121),
    [anon_sym_ATelse] = ACTIONS(121),
    [anon_sym_ATDIR] = ACTIONS(121),
    [anon_sym_ATFILENAME] = ACTIONS(121),
    [sym_id] = ACTIONS(123),
    [sym_pattern] = ACTIONS(121),
    [sym_ipv6] = ACTIONS(123),
    [sym_ipv4] = ACTIONS(123),
    [sym_port] = ACTIONS(121),
    [sym_floatp] = ACTIONS(123),
    [sym_hex] = ACTIONS(123),
    [sym_hostname] = ACTIONS(123),
    [aux_sym_string_token1] = ACTIONS(121),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [631] = {
    [ts_builtin_sym_end] = ACTIONS(125),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [632] = {
    [ts_builtin_sym_end] = ACTIONS(1591),
    [anon_sym_SEMI] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1593),
    [anon_sym_record] = ACTIONS(1593),
    [anon_sym_print] = ACTIONS(1593),
    [anon_sym_event] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [anon_sym_else] = ACTIONS(1593),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_next] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_fallthrough] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_add] = ACTIONS(1593),
    [anon_sym_delete] = ACTIONS(1593),
    [anon_sym_local] = ACTIONS(1593),
    [anon_sym_when] = ACTIONS(1593),
    [anon_sym_table] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [anon_sym_vector] = ACTIONS(1593),
    [anon_sym_function] = ACTIONS(1593),
    [anon_sym_hook] = ACTIONS(1593),
    [anon_sym_DOLLAR] = ACTIONS(1591),
    [anon_sym_PIPE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_copy] = ACTIONS(1593),
    [anon_sym_schedule] = ACTIONS(1593),
    [aux_sym_constant_token1] = ACTIONS(1593),
    [anon_sym_T] = ACTIONS(1593),
    [anon_sym_F] = ACTIONS(1593),
    [anon_sym_ATdeprecated] = ACTIONS(1591),
    [anon_sym_ATload] = ACTIONS(1593),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1591),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1591),
    [anon_sym_ATunload] = ACTIONS(1591),
    [anon_sym_ATprefixes] = ACTIONS(1591),
    [anon_sym_ATif] = ACTIONS(1593),
    [anon_sym_ATifdef] = ACTIONS(1591),
    [anon_sym_ATifndef] = ACTIONS(1591),
    [anon_sym_ATendif] = ACTIONS(1591),
    [anon_sym_ATelse] = ACTIONS(1591),
    [anon_sym_ATDIR] = ACTIONS(1591),
    [anon_sym_ATFILENAME] = ACTIONS(1591),
    [sym_id] = ACTIONS(1593),
    [sym_pattern] = ACTIONS(1591),
    [sym_ipv6] = ACTIONS(1593),
    [sym_ipv4] = ACTIONS(1593),
    [sym_port] = ACTIONS(1591),
    [sym_floatp] = ACTIONS(1593),
    [sym_hex] = ACTIONS(1593),
    [sym_hostname] = ACTIONS(1593),
    [aux_sym_string_token1] = ACTIONS(1591),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [633] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [634] = {
    [ts_builtin_sym_end] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_timeout] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [635] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_else] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [636] = {
    [ts_builtin_sym_end] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_timeout] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [637] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_else] = ACTIONS(1393),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [638] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_timeout] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [639] = {
    [ts_builtin_sym_end] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_record] = ACTIONS(1505),
    [anon_sym_print] = ACTIONS(1505),
    [anon_sym_event] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_else] = ACTIONS(1505),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_fallthrough] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_add] = ACTIONS(1505),
    [anon_sym_delete] = ACTIONS(1505),
    [anon_sym_local] = ACTIONS(1505),
    [anon_sym_when] = ACTIONS(1505),
    [anon_sym_table] = ACTIONS(1505),
    [anon_sym_set] = ACTIONS(1505),
    [anon_sym_vector] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1505),
    [anon_sym_hook] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_copy] = ACTIONS(1505),
    [anon_sym_schedule] = ACTIONS(1505),
    [aux_sym_constant_token1] = ACTIONS(1505),
    [anon_sym_T] = ACTIONS(1505),
    [anon_sym_F] = ACTIONS(1505),
    [anon_sym_ATdeprecated] = ACTIONS(1503),
    [anon_sym_ATload] = ACTIONS(1505),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1503),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1503),
    [anon_sym_ATunload] = ACTIONS(1503),
    [anon_sym_ATprefixes] = ACTIONS(1503),
    [anon_sym_ATif] = ACTIONS(1505),
    [anon_sym_ATifdef] = ACTIONS(1503),
    [anon_sym_ATifndef] = ACTIONS(1503),
    [anon_sym_ATendif] = ACTIONS(1503),
    [anon_sym_ATelse] = ACTIONS(1503),
    [anon_sym_ATDIR] = ACTIONS(1503),
    [anon_sym_ATFILENAME] = ACTIONS(1503),
    [sym_id] = ACTIONS(1505),
    [sym_pattern] = ACTIONS(1503),
    [sym_ipv6] = ACTIONS(1505),
    [sym_ipv4] = ACTIONS(1505),
    [sym_port] = ACTIONS(1503),
    [sym_floatp] = ACTIONS(1505),
    [sym_hex] = ACTIONS(1505),
    [sym_hostname] = ACTIONS(1505),
    [aux_sym_string_token1] = ACTIONS(1503),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [640] = {
    [ts_builtin_sym_end] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_timeout] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [641] = {
    [ts_builtin_sym_end] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_timeout] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [642] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_else] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [643] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1792),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [644] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [645] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_timeout] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [646] = {
    [anon_sym_SEMI] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_RBRACE] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1593),
    [anon_sym_record] = ACTIONS(1593),
    [anon_sym_print] = ACTIONS(1593),
    [anon_sym_event] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [anon_sym_else] = ACTIONS(1593),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_next] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_fallthrough] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_add] = ACTIONS(1593),
    [anon_sym_delete] = ACTIONS(1593),
    [anon_sym_local] = ACTIONS(1593),
    [anon_sym_when] = ACTIONS(1593),
    [anon_sym_table] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [anon_sym_vector] = ACTIONS(1593),
    [anon_sym_function] = ACTIONS(1593),
    [anon_sym_hook] = ACTIONS(1593),
    [anon_sym_DOLLAR] = ACTIONS(1591),
    [anon_sym_PIPE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_copy] = ACTIONS(1593),
    [anon_sym_schedule] = ACTIONS(1593),
    [aux_sym_constant_token1] = ACTIONS(1593),
    [anon_sym_T] = ACTIONS(1593),
    [anon_sym_F] = ACTIONS(1593),
    [anon_sym_ATdeprecated] = ACTIONS(1591),
    [anon_sym_ATload] = ACTIONS(1593),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1591),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1591),
    [anon_sym_ATunload] = ACTIONS(1591),
    [anon_sym_ATprefixes] = ACTIONS(1591),
    [anon_sym_ATif] = ACTIONS(1593),
    [anon_sym_ATifdef] = ACTIONS(1591),
    [anon_sym_ATifndef] = ACTIONS(1591),
    [anon_sym_ATendif] = ACTIONS(1591),
    [anon_sym_ATelse] = ACTIONS(1591),
    [anon_sym_ATDIR] = ACTIONS(1591),
    [anon_sym_ATFILENAME] = ACTIONS(1591),
    [sym_id] = ACTIONS(1593),
    [sym_pattern] = ACTIONS(1591),
    [sym_ipv6] = ACTIONS(1593),
    [sym_ipv4] = ACTIONS(1593),
    [sym_port] = ACTIONS(1591),
    [sym_floatp] = ACTIONS(1593),
    [sym_hex] = ACTIONS(1593),
    [sym_hostname] = ACTIONS(1593),
    [aux_sym_string_token1] = ACTIONS(1591),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [647] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1794),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [648] = {
    [ts_builtin_sym_end] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_timeout] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [649] = {
    [ts_builtin_sym_end] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_timeout] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [650] = {
    [ts_builtin_sym_end] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_timeout] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [651] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [652] = {
    [ts_builtin_sym_end] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_timeout] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [653] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [654] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [655] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [656] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [657] = {
    [ts_builtin_sym_end] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_timeout] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [658] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [659] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1798),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [660] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [661] = {
    [ts_builtin_sym_end] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1645),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [662] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [663] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [664] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_else] = ACTIONS(1649),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [665] = {
    [anon_sym_SEMI] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_RBRACE] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1593),
    [anon_sym_record] = ACTIONS(1593),
    [anon_sym_print] = ACTIONS(1593),
    [anon_sym_event] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_next] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_fallthrough] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_add] = ACTIONS(1593),
    [anon_sym_delete] = ACTIONS(1593),
    [anon_sym_local] = ACTIONS(1593),
    [anon_sym_when] = ACTIONS(1593),
    [anon_sym_timeout] = ACTIONS(1593),
    [anon_sym_table] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [anon_sym_vector] = ACTIONS(1593),
    [anon_sym_function] = ACTIONS(1593),
    [anon_sym_hook] = ACTIONS(1593),
    [anon_sym_DOLLAR] = ACTIONS(1591),
    [anon_sym_PIPE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_copy] = ACTIONS(1593),
    [anon_sym_schedule] = ACTIONS(1593),
    [aux_sym_constant_token1] = ACTIONS(1593),
    [anon_sym_T] = ACTIONS(1593),
    [anon_sym_F] = ACTIONS(1593),
    [anon_sym_ATdeprecated] = ACTIONS(1591),
    [anon_sym_ATload] = ACTIONS(1593),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1591),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1591),
    [anon_sym_ATunload] = ACTIONS(1591),
    [anon_sym_ATprefixes] = ACTIONS(1591),
    [anon_sym_ATif] = ACTIONS(1593),
    [anon_sym_ATifdef] = ACTIONS(1591),
    [anon_sym_ATifndef] = ACTIONS(1591),
    [anon_sym_ATendif] = ACTIONS(1591),
    [anon_sym_ATelse] = ACTIONS(1591),
    [anon_sym_ATDIR] = ACTIONS(1591),
    [anon_sym_ATFILENAME] = ACTIONS(1591),
    [sym_id] = ACTIONS(1593),
    [sym_pattern] = ACTIONS(1591),
    [sym_ipv6] = ACTIONS(1593),
    [sym_ipv4] = ACTIONS(1593),
    [sym_port] = ACTIONS(1591),
    [sym_floatp] = ACTIONS(1593),
    [sym_hex] = ACTIONS(1593),
    [sym_hostname] = ACTIONS(1593),
    [aux_sym_string_token1] = ACTIONS(1591),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [666] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_else] = ACTIONS(1649),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [667] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_else] = ACTIONS(1613),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [668] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_else] = ACTIONS(1613),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [669] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1645),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [670] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [671] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1800),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [672] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1645),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [673] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [674] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [675] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [676] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [677] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [678] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1802),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [679] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(1804),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [680] = {
    [ts_builtin_sym_end] = ACTIONS(1591),
    [anon_sym_SEMI] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1593),
    [anon_sym_record] = ACTIONS(1593),
    [anon_sym_print] = ACTIONS(1593),
    [anon_sym_event] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_next] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_fallthrough] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_add] = ACTIONS(1593),
    [anon_sym_delete] = ACTIONS(1593),
    [anon_sym_local] = ACTIONS(1593),
    [anon_sym_when] = ACTIONS(1593),
    [anon_sym_timeout] = ACTIONS(1593),
    [anon_sym_table] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [anon_sym_vector] = ACTIONS(1593),
    [anon_sym_function] = ACTIONS(1593),
    [anon_sym_hook] = ACTIONS(1593),
    [anon_sym_DOLLAR] = ACTIONS(1591),
    [anon_sym_PIPE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_copy] = ACTIONS(1593),
    [anon_sym_schedule] = ACTIONS(1593),
    [aux_sym_constant_token1] = ACTIONS(1593),
    [anon_sym_T] = ACTIONS(1593),
    [anon_sym_F] = ACTIONS(1593),
    [anon_sym_ATdeprecated] = ACTIONS(1591),
    [anon_sym_ATload] = ACTIONS(1593),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1591),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1591),
    [anon_sym_ATunload] = ACTIONS(1591),
    [anon_sym_ATprefixes] = ACTIONS(1591),
    [anon_sym_ATif] = ACTIONS(1593),
    [anon_sym_ATifdef] = ACTIONS(1591),
    [anon_sym_ATifndef] = ACTIONS(1591),
    [anon_sym_ATendif] = ACTIONS(1591),
    [anon_sym_ATelse] = ACTIONS(1591),
    [anon_sym_ATDIR] = ACTIONS(1591),
    [anon_sym_ATFILENAME] = ACTIONS(1591),
    [sym_id] = ACTIONS(1593),
    [sym_pattern] = ACTIONS(1591),
    [sym_ipv6] = ACTIONS(1593),
    [sym_ipv4] = ACTIONS(1593),
    [sym_port] = ACTIONS(1591),
    [sym_floatp] = ACTIONS(1593),
    [sym_hex] = ACTIONS(1593),
    [sym_hostname] = ACTIONS(1593),
    [aux_sym_string_token1] = ACTIONS(1591),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [681] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1806),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [682] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_timeout] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [683] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_timeout] = ACTIONS(135),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [684] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1808),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [685] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_timeout] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_else] = ACTIONS(1393),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [687] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_timeout] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [688] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_timeout] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [689] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_else] = ACTIONS(1641),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_timeout] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_timeout] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [693] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_timeout] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [694] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1810),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [696] = {
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_RBRACE] = ACTIONS(1503),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_record] = ACTIONS(1505),
    [anon_sym_print] = ACTIONS(1505),
    [anon_sym_event] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_else] = ACTIONS(1505),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_fallthrough] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_add] = ACTIONS(1505),
    [anon_sym_delete] = ACTIONS(1505),
    [anon_sym_local] = ACTIONS(1505),
    [anon_sym_when] = ACTIONS(1505),
    [anon_sym_table] = ACTIONS(1505),
    [anon_sym_set] = ACTIONS(1505),
    [anon_sym_vector] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1505),
    [anon_sym_hook] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_copy] = ACTIONS(1505),
    [anon_sym_schedule] = ACTIONS(1505),
    [aux_sym_constant_token1] = ACTIONS(1505),
    [anon_sym_T] = ACTIONS(1505),
    [anon_sym_F] = ACTIONS(1505),
    [anon_sym_ATdeprecated] = ACTIONS(1503),
    [anon_sym_ATload] = ACTIONS(1505),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1503),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1503),
    [anon_sym_ATunload] = ACTIONS(1503),
    [anon_sym_ATprefixes] = ACTIONS(1503),
    [anon_sym_ATif] = ACTIONS(1505),
    [anon_sym_ATifdef] = ACTIONS(1503),
    [anon_sym_ATifndef] = ACTIONS(1503),
    [anon_sym_ATendif] = ACTIONS(1503),
    [anon_sym_ATelse] = ACTIONS(1503),
    [anon_sym_ATDIR] = ACTIONS(1503),
    [anon_sym_ATFILENAME] = ACTIONS(1503),
    [sym_id] = ACTIONS(1505),
    [sym_pattern] = ACTIONS(1503),
    [sym_ipv6] = ACTIONS(1505),
    [sym_ipv4] = ACTIONS(1505),
    [sym_port] = ACTIONS(1503),
    [sym_floatp] = ACTIONS(1505),
    [sym_hex] = ACTIONS(1505),
    [sym_hostname] = ACTIONS(1505),
    [aux_sym_string_token1] = ACTIONS(1503),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [697] = {
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_record] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_LBRACK] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_next] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_fallthrough] = ACTIONS(127),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_add] = ACTIONS(127),
    [anon_sym_delete] = ACTIONS(127),
    [anon_sym_local] = ACTIONS(127),
    [anon_sym_when] = ACTIONS(127),
    [anon_sym_table] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_hook] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(125),
    [anon_sym_DASH_DASH] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(125),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_copy] = ACTIONS(127),
    [anon_sym_schedule] = ACTIONS(127),
    [aux_sym_constant_token1] = ACTIONS(127),
    [anon_sym_T] = ACTIONS(127),
    [anon_sym_F] = ACTIONS(127),
    [anon_sym_ATdeprecated] = ACTIONS(125),
    [anon_sym_ATload] = ACTIONS(127),
    [anon_sym_ATload_DASHsigs] = ACTIONS(125),
    [anon_sym_ATload_DASHplugin] = ACTIONS(125),
    [anon_sym_ATunload] = ACTIONS(125),
    [anon_sym_ATprefixes] = ACTIONS(125),
    [anon_sym_ATif] = ACTIONS(127),
    [anon_sym_ATifdef] = ACTIONS(125),
    [anon_sym_ATifndef] = ACTIONS(125),
    [anon_sym_ATendif] = ACTIONS(125),
    [anon_sym_ATelse] = ACTIONS(125),
    [anon_sym_ATDIR] = ACTIONS(125),
    [anon_sym_ATFILENAME] = ACTIONS(125),
    [sym_id] = ACTIONS(127),
    [sym_pattern] = ACTIONS(125),
    [sym_ipv6] = ACTIONS(127),
    [sym_ipv4] = ACTIONS(127),
    [sym_port] = ACTIONS(125),
    [sym_floatp] = ACTIONS(127),
    [sym_hex] = ACTIONS(127),
    [sym_hostname] = ACTIONS(127),
    [aux_sym_string_token1] = ACTIONS(125),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [698] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_timeout] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [699] = {
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_RBRACE] = ACTIONS(121),
    [anon_sym_const] = ACTIONS(123),
    [anon_sym_record] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(123),
    [anon_sym_event] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_RPAREN] = ACTIONS(121),
    [anon_sym_switch] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_next] = ACTIONS(123),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_fallthrough] = ACTIONS(123),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_add] = ACTIONS(123),
    [anon_sym_delete] = ACTIONS(123),
    [anon_sym_local] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_table] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_vector] = ACTIONS(123),
    [anon_sym_function] = ACTIONS(123),
    [anon_sym_hook] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(121),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(121),
    [anon_sym_DASH_DASH] = ACTIONS(121),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_copy] = ACTIONS(123),
    [anon_sym_schedule] = ACTIONS(123),
    [aux_sym_constant_token1] = ACTIONS(123),
    [anon_sym_T] = ACTIONS(123),
    [anon_sym_F] = ACTIONS(123),
    [anon_sym_ATdeprecated] = ACTIONS(121),
    [anon_sym_ATload] = ACTIONS(123),
    [anon_sym_ATload_DASHsigs] = ACTIONS(121),
    [anon_sym_ATload_DASHplugin] = ACTIONS(121),
    [anon_sym_ATunload] = ACTIONS(121),
    [anon_sym_ATprefixes] = ACTIONS(121),
    [anon_sym_ATif] = ACTIONS(123),
    [anon_sym_ATifdef] = ACTIONS(121),
    [anon_sym_ATifndef] = ACTIONS(121),
    [anon_sym_ATendif] = ACTIONS(121),
    [anon_sym_ATelse] = ACTIONS(121),
    [anon_sym_ATDIR] = ACTIONS(121),
    [anon_sym_ATFILENAME] = ACTIONS(121),
    [sym_id] = ACTIONS(123),
    [sym_pattern] = ACTIONS(121),
    [sym_ipv6] = ACTIONS(123),
    [sym_ipv4] = ACTIONS(123),
    [sym_port] = ACTIONS(121),
    [sym_floatp] = ACTIONS(123),
    [sym_hex] = ACTIONS(123),
    [sym_hostname] = ACTIONS(123),
    [aux_sym_string_token1] = ACTIONS(121),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_record] = ACTIONS(1505),
    [anon_sym_print] = ACTIONS(1505),
    [anon_sym_event] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_fallthrough] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_add] = ACTIONS(1505),
    [anon_sym_delete] = ACTIONS(1505),
    [anon_sym_local] = ACTIONS(1505),
    [anon_sym_when] = ACTIONS(1505),
    [anon_sym_timeout] = ACTIONS(1505),
    [anon_sym_table] = ACTIONS(1505),
    [anon_sym_set] = ACTIONS(1505),
    [anon_sym_vector] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1505),
    [anon_sym_hook] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_copy] = ACTIONS(1505),
    [anon_sym_schedule] = ACTIONS(1505),
    [aux_sym_constant_token1] = ACTIONS(1505),
    [anon_sym_T] = ACTIONS(1505),
    [anon_sym_F] = ACTIONS(1505),
    [anon_sym_ATdeprecated] = ACTIONS(1503),
    [anon_sym_ATload] = ACTIONS(1505),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1503),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1503),
    [anon_sym_ATunload] = ACTIONS(1503),
    [anon_sym_ATprefixes] = ACTIONS(1503),
    [anon_sym_ATif] = ACTIONS(1505),
    [anon_sym_ATifdef] = ACTIONS(1503),
    [anon_sym_ATifndef] = ACTIONS(1503),
    [anon_sym_ATendif] = ACTIONS(1503),
    [anon_sym_ATelse] = ACTIONS(1503),
    [anon_sym_ATDIR] = ACTIONS(1503),
    [anon_sym_ATFILENAME] = ACTIONS(1503),
    [sym_id] = ACTIONS(1505),
    [sym_pattern] = ACTIONS(1503),
    [sym_ipv6] = ACTIONS(1505),
    [sym_ipv4] = ACTIONS(1505),
    [sym_port] = ACTIONS(1503),
    [sym_floatp] = ACTIONS(1505),
    [sym_hex] = ACTIONS(1505),
    [sym_hostname] = ACTIONS(1505),
    [aux_sym_string_token1] = ACTIONS(1503),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(1812),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_timeout] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [705] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_timeout] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_else] = ACTIONS(1641),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_timeout] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [708] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [709] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [710] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_RPAREN] = ACTIONS(1814),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [712] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [713] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_timeout] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_timeout] = ACTIONS(135),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_else] = ACTIONS(1641),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_else] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_timeout] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [719] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [720] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [721] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_timeout] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_timeout] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [723] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_timeout] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1816),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1818),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_else] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [727] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_timeout] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1820),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [730] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_timeout] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [731] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_timeout] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [732] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_timeout] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1645),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1822),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_timeout] = ACTIONS(1824),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [743] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_timeout] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_timeout] = ACTIONS(1826),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_else] = ACTIONS(1649),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_else] = ACTIONS(1649),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_timeout] = ACTIONS(1828),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_else] = ACTIONS(1613),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_else] = ACTIONS(1613),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [751] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [752] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [753] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [756] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [758] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [759] = {
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [760] = {
    [ts_builtin_sym_end] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [761] = {
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1393),
    [anon_sym_event] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_next] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_fallthrough] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_add] = ACTIONS(1393),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(1393),
    [anon_sym_table] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_vector] = ACTIONS(1393),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_hook] = ACTIONS(1393),
    [anon_sym_DOLLAR] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_copy] = ACTIONS(1393),
    [anon_sym_schedule] = ACTIONS(1393),
    [aux_sym_constant_token1] = ACTIONS(1393),
    [anon_sym_T] = ACTIONS(1393),
    [anon_sym_F] = ACTIONS(1393),
    [anon_sym_ATdeprecated] = ACTIONS(1391),
    [anon_sym_ATload] = ACTIONS(1393),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1391),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1391),
    [anon_sym_ATunload] = ACTIONS(1391),
    [anon_sym_ATprefixes] = ACTIONS(1391),
    [anon_sym_ATif] = ACTIONS(1393),
    [anon_sym_ATifdef] = ACTIONS(1391),
    [anon_sym_ATifndef] = ACTIONS(1391),
    [anon_sym_ATendif] = ACTIONS(1391),
    [anon_sym_ATelse] = ACTIONS(1391),
    [anon_sym_ATDIR] = ACTIONS(1391),
    [anon_sym_ATFILENAME] = ACTIONS(1391),
    [sym_id] = ACTIONS(1393),
    [sym_pattern] = ACTIONS(1391),
    [sym_ipv6] = ACTIONS(1393),
    [sym_ipv4] = ACTIONS(1393),
    [sym_port] = ACTIONS(1391),
    [sym_floatp] = ACTIONS(1393),
    [sym_hex] = ACTIONS(1393),
    [sym_hostname] = ACTIONS(1393),
    [aux_sym_string_token1] = ACTIONS(1391),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [762] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [763] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_record] = ACTIONS(1505),
    [anon_sym_print] = ACTIONS(1505),
    [anon_sym_event] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_fallthrough] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_add] = ACTIONS(1505),
    [anon_sym_delete] = ACTIONS(1505),
    [anon_sym_local] = ACTIONS(1505),
    [anon_sym_when] = ACTIONS(1505),
    [anon_sym_table] = ACTIONS(1505),
    [anon_sym_set] = ACTIONS(1505),
    [anon_sym_vector] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1505),
    [anon_sym_hook] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_copy] = ACTIONS(1505),
    [anon_sym_schedule] = ACTIONS(1505),
    [aux_sym_constant_token1] = ACTIONS(1505),
    [anon_sym_T] = ACTIONS(1505),
    [anon_sym_F] = ACTIONS(1505),
    [anon_sym_ATdeprecated] = ACTIONS(1503),
    [anon_sym_ATload] = ACTIONS(1505),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1503),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1503),
    [anon_sym_ATunload] = ACTIONS(1503),
    [anon_sym_ATprefixes] = ACTIONS(1503),
    [anon_sym_ATif] = ACTIONS(1505),
    [anon_sym_ATifdef] = ACTIONS(1503),
    [anon_sym_ATifndef] = ACTIONS(1503),
    [anon_sym_ATendif] = ACTIONS(1503),
    [anon_sym_ATelse] = ACTIONS(1503),
    [anon_sym_ATDIR] = ACTIONS(1503),
    [anon_sym_ATFILENAME] = ACTIONS(1503),
    [sym_id] = ACTIONS(1505),
    [sym_pattern] = ACTIONS(1503),
    [sym_ipv6] = ACTIONS(1505),
    [sym_ipv4] = ACTIONS(1505),
    [sym_port] = ACTIONS(1503),
    [sym_floatp] = ACTIONS(1505),
    [sym_hex] = ACTIONS(1505),
    [sym_hostname] = ACTIONS(1505),
    [aux_sym_string_token1] = ACTIONS(1503),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [765] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [766] = {
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [767] = {
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [768] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [769] = {
    [anon_sym_SEMI] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1445),
    [anon_sym_COLON] = ACTIONS(1830),
    [anon_sym_PLUS_EQ] = ACTIONS(1445),
    [anon_sym_record] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [anon_sym_local] = ACTIONS(1449),
    [anon_sym_EQ] = ACTIONS(1445),
    [anon_sym_table] = ACTIONS(1449),
    [anon_sym_set] = ACTIONS(1449),
    [anon_sym_vector] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(1449),
    [anon_sym_hook] = ACTIONS(1449),
    [anon_sym_AMPdeprecated] = ACTIONS(1445),
    [anon_sym_DASH_EQ] = ACTIONS(1445),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1445),
    [anon_sym_AMPerror_handler] = ACTIONS(1445),
    [anon_sym_AMPis_assigned] = ACTIONS(1445),
    [anon_sym_AMPis_used] = ACTIONS(1445),
    [anon_sym_AMPlog] = ACTIONS(1445),
    [anon_sym_AMPoptional] = ACTIONS(1445),
    [anon_sym_AMPraw_output] = ACTIONS(1445),
    [anon_sym_AMPredef] = ACTIONS(1445),
    [anon_sym_AMPadd_func] = ACTIONS(1445),
    [anon_sym_AMPbackend] = ACTIONS(1445),
    [anon_sym_AMPbroker_store] = ACTIONS(1445),
    [anon_sym_AMPcreate_expire] = ACTIONS(1445),
    [anon_sym_AMPdefault] = ACTIONS(1445),
    [anon_sym_AMPdelete_func] = ACTIONS(1445),
    [anon_sym_AMPexpire_func] = ACTIONS(1445),
    [anon_sym_AMPgroup] = ACTIONS(1445),
    [anon_sym_AMPon_change] = ACTIONS(1445),
    [anon_sym_AMPpriority] = ACTIONS(1445),
    [anon_sym_AMPread_expire] = ACTIONS(1445),
    [anon_sym_AMPtype_column] = ACTIONS(1445),
    [anon_sym_AMPwrite_expire] = ACTIONS(1445),
    [anon_sym_DOLLAR] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1445),
    [anon_sym_PLUS_PLUS] = ACTIONS(1445),
    [anon_sym_DASH_DASH] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_copy] = ACTIONS(1449),
    [anon_sym_schedule] = ACTIONS(1449),
    [aux_sym_constant_token1] = ACTIONS(1449),
    [anon_sym_T] = ACTIONS(1449),
    [anon_sym_F] = ACTIONS(1449),
    [anon_sym_ATDIR] = ACTIONS(1445),
    [anon_sym_ATFILENAME] = ACTIONS(1445),
    [sym_id] = ACTIONS(1449),
    [sym_pattern] = ACTIONS(1445),
    [sym_ipv6] = ACTIONS(1449),
    [sym_ipv4] = ACTIONS(1449),
    [sym_port] = ACTIONS(1445),
    [sym_floatp] = ACTIONS(1449),
    [sym_hex] = ACTIONS(1449),
    [sym_hostname] = ACTIONS(1449),
    [aux_sym_string_token1] = ACTIONS(1445),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [770] = {
    [sym_expr] = STATE(1259),
    [sym_constant] = STATE(1238),
    [sym_string_directive] = STATE(827),
    [sym_integer] = STATE(1223),
    [sym_interval] = STATE(1241),
    [sym_string] = STATE(1241),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_record] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_in] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_as] = ACTIONS(111),
    [anon_sym_table] = ACTIONS(55),
    [anon_sym_set] = ACTIONS(55),
    [anon_sym_vector] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_hook] = ACTIONS(117),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(109),
    [anon_sym_PIPE] = ACTIONS(111),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(111),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(111),
    [anon_sym_is] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_SLASH] = ACTIONS(111),
    [anon_sym_PERCENT] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(111),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(111),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(111),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_AMP_AMP] = ACTIONS(109),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_copy] = ACTIONS(71),
    [anon_sym_QMARK_DOLLAR] = ACTIONS(109),
    [anon_sym_schedule] = ACTIONS(73),
    [aux_sym_constant_token1] = ACTIONS(75),
    [anon_sym_T] = ACTIONS(77),
    [anon_sym_F] = ACTIONS(77),
    [anon_sym_ATDIR] = ACTIONS(95),
    [anon_sym_ATFILENAME] = ACTIONS(95),
    [sym_id] = ACTIONS(97),
    [sym_pattern] = ACTIONS(99),
    [sym_ipv6] = ACTIONS(101),
    [sym_ipv4] = ACTIONS(101),
    [sym_port] = ACTIONS(103),
    [sym_floatp] = ACTIONS(105),
    [sym_hex] = ACTIONS(77),
    [sym_hostname] = ACTIONS(77),
    [aux_sym_string_token1] = ACTIONS(107),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [771] = {
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [772] = {
    [ts_builtin_sym_end] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [773] = {
    [anon_sym_SEMI] = ACTIONS(327),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_PLUS_EQ] = ACTIONS(327),
    [anon_sym_record] = ACTIONS(329),
    [anon_sym_LPAREN] = ACTIONS(327),
    [anon_sym_LBRACK] = ACTIONS(327),
    [anon_sym_local] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(327),
    [anon_sym_table] = ACTIONS(329),
    [anon_sym_of] = ACTIONS(1832),
    [anon_sym_set] = ACTIONS(329),
    [anon_sym_vector] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_hook] = ACTIONS(329),
    [anon_sym_AMPdeprecated] = ACTIONS(327),
    [anon_sym_DASH_EQ] = ACTIONS(327),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(327),
    [anon_sym_AMPerror_handler] = ACTIONS(327),
    [anon_sym_AMPis_assigned] = ACTIONS(327),
    [anon_sym_AMPis_used] = ACTIONS(327),
    [anon_sym_AMPlog] = ACTIONS(327),
    [anon_sym_AMPoptional] = ACTIONS(327),
    [anon_sym_AMPraw_output] = ACTIONS(327),
    [anon_sym_AMPredef] = ACTIONS(327),
    [anon_sym_AMPadd_func] = ACTIONS(327),
    [anon_sym_AMPbackend] = ACTIONS(327),
    [anon_sym_AMPbroker_store] = ACTIONS(327),
    [anon_sym_AMPcreate_expire] = ACTIONS(327),
    [anon_sym_AMPdefault] = ACTIONS(327),
    [anon_sym_AMPdelete_func] = ACTIONS(327),
    [anon_sym_AMPexpire_func] = ACTIONS(327),
    [anon_sym_AMPgroup] = ACTIONS(327),
    [anon_sym_AMPon_change] = ACTIONS(327),
    [anon_sym_AMPpriority] = ACTIONS(327),
    [anon_sym_AMPread_expire] = ACTIONS(327),
    [anon_sym_AMPtype_column] = ACTIONS(327),
    [anon_sym_AMPwrite_expire] = ACTIONS(327),
    [anon_sym_DOLLAR] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_PLUS_PLUS] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(327),
    [anon_sym_BANG] = ACTIONS(327),
    [anon_sym_TILDE] = ACTIONS(327),
    [anon_sym_DASH] = ACTIONS(329),
    [anon_sym_PLUS] = ACTIONS(329),
    [anon_sym_copy] = ACTIONS(329),
    [anon_sym_schedule] = ACTIONS(329),
    [aux_sym_constant_token1] = ACTIONS(329),
    [anon_sym_T] = ACTIONS(329),
    [anon_sym_F] = ACTIONS(329),
    [anon_sym_ATDIR] = ACTIONS(327),
    [anon_sym_ATFILENAME] = ACTIONS(327),
    [sym_id] = ACTIONS(329),
    [sym_pattern] = ACTIONS(327),
    [sym_ipv6] = ACTIONS(329),
    [sym_ipv4] = ACTIONS(329),
    [sym_port] = ACTIONS(327),
    [sym_floatp] = ACTIONS(329),
    [sym_hex] = ACTIONS(329),
    [sym_hostname] = ACTIONS(329),
    [aux_sym_string_token1] = ACTIONS(327),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [774] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [775] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(135),
    [anon_sym_record] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_next] = ACTIONS(135),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_fallthrough] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_add] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_local] = ACTIONS(135),
    [anon_sym_when] = ACTIONS(135),
    [anon_sym_table] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_vector] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(135),
    [anon_sym_hook] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_copy] = ACTIONS(135),
    [anon_sym_schedule] = ACTIONS(135),
    [aux_sym_constant_token1] = ACTIONS(135),
    [anon_sym_T] = ACTIONS(135),
    [anon_sym_F] = ACTIONS(135),
    [anon_sym_ATdeprecated] = ACTIONS(133),
    [anon_sym_ATload] = ACTIONS(135),
    [anon_sym_ATload_DASHsigs] = ACTIONS(133),
    [anon_sym_ATload_DASHplugin] = ACTIONS(133),
    [anon_sym_ATunload] = ACTIONS(133),
    [anon_sym_ATprefixes] = ACTIONS(133),
    [anon_sym_ATif] = ACTIONS(135),
    [anon_sym_ATifdef] = ACTIONS(133),
    [anon_sym_ATifndef] = ACTIONS(133),
    [anon_sym_ATendif] = ACTIONS(133),
    [anon_sym_ATelse] = ACTIONS(133),
    [anon_sym_ATDIR] = ACTIONS(133),
    [anon_sym_ATFILENAME] = ACTIONS(133),
    [sym_id] = ACTIONS(135),
    [sym_pattern] = ACTIONS(133),
    [sym_ipv6] = ACTIONS(135),
    [sym_ipv4] = ACTIONS(135),
    [sym_port] = ACTIONS(133),
    [sym_floatp] = ACTIONS(135),
    [sym_hex] = ACTIONS(135),
    [sym_hostname] = ACTIONS(135),
    [aux_sym_string_token1] = ACTIONS(133),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [777] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_print] = ACTIONS(1453),
    [anon_sym_event] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_next] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_fallthrough] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_add] = ACTIONS(1453),
    [anon_sym_delete] = ACTIONS(1453),
    [anon_sym_local] = ACTIONS(1453),
    [anon_sym_when] = ACTIONS(1453),
    [anon_sym_table] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_vector] = ACTIONS(1453),
    [anon_sym_function] = ACTIONS(1453),
    [anon_sym_hook] = ACTIONS(1453),
    [anon_sym_DOLLAR] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_copy] = ACTIONS(1453),
    [anon_sym_schedule] = ACTIONS(1453),
    [aux_sym_constant_token1] = ACTIONS(1453),
    [anon_sym_T] = ACTIONS(1453),
    [anon_sym_F] = ACTIONS(1453),
    [anon_sym_ATdeprecated] = ACTIONS(1451),
    [anon_sym_ATload] = ACTIONS(1453),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1451),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1451),
    [anon_sym_ATunload] = ACTIONS(1451),
    [anon_sym_ATprefixes] = ACTIONS(1451),
    [anon_sym_ATif] = ACTIONS(1453),
    [anon_sym_ATifdef] = ACTIONS(1451),
    [anon_sym_ATifndef] = ACTIONS(1451),
    [anon_sym_ATendif] = ACTIONS(1451),
    [anon_sym_ATelse] = ACTIONS(1451),
    [anon_sym_ATDIR] = ACTIONS(1451),
    [anon_sym_ATFILENAME] = ACTIONS(1451),
    [sym_id] = ACTIONS(1453),
    [sym_pattern] = ACTIONS(1451),
    [sym_ipv6] = ACTIONS(1453),
    [sym_ipv4] = ACTIONS(1453),
    [sym_port] = ACTIONS(1451),
    [sym_floatp] = ACTIONS(1453),
    [sym_hex] = ACTIONS(1453),
    [sym_hostname] = ACTIONS(1453),
    [aux_sym_string_token1] = ACTIONS(1451),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [778] = {
    [ts_builtin_sym_end] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [779] = {
    [anon_sym_SEMI] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_RBRACE] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1593),
    [anon_sym_record] = ACTIONS(1593),
    [anon_sym_print] = ACTIONS(1593),
    [anon_sym_event] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_next] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_fallthrough] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_add] = ACTIONS(1593),
    [anon_sym_delete] = ACTIONS(1593),
    [anon_sym_local] = ACTIONS(1593),
    [anon_sym_when] = ACTIONS(1593),
    [anon_sym_table] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [anon_sym_vector] = ACTIONS(1593),
    [anon_sym_function] = ACTIONS(1593),
    [anon_sym_hook] = ACTIONS(1593),
    [anon_sym_DOLLAR] = ACTIONS(1591),
    [anon_sym_PIPE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_copy] = ACTIONS(1593),
    [anon_sym_schedule] = ACTIONS(1593),
    [aux_sym_constant_token1] = ACTIONS(1593),
    [anon_sym_T] = ACTIONS(1593),
    [anon_sym_F] = ACTIONS(1593),
    [anon_sym_ATdeprecated] = ACTIONS(1591),
    [anon_sym_ATload] = ACTIONS(1593),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1591),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1591),
    [anon_sym_ATunload] = ACTIONS(1591),
    [anon_sym_ATprefixes] = ACTIONS(1591),
    [anon_sym_ATif] = ACTIONS(1593),
    [anon_sym_ATifdef] = ACTIONS(1591),
    [anon_sym_ATifndef] = ACTIONS(1591),
    [anon_sym_ATendif] = ACTIONS(1591),
    [anon_sym_ATelse] = ACTIONS(1591),
    [anon_sym_ATDIR] = ACTIONS(1591),
    [anon_sym_ATFILENAME] = ACTIONS(1591),
    [sym_id] = ACTIONS(1593),
    [sym_pattern] = ACTIONS(1591),
    [sym_ipv6] = ACTIONS(1593),
    [sym_ipv4] = ACTIONS(1593),
    [sym_port] = ACTIONS(1591),
    [sym_floatp] = ACTIONS(1593),
    [sym_hex] = ACTIONS(1593),
    [sym_hostname] = ACTIONS(1593),
    [aux_sym_string_token1] = ACTIONS(1591),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [780] = {
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [781] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_record] = ACTIONS(1627),
    [anon_sym_print] = ACTIONS(1627),
    [anon_sym_event] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_next] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_fallthrough] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_add] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_local] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(1627),
    [anon_sym_table] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_vector] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_hook] = ACTIONS(1627),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_copy] = ACTIONS(1627),
    [anon_sym_schedule] = ACTIONS(1627),
    [aux_sym_constant_token1] = ACTIONS(1627),
    [anon_sym_T] = ACTIONS(1627),
    [anon_sym_F] = ACTIONS(1627),
    [anon_sym_ATdeprecated] = ACTIONS(1625),
    [anon_sym_ATload] = ACTIONS(1627),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1625),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1625),
    [anon_sym_ATunload] = ACTIONS(1625),
    [anon_sym_ATprefixes] = ACTIONS(1625),
    [anon_sym_ATif] = ACTIONS(1627),
    [anon_sym_ATifdef] = ACTIONS(1625),
    [anon_sym_ATifndef] = ACTIONS(1625),
    [anon_sym_ATendif] = ACTIONS(1625),
    [anon_sym_ATelse] = ACTIONS(1625),
    [anon_sym_ATDIR] = ACTIONS(1625),
    [anon_sym_ATFILENAME] = ACTIONS(1625),
    [sym_id] = ACTIONS(1627),
    [sym_pattern] = ACTIONS(1625),
    [sym_ipv6] = ACTIONS(1627),
    [sym_ipv4] = ACTIONS(1627),
    [sym_port] = ACTIONS(1625),
    [sym_floatp] = ACTIONS(1627),
    [sym_hex] = ACTIONS(1627),
    [sym_hostname] = ACTIONS(1627),
    [aux_sym_string_token1] = ACTIONS(1625),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [782] = {
    [ts_builtin_sym_end] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [783] = {
    [ts_builtin_sym_end] = ACTIONS(1591),
    [anon_sym_SEMI] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1593),
    [anon_sym_record] = ACTIONS(1593),
    [anon_sym_print] = ACTIONS(1593),
    [anon_sym_event] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_next] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_fallthrough] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_add] = ACTIONS(1593),
    [anon_sym_delete] = ACTIONS(1593),
    [anon_sym_local] = ACTIONS(1593),
    [anon_sym_when] = ACTIONS(1593),
    [anon_sym_table] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [anon_sym_vector] = ACTIONS(1593),
    [anon_sym_function] = ACTIONS(1593),
    [anon_sym_hook] = ACTIONS(1593),
    [anon_sym_DOLLAR] = ACTIONS(1591),
    [anon_sym_PIPE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_copy] = ACTIONS(1593),
    [anon_sym_schedule] = ACTIONS(1593),
    [aux_sym_constant_token1] = ACTIONS(1593),
    [anon_sym_T] = ACTIONS(1593),
    [anon_sym_F] = ACTIONS(1593),
    [anon_sym_ATdeprecated] = ACTIONS(1591),
    [anon_sym_ATload] = ACTIONS(1593),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1591),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1591),
    [anon_sym_ATunload] = ACTIONS(1591),
    [anon_sym_ATprefixes] = ACTIONS(1591),
    [anon_sym_ATif] = ACTIONS(1593),
    [anon_sym_ATifdef] = ACTIONS(1591),
    [anon_sym_ATifndef] = ACTIONS(1591),
    [anon_sym_ATendif] = ACTIONS(1591),
    [anon_sym_ATelse] = ACTIONS(1591),
    [anon_sym_ATDIR] = ACTIONS(1591),
    [anon_sym_ATFILENAME] = ACTIONS(1591),
    [sym_id] = ACTIONS(1593),
    [sym_pattern] = ACTIONS(1591),
    [sym_ipv6] = ACTIONS(1593),
    [sym_ipv4] = ACTIONS(1593),
    [sym_port] = ACTIONS(1591),
    [sym_floatp] = ACTIONS(1593),
    [sym_hex] = ACTIONS(1593),
    [sym_hostname] = ACTIONS(1593),
    [aux_sym_string_token1] = ACTIONS(1591),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [784] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [785] = {
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_record] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(1661),
    [anon_sym_event] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_next] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_fallthrough] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_add] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_local] = ACTIONS(1661),
    [anon_sym_when] = ACTIONS(1661),
    [anon_sym_table] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_vector] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_hook] = ACTIONS(1661),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_PIPE] = ACTIONS(1659),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_copy] = ACTIONS(1661),
    [anon_sym_schedule] = ACTIONS(1661),
    [aux_sym_constant_token1] = ACTIONS(1661),
    [anon_sym_T] = ACTIONS(1661),
    [anon_sym_F] = ACTIONS(1661),
    [anon_sym_ATdeprecated] = ACTIONS(1659),
    [anon_sym_ATload] = ACTIONS(1661),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1659),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1659),
    [anon_sym_ATunload] = ACTIONS(1659),
    [anon_sym_ATprefixes] = ACTIONS(1659),
    [anon_sym_ATif] = ACTIONS(1661),
    [anon_sym_ATifdef] = ACTIONS(1659),
    [anon_sym_ATifndef] = ACTIONS(1659),
    [anon_sym_ATendif] = ACTIONS(1659),
    [anon_sym_ATelse] = ACTIONS(1659),
    [anon_sym_ATDIR] = ACTIONS(1659),
    [anon_sym_ATFILENAME] = ACTIONS(1659),
    [sym_id] = ACTIONS(1661),
    [sym_pattern] = ACTIONS(1659),
    [sym_ipv6] = ACTIONS(1661),
    [sym_ipv4] = ACTIONS(1661),
    [sym_port] = ACTIONS(1659),
    [sym_floatp] = ACTIONS(1661),
    [sym_hex] = ACTIONS(1661),
    [sym_hostname] = ACTIONS(1661),
    [aux_sym_string_token1] = ACTIONS(1659),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [786] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [787] = {
    [anon_sym_SEMI] = ACTIONS(1465),
    [anon_sym_LBRACE] = ACTIONS(1465),
    [anon_sym_COLON] = ACTIONS(1834),
    [anon_sym_PLUS_EQ] = ACTIONS(1465),
    [anon_sym_record] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [anon_sym_local] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1465),
    [anon_sym_table] = ACTIONS(1469),
    [anon_sym_set] = ACTIONS(1469),
    [anon_sym_vector] = ACTIONS(1469),
    [anon_sym_function] = ACTIONS(1469),
    [anon_sym_hook] = ACTIONS(1469),
    [anon_sym_AMPdeprecated] = ACTIONS(1465),
    [anon_sym_DASH_EQ] = ACTIONS(1465),
    [anon_sym_AMPbroker_allow_complex_type] = ACTIONS(1465),
    [anon_sym_AMPerror_handler] = ACTIONS(1465),
    [anon_sym_AMPis_assigned] = ACTIONS(1465),
    [anon_sym_AMPis_used] = ACTIONS(1465),
    [anon_sym_AMPlog] = ACTIONS(1465),
    [anon_sym_AMPoptional] = ACTIONS(1465),
    [anon_sym_AMPraw_output] = ACTIONS(1465),
    [anon_sym_AMPredef] = ACTIONS(1465),
    [anon_sym_AMPadd_func] = ACTIONS(1465),
    [anon_sym_AMPbackend] = ACTIONS(1465),
    [anon_sym_AMPbroker_store] = ACTIONS(1465),
    [anon_sym_AMPcreate_expire] = ACTIONS(1465),
    [anon_sym_AMPdefault] = ACTIONS(1465),
    [anon_sym_AMPdelete_func] = ACTIONS(1465),
    [anon_sym_AMPexpire_func] = ACTIONS(1465),
    [anon_sym_AMPgroup] = ACTIONS(1465),
    [anon_sym_AMPon_change] = ACTIONS(1465),
    [anon_sym_AMPpriority] = ACTIONS(1465),
    [anon_sym_AMPread_expire] = ACTIONS(1465),
    [anon_sym_AMPtype_column] = ACTIONS(1465),
    [anon_sym_AMPwrite_expire] = ACTIONS(1465),
    [anon_sym_DOLLAR] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1465),
    [anon_sym_PLUS_PLUS] = ACTIONS(1465),
    [anon_sym_DASH_DASH] = ACTIONS(1465),
    [anon_sym_BANG] = ACTIONS(1465),
    [anon_sym_TILDE] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_copy] = ACTIONS(1469),
    [anon_sym_schedule] = ACTIONS(1469),
    [aux_sym_constant_token1] = ACTIONS(1469),
    [anon_sym_T] = ACTIONS(1469),
    [anon_sym_F] = ACTIONS(1469),
    [anon_sym_ATDIR] = ACTIONS(1465),
    [anon_sym_ATFILENAME] = ACTIONS(1465),
    [sym_id] = ACTIONS(1469),
    [sym_pattern] = ACTIONS(1465),
    [sym_ipv6] = ACTIONS(1469),
    [sym_ipv4] = ACTIONS(1469),
    [sym_port] = ACTIONS(1465),
    [sym_floatp] = ACTIONS(1469),
    [sym_hex] = ACTIONS(1469),
    [sym_hostname] = ACTIONS(1469),
    [aux_sym_string_token1] = ACTIONS(1465),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [788] = {
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [789] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [790] = {
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [791] = {
    [ts_builtin_sym_end] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [792] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [793] = {
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [794] = {
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_record] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [anon_sym_event] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_next] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_fallthrough] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_add] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_local] = ACTIONS(1635),
    [anon_sym_when] = ACTIONS(1635),
    [anon_sym_table] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_vector] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_hook] = ACTIONS(1635),
    [anon_sym_DOLLAR] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_copy] = ACTIONS(1635),
    [anon_sym_schedule] = ACTIONS(1635),
    [aux_sym_constant_token1] = ACTIONS(1635),
    [anon_sym_T] = ACTIONS(1635),
    [anon_sym_F] = ACTIONS(1635),
    [anon_sym_ATdeprecated] = ACTIONS(1633),
    [anon_sym_ATload] = ACTIONS(1635),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1633),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1633),
    [anon_sym_ATunload] = ACTIONS(1633),
    [anon_sym_ATprefixes] = ACTIONS(1633),
    [anon_sym_ATif] = ACTIONS(1635),
    [anon_sym_ATifdef] = ACTIONS(1633),
    [anon_sym_ATifndef] = ACTIONS(1633),
    [anon_sym_ATendif] = ACTIONS(1633),
    [anon_sym_ATelse] = ACTIONS(1633),
    [anon_sym_ATDIR] = ACTIONS(1633),
    [anon_sym_ATFILENAME] = ACTIONS(1633),
    [sym_id] = ACTIONS(1635),
    [sym_pattern] = ACTIONS(1633),
    [sym_ipv6] = ACTIONS(1635),
    [sym_ipv4] = ACTIONS(1635),
    [sym_port] = ACTIONS(1633),
    [sym_floatp] = ACTIONS(1635),
    [sym_hex] = ACTIONS(1635),
    [sym_hostname] = ACTIONS(1635),
    [aux_sym_string_token1] = ACTIONS(1633),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [795] = {
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [796] = {
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_RBRACE] = ACTIONS(1503),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_record] = ACTIONS(1505),
    [anon_sym_print] = ACTIONS(1505),
    [anon_sym_event] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_next] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_fallthrough] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_add] = ACTIONS(1505),
    [anon_sym_delete] = ACTIONS(1505),
    [anon_sym_local] = ACTIONS(1505),
    [anon_sym_when] = ACTIONS(1505),
    [anon_sym_table] = ACTIONS(1505),
    [anon_sym_set] = ACTIONS(1505),
    [anon_sym_vector] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1505),
    [anon_sym_hook] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_copy] = ACTIONS(1505),
    [anon_sym_schedule] = ACTIONS(1505),
    [aux_sym_constant_token1] = ACTIONS(1505),
    [anon_sym_T] = ACTIONS(1505),
    [anon_sym_F] = ACTIONS(1505),
    [anon_sym_ATdeprecated] = ACTIONS(1503),
    [anon_sym_ATload] = ACTIONS(1505),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1503),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1503),
    [anon_sym_ATunload] = ACTIONS(1503),
    [anon_sym_ATprefixes] = ACTIONS(1503),
    [anon_sym_ATif] = ACTIONS(1505),
    [anon_sym_ATifdef] = ACTIONS(1503),
    [anon_sym_ATifndef] = ACTIONS(1503),
    [anon_sym_ATendif] = ACTIONS(1503),
    [anon_sym_ATelse] = ACTIONS(1503),
    [anon_sym_ATDIR] = ACTIONS(1503),
    [anon_sym_ATFILENAME] = ACTIONS(1503),
    [sym_id] = ACTIONS(1505),
    [sym_pattern] = ACTIONS(1503),
    [sym_ipv6] = ACTIONS(1505),
    [sym_ipv4] = ACTIONS(1505),
    [sym_port] = ACTIONS(1503),
    [sym_floatp] = ACTIONS(1505),
    [sym_hex] = ACTIONS(1505),
    [sym_hostname] = ACTIONS(1505),
    [aux_sym_string_token1] = ACTIONS(1503),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [797] = {
    [ts_builtin_sym_end] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_record] = ACTIONS(1649),
    [anon_sym_print] = ACTIONS(1649),
    [anon_sym_event] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_next] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_fallthrough] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_add] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_local] = ACTIONS(1649),
    [anon_sym_when] = ACTIONS(1649),
    [anon_sym_table] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_vector] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_hook] = ACTIONS(1649),
    [anon_sym_DOLLAR] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_copy] = ACTIONS(1649),
    [anon_sym_schedule] = ACTIONS(1649),
    [aux_sym_constant_token1] = ACTIONS(1649),
    [anon_sym_T] = ACTIONS(1649),
    [anon_sym_F] = ACTIONS(1649),
    [anon_sym_ATdeprecated] = ACTIONS(1647),
    [anon_sym_ATload] = ACTIONS(1649),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1647),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1647),
    [anon_sym_ATunload] = ACTIONS(1647),
    [anon_sym_ATprefixes] = ACTIONS(1647),
    [anon_sym_ATif] = ACTIONS(1649),
    [anon_sym_ATifdef] = ACTIONS(1647),
    [anon_sym_ATifndef] = ACTIONS(1647),
    [anon_sym_ATendif] = ACTIONS(1647),
    [anon_sym_ATelse] = ACTIONS(1647),
    [anon_sym_ATDIR] = ACTIONS(1647),
    [anon_sym_ATFILENAME] = ACTIONS(1647),
    [sym_id] = ACTIONS(1649),
    [sym_pattern] = ACTIONS(1647),
    [sym_ipv6] = ACTIONS(1649),
    [sym_ipv4] = ACTIONS(1649),
    [sym_port] = ACTIONS(1647),
    [sym_floatp] = ACTIONS(1649),
    [sym_hex] = ACTIONS(1649),
    [sym_hostname] = ACTIONS(1649),
    [aux_sym_string_token1] = ACTIONS(1647),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [798] = {
    [anon_sym_SEMI] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1617),
    [anon_sym_record] = ACTIONS(1617),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_event] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_next] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [anon_sym_fallthrough] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_add] = ACTIONS(1617),
    [anon_sym_delete] = ACTIONS(1617),
    [anon_sym_local] = ACTIONS(1617),
    [anon_sym_when] = ACTIONS(1617),
    [anon_sym_table] = ACTIONS(1617),
    [anon_sym_set] = ACTIONS(1617),
    [anon_sym_vector] = ACTIONS(1617),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_hook] = ACTIONS(1617),
    [anon_sym_DOLLAR] = ACTIONS(1615),
    [anon_sym_PIPE] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1615),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_copy] = ACTIONS(1617),
    [anon_sym_schedule] = ACTIONS(1617),
    [aux_sym_constant_token1] = ACTIONS(1617),
    [anon_sym_T] = ACTIONS(1617),
    [anon_sym_F] = ACTIONS(1617),
    [anon_sym_ATdeprecated] = ACTIONS(1615),
    [anon_sym_ATload] = ACTIONS(1617),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1615),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1615),
    [anon_sym_ATunload] = ACTIONS(1615),
    [anon_sym_ATprefixes] = ACTIONS(1615),
    [anon_sym_ATif] = ACTIONS(1617),
    [anon_sym_ATifdef] = ACTIONS(1615),
    [anon_sym_ATifndef] = ACTIONS(1615),
    [anon_sym_ATendif] = ACTIONS(1615),
    [anon_sym_ATelse] = ACTIONS(1615),
    [anon_sym_ATDIR] = ACTIONS(1615),
    [anon_sym_ATFILENAME] = ACTIONS(1615),
    [sym_id] = ACTIONS(1617),
    [sym_pattern] = ACTIONS(1615),
    [sym_ipv6] = ACTIONS(1617),
    [sym_ipv4] = ACTIONS(1617),
    [sym_port] = ACTIONS(1615),
    [sym_floatp] = ACTIONS(1617),
    [sym_hex] = ACTIONS(1617),
    [sym_hostname] = ACTIONS(1617),
    [aux_sym_string_token1] = ACTIONS(1615),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [799] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [800] = {
    [ts_builtin_sym_end] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1641),
    [anon_sym_print] = ACTIONS(1641),
    [anon_sym_event] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_next] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_fallthrough] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_add] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_when] = ACTIONS(1641),
    [anon_sym_table] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_vector] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_hook] = ACTIONS(1641),
    [anon_sym_DOLLAR] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_copy] = ACTIONS(1641),
    [anon_sym_schedule] = ACTIONS(1641),
    [aux_sym_constant_token1] = ACTIONS(1641),
    [anon_sym_T] = ACTIONS(1641),
    [anon_sym_F] = ACTIONS(1641),
    [anon_sym_ATdeprecated] = ACTIONS(1639),
    [anon_sym_ATload] = ACTIONS(1641),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1639),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1639),
    [anon_sym_ATunload] = ACTIONS(1639),
    [anon_sym_ATprefixes] = ACTIONS(1639),
    [anon_sym_ATif] = ACTIONS(1641),
    [anon_sym_ATifdef] = ACTIONS(1639),
    [anon_sym_ATifndef] = ACTIONS(1639),
    [anon_sym_ATendif] = ACTIONS(1639),
    [anon_sym_ATelse] = ACTIONS(1639),
    [anon_sym_ATDIR] = ACTIONS(1639),
    [anon_sym_ATFILENAME] = ACTIONS(1639),
    [sym_id] = ACTIONS(1641),
    [sym_pattern] = ACTIONS(1639),
    [sym_ipv6] = ACTIONS(1641),
    [sym_ipv4] = ACTIONS(1641),
    [sym_port] = ACTIONS(1639),
    [sym_floatp] = ACTIONS(1641),
    [sym_hex] = ACTIONS(1641),
    [sym_hostname] = ACTIONS(1641),
    [aux_sym_string_token1] = ACTIONS(1639),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [801] = {
    [ts_builtin_sym_end] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [802] = {
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_record] = ACTIONS(1631),
    [anon_sym_print] = ACTIONS(1631),
    [anon_sym_event] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_next] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_fallthrough] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_add] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_local] = ACTIONS(1631),
    [anon_sym_when] = ACTIONS(1631),
    [anon_sym_table] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_vector] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_hook] = ACTIONS(1631),
    [anon_sym_DOLLAR] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_copy] = ACTIONS(1631),
    [anon_sym_schedule] = ACTIONS(1631),
    [aux_sym_constant_token1] = ACTIONS(1631),
    [anon_sym_T] = ACTIONS(1631),
    [anon_sym_F] = ACTIONS(1631),
    [anon_sym_ATdeprecated] = ACTIONS(1629),
    [anon_sym_ATload] = ACTIONS(1631),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1629),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1629),
    [anon_sym_ATunload] = ACTIONS(1629),
    [anon_sym_ATprefixes] = ACTIONS(1629),
    [anon_sym_ATif] = ACTIONS(1631),
    [anon_sym_ATifdef] = ACTIONS(1629),
    [anon_sym_ATifndef] = ACTIONS(1629),
    [anon_sym_ATendif] = ACTIONS(1629),
    [anon_sym_ATelse] = ACTIONS(1629),
    [anon_sym_ATDIR] = ACTIONS(1629),
    [anon_sym_ATFILENAME] = ACTIONS(1629),
    [sym_id] = ACTIONS(1631),
    [sym_pattern] = ACTIONS(1629),
    [sym_ipv6] = ACTIONS(1631),
    [sym_ipv4] = ACTIONS(1631),
    [sym_port] = ACTIONS(1629),
    [sym_floatp] = ACTIONS(1631),
    [sym_hex] = ACTIONS(1631),
    [sym_hostname] = ACTIONS(1631),
    [aux_sym_string_token1] = ACTIONS(1629),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [803] = {
    [ts_builtin_sym_end] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1613),
    [anon_sym_record] = ACTIONS(1613),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_event] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_next] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [anon_sym_fallthrough] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_add] = ACTIONS(1613),
    [anon_sym_delete] = ACTIONS(1613),
    [anon_sym_local] = ACTIONS(1613),
    [anon_sym_when] = ACTIONS(1613),
    [anon_sym_table] = ACTIONS(1613),
    [anon_sym_set] = ACTIONS(1613),
    [anon_sym_vector] = ACTIONS(1613),
    [anon_sym_function] = ACTIONS(1613),
    [anon_sym_hook] = ACTIONS(1613),
    [anon_sym_DOLLAR] = ACTIONS(1611),
    [anon_sym_PIPE] = ACTIONS(1611),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BANG] = ACTIONS(1611),
    [anon_sym_TILDE] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_copy] = ACTIONS(1613),
    [anon_sym_schedule] = ACTIONS(1613),
    [aux_sym_constant_token1] = ACTIONS(1613),
    [anon_sym_T] = ACTIONS(1613),
    [anon_sym_F] = ACTIONS(1613),
    [anon_sym_ATdeprecated] = ACTIONS(1611),
    [anon_sym_ATload] = ACTIONS(1613),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1611),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1611),
    [anon_sym_ATunload] = ACTIONS(1611),
    [anon_sym_ATprefixes] = ACTIONS(1611),
    [anon_sym_ATif] = ACTIONS(1613),
    [anon_sym_ATifdef] = ACTIONS(1611),
    [anon_sym_ATifndef] = ACTIONS(1611),
    [anon_sym_ATendif] = ACTIONS(1611),
    [anon_sym_ATelse] = ACTIONS(1611),
    [anon_sym_ATDIR] = ACTIONS(1611),
    [anon_sym_ATFILENAME] = ACTIONS(1611),
    [sym_id] = ACTIONS(1613),
    [sym_pattern] = ACTIONS(1611),
    [sym_ipv6] = ACTIONS(1613),
    [sym_ipv4] = ACTIONS(1613),
    [sym_port] = ACTIONS(1611),
    [sym_floatp] = ACTIONS(1613),
    [sym_hex] = ACTIONS(1613),
    [sym_hostname] = ACTIONS(1613),
    [aux_sym_string_token1] = ACTIONS(1611),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [804] = {
    [ts_builtin_sym_end] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [805] = {
    [ts_builtin_sym_end] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_record] = ACTIONS(1645),
    [anon_sym_print] = ACTIONS(1645),
    [anon_sym_event] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_next] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_fallthrough] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_add] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_local] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(1645),
    [anon_sym_table] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_vector] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_hook] = ACTIONS(1645),
    [anon_sym_DOLLAR] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_copy] = ACTIONS(1645),
    [anon_sym_schedule] = ACTIONS(1645),
    [aux_sym_constant_token1] = ACTIONS(1645),
    [anon_sym_T] = ACTIONS(1645),
    [anon_sym_F] = ACTIONS(1645),
    [anon_sym_ATdeprecated] = ACTIONS(1643),
    [anon_sym_ATload] = ACTIONS(1645),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1643),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1643),
    [anon_sym_ATunload] = ACTIONS(1643),
    [anon_sym_ATprefixes] = ACTIONS(1643),
    [anon_sym_ATif] = ACTIONS(1645),
    [anon_sym_ATifdef] = ACTIONS(1643),
    [anon_sym_ATifndef] = ACTIONS(1643),
    [anon_sym_ATendif] = ACTIONS(1643),
    [anon_sym_ATelse] = ACTIONS(1643),
    [anon_sym_ATDIR] = ACTIONS(1643),
    [anon_sym_ATFILENAME] = ACTIONS(1643),
    [sym_id] = ACTIONS(1645),
    [sym_pattern] = ACTIONS(1643),
    [sym_ipv6] = ACTIONS(1645),
    [sym_ipv4] = ACTIONS(1645),
    [sym_port] = ACTIONS(1643),
    [sym_floatp] = ACTIONS(1645),
    [sym_hex] = ACTIONS(1645),
    [sym_hostname] = ACTIONS(1645),
    [aux_sym_string_token1] = ACTIONS(1643),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
  [806] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_record] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1623),
    [anon_sym_event] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_next] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_fallthrough] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_add] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_local] = ACTIONS(1623),
    [anon_sym_when] = ACTIONS(1623),
    [anon_sym_table] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_vector] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_hook] = ACTIONS(1623),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_copy] = ACTIONS(1623),
    [anon_sym_schedule] = ACTIONS(1623),
    [aux_sym_constant_token1] = ACTIONS(1623),
    [anon_sym_T] = ACTIONS(1623),
    [anon_sym_F] = ACTIONS(1623),
    [anon_sym_ATdeprecated] = ACTIONS(1621),
    [anon_sym_ATload] = ACTIONS(1623),
    [anon_sym_ATload_DASHsigs] = ACTIONS(1621),
    [anon_sym_ATload_DASHplugin] = ACTIONS(1621),
    [anon_sym_ATunload] = ACTIONS(1621),
    [anon_sym_ATprefixes] = ACTIONS(1621),
    [anon_sym_ATif] = ACTIONS(1623),
    [anon_sym_ATifdef] = ACTIONS(1621),
    [anon_sym_ATifndef] = ACTIONS(1621),
    [anon_sym_ATendif] = ACTIONS(1621),
    [anon_sym_ATelse] = ACTIONS(1621),
    [anon_sym_ATDIR] = ACTIONS(1621),
    [anon_sym_ATFILENAME] = ACTIONS(1621),
    [sym_id] = ACTIONS(1623),
    [sym_pattern] = ACTIONS(1621),
    [sym_ipv6] = ACTIONS(1623),
    [sym_ipv4] = ACTIONS(1623),
    [sym_port] = ACTIONS(1621),
    [sym_floatp] = ACTIONS(1623),
    [sym_hex] = ACTIONS(1623),
    [sym_hostname] = ACTIONS(1623),
    [aux_sym_string_token1] = ACTIONS(1621),
    [sym_zeekygen_head_comment] = ACTIONS(3),
    [sym_zeekygen_prev_comment] = ACTIONS(3),
    [sym_zeekygen_next_comment] = ACTIONS(5),
    [sym_minor_comment] = ACTIONS(5),
    [sym_nl] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 6,
    STATE(328), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(812), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1415), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1413), 46,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [76] = 9,
    ACTIONS(1836), 1,
      anon_sym_AMPdeprecated,
    STATE(1229), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(813), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1838), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(109), 24,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [158] = 6,
    STATE(331), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(812), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(109), 46,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [234] = 9,
    ACTIONS(1836), 1,
      anon_sym_AMPdeprecated,
    STATE(1247), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(813), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1415), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1838), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1413), 24,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [316] = 8,
    ACTIONS(1681), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(811), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1684), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1679), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1840), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1677), 24,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [395] = 5,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(811), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1694), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1692), 46,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [468] = 8,
    ACTIONS(1836), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(811), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1694), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1838), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1692), 24,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [547] = 6,
    STATE(328), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(834), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1415), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1413), 44,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [621] = 14,
    ACTIONS(111), 1,
      anon_sym_EQ,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1847), 1,
      anon_sym_BANG,
    ACTIONS(1851), 1,
      anon_sym_QMARK,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1399), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1853), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1849), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1843), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1845), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(109), 33,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [711] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1439), 11,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(1437), 45,
      anon_sym_module,
      anon_sym_SEMI,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_COLON,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_PLUS_EQ,
      anon_sym_type,
      anon_sym_event,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [781] = 13,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1463), 1,
      anon_sym_EQ,
    ACTIONS(1847), 1,
      anon_sym_BANG,
    ACTIONS(1851), 1,
      anon_sym_QMARK,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1399), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1849), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1843), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1845), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1461), 35,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [869] = 9,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1399), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1849), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1415), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1413), 39,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [949] = 13,
    ACTIONS(111), 1,
      anon_sym_EQ,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1847), 1,
      anon_sym_BANG,
    ACTIONS(1851), 1,
      anon_sym_QMARK,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1399), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1849), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1843), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1845), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(109), 35,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1037] = 9,
    ACTIONS(1836), 1,
      anon_sym_AMPdeprecated,
    STATE(1247), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(833), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1415), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1855), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1413), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1117] = 6,
    STATE(331), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(834), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(109), 44,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1191] = 18,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1728), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1847), 1,
      anon_sym_BANG,
    ACTIONS(1851), 1,
      anon_sym_QMARK,
    ACTIONS(1859), 1,
      anon_sym_EQ,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1399), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1853), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1857), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1861), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1849), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1843), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1845), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(131), 27,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [1289] = 16,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1847), 1,
      anon_sym_BANG,
    ACTIONS(1851), 1,
      anon_sym_QMARK,
    ACTIONS(1859), 1,
      anon_sym_EQ,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1399), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1853), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1857), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1861), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1849), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1843), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1845), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1413), 29,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [1383] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(127), 11,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(125), 45,
      anon_sym_module,
      anon_sym_SEMI,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_COLON,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_PLUS_EQ,
      anon_sym_type,
      anon_sym_event,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [1453] = 16,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1847), 1,
      anon_sym_BANG,
    ACTIONS(1851), 1,
      anon_sym_QMARK,
    ACTIONS(1859), 1,
      anon_sym_EQ,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1399), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1853), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1857), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1861), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1849), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1843), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1845), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(109), 29,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [1547] = 18,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1728), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1847), 1,
      anon_sym_BANG,
    ACTIONS(1851), 1,
      anon_sym_QMARK,
    ACTIONS(1859), 1,
      anon_sym_EQ,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1399), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1853), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1857), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1861), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1849), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1843), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1845), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1413), 27,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [1645] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(123), 11,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(121), 45,
      anon_sym_module,
      anon_sym_SEMI,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_COLON,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_PLUS_EQ,
      anon_sym_type,
      anon_sym_event,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [1715] = 9,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1399), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1849), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(109), 39,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1795] = 17,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1728), 1,
      anon_sym_LPAREN,
    ACTIONS(1847), 1,
      anon_sym_BANG,
    ACTIONS(1851), 1,
      anon_sym_QMARK,
    ACTIONS(1859), 1,
      anon_sym_EQ,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1399), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1853), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1857), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1861), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1849), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1843), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1845), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1457), 28,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [1891] = 9,
    ACTIONS(1836), 1,
      anon_sym_AMPdeprecated,
    STATE(1229), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(833), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1855), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(109), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [1971] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1419), 11,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(1417), 45,
      anon_sym_module,
      anon_sym_SEMI,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_COLON,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_PLUS_EQ,
      anon_sym_type,
      anon_sym_event,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [2041] = 8,
    ACTIONS(1681), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(832), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1684), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1679), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1863), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1677), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2118] = 8,
    ACTIONS(1836), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(832), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1694), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1855), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1692), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2195] = 5,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(832), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1694), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1692), 44,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2266] = 14,
    ACTIONS(111), 1,
      anon_sym_EQ,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1872), 1,
      anon_sym_BANG,
    ACTIONS(1876), 1,
      anon_sym_QMARK,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1868), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1878), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1874), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1866), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1870), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(109), 31,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2354] = 5,
    ACTIONS(1880), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(329), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(327), 44,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2424] = 18,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1728), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1847), 1,
      anon_sym_BANG,
    ACTIONS(1851), 1,
      anon_sym_QMARK,
    ACTIONS(1859), 1,
      anon_sym_EQ,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1399), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1853), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1857), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1861), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1849), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1843), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1845), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1457), 25,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [2520] = 13,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1463), 1,
      anon_sym_EQ,
    ACTIONS(1872), 1,
      anon_sym_BANG,
    ACTIONS(1876), 1,
      anon_sym_QMARK,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1868), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1874), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1866), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1870), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1461), 33,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2606] = 18,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1728), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1872), 1,
      anon_sym_BANG,
    ACTIONS(1876), 1,
      anon_sym_QMARK,
    ACTIONS(1884), 1,
      anon_sym_EQ,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1868), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1878), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1882), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1886), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1874), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1866), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1870), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(131), 25,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [2702] = 13,
    ACTIONS(111), 1,
      anon_sym_EQ,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1872), 1,
      anon_sym_BANG,
    ACTIONS(1876), 1,
      anon_sym_QMARK,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1868), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1874), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1866), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1870), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(109), 33,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2788] = 9,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1868), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1874), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(109), 37,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2866] = 9,
    ACTIONS(1836), 1,
      anon_sym_AMPdeprecated,
    STATE(1229), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(851), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1888), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(109), 20,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [2944] = 17,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1728), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_BANG,
    ACTIONS(1876), 1,
      anon_sym_QMARK,
    ACTIONS(1884), 1,
      anon_sym_EQ,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1868), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1878), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1882), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1886), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1874), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1866), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1870), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1457), 26,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [3038] = 9,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1868), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1874), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1415), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1413), 37,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3116] = 9,
    ACTIONS(1836), 1,
      anon_sym_AMPdeprecated,
    STATE(1247), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(851), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1415), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1888), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1413), 20,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3194] = 16,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1872), 1,
      anon_sym_BANG,
    ACTIONS(1876), 1,
      anon_sym_QMARK,
    ACTIONS(1884), 1,
      anon_sym_EQ,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1868), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1878), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1882), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1886), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1874), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1866), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1870), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1413), 27,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [3286] = 16,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1872), 1,
      anon_sym_BANG,
    ACTIONS(1876), 1,
      anon_sym_QMARK,
    ACTIONS(1884), 1,
      anon_sym_EQ,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1868), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1878), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1882), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1886), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1874), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1866), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1870), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(109), 27,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_QMARK_DOLLAR,
  [3378] = 8,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1868), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(137), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(131), 40,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3454] = 8,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1868), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(109), 40,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3530] = 18,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1728), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1872), 1,
      anon_sym_BANG,
    ACTIONS(1876), 1,
      anon_sym_QMARK,
    ACTIONS(1884), 1,
      anon_sym_EQ,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1868), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1878), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1882), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1886), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1874), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1866), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1870), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1413), 25,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [3626] = 8,
    ACTIONS(1836), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(433), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1694), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1888), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
    ACTIONS(1692), 20,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3701] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1469), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1465), 44,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3768] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1449), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1445), 44,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_AMPdeprecated,
      anon_sym_DASH_EQ,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [3835] = 18,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1728), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1847), 1,
      anon_sym_BANG,
    ACTIONS(1851), 1,
      anon_sym_QMARK,
    ACTIONS(1859), 1,
      anon_sym_EQ,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1399), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1853), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1857), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1861), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1849), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1843), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1845), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1890), 23,
      anon_sym_SEMI,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [3929] = 18,
    ACTIONS(1397), 1,
      anon_sym_LBRACK,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1728), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(1847), 1,
      anon_sym_BANG,
    ACTIONS(1851), 1,
      anon_sym_QMARK,
    ACTIONS(1859), 1,
      anon_sym_EQ,
    STATE(304), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1399), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(1853), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1857), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(1861), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1849), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1843), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1845), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1892), 23,
      anon_sym_SEMI,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [4023] = 37,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1894), 1,
      anon_sym_RPAREN,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1898), 1,
      sym_id,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(1885), 1,
      sym_formal_arg,
    STATE(1910), 1,
      aux_sym_formal_args_repeat1,
    STATE(2472), 1,
      sym_formal_args,
    STATE(2728), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [4149] = 34,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1905), 1,
      anon_sym_COLON,
    ACTIONS(1907), 1,
      anon_sym_record,
    ACTIONS(1910), 1,
      anon_sym_LPAREN,
    ACTIONS(1913), 1,
      anon_sym_LBRACK,
    ACTIONS(1916), 1,
      anon_sym_local,
    ACTIONS(1922), 1,
      anon_sym_vector,
    ACTIONS(1925), 1,
      anon_sym_function,
    ACTIONS(1928), 1,
      anon_sym_hook,
    ACTIONS(1931), 1,
      anon_sym_DOLLAR,
    ACTIONS(1934), 1,
      anon_sym_PIPE,
    ACTIONS(1943), 1,
      anon_sym_copy,
    ACTIONS(1946), 1,
      anon_sym_schedule,
    ACTIONS(1949), 1,
      aux_sym_constant_token1,
    ACTIONS(1958), 1,
      sym_id,
    ACTIONS(1961), 1,
      sym_pattern,
    ACTIONS(1967), 1,
      sym_port,
    ACTIONS(1970), 1,
      sym_floatp,
    ACTIONS(1973), 1,
      aux_sym_string_token1,
    STATE(827), 1,
      sym_string_directive,
    STATE(857), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1355), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1919), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1940), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1955), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(1964), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1900), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1937), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1952), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [4269] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(857), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1263), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1976), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [4386] = 35,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_type,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(893), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1288), 1,
      sym_expr,
    STATE(2100), 1,
      aux_sym_case_type_list_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    STATE(2160), 2,
      sym_case_type_list,
      sym_expr_list,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [4507] = 35,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    ACTIONS(1992), 1,
      anon_sym_COLON,
    ACTIONS(1994), 1,
      anon_sym_RBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1278), 1,
      sym_expr,
    STATE(2496), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [4627] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1996), 1,
      anon_sym_RPAREN,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2119), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [4744] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1994), 1,
      anon_sym_RBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2496), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [4861] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1994), 1,
      anon_sym_RBRACE,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2519), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [4978] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_RPAREN,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2800), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5095] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2000), 1,
      anon_sym_RPAREN,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2720), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5212] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_RPAREN,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2728), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5329] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2004), 1,
      anon_sym_RPAREN,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2343), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5446] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2006), 1,
      anon_sym_RPAREN,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2711), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5563] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_RPAREN,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2793), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5680] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2010), 1,
      anon_sym_RPAREN,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2749), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [5797] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    ACTIONS(2012), 1,
      anon_sym_COLON,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1273), 1,
      sym_expr,
    STATE(2442), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [5914] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      anon_sym_RPAREN,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2299), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6031] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    ACTIONS(2016), 1,
      anon_sym_COLON,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1271), 1,
      sym_expr,
    STATE(2182), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [6148] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2018), 1,
      anon_sym_RBRACE,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2221), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6265] = 34,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2018), 1,
      anon_sym_RBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2257), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6382] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2510), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6496] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2020), 1,
      anon_sym_SEMI,
    ACTIONS(2022), 1,
      anon_sym_when,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1398), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6610] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2711), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6724] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2024), 1,
      anon_sym_SEMI,
    ACTIONS(2026), 1,
      anon_sym_when,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1302), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6838] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2028), 1,
      anon_sym_SEMI,
    ACTIONS(2030), 1,
      anon_sym_when,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [6952] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2032), 1,
      anon_sym_SEMI,
    ACTIONS(2034), 1,
      anon_sym_when,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1317), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7066] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2119), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7180] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2246), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7294] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2512), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7408] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2036), 1,
      anon_sym_SEMI,
    ACTIONS(2038), 1,
      anon_sym_when,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1391), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7522] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_SEMI,
    ACTIONS(2042), 1,
      anon_sym_when,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1367), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7636] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2571), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7750] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2044), 1,
      anon_sym_SEMI,
    ACTIONS(2046), 1,
      anon_sym_when,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1500), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7864] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2230), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [7978] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2137), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8092] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2048), 1,
      anon_sym_SEMI,
    ACTIONS(2050), 1,
      anon_sym_when,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1379), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8206] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2266), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8320] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    ACTIONS(2052), 1,
      anon_sym_COLON,
    STATE(827), 1,
      sym_string_directive,
    STATE(857), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1287), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [8434] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2392), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8548] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym_SEMI,
    ACTIONS(2056), 1,
      anon_sym_when,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1507), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8662] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2745), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8776] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2763), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [8890] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2598), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9004] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(858), 1,
      aux_sym_expr_list_repeat1,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1267), 1,
      sym_expr,
    STATE(2606), 1,
      sym_expr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9118] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2058), 1,
      anon_sym_SEMI,
    ACTIONS(2060), 1,
      anon_sym_when,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1331), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9232] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2062), 1,
      anon_sym_SEMI,
    ACTIONS(2064), 1,
      anon_sym_when,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1450), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9346] = 33,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2066), 1,
      anon_sym_SEMI,
    ACTIONS(2068), 1,
      anon_sym_when,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1505), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9460] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2070), 1,
      anon_sym_RBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1389), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9571] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2072), 1,
      anon_sym_RBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1339), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9682] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2074), 1,
      anon_sym_RBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1354), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9793] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2076), 1,
      anon_sym_RBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1411), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [9904] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2078), 1,
      anon_sym_RBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1349), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10015] = 32,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_RBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1394), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10126] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1417), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10234] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1440), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10342] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1407), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10450] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1405), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10558] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1404), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10666] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1270), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10774] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(515), 1,
      anon_sym_local,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_hook,
    ACTIONS(531), 1,
      anon_sym_DOLLAR,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(837), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(517), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(535), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [10882] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1309), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [10990] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1295), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [11098] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2082), 1,
      anon_sym_local,
    ACTIONS(2086), 1,
      anon_sym_hook,
    ACTIONS(2088), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(838), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2084), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2092), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2090), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [11206] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2082), 1,
      anon_sym_local,
    ACTIONS(2086), 1,
      anon_sym_hook,
    ACTIONS(2088), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(850), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2084), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2092), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2090), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [11314] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2082), 1,
      anon_sym_local,
    ACTIONS(2086), 1,
      anon_sym_hook,
    ACTIONS(2088), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(844), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2084), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2092), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2090), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [11422] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2082), 1,
      anon_sym_local,
    ACTIONS(2086), 1,
      anon_sym_hook,
    ACTIONS(2088), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(846), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2084), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2092), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2090), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [11530] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1348), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [11638] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2082), 1,
      anon_sym_local,
    ACTIONS(2086), 1,
      anon_sym_hook,
    ACTIONS(2088), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(835), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2084), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2092), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2090), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [11746] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2082), 1,
      anon_sym_local,
    ACTIONS(2086), 1,
      anon_sym_hook,
    ACTIONS(2088), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(840), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2084), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2092), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2090), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [11854] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2082), 1,
      anon_sym_local,
    ACTIONS(2086), 1,
      anon_sym_hook,
    ACTIONS(2088), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(849), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2084), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2092), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2090), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [11962] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1261), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12070] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2082), 1,
      anon_sym_local,
    ACTIONS(2086), 1,
      anon_sym_hook,
    ACTIONS(2088), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(841), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2084), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2092), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2090), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [12178] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2082), 1,
      anon_sym_local,
    ACTIONS(2086), 1,
      anon_sym_hook,
    ACTIONS(2088), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(847), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2084), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2092), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2090), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [12286] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2082), 1,
      anon_sym_local,
    ACTIONS(2086), 1,
      anon_sym_hook,
    ACTIONS(2088), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(839), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2084), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2092), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2090), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [12394] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1292), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [12502] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1379), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12610] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1272), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [12718] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1286), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [12826] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1268), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [12934] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1320), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [13042] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1321), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [13150] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1322), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [13258] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1323), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [13366] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1324), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [13474] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1325), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [13582] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1326), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [13690] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1328), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [13798] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1329), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [13906] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1330), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14014] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1332), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14122] = 9,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1270), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2108), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
      sym_pattern,
      sym_port,
      aux_sym_string_token1,
    ACTIONS(2110), 20,
      anon_sym_record,
      anon_sym_local,
      anon_sym_table,
      anon_sym_set,
      anon_sym_vector,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_copy,
      anon_sym_schedule,
      aux_sym_constant_token1,
      anon_sym_T,
      anon_sym_F,
      sym_id,
      sym_ipv6,
      sym_ipv4,
      sym_floatp,
      sym_hex,
      sym_hostname,
  [14186] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1333), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14294] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1335), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14402] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1416), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14510] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1338), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14618] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      sym_id,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1264), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14726] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1395), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14834] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1540), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [14942] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1226), 1,
      sym_expr,
    STATE(1238), 1,
      sym_constant,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15050] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1470), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [15158] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(515), 1,
      anon_sym_local,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_hook,
    ACTIONS(531), 1,
      anon_sym_DOLLAR,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(854), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(517), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(535), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15266] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1400), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [15374] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(515), 1,
      anon_sym_local,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_hook,
    ACTIONS(531), 1,
      anon_sym_DOLLAR,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(817), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(517), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(535), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15482] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2082), 1,
      anon_sym_local,
    ACTIONS(2086), 1,
      anon_sym_hook,
    ACTIONS(2088), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(843), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2084), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2092), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2090), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [15590] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2082), 1,
      anon_sym_local,
    ACTIONS(2086), 1,
      anon_sym_hook,
    ACTIONS(2088), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(848), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2084), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2092), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2090), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [15698] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1385), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15806] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(515), 1,
      anon_sym_local,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_hook,
    ACTIONS(531), 1,
      anon_sym_DOLLAR,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(826), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(517), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(535), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [15914] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1265), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16022] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1266), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16130] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1242), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16238] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1423), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16346] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1494), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16454] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(515), 1,
      anon_sym_local,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_hook,
    ACTIONS(531), 1,
      anon_sym_DOLLAR,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(818), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(517), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(535), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16562] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(515), 1,
      anon_sym_local,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_hook,
    ACTIONS(531), 1,
      anon_sym_DOLLAR,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(823), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(517), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(535), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16670] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1500), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16778] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1264), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16886] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1539), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [16994] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1337), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17102] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1226), 1,
      sym_expr,
    STATE(1238), 1,
      sym_constant,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [17210] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1279), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [17318] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1413), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [17426] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1281), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [17534] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(515), 1,
      anon_sym_local,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_hook,
    ACTIONS(531), 1,
      anon_sym_DOLLAR,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(815), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(517), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(535), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17642] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(515), 1,
      anon_sym_local,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_hook,
    ACTIONS(531), 1,
      anon_sym_DOLLAR,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(819), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(517), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(535), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17750] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(515), 1,
      anon_sym_local,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_hook,
    ACTIONS(531), 1,
      anon_sym_DOLLAR,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(294), 1,
      sym_expr,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(517), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(535), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17858] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(515), 1,
      anon_sym_local,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_hook,
    ACTIONS(531), 1,
      anon_sym_DOLLAR,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(828), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(517), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(535), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [17966] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(515), 1,
      anon_sym_local,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_hook,
    ACTIONS(531), 1,
      anon_sym_DOLLAR,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(825), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(517), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(535), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18074] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1531), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18182] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(515), 1,
      anon_sym_local,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_hook,
    ACTIONS(531), 1,
      anon_sym_DOLLAR,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(822), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(517), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(535), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18290] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1282), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [18398] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1280), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [18506] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1336), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18614] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1460), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18722] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1285), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [18830] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1458), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [18938] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1284), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [19046] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1401), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [19154] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1277), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [19262] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1353), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19370] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1275), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [19478] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1274), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [19586] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1408), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [19694] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1412), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [19802] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1415), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [19910] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1358), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [20018] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1441), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [20126] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1508), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [20234] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1424), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [20342] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1425), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [20450] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1426), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [20558] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1356), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [20666] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1427), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [20774] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1431), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [20882] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1435), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [20990] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1357), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21098] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1436), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [21206] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1438), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [21314] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1439), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [21422] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1442), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21530] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1443), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [21638] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1445), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [21746] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(515), 1,
      anon_sym_local,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_hook,
    ACTIONS(531), 1,
      anon_sym_DOLLAR,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(829), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(517), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(535), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [21854] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1446), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [21962] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1448), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [22070] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1453), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22178] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1455), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [22286] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1456), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [22394] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1459), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [22502] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1462), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [22610] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1468), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22718] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1361), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [22826] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1360), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [22934] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1469), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [23042] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1471), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [23150] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1472), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [23258] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1473), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [23366] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1477), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [23474] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1479), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [23582] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1480), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [23690] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1481), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [23798] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1482), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [23906] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1483), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24014] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1484), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24122] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1488), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24230] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1493), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24338] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1495), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [24446] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1498), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [24554] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1499), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [24662] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1501), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [24770] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1503), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24878] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1504), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [24986] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1418), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25094] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1510), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25202] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1511), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [25310] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1514), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [25418] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1515), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [25526] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1517), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [25634] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1520), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25742] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1419), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25850] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1521), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [25958] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1523), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26066] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1525), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26174] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1526), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [26282] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1364), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [26390] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1527), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [26498] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1529), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [26606] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1530), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [26714] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1365), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26822] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1533), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [26930] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1534), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [27038] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1538), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [27146] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1444), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [27254] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1334), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [27362] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1381), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [27470] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2114), 1,
      anon_sym_local,
    ACTIONS(2118), 1,
      anon_sym_hook,
    ACTIONS(2120), 1,
      anon_sym_DOLLAR,
    ACTIONS(2122), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(547), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2116), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2124), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [27578] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2114), 1,
      anon_sym_local,
    ACTIONS(2118), 1,
      anon_sym_hook,
    ACTIONS(2120), 1,
      anon_sym_DOLLAR,
    ACTIONS(2122), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(298), 1,
      sym_expr,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2116), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2124), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [27686] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1491), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [27794] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2114), 1,
      anon_sym_local,
    ACTIONS(2118), 1,
      anon_sym_hook,
    ACTIONS(2120), 1,
      anon_sym_DOLLAR,
    ACTIONS(2122), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(546), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2116), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2124), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [27902] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2114), 1,
      anon_sym_local,
    ACTIONS(2118), 1,
      anon_sym_hook,
    ACTIONS(2120), 1,
      anon_sym_DOLLAR,
    ACTIONS(2122), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(554), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2116), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2124), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28010] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2114), 1,
      anon_sym_local,
    ACTIONS(2118), 1,
      anon_sym_hook,
    ACTIONS(2120), 1,
      anon_sym_DOLLAR,
    ACTIONS(2122), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(548), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2116), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2124), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28118] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2114), 1,
      anon_sym_local,
    ACTIONS(2118), 1,
      anon_sym_hook,
    ACTIONS(2120), 1,
      anon_sym_DOLLAR,
    ACTIONS(2122), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(549), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2116), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2124), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28226] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2114), 1,
      anon_sym_local,
    ACTIONS(2118), 1,
      anon_sym_hook,
    ACTIONS(2120), 1,
      anon_sym_DOLLAR,
    ACTIONS(2122), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(557), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2116), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2124), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28334] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2114), 1,
      anon_sym_local,
    ACTIONS(2118), 1,
      anon_sym_hook,
    ACTIONS(2120), 1,
      anon_sym_DOLLAR,
    ACTIONS(2122), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(562), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2116), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2124), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28442] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2114), 1,
      anon_sym_local,
    ACTIONS(2118), 1,
      anon_sym_hook,
    ACTIONS(2120), 1,
      anon_sym_DOLLAR,
    ACTIONS(2122), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(294), 1,
      sym_expr,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2116), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2124), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28550] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1449), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28658] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2114), 1,
      anon_sym_local,
    ACTIONS(2118), 1,
      anon_sym_hook,
    ACTIONS(2120), 1,
      anon_sym_DOLLAR,
    ACTIONS(2122), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(567), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2116), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2124), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28766] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2114), 1,
      anon_sym_local,
    ACTIONS(2118), 1,
      anon_sym_hook,
    ACTIONS(2120), 1,
      anon_sym_DOLLAR,
    ACTIONS(2122), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(568), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2116), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2124), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28874] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2114), 1,
      anon_sym_local,
    ACTIONS(2118), 1,
      anon_sym_hook,
    ACTIONS(2120), 1,
      anon_sym_DOLLAR,
    ACTIONS(2122), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(526), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2116), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2124), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [28982] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1532), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29090] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1524), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29198] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1519), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29306] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1497), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [29414] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    ACTIONS(2114), 1,
      anon_sym_local,
    ACTIONS(2118), 1,
      anon_sym_hook,
    ACTIONS(2120), 1,
      anon_sym_DOLLAR,
    ACTIONS(2122), 1,
      anon_sym_PIPE,
    STATE(291), 1,
      sym_integer,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    STATE(540), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2116), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2126), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2124), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29522] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1463), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [29630] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1259), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [29738] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1242), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [29846] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1422), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [29954] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1392), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [30062] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1388), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [30170] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1980), 1,
      anon_sym_local,
    ACTIONS(1984), 1,
      anon_sym_hook,
    ACTIONS(1986), 1,
      anon_sym_DOLLAR,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1414), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(1982), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(1990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(1988), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [30278] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1451), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [30386] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1386), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [30494] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1383), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [30602] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1377), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [30710] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1452), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [30818] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1376), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [30926] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1269), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31034] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1373), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31142] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1371), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31250] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1370), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31358] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1369), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31466] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1368), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31574] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1367), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31682] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1363), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31790] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1293), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [31898] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1352), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32006] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1351), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32114] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1345), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32222] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1344), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32330] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1343), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32438] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1318), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32546] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1317), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32654] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1314), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32762] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1313), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32870] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1312), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [32978] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1311), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [33086] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1308), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [33194] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1305), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [33302] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1303), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [33410] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1301), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [33518] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1300), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [33626] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1296), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [33734] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1294), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [33842] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1375), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [33950] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1399), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [34058] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1403), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [34166] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1409), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [34274] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1397), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [34382] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1297), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [34490] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1302), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [34598] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1496), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [34706] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1466), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [34814] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1316), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [34922] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1476), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35030] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1319), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [35138] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1340), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [35246] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1342), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [35354] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1359), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [35462] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1372), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [35570] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1374), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [35678] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1378), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [35786] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1464), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [35894] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1391), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [36002] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1260), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [36110] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1421), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [36218] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1506), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [36326] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1428), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [36434] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1429), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [36542] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1433), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [36650] = 31,
    ACTIONS(503), 1,
      anon_sym_LBRACE,
    ACTIONS(509), 1,
      anon_sym_record,
    ACTIONS(511), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_LBRACK,
    ACTIONS(515), 1,
      anon_sym_local,
    ACTIONS(519), 1,
      anon_sym_vector,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_hook,
    ACTIONS(531), 1,
      anon_sym_DOLLAR,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    ACTIONS(539), 1,
      anon_sym_copy,
    ACTIONS(541), 1,
      anon_sym_schedule,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(549), 1,
      sym_id,
    ACTIONS(551), 1,
      sym_pattern,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(559), 1,
      aux_sym_string_token1,
    STATE(291), 1,
      sym_integer,
    STATE(298), 1,
      sym_expr,
    STATE(310), 1,
      sym_constant,
    STATE(318), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(517), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(547), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(553), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(535), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [36758] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1454), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [36866] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1467), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [36974] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1474), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37082] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1486), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37190] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1507), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37298] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(2094), 1,
      anon_sym_local,
    ACTIONS(2098), 1,
      anon_sym_hook,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1509), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    ACTIONS(2096), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(2106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
    ACTIONS(2104), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
  [37406] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1299), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37514] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1513), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37622] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1537), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37730] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1536), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37838] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1535), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [37946] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1528), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38054] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1518), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38162] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1516), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38270] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1512), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38378] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1505), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38486] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1492), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38594] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1489), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38702] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1487), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38810] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1485), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [38918] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1475), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39026] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1465), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39134] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1461), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39242] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1457), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39350] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1450), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39458] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1490), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39566] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1437), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39674] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1434), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39782] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1432), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39890] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1430), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [39998] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1420), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40106] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1410), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40214] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1406), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40322] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1402), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40430] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1541), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40538] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1304), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40646] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1398), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40754] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1387), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40862] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1384), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [40970] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1382), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41078] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1380), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41186] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1362), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41294] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1350), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41402] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1346), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41510] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1341), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41618] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1542), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41726] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1331), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41834] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1310), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [41942] = 31,
    ACTIONS(25), 1,
      anon_sym_record,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(57), 1,
      anon_sym_vector,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(65), 1,
      anon_sym_PIPE,
    ACTIONS(71), 1,
      anon_sym_copy,
    ACTIONS(73), 1,
      anon_sym_schedule,
    ACTIONS(75), 1,
      aux_sym_constant_token1,
    ACTIONS(97), 1,
      sym_id,
    ACTIONS(99), 1,
      sym_pattern,
    ACTIONS(103), 1,
      sym_port,
    ACTIONS(105), 1,
      sym_floatp,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(113), 1,
      anon_sym_local,
    ACTIONS(115), 1,
      anon_sym_function,
    ACTIONS(117), 1,
      anon_sym_hook,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(827), 1,
      sym_string_directive,
    STATE(1223), 1,
      sym_integer,
    STATE(1238), 1,
      sym_constant,
    STATE(1307), 1,
      sym_expr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(55), 2,
      anon_sym_table,
      anon_sym_set,
    ACTIONS(69), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(101), 2,
      sym_ipv6,
      sym_ipv4,
    STATE(1241), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(67), 4,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [42050] = 25,
    ACTIONS(2128), 1,
      anon_sym_module,
    ACTIONS(2130), 1,
      anon_sym_export,
    ACTIONS(2132), 1,
      anon_sym_RBRACE,
    ACTIONS(2134), 1,
      anon_sym_global,
    ACTIONS(2136), 1,
      anon_sym_option,
    ACTIONS(2138), 1,
      anon_sym_const,
    ACTIONS(2140), 1,
      anon_sym_redef,
    ACTIONS(2142), 1,
      anon_sym_type,
    ACTIONS(2144), 1,
      anon_sym_event,
    ACTIONS(2146), 1,
      anon_sym_function,
    ACTIONS(2148), 1,
      anon_sym_hook,
    ACTIONS(2150), 1,
      anon_sym_ATdeprecated,
    ACTIONS(2152), 1,
      anon_sym_ATload,
    ACTIONS(2156), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(2158), 1,
      anon_sym_ATprefixes,
    ACTIONS(2160), 1,
      anon_sym_ATif,
    STATE(1776), 1,
      sym_func_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2154), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(2162), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(2164), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1208), 2,
      sym_decl,
      aux_sym_source_file_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    STATE(1784), 3,
      sym_func,
      sym_hook,
      sym_event,
    STATE(1754), 11,
      sym_module_decl,
      sym_export_decl,
      sym_global_decl,
      sym_option_decl,
      sym_const_decl,
      sym_redef_decl,
      sym_redef_enum_decl,
      sym_redef_record_decl,
      sym_type_decl,
      sym_func_decl,
      sym_preproc_directive,
  [42145] = 25,
    ACTIONS(2128), 1,
      anon_sym_module,
    ACTIONS(2130), 1,
      anon_sym_export,
    ACTIONS(2134), 1,
      anon_sym_global,
    ACTIONS(2136), 1,
      anon_sym_option,
    ACTIONS(2138), 1,
      anon_sym_const,
    ACTIONS(2140), 1,
      anon_sym_redef,
    ACTIONS(2142), 1,
      anon_sym_type,
    ACTIONS(2144), 1,
      anon_sym_event,
    ACTIONS(2146), 1,
      anon_sym_function,
    ACTIONS(2148), 1,
      anon_sym_hook,
    ACTIONS(2150), 1,
      anon_sym_ATdeprecated,
    ACTIONS(2152), 1,
      anon_sym_ATload,
    ACTIONS(2156), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(2158), 1,
      anon_sym_ATprefixes,
    ACTIONS(2160), 1,
      anon_sym_ATif,
    ACTIONS(2166), 1,
      anon_sym_RBRACE,
    STATE(1776), 1,
      sym_func_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2154), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(2162), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(2164), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1210), 2,
      sym_decl,
      aux_sym_source_file_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    STATE(1784), 3,
      sym_func,
      sym_hook,
      sym_event,
    STATE(1754), 11,
      sym_module_decl,
      sym_export_decl,
      sym_global_decl,
      sym_option_decl,
      sym_const_decl,
      sym_redef_decl,
      sym_redef_enum_decl,
      sym_redef_record_decl,
      sym_type_decl,
      sym_func_decl,
      sym_preproc_directive,
  [42240] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1900), 18,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
      sym_pattern,
      sym_port,
      aux_sym_string_token1,
    ACTIONS(1905), 21,
      anon_sym_COLON,
      anon_sym_record,
      anon_sym_local,
      anon_sym_table,
      anon_sym_set,
      anon_sym_vector,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_copy,
      anon_sym_schedule,
      aux_sym_constant_token1,
      anon_sym_T,
      anon_sym_F,
      sym_id,
      sym_ipv6,
      sym_ipv4,
      sym_floatp,
      sym_hex,
      sym_hostname,
  [42293] = 25,
    ACTIONS(2128), 1,
      anon_sym_module,
    ACTIONS(2130), 1,
      anon_sym_export,
    ACTIONS(2134), 1,
      anon_sym_global,
    ACTIONS(2136), 1,
      anon_sym_option,
    ACTIONS(2138), 1,
      anon_sym_const,
    ACTIONS(2140), 1,
      anon_sym_redef,
    ACTIONS(2142), 1,
      anon_sym_type,
    ACTIONS(2144), 1,
      anon_sym_event,
    ACTIONS(2146), 1,
      anon_sym_function,
    ACTIONS(2148), 1,
      anon_sym_hook,
    ACTIONS(2150), 1,
      anon_sym_ATdeprecated,
    ACTIONS(2152), 1,
      anon_sym_ATload,
    ACTIONS(2156), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(2158), 1,
      anon_sym_ATprefixes,
    ACTIONS(2160), 1,
      anon_sym_ATif,
    ACTIONS(2168), 1,
      anon_sym_RBRACE,
    STATE(1776), 1,
      sym_func_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2154), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(2162), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(2164), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1209), 2,
      sym_decl,
      aux_sym_source_file_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    STATE(1784), 3,
      sym_func,
      sym_hook,
      sym_event,
    STATE(1754), 11,
      sym_module_decl,
      sym_export_decl,
      sym_global_decl,
      sym_option_decl,
      sym_const_decl,
      sym_redef_decl,
      sym_redef_enum_decl,
      sym_redef_record_decl,
      sym_type_decl,
      sym_func_decl,
      sym_preproc_directive,
  [42388] = 25,
    ACTIONS(139), 1,
      anon_sym_RBRACE,
    ACTIONS(2170), 1,
      anon_sym_module,
    ACTIONS(2173), 1,
      anon_sym_export,
    ACTIONS(2176), 1,
      anon_sym_global,
    ACTIONS(2179), 1,
      anon_sym_option,
    ACTIONS(2182), 1,
      anon_sym_const,
    ACTIONS(2185), 1,
      anon_sym_redef,
    ACTIONS(2188), 1,
      anon_sym_type,
    ACTIONS(2191), 1,
      anon_sym_event,
    ACTIONS(2194), 1,
      anon_sym_function,
    ACTIONS(2197), 1,
      anon_sym_hook,
    ACTIONS(2200), 1,
      anon_sym_ATdeprecated,
    ACTIONS(2203), 1,
      anon_sym_ATload,
    ACTIONS(2209), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(2212), 1,
      anon_sym_ATprefixes,
    ACTIONS(2215), 1,
      anon_sym_ATif,
    STATE(1776), 1,
      sym_func_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2206), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(2218), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(2221), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1209), 2,
      sym_decl,
      aux_sym_source_file_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    STATE(1784), 3,
      sym_func,
      sym_hook,
      sym_event,
    STATE(1754), 11,
      sym_module_decl,
      sym_export_decl,
      sym_global_decl,
      sym_option_decl,
      sym_const_decl,
      sym_redef_decl,
      sym_redef_enum_decl,
      sym_redef_record_decl,
      sym_type_decl,
      sym_func_decl,
      sym_preproc_directive,
  [42483] = 25,
    ACTIONS(2128), 1,
      anon_sym_module,
    ACTIONS(2130), 1,
      anon_sym_export,
    ACTIONS(2134), 1,
      anon_sym_global,
    ACTIONS(2136), 1,
      anon_sym_option,
    ACTIONS(2138), 1,
      anon_sym_const,
    ACTIONS(2140), 1,
      anon_sym_redef,
    ACTIONS(2142), 1,
      anon_sym_type,
    ACTIONS(2144), 1,
      anon_sym_event,
    ACTIONS(2146), 1,
      anon_sym_function,
    ACTIONS(2148), 1,
      anon_sym_hook,
    ACTIONS(2150), 1,
      anon_sym_ATdeprecated,
    ACTIONS(2152), 1,
      anon_sym_ATload,
    ACTIONS(2156), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(2158), 1,
      anon_sym_ATprefixes,
    ACTIONS(2160), 1,
      anon_sym_ATif,
    ACTIONS(2224), 1,
      anon_sym_RBRACE,
    STATE(1776), 1,
      sym_func_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2154), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(2162), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(2164), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1209), 2,
      sym_decl,
      aux_sym_source_file_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    STATE(1784), 3,
      sym_func,
      sym_hook,
      sym_event,
    STATE(1754), 11,
      sym_module_decl,
      sym_export_decl,
      sym_global_decl,
      sym_option_decl,
      sym_const_decl,
      sym_redef_decl,
      sym_redef_enum_decl,
      sym_redef_record_decl,
      sym_type_decl,
      sym_func_decl,
      sym_preproc_directive,
  [42578] = 5,
    ACTIONS(2226), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1449), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1445), 35,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [42632] = 5,
    ACTIONS(2228), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(329), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(327), 35,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [42686] = 5,
    ACTIONS(2230), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1435), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1433), 35,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [42740] = 5,
    ACTIONS(2232), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1469), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1465), 35,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [42794] = 9,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    STATE(1781), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2238), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1220), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(2234), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
    ACTIONS(2236), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [42855] = 9,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    STATE(1780), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2242), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1220), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(2240), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
    ACTIONS(2236), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [42916] = 9,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    STATE(1783), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2246), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1220), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(2244), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
    ACTIONS(2236), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [42977] = 9,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    STATE(1782), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2250), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1220), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(2248), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
    ACTIONS(2236), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [43038] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1383), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1381), 27,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
      sym_time_unit,
  [43088] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1694), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1222), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1692), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
    ACTIONS(2236), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [43146] = 6,
    ACTIONS(2226), 1,
      anon_sym_COLON,
    ACTIONS(2252), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1449), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1445), 32,
      anon_sym_LBRACE,
      anon_sym_AMPdeprecated,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [43200] = 8,
    ACTIONS(2254), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1679), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    STATE(1222), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1684), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(1677), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
    ACTIONS(2257), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [43258] = 5,
    ACTIONS(2260), 1,
      sym_time_unit,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1387), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1385), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [43310] = 5,
    ACTIONS(2260), 1,
      sym_time_unit,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1387), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1385), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [43362] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(493), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(491), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [43411] = 8,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(137), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(131), 21,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [43468] = 5,
    ACTIONS(2268), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1469), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1465), 25,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [43519] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(333), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(331), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [43568] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1415), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1413), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [43617] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(489), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(487), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [43666] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(481), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(479), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [43715] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(477), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(475), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [43764] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(137), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(131), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [43813] = 5,
    ACTIONS(2270), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1449), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1445), 25,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [43864] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1407), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1405), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [43913] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1411), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1409), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [43962] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1387), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1385), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44011] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1431), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1429), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44060] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(137), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(131), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44109] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1423), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1421), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44158] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1387), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1385), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44207] = 8,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(109), 21,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44264] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1463), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1461), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44313] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(109), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44362] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1443), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1441), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44411] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(109), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44460] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1463), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1461), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44509] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1463), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1461), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44558] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(109), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44607] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(109), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44656] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(199), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(197), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44705] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(203), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(201), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44754] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(485), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(483), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44803] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1415), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1413), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44852] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1415), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1413), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44901] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1427), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1425), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [44950] = 5,
    ACTIONS(2272), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(329), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(327), 25,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45001] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(329), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(327), 26,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45050] = 9,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(109), 17,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45108] = 16,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(109), 7,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOLLAR,
  [45180] = 9,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1415), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1413), 17,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45238] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2108), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
      sym_pattern,
      sym_port,
      aux_sym_string_token1,
    ACTIONS(2110), 20,
      anon_sym_record,
      anon_sym_local,
      anon_sym_table,
      anon_sym_set,
      anon_sym_vector,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_copy,
      anon_sym_schedule,
      aux_sym_constant_token1,
      anon_sym_T,
      anon_sym_F,
      sym_id,
      sym_ipv6,
      sym_ipv4,
      sym_floatp,
      sym_hex,
      sym_hostname,
  [45286] = 19,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_COMMA,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2292), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [45364] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(131), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [45440] = 14,
    ACTIONS(111), 1,
      anon_sym_EQ,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(109), 11,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45508] = 13,
    ACTIONS(111), 1,
      anon_sym_EQ,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(109), 13,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45574] = 19,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_COMMA,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1976), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [45652] = 16,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1413), 7,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOLLAR,
  [45724] = 13,
    ACTIONS(1463), 1,
      anon_sym_EQ,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1461), 13,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [45790] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1413), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [45866] = 20,
    ACTIONS(1976), 1,
      anon_sym_RBRACK,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_COMMA,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2300), 1,
      anon_sym_COLON,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2302), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2320), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [45944] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2302), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2320), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(131), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [46018] = 20,
    ACTIONS(1976), 1,
      anon_sym_RBRACK,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_COMMA,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_COLON,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2302), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2320), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [46096] = 16,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2302), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2320), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(109), 5,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [46166] = 9,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(109), 15,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46222] = 5,
    ACTIONS(2324), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(329), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(327), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46270] = 8,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(109), 18,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46324] = 20,
    ACTIONS(1976), 1,
      anon_sym_RBRACK,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_COMMA,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    ACTIONS(2326), 1,
      anon_sym_COLON,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2302), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2320), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [46402] = 13,
    ACTIONS(1463), 1,
      anon_sym_EQ,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1461), 11,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46466] = 16,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2302), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2320), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(1413), 5,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [46536] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2302), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2320), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1413), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [46610] = 9,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1415), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1413), 15,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46666] = 20,
    ACTIONS(1976), 1,
      anon_sym_RBRACE,
    ACTIONS(2044), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_COMMA,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [46744] = 13,
    ACTIONS(111), 1,
      anon_sym_EQ,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(109), 11,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46808] = 14,
    ACTIONS(111), 1,
      anon_sym_EQ,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(109), 9,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46874] = 8,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(137), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(131), 18,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [46928] = 19,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2292), 1,
      anon_sym_COLON,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_COMMA,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2302), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2320), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47003] = 19,
    ACTIONS(1976), 1,
      anon_sym_COLON,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_COMMA,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2302), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2320), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47078] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1469), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1465), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [47123] = 5,
    ACTIONS(2328), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1431), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1429), 21,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [47170] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1449), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1445), 22,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [47215] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2330), 1,
      anon_sym_LBRACE,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47287] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2350), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47359] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2352), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47431] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    ACTIONS(2354), 1,
      anon_sym_COLON,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2302), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2320), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47503] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2356), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47575] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2358), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47647] = 18,
    ACTIONS(2028), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47719] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2360), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47791] = 18,
    ACTIONS(583), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47863] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2362), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [47935] = 18,
    ACTIONS(741), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48007] = 18,
    ACTIONS(1710), 1,
      anon_sym_RPAREN,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48079] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2364), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48151] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2366), 1,
      anon_sym_SEMI,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48223] = 18,
    ACTIONS(2024), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48295] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2368), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48367] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2370), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48439] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_COLON,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2302), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2320), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48511] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2374), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48583] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2376), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48655] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2378), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48727] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2380), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48799] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2382), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48871] = 18,
    ACTIONS(2032), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [48943] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2384), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49015] = 18,
    ACTIONS(561), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49087] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2386), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49159] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49231] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2390), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49303] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2392), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49375] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2394), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49447] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2396), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49519] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2398), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49591] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2400), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49663] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2402), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49735] = 18,
    ACTIONS(2058), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49807] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2404), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49879] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2406), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [49951] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2408), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50023] = 18,
    ACTIONS(567), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50095] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2410), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50167] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2412), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50239] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50311] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2416), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50383] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2418), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50455] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2420), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50527] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2422), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50599] = 18,
    ACTIONS(2074), 1,
      anon_sym_RBRACK,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50671] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2424), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50743] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2426), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50815] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2428), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50887] = 18,
    ACTIONS(1675), 1,
      anon_sym_RPAREN,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [50959] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2430), 1,
      anon_sym_SEMI,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51031] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2432), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51103] = 18,
    ACTIONS(1814), 1,
      anon_sym_RPAREN,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51175] = 18,
    ACTIONS(2048), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51247] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2434), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51319] = 18,
    ACTIONS(2070), 1,
      anon_sym_RBRACK,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51391] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2436), 1,
      anon_sym_SEMI,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51463] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2438), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51535] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2440), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51607] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2442), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51679] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2444), 1,
      anon_sym_RBRACK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51751] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_COMMA,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51823] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2446), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51895] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2448), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [51967] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2450), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52039] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2452), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52111] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2454), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52183] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52255] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2458), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52327] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2460), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52399] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2462), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52471] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2464), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52543] = 18,
    ACTIONS(2040), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52615] = 18,
    ACTIONS(681), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52687] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2466), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52759] = 18,
    ACTIONS(1651), 1,
      anon_sym_RPAREN,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52831] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2468), 1,
      anon_sym_SEMI,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52903] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2470), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [52975] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2472), 1,
      anon_sym_SEMI,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53047] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2474), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53119] = 18,
    ACTIONS(1780), 1,
      anon_sym_RPAREN,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53191] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2476), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53263] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2478), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53335] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2480), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53407] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2482), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53479] = 18,
    ACTIONS(701), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53551] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2484), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53623] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    ACTIONS(2486), 1,
      anon_sym_COLON,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2302), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2320), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53695] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2488), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53767] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2490), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53839] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2492), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53911] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2494), 1,
      anon_sym_SEMI,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [53983] = 18,
    ACTIONS(1665), 1,
      anon_sym_RPAREN,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54055] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2496), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54127] = 18,
    ACTIONS(1607), 1,
      anon_sym_RPAREN,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54199] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2498), 1,
      anon_sym_RBRACK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54271] = 6,
    ACTIONS(2500), 1,
      anon_sym_LPAREN,
    STATE(1216), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1431), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1429), 19,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_DASH_EQ,
      anon_sym_DOLLAR,
      anon_sym_is,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [54319] = 18,
    ACTIONS(725), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54391] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2502), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54463] = 18,
    ACTIONS(2036), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54535] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2504), 1,
      anon_sym_RBRACK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54607] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2506), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54679] = 18,
    ACTIONS(2020), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54751] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2508), 1,
      anon_sym_SEMI,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54823] = 18,
    ACTIONS(603), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54895] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2510), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [54967] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    ACTIONS(2512), 1,
      anon_sym_COLON,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2302), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2320), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55039] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    ACTIONS(2514), 1,
      anon_sym_COLON,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2302), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2320), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55111] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2516), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55183] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2518), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55255] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2520), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55327] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2522), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55399] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2524), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55471] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2526), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55543] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2528), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55615] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2530), 1,
      anon_sym_SEMI,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55687] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2532), 1,
      anon_sym_SEMI,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55759] = 18,
    ACTIONS(2080), 1,
      anon_sym_RBRACK,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55831] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2534), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55903] = 18,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [55975] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2312), 1,
      anon_sym_BANG,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    ACTIONS(2536), 1,
      anon_sym_COLON,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2302), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2308), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2318), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2320), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2314), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2304), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2310), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56047] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56119] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2540), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56191] = 18,
    ACTIONS(1718), 1,
      anon_sym_RPAREN,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56263] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2542), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56335] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2544), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56407] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2546), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56479] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2548), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56551] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2550), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56623] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2552), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56695] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2554), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56767] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2556), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56839] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2558), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56911] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2560), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [56983] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2562), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57055] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2564), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57127] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2566), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57199] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2568), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57271] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2570), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57343] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2572), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57415] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2574), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57487] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2576), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57559] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2578), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57631] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57703] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2582), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57775] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2584), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57847] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2586), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57919] = 16,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(109), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [57987] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2588), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58059] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2590), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58131] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2592), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58203] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2594), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58275] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58347] = 18,
    ACTIONS(2062), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58419] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58491] = 9,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(111), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(109), 13,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [58545] = 18,
    ACTIONS(637), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58617] = 13,
    ACTIONS(111), 1,
      anon_sym_EQ,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(109), 9,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_DASH_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [58679] = 14,
    ACTIONS(111), 1,
      anon_sym_EQ,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(109), 7,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_DASH_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [58743] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2600), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58815] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2602), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58887] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2604), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [58959] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2606), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59031] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2608), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59103] = 18,
    ACTIONS(1796), 1,
      anon_sym_RPAREN,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59175] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2610), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59247] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2612), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59319] = 18,
    ACTIONS(1788), 1,
      anon_sym_RPAREN,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59391] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2614), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59463] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2616), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59535] = 18,
    ACTIONS(1413), 1,
      anon_sym_LBRACE,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59607] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2618), 1,
      anon_sym_SEMI,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59679] = 16,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1413), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59747] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2620), 1,
      anon_sym_SEMI,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59819] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2622), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59891] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [59963] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2626), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60035] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2628), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60107] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2630), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60179] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2632), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60251] = 18,
    ACTIONS(1768), 1,
      anon_sym_RPAREN,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60323] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2634), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60395] = 9,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1415), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_QMARK,
    ACTIONS(1413), 13,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [60449] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2636), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60521] = 18,
    ACTIONS(2044), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60593] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2638), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60665] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2640), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60737] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2642), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60809] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2644), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60881] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2646), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [60953] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2648), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61025] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2650), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61097] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2652), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61169] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2654), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61241] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2656), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61313] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2658), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61385] = 18,
    ACTIONS(1455), 1,
      anon_sym_RPAREN,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61457] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2660), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61529] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2662), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61601] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2664), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61673] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2666), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61745] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2668), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61817] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61889] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2672), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [61961] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2674), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62033] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2676), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62105] = 18,
    ACTIONS(755), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62177] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2678), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62249] = 18,
    ACTIONS(2066), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62321] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2680), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62393] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2682), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62465] = 18,
    ACTIONS(661), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62537] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2684), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62609] = 18,
    ACTIONS(685), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62681] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2686), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62753] = 13,
    ACTIONS(1463), 1,
      anon_sym_EQ,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
    ACTIONS(1461), 9,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_LPAREN,
      anon_sym_DASH_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_DOLLAR,
  [62815] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62887] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2690), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [62959] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2692), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63031] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2694), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63103] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63175] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2698), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63247] = 18,
    ACTIONS(1754), 1,
      anon_sym_RPAREN,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63319] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2700), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63391] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2702), 1,
      anon_sym_SEMI,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63463] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2704), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63535] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2706), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63607] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2708), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63679] = 18,
    ACTIONS(2054), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63751] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2710), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63823] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2712), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63895] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2714), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [63967] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2716), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64039] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2718), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64111] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2720), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64183] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2722), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64255] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2724), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64327] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2726), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64399] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2336), 1,
      anon_sym_EQ,
    ACTIONS(2340), 1,
      anon_sym_BANG,
    ACTIONS(2344), 1,
      anon_sym_QMARK,
    ACTIONS(2728), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2332), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2334), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2338), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64471] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2730), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64543] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2732), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64615] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2734), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64687] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2736), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64759] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2738), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64831] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2740), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64903] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2742), 1,
      anon_sym_PIPE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 5,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [64974] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2744), 1,
      anon_sym_PIPE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 5,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65045] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2746), 1,
      anon_sym_PIPE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 5,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65116] = 18,
    ACTIONS(2262), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2280), 1,
      anon_sym_EQ,
    ACTIONS(2284), 1,
      anon_sym_BANG,
    ACTIONS(2286), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2298), 1,
      anon_sym_QMARK_DOLLAR,
    ACTIONS(2748), 1,
      anon_sym_PIPE,
    STATE(1239), 1,
      sym_index_slice,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2264), 2,
      anon_sym_as,
      anon_sym_is,
    ACTIONS(2276), 2,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
    ACTIONS(2288), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2290), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2274), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2278), 4,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
    ACTIONS(2282), 5,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
  [65187] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1561), 1,
      aux_sym_type_repeat1,
    STATE(1993), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [65251] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(1951), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [65315] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1548), 1,
      aux_sym_type_repeat1,
    STATE(1953), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [65379] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(1985), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [65443] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1546), 1,
      aux_sym_type_repeat1,
    STATE(1975), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [65507] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(2049), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [65571] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(1991), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [65635] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(2013), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [65699] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1550), 1,
      aux_sym_type_repeat1,
    STATE(2012), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [65763] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(2038), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [65827] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1552), 1,
      aux_sym_type_repeat1,
    STATE(2040), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [65891] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(1999), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [65955] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1554), 1,
      aux_sym_type_repeat1,
    STATE(2000), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66019] = 15,
    ACTIONS(2772), 1,
      anon_sym_enum,
    ACTIONS(2775), 1,
      anon_sym_record,
    ACTIONS(2784), 1,
      anon_sym_table,
    ACTIONS(2787), 1,
      anon_sym_set,
    ACTIONS(2790), 1,
      anon_sym_union,
    ACTIONS(2796), 1,
      anon_sym_vector,
    ACTIONS(2799), 1,
      anon_sym_function,
    ACTIONS(2802), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(2414), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2778), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2793), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2781), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66083] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(2116), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66147] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(2117), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66211] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(2022), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66275] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1559), 1,
      aux_sym_type_repeat1,
    STATE(2020), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66339] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(1995), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66403] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(1967), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66467] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1562), 1,
      aux_sym_type_repeat1,
    STATE(1963), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66531] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1549), 1,
      aux_sym_type_repeat1,
    STATE(1946), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66595] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(1952), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66659] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(1957), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66723] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1556), 1,
      aux_sym_type_repeat1,
    STATE(1924), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66787] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1557), 1,
      aux_sym_type_repeat1,
    STATE(2002), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66851] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1558), 1,
      aux_sym_type_repeat1,
    STATE(2071), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66915] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1567), 1,
      aux_sym_type_repeat1,
    STATE(1921), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [66979] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    STATE(1908), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2805), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [67029] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1566), 1,
      aux_sym_type_repeat1,
    STATE(2037), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67093] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1565), 1,
      aux_sym_type_repeat1,
    STATE(2036), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67157] = 15,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1544), 1,
      aux_sym_type_repeat1,
    STATE(2033), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67221] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(133), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67282] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2829), 1,
      anon_sym_table,
    ACTIONS(2833), 1,
      anon_sym_vector,
    ACTIONS(2835), 1,
      anon_sym_function,
    STATE(1228), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2831), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67343] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(142), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67404] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(122), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67465] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2829), 1,
      anon_sym_table,
    ACTIONS(2833), 1,
      anon_sym_vector,
    ACTIONS(2835), 1,
      anon_sym_function,
    STATE(1252), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2831), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67526] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(123), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67587] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(137), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67648] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(139), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67709] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(154), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67770] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2837), 1,
      anon_sym_table,
    ACTIONS(2841), 1,
      anon_sym_vector,
    ACTIONS(2843), 1,
      anon_sym_function,
    STATE(1888), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2839), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67831] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(138), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67892] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(148), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [67953] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(147), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68014] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    ACTIONS(2845), 1,
      anon_sym_table,
    ACTIONS(2849), 1,
      anon_sym_vector,
    ACTIONS(2851), 1,
      anon_sym_function,
    STATE(1722), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2847), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68075] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(132), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68136] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(128), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68197] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(125), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68258] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(124), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68319] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(131), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68380] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(155), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68441] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(22), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68502] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    ACTIONS(2853), 1,
      anon_sym_table,
    ACTIONS(2857), 1,
      anon_sym_vector,
    ACTIONS(2859), 1,
      anon_sym_function,
    STATE(43), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2855), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68563] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(121), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68624] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(127), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68685] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2837), 1,
      anon_sym_table,
    ACTIONS(2841), 1,
      anon_sym_vector,
    ACTIONS(2843), 1,
      anon_sym_function,
    STATE(1228), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2839), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68746] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(146), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68807] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2829), 1,
      anon_sym_table,
    ACTIONS(2833), 1,
      anon_sym_vector,
    ACTIONS(2835), 1,
      anon_sym_function,
    STATE(1249), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2831), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68868] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(130), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68929] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(135), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [68990] = 14,
    ACTIONS(2861), 1,
      anon_sym_enum,
    ACTIONS(2863), 1,
      anon_sym_record,
    ACTIONS(2869), 1,
      anon_sym_table,
    ACTIONS(2871), 1,
      anon_sym_set,
    ACTIONS(2873), 1,
      anon_sym_union,
    ACTIONS(2877), 1,
      anon_sym_vector,
    ACTIONS(2879), 1,
      anon_sym_function,
    ACTIONS(2881), 1,
      anon_sym_opaque,
    STATE(322), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2865), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2875), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2867), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69051] = 14,
    ACTIONS(2861), 1,
      anon_sym_enum,
    ACTIONS(2863), 1,
      anon_sym_record,
    ACTIONS(2869), 1,
      anon_sym_table,
    ACTIONS(2871), 1,
      anon_sym_set,
    ACTIONS(2873), 1,
      anon_sym_union,
    ACTIONS(2877), 1,
      anon_sym_vector,
    ACTIONS(2879), 1,
      anon_sym_function,
    ACTIONS(2881), 1,
      anon_sym_opaque,
    STATE(292), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2865), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2875), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2867), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69112] = 14,
    ACTIONS(2861), 1,
      anon_sym_enum,
    ACTIONS(2863), 1,
      anon_sym_record,
    ACTIONS(2869), 1,
      anon_sym_table,
    ACTIONS(2871), 1,
      anon_sym_set,
    ACTIONS(2873), 1,
      anon_sym_union,
    ACTIONS(2877), 1,
      anon_sym_vector,
    ACTIONS(2879), 1,
      anon_sym_function,
    ACTIONS(2881), 1,
      anon_sym_opaque,
    STATE(320), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2865), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2875), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2867), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69173] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2829), 1,
      anon_sym_table,
    ACTIONS(2833), 1,
      anon_sym_vector,
    ACTIONS(2835), 1,
      anon_sym_function,
    STATE(1251), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2831), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69234] = 14,
    ACTIONS(2861), 1,
      anon_sym_enum,
    ACTIONS(2863), 1,
      anon_sym_record,
    ACTIONS(2869), 1,
      anon_sym_table,
    ACTIONS(2871), 1,
      anon_sym_set,
    ACTIONS(2873), 1,
      anon_sym_union,
    ACTIONS(2877), 1,
      anon_sym_vector,
    ACTIONS(2879), 1,
      anon_sym_function,
    ACTIONS(2881), 1,
      anon_sym_opaque,
    STATE(299), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2865), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2875), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2867), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69295] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2837), 1,
      anon_sym_table,
    ACTIONS(2841), 1,
      anon_sym_vector,
    ACTIONS(2843), 1,
      anon_sym_function,
    STATE(1906), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2839), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69356] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    ACTIONS(2845), 1,
      anon_sym_table,
    ACTIONS(2849), 1,
      anon_sym_vector,
    ACTIONS(2851), 1,
      anon_sym_function,
    STATE(1571), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2847), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69417] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(136), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69478] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(134), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69539] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    ACTIONS(2845), 1,
      anon_sym_table,
    ACTIONS(2849), 1,
      anon_sym_vector,
    ACTIONS(2851), 1,
      anon_sym_function,
    STATE(1665), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2847), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69600] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(21), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69661] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(119), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69722] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(129), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69783] = 14,
    ACTIONS(2861), 1,
      anon_sym_enum,
    ACTIONS(2863), 1,
      anon_sym_record,
    ACTIONS(2871), 1,
      anon_sym_set,
    ACTIONS(2873), 1,
      anon_sym_union,
    ACTIONS(2881), 1,
      anon_sym_opaque,
    ACTIONS(2883), 1,
      anon_sym_table,
    ACTIONS(2887), 1,
      anon_sym_vector,
    ACTIONS(2889), 1,
      anon_sym_function,
    STATE(299), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2865), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2885), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2867), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69844] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(144), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69905] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2891), 1,
      anon_sym_table,
    ACTIONS(2895), 1,
      anon_sym_vector,
    ACTIONS(2897), 1,
      anon_sym_function,
    STATE(1935), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2893), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [69966] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1228), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70027] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2891), 1,
      anon_sym_table,
    ACTIONS(2895), 1,
      anon_sym_vector,
    ACTIONS(2897), 1,
      anon_sym_function,
    STATE(1252), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2893), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70088] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2829), 1,
      anon_sym_table,
    ACTIONS(2833), 1,
      anon_sym_vector,
    ACTIONS(2835), 1,
      anon_sym_function,
    STATE(1231), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2831), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70149] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2829), 1,
      anon_sym_table,
    ACTIONS(2833), 1,
      anon_sym_vector,
    ACTIONS(2835), 1,
      anon_sym_function,
    STATE(1232), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2831), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70210] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2891), 1,
      anon_sym_table,
    ACTIONS(2895), 1,
      anon_sym_vector,
    ACTIONS(2897), 1,
      anon_sym_function,
    STATE(1251), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2893), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70271] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(145), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70332] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2837), 1,
      anon_sym_table,
    ACTIONS(2841), 1,
      anon_sym_vector,
    ACTIONS(2843), 1,
      anon_sym_function,
    STATE(1231), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2839), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70393] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    ACTIONS(2845), 1,
      anon_sym_table,
    ACTIONS(2849), 1,
      anon_sym_vector,
    ACTIONS(2851), 1,
      anon_sym_function,
    STATE(21), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2847), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70454] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2891), 1,
      anon_sym_table,
    ACTIONS(2895), 1,
      anon_sym_vector,
    ACTIONS(2897), 1,
      anon_sym_function,
    STATE(1228), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2893), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70515] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2891), 1,
      anon_sym_table,
    ACTIONS(2895), 1,
      anon_sym_vector,
    ACTIONS(2897), 1,
      anon_sym_function,
    STATE(1231), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2893), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70576] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2891), 1,
      anon_sym_table,
    ACTIONS(2895), 1,
      anon_sym_vector,
    ACTIONS(2897), 1,
      anon_sym_function,
    STATE(1232), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2893), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70637] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(39), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70698] = 7,
    ACTIONS(2254), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1677), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1684), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(2899), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [70745] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    ACTIONS(2845), 1,
      anon_sym_table,
    ACTIONS(2849), 1,
      anon_sym_vector,
    ACTIONS(2851), 1,
      anon_sym_function,
    STATE(22), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2847), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70806] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(43), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70867] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(42), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70928] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2837), 1,
      anon_sym_table,
    ACTIONS(2841), 1,
      anon_sym_vector,
    ACTIONS(2843), 1,
      anon_sym_function,
    STATE(1249), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2839), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [70989] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(151), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71050] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    ACTIONS(2853), 1,
      anon_sym_table,
    ACTIONS(2857), 1,
      anon_sym_vector,
    ACTIONS(2859), 1,
      anon_sym_function,
    STATE(22), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2855), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71111] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    ACTIONS(2845), 1,
      anon_sym_table,
    ACTIONS(2849), 1,
      anon_sym_vector,
    ACTIONS(2851), 1,
      anon_sym_function,
    STATE(1690), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2847), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71172] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    ACTIONS(2837), 1,
      anon_sym_table,
    ACTIONS(2841), 1,
      anon_sym_vector,
    ACTIONS(2843), 1,
      anon_sym_function,
    STATE(1232), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2839), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71233] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    ACTIONS(2853), 1,
      anon_sym_table,
    ACTIONS(2857), 1,
      anon_sym_vector,
    ACTIONS(2859), 1,
      anon_sym_function,
    STATE(21), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2855), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71294] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    ACTIONS(2853), 1,
      anon_sym_table,
    ACTIONS(2857), 1,
      anon_sym_vector,
    ACTIONS(2859), 1,
      anon_sym_function,
    STATE(42), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2855), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71355] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(21), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71416] = 7,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1632), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1692), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [71463] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(149), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71524] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1232), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71585] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(150), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71646] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    ACTIONS(2845), 1,
      anon_sym_table,
    ACTIONS(2849), 1,
      anon_sym_vector,
    ACTIONS(2851), 1,
      anon_sym_function,
    STATE(39), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2847), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71707] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(22), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71768] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(153), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71829] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    ACTIONS(2845), 1,
      anon_sym_table,
    ACTIONS(2849), 1,
      anon_sym_vector,
    ACTIONS(2851), 1,
      anon_sym_function,
    STATE(43), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2847), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71890] = 14,
    ACTIONS(2750), 1,
      anon_sym_enum,
    ACTIONS(2752), 1,
      anon_sym_record,
    ACTIONS(2758), 1,
      anon_sym_table,
    ACTIONS(2760), 1,
      anon_sym_set,
    ACTIONS(2762), 1,
      anon_sym_union,
    ACTIONS(2766), 1,
      anon_sym_vector,
    ACTIONS(2768), 1,
      anon_sym_function,
    ACTIONS(2770), 1,
      anon_sym_opaque,
    STATE(1231), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2754), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2764), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2756), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [71951] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(156), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72012] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    ACTIONS(2845), 1,
      anon_sym_table,
    ACTIONS(2849), 1,
      anon_sym_vector,
    ACTIONS(2851), 1,
      anon_sym_function,
    STATE(42), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2847), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72073] = 14,
    ACTIONS(2861), 1,
      anon_sym_enum,
    ACTIONS(2863), 1,
      anon_sym_record,
    ACTIONS(2871), 1,
      anon_sym_set,
    ACTIONS(2873), 1,
      anon_sym_union,
    ACTIONS(2881), 1,
      anon_sym_opaque,
    ACTIONS(2883), 1,
      anon_sym_table,
    ACTIONS(2887), 1,
      anon_sym_vector,
    ACTIONS(2889), 1,
      anon_sym_function,
    STATE(316), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2865), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2885), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2867), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72134] = 14,
    ACTIONS(2861), 1,
      anon_sym_enum,
    ACTIONS(2863), 1,
      anon_sym_record,
    ACTIONS(2871), 1,
      anon_sym_set,
    ACTIONS(2873), 1,
      anon_sym_union,
    ACTIONS(2881), 1,
      anon_sym_opaque,
    ACTIONS(2883), 1,
      anon_sym_table,
    ACTIONS(2887), 1,
      anon_sym_vector,
    ACTIONS(2889), 1,
      anon_sym_function,
    STATE(322), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2865), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2885), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2867), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72195] = 14,
    ACTIONS(2861), 1,
      anon_sym_enum,
    ACTIONS(2863), 1,
      anon_sym_record,
    ACTIONS(2871), 1,
      anon_sym_set,
    ACTIONS(2873), 1,
      anon_sym_union,
    ACTIONS(2881), 1,
      anon_sym_opaque,
    ACTIONS(2883), 1,
      anon_sym_table,
    ACTIONS(2887), 1,
      anon_sym_vector,
    ACTIONS(2889), 1,
      anon_sym_function,
    STATE(326), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2865), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2885), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2867), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72256] = 14,
    ACTIONS(2861), 1,
      anon_sym_enum,
    ACTIONS(2863), 1,
      anon_sym_record,
    ACTIONS(2871), 1,
      anon_sym_set,
    ACTIONS(2873), 1,
      anon_sym_union,
    ACTIONS(2881), 1,
      anon_sym_opaque,
    ACTIONS(2883), 1,
      anon_sym_table,
    ACTIONS(2887), 1,
      anon_sym_vector,
    ACTIONS(2889), 1,
      anon_sym_function,
    STATE(292), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2865), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2885), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2867), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72317] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2815), 1,
      anon_sym_table,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2823), 1,
      anon_sym_vector,
    ACTIONS(2825), 1,
      anon_sym_function,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    STATE(126), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2821), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72378] = 14,
    ACTIONS(2861), 1,
      anon_sym_enum,
    ACTIONS(2863), 1,
      anon_sym_record,
    ACTIONS(2871), 1,
      anon_sym_set,
    ACTIONS(2873), 1,
      anon_sym_union,
    ACTIONS(2881), 1,
      anon_sym_opaque,
    ACTIONS(2883), 1,
      anon_sym_table,
    ACTIONS(2887), 1,
      anon_sym_vector,
    ACTIONS(2889), 1,
      anon_sym_function,
    STATE(320), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2865), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2885), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2867), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72439] = 14,
    ACTIONS(2807), 1,
      anon_sym_enum,
    ACTIONS(2809), 1,
      anon_sym_record,
    ACTIONS(2817), 1,
      anon_sym_set,
    ACTIONS(2819), 1,
      anon_sym_union,
    ACTIONS(2827), 1,
      anon_sym_opaque,
    ACTIONS(2853), 1,
      anon_sym_table,
    ACTIONS(2857), 1,
      anon_sym_vector,
    ACTIONS(2859), 1,
      anon_sym_function,
    STATE(39), 1,
      sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2811), 2,
      anon_sym_event,
      anon_sym_hook,
    ACTIONS(2855), 2,
      anon_sym_list,
      anon_sym_file,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2813), 14,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_time,
      anon_sym_timer,
      sym_id,
  [72500] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2530), 1,
      anon_sym_SEMI,
    STATE(2681), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72548] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2902), 1,
      anon_sym_SEMI,
    STATE(2136), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72596] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2904), 1,
      anon_sym_SEMI,
    STATE(2287), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72644] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2906), 1,
      anon_sym_SEMI,
    STATE(2456), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72692] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2620), 1,
      anon_sym_SEMI,
    STATE(2427), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72740] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2908), 1,
      anon_sym_SEMI,
    STATE(2258), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72788] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2910), 1,
      anon_sym_SEMI,
    STATE(2806), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72836] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2912), 1,
      anon_sym_SEMI,
    STATE(2792), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72884] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2914), 1,
      anon_sym_SEMI,
    STATE(2323), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72932] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2916), 1,
      anon_sym_SEMI,
    STATE(2785), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [72980] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2918), 1,
      anon_sym_SEMI,
    STATE(2731), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73028] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2920), 1,
      anon_sym_SEMI,
    STATE(2618), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73076] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2922), 1,
      anon_sym_SEMI,
    STATE(2582), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73124] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2494), 1,
      anon_sym_SEMI,
    STATE(2377), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73172] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2924), 1,
      anon_sym_SEMI,
    STATE(2583), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73220] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2508), 1,
      anon_sym_SEMI,
    STATE(2531), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73268] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2926), 1,
      anon_sym_SEMI,
    STATE(2251), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73316] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2928), 1,
      anon_sym_SEMI,
    STATE(2587), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73364] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2468), 1,
      anon_sym_SEMI,
    STATE(2589), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73412] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2930), 1,
      anon_sym_SEMI,
    STATE(2458), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73460] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2932), 1,
      anon_sym_SEMI,
    STATE(2264), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73508] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2934), 1,
      anon_sym_SEMI,
    STATE(2570), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73556] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2618), 1,
      anon_sym_SEMI,
    STATE(2178), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73604] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2936), 1,
      anon_sym_SEMI,
    STATE(2743), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73652] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2702), 1,
      anon_sym_SEMI,
    STATE(2316), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73700] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2938), 1,
      anon_sym_SEMI,
    STATE(2188), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73748] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2472), 1,
      anon_sym_SEMI,
    STATE(2605), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73796] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2940), 1,
      anon_sym_SEMI,
    STATE(2473), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73844] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2942), 1,
      anon_sym_SEMI,
    STATE(2154), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73892] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2944), 1,
      anon_sym_SEMI,
    STATE(2358), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73940] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2946), 1,
      anon_sym_SEMI,
    STATE(2262), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [73988] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2948), 1,
      anon_sym_SEMI,
    STATE(2754), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74036] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2950), 1,
      anon_sym_SEMI,
    STATE(2590), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74084] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2952), 1,
      anon_sym_SEMI,
    STATE(2569), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74132] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2954), 1,
      anon_sym_SEMI,
    STATE(2420), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74180] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2956), 1,
      anon_sym_SEMI,
    STATE(2436), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74228] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2958), 1,
      anon_sym_SEMI,
    STATE(2293), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74276] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2960), 1,
      anon_sym_SEMI,
    STATE(2180), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74324] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2962), 1,
      anon_sym_SEMI,
    STATE(2365), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74372] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2366), 1,
      anon_sym_SEMI,
    STATE(2736), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74420] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2964), 1,
      anon_sym_SEMI,
    STATE(2163), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74468] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2436), 1,
      anon_sym_SEMI,
    STATE(2487), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74516] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2966), 1,
      anon_sym_SEMI,
    STATE(2710), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74564] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2968), 1,
      anon_sym_SEMI,
    STATE(2649), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74612] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2970), 1,
      anon_sym_SEMI,
    STATE(2735), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74660] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2972), 1,
      anon_sym_SEMI,
    STATE(2166), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74708] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2974), 1,
      anon_sym_SEMI,
    STATE(2730), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74756] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2976), 1,
      anon_sym_SEMI,
    STATE(2310), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74804] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2978), 1,
      anon_sym_SEMI,
    STATE(2319), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74852] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2980), 1,
      anon_sym_SEMI,
    STATE(2337), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74900] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2982), 26,
      anon_sym_enum,
      anon_sym_record,
      anon_sym_event,
      anon_sym_addr,
      anon_sym_any,
      anon_sym_bool,
      anon_sym_count,
      anon_sym_double,
      anon_sym_int,
      anon_sym_interval,
      anon_sym_string,
      anon_sym_subnet,
      anon_sym_pattern,
      anon_sym_port,
      anon_sym_table,
      anon_sym_set,
      anon_sym_time,
      anon_sym_timer,
      anon_sym_union,
      anon_sym_list,
      anon_sym_vector,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_file,
      anon_sym_opaque,
      sym_id,
  [74938] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2984), 1,
      anon_sym_SEMI,
    STATE(2295), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [74986] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2986), 1,
      anon_sym_SEMI,
    STATE(2664), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75034] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2988), 1,
      anon_sym_SEMI,
    STATE(2723), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75082] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2990), 1,
      anon_sym_SEMI,
    STATE(2638), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75130] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2992), 1,
      anon_sym_SEMI,
    STATE(2718), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75178] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2994), 1,
      anon_sym_SEMI,
    STATE(2642), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75226] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2996), 1,
      anon_sym_SEMI,
    STATE(2339), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75274] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2998), 1,
      anon_sym_SEMI,
    STATE(2300), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75322] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3000), 1,
      anon_sym_SEMI,
    STATE(2650), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75370] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3002), 1,
      anon_sym_SEMI,
    STATE(2315), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75418] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3004), 1,
      anon_sym_SEMI,
    STATE(2563), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75466] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3006), 1,
      anon_sym_SEMI,
    STATE(2607), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75514] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2430), 1,
      anon_sym_SEMI,
    STATE(2655), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75562] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3008), 1,
      anon_sym_SEMI,
    STATE(2804), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75610] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3010), 1,
      anon_sym_SEMI,
    STATE(2222), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75658] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3012), 1,
      anon_sym_SEMI,
    STATE(2508), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75706] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3014), 1,
      anon_sym_SEMI,
    STATE(2593), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75754] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3016), 1,
      anon_sym_SEMI,
    STATE(2445), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75802] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3018), 1,
      anon_sym_SEMI,
    STATE(2228), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75850] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3020), 1,
      anon_sym_SEMI,
    STATE(2694), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75898] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(2532), 1,
      anon_sym_SEMI,
    STATE(2184), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75946] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3022), 1,
      anon_sym_SEMI,
    STATE(2505), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [75994] = 8,
    ACTIONS(525), 1,
      anon_sym_AMPdeprecated,
    ACTIONS(3024), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_attr_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1644), 2,
      sym_attr,
      aux_sym_attr_list_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(527), 8,
      anon_sym_AMPbroker_allow_complex_type,
      anon_sym_AMPerror_handler,
      anon_sym_AMPis_assigned,
      anon_sym_AMPis_used,
      anon_sym_AMPlog,
      anon_sym_AMPoptional,
      anon_sym_AMPraw_output,
      anon_sym_AMPredef,
    ACTIONS(529), 13,
      anon_sym_AMPadd_func,
      anon_sym_AMPbackend,
      anon_sym_AMPbroker_store,
      anon_sym_AMPcreate_expire,
      anon_sym_AMPdefault,
      anon_sym_AMPdelete_func,
      anon_sym_AMPexpire_func,
      anon_sym_AMPgroup,
      anon_sym_AMPon_change,
      anon_sym_AMPpriority,
      anon_sym_AMPread_expire,
      anon_sym_AMPtype_column,
      anon_sym_AMPwrite_expire,
  [76042] = 5,
    ACTIONS(3026), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1393), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1391), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76081] = 5,
    ACTIONS(2524), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1453), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1451), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76120] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1549), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1547), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76156] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1505), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1503), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76192] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1545), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1543), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76228] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1553), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1551), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76264] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1529), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1527), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76300] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1577), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1575), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76336] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1517), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1515), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76372] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1513), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1511), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76408] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1601), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1599), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76444] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1493), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1491), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76480] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1501), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1499), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76516] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1557), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1555), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76552] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1569), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1567), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76588] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1489), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1487), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76624] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1605), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1603), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76660] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1485), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1483), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76696] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1473), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1471), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76732] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1497), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1495), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76768] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1573), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1571), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76804] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1477), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1475), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76840] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1481), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1479), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76876] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1581), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1579), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76912] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1585), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1583), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76948] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1525), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1523), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [76984] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1589), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1587), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77020] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1541), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1539), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77056] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1537), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1535), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77092] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1597), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1595), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77128] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1533), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1531), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77164] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1565), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1563), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77200] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1561), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1559), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77236] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1593), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1591), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77272] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1509), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1507), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77308] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1393), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1391), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77344] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1521), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1519), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77380] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1453), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1451), 20,
      anon_sym_module,
      anon_sym_export,
      anon_sym_RBRACE,
      anon_sym_global,
      anon_sym_option,
      anon_sym_const,
      anon_sym_redef,
      anon_sym_type,
      anon_sym_event,
      anon_sym_function,
      anon_sym_hook,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77416] = 14,
    ACTIONS(543), 1,
      aux_sym_constant_token1,
    ACTIONS(555), 1,
      sym_port,
    ACTIONS(557), 1,
      sym_floatp,
    ACTIONS(3030), 1,
      sym_ipv6,
    ACTIONS(3032), 1,
      sym_ipv4,
    ACTIONS(3034), 1,
      aux_sym_string_token1,
    STATE(4), 1,
      sym_string_directive,
    STATE(291), 1,
      sym_integer,
    STATE(1859), 1,
      sym_constant,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3028), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    STATE(313), 2,
      sym_interval,
      sym_string,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(545), 4,
      anon_sym_T,
      anon_sym_F,
      sym_hex,
      sym_hostname,
  [77467] = 13,
    ACTIONS(81), 1,
      anon_sym_ATload,
    ACTIONS(85), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(87), 1,
      anon_sym_ATprefixes,
    ACTIONS(89), 1,
      anon_sym_ATif,
    ACTIONS(3036), 1,
      anon_sym_LBRACE,
    ACTIONS(3038), 1,
      anon_sym_ATdeprecated,
    STATE(1756), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(83), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(91), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(93), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1779), 2,
      sym_preproc_directive,
      aux_sym_func_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [77514] = 13,
    ACTIONS(81), 1,
      anon_sym_ATload,
    ACTIONS(85), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(87), 1,
      anon_sym_ATprefixes,
    ACTIONS(89), 1,
      anon_sym_ATif,
    ACTIONS(3036), 1,
      anon_sym_LBRACE,
    ACTIONS(3038), 1,
      anon_sym_ATdeprecated,
    STATE(1738), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(83), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(91), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(93), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1775), 2,
      sym_preproc_directive,
      aux_sym_func_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [77561] = 13,
    ACTIONS(81), 1,
      anon_sym_ATload,
    ACTIONS(85), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(87), 1,
      anon_sym_ATprefixes,
    ACTIONS(89), 1,
      anon_sym_ATif,
    ACTIONS(3038), 1,
      anon_sym_ATdeprecated,
    ACTIONS(3040), 1,
      anon_sym_LBRACE,
    STATE(358), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(83), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(91), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(93), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1778), 2,
      sym_preproc_directive,
      aux_sym_func_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [77608] = 13,
    ACTIONS(81), 1,
      anon_sym_ATload,
    ACTIONS(85), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(87), 1,
      anon_sym_ATprefixes,
    ACTIONS(89), 1,
      anon_sym_ATif,
    ACTIONS(3038), 1,
      anon_sym_ATdeprecated,
    ACTIONS(3040), 1,
      anon_sym_LBRACE,
    STATE(365), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(83), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(91), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(93), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1779), 2,
      sym_preproc_directive,
      aux_sym_func_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [77655] = 12,
    ACTIONS(3042), 1,
      anon_sym_LBRACE,
    ACTIONS(3044), 1,
      anon_sym_ATdeprecated,
    ACTIONS(3047), 1,
      anon_sym_ATload,
    ACTIONS(3053), 1,
      anon_sym_ATload_DASHplugin,
    ACTIONS(3056), 1,
      anon_sym_ATprefixes,
    ACTIONS(3059), 1,
      anon_sym_ATif,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3050), 2,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATunload,
    ACTIONS(3062), 2,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
    ACTIONS(3065), 2,
      anon_sym_ATendif,
      anon_sym_ATelse,
    STATE(1779), 2,
      sym_preproc_directive,
      aux_sym_func_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [77699] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3070), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3068), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77725] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3074), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3072), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77751] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2238), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(2234), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77777] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3078), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3076), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77803] = 4,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3082), 2,
      anon_sym_ATload,
      anon_sym_ATif,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3080), 10,
      anon_sym_LBRACE,
      anon_sym_ATdeprecated,
      anon_sym_ATload_DASHsigs,
      anon_sym_ATload_DASHplugin,
      anon_sym_ATunload,
      anon_sym_ATprefixes,
      anon_sym_ATifdef,
      anon_sym_ATifndef,
      anon_sym_ATendif,
      anon_sym_ATelse,
  [77829] = 8,
    ACTIONS(3084), 1,
      anon_sym_LPAREN,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3088), 1,
      sym_id,
    STATE(2026), 1,
      sym_func_params,
    STATE(2027), 1,
      sym_begin_lambda,
    STATE(2029), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [77857] = 7,
    ACTIONS(3090), 1,
      anon_sym_LPAREN,
    ACTIONS(3094), 1,
      aux_sym_string_token1,
    STATE(405), 1,
      sym_string,
    STATE(413), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3092), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [77883] = 8,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3098), 1,
      anon_sym_EQ,
    STATE(1982), 1,
      sym_capture_list,
    STATE(2026), 1,
      sym_func_params,
    STATE(2254), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [77911] = 7,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(3100), 1,
      anon_sym_LPAREN,
    STATE(293), 1,
      sym_string,
    STATE(827), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [77937] = 7,
    ACTIONS(3102), 1,
      anon_sym_LPAREN,
    ACTIONS(3106), 1,
      aux_sym_string_token1,
    STATE(490), 1,
      sym_string_directive,
    STATE(496), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3104), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [77963] = 8,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3108), 1,
      anon_sym_EQ,
    STATE(1982), 1,
      sym_capture_list,
    STATE(2026), 1,
      sym_func_params,
    STATE(2465), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [77991] = 7,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    ACTIONS(3110), 1,
      anon_sym_LPAREN,
    STATE(827), 1,
      sym_string_directive,
    STATE(1736), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78017] = 8,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3112), 1,
      anon_sym_EQ,
    STATE(1982), 1,
      sym_capture_list,
    STATE(2026), 1,
      sym_func_params,
    STATE(2254), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78045] = 7,
    ACTIONS(3114), 1,
      anon_sym_LPAREN,
    ACTIONS(3118), 1,
      aux_sym_string_token1,
    STATE(561), 1,
      sym_string_directive,
    STATE(619), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3116), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78071] = 7,
    ACTIONS(3034), 1,
      aux_sym_string_token1,
    ACTIONS(3120), 1,
      anon_sym_LPAREN,
    STATE(4), 1,
      sym_string_directive,
    STATE(293), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3028), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78097] = 7,
    ACTIONS(3122), 1,
      anon_sym_LPAREN,
    ACTIONS(3126), 1,
      aux_sym_string_token1,
    STATE(556), 1,
      sym_string_directive,
    STATE(604), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3124), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78123] = 7,
    ACTIONS(3128), 1,
      anon_sym_LPAREN,
    ACTIONS(3132), 1,
      aux_sym_string_token1,
    STATE(630), 1,
      sym_string_directive,
    STATE(703), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3130), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78149] = 7,
    ACTIONS(3134), 1,
      anon_sym_LPAREN,
    ACTIONS(3138), 1,
      aux_sym_string_token1,
    STATE(679), 1,
      sym_string,
    STATE(699), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3136), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78175] = 7,
    ACTIONS(3140), 1,
      anon_sym_LPAREN,
    ACTIONS(3144), 1,
      aux_sym_string_token1,
    STATE(434), 1,
      sym_string,
    STATE(487), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3142), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78201] = 7,
    ACTIONS(3146), 1,
      anon_sym_LPAREN,
    ACTIONS(3150), 1,
      aux_sym_string_token1,
    STATE(596), 1,
      sym_string_directive,
    STATE(610), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3148), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78227] = 8,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3152), 1,
      anon_sym_EQ,
    STATE(1982), 1,
      sym_capture_list,
    STATE(2026), 1,
      sym_func_params,
    STATE(2465), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78255] = 7,
    ACTIONS(3154), 1,
      anon_sym_LPAREN,
    ACTIONS(3158), 1,
      aux_sym_string_token1,
    STATE(555), 1,
      sym_string,
    STATE(558), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3156), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78281] = 7,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    ACTIONS(3164), 1,
      aux_sym_string_token1,
    STATE(438), 1,
      sym_string_directive,
    STATE(484), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3162), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78307] = 7,
    ACTIONS(3166), 1,
      anon_sym_LPAREN,
    ACTIONS(3170), 1,
      aux_sym_string_token1,
    STATE(381), 1,
      sym_string,
    STATE(382), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3168), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78333] = 8,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3172), 1,
      anon_sym_EQ,
    STATE(1982), 1,
      sym_capture_list,
    STATE(2026), 1,
      sym_func_params,
    STATE(2465), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78361] = 8,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3174), 1,
      anon_sym_EQ,
    STATE(1982), 1,
      sym_capture_list,
    STATE(2026), 1,
      sym_func_params,
    STATE(2254), 1,
      sym_begin_lambda,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78389] = 7,
    ACTIONS(3176), 1,
      anon_sym_LPAREN,
    ACTIONS(3180), 1,
      aux_sym_string_token1,
    STATE(414), 1,
      sym_string,
    STATE(418), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3178), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78415] = 6,
    ACTIONS(3180), 1,
      aux_sym_string_token1,
    STATE(415), 1,
      sym_string,
    STATE(418), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3178), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78438] = 7,
    ACTIONS(2532), 1,
      anon_sym_RBRACE,
    ACTIONS(3182), 1,
      anon_sym_case,
    ACTIONS(3184), 1,
      anon_sym_default,
    STATE(1865), 1,
      aux_sym_case_list_repeat1,
    STATE(2202), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78463] = 7,
    ACTIONS(3186), 1,
      anon_sym_RPAREN,
    ACTIONS(3188), 1,
      sym_id,
    STATE(1885), 1,
      sym_formal_arg,
    STATE(1910), 1,
      aux_sym_formal_args_repeat1,
    STATE(2599), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78488] = 7,
    ACTIONS(2620), 1,
      anon_sym_RBRACE,
    ACTIONS(3182), 1,
      anon_sym_case,
    ACTIONS(3184), 1,
      anon_sym_default,
    STATE(1865), 1,
      aux_sym_case_list_repeat1,
    STATE(2425), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78513] = 7,
    ACTIONS(3188), 1,
      sym_id,
    ACTIONS(3190), 1,
      anon_sym_RPAREN,
    STATE(1885), 1,
      sym_formal_arg,
    STATE(1910), 1,
      aux_sym_formal_args_repeat1,
    STATE(2126), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78538] = 7,
    ACTIONS(2494), 1,
      anon_sym_RBRACE,
    ACTIONS(3182), 1,
      anon_sym_case,
    ACTIONS(3184), 1,
      anon_sym_default,
    STATE(1865), 1,
      aux_sym_case_list_repeat1,
    STATE(2129), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78563] = 7,
    ACTIONS(2702), 1,
      anon_sym_RBRACE,
    ACTIONS(3182), 1,
      anon_sym_case,
    ACTIONS(3184), 1,
      anon_sym_default,
    STATE(1865), 1,
      aux_sym_case_list_repeat1,
    STATE(2304), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78588] = 6,
    ACTIONS(3158), 1,
      aux_sym_string_token1,
    STATE(552), 1,
      sym_string,
    STATE(558), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3156), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78611] = 7,
    ACTIONS(2618), 1,
      anon_sym_RBRACE,
    ACTIONS(3182), 1,
      anon_sym_case,
    ACTIONS(3184), 1,
      anon_sym_default,
    STATE(1865), 1,
      aux_sym_case_list_repeat1,
    STATE(2121), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78636] = 6,
    ACTIONS(3126), 1,
      aux_sym_string_token1,
    STATE(556), 1,
      sym_string_directive,
    STATE(612), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3124), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78659] = 7,
    ACTIONS(3188), 1,
      sym_id,
    ACTIONS(3192), 1,
      anon_sym_RPAREN,
    STATE(1885), 1,
      sym_formal_arg,
    STATE(1910), 1,
      aux_sym_formal_args_repeat1,
    STATE(2542), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78684] = 7,
    ACTIONS(2472), 1,
      anon_sym_RBRACE,
    ACTIONS(3182), 1,
      anon_sym_case,
    ACTIONS(3184), 1,
      anon_sym_default,
    STATE(1865), 1,
      aux_sym_case_list_repeat1,
    STATE(2597), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78709] = 6,
    ACTIONS(3132), 1,
      aux_sym_string_token1,
    STATE(630), 1,
      sym_string_directive,
    STATE(711), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3130), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78732] = 6,
    ACTIONS(3034), 1,
      aux_sym_string_token1,
    STATE(4), 1,
      sym_string_directive,
    STATE(323), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3028), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78755] = 7,
    ACTIONS(2436), 1,
      anon_sym_RBRACE,
    ACTIONS(3182), 1,
      anon_sym_case,
    ACTIONS(3184), 1,
      anon_sym_default,
    STATE(1865), 1,
      aux_sym_case_list_repeat1,
    STATE(2497), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78780] = 6,
    ACTIONS(3150), 1,
      aux_sym_string_token1,
    STATE(594), 1,
      sym_string,
    STATE(596), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3148), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78803] = 7,
    ACTIONS(3188), 1,
      sym_id,
    ACTIONS(3194), 1,
      anon_sym_RPAREN,
    STATE(1885), 1,
      sym_formal_arg,
    STATE(1910), 1,
      aux_sym_formal_args_repeat1,
    STATE(2238), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78828] = 7,
    ACTIONS(2530), 1,
      anon_sym_RBRACE,
    ACTIONS(3182), 1,
      anon_sym_case,
    ACTIONS(3184), 1,
      anon_sym_default,
    STATE(1865), 1,
      aux_sym_case_list_repeat1,
    STATE(2357), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78853] = 7,
    ACTIONS(3188), 1,
      sym_id,
    ACTIONS(3196), 1,
      anon_sym_RPAREN,
    STATE(1885), 1,
      sym_formal_arg,
    STATE(1910), 1,
      aux_sym_formal_args_repeat1,
    STATE(2183), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78878] = 6,
    ACTIONS(3170), 1,
      aux_sym_string_token1,
    STATE(380), 1,
      sym_string,
    STATE(382), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3168), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78901] = 7,
    ACTIONS(3188), 1,
      sym_id,
    ACTIONS(3198), 1,
      anon_sym_RPAREN,
    STATE(1885), 1,
      sym_formal_arg,
    STATE(1910), 1,
      aux_sym_formal_args_repeat1,
    STATE(2285), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78926] = 6,
    ACTIONS(3138), 1,
      aux_sym_string_token1,
    STATE(658), 1,
      sym_string,
    STATE(699), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3136), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78949] = 6,
    ACTIONS(3144), 1,
      aux_sym_string_token1,
    STATE(430), 1,
      sym_string,
    STATE(487), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3142), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78972] = 7,
    ACTIONS(2508), 1,
      anon_sym_RBRACE,
    ACTIONS(3182), 1,
      anon_sym_case,
    ACTIONS(3184), 1,
      anon_sym_default,
    STATE(1865), 1,
      aux_sym_case_list_repeat1,
    STATE(2523), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [78997] = 7,
    ACTIONS(3188), 1,
      sym_id,
    ACTIONS(3200), 1,
      anon_sym_RPAREN,
    STATE(1885), 1,
      sym_formal_arg,
    STATE(1910), 1,
      aux_sym_formal_args_repeat1,
    STATE(2349), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79022] = 4,
    ACTIONS(3202), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(327), 4,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [79041] = 7,
    ACTIONS(2468), 1,
      anon_sym_RBRACE,
    ACTIONS(3182), 1,
      anon_sym_case,
    ACTIONS(3184), 1,
      anon_sym_default,
    STATE(1865), 1,
      aux_sym_case_list_repeat1,
    STATE(2592), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79066] = 7,
    ACTIONS(2366), 1,
      anon_sym_RBRACE,
    ACTIONS(3182), 1,
      anon_sym_case,
    ACTIONS(3184), 1,
      anon_sym_default,
    STATE(1865), 1,
      aux_sym_case_list_repeat1,
    STATE(2739), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79091] = 7,
    ACTIONS(3188), 1,
      sym_id,
    ACTIONS(3204), 1,
      anon_sym_RPAREN,
    STATE(1885), 1,
      sym_formal_arg,
    STATE(1910), 1,
      aux_sym_formal_args_repeat1,
    STATE(2421), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79116] = 4,
    ACTIONS(3206), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1445), 4,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [79135] = 6,
    ACTIONS(3164), 1,
      aux_sym_string_token1,
    STATE(438), 1,
      sym_string_directive,
    STATE(481), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3162), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79158] = 7,
    ACTIONS(3188), 1,
      sym_id,
    ACTIONS(3208), 1,
      anon_sym_RPAREN,
    STATE(1885), 1,
      sym_formal_arg,
    STATE(1910), 1,
      aux_sym_formal_args_repeat1,
    STATE(2363), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79183] = 6,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    STATE(827), 1,
      sym_string_directive,
    STATE(1737), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79206] = 6,
    ACTIONS(3212), 1,
      anon_sym_EQ,
    ACTIONS(3214), 1,
      anon_sym_AMPdeprecated,
    STATE(1979), 1,
      sym_deprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3210), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79229] = 6,
    ACTIONS(107), 1,
      aux_sym_string_token1,
    STATE(323), 1,
      sym_string,
    STATE(827), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(95), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79252] = 4,
    ACTIONS(3216), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1465), 4,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [79271] = 7,
    ACTIONS(3188), 1,
      sym_id,
    ACTIONS(3218), 1,
      anon_sym_RPAREN,
    STATE(1885), 1,
      sym_formal_arg,
    STATE(1910), 1,
      aux_sym_formal_args_repeat1,
    STATE(2212), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79296] = 6,
    ACTIONS(3106), 1,
      aux_sym_string_token1,
    STATE(490), 1,
      sym_string_directive,
    STATE(501), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3104), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79319] = 7,
    ACTIONS(3188), 1,
      sym_id,
    ACTIONS(3220), 1,
      anon_sym_RPAREN,
    STATE(1885), 1,
      sym_formal_arg,
    STATE(1910), 1,
      aux_sym_formal_args_repeat1,
    STATE(2218), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79344] = 6,
    ACTIONS(3118), 1,
      aux_sym_string_token1,
    STATE(561), 1,
      sym_string_directive,
    STATE(620), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3116), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79367] = 6,
    ACTIONS(3034), 1,
      aux_sym_string_token1,
    STATE(4), 1,
      sym_string_directive,
    STATE(324), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3028), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79390] = 7,
    ACTIONS(3084), 1,
      anon_sym_LPAREN,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    STATE(2026), 1,
      sym_func_params,
    STATE(2027), 1,
      sym_begin_lambda,
    STATE(2029), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79415] = 6,
    ACTIONS(3094), 1,
      aux_sym_string_token1,
    STATE(403), 1,
      sym_string,
    STATE(413), 1,
      sym_string_directive,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3092), 2,
      anon_sym_ATDIR,
      anon_sym_ATFILENAME,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79438] = 7,
    ACTIONS(3188), 1,
      sym_id,
    ACTIONS(3222), 1,
      anon_sym_RPAREN,
    STATE(1885), 1,
      sym_formal_arg,
    STATE(1910), 1,
      aux_sym_formal_args_repeat1,
    STATE(2472), 1,
      sym_formal_args,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79463] = 7,
    ACTIONS(2430), 1,
      anon_sym_RBRACE,
    ACTIONS(3182), 1,
      anon_sym_case,
    ACTIONS(3184), 1,
      anon_sym_default,
    STATE(1865), 1,
      aux_sym_case_list_repeat1,
    STATE(2660), 1,
      sym_case_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79488] = 7,
    ACTIONS(3084), 1,
      anon_sym_LPAREN,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    STATE(2010), 1,
      sym_begin_lambda,
    STATE(2026), 1,
      sym_func_params,
    STATE(2029), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79513] = 6,
    ACTIONS(3224), 1,
      sym_id,
    STATE(1864), 1,
      aux_sym_enum_body_repeat1,
    STATE(2063), 1,
      sym_enum_body_elem,
    STATE(2385), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79535] = 5,
    ACTIONS(3226), 1,
      anon_sym_RBRACE,
    ACTIONS(3228), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1876), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79555] = 5,
    ACTIONS(3228), 1,
      sym_id,
    ACTIONS(3230), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1856), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79575] = 5,
    ACTIONS(3228), 1,
      sym_id,
    ACTIONS(3232), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1876), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79595] = 5,
    ACTIONS(3228), 1,
      sym_id,
    ACTIONS(3234), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1867), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79615] = 4,
    ACTIONS(3236), 1,
      anon_sym_SLASH,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(1385), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AMPdeprecated,
  [79633] = 5,
    ACTIONS(3214), 1,
      anon_sym_AMPdeprecated,
    STATE(1948), 1,
      sym_deprecated,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3238), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79653] = 5,
    ACTIONS(3228), 1,
      sym_id,
    ACTIONS(3240), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1876), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79673] = 6,
    ACTIONS(3224), 1,
      sym_id,
    STATE(1864), 1,
      aux_sym_enum_body_repeat1,
    STATE(2063), 1,
      sym_enum_body_elem,
    STATE(2158), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79695] = 6,
    ACTIONS(3224), 1,
      sym_id,
    STATE(1864), 1,
      aux_sym_enum_body_repeat1,
    STATE(2063), 1,
      sym_enum_body_elem,
    STATE(2268), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79717] = 6,
    ACTIONS(301), 1,
      anon_sym_RBRACE,
    ACTIONS(3242), 1,
      anon_sym_case,
    ACTIONS(3245), 1,
      anon_sym_default,
    STATE(1863), 1,
      aux_sym_case_list_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79739] = 6,
    ACTIONS(3224), 1,
      sym_id,
    ACTIONS(3248), 1,
      anon_sym_RBRACE,
    STATE(1870), 1,
      aux_sym_enum_body_repeat1,
    STATE(1969), 1,
      sym_enum_body_elem,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79761] = 6,
    ACTIONS(3182), 1,
      anon_sym_case,
    ACTIONS(3184), 1,
      anon_sym_default,
    ACTIONS(3250), 1,
      anon_sym_RBRACE,
    STATE(1863), 1,
      aux_sym_case_list_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79783] = 5,
    ACTIONS(3194), 1,
      anon_sym_RBRACE,
    ACTIONS(3228), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1854), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79803] = 5,
    ACTIONS(3228), 1,
      sym_id,
    ACTIONS(3252), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1876), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79823] = 6,
    ACTIONS(3254), 1,
      anon_sym_copy,
    ACTIONS(3256), 1,
      sym_id,
    STATE(1873), 1,
      aux_sym_capture_list_repeat1,
    STATE(1942), 1,
      sym_capture,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79845] = 6,
    ACTIONS(3258), 1,
      anon_sym_copy,
    ACTIONS(3261), 1,
      sym_id,
    STATE(1869), 1,
      aux_sym_capture_list_repeat1,
    STATE(2181), 1,
      sym_capture,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79867] = 6,
    ACTIONS(3264), 1,
      anon_sym_RBRACE,
    ACTIONS(3266), 1,
      sym_id,
    STATE(1870), 1,
      aux_sym_enum_body_repeat1,
    STATE(2400), 1,
      sym_enum_body_elem,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79889] = 6,
    ACTIONS(3269), 1,
      anon_sym_enum,
    ACTIONS(3271), 1,
      anon_sym_record,
    ACTIONS(3273), 1,
      anon_sym_event,
    ACTIONS(3275), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79911] = 6,
    ACTIONS(3224), 1,
      sym_id,
    STATE(1864), 1,
      aux_sym_enum_body_repeat1,
    STATE(2063), 1,
      sym_enum_body_elem,
    STATE(2199), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79933] = 6,
    ACTIONS(3254), 1,
      anon_sym_copy,
    ACTIONS(3256), 1,
      sym_id,
    STATE(1869), 1,
      aux_sym_capture_list_repeat1,
    STATE(2021), 1,
      sym_capture,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79955] = 6,
    ACTIONS(3273), 1,
      anon_sym_event,
    ACTIONS(3277), 1,
      anon_sym_enum,
    ACTIONS(3279), 1,
      anon_sym_record,
    ACTIONS(3281), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79977] = 6,
    ACTIONS(3224), 1,
      sym_id,
    STATE(1864), 1,
      aux_sym_enum_body_repeat1,
    STATE(2063), 1,
      sym_enum_body_elem,
    STATE(2406), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [79999] = 5,
    ACTIONS(3283), 1,
      anon_sym_RBRACE,
    ACTIONS(3285), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1876), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80019] = 5,
    ACTIONS(3228), 1,
      sym_id,
    ACTIONS(3288), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1876), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80039] = 5,
    ACTIONS(3196), 1,
      anon_sym_RBRACE,
    ACTIONS(3228), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1877), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80059] = 5,
    ACTIONS(3208), 1,
      anon_sym_RBRACE,
    ACTIONS(3228), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    STATE(1860), 2,
      sym_type_spec,
      aux_sym_redef_record_decl_repeat1,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80079] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3290), 1,
      anon_sym_LPAREN,
    STATE(2474), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80098] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3292), 1,
      anon_sym_LPAREN,
    STATE(2261), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80117] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3294), 1,
      anon_sym_LPAREN,
    STATE(2640), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80136] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3296), 1,
      anon_sym_LPAREN,
    STATE(2486), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80155] = 4,
    ACTIONS(3298), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1445), 2,
      anon_sym_COMMA,
      anon_sym_as,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80172] = 4,
    ACTIONS(3302), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3300), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80189] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3304), 1,
      anon_sym_LPAREN,
    STATE(2639), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80208] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3306), 1,
      anon_sym_LPAREN,
    STATE(2628), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80227] = 5,
    ACTIONS(3308), 1,
      anon_sym_COLON,
    ACTIONS(3310), 1,
      anon_sym_COMMA,
    ACTIONS(3312), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80246] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3314), 1,
      anon_sym_LPAREN,
    STATE(2627), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80265] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3316), 1,
      anon_sym_LPAREN,
    STATE(2663), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80284] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LPAREN,
    STATE(2696), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80303] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3320), 1,
      anon_sym_LPAREN,
    STATE(2695), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80322] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3322), 1,
      anon_sym_LPAREN,
    STATE(2652), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80341] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3324), 1,
      anon_sym_LPAREN,
    STATE(2616), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80360] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3326), 1,
      anon_sym_LPAREN,
    STATE(2685), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80379] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(257), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [80394] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3328), 1,
      anon_sym_LPAREN,
    STATE(2615), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80413] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3330), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [80428] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3332), 1,
      anon_sym_LPAREN,
    STATE(2651), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80447] = 4,
    ACTIONS(3334), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(327), 2,
      anon_sym_COMMA,
      anon_sym_as,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80464] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3336), 1,
      anon_sym_LPAREN,
    STATE(2601), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80483] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3338), 1,
      anon_sym_LPAREN,
    STATE(2684), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80502] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3340), 1,
      anon_sym_LPAREN,
    STATE(2662), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80521] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3342), 1,
      anon_sym_LPAREN,
    STATE(2809), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80540] = 4,
    ACTIONS(3344), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(1465), 2,
      anon_sym_COMMA,
      anon_sym_as,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80557] = 5,
    ACTIONS(3310), 1,
      anon_sym_COMMA,
    ACTIONS(3346), 1,
      anon_sym_COLON,
    ACTIONS(3348), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80576] = 4,
    ACTIONS(3352), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3350), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80593] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
    ACTIONS(3354), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [80608] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3356), 1,
      anon_sym_LPAREN,
    STATE(2674), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80627] = 5,
    ACTIONS(3188), 1,
      sym_id,
    STATE(1912), 1,
      aux_sym_formal_args_repeat1,
    STATE(1914), 1,
      sym_formal_arg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80646] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3358), 1,
      anon_sym_LPAREN,
    STATE(2673), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80665] = 5,
    ACTIONS(3360), 1,
      sym_id,
    STATE(1912), 1,
      aux_sym_formal_args_repeat1,
    STATE(2065), 1,
      sym_formal_arg,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80684] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3363), 1,
      anon_sym_LPAREN,
    STATE(2475), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80703] = 4,
    ACTIONS(3365), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3300), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80720] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(2600), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80739] = 5,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3369), 1,
      anon_sym_LPAREN,
    STATE(2808), 1,
      sym_capture_list,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80758] = 4,
    ACTIONS(3371), 1,
      anon_sym_COMMA,
    ACTIONS(3373), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80774] = 4,
    ACTIONS(3375), 1,
      anon_sym_COMMA,
    ACTIONS(3377), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80790] = 4,
    ACTIONS(3379), 1,
      anon_sym_COMMA,
    ACTIONS(3381), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80806] = 4,
    ACTIONS(2500), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80822] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3385), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80838] = 4,
    ACTIONS(3387), 1,
      anon_sym_COMMA,
    ACTIONS(3389), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80854] = 4,
    ACTIONS(3391), 1,
      anon_sym_COMMA,
    ACTIONS(3393), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80870] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3395), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80886] = 4,
    ACTIONS(3397), 1,
      anon_sym_COMMA,
    ACTIONS(3399), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80902] = 4,
    ACTIONS(3401), 1,
      anon_sym_COMMA,
    ACTIONS(3403), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80918] = 4,
    ACTIONS(3405), 1,
      anon_sym_COMMA,
    ACTIONS(3407), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80934] = 4,
    ACTIONS(3409), 1,
      anon_sym_COMMA,
    ACTIONS(3411), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80950] = 4,
    ACTIONS(3413), 1,
      anon_sym_COMMA,
    ACTIONS(3415), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80966] = 4,
    ACTIONS(3417), 1,
      anon_sym_COMMA,
    ACTIONS(3419), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80982] = 4,
    ACTIONS(3421), 1,
      anon_sym_COMMA,
    ACTIONS(3423), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [80998] = 4,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3427), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81014] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3429), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81028] = 4,
    ACTIONS(3431), 1,
      anon_sym_LPAREN,
    STATE(312), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81044] = 4,
    ACTIONS(3310), 1,
      anon_sym_COMMA,
    ACTIONS(3433), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81060] = 4,
    ACTIONS(3435), 1,
      anon_sym_COMMA,
    ACTIONS(3437), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81076] = 4,
    ACTIONS(3439), 1,
      anon_sym_COMMA,
    ACTIONS(3441), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81092] = 4,
    ACTIONS(3443), 1,
      anon_sym_COMMA,
    ACTIONS(3445), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81108] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3447), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81122] = 4,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3451), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81138] = 4,
    ACTIONS(3453), 1,
      sym_id,
    STATE(2571), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81154] = 4,
    ACTIONS(3455), 1,
      anon_sym_COMMA,
    ACTIONS(3457), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81170] = 4,
    ACTIONS(3459), 1,
      anon_sym_COMMA,
    ACTIONS(3461), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81186] = 4,
    ACTIONS(3463), 1,
      anon_sym_COMMA,
    ACTIONS(3465), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81202] = 4,
    ACTIONS(3467), 1,
      anon_sym_LPAREN,
    STATE(1253), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81218] = 4,
    ACTIONS(3240), 1,
      anon_sym_RBRACK,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81234] = 4,
    ACTIONS(3469), 1,
      anon_sym_COMMA,
    ACTIONS(3471), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81250] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3473), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81264] = 4,
    ACTIONS(3475), 1,
      anon_sym_COMMA,
    ACTIONS(3477), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81280] = 4,
    ACTIONS(3479), 1,
      anon_sym_COMMA,
    ACTIONS(3481), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81296] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3483), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81312] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3483), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81328] = 4,
    ACTIONS(3240), 1,
      anon_sym_RBRACE,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81344] = 4,
    ACTIONS(3485), 1,
      anon_sym_COMMA,
    ACTIONS(3487), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81360] = 4,
    ACTIONS(3489), 1,
      anon_sym_COMMA,
    ACTIONS(3491), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81376] = 4,
    ACTIONS(3493), 1,
      anon_sym_COMMA,
    ACTIONS(3495), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81392] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3497), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81408] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3499), 2,
      anon_sym_RBRACE,
      sym_id,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81422] = 4,
    ACTIONS(3453), 1,
      sym_id,
    STATE(2588), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81438] = 4,
    ACTIONS(3501), 1,
      anon_sym_COMMA,
    ACTIONS(3503), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81454] = 4,
    ACTIONS(3505), 1,
      anon_sym_LBRACK,
    ACTIONS(3507), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81470] = 4,
    ACTIONS(3427), 1,
      anon_sym_COMMA,
    ACTIONS(3509), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81486] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3511), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81502] = 4,
    ACTIONS(2500), 1,
      anon_sym_LPAREN,
    STATE(1216), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81518] = 4,
    ACTIONS(1465), 1,
      anon_sym_EQ,
    ACTIONS(3513), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81534] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3515), 2,
      anon_sym_RBRACE,
      sym_id,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81548] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3517), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81564] = 4,
    ACTIONS(3519), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81580] = 4,
    ACTIONS(3521), 1,
      anon_sym_RBRACE,
    ACTIONS(3523), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81596] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3527), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81612] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3529), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81628] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3264), 2,
      anon_sym_RBRACE,
      sym_id,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81642] = 4,
    ACTIONS(3453), 1,
      sym_id,
    STATE(2170), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81658] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3533), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81674] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3535), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81690] = 4,
    ACTIONS(3537), 1,
      anon_sym_COMMA,
    ACTIONS(3539), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81706] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3541), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81720] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3543), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81734] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3545), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81748] = 4,
    ACTIONS(3453), 1,
      sym_id,
    STATE(2230), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81764] = 4,
    ACTIONS(3547), 1,
      anon_sym_LBRACK,
    ACTIONS(3549), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81780] = 4,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    STATE(2043), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81796] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3551), 2,
      anon_sym_copy,
      sym_id,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81810] = 4,
    ACTIONS(3553), 1,
      anon_sym_COMMA,
    ACTIONS(3555), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81826] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3557), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81842] = 4,
    ACTIONS(3559), 1,
      anon_sym_LPAREN,
    STATE(1218), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81858] = 4,
    ACTIONS(3453), 1,
      sym_id,
    STATE(2512), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81874] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3561), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81888] = 4,
    ACTIONS(3563), 1,
      anon_sym_COMMA,
    ACTIONS(3565), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81904] = 4,
    ACTIONS(3567), 1,
      anon_sym_COMMA,
    ACTIONS(3569), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81920] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3571), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81936] = 4,
    ACTIONS(3573), 1,
      anon_sym_COMMA,
    ACTIONS(3575), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81952] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3577), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81968] = 4,
    ACTIONS(3579), 1,
      sym_id,
    STATE(2053), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [81984] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3581), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82000] = 4,
    ACTIONS(3583), 1,
      anon_sym_COMMA,
    ACTIONS(3585), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82016] = 4,
    ACTIONS(3453), 1,
      sym_id,
    STATE(2246), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82032] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3587), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82046] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3589), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82062] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3591), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82078] = 4,
    ACTIONS(1445), 1,
      anon_sym_EQ,
    ACTIONS(3593), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82094] = 4,
    ACTIONS(3288), 1,
      anon_sym_RBRACE,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82110] = 4,
    ACTIONS(3595), 1,
      anon_sym_LPAREN,
    STATE(1253), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82126] = 4,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82142] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3597), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82156] = 4,
    ACTIONS(3599), 1,
      anon_sym_COMMA,
    ACTIONS(3601), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82172] = 4,
    ACTIONS(3453), 1,
      sym_id,
    STATE(2137), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82188] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3603), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82202] = 4,
    ACTIONS(3605), 1,
      anon_sym_LBRACE,
    STATE(327), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82218] = 4,
    ACTIONS(3605), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82234] = 4,
    ACTIONS(2500), 1,
      anon_sym_LPAREN,
    STATE(1218), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82250] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3607), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82266] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3609), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82282] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3611), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82298] = 4,
    ACTIONS(2500), 1,
      anon_sym_LPAREN,
    STATE(1215), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82314] = 4,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82330] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3617), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82346] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3619), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82362] = 4,
    ACTIONS(3621), 1,
      anon_sym_LBRACK,
    ACTIONS(3623), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82378] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3625), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82394] = 4,
    ACTIONS(3455), 1,
      anon_sym_COMMA,
    ACTIONS(3627), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82410] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3629), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82426] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3631), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82442] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3633), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82458] = 4,
    ACTIONS(2500), 1,
      anon_sym_LPAREN,
    STATE(1217), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82474] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3635), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82488] = 4,
    ACTIONS(3036), 1,
      anon_sym_LBRACE,
    STATE(1250), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82504] = 4,
    ACTIONS(3637), 1,
      anon_sym_LBRACK,
    ACTIONS(3639), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82520] = 4,
    ACTIONS(3084), 1,
      anon_sym_LPAREN,
    STATE(2043), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82536] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3641), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82552] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3643), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82568] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3645), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82582] = 4,
    ACTIONS(3226), 1,
      anon_sym_RBRACE,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82598] = 4,
    ACTIONS(3453), 1,
      sym_id,
    STATE(2266), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82614] = 4,
    ACTIONS(3647), 1,
      anon_sym_LBRACK,
    ACTIONS(3649), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82630] = 4,
    ACTIONS(3226), 1,
      anon_sym_RBRACK,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82646] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3651), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82662] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3653), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82678] = 4,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3657), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82694] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3659), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82710] = 4,
    ACTIONS(3661), 1,
      anon_sym_COMMA,
    ACTIONS(3663), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82726] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3665), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82742] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3667), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82756] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3669), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82772] = 4,
    ACTIONS(3671), 1,
      anon_sym_LBRACK,
    ACTIONS(3673), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82788] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3675), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82804] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3677), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82820] = 4,
    ACTIONS(3679), 1,
      anon_sym_LBRACK,
    ACTIONS(3681), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82836] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3571), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82852] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3683), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82868] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3685), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82884] = 4,
    ACTIONS(3687), 1,
      anon_sym_LBRACK,
    ACTIONS(3689), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82900] = 4,
    ACTIONS(3691), 1,
      sym_id,
    STATE(2118), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82916] = 4,
    ACTIONS(3693), 1,
      anon_sym_COMMA,
    ACTIONS(3695), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82932] = 4,
    ACTIONS(3697), 1,
      anon_sym_LPAREN,
    STATE(312), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82948] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3699), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82964] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3701), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82978] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3703), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [82994] = 4,
    ACTIONS(3453), 1,
      sym_id,
    STATE(2392), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83010] = 4,
    ACTIONS(3705), 1,
      anon_sym_LBRACK,
    ACTIONS(3707), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83026] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3709), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83042] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3711), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83058] = 4,
    ACTIONS(3248), 1,
      anon_sym_RBRACE,
    ACTIONS(3523), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83074] = 4,
    ACTIONS(3713), 1,
      anon_sym_LBRACK,
    ACTIONS(3715), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83090] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3300), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83104] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3717), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83120] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3719), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83136] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3721), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83150] = 4,
    ACTIONS(3723), 1,
      anon_sym_LBRACK,
    ACTIONS(3725), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83166] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3727), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83182] = 4,
    ACTIONS(3288), 1,
      anon_sym_RBRACK,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83198] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3729), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83212] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3731), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83228] = 4,
    ACTIONS(3733), 1,
      sym_id,
    STATE(2075), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83244] = 4,
    ACTIONS(3735), 1,
      sym_id,
    STATE(2118), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83260] = 4,
    ACTIONS(327), 1,
      anon_sym_EQ,
    ACTIONS(3737), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83276] = 4,
    ACTIONS(3036), 1,
      anon_sym_LBRACE,
    STATE(1243), 1,
      sym_func_body,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83292] = 4,
    ACTIONS(3739), 1,
      sym_id,
    STATE(2512), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83308] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3741), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83322] = 4,
    ACTIONS(3743), 1,
      anon_sym_type,
    STATE(2080), 1,
      aux_sym_case_type_list_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83338] = 4,
    ACTIONS(3453), 1,
      sym_id,
    STATE(2510), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83354] = 4,
    ACTIONS(3746), 1,
      sym_id,
    STATE(2084), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83370] = 4,
    ACTIONS(3453), 1,
      sym_id,
    STATE(2606), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83386] = 4,
    ACTIONS(3748), 1,
      sym_id,
    STATE(2118), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83402] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3750), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83416] = 4,
    ACTIONS(3752), 1,
      sym_id,
    STATE(2087), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83432] = 4,
    ACTIONS(3754), 1,
      sym_id,
    STATE(2118), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83448] = 4,
    ACTIONS(3756), 1,
      sym_id,
    STATE(2090), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83464] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3758), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83478] = 4,
    ACTIONS(3760), 1,
      sym_id,
    STATE(2118), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83494] = 4,
    ACTIONS(3762), 1,
      sym_id,
    STATE(2095), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83510] = 4,
    ACTIONS(3084), 1,
      anon_sym_LPAREN,
    STATE(1253), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83526] = 4,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(3764), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83542] = 4,
    ACTIONS(3453), 1,
      sym_id,
    STATE(2763), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83558] = 4,
    ACTIONS(3766), 1,
      sym_id,
    STATE(2118), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83574] = 4,
    ACTIONS(3768), 1,
      anon_sym_LPAREN,
    STATE(1253), 1,
      sym_func_params,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83590] = 4,
    ACTIONS(3770), 1,
      sym_id,
    STATE(2098), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83606] = 4,
    ACTIONS(3772), 1,
      sym_id,
    STATE(2118), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83622] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3774), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83636] = 4,
    ACTIONS(3776), 1,
      anon_sym_type,
    STATE(2080), 1,
      aux_sym_case_type_list_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83652] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3778), 2,
      anon_sym_PLUS_EQ,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83666] = 4,
    ACTIONS(3453), 1,
      sym_id,
    STATE(2598), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83682] = 4,
    ACTIONS(3453), 1,
      sym_id,
    STATE(2745), 1,
      sym_event_hdr,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83698] = 4,
    ACTIONS(3780), 1,
      sym_id,
    STATE(2105), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83714] = 4,
    ACTIONS(3782), 1,
      sym_id,
    STATE(2118), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83730] = 4,
    ACTIONS(3784), 1,
      sym_id,
    STATE(2108), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83746] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3786), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83760] = 4,
    ACTIONS(3788), 1,
      sym_id,
    STATE(2118), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83776] = 4,
    ACTIONS(3790), 1,
      sym_id,
    STATE(2110), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83792] = 4,
    ACTIONS(3792), 1,
      sym_id,
    STATE(2118), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83808] = 4,
    ACTIONS(3794), 1,
      sym_id,
    STATE(2112), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83824] = 4,
    ACTIONS(3796), 1,
      sym_id,
    STATE(2118), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83840] = 4,
    ACTIONS(3798), 1,
      sym_id,
    STATE(2115), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83856] = 3,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(2252), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83870] = 4,
    ACTIONS(3800), 1,
      sym_id,
    STATE(2118), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83886] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3802), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83902] = 4,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3802), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83918] = 4,
    ACTIONS(3804), 1,
      sym_id,
    STATE(2118), 1,
      aux_sym_stmt_repeat1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83934] = 3,
    ACTIONS(3807), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83947] = 3,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83960] = 3,
    ACTIONS(803), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83973] = 3,
    ACTIONS(3811), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83986] = 3,
    ACTIONS(2938), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [83999] = 3,
    ACTIONS(3737), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84012] = 3,
    ACTIONS(1788), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84025] = 3,
    ACTIONS(3813), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84038] = 3,
    ACTIONS(2618), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84051] = 3,
    ACTIONS(3194), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84064] = 3,
    ACTIONS(821), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84077] = 3,
    ACTIONS(3815), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84090] = 3,
    ACTIONS(3817), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84103] = 3,
    ACTIONS(3819), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84116] = 3,
    ACTIONS(3821), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84129] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3823), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [84142] = 3,
    ACTIONS(2926), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84155] = 3,
    ACTIONS(899), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84168] = 3,
    ACTIONS(637), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84181] = 3,
    ACTIONS(637), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84194] = 3,
    ACTIONS(2908), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84207] = 3,
    ACTIONS(3825), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84220] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3827), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [84233] = 3,
    ACTIONS(3829), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84246] = 3,
    ACTIONS(3831), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84259] = 3,
    ACTIONS(2946), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84272] = 3,
    ACTIONS(3833), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84285] = 3,
    ACTIONS(2932), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84298] = 3,
    ACTIONS(3835), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84311] = 3,
    ACTIONS(2062), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84324] = 3,
    ACTIONS(3837), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84337] = 3,
    ACTIONS(3839), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84350] = 3,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84363] = 3,
    ACTIONS(2904), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84376] = 3,
    ACTIONS(621), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84389] = 3,
    ACTIONS(3843), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84402] = 3,
    ACTIONS(3845), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84415] = 3,
    ACTIONS(3847), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84428] = 3,
    ACTIONS(617), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84441] = 3,
    ACTIONS(3288), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84454] = 3,
    ACTIONS(3849), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84467] = 3,
    ACTIONS(3851), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84480] = 3,
    ACTIONS(2272), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84493] = 3,
    ACTIONS(3853), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84506] = 3,
    ACTIONS(3855), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84519] = 3,
    ACTIONS(3857), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84532] = 3,
    ACTIONS(3859), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84545] = 3,
    ACTIONS(3861), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84558] = 3,
    ACTIONS(3863), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84571] = 3,
    ACTIONS(3865), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84584] = 3,
    ACTIONS(3867), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84597] = 3,
    ACTIONS(3869), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84610] = 3,
    ACTIONS(3871), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84623] = 3,
    ACTIONS(3873), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84636] = 3,
    ACTIONS(3875), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84649] = 3,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84662] = 3,
    ACTIONS(2972), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84675] = 3,
    ACTIONS(3877), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84688] = 3,
    ACTIONS(3879), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84701] = 3,
    ACTIONS(803), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84714] = 3,
    ACTIONS(2976), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84727] = 3,
    ACTIONS(895), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84740] = 3,
    ACTIONS(3455), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84753] = 3,
    ACTIONS(3881), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84766] = 3,
    ACTIONS(3288), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84779] = 3,
    ACTIONS(897), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84792] = 3,
    ACTIONS(3008), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84805] = 3,
    ACTIONS(2044), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84818] = 3,
    ACTIONS(3883), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84831] = 3,
    ACTIONS(765), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84844] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3885), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [84857] = 3,
    ACTIONS(3887), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84870] = 3,
    ACTIONS(3889), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84883] = 3,
    ACTIONS(3010), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84896] = 3,
    ACTIONS(3891), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84909] = 3,
    ACTIONS(3893), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84922] = 3,
    ACTIONS(3895), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84935] = 3,
    ACTIONS(3897), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84948] = 3,
    ACTIONS(3899), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84961] = 3,
    ACTIONS(3901), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84974] = 3,
    ACTIONS(3226), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [84987] = 3,
    ACTIONS(3903), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85000] = 3,
    ACTIONS(3905), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85013] = 3,
    ACTIONS(897), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85026] = 3,
    ACTIONS(3018), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85039] = 3,
    ACTIONS(2966), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85052] = 3,
    ACTIONS(2960), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85065] = 3,
    ACTIONS(3907), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85078] = 3,
    ACTIONS(3909), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85091] = 3,
    ACTIONS(3911), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85104] = 3,
    ACTIONS(3913), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85117] = 3,
    ACTIONS(3915), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85130] = 3,
    ACTIONS(755), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85143] = 3,
    ACTIONS(3917), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85156] = 3,
    ACTIONS(1403), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85169] = 3,
    ACTIONS(2524), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85182] = 3,
    ACTIONS(3919), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85195] = 3,
    ACTIONS(3921), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85208] = 3,
    ACTIONS(3923), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85221] = 3,
    ACTIONS(3925), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85234] = 3,
    ACTIONS(2324), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85247] = 3,
    ACTIONS(2532), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85260] = 3,
    ACTIONS(1996), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85273] = 3,
    ACTIONS(3927), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85286] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3929), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [85299] = 3,
    ACTIONS(3931), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85312] = 3,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85325] = 3,
    ACTIONS(2978), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85338] = 3,
    ACTIONS(3481), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85351] = 3,
    ACTIONS(3935), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85364] = 3,
    ACTIONS(3937), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85377] = 3,
    ACTIONS(603), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85390] = 3,
    ACTIONS(1455), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85403] = 3,
    ACTIONS(655), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85416] = 3,
    ACTIONS(3663), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85429] = 3,
    ACTIONS(657), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85442] = 3,
    ACTIONS(603), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85455] = 3,
    ACTIONS(3939), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85468] = 3,
    ACTIONS(2964), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85481] = 3,
    ACTIONS(3226), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85494] = 3,
    ACTIONS(3941), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85507] = 3,
    ACTIONS(3943), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85520] = 3,
    ACTIONS(3945), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85533] = 3,
    ACTIONS(3947), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85546] = 3,
    ACTIONS(3949), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85559] = 3,
    ACTIONS(3951), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85572] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3953), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [85585] = 3,
    ACTIONS(755), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85598] = 3,
    ACTIONS(3955), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85611] = 3,
    ACTIONS(2066), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85624] = 3,
    ACTIONS(2020), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85637] = 3,
    ACTIONS(3957), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85650] = 3,
    ACTIONS(893), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85663] = 3,
    ACTIONS(3959), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85676] = 3,
    ACTIONS(3961), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85689] = 3,
    ACTIONS(3963), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85702] = 3,
    ACTIONS(2984), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85715] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3965), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [85728] = 3,
    ACTIONS(1996), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85741] = 3,
    ACTIONS(3967), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85754] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3969), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [85767] = 3,
    ACTIONS(3971), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85780] = 3,
    ACTIONS(3363), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85793] = 3,
    ACTIONS(3973), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85806] = 3,
    ACTIONS(661), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85819] = 3,
    ACTIONS(3975), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85832] = 3,
    ACTIONS(3977), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85845] = 3,
    ACTIONS(661), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85858] = 3,
    ACTIONS(601), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85871] = 3,
    ACTIONS(3979), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85884] = 3,
    ACTIONS(3981), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85897] = 3,
    ACTIONS(597), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85910] = 3,
    ACTIONS(3983), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85923] = 3,
    ACTIONS(3985), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85936] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(3987), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [85949] = 3,
    ACTIONS(3989), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85962] = 3,
    ACTIONS(3991), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85975] = 3,
    ACTIONS(3993), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [85988] = 3,
    ACTIONS(1880), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86001] = 3,
    ACTIONS(3995), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86014] = 3,
    ACTIONS(3997), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86027] = 3,
    ACTIONS(3999), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86040] = 3,
    ACTIONS(4001), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86053] = 3,
    ACTIONS(4003), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86066] = 3,
    ACTIONS(2702), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86079] = 3,
    ACTIONS(4005), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86092] = 3,
    ACTIONS(4007), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86105] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4009), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [86118] = 3,
    ACTIONS(4011), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86131] = 3,
    ACTIONS(4013), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86144] = 3,
    ACTIONS(4015), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86157] = 3,
    ACTIONS(4017), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86170] = 3,
    ACTIONS(4019), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86183] = 3,
    ACTIONS(1754), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86196] = 3,
    ACTIONS(4021), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86209] = 3,
    ACTIONS(4023), 1,
      aux_sym_constant_token1,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86222] = 3,
    ACTIONS(4025), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86235] = 3,
    ACTIONS(4027), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86248] = 3,
    ACTIONS(4029), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86261] = 3,
    ACTIONS(4031), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86274] = 3,
    ACTIONS(4033), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86287] = 3,
    ACTIONS(813), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86300] = 3,
    ACTIONS(4035), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86313] = 3,
    ACTIONS(3575), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86326] = 3,
    ACTIONS(2950), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86339] = 3,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86352] = 3,
    ACTIONS(4037), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86365] = 3,
    ACTIONS(4039), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86378] = 3,
    ACTIONS(4041), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86391] = 3,
    ACTIONS(4043), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86404] = 3,
    ACTIONS(3525), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86417] = 3,
    ACTIONS(4045), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86430] = 3,
    ACTIONS(4047), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86443] = 3,
    ACTIONS(4049), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86456] = 3,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86469] = 3,
    ACTIONS(4053), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86482] = 3,
    ACTIONS(4055), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86495] = 3,
    ACTIONS(817), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86508] = 3,
    ACTIONS(2666), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86521] = 3,
    ACTIONS(4057), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86534] = 3,
    ACTIONS(815), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86547] = 3,
    ACTIONS(4059), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86560] = 3,
    ACTIONS(4061), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86573] = 3,
    ACTIONS(3539), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86586] = 3,
    ACTIONS(4063), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86599] = 3,
    ACTIONS(4065), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86612] = 3,
    ACTIONS(4067), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86625] = 3,
    ACTIONS(4069), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86638] = 3,
    ACTIONS(3024), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86651] = 3,
    ACTIONS(4071), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86664] = 3,
    ACTIONS(2980), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86677] = 3,
    ACTIONS(3022), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86690] = 3,
    ACTIONS(4073), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86703] = 3,
    ACTIONS(4075), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86716] = 3,
    ACTIONS(4077), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86729] = 3,
    ACTIONS(4079), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86742] = 3,
    ACTIONS(2996), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86755] = 3,
    ACTIONS(2328), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86768] = 3,
    ACTIONS(4081), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86781] = 3,
    ACTIONS(4083), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86794] = 3,
    ACTIONS(4085), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86807] = 3,
    ACTIONS(2958), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86820] = 3,
    ACTIONS(3012), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86833] = 3,
    ACTIONS(3495), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86846] = 3,
    ACTIONS(4087), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86859] = 3,
    ACTIONS(4089), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86872] = 3,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86885] = 3,
    ACTIONS(4093), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86898] = 3,
    ACTIONS(4095), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86911] = 3,
    ACTIONS(4097), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86924] = 3,
    ACTIONS(4099), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86937] = 3,
    ACTIONS(675), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86950] = 3,
    ACTIONS(4101), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86963] = 3,
    ACTIONS(4103), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86976] = 3,
    ACTIONS(4105), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [86989] = 3,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87002] = 3,
    ACTIONS(677), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87015] = 3,
    ACTIONS(2954), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87028] = 3,
    ACTIONS(789), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87041] = 3,
    ACTIONS(4109), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87054] = 3,
    ACTIONS(4111), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87067] = 3,
    ACTIONS(4113), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87080] = 3,
    ACTIONS(4115), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87093] = 3,
    ACTIONS(3461), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87106] = 3,
    ACTIONS(3240), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87119] = 3,
    ACTIONS(4117), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87132] = 3,
    ACTIONS(2944), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87145] = 3,
    ACTIONS(4119), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87158] = 3,
    ACTIONS(4121), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87171] = 3,
    ACTIONS(4123), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87184] = 3,
    ACTIONS(4125), 1,
      anon_sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87197] = 3,
    ACTIONS(4127), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87210] = 3,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87223] = 3,
    ACTIONS(4131), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87236] = 3,
    ACTIONS(4133), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87249] = 3,
    ACTIONS(4135), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87262] = 3,
    ACTIONS(2054), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87275] = 3,
    ACTIONS(4137), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87288] = 3,
    ACTIONS(821), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87301] = 3,
    ACTIONS(3423), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87314] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4139), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [87327] = 3,
    ACTIONS(4141), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87340] = 3,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87353] = 3,
    ACTIONS(4145), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87366] = 3,
    ACTIONS(4147), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87379] = 3,
    ACTIONS(4149), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87392] = 3,
    ACTIONS(3240), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87405] = 3,
    ACTIONS(4151), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87418] = 3,
    ACTIONS(4153), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87431] = 3,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87444] = 3,
    ACTIONS(4157), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87457] = 3,
    ACTIONS(4159), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87470] = 3,
    ACTIONS(685), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87483] = 3,
    ACTIONS(685), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87496] = 3,
    ACTIONS(3399), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87509] = 3,
    ACTIONS(2508), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87522] = 3,
    ACTIONS(2914), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87535] = 3,
    ACTIONS(4161), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87548] = 3,
    ACTIONS(4163), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87561] = 3,
    ACTIONS(4165), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87574] = 3,
    ACTIONS(4167), 1,
      anon_sym_const,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87587] = 3,
    ACTIONS(3523), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87600] = 3,
    ACTIONS(4169), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87613] = 3,
    ACTIONS(4171), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87626] = 3,
    ACTIONS(4173), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87639] = 3,
    ACTIONS(4175), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87652] = 3,
    ACTIONS(2494), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87665] = 3,
    ACTIONS(4177), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87678] = 3,
    ACTIONS(4179), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87691] = 3,
    ACTIONS(3377), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87704] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4181), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [87717] = 3,
    ACTIONS(2620), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87730] = 3,
    ACTIONS(4183), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87743] = 3,
    ACTIONS(4185), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87756] = 3,
    ACTIONS(4187), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87769] = 3,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87782] = 3,
    ACTIONS(1768), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87795] = 3,
    ACTIONS(4189), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87808] = 3,
    ACTIONS(4191), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87821] = 3,
    ACTIONS(4193), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87834] = 3,
    ACTIONS(4195), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87847] = 3,
    ACTIONS(4197), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87860] = 3,
    ACTIONS(4199), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87873] = 3,
    ACTIONS(2956), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87886] = 3,
    ACTIONS(3411), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87899] = 3,
    ACTIONS(1665), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87912] = 3,
    ACTIONS(805), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87925] = 3,
    ACTIONS(4201), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87938] = 3,
    ACTIONS(805), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87951] = 3,
    ACTIONS(4203), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87964] = 3,
    ACTIONS(4205), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87977] = 3,
    ACTIONS(3014), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [87990] = 3,
    ACTIONS(4207), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88003] = 3,
    ACTIONS(4209), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88016] = 3,
    ACTIONS(4211), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88029] = 3,
    ACTIONS(4213), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88042] = 3,
    ACTIONS(4215), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88055] = 3,
    ACTIONS(799), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88068] = 3,
    ACTIONS(1796), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88081] = 3,
    ACTIONS(3445), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88094] = 3,
    ACTIONS(2930), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88107] = 3,
    ACTIONS(4217), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88120] = 3,
    ACTIONS(4219), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88133] = 3,
    ACTIONS(4221), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88146] = 3,
    ACTIONS(4223), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88159] = 3,
    ACTIONS(4225), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88172] = 3,
    ACTIONS(905), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88185] = 3,
    ACTIONS(4227), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88198] = 3,
    ACTIONS(4229), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88211] = 3,
    ACTIONS(4231), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88224] = 3,
    ACTIONS(4233), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88237] = 3,
    ACTIONS(3202), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88250] = 3,
    ACTIONS(4235), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88263] = 3,
    ACTIONS(3373), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88276] = 3,
    ACTIONS(4237), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88289] = 3,
    ACTIONS(2940), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88302] = 3,
    ACTIONS(4239), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88315] = 3,
    ACTIONS(4241), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88328] = 3,
    ACTIONS(4243), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88341] = 3,
    ACTIONS(4245), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88354] = 3,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88367] = 3,
    ACTIONS(4249), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88380] = 3,
    ACTIONS(4251), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88393] = 3,
    ACTIONS(4253), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88406] = 3,
    ACTIONS(4255), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88419] = 3,
    ACTIONS(4257), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88432] = 3,
    ACTIONS(4259), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88445] = 3,
    ACTIONS(4261), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88458] = 3,
    ACTIONS(4263), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88471] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4265), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [88484] = 3,
    ACTIONS(4267), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88497] = 3,
    ACTIONS(3208), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88510] = 3,
    ACTIONS(4269), 1,
      anon_sym_type,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88523] = 3,
    ACTIONS(4271), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88536] = 3,
    ACTIONS(4273), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88549] = 3,
    ACTIONS(3296), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88562] = 3,
    ACTIONS(4275), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88575] = 3,
    ACTIONS(499), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88588] = 3,
    ACTIONS(717), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88601] = 3,
    ACTIONS(4277), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88614] = 3,
    ACTIONS(4279), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88627] = 3,
    ACTIONS(2902), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88640] = 3,
    ACTIONS(651), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88653] = 3,
    ACTIONS(4281), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88666] = 3,
    ACTIONS(4283), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88679] = 3,
    ACTIONS(3427), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88692] = 3,
    ACTIONS(4285), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88705] = 3,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88718] = 3,
    ACTIONS(907), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88731] = 3,
    ACTIONS(669), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88744] = 3,
    ACTIONS(4289), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88757] = 3,
    ACTIONS(4291), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88770] = 3,
    ACTIONS(2036), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88783] = 3,
    ACTIONS(4293), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88796] = 3,
    ACTIONS(4295), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88809] = 3,
    ACTIONS(4297), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88822] = 3,
    ACTIONS(4299), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88835] = 3,
    ACTIONS(2006), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88848] = 3,
    ACTIONS(907), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88861] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4301), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [88874] = 3,
    ACTIONS(3020), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88887] = 3,
    ACTIONS(793), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88900] = 3,
    ACTIONS(4303), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88913] = 3,
    ACTIONS(4305), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88926] = 3,
    ACTIONS(3016), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88939] = 3,
    ACTIONS(4307), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88952] = 3,
    ACTIONS(795), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88965] = 3,
    ACTIONS(725), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88978] = 3,
    ACTIONS(4309), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [88991] = 3,
    ACTIONS(801), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89004] = 3,
    ACTIONS(4311), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89017] = 3,
    ACTIONS(725), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89030] = 3,
    ACTIONS(4313), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89043] = 3,
    ACTIONS(701), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89056] = 3,
    ACTIONS(1405), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89069] = 3,
    ACTIONS(4315), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89082] = 3,
    ACTIONS(4317), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89095] = 3,
    ACTIONS(4319), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89108] = 3,
    ACTIONS(4321), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89121] = 3,
    ACTIONS(4323), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89134] = 3,
    ACTIONS(2006), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89147] = 3,
    ACTIONS(4325), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89160] = 3,
    ACTIONS(701), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89173] = 3,
    ACTIONS(1421), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89186] = 3,
    ACTIONS(823), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89199] = 3,
    ACTIONS(4327), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89212] = 3,
    ACTIONS(4329), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89225] = 3,
    ACTIONS(1728), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89238] = 3,
    ACTIONS(4331), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89251] = 3,
    ACTIONS(4333), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89264] = 3,
    ACTIONS(4335), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89277] = 3,
    ACTIONS(4337), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89290] = 3,
    ACTIONS(823), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89303] = 3,
    ACTIONS(2228), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89316] = 3,
    ACTIONS(4339), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89329] = 3,
    ACTIONS(4341), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89342] = 3,
    ACTIONS(4343), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89355] = 3,
    ACTIONS(4345), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89368] = 3,
    ACTIONS(4347), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89381] = 3,
    ACTIONS(4349), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89394] = 3,
    ACTIONS(4351), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89407] = 3,
    ACTIONS(1814), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89420] = 3,
    ACTIONS(4353), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89433] = 3,
    ACTIONS(4355), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89446] = 3,
    ACTIONS(4357), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89459] = 3,
    ACTIONS(4359), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89472] = 3,
    ACTIONS(1607), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89485] = 3,
    ACTIONS(2436), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89498] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4361), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [89511] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4363), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [89524] = 3,
    ACTIONS(4365), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89537] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4367), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [89550] = 3,
    ACTIONS(4369), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89563] = 3,
    ACTIONS(2468), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89576] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4371), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [89589] = 3,
    ACTIONS(4373), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89602] = 3,
    ACTIONS(4375), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89615] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4377), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [89628] = 3,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89641] = 3,
    ACTIONS(4379), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89654] = 3,
    ACTIONS(4381), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89667] = 3,
    ACTIONS(4383), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89680] = 3,
    ACTIONS(4385), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89693] = 3,
    ACTIONS(3334), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89706] = 3,
    ACTIONS(909), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89719] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4387), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [89732] = 3,
    ACTIONS(4389), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89745] = 3,
    ACTIONS(4391), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89758] = 3,
    ACTIONS(4393), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89771] = 3,
    ACTIONS(705), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89784] = 3,
    ACTIONS(977), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89797] = 3,
    ACTIONS(983), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89810] = 3,
    ACTIONS(567), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89823] = 3,
    ACTIONS(567), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89836] = 3,
    ACTIONS(4395), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89849] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4397), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [89862] = 3,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89875] = 3,
    ACTIONS(4399), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89888] = 3,
    ACTIONS(2058), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89901] = 3,
    ACTIONS(4401), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89914] = 3,
    ACTIONS(2948), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89927] = 3,
    ACTIONS(2472), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89940] = 3,
    ACTIONS(1780), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89953] = 3,
    ACTIONS(4403), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89966] = 3,
    ACTIONS(4405), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89979] = 3,
    ACTIONS(2922), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [89992] = 3,
    ACTIONS(2924), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90005] = 3,
    ACTIONS(2920), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90018] = 3,
    ACTIONS(807), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90031] = 3,
    ACTIONS(4407), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90044] = 3,
    ACTIONS(809), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90057] = 3,
    ACTIONS(797), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90070] = 3,
    ACTIONS(2434), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90083] = 3,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90096] = 3,
    ACTIONS(4409), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90109] = 3,
    ACTIONS(2928), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90122] = 3,
    ACTIONS(1651), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90135] = 3,
    ACTIONS(4411), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90148] = 3,
    ACTIONS(787), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90161] = 3,
    ACTIONS(561), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90174] = 3,
    ACTIONS(4413), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90187] = 3,
    ACTIONS(3336), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90200] = 3,
    ACTIONS(4415), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90213] = 3,
    ACTIONS(4417), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90226] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4419), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [90239] = 3,
    ACTIONS(4421), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90252] = 3,
    ACTIONS(787), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90265] = 3,
    ACTIONS(681), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90278] = 3,
    ACTIONS(4423), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90291] = 3,
    ACTIONS(4425), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90304] = 3,
    ACTIONS(4427), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90317] = 3,
    ACTIONS(681), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90330] = 3,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90343] = 3,
    ACTIONS(4431), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90356] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4433), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [90369] = 3,
    ACTIONS(2040), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90382] = 3,
    ACTIONS(3324), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90395] = 3,
    ACTIONS(4435), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90408] = 3,
    ACTIONS(4437), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90421] = 3,
    ACTIONS(981), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90434] = 3,
    ACTIONS(4439), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90447] = 3,
    ACTIONS(4441), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90460] = 3,
    ACTIONS(4443), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90473] = 3,
    ACTIONS(4445), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90486] = 3,
    ACTIONS(4447), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90499] = 3,
    ACTIONS(4449), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90512] = 3,
    ACTIONS(613), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90525] = 3,
    ACTIONS(611), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90538] = 3,
    ACTIONS(3306), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90551] = 3,
    ACTIONS(4451), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90564] = 3,
    ACTIONS(4453), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90577] = 3,
    ACTIONS(3088), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90590] = 3,
    ACTIONS(4455), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90603] = 3,
    ACTIONS(2968), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90616] = 3,
    ACTIONS(4457), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90629] = 3,
    ACTIONS(4459), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90642] = 3,
    ACTIONS(4461), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90655] = 3,
    ACTIONS(4463), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90668] = 3,
    ACTIONS(2986), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90681] = 3,
    ACTIONS(4465), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90694] = 3,
    ACTIONS(3294), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90707] = 3,
    ACTIONS(4467), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90720] = 3,
    ACTIONS(4469), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90733] = 3,
    ACTIONS(4471), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90746] = 3,
    ACTIONS(4473), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90759] = 3,
    ACTIONS(2990), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90772] = 3,
    ACTIONS(4475), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90785] = 3,
    ACTIONS(4477), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90798] = 3,
    ACTIONS(4479), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90811] = 3,
    ACTIONS(2994), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90824] = 3,
    ACTIONS(4481), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90837] = 3,
    ACTIONS(901), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90850] = 3,
    ACTIONS(3322), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90863] = 3,
    ACTIONS(4483), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90876] = 3,
    ACTIONS(3196), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90889] = 3,
    ACTIONS(4485), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90902] = 3,
    ACTIONS(903), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90915] = 3,
    ACTIONS(4487), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90928] = 3,
    ACTIONS(4489), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90941] = 3,
    ACTIONS(4491), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90954] = 3,
    ACTIONS(4493), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90967] = 3,
    ACTIONS(903), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90980] = 3,
    ACTIONS(3000), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [90993] = 3,
    ACTIONS(3316), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91006] = 3,
    ACTIONS(4495), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91019] = 3,
    ACTIONS(4497), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91032] = 3,
    ACTIONS(4499), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91045] = 3,
    ACTIONS(1675), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91058] = 3,
    ACTIONS(4501), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91071] = 3,
    ACTIONS(4503), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91084] = 3,
    ACTIONS(4505), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91097] = 3,
    ACTIONS(2430), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91110] = 3,
    ACTIONS(753), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91123] = 3,
    ACTIONS(2998), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91136] = 3,
    ACTIONS(3356), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91149] = 3,
    ACTIONS(4507), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91162] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4509), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [91175] = 3,
    ACTIONS(4511), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91188] = 3,
    ACTIONS(759), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91201] = 3,
    ACTIONS(4513), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91214] = 3,
    ACTIONS(4515), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91227] = 3,
    ACTIONS(4517), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91240] = 3,
    ACTIONS(789), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91253] = 3,
    ACTIONS(561), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91266] = 3,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91279] = 3,
    ACTIONS(3326), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91292] = 3,
    ACTIONS(4521), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91305] = 3,
    ACTIONS(4523), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91318] = 3,
    ACTIONS(4525), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91331] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4527), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [91344] = 3,
    ACTIONS(4529), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91357] = 3,
    ACTIONS(4531), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91370] = 3,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91383] = 3,
    ACTIONS(4535), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91396] = 3,
    ACTIONS(2032), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91409] = 3,
    ACTIONS(811), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91422] = 3,
    ACTIONS(3318), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91435] = 3,
    ACTIONS(4537), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91448] = 3,
    ACTIONS(4539), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91461] = 3,
    ACTIONS(4541), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91474] = 3,
    ACTIONS(635), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91487] = 3,
    ACTIONS(4543), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91500] = 3,
    ACTIONS(4545), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91513] = 3,
    ACTIONS(2024), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91526] = 3,
    ACTIONS(619), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91539] = 3,
    ACTIONS(4547), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91552] = 3,
    ACTIONS(4549), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91565] = 3,
    ACTIONS(4551), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91578] = 3,
    ACTIONS(4553), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91591] = 3,
    ACTIONS(4555), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91604] = 3,
    ACTIONS(4557), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91617] = 3,
    ACTIONS(4559), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91630] = 3,
    ACTIONS(4561), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91643] = 3,
    ACTIONS(4563), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91656] = 3,
    ACTIONS(4565), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91669] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4567), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [91682] = 3,
    ACTIONS(4569), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91695] = 3,
    ACTIONS(4571), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91708] = 3,
    ACTIONS(4573), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91721] = 3,
    ACTIONS(4575), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91734] = 3,
    ACTIONS(4577), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91747] = 3,
    ACTIONS(4579), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91760] = 3,
    ACTIONS(4581), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91773] = 3,
    ACTIONS(659), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91786] = 3,
    ACTIONS(4583), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91799] = 3,
    ACTIONS(2048), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91812] = 3,
    ACTIONS(4585), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91825] = 3,
    ACTIONS(497), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91838] = 3,
    ACTIONS(4587), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91851] = 3,
    ACTIONS(4589), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91864] = 3,
    ACTIONS(2992), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91877] = 3,
    ACTIONS(4591), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91890] = 3,
    ACTIONS(4593), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91903] = 3,
    ACTIONS(4595), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91916] = 3,
    ACTIONS(2988), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91929] = 3,
    ACTIONS(4597), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91942] = 3,
    ACTIONS(979), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91955] = 3,
    ACTIONS(819), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91968] = 3,
    ACTIONS(4599), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91981] = 3,
    ACTIONS(3004), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [91994] = 3,
    ACTIONS(819), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92007] = 3,
    ACTIONS(741), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92020] = 3,
    ACTIONS(2970), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92033] = 3,
    ACTIONS(4601), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92046] = 3,
    ACTIONS(2974), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92059] = 3,
    ACTIONS(4603), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92072] = 3,
    ACTIONS(741), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92085] = 3,
    ACTIONS(1710), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92098] = 3,
    ACTIONS(4605), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92111] = 3,
    ACTIONS(4607), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92124] = 3,
    ACTIONS(4609), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92137] = 3,
    ACTIONS(4611), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92150] = 3,
    ACTIONS(4613), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92163] = 3,
    ACTIONS(4615), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92176] = 3,
    ACTIONS(4617), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92189] = 3,
    ACTIONS(4619), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92202] = 3,
    ACTIONS(4621), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92215] = 3,
    ACTIONS(4623), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92228] = 3,
    ACTIONS(4625), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92241] = 3,
    ACTIONS(2366), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92254] = 3,
    ACTIONS(4627), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92267] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4629), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [92280] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4631), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [92293] = 3,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92306] = 3,
    ACTIONS(583), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92319] = 3,
    ACTIONS(583), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92332] = 3,
    ACTIONS(4635), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92345] = 3,
    ACTIONS(4637), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92358] = 3,
    ACTIONS(3), 1,
      sym_nl,
    ACTIONS(4639), 1,
      sym_file,
    ACTIONS(5), 4,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_zeekygen_next_comment,
      sym_minor_comment,
  [92371] = 3,
    ACTIONS(4641), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92384] = 3,
    ACTIONS(2952), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92397] = 3,
    ACTIONS(2028), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92410] = 3,
    ACTIONS(4643), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92423] = 3,
    ACTIONS(4645), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92436] = 3,
    ACTIONS(713), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92449] = 3,
    ACTIONS(4647), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92462] = 3,
    ACTIONS(2530), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92475] = 3,
    ACTIONS(715), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92488] = 3,
    ACTIONS(4649), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92501] = 3,
    ACTIONS(2934), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92514] = 3,
    ACTIONS(3006), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92527] = 3,
    ACTIONS(4651), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92540] = 3,
    ACTIONS(4653), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92553] = 3,
    ACTIONS(1718), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92566] = 3,
    ACTIONS(4655), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92579] = 3,
    ACTIONS(2910), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92592] = 3,
    ACTIONS(4657), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92605] = 3,
    ACTIONS(4659), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92618] = 3,
    ACTIONS(4661), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92631] = 3,
    ACTIONS(4663), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92644] = 3,
    ACTIONS(4665), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92657] = 3,
    ACTIONS(4667), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92670] = 3,
    ACTIONS(2918), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92683] = 3,
    ACTIONS(4669), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92696] = 3,
    ACTIONS(4671), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92709] = 3,
    ACTIONS(4673), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92722] = 3,
    ACTIONS(2916), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92735] = 3,
    ACTIONS(2912), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92748] = 3,
    ACTIONS(4675), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92761] = 3,
    ACTIONS(4677), 1,
      sym_id,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92774] = 3,
    ACTIONS(4679), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92787] = 3,
    ACTIONS(4681), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92800] = 3,
    ACTIONS(4683), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92813] = 3,
    ACTIONS(4685), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92826] = 3,
    ACTIONS(4687), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92839] = 3,
    ACTIONS(4689), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92852] = 3,
    ACTIONS(4691), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92865] = 3,
    ACTIONS(791), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92878] = 3,
    ACTIONS(4693), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92891] = 3,
    ACTIONS(3342), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
  [92904] = 3,
    ACTIONS(4695), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_zeekygen_next_comment,
      sym_minor_comment,
    ACTIONS(3), 3,
      sym_zeekygen_head_comment,
      sym_zeekygen_prev_comment,
      sym_nl,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(807)] = 0,
  [SMALL_STATE(808)] = 76,
  [SMALL_STATE(809)] = 158,
  [SMALL_STATE(810)] = 234,
  [SMALL_STATE(811)] = 316,
  [SMALL_STATE(812)] = 395,
  [SMALL_STATE(813)] = 468,
  [SMALL_STATE(814)] = 547,
  [SMALL_STATE(815)] = 621,
  [SMALL_STATE(816)] = 711,
  [SMALL_STATE(817)] = 781,
  [SMALL_STATE(818)] = 869,
  [SMALL_STATE(819)] = 949,
  [SMALL_STATE(820)] = 1037,
  [SMALL_STATE(821)] = 1117,
  [SMALL_STATE(822)] = 1191,
  [SMALL_STATE(823)] = 1289,
  [SMALL_STATE(824)] = 1383,
  [SMALL_STATE(825)] = 1453,
  [SMALL_STATE(826)] = 1547,
  [SMALL_STATE(827)] = 1645,
  [SMALL_STATE(828)] = 1715,
  [SMALL_STATE(829)] = 1795,
  [SMALL_STATE(830)] = 1891,
  [SMALL_STATE(831)] = 1971,
  [SMALL_STATE(832)] = 2041,
  [SMALL_STATE(833)] = 2118,
  [SMALL_STATE(834)] = 2195,
  [SMALL_STATE(835)] = 2266,
  [SMALL_STATE(836)] = 2354,
  [SMALL_STATE(837)] = 2424,
  [SMALL_STATE(838)] = 2520,
  [SMALL_STATE(839)] = 2606,
  [SMALL_STATE(840)] = 2702,
  [SMALL_STATE(841)] = 2788,
  [SMALL_STATE(842)] = 2866,
  [SMALL_STATE(843)] = 2944,
  [SMALL_STATE(844)] = 3038,
  [SMALL_STATE(845)] = 3116,
  [SMALL_STATE(846)] = 3194,
  [SMALL_STATE(847)] = 3286,
  [SMALL_STATE(848)] = 3378,
  [SMALL_STATE(849)] = 3454,
  [SMALL_STATE(850)] = 3530,
  [SMALL_STATE(851)] = 3626,
  [SMALL_STATE(852)] = 3701,
  [SMALL_STATE(853)] = 3768,
  [SMALL_STATE(854)] = 3835,
  [SMALL_STATE(855)] = 3929,
  [SMALL_STATE(856)] = 4023,
  [SMALL_STATE(857)] = 4149,
  [SMALL_STATE(858)] = 4269,
  [SMALL_STATE(859)] = 4386,
  [SMALL_STATE(860)] = 4507,
  [SMALL_STATE(861)] = 4627,
  [SMALL_STATE(862)] = 4744,
  [SMALL_STATE(863)] = 4861,
  [SMALL_STATE(864)] = 4978,
  [SMALL_STATE(865)] = 5095,
  [SMALL_STATE(866)] = 5212,
  [SMALL_STATE(867)] = 5329,
  [SMALL_STATE(868)] = 5446,
  [SMALL_STATE(869)] = 5563,
  [SMALL_STATE(870)] = 5680,
  [SMALL_STATE(871)] = 5797,
  [SMALL_STATE(872)] = 5914,
  [SMALL_STATE(873)] = 6031,
  [SMALL_STATE(874)] = 6148,
  [SMALL_STATE(875)] = 6265,
  [SMALL_STATE(876)] = 6382,
  [SMALL_STATE(877)] = 6496,
  [SMALL_STATE(878)] = 6610,
  [SMALL_STATE(879)] = 6724,
  [SMALL_STATE(880)] = 6838,
  [SMALL_STATE(881)] = 6952,
  [SMALL_STATE(882)] = 7066,
  [SMALL_STATE(883)] = 7180,
  [SMALL_STATE(884)] = 7294,
  [SMALL_STATE(885)] = 7408,
  [SMALL_STATE(886)] = 7522,
  [SMALL_STATE(887)] = 7636,
  [SMALL_STATE(888)] = 7750,
  [SMALL_STATE(889)] = 7864,
  [SMALL_STATE(890)] = 7978,
  [SMALL_STATE(891)] = 8092,
  [SMALL_STATE(892)] = 8206,
  [SMALL_STATE(893)] = 8320,
  [SMALL_STATE(894)] = 8434,
  [SMALL_STATE(895)] = 8548,
  [SMALL_STATE(896)] = 8662,
  [SMALL_STATE(897)] = 8776,
  [SMALL_STATE(898)] = 8890,
  [SMALL_STATE(899)] = 9004,
  [SMALL_STATE(900)] = 9118,
  [SMALL_STATE(901)] = 9232,
  [SMALL_STATE(902)] = 9346,
  [SMALL_STATE(903)] = 9460,
  [SMALL_STATE(904)] = 9571,
  [SMALL_STATE(905)] = 9682,
  [SMALL_STATE(906)] = 9793,
  [SMALL_STATE(907)] = 9904,
  [SMALL_STATE(908)] = 10015,
  [SMALL_STATE(909)] = 10126,
  [SMALL_STATE(910)] = 10234,
  [SMALL_STATE(911)] = 10342,
  [SMALL_STATE(912)] = 10450,
  [SMALL_STATE(913)] = 10558,
  [SMALL_STATE(914)] = 10666,
  [SMALL_STATE(915)] = 10774,
  [SMALL_STATE(916)] = 10882,
  [SMALL_STATE(917)] = 10990,
  [SMALL_STATE(918)] = 11098,
  [SMALL_STATE(919)] = 11206,
  [SMALL_STATE(920)] = 11314,
  [SMALL_STATE(921)] = 11422,
  [SMALL_STATE(922)] = 11530,
  [SMALL_STATE(923)] = 11638,
  [SMALL_STATE(924)] = 11746,
  [SMALL_STATE(925)] = 11854,
  [SMALL_STATE(926)] = 11962,
  [SMALL_STATE(927)] = 12070,
  [SMALL_STATE(928)] = 12178,
  [SMALL_STATE(929)] = 12286,
  [SMALL_STATE(930)] = 12394,
  [SMALL_STATE(931)] = 12502,
  [SMALL_STATE(932)] = 12610,
  [SMALL_STATE(933)] = 12718,
  [SMALL_STATE(934)] = 12826,
  [SMALL_STATE(935)] = 12934,
  [SMALL_STATE(936)] = 13042,
  [SMALL_STATE(937)] = 13150,
  [SMALL_STATE(938)] = 13258,
  [SMALL_STATE(939)] = 13366,
  [SMALL_STATE(940)] = 13474,
  [SMALL_STATE(941)] = 13582,
  [SMALL_STATE(942)] = 13690,
  [SMALL_STATE(943)] = 13798,
  [SMALL_STATE(944)] = 13906,
  [SMALL_STATE(945)] = 14014,
  [SMALL_STATE(946)] = 14122,
  [SMALL_STATE(947)] = 14186,
  [SMALL_STATE(948)] = 14294,
  [SMALL_STATE(949)] = 14402,
  [SMALL_STATE(950)] = 14510,
  [SMALL_STATE(951)] = 14618,
  [SMALL_STATE(952)] = 14726,
  [SMALL_STATE(953)] = 14834,
  [SMALL_STATE(954)] = 14942,
  [SMALL_STATE(955)] = 15050,
  [SMALL_STATE(956)] = 15158,
  [SMALL_STATE(957)] = 15266,
  [SMALL_STATE(958)] = 15374,
  [SMALL_STATE(959)] = 15482,
  [SMALL_STATE(960)] = 15590,
  [SMALL_STATE(961)] = 15698,
  [SMALL_STATE(962)] = 15806,
  [SMALL_STATE(963)] = 15914,
  [SMALL_STATE(964)] = 16022,
  [SMALL_STATE(965)] = 16130,
  [SMALL_STATE(966)] = 16238,
  [SMALL_STATE(967)] = 16346,
  [SMALL_STATE(968)] = 16454,
  [SMALL_STATE(969)] = 16562,
  [SMALL_STATE(970)] = 16670,
  [SMALL_STATE(971)] = 16778,
  [SMALL_STATE(972)] = 16886,
  [SMALL_STATE(973)] = 16994,
  [SMALL_STATE(974)] = 17102,
  [SMALL_STATE(975)] = 17210,
  [SMALL_STATE(976)] = 17318,
  [SMALL_STATE(977)] = 17426,
  [SMALL_STATE(978)] = 17534,
  [SMALL_STATE(979)] = 17642,
  [SMALL_STATE(980)] = 17750,
  [SMALL_STATE(981)] = 17858,
  [SMALL_STATE(982)] = 17966,
  [SMALL_STATE(983)] = 18074,
  [SMALL_STATE(984)] = 18182,
  [SMALL_STATE(985)] = 18290,
  [SMALL_STATE(986)] = 18398,
  [SMALL_STATE(987)] = 18506,
  [SMALL_STATE(988)] = 18614,
  [SMALL_STATE(989)] = 18722,
  [SMALL_STATE(990)] = 18830,
  [SMALL_STATE(991)] = 18938,
  [SMALL_STATE(992)] = 19046,
  [SMALL_STATE(993)] = 19154,
  [SMALL_STATE(994)] = 19262,
  [SMALL_STATE(995)] = 19370,
  [SMALL_STATE(996)] = 19478,
  [SMALL_STATE(997)] = 19586,
  [SMALL_STATE(998)] = 19694,
  [SMALL_STATE(999)] = 19802,
  [SMALL_STATE(1000)] = 19910,
  [SMALL_STATE(1001)] = 20018,
  [SMALL_STATE(1002)] = 20126,
  [SMALL_STATE(1003)] = 20234,
  [SMALL_STATE(1004)] = 20342,
  [SMALL_STATE(1005)] = 20450,
  [SMALL_STATE(1006)] = 20558,
  [SMALL_STATE(1007)] = 20666,
  [SMALL_STATE(1008)] = 20774,
  [SMALL_STATE(1009)] = 20882,
  [SMALL_STATE(1010)] = 20990,
  [SMALL_STATE(1011)] = 21098,
  [SMALL_STATE(1012)] = 21206,
  [SMALL_STATE(1013)] = 21314,
  [SMALL_STATE(1014)] = 21422,
  [SMALL_STATE(1015)] = 21530,
  [SMALL_STATE(1016)] = 21638,
  [SMALL_STATE(1017)] = 21746,
  [SMALL_STATE(1018)] = 21854,
  [SMALL_STATE(1019)] = 21962,
  [SMALL_STATE(1020)] = 22070,
  [SMALL_STATE(1021)] = 22178,
  [SMALL_STATE(1022)] = 22286,
  [SMALL_STATE(1023)] = 22394,
  [SMALL_STATE(1024)] = 22502,
  [SMALL_STATE(1025)] = 22610,
  [SMALL_STATE(1026)] = 22718,
  [SMALL_STATE(1027)] = 22826,
  [SMALL_STATE(1028)] = 22934,
  [SMALL_STATE(1029)] = 23042,
  [SMALL_STATE(1030)] = 23150,
  [SMALL_STATE(1031)] = 23258,
  [SMALL_STATE(1032)] = 23366,
  [SMALL_STATE(1033)] = 23474,
  [SMALL_STATE(1034)] = 23582,
  [SMALL_STATE(1035)] = 23690,
  [SMALL_STATE(1036)] = 23798,
  [SMALL_STATE(1037)] = 23906,
  [SMALL_STATE(1038)] = 24014,
  [SMALL_STATE(1039)] = 24122,
  [SMALL_STATE(1040)] = 24230,
  [SMALL_STATE(1041)] = 24338,
  [SMALL_STATE(1042)] = 24446,
  [SMALL_STATE(1043)] = 24554,
  [SMALL_STATE(1044)] = 24662,
  [SMALL_STATE(1045)] = 24770,
  [SMALL_STATE(1046)] = 24878,
  [SMALL_STATE(1047)] = 24986,
  [SMALL_STATE(1048)] = 25094,
  [SMALL_STATE(1049)] = 25202,
  [SMALL_STATE(1050)] = 25310,
  [SMALL_STATE(1051)] = 25418,
  [SMALL_STATE(1052)] = 25526,
  [SMALL_STATE(1053)] = 25634,
  [SMALL_STATE(1054)] = 25742,
  [SMALL_STATE(1055)] = 25850,
  [SMALL_STATE(1056)] = 25958,
  [SMALL_STATE(1057)] = 26066,
  [SMALL_STATE(1058)] = 26174,
  [SMALL_STATE(1059)] = 26282,
  [SMALL_STATE(1060)] = 26390,
  [SMALL_STATE(1061)] = 26498,
  [SMALL_STATE(1062)] = 26606,
  [SMALL_STATE(1063)] = 26714,
  [SMALL_STATE(1064)] = 26822,
  [SMALL_STATE(1065)] = 26930,
  [SMALL_STATE(1066)] = 27038,
  [SMALL_STATE(1067)] = 27146,
  [SMALL_STATE(1068)] = 27254,
  [SMALL_STATE(1069)] = 27362,
  [SMALL_STATE(1070)] = 27470,
  [SMALL_STATE(1071)] = 27578,
  [SMALL_STATE(1072)] = 27686,
  [SMALL_STATE(1073)] = 27794,
  [SMALL_STATE(1074)] = 27902,
  [SMALL_STATE(1075)] = 28010,
  [SMALL_STATE(1076)] = 28118,
  [SMALL_STATE(1077)] = 28226,
  [SMALL_STATE(1078)] = 28334,
  [SMALL_STATE(1079)] = 28442,
  [SMALL_STATE(1080)] = 28550,
  [SMALL_STATE(1081)] = 28658,
  [SMALL_STATE(1082)] = 28766,
  [SMALL_STATE(1083)] = 28874,
  [SMALL_STATE(1084)] = 28982,
  [SMALL_STATE(1085)] = 29090,
  [SMALL_STATE(1086)] = 29198,
  [SMALL_STATE(1087)] = 29306,
  [SMALL_STATE(1088)] = 29414,
  [SMALL_STATE(1089)] = 29522,
  [SMALL_STATE(1090)] = 29630,
  [SMALL_STATE(1091)] = 29738,
  [SMALL_STATE(1092)] = 29846,
  [SMALL_STATE(1093)] = 29954,
  [SMALL_STATE(1094)] = 30062,
  [SMALL_STATE(1095)] = 30170,
  [SMALL_STATE(1096)] = 30278,
  [SMALL_STATE(1097)] = 30386,
  [SMALL_STATE(1098)] = 30494,
  [SMALL_STATE(1099)] = 30602,
  [SMALL_STATE(1100)] = 30710,
  [SMALL_STATE(1101)] = 30818,
  [SMALL_STATE(1102)] = 30926,
  [SMALL_STATE(1103)] = 31034,
  [SMALL_STATE(1104)] = 31142,
  [SMALL_STATE(1105)] = 31250,
  [SMALL_STATE(1106)] = 31358,
  [SMALL_STATE(1107)] = 31466,
  [SMALL_STATE(1108)] = 31574,
  [SMALL_STATE(1109)] = 31682,
  [SMALL_STATE(1110)] = 31790,
  [SMALL_STATE(1111)] = 31898,
  [SMALL_STATE(1112)] = 32006,
  [SMALL_STATE(1113)] = 32114,
  [SMALL_STATE(1114)] = 32222,
  [SMALL_STATE(1115)] = 32330,
  [SMALL_STATE(1116)] = 32438,
  [SMALL_STATE(1117)] = 32546,
  [SMALL_STATE(1118)] = 32654,
  [SMALL_STATE(1119)] = 32762,
  [SMALL_STATE(1120)] = 32870,
  [SMALL_STATE(1121)] = 32978,
  [SMALL_STATE(1122)] = 33086,
  [SMALL_STATE(1123)] = 33194,
  [SMALL_STATE(1124)] = 33302,
  [SMALL_STATE(1125)] = 33410,
  [SMALL_STATE(1126)] = 33518,
  [SMALL_STATE(1127)] = 33626,
  [SMALL_STATE(1128)] = 33734,
  [SMALL_STATE(1129)] = 33842,
  [SMALL_STATE(1130)] = 33950,
  [SMALL_STATE(1131)] = 34058,
  [SMALL_STATE(1132)] = 34166,
  [SMALL_STATE(1133)] = 34274,
  [SMALL_STATE(1134)] = 34382,
  [SMALL_STATE(1135)] = 34490,
  [SMALL_STATE(1136)] = 34598,
  [SMALL_STATE(1137)] = 34706,
  [SMALL_STATE(1138)] = 34814,
  [SMALL_STATE(1139)] = 34922,
  [SMALL_STATE(1140)] = 35030,
  [SMALL_STATE(1141)] = 35138,
  [SMALL_STATE(1142)] = 35246,
  [SMALL_STATE(1143)] = 35354,
  [SMALL_STATE(1144)] = 35462,
  [SMALL_STATE(1145)] = 35570,
  [SMALL_STATE(1146)] = 35678,
  [SMALL_STATE(1147)] = 35786,
  [SMALL_STATE(1148)] = 35894,
  [SMALL_STATE(1149)] = 36002,
  [SMALL_STATE(1150)] = 36110,
  [SMALL_STATE(1151)] = 36218,
  [SMALL_STATE(1152)] = 36326,
  [SMALL_STATE(1153)] = 36434,
  [SMALL_STATE(1154)] = 36542,
  [SMALL_STATE(1155)] = 36650,
  [SMALL_STATE(1156)] = 36758,
  [SMALL_STATE(1157)] = 36866,
  [SMALL_STATE(1158)] = 36974,
  [SMALL_STATE(1159)] = 37082,
  [SMALL_STATE(1160)] = 37190,
  [SMALL_STATE(1161)] = 37298,
  [SMALL_STATE(1162)] = 37406,
  [SMALL_STATE(1163)] = 37514,
  [SMALL_STATE(1164)] = 37622,
  [SMALL_STATE(1165)] = 37730,
  [SMALL_STATE(1166)] = 37838,
  [SMALL_STATE(1167)] = 37946,
  [SMALL_STATE(1168)] = 38054,
  [SMALL_STATE(1169)] = 38162,
  [SMALL_STATE(1170)] = 38270,
  [SMALL_STATE(1171)] = 38378,
  [SMALL_STATE(1172)] = 38486,
  [SMALL_STATE(1173)] = 38594,
  [SMALL_STATE(1174)] = 38702,
  [SMALL_STATE(1175)] = 38810,
  [SMALL_STATE(1176)] = 38918,
  [SMALL_STATE(1177)] = 39026,
  [SMALL_STATE(1178)] = 39134,
  [SMALL_STATE(1179)] = 39242,
  [SMALL_STATE(1180)] = 39350,
  [SMALL_STATE(1181)] = 39458,
  [SMALL_STATE(1182)] = 39566,
  [SMALL_STATE(1183)] = 39674,
  [SMALL_STATE(1184)] = 39782,
  [SMALL_STATE(1185)] = 39890,
  [SMALL_STATE(1186)] = 39998,
  [SMALL_STATE(1187)] = 40106,
  [SMALL_STATE(1188)] = 40214,
  [SMALL_STATE(1189)] = 40322,
  [SMALL_STATE(1190)] = 40430,
  [SMALL_STATE(1191)] = 40538,
  [SMALL_STATE(1192)] = 40646,
  [SMALL_STATE(1193)] = 40754,
  [SMALL_STATE(1194)] = 40862,
  [SMALL_STATE(1195)] = 40970,
  [SMALL_STATE(1196)] = 41078,
  [SMALL_STATE(1197)] = 41186,
  [SMALL_STATE(1198)] = 41294,
  [SMALL_STATE(1199)] = 41402,
  [SMALL_STATE(1200)] = 41510,
  [SMALL_STATE(1201)] = 41618,
  [SMALL_STATE(1202)] = 41726,
  [SMALL_STATE(1203)] = 41834,
  [SMALL_STATE(1204)] = 41942,
  [SMALL_STATE(1205)] = 42050,
  [SMALL_STATE(1206)] = 42145,
  [SMALL_STATE(1207)] = 42240,
  [SMALL_STATE(1208)] = 42293,
  [SMALL_STATE(1209)] = 42388,
  [SMALL_STATE(1210)] = 42483,
  [SMALL_STATE(1211)] = 42578,
  [SMALL_STATE(1212)] = 42632,
  [SMALL_STATE(1213)] = 42686,
  [SMALL_STATE(1214)] = 42740,
  [SMALL_STATE(1215)] = 42794,
  [SMALL_STATE(1216)] = 42855,
  [SMALL_STATE(1217)] = 42916,
  [SMALL_STATE(1218)] = 42977,
  [SMALL_STATE(1219)] = 43038,
  [SMALL_STATE(1220)] = 43088,
  [SMALL_STATE(1221)] = 43146,
  [SMALL_STATE(1222)] = 43200,
  [SMALL_STATE(1223)] = 43258,
  [SMALL_STATE(1224)] = 43310,
  [SMALL_STATE(1225)] = 43362,
  [SMALL_STATE(1226)] = 43411,
  [SMALL_STATE(1227)] = 43468,
  [SMALL_STATE(1228)] = 43519,
  [SMALL_STATE(1229)] = 43568,
  [SMALL_STATE(1230)] = 43617,
  [SMALL_STATE(1231)] = 43666,
  [SMALL_STATE(1232)] = 43715,
  [SMALL_STATE(1233)] = 43764,
  [SMALL_STATE(1234)] = 43813,
  [SMALL_STATE(1235)] = 43864,
  [SMALL_STATE(1236)] = 43913,
  [SMALL_STATE(1237)] = 43962,
  [SMALL_STATE(1238)] = 44011,
  [SMALL_STATE(1239)] = 44060,
  [SMALL_STATE(1240)] = 44109,
  [SMALL_STATE(1241)] = 44158,
  [SMALL_STATE(1242)] = 44207,
  [SMALL_STATE(1243)] = 44264,
  [SMALL_STATE(1244)] = 44313,
  [SMALL_STATE(1245)] = 44362,
  [SMALL_STATE(1246)] = 44411,
  [SMALL_STATE(1247)] = 44460,
  [SMALL_STATE(1248)] = 44509,
  [SMALL_STATE(1249)] = 44558,
  [SMALL_STATE(1250)] = 44607,
  [SMALL_STATE(1251)] = 44656,
  [SMALL_STATE(1252)] = 44705,
  [SMALL_STATE(1253)] = 44754,
  [SMALL_STATE(1254)] = 44803,
  [SMALL_STATE(1255)] = 44852,
  [SMALL_STATE(1256)] = 44901,
  [SMALL_STATE(1257)] = 44950,
  [SMALL_STATE(1258)] = 45001,
  [SMALL_STATE(1259)] = 45050,
  [SMALL_STATE(1260)] = 45108,
  [SMALL_STATE(1261)] = 45180,
  [SMALL_STATE(1262)] = 45238,
  [SMALL_STATE(1263)] = 45286,
  [SMALL_STATE(1264)] = 45364,
  [SMALL_STATE(1265)] = 45440,
  [SMALL_STATE(1266)] = 45508,
  [SMALL_STATE(1267)] = 45574,
  [SMALL_STATE(1268)] = 45652,
  [SMALL_STATE(1269)] = 45724,
  [SMALL_STATE(1270)] = 45790,
  [SMALL_STATE(1271)] = 45866,
  [SMALL_STATE(1272)] = 45944,
  [SMALL_STATE(1273)] = 46018,
  [SMALL_STATE(1274)] = 46096,
  [SMALL_STATE(1275)] = 46166,
  [SMALL_STATE(1276)] = 46222,
  [SMALL_STATE(1277)] = 46270,
  [SMALL_STATE(1278)] = 46324,
  [SMALL_STATE(1279)] = 46402,
  [SMALL_STATE(1280)] = 46466,
  [SMALL_STATE(1281)] = 46536,
  [SMALL_STATE(1282)] = 46610,
  [SMALL_STATE(1283)] = 46666,
  [SMALL_STATE(1284)] = 46744,
  [SMALL_STATE(1285)] = 46808,
  [SMALL_STATE(1286)] = 46874,
  [SMALL_STATE(1287)] = 46928,
  [SMALL_STATE(1288)] = 47003,
  [SMALL_STATE(1289)] = 47078,
  [SMALL_STATE(1290)] = 47123,
  [SMALL_STATE(1291)] = 47170,
  [SMALL_STATE(1292)] = 47215,
  [SMALL_STATE(1293)] = 47287,
  [SMALL_STATE(1294)] = 47359,
  [SMALL_STATE(1295)] = 47431,
  [SMALL_STATE(1296)] = 47503,
  [SMALL_STATE(1297)] = 47575,
  [SMALL_STATE(1298)] = 47647,
  [SMALL_STATE(1299)] = 47719,
  [SMALL_STATE(1300)] = 47791,
  [SMALL_STATE(1301)] = 47863,
  [SMALL_STATE(1302)] = 47935,
  [SMALL_STATE(1303)] = 48007,
  [SMALL_STATE(1304)] = 48079,
  [SMALL_STATE(1305)] = 48151,
  [SMALL_STATE(1306)] = 48223,
  [SMALL_STATE(1307)] = 48295,
  [SMALL_STATE(1308)] = 48367,
  [SMALL_STATE(1309)] = 48439,
  [SMALL_STATE(1310)] = 48511,
  [SMALL_STATE(1311)] = 48583,
  [SMALL_STATE(1312)] = 48655,
  [SMALL_STATE(1313)] = 48727,
  [SMALL_STATE(1314)] = 48799,
  [SMALL_STATE(1315)] = 48871,
  [SMALL_STATE(1316)] = 48943,
  [SMALL_STATE(1317)] = 49015,
  [SMALL_STATE(1318)] = 49087,
  [SMALL_STATE(1319)] = 49159,
  [SMALL_STATE(1320)] = 49231,
  [SMALL_STATE(1321)] = 49303,
  [SMALL_STATE(1322)] = 49375,
  [SMALL_STATE(1323)] = 49447,
  [SMALL_STATE(1324)] = 49519,
  [SMALL_STATE(1325)] = 49591,
  [SMALL_STATE(1326)] = 49663,
  [SMALL_STATE(1327)] = 49735,
  [SMALL_STATE(1328)] = 49807,
  [SMALL_STATE(1329)] = 49879,
  [SMALL_STATE(1330)] = 49951,
  [SMALL_STATE(1331)] = 50023,
  [SMALL_STATE(1332)] = 50095,
  [SMALL_STATE(1333)] = 50167,
  [SMALL_STATE(1334)] = 50239,
  [SMALL_STATE(1335)] = 50311,
  [SMALL_STATE(1336)] = 50383,
  [SMALL_STATE(1337)] = 50455,
  [SMALL_STATE(1338)] = 50527,
  [SMALL_STATE(1339)] = 50599,
  [SMALL_STATE(1340)] = 50671,
  [SMALL_STATE(1341)] = 50743,
  [SMALL_STATE(1342)] = 50815,
  [SMALL_STATE(1343)] = 50887,
  [SMALL_STATE(1344)] = 50959,
  [SMALL_STATE(1345)] = 51031,
  [SMALL_STATE(1346)] = 51103,
  [SMALL_STATE(1347)] = 51175,
  [SMALL_STATE(1348)] = 51247,
  [SMALL_STATE(1349)] = 51319,
  [SMALL_STATE(1350)] = 51391,
  [SMALL_STATE(1351)] = 51463,
  [SMALL_STATE(1352)] = 51535,
  [SMALL_STATE(1353)] = 51607,
  [SMALL_STATE(1354)] = 51679,
  [SMALL_STATE(1355)] = 51751,
  [SMALL_STATE(1356)] = 51823,
  [SMALL_STATE(1357)] = 51895,
  [SMALL_STATE(1358)] = 51967,
  [SMALL_STATE(1359)] = 52039,
  [SMALL_STATE(1360)] = 52111,
  [SMALL_STATE(1361)] = 52183,
  [SMALL_STATE(1362)] = 52255,
  [SMALL_STATE(1363)] = 52327,
  [SMALL_STATE(1364)] = 52399,
  [SMALL_STATE(1365)] = 52471,
  [SMALL_STATE(1366)] = 52543,
  [SMALL_STATE(1367)] = 52615,
  [SMALL_STATE(1368)] = 52687,
  [SMALL_STATE(1369)] = 52759,
  [SMALL_STATE(1370)] = 52831,
  [SMALL_STATE(1371)] = 52903,
  [SMALL_STATE(1372)] = 52975,
  [SMALL_STATE(1373)] = 53047,
  [SMALL_STATE(1374)] = 53119,
  [SMALL_STATE(1375)] = 53191,
  [SMALL_STATE(1376)] = 53263,
  [SMALL_STATE(1377)] = 53335,
  [SMALL_STATE(1378)] = 53407,
  [SMALL_STATE(1379)] = 53479,
  [SMALL_STATE(1380)] = 53551,
  [SMALL_STATE(1381)] = 53623,
  [SMALL_STATE(1382)] = 53695,
  [SMALL_STATE(1383)] = 53767,
  [SMALL_STATE(1384)] = 53839,
  [SMALL_STATE(1385)] = 53911,
  [SMALL_STATE(1386)] = 53983,
  [SMALL_STATE(1387)] = 54055,
  [SMALL_STATE(1388)] = 54127,
  [SMALL_STATE(1389)] = 54199,
  [SMALL_STATE(1390)] = 54271,
  [SMALL_STATE(1391)] = 54319,
  [SMALL_STATE(1392)] = 54391,
  [SMALL_STATE(1393)] = 54463,
  [SMALL_STATE(1394)] = 54535,
  [SMALL_STATE(1395)] = 54607,
  [SMALL_STATE(1396)] = 54679,
  [SMALL_STATE(1397)] = 54751,
  [SMALL_STATE(1398)] = 54823,
  [SMALL_STATE(1399)] = 54895,
  [SMALL_STATE(1400)] = 54967,
  [SMALL_STATE(1401)] = 55039,
  [SMALL_STATE(1402)] = 55111,
  [SMALL_STATE(1403)] = 55183,
  [SMALL_STATE(1404)] = 55255,
  [SMALL_STATE(1405)] = 55327,
  [SMALL_STATE(1406)] = 55399,
  [SMALL_STATE(1407)] = 55471,
  [SMALL_STATE(1408)] = 55543,
  [SMALL_STATE(1409)] = 55615,
  [SMALL_STATE(1410)] = 55687,
  [SMALL_STATE(1411)] = 55759,
  [SMALL_STATE(1412)] = 55831,
  [SMALL_STATE(1413)] = 55903,
  [SMALL_STATE(1414)] = 55975,
  [SMALL_STATE(1415)] = 56047,
  [SMALL_STATE(1416)] = 56119,
  [SMALL_STATE(1417)] = 56191,
  [SMALL_STATE(1418)] = 56263,
  [SMALL_STATE(1419)] = 56335,
  [SMALL_STATE(1420)] = 56407,
  [SMALL_STATE(1421)] = 56479,
  [SMALL_STATE(1422)] = 56551,
  [SMALL_STATE(1423)] = 56623,
  [SMALL_STATE(1424)] = 56695,
  [SMALL_STATE(1425)] = 56767,
  [SMALL_STATE(1426)] = 56839,
  [SMALL_STATE(1427)] = 56911,
  [SMALL_STATE(1428)] = 56983,
  [SMALL_STATE(1429)] = 57055,
  [SMALL_STATE(1430)] = 57127,
  [SMALL_STATE(1431)] = 57199,
  [SMALL_STATE(1432)] = 57271,
  [SMALL_STATE(1433)] = 57343,
  [SMALL_STATE(1434)] = 57415,
  [SMALL_STATE(1435)] = 57487,
  [SMALL_STATE(1436)] = 57559,
  [SMALL_STATE(1437)] = 57631,
  [SMALL_STATE(1438)] = 57703,
  [SMALL_STATE(1439)] = 57775,
  [SMALL_STATE(1440)] = 57847,
  [SMALL_STATE(1441)] = 57919,
  [SMALL_STATE(1442)] = 57987,
  [SMALL_STATE(1443)] = 58059,
  [SMALL_STATE(1444)] = 58131,
  [SMALL_STATE(1445)] = 58203,
  [SMALL_STATE(1446)] = 58275,
  [SMALL_STATE(1447)] = 58347,
  [SMALL_STATE(1448)] = 58419,
  [SMALL_STATE(1449)] = 58491,
  [SMALL_STATE(1450)] = 58545,
  [SMALL_STATE(1451)] = 58617,
  [SMALL_STATE(1452)] = 58679,
  [SMALL_STATE(1453)] = 58743,
  [SMALL_STATE(1454)] = 58815,
  [SMALL_STATE(1455)] = 58887,
  [SMALL_STATE(1456)] = 58959,
  [SMALL_STATE(1457)] = 59031,
  [SMALL_STATE(1458)] = 59103,
  [SMALL_STATE(1459)] = 59175,
  [SMALL_STATE(1460)] = 59247,
  [SMALL_STATE(1461)] = 59319,
  [SMALL_STATE(1462)] = 59391,
  [SMALL_STATE(1463)] = 59463,
  [SMALL_STATE(1464)] = 59535,
  [SMALL_STATE(1465)] = 59607,
  [SMALL_STATE(1466)] = 59679,
  [SMALL_STATE(1467)] = 59747,
  [SMALL_STATE(1468)] = 59819,
  [SMALL_STATE(1469)] = 59891,
  [SMALL_STATE(1470)] = 59963,
  [SMALL_STATE(1471)] = 60035,
  [SMALL_STATE(1472)] = 60107,
  [SMALL_STATE(1473)] = 60179,
  [SMALL_STATE(1474)] = 60251,
  [SMALL_STATE(1475)] = 60323,
  [SMALL_STATE(1476)] = 60395,
  [SMALL_STATE(1477)] = 60449,
  [SMALL_STATE(1478)] = 60521,
  [SMALL_STATE(1479)] = 60593,
  [SMALL_STATE(1480)] = 60665,
  [SMALL_STATE(1481)] = 60737,
  [SMALL_STATE(1482)] = 60809,
  [SMALL_STATE(1483)] = 60881,
  [SMALL_STATE(1484)] = 60953,
  [SMALL_STATE(1485)] = 61025,
  [SMALL_STATE(1486)] = 61097,
  [SMALL_STATE(1487)] = 61169,
  [SMALL_STATE(1488)] = 61241,
  [SMALL_STATE(1489)] = 61313,
  [SMALL_STATE(1490)] = 61385,
  [SMALL_STATE(1491)] = 61457,
  [SMALL_STATE(1492)] = 61529,
  [SMALL_STATE(1493)] = 61601,
  [SMALL_STATE(1494)] = 61673,
  [SMALL_STATE(1495)] = 61745,
  [SMALL_STATE(1496)] = 61817,
  [SMALL_STATE(1497)] = 61889,
  [SMALL_STATE(1498)] = 61961,
  [SMALL_STATE(1499)] = 62033,
  [SMALL_STATE(1500)] = 62105,
  [SMALL_STATE(1501)] = 62177,
  [SMALL_STATE(1502)] = 62249,
  [SMALL_STATE(1503)] = 62321,
  [SMALL_STATE(1504)] = 62393,
  [SMALL_STATE(1505)] = 62465,
  [SMALL_STATE(1506)] = 62537,
  [SMALL_STATE(1507)] = 62609,
  [SMALL_STATE(1508)] = 62681,
  [SMALL_STATE(1509)] = 62753,
  [SMALL_STATE(1510)] = 62815,
  [SMALL_STATE(1511)] = 62887,
  [SMALL_STATE(1512)] = 62959,
  [SMALL_STATE(1513)] = 63031,
  [SMALL_STATE(1514)] = 63103,
  [SMALL_STATE(1515)] = 63175,
  [SMALL_STATE(1516)] = 63247,
  [SMALL_STATE(1517)] = 63319,
  [SMALL_STATE(1518)] = 63391,
  [SMALL_STATE(1519)] = 63463,
  [SMALL_STATE(1520)] = 63535,
  [SMALL_STATE(1521)] = 63607,
  [SMALL_STATE(1522)] = 63679,
  [SMALL_STATE(1523)] = 63751,
  [SMALL_STATE(1524)] = 63823,
  [SMALL_STATE(1525)] = 63895,
  [SMALL_STATE(1526)] = 63967,
  [SMALL_STATE(1527)] = 64039,
  [SMALL_STATE(1528)] = 64111,
  [SMALL_STATE(1529)] = 64183,
  [SMALL_STATE(1530)] = 64255,
  [SMALL_STATE(1531)] = 64327,
  [SMALL_STATE(1532)] = 64399,
  [SMALL_STATE(1533)] = 64471,
  [SMALL_STATE(1534)] = 64543,
  [SMALL_STATE(1535)] = 64615,
  [SMALL_STATE(1536)] = 64687,
  [SMALL_STATE(1537)] = 64759,
  [SMALL_STATE(1538)] = 64831,
  [SMALL_STATE(1539)] = 64903,
  [SMALL_STATE(1540)] = 64974,
  [SMALL_STATE(1541)] = 65045,
  [SMALL_STATE(1542)] = 65116,
  [SMALL_STATE(1543)] = 65187,
  [SMALL_STATE(1544)] = 65251,
  [SMALL_STATE(1545)] = 65315,
  [SMALL_STATE(1546)] = 65379,
  [SMALL_STATE(1547)] = 65443,
  [SMALL_STATE(1548)] = 65507,
  [SMALL_STATE(1549)] = 65571,
  [SMALL_STATE(1550)] = 65635,
  [SMALL_STATE(1551)] = 65699,
  [SMALL_STATE(1552)] = 65763,
  [SMALL_STATE(1553)] = 65827,
  [SMALL_STATE(1554)] = 65891,
  [SMALL_STATE(1555)] = 65955,
  [SMALL_STATE(1556)] = 66019,
  [SMALL_STATE(1557)] = 66083,
  [SMALL_STATE(1558)] = 66147,
  [SMALL_STATE(1559)] = 66211,
  [SMALL_STATE(1560)] = 66275,
  [SMALL_STATE(1561)] = 66339,
  [SMALL_STATE(1562)] = 66403,
  [SMALL_STATE(1563)] = 66467,
  [SMALL_STATE(1564)] = 66531,
  [SMALL_STATE(1565)] = 66595,
  [SMALL_STATE(1566)] = 66659,
  [SMALL_STATE(1567)] = 66723,
  [SMALL_STATE(1568)] = 66787,
  [SMALL_STATE(1569)] = 66851,
  [SMALL_STATE(1570)] = 66915,
  [SMALL_STATE(1571)] = 66979,
  [SMALL_STATE(1572)] = 67029,
  [SMALL_STATE(1573)] = 67093,
  [SMALL_STATE(1574)] = 67157,
  [SMALL_STATE(1575)] = 67221,
  [SMALL_STATE(1576)] = 67282,
  [SMALL_STATE(1577)] = 67343,
  [SMALL_STATE(1578)] = 67404,
  [SMALL_STATE(1579)] = 67465,
  [SMALL_STATE(1580)] = 67526,
  [SMALL_STATE(1581)] = 67587,
  [SMALL_STATE(1582)] = 67648,
  [SMALL_STATE(1583)] = 67709,
  [SMALL_STATE(1584)] = 67770,
  [SMALL_STATE(1585)] = 67831,
  [SMALL_STATE(1586)] = 67892,
  [SMALL_STATE(1587)] = 67953,
  [SMALL_STATE(1588)] = 68014,
  [SMALL_STATE(1589)] = 68075,
  [SMALL_STATE(1590)] = 68136,
  [SMALL_STATE(1591)] = 68197,
  [SMALL_STATE(1592)] = 68258,
  [SMALL_STATE(1593)] = 68319,
  [SMALL_STATE(1594)] = 68380,
  [SMALL_STATE(1595)] = 68441,
  [SMALL_STATE(1596)] = 68502,
  [SMALL_STATE(1597)] = 68563,
  [SMALL_STATE(1598)] = 68624,
  [SMALL_STATE(1599)] = 68685,
  [SMALL_STATE(1600)] = 68746,
  [SMALL_STATE(1601)] = 68807,
  [SMALL_STATE(1602)] = 68868,
  [SMALL_STATE(1603)] = 68929,
  [SMALL_STATE(1604)] = 68990,
  [SMALL_STATE(1605)] = 69051,
  [SMALL_STATE(1606)] = 69112,
  [SMALL_STATE(1607)] = 69173,
  [SMALL_STATE(1608)] = 69234,
  [SMALL_STATE(1609)] = 69295,
  [SMALL_STATE(1610)] = 69356,
  [SMALL_STATE(1611)] = 69417,
  [SMALL_STATE(1612)] = 69478,
  [SMALL_STATE(1613)] = 69539,
  [SMALL_STATE(1614)] = 69600,
  [SMALL_STATE(1615)] = 69661,
  [SMALL_STATE(1616)] = 69722,
  [SMALL_STATE(1617)] = 69783,
  [SMALL_STATE(1618)] = 69844,
  [SMALL_STATE(1619)] = 69905,
  [SMALL_STATE(1620)] = 69966,
  [SMALL_STATE(1621)] = 70027,
  [SMALL_STATE(1622)] = 70088,
  [SMALL_STATE(1623)] = 70149,
  [SMALL_STATE(1624)] = 70210,
  [SMALL_STATE(1625)] = 70271,
  [SMALL_STATE(1626)] = 70332,
  [SMALL_STATE(1627)] = 70393,
  [SMALL_STATE(1628)] = 70454,
  [SMALL_STATE(1629)] = 70515,
  [SMALL_STATE(1630)] = 70576,
  [SMALL_STATE(1631)] = 70637,
  [SMALL_STATE(1632)] = 70698,
  [SMALL_STATE(1633)] = 70745,
  [SMALL_STATE(1634)] = 70806,
  [SMALL_STATE(1635)] = 70867,
  [SMALL_STATE(1636)] = 70928,
  [SMALL_STATE(1637)] = 70989,
  [SMALL_STATE(1638)] = 71050,
  [SMALL_STATE(1639)] = 71111,
  [SMALL_STATE(1640)] = 71172,
  [SMALL_STATE(1641)] = 71233,
  [SMALL_STATE(1642)] = 71294,
  [SMALL_STATE(1643)] = 71355,
  [SMALL_STATE(1644)] = 71416,
  [SMALL_STATE(1645)] = 71463,
  [SMALL_STATE(1646)] = 71524,
  [SMALL_STATE(1647)] = 71585,
  [SMALL_STATE(1648)] = 71646,
  [SMALL_STATE(1649)] = 71707,
  [SMALL_STATE(1650)] = 71768,
  [SMALL_STATE(1651)] = 71829,
  [SMALL_STATE(1652)] = 71890,
  [SMALL_STATE(1653)] = 71951,
  [SMALL_STATE(1654)] = 72012,
  [SMALL_STATE(1655)] = 72073,
  [SMALL_STATE(1656)] = 72134,
  [SMALL_STATE(1657)] = 72195,
  [SMALL_STATE(1658)] = 72256,
  [SMALL_STATE(1659)] = 72317,
  [SMALL_STATE(1660)] = 72378,
  [SMALL_STATE(1661)] = 72439,
  [SMALL_STATE(1662)] = 72500,
  [SMALL_STATE(1663)] = 72548,
  [SMALL_STATE(1664)] = 72596,
  [SMALL_STATE(1665)] = 72644,
  [SMALL_STATE(1666)] = 72692,
  [SMALL_STATE(1667)] = 72740,
  [SMALL_STATE(1668)] = 72788,
  [SMALL_STATE(1669)] = 72836,
  [SMALL_STATE(1670)] = 72884,
  [SMALL_STATE(1671)] = 72932,
  [SMALL_STATE(1672)] = 72980,
  [SMALL_STATE(1673)] = 73028,
  [SMALL_STATE(1674)] = 73076,
  [SMALL_STATE(1675)] = 73124,
  [SMALL_STATE(1676)] = 73172,
  [SMALL_STATE(1677)] = 73220,
  [SMALL_STATE(1678)] = 73268,
  [SMALL_STATE(1679)] = 73316,
  [SMALL_STATE(1680)] = 73364,
  [SMALL_STATE(1681)] = 73412,
  [SMALL_STATE(1682)] = 73460,
  [SMALL_STATE(1683)] = 73508,
  [SMALL_STATE(1684)] = 73556,
  [SMALL_STATE(1685)] = 73604,
  [SMALL_STATE(1686)] = 73652,
  [SMALL_STATE(1687)] = 73700,
  [SMALL_STATE(1688)] = 73748,
  [SMALL_STATE(1689)] = 73796,
  [SMALL_STATE(1690)] = 73844,
  [SMALL_STATE(1691)] = 73892,
  [SMALL_STATE(1692)] = 73940,
  [SMALL_STATE(1693)] = 73988,
  [SMALL_STATE(1694)] = 74036,
  [SMALL_STATE(1695)] = 74084,
  [SMALL_STATE(1696)] = 74132,
  [SMALL_STATE(1697)] = 74180,
  [SMALL_STATE(1698)] = 74228,
  [SMALL_STATE(1699)] = 74276,
  [SMALL_STATE(1700)] = 74324,
  [SMALL_STATE(1701)] = 74372,
  [SMALL_STATE(1702)] = 74420,
  [SMALL_STATE(1703)] = 74468,
  [SMALL_STATE(1704)] = 74516,
  [SMALL_STATE(1705)] = 74564,
  [SMALL_STATE(1706)] = 74612,
  [SMALL_STATE(1707)] = 74660,
  [SMALL_STATE(1708)] = 74708,
  [SMALL_STATE(1709)] = 74756,
  [SMALL_STATE(1710)] = 74804,
  [SMALL_STATE(1711)] = 74852,
  [SMALL_STATE(1712)] = 74900,
  [SMALL_STATE(1713)] = 74938,
  [SMALL_STATE(1714)] = 74986,
  [SMALL_STATE(1715)] = 75034,
  [SMALL_STATE(1716)] = 75082,
  [SMALL_STATE(1717)] = 75130,
  [SMALL_STATE(1718)] = 75178,
  [SMALL_STATE(1719)] = 75226,
  [SMALL_STATE(1720)] = 75274,
  [SMALL_STATE(1721)] = 75322,
  [SMALL_STATE(1722)] = 75370,
  [SMALL_STATE(1723)] = 75418,
  [SMALL_STATE(1724)] = 75466,
  [SMALL_STATE(1725)] = 75514,
  [SMALL_STATE(1726)] = 75562,
  [SMALL_STATE(1727)] = 75610,
  [SMALL_STATE(1728)] = 75658,
  [SMALL_STATE(1729)] = 75706,
  [SMALL_STATE(1730)] = 75754,
  [SMALL_STATE(1731)] = 75802,
  [SMALL_STATE(1732)] = 75850,
  [SMALL_STATE(1733)] = 75898,
  [SMALL_STATE(1734)] = 75946,
  [SMALL_STATE(1735)] = 75994,
  [SMALL_STATE(1736)] = 76042,
  [SMALL_STATE(1737)] = 76081,
  [SMALL_STATE(1738)] = 76120,
  [SMALL_STATE(1739)] = 76156,
  [SMALL_STATE(1740)] = 76192,
  [SMALL_STATE(1741)] = 76228,
  [SMALL_STATE(1742)] = 76264,
  [SMALL_STATE(1743)] = 76300,
  [SMALL_STATE(1744)] = 76336,
  [SMALL_STATE(1745)] = 76372,
  [SMALL_STATE(1746)] = 76408,
  [SMALL_STATE(1747)] = 76444,
  [SMALL_STATE(1748)] = 76480,
  [SMALL_STATE(1749)] = 76516,
  [SMALL_STATE(1750)] = 76552,
  [SMALL_STATE(1751)] = 76588,
  [SMALL_STATE(1752)] = 76624,
  [SMALL_STATE(1753)] = 76660,
  [SMALL_STATE(1754)] = 76696,
  [SMALL_STATE(1755)] = 76732,
  [SMALL_STATE(1756)] = 76768,
  [SMALL_STATE(1757)] = 76804,
  [SMALL_STATE(1758)] = 76840,
  [SMALL_STATE(1759)] = 76876,
  [SMALL_STATE(1760)] = 76912,
  [SMALL_STATE(1761)] = 76948,
  [SMALL_STATE(1762)] = 76984,
  [SMALL_STATE(1763)] = 77020,
  [SMALL_STATE(1764)] = 77056,
  [SMALL_STATE(1765)] = 77092,
  [SMALL_STATE(1766)] = 77128,
  [SMALL_STATE(1767)] = 77164,
  [SMALL_STATE(1768)] = 77200,
  [SMALL_STATE(1769)] = 77236,
  [SMALL_STATE(1770)] = 77272,
  [SMALL_STATE(1771)] = 77308,
  [SMALL_STATE(1772)] = 77344,
  [SMALL_STATE(1773)] = 77380,
  [SMALL_STATE(1774)] = 77416,
  [SMALL_STATE(1775)] = 77467,
  [SMALL_STATE(1776)] = 77514,
  [SMALL_STATE(1777)] = 77561,
  [SMALL_STATE(1778)] = 77608,
  [SMALL_STATE(1779)] = 77655,
  [SMALL_STATE(1780)] = 77699,
  [SMALL_STATE(1781)] = 77725,
  [SMALL_STATE(1782)] = 77751,
  [SMALL_STATE(1783)] = 77777,
  [SMALL_STATE(1784)] = 77803,
  [SMALL_STATE(1785)] = 77829,
  [SMALL_STATE(1786)] = 77857,
  [SMALL_STATE(1787)] = 77883,
  [SMALL_STATE(1788)] = 77911,
  [SMALL_STATE(1789)] = 77937,
  [SMALL_STATE(1790)] = 77963,
  [SMALL_STATE(1791)] = 77991,
  [SMALL_STATE(1792)] = 78017,
  [SMALL_STATE(1793)] = 78045,
  [SMALL_STATE(1794)] = 78071,
  [SMALL_STATE(1795)] = 78097,
  [SMALL_STATE(1796)] = 78123,
  [SMALL_STATE(1797)] = 78149,
  [SMALL_STATE(1798)] = 78175,
  [SMALL_STATE(1799)] = 78201,
  [SMALL_STATE(1800)] = 78227,
  [SMALL_STATE(1801)] = 78255,
  [SMALL_STATE(1802)] = 78281,
  [SMALL_STATE(1803)] = 78307,
  [SMALL_STATE(1804)] = 78333,
  [SMALL_STATE(1805)] = 78361,
  [SMALL_STATE(1806)] = 78389,
  [SMALL_STATE(1807)] = 78415,
  [SMALL_STATE(1808)] = 78438,
  [SMALL_STATE(1809)] = 78463,
  [SMALL_STATE(1810)] = 78488,
  [SMALL_STATE(1811)] = 78513,
  [SMALL_STATE(1812)] = 78538,
  [SMALL_STATE(1813)] = 78563,
  [SMALL_STATE(1814)] = 78588,
  [SMALL_STATE(1815)] = 78611,
  [SMALL_STATE(1816)] = 78636,
  [SMALL_STATE(1817)] = 78659,
  [SMALL_STATE(1818)] = 78684,
  [SMALL_STATE(1819)] = 78709,
  [SMALL_STATE(1820)] = 78732,
  [SMALL_STATE(1821)] = 78755,
  [SMALL_STATE(1822)] = 78780,
  [SMALL_STATE(1823)] = 78803,
  [SMALL_STATE(1824)] = 78828,
  [SMALL_STATE(1825)] = 78853,
  [SMALL_STATE(1826)] = 78878,
  [SMALL_STATE(1827)] = 78901,
  [SMALL_STATE(1828)] = 78926,
  [SMALL_STATE(1829)] = 78949,
  [SMALL_STATE(1830)] = 78972,
  [SMALL_STATE(1831)] = 78997,
  [SMALL_STATE(1832)] = 79022,
  [SMALL_STATE(1833)] = 79041,
  [SMALL_STATE(1834)] = 79066,
  [SMALL_STATE(1835)] = 79091,
  [SMALL_STATE(1836)] = 79116,
  [SMALL_STATE(1837)] = 79135,
  [SMALL_STATE(1838)] = 79158,
  [SMALL_STATE(1839)] = 79183,
  [SMALL_STATE(1840)] = 79206,
  [SMALL_STATE(1841)] = 79229,
  [SMALL_STATE(1842)] = 79252,
  [SMALL_STATE(1843)] = 79271,
  [SMALL_STATE(1844)] = 79296,
  [SMALL_STATE(1845)] = 79319,
  [SMALL_STATE(1846)] = 79344,
  [SMALL_STATE(1847)] = 79367,
  [SMALL_STATE(1848)] = 79390,
  [SMALL_STATE(1849)] = 79415,
  [SMALL_STATE(1850)] = 79438,
  [SMALL_STATE(1851)] = 79463,
  [SMALL_STATE(1852)] = 79488,
  [SMALL_STATE(1853)] = 79513,
  [SMALL_STATE(1854)] = 79535,
  [SMALL_STATE(1855)] = 79555,
  [SMALL_STATE(1856)] = 79575,
  [SMALL_STATE(1857)] = 79595,
  [SMALL_STATE(1858)] = 79615,
  [SMALL_STATE(1859)] = 79633,
  [SMALL_STATE(1860)] = 79653,
  [SMALL_STATE(1861)] = 79673,
  [SMALL_STATE(1862)] = 79695,
  [SMALL_STATE(1863)] = 79717,
  [SMALL_STATE(1864)] = 79739,
  [SMALL_STATE(1865)] = 79761,
  [SMALL_STATE(1866)] = 79783,
  [SMALL_STATE(1867)] = 79803,
  [SMALL_STATE(1868)] = 79823,
  [SMALL_STATE(1869)] = 79845,
  [SMALL_STATE(1870)] = 79867,
  [SMALL_STATE(1871)] = 79889,
  [SMALL_STATE(1872)] = 79911,
  [SMALL_STATE(1873)] = 79933,
  [SMALL_STATE(1874)] = 79955,
  [SMALL_STATE(1875)] = 79977,
  [SMALL_STATE(1876)] = 79999,
  [SMALL_STATE(1877)] = 80019,
  [SMALL_STATE(1878)] = 80039,
  [SMALL_STATE(1879)] = 80059,
  [SMALL_STATE(1880)] = 80079,
  [SMALL_STATE(1881)] = 80098,
  [SMALL_STATE(1882)] = 80117,
  [SMALL_STATE(1883)] = 80136,
  [SMALL_STATE(1884)] = 80155,
  [SMALL_STATE(1885)] = 80172,
  [SMALL_STATE(1886)] = 80189,
  [SMALL_STATE(1887)] = 80208,
  [SMALL_STATE(1888)] = 80227,
  [SMALL_STATE(1889)] = 80246,
  [SMALL_STATE(1890)] = 80265,
  [SMALL_STATE(1891)] = 80284,
  [SMALL_STATE(1892)] = 80303,
  [SMALL_STATE(1893)] = 80322,
  [SMALL_STATE(1894)] = 80341,
  [SMALL_STATE(1895)] = 80360,
  [SMALL_STATE(1896)] = 80379,
  [SMALL_STATE(1897)] = 80394,
  [SMALL_STATE(1898)] = 80413,
  [SMALL_STATE(1899)] = 80428,
  [SMALL_STATE(1900)] = 80447,
  [SMALL_STATE(1901)] = 80464,
  [SMALL_STATE(1902)] = 80483,
  [SMALL_STATE(1903)] = 80502,
  [SMALL_STATE(1904)] = 80521,
  [SMALL_STATE(1905)] = 80540,
  [SMALL_STATE(1906)] = 80557,
  [SMALL_STATE(1907)] = 80576,
  [SMALL_STATE(1908)] = 80593,
  [SMALL_STATE(1909)] = 80608,
  [SMALL_STATE(1910)] = 80627,
  [SMALL_STATE(1911)] = 80646,
  [SMALL_STATE(1912)] = 80665,
  [SMALL_STATE(1913)] = 80684,
  [SMALL_STATE(1914)] = 80703,
  [SMALL_STATE(1915)] = 80720,
  [SMALL_STATE(1916)] = 80739,
  [SMALL_STATE(1917)] = 80758,
  [SMALL_STATE(1918)] = 80774,
  [SMALL_STATE(1919)] = 80790,
  [SMALL_STATE(1920)] = 80806,
  [SMALL_STATE(1921)] = 80822,
  [SMALL_STATE(1922)] = 80838,
  [SMALL_STATE(1923)] = 80854,
  [SMALL_STATE(1924)] = 80870,
  [SMALL_STATE(1925)] = 80886,
  [SMALL_STATE(1926)] = 80902,
  [SMALL_STATE(1927)] = 80918,
  [SMALL_STATE(1928)] = 80934,
  [SMALL_STATE(1929)] = 80950,
  [SMALL_STATE(1930)] = 80966,
  [SMALL_STATE(1931)] = 80982,
  [SMALL_STATE(1932)] = 80998,
  [SMALL_STATE(1933)] = 81014,
  [SMALL_STATE(1934)] = 81028,
  [SMALL_STATE(1935)] = 81044,
  [SMALL_STATE(1936)] = 81060,
  [SMALL_STATE(1937)] = 81076,
  [SMALL_STATE(1938)] = 81092,
  [SMALL_STATE(1939)] = 81108,
  [SMALL_STATE(1940)] = 81122,
  [SMALL_STATE(1941)] = 81138,
  [SMALL_STATE(1942)] = 81154,
  [SMALL_STATE(1943)] = 81170,
  [SMALL_STATE(1944)] = 81186,
  [SMALL_STATE(1945)] = 81202,
  [SMALL_STATE(1946)] = 81218,
  [SMALL_STATE(1947)] = 81234,
  [SMALL_STATE(1948)] = 81250,
  [SMALL_STATE(1949)] = 81264,
  [SMALL_STATE(1950)] = 81280,
  [SMALL_STATE(1951)] = 81296,
  [SMALL_STATE(1952)] = 81312,
  [SMALL_STATE(1953)] = 81328,
  [SMALL_STATE(1954)] = 81344,
  [SMALL_STATE(1955)] = 81360,
  [SMALL_STATE(1956)] = 81376,
  [SMALL_STATE(1957)] = 81392,
  [SMALL_STATE(1958)] = 81408,
  [SMALL_STATE(1959)] = 81422,
  [SMALL_STATE(1960)] = 81438,
  [SMALL_STATE(1961)] = 81454,
  [SMALL_STATE(1962)] = 81470,
  [SMALL_STATE(1963)] = 81486,
  [SMALL_STATE(1964)] = 81502,
  [SMALL_STATE(1965)] = 81518,
  [SMALL_STATE(1966)] = 81534,
  [SMALL_STATE(1967)] = 81548,
  [SMALL_STATE(1968)] = 81564,
  [SMALL_STATE(1969)] = 81580,
  [SMALL_STATE(1970)] = 81596,
  [SMALL_STATE(1971)] = 81612,
  [SMALL_STATE(1972)] = 81628,
  [SMALL_STATE(1973)] = 81642,
  [SMALL_STATE(1974)] = 81658,
  [SMALL_STATE(1975)] = 81674,
  [SMALL_STATE(1976)] = 81690,
  [SMALL_STATE(1977)] = 81706,
  [SMALL_STATE(1978)] = 81720,
  [SMALL_STATE(1979)] = 81734,
  [SMALL_STATE(1980)] = 81748,
  [SMALL_STATE(1981)] = 81764,
  [SMALL_STATE(1982)] = 81780,
  [SMALL_STATE(1983)] = 81796,
  [SMALL_STATE(1984)] = 81810,
  [SMALL_STATE(1985)] = 81826,
  [SMALL_STATE(1986)] = 81842,
  [SMALL_STATE(1987)] = 81858,
  [SMALL_STATE(1988)] = 81874,
  [SMALL_STATE(1989)] = 81888,
  [SMALL_STATE(1990)] = 81904,
  [SMALL_STATE(1991)] = 81920,
  [SMALL_STATE(1992)] = 81936,
  [SMALL_STATE(1993)] = 81952,
  [SMALL_STATE(1994)] = 81968,
  [SMALL_STATE(1995)] = 81984,
  [SMALL_STATE(1996)] = 82000,
  [SMALL_STATE(1997)] = 82016,
  [SMALL_STATE(1998)] = 82032,
  [SMALL_STATE(1999)] = 82046,
  [SMALL_STATE(2000)] = 82062,
  [SMALL_STATE(2001)] = 82078,
  [SMALL_STATE(2002)] = 82094,
  [SMALL_STATE(2003)] = 82110,
  [SMALL_STATE(2004)] = 82126,
  [SMALL_STATE(2005)] = 82142,
  [SMALL_STATE(2006)] = 82156,
  [SMALL_STATE(2007)] = 82172,
  [SMALL_STATE(2008)] = 82188,
  [SMALL_STATE(2009)] = 82202,
  [SMALL_STATE(2010)] = 82218,
  [SMALL_STATE(2011)] = 82234,
  [SMALL_STATE(2012)] = 82250,
  [SMALL_STATE(2013)] = 82266,
  [SMALL_STATE(2014)] = 82282,
  [SMALL_STATE(2015)] = 82298,
  [SMALL_STATE(2016)] = 82314,
  [SMALL_STATE(2017)] = 82330,
  [SMALL_STATE(2018)] = 82346,
  [SMALL_STATE(2019)] = 82362,
  [SMALL_STATE(2020)] = 82378,
  [SMALL_STATE(2021)] = 82394,
  [SMALL_STATE(2022)] = 82410,
  [SMALL_STATE(2023)] = 82426,
  [SMALL_STATE(2024)] = 82442,
  [SMALL_STATE(2025)] = 82458,
  [SMALL_STATE(2026)] = 82474,
  [SMALL_STATE(2027)] = 82488,
  [SMALL_STATE(2028)] = 82504,
  [SMALL_STATE(2029)] = 82520,
  [SMALL_STATE(2030)] = 82536,
  [SMALL_STATE(2031)] = 82552,
  [SMALL_STATE(2032)] = 82568,
  [SMALL_STATE(2033)] = 82582,
  [SMALL_STATE(2034)] = 82598,
  [SMALL_STATE(2035)] = 82614,
  [SMALL_STATE(2036)] = 82630,
  [SMALL_STATE(2037)] = 82646,
  [SMALL_STATE(2038)] = 82662,
  [SMALL_STATE(2039)] = 82678,
  [SMALL_STATE(2040)] = 82694,
  [SMALL_STATE(2041)] = 82710,
  [SMALL_STATE(2042)] = 82726,
  [SMALL_STATE(2043)] = 82742,
  [SMALL_STATE(2044)] = 82756,
  [SMALL_STATE(2045)] = 82772,
  [SMALL_STATE(2046)] = 82788,
  [SMALL_STATE(2047)] = 82804,
  [SMALL_STATE(2048)] = 82820,
  [SMALL_STATE(2049)] = 82836,
  [SMALL_STATE(2050)] = 82852,
  [SMALL_STATE(2051)] = 82868,
  [SMALL_STATE(2052)] = 82884,
  [SMALL_STATE(2053)] = 82900,
  [SMALL_STATE(2054)] = 82916,
  [SMALL_STATE(2055)] = 82932,
  [SMALL_STATE(2056)] = 82948,
  [SMALL_STATE(2057)] = 82964,
  [SMALL_STATE(2058)] = 82978,
  [SMALL_STATE(2059)] = 82994,
  [SMALL_STATE(2060)] = 83010,
  [SMALL_STATE(2061)] = 83026,
  [SMALL_STATE(2062)] = 83042,
  [SMALL_STATE(2063)] = 83058,
  [SMALL_STATE(2064)] = 83074,
  [SMALL_STATE(2065)] = 83090,
  [SMALL_STATE(2066)] = 83104,
  [SMALL_STATE(2067)] = 83120,
  [SMALL_STATE(2068)] = 83136,
  [SMALL_STATE(2069)] = 83150,
  [SMALL_STATE(2070)] = 83166,
  [SMALL_STATE(2071)] = 83182,
  [SMALL_STATE(2072)] = 83198,
  [SMALL_STATE(2073)] = 83212,
  [SMALL_STATE(2074)] = 83228,
  [SMALL_STATE(2075)] = 83244,
  [SMALL_STATE(2076)] = 83260,
  [SMALL_STATE(2077)] = 83276,
  [SMALL_STATE(2078)] = 83292,
  [SMALL_STATE(2079)] = 83308,
  [SMALL_STATE(2080)] = 83322,
  [SMALL_STATE(2081)] = 83338,
  [SMALL_STATE(2082)] = 83354,
  [SMALL_STATE(2083)] = 83370,
  [SMALL_STATE(2084)] = 83386,
  [SMALL_STATE(2085)] = 83402,
  [SMALL_STATE(2086)] = 83416,
  [SMALL_STATE(2087)] = 83432,
  [SMALL_STATE(2088)] = 83448,
  [SMALL_STATE(2089)] = 83464,
  [SMALL_STATE(2090)] = 83478,
  [SMALL_STATE(2091)] = 83494,
  [SMALL_STATE(2092)] = 83510,
  [SMALL_STATE(2093)] = 83526,
  [SMALL_STATE(2094)] = 83542,
  [SMALL_STATE(2095)] = 83558,
  [SMALL_STATE(2096)] = 83574,
  [SMALL_STATE(2097)] = 83590,
  [SMALL_STATE(2098)] = 83606,
  [SMALL_STATE(2099)] = 83622,
  [SMALL_STATE(2100)] = 83636,
  [SMALL_STATE(2101)] = 83652,
  [SMALL_STATE(2102)] = 83666,
  [SMALL_STATE(2103)] = 83682,
  [SMALL_STATE(2104)] = 83698,
  [SMALL_STATE(2105)] = 83714,
  [SMALL_STATE(2106)] = 83730,
  [SMALL_STATE(2107)] = 83746,
  [SMALL_STATE(2108)] = 83760,
  [SMALL_STATE(2109)] = 83776,
  [SMALL_STATE(2110)] = 83792,
  [SMALL_STATE(2111)] = 83808,
  [SMALL_STATE(2112)] = 83824,
  [SMALL_STATE(2113)] = 83840,
  [SMALL_STATE(2114)] = 83856,
  [SMALL_STATE(2115)] = 83870,
  [SMALL_STATE(2116)] = 83886,
  [SMALL_STATE(2117)] = 83902,
  [SMALL_STATE(2118)] = 83918,
  [SMALL_STATE(2119)] = 83934,
  [SMALL_STATE(2120)] = 83947,
  [SMALL_STATE(2121)] = 83960,
  [SMALL_STATE(2122)] = 83973,
  [SMALL_STATE(2123)] = 83986,
  [SMALL_STATE(2124)] = 83999,
  [SMALL_STATE(2125)] = 84012,
  [SMALL_STATE(2126)] = 84025,
  [SMALL_STATE(2127)] = 84038,
  [SMALL_STATE(2128)] = 84051,
  [SMALL_STATE(2129)] = 84064,
  [SMALL_STATE(2130)] = 84077,
  [SMALL_STATE(2131)] = 84090,
  [SMALL_STATE(2132)] = 84103,
  [SMALL_STATE(2133)] = 84116,
  [SMALL_STATE(2134)] = 84129,
  [SMALL_STATE(2135)] = 84142,
  [SMALL_STATE(2136)] = 84155,
  [SMALL_STATE(2137)] = 84168,
  [SMALL_STATE(2138)] = 84181,
  [SMALL_STATE(2139)] = 84194,
  [SMALL_STATE(2140)] = 84207,
  [SMALL_STATE(2141)] = 84220,
  [SMALL_STATE(2142)] = 84233,
  [SMALL_STATE(2143)] = 84246,
  [SMALL_STATE(2144)] = 84259,
  [SMALL_STATE(2145)] = 84272,
  [SMALL_STATE(2146)] = 84285,
  [SMALL_STATE(2147)] = 84298,
  [SMALL_STATE(2148)] = 84311,
  [SMALL_STATE(2149)] = 84324,
  [SMALL_STATE(2150)] = 84337,
  [SMALL_STATE(2151)] = 84350,
  [SMALL_STATE(2152)] = 84363,
  [SMALL_STATE(2153)] = 84376,
  [SMALL_STATE(2154)] = 84389,
  [SMALL_STATE(2155)] = 84402,
  [SMALL_STATE(2156)] = 84415,
  [SMALL_STATE(2157)] = 84428,
  [SMALL_STATE(2158)] = 84441,
  [SMALL_STATE(2159)] = 84454,
  [SMALL_STATE(2160)] = 84467,
  [SMALL_STATE(2161)] = 84480,
  [SMALL_STATE(2162)] = 84493,
  [SMALL_STATE(2163)] = 84506,
  [SMALL_STATE(2164)] = 84519,
  [SMALL_STATE(2165)] = 84532,
  [SMALL_STATE(2166)] = 84545,
  [SMALL_STATE(2167)] = 84558,
  [SMALL_STATE(2168)] = 84571,
  [SMALL_STATE(2169)] = 84584,
  [SMALL_STATE(2170)] = 84597,
  [SMALL_STATE(2171)] = 84610,
  [SMALL_STATE(2172)] = 84623,
  [SMALL_STATE(2173)] = 84636,
  [SMALL_STATE(2174)] = 84649,
  [SMALL_STATE(2175)] = 84662,
  [SMALL_STATE(2176)] = 84675,
  [SMALL_STATE(2177)] = 84688,
  [SMALL_STATE(2178)] = 84701,
  [SMALL_STATE(2179)] = 84714,
  [SMALL_STATE(2180)] = 84727,
  [SMALL_STATE(2181)] = 84740,
  [SMALL_STATE(2182)] = 84753,
  [SMALL_STATE(2183)] = 84766,
  [SMALL_STATE(2184)] = 84779,
  [SMALL_STATE(2185)] = 84792,
  [SMALL_STATE(2186)] = 84805,
  [SMALL_STATE(2187)] = 84818,
  [SMALL_STATE(2188)] = 84831,
  [SMALL_STATE(2189)] = 84844,
  [SMALL_STATE(2190)] = 84857,
  [SMALL_STATE(2191)] = 84870,
  [SMALL_STATE(2192)] = 84883,
  [SMALL_STATE(2193)] = 84896,
  [SMALL_STATE(2194)] = 84909,
  [SMALL_STATE(2195)] = 84922,
  [SMALL_STATE(2196)] = 84935,
  [SMALL_STATE(2197)] = 84948,
  [SMALL_STATE(2198)] = 84961,
  [SMALL_STATE(2199)] = 84974,
  [SMALL_STATE(2200)] = 84987,
  [SMALL_STATE(2201)] = 85000,
  [SMALL_STATE(2202)] = 85013,
  [SMALL_STATE(2203)] = 85026,
  [SMALL_STATE(2204)] = 85039,
  [SMALL_STATE(2205)] = 85052,
  [SMALL_STATE(2206)] = 85065,
  [SMALL_STATE(2207)] = 85078,
  [SMALL_STATE(2208)] = 85091,
  [SMALL_STATE(2209)] = 85104,
  [SMALL_STATE(2210)] = 85117,
  [SMALL_STATE(2211)] = 85130,
  [SMALL_STATE(2212)] = 85143,
  [SMALL_STATE(2213)] = 85156,
  [SMALL_STATE(2214)] = 85169,
  [SMALL_STATE(2215)] = 85182,
  [SMALL_STATE(2216)] = 85195,
  [SMALL_STATE(2217)] = 85208,
  [SMALL_STATE(2218)] = 85221,
  [SMALL_STATE(2219)] = 85234,
  [SMALL_STATE(2220)] = 85247,
  [SMALL_STATE(2221)] = 85260,
  [SMALL_STATE(2222)] = 85273,
  [SMALL_STATE(2223)] = 85286,
  [SMALL_STATE(2224)] = 85299,
  [SMALL_STATE(2225)] = 85312,
  [SMALL_STATE(2226)] = 85325,
  [SMALL_STATE(2227)] = 85338,
  [SMALL_STATE(2228)] = 85351,
  [SMALL_STATE(2229)] = 85364,
  [SMALL_STATE(2230)] = 85377,
  [SMALL_STATE(2231)] = 85390,
  [SMALL_STATE(2232)] = 85403,
  [SMALL_STATE(2233)] = 85416,
  [SMALL_STATE(2234)] = 85429,
  [SMALL_STATE(2235)] = 85442,
  [SMALL_STATE(2236)] = 85455,
  [SMALL_STATE(2237)] = 85468,
  [SMALL_STATE(2238)] = 85481,
  [SMALL_STATE(2239)] = 85494,
  [SMALL_STATE(2240)] = 85507,
  [SMALL_STATE(2241)] = 85520,
  [SMALL_STATE(2242)] = 85533,
  [SMALL_STATE(2243)] = 85546,
  [SMALL_STATE(2244)] = 85559,
  [SMALL_STATE(2245)] = 85572,
  [SMALL_STATE(2246)] = 85585,
  [SMALL_STATE(2247)] = 85598,
  [SMALL_STATE(2248)] = 85611,
  [SMALL_STATE(2249)] = 85624,
  [SMALL_STATE(2250)] = 85637,
  [SMALL_STATE(2251)] = 85650,
  [SMALL_STATE(2252)] = 85663,
  [SMALL_STATE(2253)] = 85676,
  [SMALL_STATE(2254)] = 85689,
  [SMALL_STATE(2255)] = 85702,
  [SMALL_STATE(2256)] = 85715,
  [SMALL_STATE(2257)] = 85728,
  [SMALL_STATE(2258)] = 85741,
  [SMALL_STATE(2259)] = 85754,
  [SMALL_STATE(2260)] = 85767,
  [SMALL_STATE(2261)] = 85780,
  [SMALL_STATE(2262)] = 85793,
  [SMALL_STATE(2263)] = 85806,
  [SMALL_STATE(2264)] = 85819,
  [SMALL_STATE(2265)] = 85832,
  [SMALL_STATE(2266)] = 85845,
  [SMALL_STATE(2267)] = 85858,
  [SMALL_STATE(2268)] = 85871,
  [SMALL_STATE(2269)] = 85884,
  [SMALL_STATE(2270)] = 85897,
  [SMALL_STATE(2271)] = 85910,
  [SMALL_STATE(2272)] = 85923,
  [SMALL_STATE(2273)] = 85936,
  [SMALL_STATE(2274)] = 85949,
  [SMALL_STATE(2275)] = 85962,
  [SMALL_STATE(2276)] = 85975,
  [SMALL_STATE(2277)] = 85988,
  [SMALL_STATE(2278)] = 86001,
  [SMALL_STATE(2279)] = 86014,
  [SMALL_STATE(2280)] = 86027,
  [SMALL_STATE(2281)] = 86040,
  [SMALL_STATE(2282)] = 86053,
  [SMALL_STATE(2283)] = 86066,
  [SMALL_STATE(2284)] = 86079,
  [SMALL_STATE(2285)] = 86092,
  [SMALL_STATE(2286)] = 86105,
  [SMALL_STATE(2287)] = 86118,
  [SMALL_STATE(2288)] = 86131,
  [SMALL_STATE(2289)] = 86144,
  [SMALL_STATE(2290)] = 86157,
  [SMALL_STATE(2291)] = 86170,
  [SMALL_STATE(2292)] = 86183,
  [SMALL_STATE(2293)] = 86196,
  [SMALL_STATE(2294)] = 86209,
  [SMALL_STATE(2295)] = 86222,
  [SMALL_STATE(2296)] = 86235,
  [SMALL_STATE(2297)] = 86248,
  [SMALL_STATE(2298)] = 86261,
  [SMALL_STATE(2299)] = 86274,
  [SMALL_STATE(2300)] = 86287,
  [SMALL_STATE(2301)] = 86300,
  [SMALL_STATE(2302)] = 86313,
  [SMALL_STATE(2303)] = 86326,
  [SMALL_STATE(2304)] = 86339,
  [SMALL_STATE(2305)] = 86352,
  [SMALL_STATE(2306)] = 86365,
  [SMALL_STATE(2307)] = 86378,
  [SMALL_STATE(2308)] = 86391,
  [SMALL_STATE(2309)] = 86404,
  [SMALL_STATE(2310)] = 86417,
  [SMALL_STATE(2311)] = 86430,
  [SMALL_STATE(2312)] = 86443,
  [SMALL_STATE(2313)] = 86456,
  [SMALL_STATE(2314)] = 86469,
  [SMALL_STATE(2315)] = 86482,
  [SMALL_STATE(2316)] = 86495,
  [SMALL_STATE(2317)] = 86508,
  [SMALL_STATE(2318)] = 86521,
  [SMALL_STATE(2319)] = 86534,
  [SMALL_STATE(2320)] = 86547,
  [SMALL_STATE(2321)] = 86560,
  [SMALL_STATE(2322)] = 86573,
  [SMALL_STATE(2323)] = 86586,
  [SMALL_STATE(2324)] = 86599,
  [SMALL_STATE(2325)] = 86612,
  [SMALL_STATE(2326)] = 86625,
  [SMALL_STATE(2327)] = 86638,
  [SMALL_STATE(2328)] = 86651,
  [SMALL_STATE(2329)] = 86664,
  [SMALL_STATE(2330)] = 86677,
  [SMALL_STATE(2331)] = 86690,
  [SMALL_STATE(2332)] = 86703,
  [SMALL_STATE(2333)] = 86716,
  [SMALL_STATE(2334)] = 86729,
  [SMALL_STATE(2335)] = 86742,
  [SMALL_STATE(2336)] = 86755,
  [SMALL_STATE(2337)] = 86768,
  [SMALL_STATE(2338)] = 86781,
  [SMALL_STATE(2339)] = 86794,
  [SMALL_STATE(2340)] = 86807,
  [SMALL_STATE(2341)] = 86820,
  [SMALL_STATE(2342)] = 86833,
  [SMALL_STATE(2343)] = 86846,
  [SMALL_STATE(2344)] = 86859,
  [SMALL_STATE(2345)] = 86872,
  [SMALL_STATE(2346)] = 86885,
  [SMALL_STATE(2347)] = 86898,
  [SMALL_STATE(2348)] = 86911,
  [SMALL_STATE(2349)] = 86924,
  [SMALL_STATE(2350)] = 86937,
  [SMALL_STATE(2351)] = 86950,
  [SMALL_STATE(2352)] = 86963,
  [SMALL_STATE(2353)] = 86976,
  [SMALL_STATE(2354)] = 86989,
  [SMALL_STATE(2355)] = 87002,
  [SMALL_STATE(2356)] = 87015,
  [SMALL_STATE(2357)] = 87028,
  [SMALL_STATE(2358)] = 87041,
  [SMALL_STATE(2359)] = 87054,
  [SMALL_STATE(2360)] = 87067,
  [SMALL_STATE(2361)] = 87080,
  [SMALL_STATE(2362)] = 87093,
  [SMALL_STATE(2363)] = 87106,
  [SMALL_STATE(2364)] = 87119,
  [SMALL_STATE(2365)] = 87132,
  [SMALL_STATE(2366)] = 87145,
  [SMALL_STATE(2367)] = 87158,
  [SMALL_STATE(2368)] = 87171,
  [SMALL_STATE(2369)] = 87184,
  [SMALL_STATE(2370)] = 87197,
  [SMALL_STATE(2371)] = 87210,
  [SMALL_STATE(2372)] = 87223,
  [SMALL_STATE(2373)] = 87236,
  [SMALL_STATE(2374)] = 87249,
  [SMALL_STATE(2375)] = 87262,
  [SMALL_STATE(2376)] = 87275,
  [SMALL_STATE(2377)] = 87288,
  [SMALL_STATE(2378)] = 87301,
  [SMALL_STATE(2379)] = 87314,
  [SMALL_STATE(2380)] = 87327,
  [SMALL_STATE(2381)] = 87340,
  [SMALL_STATE(2382)] = 87353,
  [SMALL_STATE(2383)] = 87366,
  [SMALL_STATE(2384)] = 87379,
  [SMALL_STATE(2385)] = 87392,
  [SMALL_STATE(2386)] = 87405,
  [SMALL_STATE(2387)] = 87418,
  [SMALL_STATE(2388)] = 87431,
  [SMALL_STATE(2389)] = 87444,
  [SMALL_STATE(2390)] = 87457,
  [SMALL_STATE(2391)] = 87470,
  [SMALL_STATE(2392)] = 87483,
  [SMALL_STATE(2393)] = 87496,
  [SMALL_STATE(2394)] = 87509,
  [SMALL_STATE(2395)] = 87522,
  [SMALL_STATE(2396)] = 87535,
  [SMALL_STATE(2397)] = 87548,
  [SMALL_STATE(2398)] = 87561,
  [SMALL_STATE(2399)] = 87574,
  [SMALL_STATE(2400)] = 87587,
  [SMALL_STATE(2401)] = 87600,
  [SMALL_STATE(2402)] = 87613,
  [SMALL_STATE(2403)] = 87626,
  [SMALL_STATE(2404)] = 87639,
  [SMALL_STATE(2405)] = 87652,
  [SMALL_STATE(2406)] = 87665,
  [SMALL_STATE(2407)] = 87678,
  [SMALL_STATE(2408)] = 87691,
  [SMALL_STATE(2409)] = 87704,
  [SMALL_STATE(2410)] = 87717,
  [SMALL_STATE(2411)] = 87730,
  [SMALL_STATE(2412)] = 87743,
  [SMALL_STATE(2413)] = 87756,
  [SMALL_STATE(2414)] = 87769,
  [SMALL_STATE(2415)] = 87782,
  [SMALL_STATE(2416)] = 87795,
  [SMALL_STATE(2417)] = 87808,
  [SMALL_STATE(2418)] = 87821,
  [SMALL_STATE(2419)] = 87834,
  [SMALL_STATE(2420)] = 87847,
  [SMALL_STATE(2421)] = 87860,
  [SMALL_STATE(2422)] = 87873,
  [SMALL_STATE(2423)] = 87886,
  [SMALL_STATE(2424)] = 87899,
  [SMALL_STATE(2425)] = 87912,
  [SMALL_STATE(2426)] = 87925,
  [SMALL_STATE(2427)] = 87938,
  [SMALL_STATE(2428)] = 87951,
  [SMALL_STATE(2429)] = 87964,
  [SMALL_STATE(2430)] = 87977,
  [SMALL_STATE(2431)] = 87990,
  [SMALL_STATE(2432)] = 88003,
  [SMALL_STATE(2433)] = 88016,
  [SMALL_STATE(2434)] = 88029,
  [SMALL_STATE(2435)] = 88042,
  [SMALL_STATE(2436)] = 88055,
  [SMALL_STATE(2437)] = 88068,
  [SMALL_STATE(2438)] = 88081,
  [SMALL_STATE(2439)] = 88094,
  [SMALL_STATE(2440)] = 88107,
  [SMALL_STATE(2441)] = 88120,
  [SMALL_STATE(2442)] = 88133,
  [SMALL_STATE(2443)] = 88146,
  [SMALL_STATE(2444)] = 88159,
  [SMALL_STATE(2445)] = 88172,
  [SMALL_STATE(2446)] = 88185,
  [SMALL_STATE(2447)] = 88198,
  [SMALL_STATE(2448)] = 88211,
  [SMALL_STATE(2449)] = 88224,
  [SMALL_STATE(2450)] = 88237,
  [SMALL_STATE(2451)] = 88250,
  [SMALL_STATE(2452)] = 88263,
  [SMALL_STATE(2453)] = 88276,
  [SMALL_STATE(2454)] = 88289,
  [SMALL_STATE(2455)] = 88302,
  [SMALL_STATE(2456)] = 88315,
  [SMALL_STATE(2457)] = 88328,
  [SMALL_STATE(2458)] = 88341,
  [SMALL_STATE(2459)] = 88354,
  [SMALL_STATE(2460)] = 88367,
  [SMALL_STATE(2461)] = 88380,
  [SMALL_STATE(2462)] = 88393,
  [SMALL_STATE(2463)] = 88406,
  [SMALL_STATE(2464)] = 88419,
  [SMALL_STATE(2465)] = 88432,
  [SMALL_STATE(2466)] = 88445,
  [SMALL_STATE(2467)] = 88458,
  [SMALL_STATE(2468)] = 88471,
  [SMALL_STATE(2469)] = 88484,
  [SMALL_STATE(2470)] = 88497,
  [SMALL_STATE(2471)] = 88510,
  [SMALL_STATE(2472)] = 88523,
  [SMALL_STATE(2473)] = 88536,
  [SMALL_STATE(2474)] = 88549,
  [SMALL_STATE(2475)] = 88562,
  [SMALL_STATE(2476)] = 88575,
  [SMALL_STATE(2477)] = 88588,
  [SMALL_STATE(2478)] = 88601,
  [SMALL_STATE(2479)] = 88614,
  [SMALL_STATE(2480)] = 88627,
  [SMALL_STATE(2481)] = 88640,
  [SMALL_STATE(2482)] = 88653,
  [SMALL_STATE(2483)] = 88666,
  [SMALL_STATE(2484)] = 88679,
  [SMALL_STATE(2485)] = 88692,
  [SMALL_STATE(2486)] = 88705,
  [SMALL_STATE(2487)] = 88718,
  [SMALL_STATE(2488)] = 88731,
  [SMALL_STATE(2489)] = 88744,
  [SMALL_STATE(2490)] = 88757,
  [SMALL_STATE(2491)] = 88770,
  [SMALL_STATE(2492)] = 88783,
  [SMALL_STATE(2493)] = 88796,
  [SMALL_STATE(2494)] = 88809,
  [SMALL_STATE(2495)] = 88822,
  [SMALL_STATE(2496)] = 88835,
  [SMALL_STATE(2497)] = 88848,
  [SMALL_STATE(2498)] = 88861,
  [SMALL_STATE(2499)] = 88874,
  [SMALL_STATE(2500)] = 88887,
  [SMALL_STATE(2501)] = 88900,
  [SMALL_STATE(2502)] = 88913,
  [SMALL_STATE(2503)] = 88926,
  [SMALL_STATE(2504)] = 88939,
  [SMALL_STATE(2505)] = 88952,
  [SMALL_STATE(2506)] = 88965,
  [SMALL_STATE(2507)] = 88978,
  [SMALL_STATE(2508)] = 88991,
  [SMALL_STATE(2509)] = 89004,
  [SMALL_STATE(2510)] = 89017,
  [SMALL_STATE(2511)] = 89030,
  [SMALL_STATE(2512)] = 89043,
  [SMALL_STATE(2513)] = 89056,
  [SMALL_STATE(2514)] = 89069,
  [SMALL_STATE(2515)] = 89082,
  [SMALL_STATE(2516)] = 89095,
  [SMALL_STATE(2517)] = 89108,
  [SMALL_STATE(2518)] = 89121,
  [SMALL_STATE(2519)] = 89134,
  [SMALL_STATE(2520)] = 89147,
  [SMALL_STATE(2521)] = 89160,
  [SMALL_STATE(2522)] = 89173,
  [SMALL_STATE(2523)] = 89186,
  [SMALL_STATE(2524)] = 89199,
  [SMALL_STATE(2525)] = 89212,
  [SMALL_STATE(2526)] = 89225,
  [SMALL_STATE(2527)] = 89238,
  [SMALL_STATE(2528)] = 89251,
  [SMALL_STATE(2529)] = 89264,
  [SMALL_STATE(2530)] = 89277,
  [SMALL_STATE(2531)] = 89290,
  [SMALL_STATE(2532)] = 89303,
  [SMALL_STATE(2533)] = 89316,
  [SMALL_STATE(2534)] = 89329,
  [SMALL_STATE(2535)] = 89342,
  [SMALL_STATE(2536)] = 89355,
  [SMALL_STATE(2537)] = 89368,
  [SMALL_STATE(2538)] = 89381,
  [SMALL_STATE(2539)] = 89394,
  [SMALL_STATE(2540)] = 89407,
  [SMALL_STATE(2541)] = 89420,
  [SMALL_STATE(2542)] = 89433,
  [SMALL_STATE(2543)] = 89446,
  [SMALL_STATE(2544)] = 89459,
  [SMALL_STATE(2545)] = 89472,
  [SMALL_STATE(2546)] = 89485,
  [SMALL_STATE(2547)] = 89498,
  [SMALL_STATE(2548)] = 89511,
  [SMALL_STATE(2549)] = 89524,
  [SMALL_STATE(2550)] = 89537,
  [SMALL_STATE(2551)] = 89550,
  [SMALL_STATE(2552)] = 89563,
  [SMALL_STATE(2553)] = 89576,
  [SMALL_STATE(2554)] = 89589,
  [SMALL_STATE(2555)] = 89602,
  [SMALL_STATE(2556)] = 89615,
  [SMALL_STATE(2557)] = 89628,
  [SMALL_STATE(2558)] = 89641,
  [SMALL_STATE(2559)] = 89654,
  [SMALL_STATE(2560)] = 89667,
  [SMALL_STATE(2561)] = 89680,
  [SMALL_STATE(2562)] = 89693,
  [SMALL_STATE(2563)] = 89706,
  [SMALL_STATE(2564)] = 89719,
  [SMALL_STATE(2565)] = 89732,
  [SMALL_STATE(2566)] = 89745,
  [SMALL_STATE(2567)] = 89758,
  [SMALL_STATE(2568)] = 89771,
  [SMALL_STATE(2569)] = 89784,
  [SMALL_STATE(2570)] = 89797,
  [SMALL_STATE(2571)] = 89810,
  [SMALL_STATE(2572)] = 89823,
  [SMALL_STATE(2573)] = 89836,
  [SMALL_STATE(2574)] = 89849,
  [SMALL_STATE(2575)] = 89862,
  [SMALL_STATE(2576)] = 89875,
  [SMALL_STATE(2577)] = 89888,
  [SMALL_STATE(2578)] = 89901,
  [SMALL_STATE(2579)] = 89914,
  [SMALL_STATE(2580)] = 89927,
  [SMALL_STATE(2581)] = 89940,
  [SMALL_STATE(2582)] = 89953,
  [SMALL_STATE(2583)] = 89966,
  [SMALL_STATE(2584)] = 89979,
  [SMALL_STATE(2585)] = 89992,
  [SMALL_STATE(2586)] = 90005,
  [SMALL_STATE(2587)] = 90018,
  [SMALL_STATE(2588)] = 90031,
  [SMALL_STATE(2589)] = 90044,
  [SMALL_STATE(2590)] = 90057,
  [SMALL_STATE(2591)] = 90070,
  [SMALL_STATE(2592)] = 90083,
  [SMALL_STATE(2593)] = 90096,
  [SMALL_STATE(2594)] = 90109,
  [SMALL_STATE(2595)] = 90122,
  [SMALL_STATE(2596)] = 90135,
  [SMALL_STATE(2597)] = 90148,
  [SMALL_STATE(2598)] = 90161,
  [SMALL_STATE(2599)] = 90174,
  [SMALL_STATE(2600)] = 90187,
  [SMALL_STATE(2601)] = 90200,
  [SMALL_STATE(2602)] = 90213,
  [SMALL_STATE(2603)] = 90226,
  [SMALL_STATE(2604)] = 90239,
  [SMALL_STATE(2605)] = 90252,
  [SMALL_STATE(2606)] = 90265,
  [SMALL_STATE(2607)] = 90278,
  [SMALL_STATE(2608)] = 90291,
  [SMALL_STATE(2609)] = 90304,
  [SMALL_STATE(2610)] = 90317,
  [SMALL_STATE(2611)] = 90330,
  [SMALL_STATE(2612)] = 90343,
  [SMALL_STATE(2613)] = 90356,
  [SMALL_STATE(2614)] = 90369,
  [SMALL_STATE(2615)] = 90382,
  [SMALL_STATE(2616)] = 90395,
  [SMALL_STATE(2617)] = 90408,
  [SMALL_STATE(2618)] = 90421,
  [SMALL_STATE(2619)] = 90434,
  [SMALL_STATE(2620)] = 90447,
  [SMALL_STATE(2621)] = 90460,
  [SMALL_STATE(2622)] = 90473,
  [SMALL_STATE(2623)] = 90486,
  [SMALL_STATE(2624)] = 90499,
  [SMALL_STATE(2625)] = 90512,
  [SMALL_STATE(2626)] = 90525,
  [SMALL_STATE(2627)] = 90538,
  [SMALL_STATE(2628)] = 90551,
  [SMALL_STATE(2629)] = 90564,
  [SMALL_STATE(2630)] = 90577,
  [SMALL_STATE(2631)] = 90590,
  [SMALL_STATE(2632)] = 90603,
  [SMALL_STATE(2633)] = 90616,
  [SMALL_STATE(2634)] = 90629,
  [SMALL_STATE(2635)] = 90642,
  [SMALL_STATE(2636)] = 90655,
  [SMALL_STATE(2637)] = 90668,
  [SMALL_STATE(2638)] = 90681,
  [SMALL_STATE(2639)] = 90694,
  [SMALL_STATE(2640)] = 90707,
  [SMALL_STATE(2641)] = 90720,
  [SMALL_STATE(2642)] = 90733,
  [SMALL_STATE(2643)] = 90746,
  [SMALL_STATE(2644)] = 90759,
  [SMALL_STATE(2645)] = 90772,
  [SMALL_STATE(2646)] = 90785,
  [SMALL_STATE(2647)] = 90798,
  [SMALL_STATE(2648)] = 90811,
  [SMALL_STATE(2649)] = 90824,
  [SMALL_STATE(2650)] = 90837,
  [SMALL_STATE(2651)] = 90850,
  [SMALL_STATE(2652)] = 90863,
  [SMALL_STATE(2653)] = 90876,
  [SMALL_STATE(2654)] = 90889,
  [SMALL_STATE(2655)] = 90902,
  [SMALL_STATE(2656)] = 90915,
  [SMALL_STATE(2657)] = 90928,
  [SMALL_STATE(2658)] = 90941,
  [SMALL_STATE(2659)] = 90954,
  [SMALL_STATE(2660)] = 90967,
  [SMALL_STATE(2661)] = 90980,
  [SMALL_STATE(2662)] = 90993,
  [SMALL_STATE(2663)] = 91006,
  [SMALL_STATE(2664)] = 91019,
  [SMALL_STATE(2665)] = 91032,
  [SMALL_STATE(2666)] = 91045,
  [SMALL_STATE(2667)] = 91058,
  [SMALL_STATE(2668)] = 91071,
  [SMALL_STATE(2669)] = 91084,
  [SMALL_STATE(2670)] = 91097,
  [SMALL_STATE(2671)] = 91110,
  [SMALL_STATE(2672)] = 91123,
  [SMALL_STATE(2673)] = 91136,
  [SMALL_STATE(2674)] = 91149,
  [SMALL_STATE(2675)] = 91162,
  [SMALL_STATE(2676)] = 91175,
  [SMALL_STATE(2677)] = 91188,
  [SMALL_STATE(2678)] = 91201,
  [SMALL_STATE(2679)] = 91214,
  [SMALL_STATE(2680)] = 91227,
  [SMALL_STATE(2681)] = 91240,
  [SMALL_STATE(2682)] = 91253,
  [SMALL_STATE(2683)] = 91266,
  [SMALL_STATE(2684)] = 91279,
  [SMALL_STATE(2685)] = 91292,
  [SMALL_STATE(2686)] = 91305,
  [SMALL_STATE(2687)] = 91318,
  [SMALL_STATE(2688)] = 91331,
  [SMALL_STATE(2689)] = 91344,
  [SMALL_STATE(2690)] = 91357,
  [SMALL_STATE(2691)] = 91370,
  [SMALL_STATE(2692)] = 91383,
  [SMALL_STATE(2693)] = 91396,
  [SMALL_STATE(2694)] = 91409,
  [SMALL_STATE(2695)] = 91422,
  [SMALL_STATE(2696)] = 91435,
  [SMALL_STATE(2697)] = 91448,
  [SMALL_STATE(2698)] = 91461,
  [SMALL_STATE(2699)] = 91474,
  [SMALL_STATE(2700)] = 91487,
  [SMALL_STATE(2701)] = 91500,
  [SMALL_STATE(2702)] = 91513,
  [SMALL_STATE(2703)] = 91526,
  [SMALL_STATE(2704)] = 91539,
  [SMALL_STATE(2705)] = 91552,
  [SMALL_STATE(2706)] = 91565,
  [SMALL_STATE(2707)] = 91578,
  [SMALL_STATE(2708)] = 91591,
  [SMALL_STATE(2709)] = 91604,
  [SMALL_STATE(2710)] = 91617,
  [SMALL_STATE(2711)] = 91630,
  [SMALL_STATE(2712)] = 91643,
  [SMALL_STATE(2713)] = 91656,
  [SMALL_STATE(2714)] = 91669,
  [SMALL_STATE(2715)] = 91682,
  [SMALL_STATE(2716)] = 91695,
  [SMALL_STATE(2717)] = 91708,
  [SMALL_STATE(2718)] = 91721,
  [SMALL_STATE(2719)] = 91734,
  [SMALL_STATE(2720)] = 91747,
  [SMALL_STATE(2721)] = 91760,
  [SMALL_STATE(2722)] = 91773,
  [SMALL_STATE(2723)] = 91786,
  [SMALL_STATE(2724)] = 91799,
  [SMALL_STATE(2725)] = 91812,
  [SMALL_STATE(2726)] = 91825,
  [SMALL_STATE(2727)] = 91838,
  [SMALL_STATE(2728)] = 91851,
  [SMALL_STATE(2729)] = 91864,
  [SMALL_STATE(2730)] = 91877,
  [SMALL_STATE(2731)] = 91890,
  [SMALL_STATE(2732)] = 91903,
  [SMALL_STATE(2733)] = 91916,
  [SMALL_STATE(2734)] = 91929,
  [SMALL_STATE(2735)] = 91942,
  [SMALL_STATE(2736)] = 91955,
  [SMALL_STATE(2737)] = 91968,
  [SMALL_STATE(2738)] = 91981,
  [SMALL_STATE(2739)] = 91994,
  [SMALL_STATE(2740)] = 92007,
  [SMALL_STATE(2741)] = 92020,
  [SMALL_STATE(2742)] = 92033,
  [SMALL_STATE(2743)] = 92046,
  [SMALL_STATE(2744)] = 92059,
  [SMALL_STATE(2745)] = 92072,
  [SMALL_STATE(2746)] = 92085,
  [SMALL_STATE(2747)] = 92098,
  [SMALL_STATE(2748)] = 92111,
  [SMALL_STATE(2749)] = 92124,
  [SMALL_STATE(2750)] = 92137,
  [SMALL_STATE(2751)] = 92150,
  [SMALL_STATE(2752)] = 92163,
  [SMALL_STATE(2753)] = 92176,
  [SMALL_STATE(2754)] = 92189,
  [SMALL_STATE(2755)] = 92202,
  [SMALL_STATE(2756)] = 92215,
  [SMALL_STATE(2757)] = 92228,
  [SMALL_STATE(2758)] = 92241,
  [SMALL_STATE(2759)] = 92254,
  [SMALL_STATE(2760)] = 92267,
  [SMALL_STATE(2761)] = 92280,
  [SMALL_STATE(2762)] = 92293,
  [SMALL_STATE(2763)] = 92306,
  [SMALL_STATE(2764)] = 92319,
  [SMALL_STATE(2765)] = 92332,
  [SMALL_STATE(2766)] = 92345,
  [SMALL_STATE(2767)] = 92358,
  [SMALL_STATE(2768)] = 92371,
  [SMALL_STATE(2769)] = 92384,
  [SMALL_STATE(2770)] = 92397,
  [SMALL_STATE(2771)] = 92410,
  [SMALL_STATE(2772)] = 92423,
  [SMALL_STATE(2773)] = 92436,
  [SMALL_STATE(2774)] = 92449,
  [SMALL_STATE(2775)] = 92462,
  [SMALL_STATE(2776)] = 92475,
  [SMALL_STATE(2777)] = 92488,
  [SMALL_STATE(2778)] = 92501,
  [SMALL_STATE(2779)] = 92514,
  [SMALL_STATE(2780)] = 92527,
  [SMALL_STATE(2781)] = 92540,
  [SMALL_STATE(2782)] = 92553,
  [SMALL_STATE(2783)] = 92566,
  [SMALL_STATE(2784)] = 92579,
  [SMALL_STATE(2785)] = 92592,
  [SMALL_STATE(2786)] = 92605,
  [SMALL_STATE(2787)] = 92618,
  [SMALL_STATE(2788)] = 92631,
  [SMALL_STATE(2789)] = 92644,
  [SMALL_STATE(2790)] = 92657,
  [SMALL_STATE(2791)] = 92670,
  [SMALL_STATE(2792)] = 92683,
  [SMALL_STATE(2793)] = 92696,
  [SMALL_STATE(2794)] = 92709,
  [SMALL_STATE(2795)] = 92722,
  [SMALL_STATE(2796)] = 92735,
  [SMALL_STATE(2797)] = 92748,
  [SMALL_STATE(2798)] = 92761,
  [SMALL_STATE(2799)] = 92774,
  [SMALL_STATE(2800)] = 92787,
  [SMALL_STATE(2801)] = 92800,
  [SMALL_STATE(2802)] = 92813,
  [SMALL_STATE(2803)] = 92826,
  [SMALL_STATE(2804)] = 92839,
  [SMALL_STATE(2805)] = 92852,
  [SMALL_STATE(2806)] = 92865,
  [SMALL_STATE(2807)] = 92878,
  [SMALL_STATE(2808)] = 92891,
  [SMALL_STATE(2809)] = 92904,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 3),
  [111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr, 3),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1),
  [121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1),
  [123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1),
  [125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_directive, 1),
  [127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_directive, 1),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 2),
  [133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 2),
  [135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 2),
  [137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr, 2),
  [139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2713),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2799),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2798),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2797),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2493),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1874),
  [159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2742),
  [164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2624),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2630),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2636),
  [173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1794),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2468),
  [179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2468),
  [182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2543),
  [185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1998),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2538),
  [191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2537),
  [194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(373),
  [197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_params, 4),
  [199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_params, 4),
  [201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_params, 5),
  [203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_params, 5),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 3),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_list_repeat1, 3),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 2),
  [303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_list_repeat1, 2),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1),
  [329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1),
  [331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 3),
  [333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 3),
  [335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt_list, 1),
  [337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt_list, 1),
  [339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(600),
  [342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(28),
  [345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2207),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2744),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(894),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2059),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2635),
  [362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(922),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1033),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2768),
  [371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(860),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2371),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2375),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(895),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1160),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2209),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1886),
  [392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2),
  [394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2558),
  [397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2557),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1848),
  [403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(971),
  [406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2554),
  [409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(953),
  [412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(954),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(954),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2551),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(955),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1219),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1241),
  [430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1789),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2714),
  [436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2714),
  [439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2734),
  [442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2101),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2402),
  [448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2403),
  [451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(566),
  [454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(824),
  [457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1238),
  [460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1238),
  [463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1237),
  [466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1241),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1224),
  [472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(827),
  [475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 7),
  [477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 7),
  [479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 6),
  [481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 6),
  [483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 2),
  [485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 2),
  [487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 5),
  [489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 5),
  [491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 4),
  [493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 4),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2),
  [827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(781),
  [830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(30),
  [833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2520),
  [836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(884),
  [839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1987),
  [842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2737),
  [845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(930),
  [848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2727),
  [851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2725),
  [854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2724),
  [857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(891),
  [860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(931),
  [863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2544),
  [866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1881),
  [869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1796),
  [872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2574),
  [875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2574),
  [878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2573),
  [881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1939),
  [884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2289),
  [887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2290),
  [890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(783),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(780),
  [914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(29),
  [917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2525),
  [920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(883),
  [923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1997),
  [926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2120),
  [929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1093),
  [932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2709),
  [935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2193),
  [938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2186),
  [941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(888),
  [944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(970),
  [947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2530),
  [950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1880),
  [953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1797),
  [956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2189),
  [959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2189),
  [962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2200),
  [965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(1988),
  [968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2195),
  [971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(2196),
  [974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2), SHIFT_REPEAT(779),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2447),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer, 1),
  [1383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer, 1),
  [1385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant, 1),
  [1387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant, 1),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_directive, 2),
  [1393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_directive, 2),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_slice, 3),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_slice, 3),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interval, 2),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interval, 2),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 4),
  [1415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr, 4),
  [1417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_body, 2),
  [1419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_body, 2),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_slice, 4),
  [1423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_slice, 4),
  [1425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant, 3),
  [1427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant, 3),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 1),
  [1431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr, 1),
  [1433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attr, 1),
  [1435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attr, 1),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_body, 3),
  [1439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_body, 3),
  [1441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_slice, 5),
  [1443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_slice, 5),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_params, 2),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [1449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_params, 2),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_directive, 3),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_directive, 3),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attr, 3),
  [1459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attr, 3),
  [1461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr, 5),
  [1463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr, 5),
  [1465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_params, 3),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [1469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_params, 3),
  [1471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decl, 1),
  [1473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decl, 1),
  [1475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_record_decl, 8),
  [1477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_record_decl, 8),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_decl, 3),
  [1481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_decl, 3),
  [1483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_decl, 3),
  [1485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_decl, 3),
  [1487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_decl, 3),
  [1489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_decl, 3),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_decl, 7),
  [1493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_decl, 7),
  [1495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_decl, 3),
  [1497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_decl, 3),
  [1499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_decl, 7),
  [1501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_decl, 7),
  [1503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_directive, 4),
  [1505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_directive, 4),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_decl, 5),
  [1509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_decl, 5),
  [1511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_decl, 6),
  [1513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_decl, 6),
  [1515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_decl, 6),
  [1517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_decl, 6),
  [1519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_decl, 3),
  [1521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_decl, 3),
  [1523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_record_decl, 9),
  [1525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_record_decl, 9),
  [1527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_decl, 5),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_decl, 5),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_decl, 4),
  [1533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_decl, 4),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_decl, 7),
  [1537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_decl, 7),
  [1539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_decl, 5),
  [1541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_decl, 5),
  [1543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_decl, 6),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_decl, 6),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_decl, 2),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_decl, 2),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_decl, 6),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_decl, 6),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_record_decl, 7),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_record_decl, 7),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_decl, 5),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_decl, 5),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_decl, 5),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_decl, 5),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_decl, 7),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_decl, 7),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_decl, 3),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_decl, 3),
  [1575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_decl, 6),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_decl, 6),
  [1579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_decl, 4),
  [1581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_decl, 4),
  [1583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_decl, 4),
  [1585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_decl, 4),
  [1587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_decl, 4),
  [1589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_decl, 4),
  [1591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_directive, 1),
  [1593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_directive, 1),
  [1595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_decl, 4),
  [1597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_decl, 4),
  [1599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_decl, 3),
  [1601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_decl, 3),
  [1603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redef_enum_decl, 8),
  [1605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redef_enum_decl, 8),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 10),
  [1613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 10),
  [1615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 7),
  [1617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 7),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [1621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 5),
  [1623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 5),
  [1625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 1),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 1),
  [1629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 6),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 6),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 4),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 4),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [1639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 3),
  [1641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 3),
  [1643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 11),
  [1645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 11),
  [1647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 9),
  [1649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 9),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt, 12),
  [1661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt, 12),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2),
  [1679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attr_list_repeat1, 2),
  [1681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2), SHIFT_REPEAT(311),
  [1684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2), SHIFT_REPEAT(330),
  [1687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2), SHIFT_REPEAT(2284),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attr_list, 1),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attr_list, 1),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [1840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2), SHIFT_REPEAT(2482),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [1863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2), SHIFT_REPEAT(2559),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [1890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer, 2),
  [1892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer, 1),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [1900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2),
  [1902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(863),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2),
  [1907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(2744),
  [1910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(922),
  [1913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(862),
  [1916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(2514),
  [1919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(2558),
  [1922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(2557),
  [1925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(1848),
  [1928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(971),
  [1931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(2554),
  [1934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(953),
  [1937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(954),
  [1940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(954),
  [1943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(2551),
  [1946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(955),
  [1949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(1219),
  [1952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(1241),
  [1955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(824),
  [1958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(1238),
  [1961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(1238),
  [1964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(1237),
  [1967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(1241),
  [1970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(1224),
  [1973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(827),
  [1976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr_list, 1),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [1994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expr_list, 1),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [2108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_class, 1),
  [2110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_class, 1),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2541),
  [2173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2539),
  [2176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2536),
  [2179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2535),
  [2182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2756),
  [2185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1871),
  [2188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2463),
  [2191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2624),
  [2194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2630),
  [2197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2636),
  [2200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1791),
  [2203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2245),
  [2206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2245),
  [2209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2236),
  [2212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1978),
  [2215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2312),
  [2218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2313),
  [2221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1769),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [2234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event, 4),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [2238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event, 4),
  [2240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hook, 3),
  [2242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hook, 3),
  [2244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func, 3),
  [2246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func, 3),
  [2248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event, 3),
  [2250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event, 3),
  [2252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_hdr, 3),
  [2254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2), SHIFT_REPEAT(1213),
  [2257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2), SHIFT_REPEAT(2483),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr_list, 2),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [2744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [2746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [2754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [2756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [2760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [2762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [2764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [2766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [2768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [2772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2), SHIFT_REPEAT(2171),
  [2775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2), SHIFT_REPEAT(2122),
  [2778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2), SHIFT_REPEAT(2132),
  [2781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2), SHIFT_REPEAT(1258),
  [2784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2), SHIFT_REPEAT(2721),
  [2787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2), SHIFT_REPEAT(2149),
  [2790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2), SHIFT_REPEAT(2151),
  [2793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2), SHIFT_REPEAT(1832),
  [2796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2), SHIFT_REPEAT(2450),
  [2799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2), SHIFT_REPEAT(2092),
  [2802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2), SHIFT_REPEAT(2177),
  [2805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_arg, 3),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [2899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attr_list_repeat1, 2), SHIFT_REPEAT(2705),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_repeat1, 2),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2),
  [3044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2), SHIFT_REPEAT(1788),
  [3047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_func_decl_repeat1, 2), SHIFT_REPEAT(2468),
  [3050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2), SHIFT_REPEAT(2468),
  [3053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2), SHIFT_REPEAT(2543),
  [3056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2), SHIFT_REPEAT(1998),
  [3059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_func_decl_repeat1, 2), SHIFT_REPEAT(2538),
  [3062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2), SHIFT_REPEAT(2537),
  [3065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_func_decl_repeat1, 2), SHIFT_REPEAT(373),
  [3068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hook, 4),
  [3070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hook, 4),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event, 5),
  [3074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event, 5),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func, 4),
  [3078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func, 4),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_hdr, 1),
  [3082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_hdr, 1),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [3210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_elem, 1),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [3238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_elem, 3),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 2), SHIFT_REPEAT(859),
  [3245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 2), SHIFT_REPEAT(2805),
  [3248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 1),
  [3250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_list, 1),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [3254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [3256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [3258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_capture_list_repeat1, 2), SHIFT_REPEAT(2407),
  [3261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_capture_list_repeat1, 2), SHIFT_REPEAT(1933),
  [3264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [3266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2), SHIFT_REPEAT(1840),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [3283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redef_record_decl_repeat1, 2),
  [3285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redef_record_decl_repeat1, 2), SHIFT_REPEAT(2224),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [3302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_args, 1),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [3308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_type_list, 2),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [3330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_list_repeat1, 4),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [3346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_type_list, 3),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [3350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deprecated, 1),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [3354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_arg, 4),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [3360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_args_repeat1, 2), SHIFT_REPEAT(2336),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_args, 2),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [3425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_type_list, 4),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [3429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture, 1),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_elem, 4),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 4),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_type_list, 5),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 5),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [3521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture, 2),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_elem, 2),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [3551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_capture_list_repeat1, 2),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [3603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deprecated, 3),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [3635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_lambda, 1),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [3667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_lambda, 2),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [3743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_type_list_repeat1, 2), SHIFT_REPEAT(1619),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [3786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_hdr, 4),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [3804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stmt_repeat1, 2), SHIFT_REPEAT(2309),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_stmt_repeat1, 2),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_args_repeat1, 2),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [3981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_list, 3),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [4125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_type_list_repeat1, 3),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [4181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [4217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_list, 4),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [4265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [4269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_type_list_repeat1, 5),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [4301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4339] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [4361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [4371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [4509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [4567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [4631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [4639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_zeek(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
